package co.yixiang.yshop.module.express.controller.admin.electronicsorder.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * 电子面单 Excel VO
 *
 * @author yshop
 */
@Data
public class ElectronicsOrderExcelVO {

    @ExcelProperty("主键id")
    private Long id;

    @ExcelProperty("快递公司id")
    private Integer shipperId;

    @ExcelProperty("运费支付方式:1=现付,2=到付,3=月结,4=第三方付(仅SF支持)")
    private Integer paytype;

    @ExcelProperty("线下网点客户号")
    private String customerName;

    @ExcelProperty("线下网点密码")
    private String customerPwd;

    @ExcelProperty("网点名称")
    private String sendSite;

    @ExcelProperty("网点快递员")
    private String sendStaff;

    @ExcelProperty("月结编号")
    private String monthCode;

    @ExcelProperty("是否通知揽件:0=通知揽件,1=不通知揽件")
    private Integer isNotice;

    @ExcelProperty("是否返回电子面单模板:0=不返回,1=返回")
    private Integer isReturnTemp;

    @ExcelProperty("是否需要短信提醒:0=否,1=是")
    private Integer isSendMessage;

    @ExcelProperty("模板尺寸")
    private String templateSize;

    @ExcelProperty("签回单操作要求(如：签名、盖章、身份证复印件等)")
    private String operateRequire;

    @ExcelProperty("快递单号(仅宅急送可用)")
    private String logisticCode;

    @ExcelProperty("上门揽件开始时间")
    private Integer startDate;

    @ExcelProperty("上门揽件结束时间")
    private Integer endDate;

    @ExcelProperty("备注")
    private String remark;

    @ExcelProperty("快递类型:1=标准快件")
    private Integer expType;

    @ExcelProperty("是否要签回单:0=否,1=是")
    private Integer isReturnSignBill;

    @ExcelProperty("发件人公司")
    private String company;

    @ExcelProperty("发件人省")
    private String provinceName;

    @ExcelProperty("发件人市")
    private String cityName;

    @ExcelProperty("发件人区")
    private String expAreaName;

    @ExcelProperty("发件人详细地址")
    private String address;

    @ExcelProperty("发件人姓名")
    private String name;

    @ExcelProperty("发件人电话")
    private String tel;

    @ExcelProperty("发件人手机号码")
    private String mobile;

    @ExcelProperty("发件地邮编")
    private String postCode;

    @ExcelProperty("自定义名称")
    private String title;

    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}
