package co.yixiang.yshop.module.express.service.electronicsorder;

import java.util.*;
import javax.validation.*;

import co.yixiang.yshop.module.express.controller.admin.electronicsorder.vo.*;
import co.yixiang.yshop.module.express.dal.dataobject.electronicsorder.ElectronicsOrderDO;
import co.yixiang.yshop.framework.common.pojo.PageResult;

/**
 * 电子面单 Service 接口
 *
 * @author yshop
 */
public interface ElectronicsOrderService {

    /**
     * 创建电子面单
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createElectronicsOrder(@Valid ElectronicsOrderCreateReqVO createReqVO);

    /**
     * 更新电子面单
     *
     * @param updateReqVO 更新信息
     */
    void updateElectronicsOrder(@Valid ElectronicsOrderUpdateReqVO updateReqVO);

    /**
     * 删除电子面单
     *
     * @param id 编号
     */
    void deleteElectronicsOrder(Long id);

    /**
     * 获得电子面单
     *
     * @param id 编号
     * @return 电子面单
     */
    ElectronicsOrderDO getElectronicsOrder(Long id);

    /**
     * 获得电子面单列表
     *
     * @param ids 编号
     * @return 电子面单列表
     */
    List<ElectronicsOrderDO> getElectronicsOrderList();

    /**
     * 获得电子面单分页
     *
     * @param pageReqVO 分页查询
     * @return 电子面单分页
     */
    PageResult<ElectronicsOrderDO> getElectronicsOrderPage(ElectronicsOrderPageReqVO pageReqVO);

    /**
     * 获得电子面单列表, 用于 Excel 导出
     *
     * @param exportReqVO 查询条件
     * @return 电子面单列表
     */
    List<ElectronicsOrderDO> getElectronicsOrderList(ElectronicsOrderExportReqVO exportReqVO);

}
