package co.yixiang.yshop.module.cart.controller.app.cart.param;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @ClassName CartIds
 * @Author hupeng <610796224@qq.com>
 * @Date 2023/6/17
 **/
@Data
@Schema(description = "用户 APP - 购物车更换商品sku")
public class AppCartChangeSkuParam {

    @NotNull(message = "购物车信息id参数有误")
    @Schema(description = "购物车ID", requiredMode = Schema.RequiredMode.REQUIRED)
    Long id;

    @NotNull(message = "购物车商品id参数有误")
    @Schema(description = "商品ID", requiredMode = Schema.RequiredMode.REQUIRED)
    Long productId;

    @NotNull(message = "购物车商品规格unique参数有误")
    @Schema(description = "商品sku规格unique", requiredMode = Schema.RequiredMode.REQUIRED)
    String productAttrUnique;
}
