package co.yixiang.yshop.module.distributor.controller.admin.distributor.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import javax.validation.constraints.*;

/**
 * 分销商 Base VO，提供给添加、修改、详细的子 VO 使用
 * 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
 */
@Data
public class DistributorBaseVO {

    @Schema(description = "用户ID", example = "12876")
    private Long userId;

    @Schema(description = "真实姓名", example = "王五")
    private String realName;

    @Schema(description = "等级ID", example = "7188")
    private Long levelId;

    @Schema(description = "上级ID", example = "16998")
    private Long superiorId;

    @Schema(description = "上级名称", example = "yshop")
    private String superiorName;

    @Schema(description = "地址")
    private String address;

    @Schema(description = "申请原因", example = "不对")
    private String reason;

    @Schema(description = "拒绝原因")
    private String refuse;

    @Schema(description = "状态 -1-清退 0-待审核 1-已通过 2-已拒绝", example = "1")
    private Integer status;

    @Schema(description = "累计金额")
    private BigDecimal addUpAmount;

    @Schema(description = "累计佣金")
    private BigDecimal addUpWages;

    @Schema(description = "累计用户")
    private Integer addUpUser;

    @Schema(description = "累计下级经销商")
    private Integer addUpDistributor;


}
