package co.yixiang.yshop.module.distributor.controller.admin.distributor.vo;

import lombok.*;

import java.math.BigDecimal;
import java.util.*;

import io.swagger.v3.oas.annotations.media.Schema;
import co.yixiang.yshop.framework.common.pojo.PageParam;

import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import static co.yixiang.yshop.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 分销商 Excel 导出 Request VO，参数和 DistributorPageReqVO 是一致的")
@Data
public class DistributorExportReqVO {

    @Schema(description = "用户ID", example = "12876")
    private Long userId;

    @Schema(description = "真实姓名", example = "王五")
    private String realName;

    @Schema(description = "等级ID", example = "7188")
    private Long levelId;

    @Schema(description = "地址")
    private String address;

    @Schema(description = "申请原因", example = "不对")
    private String reason;

    @Schema(description = "拒绝原因")
    private String refuse;

    @Schema(description = "累计金额")
    private BigDecimal addUpAmount;

    @Schema(description = "累计佣金")
    private BigDecimal addUpWages;

    @Schema(description = "累计下级经销商")
    private Integer addUpDistributor;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "所属一级ID")
    private Long superiorIdP1;

    @Schema(description = "上级名称")
    private String superiorNameP1;

    @Schema(description = "所属二级ID")
    private Long superiorIdP2;

    @Schema(description = "上级名称")
    private String superiorNameP2;

    @Schema(description = "状态-1-清退 0-待审核 1-已通过 2-已拒绝", example = "2")
    private Integer status;

}
