package co.yixiang.yshop.module.distributor.controller.admin.distributor.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Schema(description = "管理后台 - 分销商 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class DistributorRespVO extends DistributorBaseVO {

    @Schema(description = "主键")
    private Long id;

    @Schema(description = "分销商等级名称")
    private String levelName;

    @Schema(description = "创建时间")
    private LocalDateTime createTime;

    @Schema(description = "手机号")
    private String mobile;

    // 一级佣金比例
    @Schema(description = "一级佣金比例")
    private Integer firstWages;

    // 二级佣金比例
    @Schema(description = "二级佣金比例")
    private Integer secondWages;

    // 团队人数
    @Schema(description = "团队人数")
    private Integer userCount;

    // 一级团队人数
    @Schema(description = "一级团队人数")
    private Integer p1UserCount;

    // 二级团队人数
    @Schema(description = "二级团队人数")
    private Integer p2UserCount;

    // 一级分销商数
    @Schema(description = "一级分销商数")
    private Integer firstDistributorCount;

    // 二级分销商数
    @Schema(description = "二级分销商数")
    private Integer secondDistributorCount;

    // 团队分销金额
    @Schema(description = "团队分销金额")
    private BigDecimal amountCount;

    // 团队分销订单数
    @Schema(description = "团队分销订单数")
    private Integer orderCount;

    @Schema(description = "一级分销商分销金额")
    private BigDecimal firstAmountCount;

    @Schema(description = "一级分销商订单数")
    private Integer firstOrderCount;

    @Schema(description = "二级分销商分销金额")
    private BigDecimal secondAmountCount;

    @Schema(description = "二级分销商订单数")
    private Integer secondOrderCount;

    /**
     * 所属一级ID
     */
    private Long superiorIdP1;
    /**
     * 上级名称
     */
    private String superiorNameP1;
    /**
     * 所属二级ID
     */
    private Long superiorIdP2;
    /**
     * 上级名称
     */
    private String superiorNameP2;

}
