package co.yixiang.yshop.module.distributor.controller.admin.distributorlevel.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.math.BigDecimal;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import javax.validation.constraints.*;

/**
 * 分销商等级 Base VO，提供给添加、修改、详细的子 VO 使用
 * 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
 */
@Data
public class DistributorLevelBaseVO {

    @Schema(description = "等级 1-10")
    private Integer level;

    @Schema(description = "等级名称", example = "张三")
    private String name;

    @Schema(description = "一级佣金比例")
    private Integer firstWages;

    @Schema(description = "二级佣金比例")
    private Integer secondWages;

    @Schema(description = "三级佣金比例")
    private Integer thirdWages;

    @Schema(description = "升级类型 0-满足任意 1-满足全部", example = "2")
    private Integer upType;

    @Schema(description = "人数 值为-1是未选中", example = "2581")
    private Integer userCount;

    @Schema(description = "金额 值为-1是未选中")
    private BigDecimal amount;

    @Schema(description = "佣金 值为-1是未选中")
    private BigDecimal wages;

}
