package co.yixiang.yshop.module.distributor.controller.admin.distributorlevel.vo;

import lombok.*;

import java.util.*;

import io.swagger.v3.oas.annotations.media.Schema;
import co.yixiang.yshop.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import static co.yixiang.yshop.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 分销商等级分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class DistributorLevelPageReqVO extends PageParam {

    @Schema(description = "等级 1-10")
    private Integer level;

    @Schema(description = "等级名称", example = "张三")
    private String name;

    @Schema(description = "一级佣金比例")
    private Integer firstWages;

    @Schema(description = "二级佣金比例")
    private Integer secondWages;

    @Schema(description = "三级佣金比例")
    private Integer thirdWages;

    @Schema(description = "升级类型 0-满足任意 1-满足全部", example = "2")
    private Integer upType;

    @Schema(description = "人数 值为-1是未选中", example = "2581")
    private Integer userCount;

    @Schema(description = "金额 值为-1是未选中")
    private Integer amount;

    @Schema(description = "佣金 值为-1是未选中")
    private Integer wages;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}
