package co.yixiang.yshop.module.distributor.controller.admin.distributororder.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.time.LocalDateTime;

import static co.yixiang.yshop.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 分销商订单 Response VO")
@Data
@ToString(callSuper = true)
public class DistributorOrderDetailsRespVO {

    @Schema(description = "主键", required = true, example = "22172")
    private Long id;

    @Schema(description = "订单号", example = "32634")
    private String orderId;

    @Schema(description = "一级分销商", example = "12335")
    private String p1Name;

    @Schema(description = "二级分销商", example = "12335")
    private String p2Name;

    @Schema(description = "一级佣金比例")
    private Integer firstWages;

    // 二级佣金比例
    @Schema(description = "二级佣金比例")
    private Integer secondWages;

    @Schema(description = "一级佣金")
    private BigDecimal firstAmount;

    // 二级佣金比例
    @Schema(description = "二级佣金")
    private BigDecimal secondAmount;
}
