package co.yixiang.yshop.module.distributor.controller.admin.distributororder.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.math.BigDecimal;
import java.math.BigDecimal;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * 分销商订单 Excel VO
 *
 * @author admin
 */
@Data
public class DistributorOrderExcelVO {

    @ExcelProperty("主键")
    private Long id;

    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @ExcelProperty("结算时间")
    private LocalDateTime settlementTime;

    @ExcelProperty("订单ID")
    private Long oid;

    @ExcelProperty("订单号")
    private String orderId;

    @ExcelProperty("佣金状态")
    private Integer status;

    @ExcelProperty("分销规则 0-默认 1-自定义")
    private Integer distributionRule;

    @ExcelProperty("分销自购 0-关闭 1-开启")
    private Integer distributionPurchase;

    @ExcelProperty("商品结算方式 0-实际支付价格 1-商品价格")
    private Integer distributionProductSettlement;

    @ExcelProperty("佣金结算方式 0-支付后结算 1-确认收获后结算 2-订单完成结算")
    private Integer distributionWagesSettlement;

    @ExcelProperty("下单用户")
    private Long userId;

    @ExcelProperty("用户昵称")
    private String userName;

    @ExcelProperty("商品ID")
    private Long productId;

    @ExcelProperty("商品规格ID")
    private Long productAttrValueId;

    @ExcelProperty("商品名称")
    private String productName;

    @ExcelProperty("商品金额")
    private BigDecimal productPrice;

    @ExcelProperty("订单详情id")
    private Long detailId;

    @ExcelProperty("所属一级ID")
    private Long superiorIdP1;

    @ExcelProperty("上级名称")
    private String superiorNameP1;

    @ExcelProperty("所属二级ID")
    private Long superiorIdP2;

    @ExcelProperty("上级名称")
    private String superiorNameP2;

    @ExcelProperty("一级佣金比例")
    private Integer firstWages;

    @ExcelProperty("二级佣金比例")
    private Integer secondWages;

    @ExcelProperty("一级佣金")
    private BigDecimal firstAmount;

    @ExcelProperty("二级佣金")
    private BigDecimal secondAmount;

}
