package co.yixiang.yshop.module.distributor.controller.admin.distributorwageslog.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import javax.validation.constraints.*;

/**
 * 分销商佣金记录 Base VO，提供给添加、修改、详细的子 VO 使用
 * 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
 */
@Data
public class DistributorWagesLogBaseVO {

    @Schema(description = "佣金ID", example = "31395")
    private Long wagesId;

    @Schema(description = "用户ID", example = "32187")
    private Long userId;

    @Schema(description = "佣金类型", example = "2")
    private Integer type;

    @Schema(description = "佣金金额")
    private BigDecimal amount;

    @Schema(description = "分销商ID", example = "618")
    private Long distributorId;

    @Schema(description = "用户昵称", example = "赵六")
    private String userName;

    @Schema(description = "分销商名称", example = "张三")
    private String distributorName;

    @Schema(description = "提取类型", example = "2")
    private Integer methodType;

    @Schema(description = "分销商订单ID", example = "2")
    private Long distributorOrderId;

    @Schema(description = "订单ID", example = "2")
    private String orderId;

    @Schema(description = "说明")
    private String content;

}
