package co.yixiang.yshop.module.distributor.controller.admin.distributorwageslog.vo;

import lombok.*;

import java.math.BigDecimal;
import java.util.*;

import io.swagger.v3.oas.annotations.media.Schema;
import co.yixiang.yshop.framework.common.pojo.PageParam;

import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import static co.yixiang.yshop.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 分销商佣金记录 Excel 导出 Request VO，参数和 DistributorWagesLogPageReqVO 是一致的")
@Data
public class DistributorWagesLogExportReqVO {

    @Schema(description = "佣金ID", example = "31395")
    private Long wagesId;

    @Schema(description = "用户ID", example = "32187")
    private Long userId;

    @Schema(description = "佣金类型", example = "2")
    private Integer type;

    @Schema(description = "佣金金额")
    private BigDecimal amount;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "分销商ID", example = "618")
    private Long distributorId;

    @Schema(description = "记录状态", example = "1")
    private Integer status;

    @Schema(description = "用户昵称", example = "赵六")
    private String userName;

    @Schema(description = "分销商名称", example = "张三")
    private String distributorName;

    @Schema(description = "记录状态列表", example = "1")
    private List<Integer> typeList;

    @Schema(description = "订单详情id", example = "1")
    private List<Long> distributorOrderIds;

    @Schema(description = "订单ID", example = "2")
    private String orderId;

    private Integer methodType;
}
