package co.yixiang.yshop.module.distributor.controller.admin.distributorwithdrawalmethod.vo;

import lombok.*;

import java.util.*;

import io.swagger.v3.oas.annotations.media.Schema;
import co.yixiang.yshop.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import static co.yixiang.yshop.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 分销商提现方式分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class DistributorWithdrawalMethodPageReqVO extends PageParam {

    @Schema(description = "用户ID", example = "14122")
    private Long userId;

    @Schema(description = "分销商ID", example = "26097")
    private Long distributorId;

    @Schema(description = "支付方式")
    private String paymentMethod;

    @Schema(description = "账号")
    private String acountNum;

    @Schema(description = "真实姓名", example = "张三")
    private String realName;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    private Integer type;

}
