package co.yixiang.yshop.module.distributor.controller.app.distributor.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.math.BigDecimal;

@Schema(description = "分销商详情RespVO")
@Data
@ToString(callSuper = true)
public class AppDistributorDetailsRespVO {

    @Schema(description = "代理商ID")
    private Long id;

    @Schema(description = "状态 -1-清退 0-待审核 1-已通过 2-已拒绝 null-未申请")
    private Integer status;

    /**
     * 地址
     */
    @Schema(description = "地址")
    private String address;
    /**
     * 申请原因
     */
    @Schema(description = "申请原因")
    private String reason;

    @Schema(description = "拒绝原因")
    private String refuse;

    @Schema(description = "真实姓名")
    private String realName;

    @Schema(description = "分销等级")
    private String levelName;

    @Schema(description = "推荐人")
    private String superiorName;

    @Schema(description = "总收益")
    private BigDecimal addUpWages = BigDecimal.ZERO;

    @Schema(description = "待入账佣金")
    private BigDecimal refuseAmount = BigDecimal.ZERO;

    @Schema(description = "已入账佣金")
    private BigDecimal amount = BigDecimal.ZERO;

    @Schema(description = "手机号")
    private String mobile;
}
