package co.yixiang.yshop.module.distributor.dal.dataobject.distributor;

import lombok.*;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.*;
import co.yixiang.yshop.framework.mybatis.core.dataobject.BaseDO;
import org.springframework.data.annotation.Transient;

/**
 * 分销商 DO
 *
 * @author admin
 */
@TableName("yshop_distributor")
@KeySequence("yshop_distributor_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DistributorDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 用户ID
     */
    private Long userId;
    /**
     * 真实姓名
     */
    private String realName;
    /**
     * 等级ID
     */
    private Long levelId;
    /**
     * 地址
     */
    private String address;
    /**
     * 申请原因
     */
    private String reason;
    /**
     * 拒绝原因
     */
    private String refuse;
    /**
     * 累计金额
     */
    private BigDecimal addUpAmount;
    /**
     * 累计佣金
     */
    private BigDecimal addUpWages;
    /**
     * 累计下级经销商
     */
    private Integer addUpDistributor;
    /**
     * 所属一级ID
     */
    private Long superiorIdP1;
    /**
     * 上级名称
     */
    private String superiorNameP1;
    /**
     * 所属二级ID
     */
    private Long superiorIdP2;
    /**
     * 上级名称
     */
    private String superiorNameP2;
    /**
     * 状态-1-清退 0-待审核 1-已通过 2-已拒绝
     */
    private Integer status;

    @TableField(exist = false)
    private String levelName;

    @TableField(exist = false)
    private Integer userCount;
}
