package co.yixiang.yshop.module.distributor.dal.dataobject.distributordynamics;

import lombok.*;

import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.*;
import co.yixiang.yshop.framework.mybatis.core.dataobject.BaseDO;

/**
 * 分销商动态 DO
 *
 * @author admin
 */
@TableName("yshop_distributor_dynamics")
@KeySequence("yshop_distributor_dynamics_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DistributorDynamicsDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId
    private Long id;
    /**
     * 动态类型
     */
    private Integer type;
    /**
     * 分销商ID
     */
    private Long distributorId;
    /**
     * 分销商名称
     */
    private String distributorName;
    /**
     * 内容
     */
    private String content;

}
