package co.yixiang.yshop.module.distributor.dal.dataobject.distributorlevel;

import lombok.*;

import java.math.BigDecimal;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.*;
import co.yixiang.yshop.framework.mybatis.core.dataobject.BaseDO;

/**
 * 分销商等级 DO
 *
 * @author admin
 */
@TableName("yshop_distributor_level")
@KeySequence("yshop_distributor_level_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DistributorLevelDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 等级 1-10
     */
    private Integer level;
    /**
     * 等级名称
     */
    private String name;
    /**
     * 一级佣金比例
     */
    private Integer firstWages;
    /**
     * 二级佣金比例
     */
    private Integer secondWages;
    /**
     * 升级类型 0-满足任意 1-满足全部
     */
    private Integer upType;
    /**
     * 人数 值为-1是未选中
     */
    private Integer userCount;
    /**
     * 金额 值为-1是未选中
     */
    private BigDecimal amount;
    /**
     * 佣金 值为-1是未选中
     */
    private BigDecimal wages;

}
