package co.yixiang.yshop.module.distributor.dal.dataobject.distributororder;

import lombok.*;

import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.math.BigDecimal;
import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.*;
import co.yixiang.yshop.framework.mybatis.core.dataobject.BaseDO;

/**
 * 分销商订单 DO
 *
 * @author admin
 */
@TableName("yshop_distributor_order")
@KeySequence("yshop_distributor_order_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DistributorOrderDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 结算时间
     */
    private LocalDateTime settlementTime;
    /**
     * 订单ID
     */
    private Long oid;
    /**
     * 订单号
     */
    private String orderId;
    /**
     * 佣金状态
     */
    private Integer status;
    /**
     * 分销规则 0-默认 1-自定义
     */
    private Integer distributionRule;
    /**
     * 分销自购 0-关闭 1-开启
     */
    private Integer distributionPurchase;
    /**
     * 商品结算方式 0-实际支付价格 1-商品价格
     */
    private Integer distributionProductSettlement;
    /**
     * 佣金结算方式 0-支付后结算 1-确认收获后结算 2-订单完成结算
     */
    private Integer distributionWagesSettlement;
    /**
     * 分销规则 1-一级 2-二级
     */
    private Integer distributionLevel;
    /**
     * 下单用户
     */
    private Long userId;
    /**
     * 用户昵称
     */
    private String userName;
    /**
     * 商品ID
     */
    private Long productId;
    /**
     * 商品规格ID
     */
    private Long productAttrValueId;
    /**
     * 商品名称
     */
    private String productName;
    /**
     * 商品金额
     */
    private BigDecimal productPrice;
    /**
     * 商品原价
     */
    private BigDecimal productOriginalPrice;
    /**
     * 订单详情id
     */
    private Long detailId;
    /**
     * 所属一级ID
     */
    private Long superiorIdP1;
    /**
     * 上级名称
     */
    private String superiorNameP1;
    /**
     * 所属二级ID
     */
    private Long superiorIdP2;
    /**
     * 上级名称
     */
    private String superiorNameP2;
    /**
     * 一级佣金比例
     */
    private Integer firstWages;
    /**
     * 二级佣金比例
     */
    private Integer secondWages;
    /**
     * 一级佣金
     */
    private BigDecimal firstAmount;
    /**
     * 二级佣金
     */
    private BigDecimal secondAmount;

    @TableField(exist = false)
    private BigDecimal wages;
}
