package co.yixiang.yshop.module.distributor.dal.dataobject.distributoruser;

import lombok.*;

import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.*;
import co.yixiang.yshop.framework.mybatis.core.dataobject.BaseDO;

/**
 * 分销商所属用户 DO
 *
 * @author admin
 */
@TableName("yshop_distributor_user")
@KeySequence("yshop_distributor_user_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DistributorUserDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 用户ID
     */
    private Long userId;
    /**
     * 所属一级ID
     */
    private Long superiorIdP1;
    /**
     * 上级名称
     */
    private String superiorNameP1;
    /**
     * 所属二级ID
     */
    private Long superiorIdP2;
    /**
     * 上级名称
     */
    private String superiorNameP2;
    /**
     * 过期时间
     */
    private LocalDateTime expireTime;
    /**
     * 用户昵称
     */
    private String nickname;
    /**
     * 用户头像
     */
    private String avatar;
    /**
     * 商品数
     */
    private Integer productCount;

    /**
     * 商品金额
     */
    @TableField(exist = false)
    private BigDecimal productAmount;
    /**
     * 订单数
     */
    private Integer orderCount;
    /**
     * 佣金数
     */
    private BigDecimal wages;
    /**
     * 是否分销商 0-否 1-是
     */
    private Integer isDistributor;

}
