package co.yixiang.yshop.module.distributor.dal.dataobject.distributorwages;

import lombok.*;

import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.*;
import co.yixiang.yshop.framework.mybatis.core.dataobject.BaseDO;

/**
 * 分销商佣金 DO
 *
 * @author admin
 */
@TableName("yshop_distributor_wages")
@KeySequence("yshop_distributor_wages_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DistributorWagesDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 用户ID
     */
    private Long userId;
    /**
     * 佣金
     */
    private BigDecimal amount;
    /**
     * 待入账佣金
     */
    private BigDecimal refuseAmount;
    /**
     * 分销商ID
     */
    private Long distributorId;

}
