package co.yixiang.yshop.module.distributor.dal.dataobject.distributorwageslog;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.*;
import co.yixiang.yshop.framework.mybatis.core.dataobject.BaseDO;

/**
 * 分销商佣金记录 DO
 *
 * @author admin
 */
@TableName("yshop_distributor_wages_log")
@KeySequence("yshop_distributor_wages_log_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DistributorWagesLogDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 佣金ID
     */
    private Long wagesId;
    /**
     * 用户ID
     */
    private Long userId;
    /**
     * 佣金类型
     */
    private Integer type;
    /**
     * 佣金金额
     */
    private BigDecimal amount;
    /**
     * 分销商ID
     */
    private Long distributorId;
    /**
     * 记录状态
     */
    private Integer status;
    /**
     * 用户昵称
     */
    private String userName;
    /**
     * 分销商名称
     */
    private String distributorName;

    // 提取类型
    private Integer methodType;

    // 分销商订单ID
    private Long distributorOrderId;

    // 订单ID
    private String orderId;

    // 说明
    private String content;

}
