package co.yixiang.yshop.module.distributor.dal.dataobject.distributorwithdrawalmethod;

import lombok.*;

import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.*;
import co.yixiang.yshop.framework.mybatis.core.dataobject.BaseDO;

/**
 * 分销商提现方式 DO
 *
 * @author admin
 */
@TableName("yshop_distributor_withdrawal_method")
@KeySequence("yshop_distributor_withdrawal_method_seq")
// 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DistributorWithdrawalMethodDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 用户ID
     */
    private Long userId;
    /**
     * 分销商ID
     */
    private Long distributorId;
    /**
     * 支付方式
     */
    private String paymentMethod;
    /**
     * 账号
     */
    private String accountNum;
    /**
     * 真实姓名
     */
    private String realName;
    /**
     * 类型
     */
    private Integer type;

}
