package co.yixiang.yshop.module.distributor.service.distributordynamics;

import java.util.*;
import javax.validation.*;

import co.yixiang.yshop.module.distributor.controller.admin.distributordynamics.vo.*;
import co.yixiang.yshop.module.distributor.dal.dataobject.distributordynamics.DistributorDynamicsDO;
import co.yixiang.yshop.framework.common.pojo.PageResult;

/**
 * 分销商动态 Service 接口
 *
 * @author admin
 */
public interface DistributorDynamicsService {

    /**
     * 创建分销商动态
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createDynamics(@Valid DistributorDynamicsCreateReqVO createReqVO);

    /**
     * 更新分销商动态
     *
     * @param updateReqVO 更新信息
     */
    void updateDynamics(@Valid DistributorDynamicsUpdateReqVO updateReqVO);

    /**
     * 删除分销商动态
     *
     * @param id 编号
     */
    void deleteDynamics(Long id);

    /**
     * 获得分销商动态
     *
     * @param id 编号
     * @return 分销商动态
     */
    DistributorDynamicsDO getDynamics(Long id);

    /**
     * 获得分销商动态列表
     *
     * @param ids 编号
     * @return 分销商动态列表
     */
    List<DistributorDynamicsDO> getDynamicsList(Collection<Long> ids);

    /**
     * 获得分销商动态分页
     *
     * @param pageReqVO 分页查询
     * @return 分销商动态分页
     */
    PageResult<DistributorDynamicsDO> getDynamicsPage(DistributorDynamicsPageReqVO pageReqVO);

    /**
     * 获得分销商动态列表, 用于 Excel 导出
     *
     * @param exportReqVO 查询条件
     * @return 分销商动态列表
     */
    List<DistributorDynamicsDO> getDynamicsList(DistributorDynamicsExportReqVO exportReqVO);

}
