package co.yixiang.yshop.module.distributor.service.distributorwageslog;

import java.util.*;
import javax.validation.*;

import co.yixiang.yshop.module.distributor.controller.admin.distributororder.vo.DistributorOrderExportReqVO;
import co.yixiang.yshop.module.distributor.controller.admin.distributorwageslog.vo.*;
import co.yixiang.yshop.module.distributor.dal.dataobject.distributororder.DistributorOrderDO;
import co.yixiang.yshop.module.distributor.dal.dataobject.distributorwageslog.DistributorWagesLogDO;
import co.yixiang.yshop.framework.common.pojo.PageResult;

/**
 * 分销商佣金记录 Service 接口
 *
 * @author admin
 */
public interface DistributorWagesLogService {

    /**
     * 创建分销商佣金记录
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createWagesLog(@Valid DistributorWagesLogCreateReqVO createReqVO);

    /**
     * 更新分销商佣金记录
     *
     * @param updateReqVO 更新信息
     */
    void updateWagesLog(@Valid DistributorWagesLogUpdateReqVO updateReqVO);

    /**
     * 删除分销商佣金记录
     *
     * @param id 编号
     */
    void deleteWagesLog(Long id);

    /**
     * 获得分销商佣金记录
     *
     * @param id 编号
     * @return 分销商佣金记录
     */
    DistributorWagesLogDO getWagesLog(Long id);

    /**
     * 获得分销商佣金记录列表
     *
     * @param ids 编号
     * @return 分销商佣金记录列表
     */
    List<DistributorWagesLogDO> getWagesLogList(Collection<Long> ids);

    /**
     * 获得分销商佣金记录分页
     *
     * @param pageReqVO 分页查询
     * @return 分销商佣金记录分页
     */
    PageResult<DistributorWagesLogDO> getWagesLogPage(DistributorWagesLogPageReqVO pageReqVO);

    /**
     * 获得分销商佣金记录列表, 用于 Excel 导出
     *
     * @param exportReqVO 查询条件
     * @return 分销商佣金记录列表
     */
    List<DistributorWagesLogDO> getWagesLogList(DistributorWagesLogExportReqVO exportReqVO);


    DistributorWagesLogDO sumAmount(DistributorWagesLogExportReqVO exportReqVO);


    void updateWagesLogType(Long distributorId, Long distributorOrderId, Integer status);

}
