package co.yixiang.yshop.module.distributor.service.distributorwithdrawalmethod;

import java.util.*;
import javax.validation.*;

import co.yixiang.yshop.module.distributor.controller.admin.distributorwithdrawalmethod.vo.*;
import co.yixiang.yshop.module.distributor.dal.dataobject.distributorwithdrawalmethod.DistributorWithdrawalMethodDO;
import co.yixiang.yshop.framework.common.pojo.PageResult;

/**
 * 分销商提现方式 Service 接口
 *
 * @author admin
 */
public interface DistributorWithdrawalMethodService {

    /**
     * 创建分销商提现方式
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createWithdrawalMethod(@Valid DistributorWithdrawalMethodCreateReqVO createReqVO);

    /**
     * 更新分销商提现方式
     *
     * @param updateReqVO 更新信息
     */
    void updateWithdrawalMethod(@Valid DistributorWithdrawalMethodUpdateReqVO updateReqVO);

    /**
     * 删除分销商提现方式
     *
     * @param id 编号
     */
    void deleteWithdrawalMethod(Long id);

    /**
     * 获得分销商提现方式
     *
     * @param id 编号
     * @return 分销商提现方式
     */
    DistributorWithdrawalMethodDO getWithdrawalMethod(Long id);

    /**
     * 获得分销商提现方式列表
     *
     * @param ids 编号
     * @return 分销商提现方式列表
     */
    List<DistributorWithdrawalMethodDO> getWithdrawalMethodList(Collection<Long> ids);

    /**
     * 获得分销商提现方式分页
     *
     * @param pageReqVO 分页查询
     * @return 分销商提现方式分页
     */
    PageResult<DistributorWithdrawalMethodDO> getWithdrawalMethodPage(DistributorWithdrawalMethodPageReqVO pageReqVO);

    /**
     * 获得分销商提现方式列表, 用于 Excel 导出
     *
     * @param exportReqVO 查询条件
     * @return 分销商提现方式列表
     */
    List<DistributorWithdrawalMethodDO> getWithdrawalMethodList(DistributorWithdrawalMethodExportReqVO exportReqVO);

}
