package co.yixiang.yshop.module.order.controller.admin.rechargeorder.vo;

import lombok.*;

import java.util.*;

import io.swagger.v3.oas.annotations.media.Schema;
import co.yixiang.yshop.framework.common.pojo.PageParam;

import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import static co.yixiang.yshop.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 充值订单 Excel 导出 Request VO，参数和 RechargeOrderPageReqVO 是一致的")
@Data
public class RechargeOrderExportReqVO {

    @Schema(description = "用户id", example = "15798")
    private Long userId;

    @Schema(description = "充值状态 0-未支付 1-已支付", example = "2")
    private Integer status;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "充值金额")
    private Integer rechargeAmount;

    @Schema(description = "赠送金额")
    private Integer giftAmount;

    @Schema(description = "充值套餐ID", example = "8014")
    private Long packageId;

}
