package co.yixiang.yshop.module.order.controller.admin.rechargeorder.vo;

import co.yixiang.yshop.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import static co.yixiang.yshop.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 充值订单分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class RechargeOrderPageReqVO extends PageParam {

    @Schema(description = "充值订单id", example = "15798")
    private String id;

    @Schema(description = "用户id", example = "15798")
    private Long userId;

    @Schema(description = "充值状态 0-未支付 1-已支付", example = "2")
    private Integer status;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "充值金额")
    private Integer rechargeAmount;

    @Schema(description = "赠送金额")
    private Integer giftAmount;

    @Schema(description = "充值套餐ID", example = "8014")
    private Long packageId;

    @Schema(description = "昵称")
    private String nickname;

}
