package co.yixiang.yshop.module.order.controller.admin.storeaftersales.vo;

import co.yixiang.yshop.module.member.controller.admin.user.vo.UserRespVO;
import co.yixiang.yshop.module.order.dal.dataobject.storeaftersalesitem.StoreAfterSalesItemDO;
import co.yixiang.yshop.module.order.dal.dataobject.storeordercartinfo.StoreOrderCartInfoDO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.time.LocalDateTime;
import java.util.List;

@Schema(description = "管理后台 - 售后记录 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class StoreAfterSalesRespVO extends StoreAfterSalesBaseVO {

    @Schema(description = "id", required = true, example = "10463")
    private Long id;

    @Schema(description = "添加时间")
    private LocalDateTime createTime;

    @Schema(description = "用户信息", required = true)
    private UserRespVO userRespVO;

    @Schema(description = "商品信息", required = true)
    private List<StoreAfterSalesItemDO> storeOrderCartInfoDOList;

    @Schema(description = "退货凭证", required = true)
    private String returnVoucher;


    @Schema(description = "退货说明", required = true, example = "0")
    private String returnPolicy;

}
