package co.yixiang.yshop.module.order.controller.admin.storeorderdetail.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigDecimal;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import javax.validation.constraints.*;

/**
 * 订单明细 Base VO，提供给添加、修改、详细的子 VO 使用
 * 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
 */
@Data
public class StoreOrderDetailBaseVO {

    @Schema(description = "订单id", required = true, example = "31287")
    @NotNull(message = "订单id不能为空")
    private Long oid;

    @Schema(description = "商品ID", required = true, example = "18855")
    @NotNull(message = "商品ID不能为空")
    private Long productId;

    @Schema(description = "规格id", required = true, example = "27117")
    @NotNull(message = "规格id不能为空")
    private Long skuId;

    @Schema(description = "唯一id", required = true)
    @NotNull(message = "唯一id不能为空")
    private String productAttrUnique;

    @Schema(description = "原价", required = true, example = "13719")
    @NotNull(message = "原价不能为空")
    private BigDecimal originalPrice;

    @Schema(description = "实际价格", required = true, example = "10651")
    @NotNull(message = "实际价格不能为空")
    private BigDecimal price;

    @Schema(description = "状态：1、正常，2、售后中，3、售后完成")
    private Integer state;

}
