package co.yixiang.yshop.module.order.controller.admin.storeorderdetail.vo;

import lombok.*;
import io.swagger.v3.oas.annotations.media.Schema;

import java.math.BigDecimal;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import static co.yixiang.yshop.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 订单明细 Excel 导出 Request VO，参数和 StoreOrderDetailPageReqVO 是一致的")
@Data
public class StoreOrderDetailExportReqVO {

    @Schema(description = "订单id", example = "31287")
    private Long oid;

    @Schema(description = "商品ID", example = "18855")
    private Long productId;

    @Schema(description = "规格id", example = "27117")
    private Long skuId;

    @Schema(description = "唯一id")
    private String productAttrUnique;

    @Schema(description = "原价", example = "13719")
    private BigDecimal originalPrice;

    @Schema(description = "实际价格", example = "10651")
    private BigDecimal price;

    @Schema(description = "状态：1、正常，2、售后中，3、售后完成")
    private Integer state;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}
