package co.yixiang.yshop.module.order.controller.admin.storeorderelectronics.vo;

import lombok.*;

import java.util.*;

import io.swagger.v3.oas.annotations.media.Schema;
import co.yixiang.yshop.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import static co.yixiang.yshop.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 订单电子面单记录分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class StoreOrderElectronicsPageReqVO extends PageParam {

    @Schema(description = "订单编号")
    private String orderSn;

    @Schema(description = "模板")
    private String printTemplate;


    @Schema(description = "物流单号")
    private String logisticCode;

    @Schema(description = "快递编号")
    private String shipperCode;

    @Schema(description = "接口返回的json")
    private String order;

    @Schema(description = "线下网点客户号", example = "王五")
    private String customerName;

    @Schema(description = "线下网点密码")
    private String customerPwd;

    @Schema(description = "状态:0=正常,1=已取消", example = "1")
    private Integer status;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}
