package co.yixiang.yshop.module.order.controller.app.afterorder.param;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 退款物流参数
 *
 * @author moxiangrong
 */
@Data
public class AppReturnLogisticsParam {

    /**
     * 快递公司编码
     */
    @NotBlank(message = "快递公司编码不能为空")
    private String code;

    /**
     * 快递公司名称
     */
    @NotBlank(message = "快递公司名称不能为空")
    private String name;

    /**
     * 快递编号
     */
    @NotBlank(message = "快递编号不能为空")
    private String postalCode;

    /**
     * 订单编号
     */
    /*@NotBlank(message="订单编号不能为空")
    private String orderCode;*/

    /**
     * 售后订单id
     */
    @NotNull(message = "售后订单id不能为空")
    private Long id;

    /**
     * 退货说明
     */
    private String returnPolicy;

    /**
     * 退货凭证
     */
    private String returnVoucher;

}
