package co.yixiang.yshop.module.order.controller.app.afterorder.param;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author : yshop 2023/6/23 16:36
 */
@Data
public class AppStoreAfterSalesParam {

    /**
     * 订单号
     */
    @NotBlank(message = "订单号不能为空")
    private String orderId;

    /**
     * 服务类型 0仅退款1退货退款
     */
    //@NotBlank
    private Integer serviceType;

    /**
     * 申请原因
     */
    @NotBlank(message = "申请原因不能为空")
    private String reasonForApplication;

    /**
     * 申请说明
     */
    private String applicationInstructions;

    /**
     * 申请说明图片
     */
    private String applicationDescriptionPicture;

    @Schema(description = "收货状态：0、未收到，1、已收到", required = true, example = "0")
    private Integer receivingStatus;

    /**
     * 商品数据
     */
    //@NotNull
    private List<AppProsuctParam> productParamList;

}
