package co.yixiang.yshop.module.order.controller.app.order.param;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

/**
 * @ClassName ComputeOrderParam
 * @Author hupeng <610796224@qq.com>
 * @Date 2023/6/19
 **/
@Getter
@Setter
@ToString
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AppComputeOrderParam {

    @Schema(description = "地址ID", required = true)
    private String addressId;

    @Schema(description = "优惠券ID", required = true)
    private Long couponId;

    @Schema(description = "支付方式", required = true)
    private String payType;

    @Schema(description = "是否使用积分", required = true)
    private Boolean useIntegral;

    @Schema(description = "配送方式 1=快递 ，2=门店自提", required = true)
    private Integer shippingType;


    @Schema(description = "活动类型", required = true)
    private Integer campaignType;

    @Schema(description = "营销活动明细id")
    private Long campaignDetailId;
}
