package co.yixiang.yshop.module.order.controller.app.order.param;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * @ClassName 确认订单ConfirmOrderDTO
 * @Author hupeng <610796224@qq.com>
 * @Date 2023/6/18
 **/
@Getter
@Setter
public class AppConfirmOrderParam {

    @NotBlank(message = "请提交购买的商品")
    @Schema(description = "购物车ID", required = true)
    private String cartId;

    @Schema(description = "地址ID", required = true)
    private Long addressId;

    @Schema(description = "优惠券ID", required = true)
    private Long couponId;

    @Schema(description = "下单类型：1、普通下单，2、商品活动下单", required = true)
    private Integer orderType;

    @Schema(description = "配送方式 1=快递 ，2=门店自提", requiredMode = Schema.RequiredMode.REQUIRED)
    private Integer shippingType;

    @Schema(description = "门店id")
    private Long storeId;

    @Schema(description = "是否使用积分", required = true)
    private Boolean useIntegral;
}
