package co.yixiang.yshop.module.order.controller.app.order.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.math.BigDecimal;

@Schema(description = "用户 APP - 订单明细 VO")
@Data
@ToString(callSuper = true)
public class AppOrderDetailVO {

    @Schema(description = "订单id", required = true, example = "31287")
    private Long oid;

    @Schema(description = "商品ID", required = true, example = "18855")
    private Long productId;

    @Schema(description = "规格id", required = true, example = "27117")
    private Long skuId;

    @Schema(description = "唯一id", required = true)
    private String productAttrUnique;

    @Schema(description = "原价", required = true, example = "13719")
    private BigDecimal originalPrice;

    @Schema(description = "实际价格", required = true, example = "10651")
    private BigDecimal price;

    @Schema(description = "售后状态：1、正常，2、售后中，3、售后完成")
    private Integer state;

}
