package co.yixiang.yshop.module.order.dal.dataobject.rechargeconfig;

import lombok.*;

import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.*;
import co.yixiang.yshop.framework.mybatis.core.dataobject.BaseDO;

/**
 * 充值配置 DO
 *
 * @author admin
 */
@TableName("yshop_recharge_config")
@KeySequence("yshop_recharge_config_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class RechargeConfigDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId
    private Long id;
    /**
     * 自定义金额开关 0-关闭 1-开启
     */
    private Integer customSwitch;
    /**
     * 最小金额
     */
    private Integer customMin;
    /**
     * 说明
     */
    private String content;

}
