package co.yixiang.yshop.module.order.dal.dataobject.rechargeorder;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.*;
import co.yixiang.yshop.framework.mybatis.core.dataobject.BaseDO;

/**
 * 充值订单 DO
 *
 * @author admin
 */
@TableName("yshop_recharge_order")
@KeySequence("yshop_recharge_order_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class RechargeOrderDO extends BaseDO {

    /**
     * 订单ID
     */
    @TableId(type = IdType.INPUT)
    private String id;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 充值状态 0-未支付 1-已支付
     */
    private Integer status;
    /**
     * 充值金额
     */
    private Integer rechargeAmount;
    /**
     * 赠送金额
     */
    private Integer giftAmount;
    /**
     * 充值套餐ID
     */
    private Long packageId;

}
