package co.yixiang.yshop.module.order.dal.dataobject.storeaftersales;

import co.yixiang.yshop.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.math.BigDecimal;

/**
 * 售后记录 DO
 *
 * @author yshop
 */
@TableName("yshop_store_after_sales")
@KeySequence("yshop_store_after_sales_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class StoreAfterSalesDO extends BaseDO {

    /**
     * id
     */
    @TableId
    private Long id;
    /**
     * 订单号
     */
    private String orderCode;
    /**
     * 退款金额
     */
    private BigDecimal refundAmount;

    /**
     * 退款积分
     */
    private BigDecimal refundIntegral;

    /**
     * 服务类型0仅退款1退货退款
     */
    private Integer serviceType;
    /**
     * 申请原因
     */
    private String reasons;
    /**
     * 说明
     */
    private String explains;
    /**
     * 说明图片->多个用逗号分割
     */
    private String explainImg;
    /**
     * 物流公司编码
     */
    private String shipperCode;
    /**
     * 物流单号
     */
    private String deliverySn;
    /**
     * 物流名称
     */
    private String deliveryName;
    /**
     * 状态 0已提交等待平台审核 1平台已审核 等待用户发货/退款 2 用户已发货 3退款成功
     */
    private Integer state;
    /**
     * 售后状态-0正常1用户取消2商家拒绝
     */
    private Integer salesState;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 商家收货人
     */
    private String consignee;
    /**
     * 商家手机号
     */
    private String phoneNumber;
    /**
     * 商家地址
     */
    private String address;


    /**
     * 退货说明
     */
    private String returnPolicy;

    /**
     * 退货凭证
     */
    private String returnVoucher;

    /**
     * 收货状态：0、未收到，1、已收到
     */
    private Integer receivingStatus;

}
