package co.yixiang.yshop.module.order.dal.dataobject.storeaftersalesitem;

import lombok.*;

import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.*;
import co.yixiang.yshop.framework.mybatis.core.dataobject.BaseDO;

/**
 * 售后子 DO
 *
 * @author yshop
 */
@TableName("yshop_store_after_sales_item")
@KeySequence("yshop_store_after_sales_item_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class StoreAfterSalesItemDO extends BaseDO {

    /**
     * 主键id
     */
    @TableId
    private Long id;
    /**
     * 售后id
     */
    private Long storeAfterSalesId;
    /**
     * 商品id
     */
    private Long productId;
    /**
     * 退货东西的详情信息
     */
    private String cartInfo;

}
