package co.yixiang.yshop.module.order.dal.dataobject.storeaftersalesstatus;

import lombok.*;

import java.util.*;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.*;
import co.yixiang.yshop.framework.mybatis.core.dataobject.BaseDO;

/**
 * 售后订单操作详情 DO
 *
 * @author yshop
 */
@TableName("yshop_store_after_sales_status")
@KeySequence("yshop_store_after_sales_status_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class StoreAfterSalesStatusDO {

    /**
     * id
     */
    @TableId
    private Long id;
    /**
     * 售后id
     */
    private Long storeAfterSalesId;
    /**
     * 操作类型
     */
    private Integer changeType;
    /**
     * 操作备注
     */
    private String changeMessage;
    /**
     * 操作时间
     */
    private LocalDateTime changeTime;
    /**
     * 操作人
     */
    private String operator;

}
