package co.yixiang.yshop.module.order.dal.dataobject.storeorderdetail;

import co.yixiang.yshop.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.math.BigDecimal;

/**
 * 订单明细 DO
 *
 * @author moxiangrong
 */
@TableName("yshop_store_order_detail")
@KeySequence("yshop_store_order_detail_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class StoreOrderDetailDO extends BaseDO {

    /**
     * 订单明细id
     */
    @TableId
    private Long id;
    /**
     * 订单id
     */
    private Long oid;
    /**
     * 商品ID
     */
    private Long productId;
    /**
     * 规格id
     */
    private Long skuId;
    /**
     * sku唯一id
     */
    private String productAttrUnique;
    /**
     * 原价
     */
    private BigDecimal originalPrice;
    /**
     * 实际价格
     */
    private BigDecimal price;

    /**
     * 状态：1、正常，2、售后中，3、售后完成
     */
    private Integer state;

    /**
     * 订单编号
     */
    private String orderId;

    /**
     * 售后id
     */
    private Long afterSalesId;

    /**
     * 积分抵扣金额
     */
    private BigDecimal integralDeductionAmount;

    /**
     * 使用积分
     */
    private BigDecimal useIntegral;

}
