package co.yixiang.yshop.module.order.dal.dataobject.storeorderelectronics;

import lombok.*;

import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.*;
import co.yixiang.yshop.framework.mybatis.core.dataobject.BaseDO;

/**
 * 订单电子面单记录 DO
 *
 * @author yshop
 */
@TableName("yshop_store_order_electronics")
@KeySequence("yshop_store_order_electronics_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class StoreOrderElectronicsDO extends BaseDO {

    /**
     * 主键id
     */
    @TableId
    private Long id;
    /**
     * 订单编号
     */
    private String orderSn;
    /**
     * 模板
     */
    private String printTemplate;
    /**
     * 物流单号
     */
    private String logisticCode;
    /**
     * 快递编号
     */
    private String shipperCode;
    /**
     * 接口返回的json
     */
    private String order;
    /**
     * 线下网点客户号
     */
    private String customerName;
    /**
     * 线下网点密码
     */
    private String customerPwd;
    /**
     * 状态:0=正常,1=已取消
     */
    private Integer status;

}
