package co.yixiang.yshop.module.order.service.rechargeconfig;

import java.util.*;
import javax.validation.*;

import co.yixiang.yshop.module.order.controller.admin.rechargeconfig.vo.*;
import co.yixiang.yshop.module.order.dal.dataobject.rechargeconfig.RechargeConfigDO;
import co.yixiang.yshop.framework.common.pojo.PageResult;

/**
 * 充值配置 Service 接口
 *
 * @author admin
 */
public interface RechargeConfigService {

    /**
     * 创建充值配置
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createRechargeConfig(@Valid RechargeConfigCreateReqVO createReqVO);

    /**
     * 更新充值配置
     *
     * @param updateReqVO 更新信息
     */
    void updateRechargeConfig(@Valid RechargeConfigUpdateReqVO updateReqVO);

    /**
     * 删除充值配置
     *
     * @param id 编号
     */
    void deleteRechargeConfig(Long id);

    /**
     * 获得充值配置
     *
     * @param id 编号
     * @return 充值配置
     */
    RechargeConfigDO getRechargeConfig(Long id);

    /**
     * 获得充值配置列表
     *
     * @param ids 编号
     * @return 充值配置列表
     */
    List<RechargeConfigDO> getRechargeConfigList(Collection<Long> ids);

    /**
     * 获得充值配置分页
     *
     * @param pageReqVO 分页查询
     * @return 充值配置分页
     */
    PageResult<RechargeConfigDO> getRechargeConfigPage(RechargeConfigPageReqVO pageReqVO);

    /**
     * 获得充值配置列表, 用于 Excel 导出
     *
     * @param exportReqVO 查询条件
     * @return 充值配置列表
     */
    List<RechargeConfigDO> getRechargeConfigList(RechargeConfigExportReqVO exportReqVO);

}
