package co.yixiang.yshop.module.order.service.rechargepackage;

import java.util.*;
import javax.validation.*;

import co.yixiang.yshop.module.order.controller.admin.rechargepackage.vo.*;
import co.yixiang.yshop.module.order.dal.dataobject.rechargepackage.RechargePackageDO;
import co.yixiang.yshop.framework.common.pojo.PageResult;

/**
 * 充值套餐配置 Service 接口
 *
 * @author admin
 */
public interface RechargePackageService {

    /**
     * 创建充值套餐配置
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createRechargePackage(@Valid RechargePackageCreateReqVO createReqVO);

    /**
     * 更新充值套餐配置
     *
     * @param updateReqVO 更新信息
     */
    void updateRechargePackage(@Valid RechargePackageUpdateReqVO updateReqVO);

    /**
     * 删除充值套餐配置
     *
     * @param id 编号
     */
    void deleteRechargePackage(Long id);

    /**
     * 获得充值套餐配置
     *
     * @param id 编号
     * @return 充值套餐配置
     */
    RechargePackageDO getRechargePackage(Long id);

    /**
     * 获得充值套餐配置列表
     *
     * @param ids 编号
     * @return 充值套餐配置列表
     */
    List<RechargePackageDO> getRechargePackageList(Collection<Long> ids);

    /**
     * 获得充值套餐配置分页
     *
     * @param pageReqVO 分页查询
     * @return 充值套餐配置分页
     */
    PageResult<RechargePackageDO> getRechargePackagePage(RechargePackagePageReqVO pageReqVO);

    /**
     * 获得充值套餐配置列表, 用于 Excel 导出
     *
     * @param exportReqVO 查询条件
     * @return 充值套餐配置列表
     */
    List<RechargePackageDO> getRechargePackageList(RechargePackageExportReqVO exportReqVO);

}
