package co.yixiang.yshop.module.order.service.storeorder.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @ClassName PriceGroup
 * @Author hupeng <610796224@qq.com>
 * @Date 2023/6/18
 **/
@Data
public class PriceGroupDTO {

    @Schema(description = "商品总价", required = true)
    private BigDecimal costPrice;

    @Schema(description = "优惠运费", required = true)
    private BigDecimal storeFreePostage;

    @Schema(description = "运费", required = true)
    private BigDecimal storePostage;

    @Schema(description = "总计", required = true)
    private BigDecimal totalPrice;

    @Schema(description = "优惠券优惠金额", required = true)
    private BigDecimal couponPrice;

    @Schema(description = "优惠券id", required = true)
    private Long couponId;

    // 积分抵扣是否可用
    @Schema(description = "积分抵扣是否可用")
    private Boolean enableIntegral;

    // 我的积分
    @Schema(description = "我的积分")
    private BigDecimal integral;

    //积分抵扣规则
    @Schema(description = "积分抵扣规则")
    private BigDecimal integralRule;

    //使用积分
    @Schema(description = "使用积分")
    private BigDecimal payIntegral;

    //积分抵扣金额
    @Schema(description = "积分抵扣金额")
    private BigDecimal deductionPrice;

    //是否为vip
    @Schema(description = "是否为vip")
    private Boolean isVip;

    // 是否会员全场包邮
    @Schema(description = "是否会员全场包邮")
    private Boolean vipFreeShipping;

    //会员折扣
    @Schema(description = "会员折扣")
    private BigDecimal vipDiscount;

    //会员优惠金额
    @Schema(description = "会员优惠金额")
    private BigDecimal vipDeductionAmount;

    @Schema(description = "总优惠金额 会员,优惠券,积分抵扣")
    private BigDecimal totalCouponPrice;
}
