package co.yixiang.yshop.module.order.service.storeorderelectronics;

import java.util.*;
import javax.validation.*;

import co.yixiang.yshop.module.order.controller.admin.storeorderelectronics.vo.*;
import co.yixiang.yshop.module.order.dal.dataobject.storeorderelectronics.StoreOrderElectronicsDO;
import co.yixiang.yshop.framework.common.pojo.PageResult;

/**
 * 订单电子面单记录 Service 接口
 *
 * @author yshop
 */
public interface StoreOrderElectronicsService {

    /**
     * 创建订单电子面单记录
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createStoreOrderElectronics(@Valid StoreOrderElectronicsCreateReqVO createReqVO);

    /**
     * 更新订单电子面单记录
     *
     * @param updateReqVO 更新信息
     */
    void updateStoreOrderElectronics(@Valid StoreOrderElectronicsUpdateReqVO updateReqVO);

    /**
     * 删除订单电子面单记录
     *
     * @param id 编号
     */
    void deleteStoreOrderElectronics(Long id);

    /**
     * 获得订单电子面单记录
     *
     * @param id 编号
     * @return 订单电子面单记录
     */
    StoreOrderElectronicsDO getStoreOrderElectronics(Long id);

    /**
     * 获得订单电子面单记录列表
     *
     * @param ids 编号
     * @return 订单电子面单记录列表
     */
    List<StoreOrderElectronicsDO> getStoreOrderElectronicsList(Collection<Long> ids);

    /**
     * 获得订单电子面单记录分页
     *
     * @param pageReqVO 分页查询
     * @return 订单电子面单记录分页
     */
    PageResult<StoreOrderElectronicsDO> getStoreOrderElectronicsPage(StoreOrderElectronicsPageReqVO pageReqVO);

    /**
     * 获得订单电子面单记录列表, 用于 Excel 导出
     *
     * @param exportReqVO 查询条件
     * @return 订单电子面单记录列表
     */
    List<StoreOrderElectronicsDO> getStoreOrderElectronicsList(StoreOrderElectronicsExportReqVO exportReqVO);

}
