package co.yixiang.yshop.module.product.controller.admin.campaigndetail.vo;

import lombok.*;

import java.math.BigDecimal;
import java.util.*;

import io.swagger.v3.oas.annotations.media.Schema;

import javax.validation.constraints.*;

@Schema(description = "管理后台 - 营销活动明细创建 Request VO")
@Data
@ToString(callSuper = true)
public class CampaignDetailCreateReqVO {

    @Schema(description = "商品id", required = true, example = "1690")
    @NotNull(message = "商品id不能为空")
    private Long productId;

    @Schema(description = "规格id", required = true, example = "9358")
    @NotNull(message = "规格id不能为空")
    private Long skuId;

    @Schema(description = "活动价格", required = true, example = "25390")
    private BigDecimal price;

    @Schema(description = "折扣比例", required = true, example = "6397")
    private BigDecimal discount;

    @Schema(description = "活动库存剩余数量", required = true)
    @NotNull(message = "活动库存数量不能为空")
    private Integer stock;
}
