package co.yixiang.yshop.module.product.controller.admin.campaigndetail.vo;

import lombok.*;

import java.math.BigDecimal;
import java.util.*;

import io.swagger.v3.oas.annotations.media.Schema;
import co.yixiang.yshop.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import static co.yixiang.yshop.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 营销活动明细分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class CampaignDetailPageReqVO extends PageParam {

    @Schema(description = "营销活动id", example = "4899")
    private Long campaignId;

    @Schema(description = "商品id", example = "1690")
    private Long productId;

    @Schema(description = "规格id", example = "9358")
    private Long skuId;

    @Schema(description = "活动价格", example = "25390")
    private BigDecimal price;

    @Schema(description = "折扣比例", example = "6397")
    private BigDecimal discount;

    @Schema(description = "活动库存剩余数量")
    private Integer stock;

    @Schema(description = "活动库存总数量")
    private Integer total;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}
