package co.yixiang.yshop.module.product.controller.admin.campaigndetail.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

@Schema(description = "管理后台 - 营销活动明细 Response VO")
@Data
@ToString(callSuper = true)
public class CampaignDetailRespVO {

    @Schema(description = "商品id", required = true, example = "1690")
    private Long id;

    @Schema(description = "商品名称", required = true, example = "1690")
    private String storeName;

    @Schema(description = "规格类型 0单 1多", required = true)
    private Integer specType;

    @Schema(description = "图片", required = true, example = "9358")
    private String image;

    @Schema(description = "活动价格", required = true, example = "25390")
    private BigDecimal price;

    @Schema(description = "折扣比例", required = true, example = "6397")
    private BigDecimal discount;

    @Schema(description = "活动库存剩余数量", required = true)
    private Integer stock;

    @Schema(description = "活动总库存数量", required = true)
    private Integer total;

    @Schema(description = "商品原价", required = true)
    private BigDecimal originalPrice;

    @Schema(description = "商品原库存", required = true)
    private Integer originalStock;

    @Schema(description = "规格明细")
    private List<CampaignSkuDetailRespVO> skus;
}
