package co.yixiang.yshop.module.product.controller.admin.campaigndetail.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.math.BigDecimal;

@Schema(description = "管理后台 - 营销活动规格明细 Response VO")
@Data
@ToString(callSuper = true)
public class CampaignSkuDetailRespVO {

    @Schema(description = "商品id", required = true, example = "1690")
    private Long productId;

    @Schema(description = "商品名称", required = true, example = "1690")
    private String productName;

    @Schema(description = "规格id", required = true, example = "9358")
    private Long skuId;

    @Schema(description = "规格类型 0单 1多", required = true)
    private Integer specType;

    @Schema(description = "规格名称", required = true, example = "9358")
    private String sku;

    @Schema(description = "图片", required = true, example = "9358")
    private String image;

    @Schema(description = "商品图片", required = true, example = "9358")
    private String productImage;

    @Schema(description = "活动价格", required = true, example = "25390")
    private BigDecimal price;

    @Schema(description = "折扣比例", required = true, example = "6397")
    private BigDecimal discount;

    @Schema(description = "活动库存剩余数量", required = true)
    private Integer stock;

    @Schema(description = "活动总库存数量", required = true)
    private Integer total;

    @Schema(description = "原价", required = true, example = "25390")
    private BigDecimal originalPrice;

    @Schema(description = "商品价格", required = true, example = "25390")
    private BigDecimal productPrice;

    @Schema(description = "规格原库存", required = true, example = "25390")
    private Integer originalStock;
}
