package co.yixiang.yshop.module.product.controller.admin.campaigninfo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.math.BigDecimal;

@Schema(description = "管理后台 - 活动数据明细 Response VO")
@Data
@ToString(callSuper = true)
public class CampaignDataDetailRespVO {


    @Schema(description = "规格id", required = true, example = "赵六")
    private Long skuId;

    @Schema(description = "规格id", required = true, example = "赵六")
    private String unique;

    @Schema(description = "商品名称", required = true, example = "赵六")
    private String productName;

    @Schema(description = "规格名称", required = true, example = "赵六")
    private String sku;

    @Schema(description = "图片", required = true, example = "赵六")
    private String image;

    @Schema(description = "成交金额", required = true)
    private BigDecimal dealAmount = BigDecimal.ZERO;

    @Schema(description = "成交单量", required = true, example = "赵六")
    private Integer dealQuantity = 0;

    @Schema(description = "成交人数", required = true)
    private Integer peopleNumber = 0;

    @Schema(description = "成交商品数", required = true)
    private Integer productQuantity = 0;

    @Schema(description = "客单价", required = true)
    private BigDecimal averagePrice = BigDecimal.ZERO;
}
