package co.yixiang.yshop.module.product.controller.admin.campaigninfo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.math.BigDecimal;

@Schema(description = "管理后台 - 活动数据 Response VO")
@Data
@ToString(callSuper = true)
public class CampaignDataRespVO {

    @Schema(description = "营销活动id", required = true, example = "8152")
    private Long id;

    @Schema(description = "活动名称", required = true, example = "赵六")
    private String name;

    @Schema(description = "成交金额", required = true)
    private BigDecimal dealAmount = BigDecimal.ZERO;

    @Schema(description = "成交单量", required = true, example = "赵六")
    private Integer dealQuantity = 0;

    @Schema(description = "成交人数", required = true)
    private Integer peopleNumber = 0;

    @Schema(description = "成交商品数", required = true)
    private Integer productQuantity = 0;

    @Schema(description = "客单价", required = true)
    private BigDecimal averagePrice = BigDecimal.ZERO;
}
