package co.yixiang.yshop.module.product.controller.admin.campaigninfo.vo;

import lombok.*;
import io.swagger.v3.oas.annotations.media.Schema;
import co.yixiang.yshop.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import static co.yixiang.yshop.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 活动信息分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class CampaignInfoPageReqVO extends PageParam {

    @Schema(description = "活动名称", example = "赵六")
    private String name;

    @Schema(description = "活动类型：1、拼团，2、秒杀，3、限时折扣", example = "2")
    private Integer type;

    @Schema(description = "活动状态", example = "2")
    private Integer state;

    @Schema(description = "活动开始时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private String[] createTime;

}
