package co.yixiang.yshop.module.product.controller.admin.campaigninfo.vo;

import co.yixiang.yshop.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.List;

import static co.yixiang.yshop.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 画布活动分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class CanvasCampaignPageReqVO extends PageParam {

    @Schema(description = "活动id集合", example = "1")
    private List<Long> ids;

    @Schema(description = "活动名称", example = "赵六")
    private String name;

    @Schema(description = "活动类型：1、拼团，2、秒杀，3、限时折扣", example = "2")
    private Integer type;

    @Schema(description = "是否： 1、分页，2、不分页", example = "2")
    private Integer isPage;
}
