package co.yixiang.yshop.module.product.controller.admin.campaigninfo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Schema(description = "管理后台 - 画布活动分页信息 Response VO")
@Data
@ToString(callSuper = true)
public class CanvasCampaignPageRespVO {

    @Schema(description = "营销活动id", required = true, example = "8152")
    private Long id;

    @Schema(description = "活动名称", required = true, example = "赵六")
    private String name;

    @Schema(description = "备注", example = "你猜")
    private String remark;

    @Schema(description = "活动开始时间", required = true)
    private LocalDateTime startTime;

    @Schema(description = "活动结束时间", required = true)
    private LocalDateTime endTime;

    @Schema(description = "活动状态 0-未开始 1-进行中 2-已结束")
    private Integer state;

}
