package co.yixiang.yshop.module.product.controller.admin.category.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.time.LocalDateTime;
import java.util.List;

@Schema(description = "管理后台 - 商品分类树 Response VO")
@Data
@ToString(callSuper = true)
public class ProductCategoryTreeRespVO {

    @Schema(description = "分类编号", required = true, example = "2")
    private Long id;

    @Schema(description = "父分类编号", required = true, example = "2")
    private Long parentId;

    @Schema(description = "分类名称", required = true)
    private String name;

    @Schema(description = "子分类", required = true)
    private List<ProductCategoryTreeRespVO> children;

}
