package co.yixiang.yshop.module.product.controller.admin.productcoupon.vo;

import co.yixiang.yshop.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.List;

@Schema(description = "管理后台 - 画布商品优惠券分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class CanvasProductCouponPageReqVO extends PageParam {
    @Schema(description = "优惠券id集合", example = "1")
    private List<Long> ids;

    @Schema(description = "优惠券名称", example = "1")
    private String couponName;

    @Schema(description = "优惠券类型：1、满减券，2、折扣券", required = true, example = "1")
    private Integer couponType;

    @Schema(description = "是否： 1、分页，2、不分页", example = "2")
    private Integer isPage;

}
