package co.yixiang.yshop.module.product.controller.admin.productcoupon.vo;

import co.yixiang.yshop.framework.mybatis.core.dataobject.BaseDO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 商品优惠券 Base VO，提供给添加、修改、详细的子 VO 使用
 * 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
 */
@Data
public class ProductCouponBaseVO extends BaseDO {

    @Schema(description = "优惠券id", required = true, example = "1")
    private Long id;

    @Schema(description = "优惠券名称", required = true, example = "1")
    private String couponName;

    @Schema(description = "优惠券面值", required = true, example = "1")
    private BigDecimal couponValue;

    @Schema(description = "优惠券类型：1、满减券，2、折扣券", required = true, example = "1")
    private Integer couponType;

    @Schema(description = "满减门槛", required = true, example = "1")
    private BigDecimal threshold;

    @Schema(description = "折扣", required = true, example = "1")
    private BigDecimal discount;

    @Schema(description = "优惠券范围：1、所有商品，2、选中商品", required = true, example = "1")
    private Integer couponScope;

    @Schema(description = "范围值", required = true, example = "1")
    private String scopeValues;

    @Schema(description = "优惠券数量", required = true, example = "1")
    private Long number;

    @Schema(description = "领取限制类型 1 无限制 2限制次数", required = true, example = "1")
    private Integer receiveType;

    @Schema(description = "限制每人领取数量", required = true, example = "1")
    private Long limitNumber;

    @Schema(description = "过期类型：1、按时间，2、按天数", required = true, example = "1")
    private Integer expirationType;

    @Schema(description = "生效时间", required = true, example = "1")
    private LocalDateTime takingEffectTime;

    @Schema(description = "过期时间", required = true, example = "1")
    private LocalDateTime expirationTime;

    @Schema(description = "过期天数", required = true, example = "1")
    private Long expirationDay;

    @Schema(description = "备注", required = true, example = "1")
    private String remark;


}
