package co.yixiang.yshop.module.product.controller.admin.productcoupon.vo;

import co.yixiang.yshop.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

@Schema(description = "管理后台 - 商品优惠券分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class StoreProductCouponPageReqVO extends PageParam {

    @Schema(description = "优惠券名称", example = "1")
    private String couponName;

    @Schema(description = "优惠券类型：1、满减券，2、折扣券", required = true, example = "1")
    private Integer couponType;

    @Schema(description = "优惠券范围：1、所有商品，2、选中商品", required = true, example = "1")
    private Integer couponScope;

    @Schema(description = "过期类型：1、按时间，2、按天数", required = true, example = "1")
    private Integer expirationType;

    @Schema(description = "领取限制类型 1 无限制 2限制次数", required = true, example = "1")
    private Integer receiveType;

}
