package co.yixiang.yshop.module.product.controller.admin.storeproduct.vo;

import co.yixiang.yshop.module.product.dal.dataobject.storeproductattrvalue.StoreProductAttrValueDO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

@Schema(description = "管理后台 - 营销活动商品 Response VO")
@Data
@ToString(callSuper = true)
public class CampaignProductRespVO {

    @Schema(description = "商品id", required = true, example = "1175")
    private Long id;

    @Schema(description = "商品图片", required = true)
    private String image;

    @Schema(description = "商品名称", required = true, example = "张三")
    private String storeName;

    @Schema(description = "商品价格", required = true, example = "18735")
    private BigDecimal price;

    @Schema(description = "库存")
    private Integer stock;

    @Schema(description = "规格 0单 1多", example = "1")
    private Integer specType;

    @Schema(description = "规格信息", example = "1")
    List<CampaignSkuRespVO> skus;

}
