package co.yixiang.yshop.module.product.controller.admin.storeproductrelation.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import javax.validation.constraints.*;

/**
 * 商品点赞和收藏 Base VO，提供给添加、修改、详细的子 VO 使用
 * 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
 */
@Data
public class StoreProductRelationBaseVO {

    @Schema(description = "用户ID", required = true, example = "17942")
    @NotNull(message = "用户ID不能为空")
    private Long uid;

    @Schema(description = "商品ID", required = true, example = "8816")
    @NotNull(message = "商品ID不能为空")
    private Long productId;

    @Schema(description = "类型(收藏(collect）、点赞(like))", example = "2")
    private String type;

    @Schema(description = "某种类型的商品(普通商品、秒杀商品)")
    private String category;

}
