package co.yixiang.yshop.module.product.controller.admin.storeproductrelation.vo;

import lombok.*;

import java.util.*;

import io.swagger.v3.oas.annotations.media.Schema;
import co.yixiang.yshop.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import static co.yixiang.yshop.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 商品点赞和收藏分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class StoreProductRelationPageReqVO extends PageParam {

    @Schema(description = "用户ID", example = "17942")
    private Long uid;

    @Schema(description = "商品ID", example = "8816")
    private Long productId;

    @Schema(description = "类型(收藏(collect）、点赞(like))", example = "collect")
    private String type = "collect";

    @Schema(description = "某种类型的商品(普通商品、秒杀商品)")
    private String category;

    @Schema(description = "添加时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "昵称")
    private String nickname;

}
