package co.yixiang.yshop.module.product.controller.admin.storeproductreply.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.time.LocalDateTime;

import static co.yixiang.yshop.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 管理员回复 Request VO")
@Data
@ToString(callSuper = true)
public class StoreProductMerchantReplyReqVO {

    @Schema(description = "评论ID", required = true, example = "7419")
    @NotNull(message = "评论ID不能为空")
    private Long id;

    @NotNull(message = "回复内容不能为空")
    @Size(max = 250, message = "回复字数不能超过250个字符")
    @Schema(description = "管理员回复内容")
    private String merchantReplyContent;

}
