package co.yixiang.yshop.module.product.controller.admin.teamworkinfo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import javax.validation.constraints.*;

/**
 * 拼团信息 Base VO，提供给添加、修改、详细的子 VO 使用
 * 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
 */
@Data
public class TeamworkInfoBaseVO {

    @Schema(description = "拼团活动id", required = true, example = "23010")
    @NotNull(message = "拼团活动id不能为空")
    private Long campaignId;

    @Schema(description = "参团人数", required = true)
    @NotNull(message = "参团人数不能为空")
    private Integer people;

    @Schema(description = "成团状态 0-拼团中 1-拼团成功 2-拼团失败", required = true)
    @NotNull(message = "成团状态 0-拼团中 1-拼团成功 2-拼团失败不能为空")
    private Integer state;

    @Schema(description = "团长id", required = true)
    private Long regimentalCommanderId;

}
