package co.yixiang.yshop.module.product.controller.admin.teamworkinfo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;

@Schema(description = "管理后台 - 拼团信息 Response VO")
@Data
@ToString(callSuper = true)
public class TeamworkInfoRespVO {

    @Schema(description = "拼团id", required = true, example = "7641")
    private Long id;

    @Schema(description = "拼团活动id", required = true, example = "23010")
    private Long campaignId;

    @Schema(description = "拼团活动明细id", required = true, example = "23010")
    private Long campaignDetailId;

    @Schema(description = "活动名称", required = true, example = "23010")
    private String name;

    @Schema(description = "商品名称", required = true, example = "23010")
    private String productName;

    @Schema(description = "规格名称", required = true, example = "23010")
    private String sku;

    @Schema(description = "图片", required = true, example = "23010")
    private String image;

    @Schema(description = "参团人数", required = true)
    private Integer joinNumber;

    @Schema(description = "成团人数", required = true)
    private Integer person;

    @Schema(description = "成团状态 0-拼团中 1-拼团成功 2-拼团失败", required = true)
    private Integer state;

    @Schema(description = "团长", required = true)
    private String regimentalCommander;

    @Schema(description = "团长id", required = true)
    private Long regimentalCommanderId;

    @Schema(description = "开团时间", required = true)
    private LocalDateTime createTime;

}
