package co.yixiang.yshop.module.product.controller.app.campaigninfo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Schema(description = "用户 APP - 营销活动规格明细 Response VO")
@Data
@ToString(callSuper = true)
public class AppCampaignSkuRespVO {

    @Schema(description = "活动id", required = true, example = "1690")
    private Long id;

    @Schema(description = "活动明细", required = true, example = "9358")
    private Long detailId;

    @Schema(description = "商品id", required = true, example = "1690")
    private Long productId;

    @Schema(description = "规格id", required = true, example = "9358")
    private Long skuId;

    @Schema(description = "sku", required = true, example = "9358")
    private String sku;

    @Schema(description = "规格唯一值")
    private String productAttrUnique;

    @Schema(description = "活动状态", required = true, example = "9358")
    private Integer state;

    @Schema(description = "开始时间", required = true)
    private LocalDateTime startTime;

    @Schema(description = "结束时间", required = true)
    private LocalDateTime endTime;

    @Schema(description = "活动类型：1、拼团，2、秒杀，3、限时折扣", required = true)
    private Integer type;

    @Schema(description = "图片", required = true, example = "9358")
    private String image;

    @Schema(description = "活动原价", required = true, example = "25390")
    private BigDecimal campaignOriginalPrice;

    @Schema(description = "活动价格", required = true, example = "25390")
    private BigDecimal price;

    @Schema(description = "折扣比例", required = true, example = "6397")
    private BigDecimal discount;

    @Schema(description = "活动库存剩余数量", required = true)
    private Integer stock;

    @Schema(description = "活动总库存数量", required = true)
    private Integer total;

    @Schema(description = "成团人数", required = true)
    private Integer person;
}
