package co.yixiang.yshop.module.product.controller.app.campaigninfo.vo;

import co.yixiang.yshop.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;
import java.util.List;

@Schema(description = "用户 APP -营销活动商品列表 Request VO")
@Data
@ToString(callSuper = true)
public class CampaignProductReqVO extends PageParam {

    @Schema(description = "活动类型：1、拼团，2、秒杀，3、限时折扣")
    @NotNull(message = "活动类型不能为空")
    private Integer type;

    @Schema(description = "商品名称")
    private String productName;

    @Schema(description = "营销活动id")
    private List<Long> ids;

    @Schema(description = "场次开始时间")
    private LocalDateTime startTime;

    @Schema(description = "场次结束时间")
    private LocalDateTime endTime;

    @Schema(description = "是否分页：1、分页，2、不分页")
    private Integer isPage;
}
