package co.yixiang.yshop.module.product.controller.app.couponrelation.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

/**
 * 购物车优惠券VO
 */
@Data
public class CartCouponVO {

    @Schema(description = "优惠券明细id", required = true, example = "1")
    private Long detailId;

    @Schema(description = "优惠券id", required = true, example = "1")
    private Long id;

    @Schema(description = "优惠券名称", required = true, example = "1")
    private String couponName;

    @Schema(description = "优惠券面值", required = true, example = "1")
    private BigDecimal couponValue;

    @Schema(description = "优惠券类型：1、满减券，2、折扣券", required = true, example = "1")
    private Integer couponType;

    @Schema(description = "满减门槛", required = true, example = "1")
    private BigDecimal threshold;

    @Schema(description = "折扣", required = true, example = "1")
    private BigDecimal discount;

    @Schema(description = "优惠券范围：1、所有商品，2、选中类型，3、选中商品", required = true, example = "1")
    private Integer couponScope;


    @Schema(description = "范围值", required = true, example = "1")
    private String scopeValues;

    @Schema(description = "生效时间", required = true, example = "1")
    private LocalDateTime takingEffectTime;

    @Schema(description = "过期时间", required = true, example = "1")
    private LocalDateTime expirationTime;

    @Schema(description = "备注", required = true, example = "1")
    private String remark;

    @Schema(description = "领取时间", required = true, example = "1")
    private LocalDateTime receiveTime;

    @Schema(description = "优惠金额", required = true, example = "1")
    private BigDecimal discountAmount;

    @Schema(description = "购物车优惠券明细", required = true, example = "1")
    private List<CartCouponDetailVO> detailVOList;


}
