package co.yixiang.yshop.module.product.controller.app.couponrelation.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 用户优惠券VO
 */
@Data
public class UserCouponVO {

    @Schema(description = "优惠券明细id", required = true, example = "1")
    private Long detailId;

    @Schema(description = "优惠券id", required = true, example = "1")
    private Long id;

    @Schema(description = "优惠券名称", required = true, example = "1")
    private String couponName;

    @Schema(description = "优惠券面值", required = true, example = "1")
    private BigDecimal couponValue;

    @Schema(description = "优惠券类型：1、满减券，2、折扣券", required = true, example = "1")
    private Integer couponType;

    @Schema(description = "满减门槛", required = true, example = "1")
    private BigDecimal threshold;

    @Schema(description = "折扣", required = true, example = "1")
    private BigDecimal discount;

    @Schema(description = "优惠券范围：1、所有商品，2、选中类型，3、选中商品", required = true, example = "1")
    private Integer couponScope;

    @Schema(description = "范围值", required = true, example = "1")
    private String scopeValues;

    @Schema(description = "优惠券数量", required = true, example = "1")
    private Long number;

    @Schema(description = "领取限制类型 1 无限制 2限制次数", required = true, example = "1")
    private Integer receiveType;

    @Schema(description = "限制每人领取数量", required = true, example = "1")
    private Long limitNumber;

    @Schema(description = "过期类型：1、按时间，2、按天数", required = true, example = "1")
    private Integer expirationType;

    @Schema(description = "生效时间", required = true, example = "1")
    private LocalDateTime takingEffectTime;

    @Schema(description = "过期时间", required = true, example = "1")
    private LocalDateTime expirationTime;

    @Schema(description = "过期天数", required = true, example = "1")
    private Long expirationDay;

    @Schema(description = "备注", required = true, example = "1")
    private String remark;

    @Schema(description = "领取时间", required = true, example = "1")
    private LocalDateTime receiveTime;


}
