package co.yixiang.yshop.module.product.controller.app.product.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 评论表 查询结果对象
 * </p>
 *
 * @author hupeng
 * @date 2023-6-12
 */
@Data
@Schema(description = "用户 APP - 评论表vo")
public class AppStoreProductReplyQueryVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @Schema(description = "评论ID", requiredMode = Schema.RequiredMode.REQUIRED)
    private Long id;

    @Schema(description = "产品id", requiredMode = Schema.RequiredMode.REQUIRED)
    private Long productId;

    @Schema(description = "某种商品类型(普通商品、秒杀商品）", requiredMode = Schema.RequiredMode.REQUIRED)
    private String replyType;

    @Schema(description = "商品分数", requiredMode = Schema.RequiredMode.REQUIRED)
    private Integer productScore;

    @Schema(description = "服务分数", requiredMode = Schema.RequiredMode.REQUIRED)
    private Integer serviceScore;

    @Schema(description = "评论内容", requiredMode = Schema.RequiredMode.REQUIRED)
    private String comment;

    @Schema(description = "评论图片", requiredMode = Schema.RequiredMode.REQUIRED)
    private String[] pics;

    @Schema(description = "评论图片,字符串", requiredMode = Schema.RequiredMode.REQUIRED)
    private String pictures;

    @Schema(description = "管理员回复内容", requiredMode = Schema.RequiredMode.REQUIRED)
    private String merchantReplyContent;

    @Schema(description = "管理员回复时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date merchantReplyTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Schema(description = "发布时间", requiredMode = Schema.RequiredMode.REQUIRED)
    private Date createTime;

    @Schema(description = "评价星星数", requiredMode = Schema.RequiredMode.REQUIRED)
    private String star;

    @Schema(description = "用户昵称", requiredMode = Schema.RequiredMode.REQUIRED)
    private String nickname;

    @Schema(description = "用户头像", requiredMode = Schema.RequiredMode.REQUIRED)
    private String avatar;

    @Schema(description = "商品sku", requiredMode = Schema.RequiredMode.REQUIRED)
    private String sku;

    private String cartInfo;


}
