package co.yixiang.yshop.module.product.controller.app.relation.param;

import co.yixiang.yshop.framework.common.validation.InEnum;
import co.yixiang.yshop.module.product.enums.product.RelationCateEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * <p>
 * 商品点赞和收藏表 查询参数对象
 * </p>
 *
 * @author hupeng
 * @date 2019-10-23
 */
@Getter
@Setter
@Schema(description = "用户 APP - 收藏/足迹查询参数")
public class AppStoreProductRelationQueryParam {

    @NotBlank(message = "参数有误")
    @Schema(description = "商品id", requiredMode = Schema.RequiredMode.REQUIRED)
    private String productId;

    @Schema(description = "类型，collect|foot|like")
    private String type = "collect";

    @Schema(description = "商品类型，参见RelationCateEnum,默认值common")
    private String category = "common";
}
