package co.yixiang.yshop.module.product.controller.app.relation.param;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import java.util.List;

/**
 * <p>
 * 商品点赞和收藏表 查询参数对象
 * </p>
 *
 * @author hupeng
 * @date 2019-10-23
 */
@Data
@Schema(description = "用户 APP - 批量删除收藏/足迹查询参数")
public class BatchDelAppStoreProductRelationQueryParam {

    @Schema(description = "商品id", requiredMode = Schema.RequiredMode.REQUIRED)
    private List<Long> productIdList;

    @Schema(description = "商品类型，参见RelationCateEnum,默认值common", defaultValue = "common")
    private String category = "common";

    @Schema(description = "collect/foot", defaultValue = "collect")
    private String type = "collect";
}
