package co.yixiang.yshop.module.product.controller.app.relation.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 商品点赞和收藏表 查询结果对象
 * </p>
 *
 * @author hupeng
 * @date 2023-6-14
 */
@Data
@Schema(description = "用户 APP - 商品点赞和收藏vo")
public class AppStoreProductRelationQueryVo implements Serializable {
    private static final long serialVersionUID = 1L;

    private Long id;

    @Schema(description = "用户ID", required = true)
    private Long uid;

    @Schema(description = "商品ID", required = true)
    private Long productId;

    @Schema(description = "类型(收藏(collect）、足迹(root))", required = true)
    private String type;

    @Schema(description = "某种类型的商品(普通商品、秒杀商品)", required = true)
    private String category;

    @Schema(description = "添加时间", required = true)
    private Date createTime;

    @Schema(description = "产品图片", required = true)
    private String image;

    @Schema(description = "产品价格", required = true)
    private Double price;

    @Schema(description = "产品销量", required = true)
    private Integer sales;

    @Schema(description = "商品名称", required = true)
    private String storeName;

    @Schema(description = "用户昵称", required = true)
    private String nickname;

    @Schema(description = "用户头像", required = true)
    private String avatar;


}
