package co.yixiang.yshop.module.product.controller.app.teamworkinfo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

@Schema(description = "用户 APP - 拼团商品详情 Response VO")
@Data
@ToString(callSuper = true)
public class AppTeamworkProductDetailRespVO {

    @Schema(description = "商品id", required = true)
    private Long id;

    @Schema(description = "规格id", required = true)
    private Long skuId;

    @Schema(description = "规格唯一值", required = true)
    private String skuUnique;

    @Schema(description = "商品名称", required = true)
    private String storeName;

    @Schema(description = "图片", required = true)
    private String image;

    @Schema(description = "价格", required = true)
    private BigDecimal price;

    @Schema(description = "规格", required = true)
    private String sku;

    @Schema(description = "成团人数", required = true)
    private Integer person;

    @Schema(description = "状态", required = true)
    private Integer state;

    @Schema(description = "结束时间", required = true)
    private LocalDateTime closeTime;

    @Schema(description = "拼团用户信息", required = true)
    private List<AppWaitTeamworkUserRespVO> users;
}
