package co.yixiang.yshop.module.product.dal.dataobject.campaigndetail;

import lombok.*;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.*;
import co.yixiang.yshop.framework.mybatis.core.dataobject.BaseDO;

/**
 * 营销活动明细 DO
 *
 * @author moxiangrong
 */
@TableName("yshop_campaign_detail")
@KeySequence("yshop_campaign_detail_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CampaignDetailDO extends BaseDO {

    /**
     * 营销活动明细id
     */
    @TableId
    private Long id;
    /**
     * 营销活动id
     */
    private Long campaignId;
    /**
     * 商品id
     */
    private Long productId;
    /**
     * 规格id
     */
    private Long skuId;
    /**
     * 活动价格
     */
    private BigDecimal price;
    /**
     * 折扣比例
     */
    private BigDecimal discount;
    /**
     * 活动库存剩余数量
     */
    private Integer stock;
    /**
     * 活动库存总数量
     */
    private Integer total;

}
