package co.yixiang.yshop.module.product.dal.dataobject.campaigninfo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.*;
import co.yixiang.yshop.framework.mybatis.core.dataobject.BaseDO;

/**
 * 活动信息 DO
 *
 * @author moxiangrong
 */
@TableName("yshop_campaign_info")
@KeySequence("yshop_campaign_info_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CampaignInfoDO extends BaseDO {

    /**
     * 营销活动id
     */
    @TableId
    private Long id;
    /**
     * 活动名称
     */
    private String name;
    /**
     * 活动类型：1、拼团，2、秒杀，3、限时折扣
     */
    private Integer type;
    /**
     * 备注
     */
    private String remark;
    /**
     * 活动开始时间
     */
    private LocalDateTime startTime;
    /**
     * 活动结束时间
     */
    private LocalDateTime endTime;
    /**
     * 商品限购 1-不限购 2-限购
     */
    private Integer ifLimit;
    /**
     * 限购几件/人
     */
    private Integer limitNumber;
    /**
     * 活动预热   1-停用  2-启用
     */
    private Integer ifEnable;
    /**
     * 预热几分钟前
     */
    private Integer enableTime;
    /**
     * 活动状态 0-未开始 1-进行中 2-已结束
     */
    private Integer state;
    /**
     * 成团人数
     */
    private Integer person;
    /**
     * 成团有效时间几（分钟）
     */
    private Integer effectiveTime;
    /**
     * 是否虚拟成团:0-否，1-是
     */
    private Integer isVirtually;

}
