package co.yixiang.yshop.module.product.dal.dataobject.productcouponrelation;

import co.yixiang.yshop.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.time.LocalDateTime;

/**
 * 商品优惠券关联 DO
 *
 * @author moxiangrong
 */
@TableName("yshop_store_product_coupon_relation")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ProductCouponRelationDO extends BaseDO {

    /**
     * 优惠券关联id
     */
    @TableId
    private Long id;
    /**
     * 优惠券id
     */
    private Long couponId;
    /**
     * 用户id
     */
    private Long uid;
    /**
     * 是否使用
     */
    private Integer isUsed;
    /**
     * 领取时间
     */
    private LocalDateTime receiveTime;
    /**
     * 使用时间
     */
    private LocalDateTime usageTime;
}
