package co.yixiang.yshop.module.product.dal.dataobject.shippingtemplates;

import lombok.*;

import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.*;
import co.yixiang.yshop.framework.mybatis.core.dataobject.BaseDO;

/**
 * 运费模板 DO
 *
 * @author yshop
 */
@TableName("yshop_shipping_templates")
@KeySequence("yshop_shipping_templates_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ShippingTemplatesDO extends BaseDO {

    /**
     * 模板ID
     */
    @TableId
    private Integer id;
    /**
     * 模板名称
     */
    private String name;
    /**
     * 计费方式
     */
    private Integer type;
    /**
     * 地域以及费用
     */
    private String regionInfo;
    /**
     * 指定包邮开关
     */
    private Integer appoint;
    /**
     * 指定包邮内容
     */
    private String appointInfo;
    /**
     * 排序
     */
    private Integer sort;

}
