package co.yixiang.yshop.module.product.dal.dataobject.shippingtemplatesfree;

import lombok.*;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.*;
import co.yixiang.yshop.framework.mybatis.core.dataobject.BaseDO;

/**
 * 运费包邮明细 DO
 *
 * @author yshop
 */
@TableName("yshop_shipping_templates_free")
@KeySequence("yshop_shipping_templates_free_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ShippingTemplatesFreeDO {

    /**
     * 编号
     */
    @TableId
    private Integer id;
    /**
     * 省ID
     */
    private Integer provinceId;
    /**
     * 模板ID
     */
    private Integer tempId;
    /**
     * 城市ID
     */
    private Integer cityId;
    /**
     * 包邮件数
     */
    private BigDecimal number;
    /**
     * 包邮金额
     */
    private BigDecimal price;
    /**
     * 计费方式
     */
    private Integer type;
    /**
     * 分组唯一值
     */
    private String uniqid;

}
