package co.yixiang.yshop.module.product.dal.dataobject.storeproductrelation;

import lombok.*;

import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.*;
import co.yixiang.yshop.framework.mybatis.core.dataobject.BaseDO;

/**
 * 商品点赞和收藏 DO
 *
 * @author yshop
 */
@TableName("yshop_store_product_relation")
@KeySequence("yshop_store_product_relation_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class StoreProductRelationDO extends BaseDO {

    /**
     * id
     */
    @TableId
    private Long id;
    /**
     * 用户ID
     */
    private Long uid;
    /**
     * 商品ID
     */
    private Long productId;
    /**
     * 类型(收藏(collect）、点赞(like))
     */
    private String type;
    /**
     * 某种类型的商品(普通商品、秒杀商品)
     */
    private String category;

}
