package co.yixiang.yshop.module.product.dal.dataobject.teamworkinfo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.*;
import co.yixiang.yshop.framework.mybatis.core.dataobject.BaseDO;

/**
 * 拼团信息 DO
 *
 * @author moxiangrong
 */
@TableName("yshop_teamwork_info")
@KeySequence("yshop_teamwork_info_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class TeamworkInfoDO extends BaseDO {

    /**
     * 拼团id
     */
    @TableId
    private Long id;
    /**
     * 拼团活动id
     */
    private Long campaignId;
    /**
     * 拼团活动明细id
     */
    private Long campaignDetailId;
    /**
     * 参团人数
     */
    private Integer people;
    /**
     * 成团状态 0-拼团中 1-拼团成功 2-拼团失败
     */
    private Integer state;

    /**
     * 团长id
     */
    private Long regimentalCommanderId;

}
