package co.yixiang.yshop.module.product.service.productcoupon;


import co.yixiang.yshop.module.product.controller.app.coupon.vo.AppCouponDetailRespVO;
import co.yixiang.yshop.module.product.dal.dataobject.productcoupon.ProductCouponDO;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;


/**
 * App优惠券 Service 接口
 *
 * @author moxiangrong
 */
public interface AppCouponService extends IService<ProductCouponDO> {

    /**
     * 获取商品可领优惠券列表
     *
     * @param productId 商品id
     * @param uid       用户id
     * @return
     */
    List<AppCouponDetailRespVO> receiveList(Long productId, Long uid);

    /**
     * 获取优惠券可用商品列表
     *
     * @param id 优惠券id
     * @return
     */
    List<Long> getCouponProductList(Long id);

}
