package co.yixiang.yshop.module.shop.controller.admin.canvas.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 画布信息更新 Request VO")
@Data
@ToString(callSuper = true)
public class CanvasUpdateReqVO {

    @Schema(description = "画布id", required = true, example = "18674")
    @NotNull(message = "画布id不能为空")
    private Long id;

    @Schema(description = "名称", required = true, example = "yshop")
    @NotNull(message = "名称不能为空")
    private String name;

    @Schema(description = "画布类型 1-首页 2-我的", required = true)
    @NotNull(message = "画布类型不能为空")
    private Integer type;

}
