package co.yixiang.yshop.module.shop.controller.admin.canvasdetail.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import javax.validation.constraints.*;

/**
 * 画布明细 Base VO，提供给添加、修改、详细的子 VO 使用
 * 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
 */
@Data
public class CanvasDetailBaseVO {

    @Schema(description = "画布id", required = true, example = "8875")
    @NotNull(message = "画布id不能为空")
    private Long canvasId;

    @Schema(description = "终端 1-小程序 2-H5 3-APP", required = true)
    @NotNull(message = "终端 1-小程序 2-H5 3-APP不能为空")
    private Integer terminal;

    @Schema(description = "画布json数据")
    private String json;

}
