package co.yixiang.yshop.module.shop.controller.admin.canvasdetail.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;

@Schema(description = "管理后台 - 画布明细 Response VO")
@Data
@ToString(callSuper = true)
public class CanvasDetailRespVO {

    @Schema(description = "画布明细id", required = true, example = "15252")
    private Long id;

    @Schema(description = "终端 1-小程序 2-H5 3-APP", required = true)
    @NotNull(message = "终端 1-小程序 2-H5 3-APP不能为空")
    private Integer terminal;

    @Schema(description = "画布json数据")
    private String json;

    @Schema(description = "创建时间", required = true)
    private LocalDateTime createTime;

}
