package co.yixiang.yshop.module.shop.controller.admin.popup.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.time.LocalDateTime;
import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 弹窗更新 Request VO")
@Data
@ToString(callSuper = true)
public class PopupUpdateReqVO {

    @Schema(description = "弹窗id", required = true, example = "10459")
    @NotNull(message = "弹窗id不能为空")
    private Long id;

    @Schema(description = "名称", required = true, example = "赵六")
    @NotNull(message = "名称不能为空")
    private String name;

    @Schema(description = "开始时间", required = true)
    @NotNull(message = "开始时间不能为空")
    private LocalDateTime startTime;

    @Schema(description = "结束时间", required = true)
    @NotNull(message = "结束时间不能为空")
    private LocalDateTime endTime;

    @Schema(description = "弹窗图", required = true)
    @NotNull(message = "弹窗图不能为空")
    private String popupImage;

    @Schema(description = "按钮图", required = true)
    @NotNull(message = "按钮图不能为空")
    private String buttonImage;

    @Schema(description = "跳转类型：0、不跳转，1、商品，2、分类，3、优惠券，4、小程序", required = true, example = "2")
    @NotNull(message = "跳转类型不能为空")
    private Integer type;

    @Schema(description = "链接")
    private String link;

}
