package co.yixiang.yshop.module.shop.controller.admin.shop.vo;

import co.yixiang.yshop.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import static co.yixiang.yshop.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 门店分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ShopPageReqVO extends PageParam {

    @Schema(description = "门店名称", example = "yshop")
    private String storeName;

    @Schema(description = "门店简介")
    private String storeIntro;

    @Schema(description = "门店手机")
    private String storePhone;

    @Schema(description = "门店logo", example = "https://www.yixiang.co")
    private String iconUrl;

    @Schema(description = "门店地址")
    private String address;

    @Schema(description = "精度")
    private Double lon;

    @Schema(description = "纬度")
    private Double lat;

    @Schema(description = "核销开始时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] writeOffStartTime;

    @Schema(description = "核销结束时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] writeOffEndTime;

    @Schema(description = "营业开始时间")
    private String[] businessStartTime;

    @Schema(description = "营业结束时间")
    private String[] businessEndTime;

    @Schema(description = "状态", example = "1")
    private Boolean status;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}
