package co.yixiang.yshop.module.shop.controller.admin.shopassistant.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import javax.validation.constraints.*;

/**
 * 门店店员 Base VO，提供给添加、修改、详细的子 VO 使用
 * 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
 */
@Data
public class ShopAssistantBaseVO {

    @Schema(description = "门店ID", required = true, example = "17627")
    @NotNull(message = "门店ID不能为空")
    private Long storeId;

    @Schema(description = "会员ID", example = "2271")
    private Long userId;

    @Schema(description = "姓名", example = "yshop")
    private String name;

    @Schema(description = "联系电话")
    private String phoneNo;

    @Schema(description = "状态", required = true, example = "2")
    @NotNull(message = "状态不能为空")
    private Boolean status;

}
