package co.yixiang.yshop.module.shop.controller.admin.shopassistant.vo;

import lombok.*;

import java.util.*;

import io.swagger.v3.oas.annotations.media.Schema;
import co.yixiang.yshop.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import static co.yixiang.yshop.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 门店店员分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ShopAssistantPageReqVO extends PageParam {

    @Schema(description = "门店ID", example = "17627")
    private Long storeId;

    @Schema(description = "会员ID", example = "2271")
    private Long userId;

    @Schema(description = "姓名", example = "yshop")
    private String name;

    @Schema(description = "联系电话")
    private String phoneNo;

    @Schema(description = "状态", example = "2")
    private Boolean status;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}
