package co.yixiang.yshop.module.shop.dal.dataobject.canvas;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import co.yixiang.yshop.framework.mybatis.core.dataobject.BaseDO;

/**
 * 画布信息 DO
 *
 * @author moxiangrong
 */
@TableName("yshop_canvas")
@KeySequence("yshop_canvas_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CanvasDO extends BaseDO {

    /**
     * 画布id
     */
    @TableId
    private Long id;
    /**
     * 名称
     */
    private String name;
    /**
     * 画布类型 1-首页 2-我的
     */
    private Integer type;
    /**
     * 状态 0-关闭 1-开启
     */
    private Integer state;

}
