package co.yixiang.yshop.module.shop.dal.dataobject.canvasdetail;

import lombok.*;

import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.*;
import co.yixiang.yshop.framework.mybatis.core.dataobject.BaseDO;

/**
 * 画布明细 DO
 *
 * @author moxiangrong
 */
@TableName("yshop_canvas_detail")
@KeySequence("yshop_canvas_detail_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CanvasDetailDO extends BaseDO {

    /**
     * 画布明细id
     */
    @TableId
    private Long id;
    /**
     * 画布id
     */
    private Long canvasId;
    /**
     * 终端 1-小程序 2-H5 3-APP
     */
    private Integer terminal;
    /**
     * 画布json数据
     */
    private String json;

}
