package co.yixiang.yshop.module.shop.dal.dataobject.popup;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import co.yixiang.yshop.framework.mybatis.core.dataobject.BaseDO;

import java.time.LocalDateTime;

/**
 * 弹窗 DO
 *
 * @author moxiangrong
 */
@TableName("yshop_popup")
@KeySequence("yshop_popup_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class PopupDO extends BaseDO {

    /**
     * 弹窗id
     */
    @TableId
    private Long id;
    /**
     * 名称
     */
    private String name;
    /**
     * 开始时间
     */
    private LocalDateTime startTime;
    /**
     * 结束时间
     */
    private LocalDateTime endTime;
    /**
     * 弹窗图
     */
    private String popupImage;
    /**
     * 按钮图
     */
    private String buttonImage;
    /**
     * 跳转类型：0、不跳转，1、商品，2、分类，3、优惠券，4、小程序
     */
    private Integer type;
    /**
     * 链接
     */
    private String link;
    /**
     * 状态 0-关闭 1-开启
     */
    private Integer state;

}
