package co.yixiang.yshop.module.shop.dal.dataobject.shop;

import co.yixiang.yshop.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.time.LocalDateTime;

/**
 * 门店 DO
 *
 * @author admin
 */
@TableName("yshop_shop")
@KeySequence("yshop_shop_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ShopDO extends BaseDO {

    /**
     * 参数主键
     */
    @TableId
    private Long id;
    /**
     * 门店名称
     */
    private String storeName;
    /**
     * 门店简介
     */
    private String storeIntro;
    /**
     * 门店手机
     */
    private String storePhone;
    /**
     * 门店logo
     */
    private String iconUrl;
    /**
     * 门店地址
     */
    private String address;
    /**
     * 精度
     */
    private Double lon;
    /**
     * 纬度
     */
    private Double lat;
    /**
     * 核销开始时间
     */
    private LocalDateTime writeOffStartTime;
    /**
     * 核销结束时间
     */
    private LocalDateTime writeOffEndTime;
    /**
     * 营业开始时间
     */
    private String businessStartTime;
    /**
     * 营业结束时间
     */
    private String businessEndTime;
    /**
     * 状态
     */
    private Boolean status;

}
