package co.yixiang.yshop.module.shop.dal.dataobject.shopassistant;

import lombok.*;

import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.*;
import co.yixiang.yshop.framework.mybatis.core.dataobject.BaseDO;

/**
 * 门店店员 DO
 *
 * @author admin
 */
@TableName("yshop_shop_assistant")
@KeySequence("yshop_shop_assistant_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ShopAssistantDO extends BaseDO {

    /**
     * 参数主键
     */
    @TableId
    private Long id;
    /**
     * 门店ID
     */
    private Long storeId;
    /**
     * 会员ID
     */
    private Long userId;
    /**
     * 姓名
     */
    private String name;
    /**
     * 联系电话
     */
    private String phoneNo;
    /**
     * 状态
     */
    private Boolean status;

}
