package co.yixiang.yshop.module.member.controller.admin.integralrule.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import static co.yixiang.yshop.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 会员积分规则 Excel 导出 Request VO，参数和 IntegralRulePageReqVO 是一致的")
@Data
public class IntegralRuleExportReqVO {

    @Schema(description = "类型", example = "1")
    private String type;

    @Schema(description = "类型名称", example = "yshop")
    private String typeName;

    @Schema(description = "获取积分")
    private Integer integral;

    @Schema(description = "拓展字段")
    private String attribute1;

    @Schema(description = "添加时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "是否开启")
    private Boolean enable;

}
