package co.yixiang.yshop.module.member.controller.admin.userlevelconfig.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * 会员等级配置 Base VO，提供给添加、修改、详细的子 VO 使用
 * 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
 */
@Data
public class UserLevelConfigBaseVO {

    @Schema(description = "等级名称", required = true, example = "yshop")
    @NotNull(message = "等级名称不能为空")
    private String levelName;

    @Schema(description = "等级", required = true)
    @NotNull(message = "等级不能为空")
    private Integer level;

    @Schema(description = "成长值", required = true)
    @NotNull(message = "成长值不能为空")
    private Integer growthValue;

    @Schema(description = "图标", example = "https://www.yixiang.co")
    private String iconUrl;

    @Schema(description = "背景", example = "https://www.yixiang.co")
    private String backgroundUrl;

    @Schema(description = "状态", example = "1")
    private Boolean status;

    @Schema(description = "说明")
    private String remarks;

    @Schema(description = "色号")
    private String colorNum;

}
