package co.yixiang.yshop.module.member.controller.admin.userlevelconfig.vo;

import lombok.*;

import java.util.*;

import io.swagger.v3.oas.annotations.media.Schema;
import co.yixiang.yshop.framework.common.pojo.PageParam;

import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import static co.yixiang.yshop.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 会员等级配置 Excel 导出 Request VO，参数和 UserLevelConfigPageReqVO 是一致的")
@Data
public class UserLevelConfigExportReqVO {

    @Schema(description = "等级名称", example = "yshop")
    private String levelName;

    @Schema(description = "等级")
    private Integer level;

    @Schema(description = "成长值")
    private Integer growthValue;

    @Schema(description = "图标", example = "https://www.yixiang.co")
    private String iconUrl;

    @Schema(description = "背景", example = "https://www.yixiang.co")
    private String backgroundUrl;

    @Schema(description = "状态", example = "1")
    private Boolean status;

    @Schema(description = "说明")
    private String remarks;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}
