package co.yixiang.yshop.module.member.controller.admin.usertagref.vo;

import lombok.*;

import java.util.*;

import io.swagger.v3.oas.annotations.media.Schema;
import co.yixiang.yshop.framework.common.pojo.PageParam;

import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import static co.yixiang.yshop.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 用户标签中间 Excel 导出 Request VO，参数和 UserTagRefPageReqVO 是一致的")
@Data
@Builder
public class UserTagRefExportReqVO {

    @Schema(description = "用户ID", example = "21474")
    private Long userId;

    @Schema(description = "标签ID", example = "20574")
    private Long tagId;

    @Schema(description = "添加时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "标签名称")
    private String tagName;

    @Schema(description = "用户ID")
    private List<Long> userIds;

}
