package co.yixiang.yshop.module.member.controller.app.user.vo;


import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 用户表 查询结果对象
 * </p>
 *
 * @author hupeng
 * @date 2023-6-18
 */
@Data
@Schema(description = "用户 APP - 用户表查 Response VO")
public class AppUserQueryVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @Schema(description = "用户id", requiredMode = Schema.RequiredMode.REQUIRED)
    private Long uid;

    @Schema(description = "用户账户(跟accout一样)\"", requiredMode = Schema.RequiredMode.REQUIRED)
    private String username;

    @Schema(description = "用户账号", requiredMode = Schema.RequiredMode.REQUIRED)
    private String account;

    @Schema(description = "优惠券数量", requiredMode = Schema.RequiredMode.REQUIRED)
    private Long couponCount = 0L;

    @Schema(description = "订单详情数据", requiredMode = Schema.RequiredMode.REQUIRED)
    private AppUserOrderCountVo orderStatusNum;


    private Integer statu;

    @Schema(description = "总的签到天数", requiredMode = Schema.RequiredMode.REQUIRED)
    private Long sumSignDay;

    @Schema(description = "当天是否签到", requiredMode = Schema.RequiredMode.REQUIRED)
    private Integer isDaySign;

    @Schema(description = "昨天是否签到", requiredMode = Schema.RequiredMode.REQUIRED)
    private Integer isYesterDaySign;

    @Schema(description = "核销权限", requiredMode = Schema.RequiredMode.REQUIRED)
    private Integer checkStatus;

    @Schema(description = "用户昵称", requiredMode = Schema.RequiredMode.REQUIRED)
    private String nickname;

    @Schema(description = "用户头像", requiredMode = Schema.RequiredMode.REQUIRED)
    private String avatar;

    @Schema(description = "手机号码", requiredMode = Schema.RequiredMode.REQUIRED)
    private String phone;

    @Schema(description = "用户余额", requiredMode = Schema.RequiredMode.REQUIRED)
    private BigDecimal nowMoney;

    @Schema(description = "佣金金额", requiredMode = Schema.RequiredMode.REQUIRED)
    private BigDecimal brokeragePrice;

    @Schema(description = "用户剩余积分", requiredMode = Schema.RequiredMode.REQUIRED)
    private BigDecimal integral;

    @Schema(description = "连续签到天数", requiredMode = Schema.RequiredMode.REQUIRED)
    private Integer signNum;

    @Schema(description = "推广元id", requiredMode = Schema.RequiredMode.REQUIRED)
    private Long spreadUid;

    @Schema(description = "用户类型", requiredMode = Schema.RequiredMode.REQUIRED)
    private String userType;

    @Schema(description = "是否为推广员", requiredMode = Schema.RequiredMode.REQUIRED)
    private Integer isPromoter;

    @Schema(description = "用户购买次数", requiredMode = Schema.RequiredMode.REQUIRED)
    private Integer payCount;

    @Schema(description = "下级人数", requiredMode = Schema.RequiredMode.REQUIRED)
    private Integer spreadCount;

    @Schema(description = "详细地址", requiredMode = Schema.RequiredMode.REQUIRED)
    private String addres;


    @Schema(description = "用户登陆类型，h5,wechat,routine", requiredMode = Schema.RequiredMode.REQUIRED)
    private String loginType;


}
