package co.yixiang.yshop.module.member.dal.dataobject.burypoint;

import lombok.*;

import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.*;
import co.yixiang.yshop.framework.mybatis.core.dataobject.BaseDO;

/**
 * 埋点 DO
 *
 * @author admin
 */
@TableName("yshop_bury_point")
@KeySequence("yshop_bury_point_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BuryPointDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 用户ID
     */
    private Long userId;
    /**
     * 事件
     */
    private String event;
    /**
     * 事件参数
     */
    private String eventParameter;
    /**
     * IP
     */
    private String ip;

}
