package co.yixiang.yshop.module.member.dal.dataobject.userlevelconfig;

import co.yixiang.yshop.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 会员等级配置 DO
 *
 * @author admin
 */
@TableName("yshop_user_level_config")
@KeySequence("yshop_user_level_config_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class UserLevelConfigDO extends BaseDO {

    /**
     * 参数主键
     */
    @TableId
    private Long id;
    /**
     * 等级名称
     */
    private String levelName;
    /**
     * 等级
     */
    private Integer level;
    /**
     * 成长值
     */
    private Integer growthValue;
    /**
     * 图标
     */
    private String iconUrl;
    /**
     * 背景
     */
    private String backgroundUrl;
    /**
     * 状态
     */
    private Boolean status;
    /**
     * 说明
     */
    private String remarks;

    /**
     * 色号
     */
    private String colorNum;

}
