package co.yixiang.yshop.module.member.dal.dataobject.userlevelequity;

import co.yixiang.yshop.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 会员等级权益配置 DO
 *
 * @author admin
 */
@TableName("yshop_user_level_equity")
@KeySequence("yshop_user_level_equity_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class UserLevelEquityDO extends BaseDO {

    /**
     * 参数主键
     */
    @TableId
    private Long id;
    /**
     * 权益类型
     */
    private String type;
    /**
     * 类型名称
     */
    private String typeName;
    /**
     * 图标
     */
    private String iconUrl;

    private String remarks;

    @TableField(exist = false)
    private Long equityValue;

}
