package co.yixiang.yshop.module.member.dal.dataobject.userlevelgrowthvalueconfig;

import co.yixiang.yshop.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 会员成长任务配置 DO
 *
 * @author admin
 */
@TableName("yshop_user_level_growth_value_config")
@KeySequence("yshop_user_level_growth_value_config_seq")
// 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class UserLevelGrowthValueConfigDO extends BaseDO {

    /**
     * 参数主键
     */
    @TableId
    private Integer id;
    /**
     * 成长任务类型
     */
    private String type;
    /**
     * 类型名称
     */
    private String typeName;
    /**
     * 成长值
     */
    private Integer growthValue;

    /**
     * 图标
     */
    private String iconUrl;

}
