package co.yixiang.yshop.module.member.dal.dataobject.usertag;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.*;
import co.yixiang.yshop.framework.mybatis.core.dataobject.BaseDO;

/**
 * 会员标签 DO
 *
 * @author admin
 */
@TableName("yshop_user_tag")
@KeySequence("yshop_user_tag_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class UserTagDO extends BaseDO {

    /**
     * 用户id
     */
    @TableId
    private Long id;
    /**
     * 标签名称
     */
    private String tagName;
    /**
     * 分组ID
     */
    private Long groupId;

    /**
     * 分组名称
     */
    @TableField(exist = false)
    private String groupName;

    /**
     * 会员数
     */
    @TableField(exist = false)
    private Long userCount;

}
