package co.yixiang.yshop.module.member.service.userlevelequity;

import java.util.*;
import javax.validation.*;

import co.yixiang.yshop.module.member.controller.admin.userlevelequity.vo.*;
import co.yixiang.yshop.module.member.dal.dataobject.userlevelequity.UserLevelEquityDO;
import co.yixiang.yshop.framework.common.pojo.PageResult;

/**
 * 会员等级权益配置 Service 接口
 *
 * @author admin
 */
public interface UserLevelEquityService {

    /**
     * 创建会员等级权益配置
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createUserLevelEquity(@Valid UserLevelEquityCreateReqVO createReqVO);

    /**
     * 更新会员等级权益配置
     *
     * @param updateReqVO 更新信息
     */
    void updateUserLevelEquity(@Valid UserLevelEquityUpdateReqVO updateReqVO);

    /**
     * 删除会员等级权益配置
     *
     * @param id 编号
     */
    void deleteUserLevelEquity(Long id);

    /**
     * 获得会员等级权益配置
     *
     * @param id 编号
     * @return 会员等级权益配置
     */
    UserLevelEquityDO getUserLevelEquity(Long id);

    /**
     * 获得会员等级权益配置列表
     *
     * @return 会员等级权益配置列表
     */
    List<UserLevelEquityDO> getUserLevelEquityList();

    /**
     * 获得会员等级权益配置分页
     *
     * @param pageReqVO 分页查询
     * @return 会员等级权益配置分页
     */
    PageResult<UserLevelEquityDO> getUserLevelEquityPage(UserLevelEquityPageReqVO pageReqVO);

    /**
     * 获得会员等级权益配置列表, 用于 Excel 导出
     *
     * @param exportReqVO 查询条件
     * @return 会员等级权益配置列表
     */
    List<UserLevelEquityDO> getUserLevelEquityList(UserLevelEquityExportReqVO exportReqVO);

}
