package co.yixiang.yshop.module.member.service.userlevelequityref;

import java.util.*;
import javax.validation.*;

import co.yixiang.yshop.module.member.controller.admin.userlevelequityref.vo.*;
import co.yixiang.yshop.module.member.controller.app.userlevel.vo.SettleLevelInfoVO;
import co.yixiang.yshop.module.member.dal.dataobject.userlevelequity.UserLevelEquityDO;
import co.yixiang.yshop.module.member.dal.dataobject.userlevelequityref.UserLevelEquityRefDO;
import co.yixiang.yshop.framework.common.pojo.PageResult;

/**
 * 会员等级权益中间 Service 接口
 *
 * @author admin
 */
public interface UserLevelEquityRefService {

    /**
     * 创建会员等级权益中间
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createUserLevelEquityRef(@Valid UserLevelEquityRefCreateReqVO createReqVO);

    /**
     * 更新会员等级权益中间
     *
     * @param updateReqVO 更新信息
     */
    void updateUserLevelEquityRef(@Valid UserLevelEquityRefUpdateReqVO updateReqVO);

    /**
     * 删除会员等级权益中间
     *
     * @param id 编号
     */
    void deleteUserLevelEquityRef(Long id);

    /**
     * 获得会员等级权益中间
     *
     * @param id 编号
     * @return 会员等级权益中间
     */
    UserLevelEquityRefDO getUserLevelEquityRef(Long id);

    /**
     * 获得会员等级权益中间列表
     *
     * @param ids 编号
     * @return 会员等级权益中间列表
     */
    List<UserLevelEquityRefDO> getUserLevelEquityRefList(Collection<Long> ids);

    /**
     * 获得会员等级权益中间分页
     *
     * @param pageReqVO 分页查询
     * @return 会员等级权益中间分页
     */
    PageResult<UserLevelEquityRefDO> getUserLevelEquityRefPage(UserLevelEquityRefPageReqVO pageReqVO);

    /**
     * 获得会员等级权益中间列表, 用于 Excel 导出
     *
     * @param exportReqVO 查询条件
     * @return 会员等级权益中间列表
     */
    List<UserLevelEquityRefDO> getUserLevelEquityRefList(UserLevelEquityRefExportReqVO exportReqVO);


    /**
     * 保存等级权益关联数据
     *
     * @param id              等级id
     * @param levelEquityList 权益列表
     * @param flag            是否新增 ,编辑则删除以前绑定数据
     */
    void saveData(Long id, List<UserLevelEquityRefCreateReqVO> levelEquityList, boolean flag);

    /**
     * 查询权益 列表
     *
     * @param levelId /
     * @return /
     */
    List<UserLevelEquityDO> getUserLevelEquityList(Long levelId);
}
