package co.yixiang.yshop.module.member.service.userlevelgrowthvalueconfig;

import java.util.*;
import javax.validation.*;

import co.yixiang.yshop.module.member.controller.admin.userlevelgrowthvalueconfig.vo.*;
import co.yixiang.yshop.module.member.dal.dataobject.userlevelgrowthvalueconfig.UserLevelGrowthValueConfigDO;
import co.yixiang.yshop.framework.common.pojo.PageResult;

/**
 * 会员成长任务配置 Service 接口
 *
 * @author admin
 */
public interface UserLevelGrowthValueConfigService {

    /**
     * 创建会员成长任务配置
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Integer createUserLevelGrowthValueConfig(@Valid UserLevelGrowthValueConfigCreateReqVO createReqVO);

    /**
     * 更新会员成长任务配置
     *
     * @param updateReqVO 更新信息
     */
    void updateUserLevelGrowthValueConfig(@Valid UserLevelGrowthValueConfigUpdateReqVO updateReqVO);

    /**
     * 删除会员成长任务配置
     *
     * @param id 编号
     */
    void deleteUserLevelGrowthValueConfig(Integer id);

    /**
     * 获得会员成长任务配置
     *
     * @param id 编号
     * @return 会员成长任务配置
     */
    UserLevelGrowthValueConfigDO getUserLevelGrowthValueConfig(Integer id);

    /**
     * 获得会员成长任务配置列表
     *
     * @param ids 编号
     * @return 会员成长任务配置列表
     */
    List<UserLevelGrowthValueConfigDO> getUserLevelGrowthValueConfigList(Collection<Integer> ids);

    /**
     * 获得会员成长任务配置分页
     *
     * @param pageReqVO 分页查询
     * @return 会员成长任务配置分页
     */
    PageResult<UserLevelGrowthValueConfigDO> getUserLevelGrowthValueConfigPage(UserLevelGrowthValueConfigPageReqVO pageReqVO);

    /**
     * 获得会员成长任务配置列表, 用于 Excel 导出
     *
     * @param exportReqVO 查询条件
     * @return 会员成长任务配置列表
     */
    List<UserLevelGrowthValueConfigDO> getUserLevelGrowthValueConfigList(UserLevelGrowthValueConfigExportReqVO exportReqVO);

    /**
     * 根据类型查询
     *
     * @param type /
     * @return /
     */
    UserLevelGrowthValueConfigDO getByType(String type);
}
