package co.yixiang.yshop.module.member.service.usertaggroup;

import java.util.*;
import javax.validation.*;

import co.yixiang.yshop.module.member.controller.admin.usertaggroup.vo.*;
import co.yixiang.yshop.module.member.dal.dataobject.usertaggroup.UserTagGroupDO;
import co.yixiang.yshop.framework.common.pojo.PageResult;

/**
 * 会员标签分组 Service 接口
 *
 * @author admin
 */
public interface UserTagGroupService {

    /**
     * 创建会员标签分组
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createUserTagGroup(@Valid UserTagGroupCreateReqVO createReqVO);

    /**
     * 更新会员标签分组
     *
     * @param updateReqVO 更新信息
     */
    void updateUserTagGroup(@Valid UserTagGroupUpdateReqVO updateReqVO);

    /**
     * 删除会员标签分组
     *
     * @param id 编号
     */
    void deleteUserTagGroup(Long id);

    /**
     * 获得会员标签分组
     *
     * @param id 编号
     * @return 会员标签分组
     */
    UserTagGroupDO getUserTagGroup(Long id);

    /**
     * 获得会员标签分组列表
     *
     * @return 会员标签分组列表
     */
    List<UserTagGroupDO> getUserTagGroupList();

    /**
     * 获得会员标签分组分页
     *
     * @param pageReqVO 分页查询
     * @return 会员标签分组分页
     */
    PageResult<UserTagGroupDO> getUserTagGroupPage(UserTagGroupPageReqVO pageReqVO);

    /**
     * 获得会员标签分组列表, 用于 Excel 导出
     *
     * @param exportReqVO 查询条件
     * @return 会员标签分组列表
     */
    List<UserTagGroupDO> getUserTagGroupList(UserTagGroupExportReqVO exportReqVO);

}
