package co.yixiang.yshop.module.mp.dal.dataobject.customerservice;

import co.yixiang.yshop.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 客服 DO
 *
 * @author yshop
 */
@TableName("yshop_customer_service")
@KeySequence("yshop_customer_service_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CustomerServiceDO extends BaseDO {
    /**
     * 编号
     */
    @TableId
    private Long id;

    /**
     * 商家ID
     */
    private String shopId;

    /**
     * 微信客服id
     */
    private String openKfid;

    /**
     * 客服名称
     */
    private String name;

    /**
     * 客服头像
     */
    private String avatar;
}
