package co.yixiang.yshop.module.pay.controller.app.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * @ClassName PayDto
 * @Author hupeng <610796224@qq.com>
 * @Date 2013/6/20
 **/
@Data
public class AppPayParam implements Serializable {

    @Schema(description = "来源", requiredMode = Schema.RequiredMode.REQUIRED)
    private String from;
    /**
     * 支付类型
     */
    @NotBlank(message = "选择支付类型 PayTypeEnum类型(weixin_h5|weixin_applet|weixin_app)")
    @Schema(description = "支付类型", requiredMode = Schema.RequiredMode.REQUIRED)
    private String payType;

    @NotBlank(message = "参数错误")
    @Schema(description = "支付订单ID", requiredMode = Schema.RequiredMode.REQUIRED)
    private String orderId;


}
