/*
 Navicat Premium Data Transfer

 Source Server         : 1.0.4
 Source Server Type    : MySQL
 Source Server Version : 50732
 Source Host           :
 Source Schema         : yshop_pro

 Target Server Type    : MySQL
 Target Server Version : 50732
 File Encoding         : 65001

 Date: 23/11/2023 10:24:01
*/

SET NAMES utf8mb4;
SET
FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for infra_api_access_log
-- ----------------------------
DROP TABLE IF EXISTS `infra_api_access_log`;
CREATE TABLE `infra_api_access_log`
(
    `id`               bigint(20) NOT NULL AUTO_INCREMENT COMMENT '日志主键',
    `trace_id`         varchar(64) COLLATE utf8mb4_unicode_ci   NOT NULL DEFAULT '' COMMENT '链路追踪编号',
    `user_id`          bigint(20) NOT NULL DEFAULT '0' COMMENT '用户编号',
    `user_type`        tinyint(4) NOT NULL DEFAULT '0' COMMENT '用户类型',
    `application_name` varchar(50) COLLATE utf8mb4_unicode_ci   NOT NULL COMMENT '应用名',
    `request_method`   varchar(16) COLLATE utf8mb4_unicode_ci   NOT NULL DEFAULT '' COMMENT '请求方法名',
    `request_url`      varchar(255) COLLATE utf8mb4_unicode_ci  NOT NULL DEFAULT '' COMMENT '请求地址',
    `request_params`   varchar(8000) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '请求参数',
    `user_ip`          varchar(50) COLLATE utf8mb4_unicode_ci   NOT NULL COMMENT '用户 IP',
    `user_agent`       varchar(512) COLLATE utf8mb4_unicode_ci  NOT NULL COMMENT '浏览器 UA',
    `begin_time`       datetime                                 NOT NULL COMMENT '开始请求时间',
    `end_time`         datetime                                 NOT NULL COMMENT '结束请求时间',
    `duration`         int(11) NOT NULL COMMENT '执行时长',
    `result_code`      int(11) NOT NULL DEFAULT '0' COMMENT '结果码',
    `result_msg`       varchar(512) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '结果提示',
    `creator`          varchar(64) COLLATE utf8mb4_unicode_ci            DEFAULT '' COMMENT '创建者',
    `create_time`      datetime                                 NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater`          varchar(64) COLLATE utf8mb4_unicode_ci            DEFAULT '' COMMENT '更新者',
    `update_time`      datetime                                 NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted`          bit(1)                                   NOT NULL DEFAULT b'0' COMMENT '是否删除',
    `tenant_id`        bigint(20) NOT NULL DEFAULT '0' COMMENT '租户编号',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=35832 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='API 访问日志表';

-- ----------------------------
-- Records of infra_api_access_log
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for infra_api_error_log
-- ----------------------------
DROP TABLE IF EXISTS `infra_api_error_log`;
CREATE TABLE `infra_api_error_log`
(
    `id`                           int(11) NOT NULL AUTO_INCREMENT COMMENT '编号',
    `trace_id`                     varchar(64) COLLATE utf8mb4_unicode_ci   NOT NULL COMMENT '链路追踪编号\n     *\n     * 一般来说，通过链路追踪编号，可以将访问日志，错误日志，链路追踪日志，logger 打印日志等，结合在一起，从而进行排错。',
    `user_id`                      int(11) NOT NULL DEFAULT '0' COMMENT '用户编号',
    `user_type`                    tinyint(4) NOT NULL DEFAULT '0' COMMENT '用户类型',
    `application_name`             varchar(50) COLLATE utf8mb4_unicode_ci   NOT NULL COMMENT '应用名\n     *\n     * 目前读取 spring.application.name',
    `request_method`               varchar(16) COLLATE utf8mb4_unicode_ci   NOT NULL COMMENT '请求方法名',
    `request_url`                  varchar(255) COLLATE utf8mb4_unicode_ci  NOT NULL COMMENT '请求地址',
    `request_params`               varchar(8000) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '请求参数',
    `user_ip`                      varchar(50) COLLATE utf8mb4_unicode_ci   NOT NULL COMMENT '用户 IP',
    `user_agent`                   varchar(512) COLLATE utf8mb4_unicode_ci  NOT NULL COMMENT '浏览器 UA',
    `exception_time`               datetime                                 NOT NULL COMMENT '异常发生时间',
    `exception_name`               varchar(128) COLLATE utf8mb4_unicode_ci  NOT NULL DEFAULT '' COMMENT '异常名\n     *\n     * {@link Throwable#getClass()} 的类全名',
    `exception_message`            text COLLATE utf8mb4_unicode_ci          NOT NULL COMMENT '异常导致的消息\n     *\n     * {@link cn.iocoder.common.framework.util.ExceptionUtil#getMessage(Throwable)}',
    `exception_root_cause_message` text COLLATE utf8mb4_unicode_ci          NOT NULL COMMENT '异常导致的根消息\n     *\n     * {@link cn.iocoder.common.framework.util.ExceptionUtil#getRootCauseMessage(Throwable)}',
    `exception_stack_trace`        text COLLATE utf8mb4_unicode_ci          NOT NULL COMMENT '异常的栈轨迹\n     *\n     * {@link cn.iocoder.common.framework.util.ExceptionUtil#getServiceException(Exception)}',
    `exception_class_name`         varchar(512) COLLATE utf8mb4_unicode_ci  NOT NULL COMMENT '异常发生的类全名\n     *\n     * {@link StackTraceElement#getClassName()}',
    `exception_file_name`          varchar(512) COLLATE utf8mb4_unicode_ci  NOT NULL COMMENT '异常发生的类文件\n     *\n     * {@link StackTraceElement#getFileName()}',
    `exception_method_name`        varchar(512) COLLATE utf8mb4_unicode_ci  NOT NULL COMMENT '异常发生的方法名\n     *\n     * {@link StackTraceElement#getMethodName()}',
    `exception_line_number`        int(11) NOT NULL COMMENT '异常发生的方法所在行\n     *\n     * {@link StackTraceElement#getLineNumber()}',
    `process_status`               tinyint(4) NOT NULL COMMENT '处理状态',
    `process_time`                 datetime                                          DEFAULT NULL COMMENT '处理时间',
    `process_user_id`              int(11) DEFAULT '0' COMMENT '处理用户编号',
    `creator`                      varchar(64) COLLATE utf8mb4_unicode_ci            DEFAULT '' COMMENT '创建者',
    `create_time`                  datetime                                 NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater`                      varchar(64) COLLATE utf8mb4_unicode_ci            DEFAULT '' COMMENT '更新者',
    `update_time`                  datetime                                 NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted`                      bit(1)                                   NOT NULL DEFAULT b'0' COMMENT '是否删除',
    `tenant_id`                    bigint(20) NOT NULL DEFAULT '0' COMMENT '租户编号',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=4442 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='系统异常日志';

-- ----------------------------
-- Records of infra_api_error_log
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for infra_codegen_column
-- ----------------------------
DROP TABLE IF EXISTS `infra_codegen_column`;
CREATE TABLE `infra_codegen_column`
(
    `id`                       bigint(20) NOT NULL AUTO_INCREMENT COMMENT '编号',
    `table_id`                 bigint(20) NOT NULL COMMENT '表编号',
    `column_name`              varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '字段名',
    `data_type`                varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '字段类型',
    `column_comment`           varchar(500) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '字段描述',
    `nullable`                 bit(1)                                  NOT NULL COMMENT '是否允许为空',
    `primary_key`              bit(1)                                  NOT NULL COMMENT '是否主键',
    `auto_increment`           char(1) COLLATE utf8mb4_unicode_ci      NOT NULL COMMENT '是否自增',
    `ordinal_position`         int(11) NOT NULL COMMENT '排序',
    `java_type`                varchar(32) COLLATE utf8mb4_unicode_ci  NOT NULL COMMENT 'Java 属性类型',
    `java_field`               varchar(64) COLLATE utf8mb4_unicode_ci  NOT NULL COMMENT 'Java 属性名',
    `dict_type`                varchar(200) COLLATE utf8mb4_unicode_ci          DEFAULT '' COMMENT '字典类型',
    `example`                  varchar(64) COLLATE utf8mb4_unicode_ci           DEFAULT NULL COMMENT '数据示例',
    `create_operation`         bit(1)                                  NOT NULL COMMENT '是否为 Create 创建操作的字段',
    `update_operation`         bit(1)                                  NOT NULL COMMENT '是否为 Update 更新操作的字段',
    `list_operation`           bit(1)                                  NOT NULL COMMENT '是否为 List 查询操作的字段',
    `list_operation_condition` varchar(32) COLLATE utf8mb4_unicode_ci  NOT NULL DEFAULT '=' COMMENT 'List 查询操作的条件类型',
    `list_operation_result`    bit(1)                                  NOT NULL COMMENT '是否为 List 查询操作的返回字段',
    `html_type`                varchar(32) COLLATE utf8mb4_unicode_ci  NOT NULL COMMENT '显示类型',
    `creator`                  varchar(64) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '创建者',
    `create_time`              datetime                                NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater`                  varchar(64) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '更新者',
    `update_time`              datetime                                NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted`                  bit(1)                                  NOT NULL DEFAULT b'0' COMMENT '是否删除',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=2259 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='代码生成表字段定义';

-- ----------------------------
-- Records of infra_codegen_column
-- ----------------------------
BEGIN;
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1688, 131, 'id', 'BIGINT', '编号', b'0', b'1', '1', 1, 'Long', 'id', '', '9920', b'0', b'1', b'0', '=', b'1',
        'input', '1', '2023-05-10 15:20:54', '127', '2023-10-31 14:22:53', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1689, 131, 'create_time', 'TIMESTAMP', '创建时间', b'0', b'0', '0', 2, 'LocalDateTime', 'createTime', '', NULL,
        b'0', b'0', b'1', 'BETWEEN', b'1', 'datetime', '1', '2023-05-10 15:20:54', '127', '2023-10-31 14:22:53', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1690, 131, 'create_id', 'VARCHAR', '创建者ID', b'1', b'0', '0', 3, 'String', 'createId', '', '29395', b'1',
        b'1', b'1', '=', b'1', 'input', '1', '2023-05-10 15:20:54', '1', '2023-05-10 16:01:50', b'1');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1691, 131, 'type', 'CHAR', '类型1、图片；2、视频', b'0', b'0', '0', 4, 'String', 'type', '', '2', b'1', b'1', b'1',
        '=', b'1', 'select', '1', '2023-05-10 15:20:54', '127', '2023-10-31 14:22:53', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1692, 131, 'group_id', 'VARCHAR', '分组ID', b'1', b'0', '0', 5, 'String', 'groupId', '', '21579', b'1', b'1',
        b'1', '=', b'1', 'input', '1', '2023-05-10 15:20:54', '127', '2023-10-31 14:22:54', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1693, 131, 'name', 'VARCHAR', '素材名', b'0', b'0', '0', 6, 'String', 'name', '', '芋艿', b'1', b'1', b'1',
        'LIKE', b'1', 'input', '1', '2023-05-10 15:20:54', '127', '2023-10-31 14:22:54', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1694, 131, 'url', 'VARCHAR', '素材链接', b'1', b'0', '0', 7, 'String', 'url', '', 'https://www.iocoder.cn',
        b'1', b'1', b'1', '=', b'1', 'input', '1', '2023-05-10 15:20:54', '127', '2023-10-31 14:22:54', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1695, 131, 'update_time', 'TIMESTAMP', '更新时间', b'1', b'0', '0', 8, 'LocalDateTime', 'updateTime', '', NULL,
        b'0', b'0', b'0', 'BETWEEN', b'0', 'datetime', '1', '2023-05-10 15:20:54', '127', '2023-10-31 14:22:54', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1696, 131, 'deleted', 'BIT', '是否删除', b'0', b'0', '0', 9, 'Boolean', 'deleted', '', NULL, b'0', b'0', b'0',
        '=', b'0', 'radio', '1', '2023-05-10 15:20:54', '127', '2023-10-31 14:22:54', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1697, 132, 'id', 'BIGINT', '编号', b'0', b'1', '1', 1, 'Long', 'id', '', '1995', b'0', b'1', b'0', '=', b'1',
        'input', '1', '2023-05-10 15:20:54', '1', '2023-05-10 16:26:44', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1698, 132, 'create_time', 'TIMESTAMP', '创建时间', b'0', b'0', '0', 2, 'LocalDateTime', 'createTime', '', NULL,
        b'0', b'0', b'1', 'BETWEEN', b'1', 'datetime', '1', '2023-05-10 15:20:54', '1', '2023-05-10 16:26:44', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1699, 132, 'create_id', 'VARCHAR', '创建者ID', b'1', b'0', '0', 3, 'String', 'createId', '', '24549', b'1',
        b'1', b'1', '=', b'1', 'input', '1', '2023-05-10 15:20:54', '1', '2023-05-10 16:01:56', b'1');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1700, 132, 'name', 'VARCHAR', '分组名', b'0', b'0', '0', 4, 'String', 'name', '', '赵六', b'1', b'1', b'1',
        'LIKE', b'1', 'input', '1', '2023-05-10 15:20:54', '1', '2023-05-10 16:26:44', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1701, 132, 'update_time', 'TIMESTAMP', '更新时间', b'1', b'0', '0', 5, 'LocalDateTime', 'updateTime', '', NULL,
        b'0', b'0', b'0', 'BETWEEN', b'0', 'datetime', '1', '2023-05-10 15:20:54', '1', '2023-05-10 16:26:44', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1702, 132, 'deleted', 'BIT', '是否删除', b'0', b'0', '0', 6, 'Boolean', 'deleted', '', NULL, b'0', b'0', b'0',
        '=', b'0', 'radio', '1', '2023-05-10 15:20:54', '1', '2023-05-10 16:26:44', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1703, 131, 'creator', 'VARCHAR', '创建者', b'1', b'0', '0', 1, 'String', 'creator', '', NULL, b'0', b'0', b'0',
        '=', b'0', 'input', '1', '2023-05-10 16:01:50', '127', '2023-10-31 14:22:54', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1704, 131, 'updater', 'VARCHAR', '更新者', b'1', b'0', '0', 2, 'String', 'updater', '', NULL, b'0', b'0', b'0',
        '=', b'0', 'input', '1', '2023-05-10 16:01:50', '127', '2023-10-31 14:22:54', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1705, 132, 'creator', 'VARCHAR', '创建者', b'1', b'0', '0', 1, 'String', 'creator', '', NULL, b'0', b'0', b'0',
        '=', b'0', 'input', '1', '2023-05-10 16:01:57', '1', '2023-05-10 16:26:44', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1706, 132, 'updater', 'VARCHAR', '更新者', b'1', b'0', '0', 2, 'String', 'updater', '', NULL, b'0', b'0', b'0',
        '=', b'0', 'input', '1', '2023-05-10 16:01:57', '1', '2023-05-10 16:26:44', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1707, 133, 'id', 'INTEGER', 'id', b'0', b'1', '1', 1, 'Integer', 'id', '', '2067', b'0', b'1', b'0', '=', b'1',
        'input', '1', '2023-05-17 10:40:31', '1', '2023-05-17 10:47:51', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1708, 133, 'rule_name', 'VARCHAR', '规格名称', b'0', b'0', '0', 2, 'String', 'ruleName', '', '赵六', b'1', b'1',
        b'1', 'LIKE', b'1', 'input', '1', '2023-05-17 10:40:31', '1', '2023-05-17 10:47:51', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1709, 133, 'rule_value', 'LONGVARCHAR', '规格值', b'0', b'0', '0', 3, 'String', 'ruleValue', '', NULL, b'1',
        b'1', b'0', '=', b'1', 'input', '1', '2023-05-17 10:40:31', '1', '2023-05-17 10:47:51', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1710, 133, 'create_time', 'TIMESTAMP', '创建时间', b'1', b'0', '0', 4, 'LocalDateTime', 'createTime', '', NULL,
        b'0', b'0', b'0', 'BETWEEN', b'1', 'datetime', '1', '2023-05-17 10:40:31', '1', '2023-05-17 10:47:51', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1711, 133, 'update_time', 'TIMESTAMP', '更新时间', b'1', b'0', '0', 5, 'LocalDateTime', 'updateTime', '', NULL,
        b'0', b'0', b'0', 'BETWEEN', b'0', 'datetime', '1', '2023-05-17 10:40:31', '1', '2023-05-17 10:47:51', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1712, 133, 'creator', 'VARCHAR', '创建者', b'1', b'0', '0', 6, 'String', 'creator', '', NULL, b'0', b'0', b'0',
        '=', b'0', 'input', '1', '2023-05-17 10:40:31', '1', '2023-05-17 10:47:51', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1713, 133, 'deleted', 'BIT', '删除', b'1', b'0', '0', 7, 'Boolean', 'deleted', '', NULL, b'0', b'0', b'0', '=',
        b'0', 'radio', '1', '2023-05-17 10:40:31', '1', '2023-05-17 10:47:51', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1714, 133, 'tenant_id', 'BIGINT', '租户编号', b'1', b'0', '0', 8, 'Long', 'tenantId', '', '1659', b'0', b'0',
        b'0', '=', b'0', 'input', '1', '2023-05-17 10:40:31', '1', '2023-05-17 10:47:51', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1715, 134, 'id', 'BIGINT', '商品id', b'0', b'1', '1', 1, 'Long', 'id', '', '1175', b'0', b'1', b'0', '=', b'1',
        'input', '1', '2023-05-22 13:29:08', '1', '2023-06-12 10:27:01', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1716, 134, 'image', 'VARCHAR', '商品图片', b'0', b'0', '0', 2, 'String', 'image', '', NULL, b'1', b'1', b'0',
        '=', b'1', 'upload_image', '1', '2023-05-22 13:29:08', '1', '2023-06-12 10:27:01', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1717, 134, 'slider_image', 'VARCHAR', '轮播图', b'0', b'0', '0', 3, 'String', 'sliderImage', '', NULL, b'1',
        b'1', b'0', '=', b'0', 'upload_image', '1', '2023-05-22 13:29:08', '1', '2023-06-12 10:27:01', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1718, 134, 'store_name', 'VARCHAR', '商品名称', b'0', b'0', '0', 4, 'String', 'storeName', '', '张三', b'1',
        b'1', b'1', 'LIKE', b'1', 'input', '1', '2023-05-22 13:29:08', '1', '2023-06-12 10:27:01', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1719, 134, 'store_info', 'VARCHAR', '商品简介', b'0', b'0', '0', 5, 'String', 'storeInfo', '', NULL, b'1', b'1',
        b'0', '=', b'0', 'input', '1', '2023-05-22 13:29:08', '1', '2023-06-12 10:27:01', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1720, 134, 'keyword', 'VARCHAR', '关键字', b'0', b'0', '0', 6, 'String', 'keyword', '', NULL, b'1', b'1', b'0',
        '=', b'0', 'input', '1', '2023-05-22 13:29:08', '1', '2023-06-12 10:27:01', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1721, 134, 'bar_code', 'VARCHAR', '产品条码（一维码）', b'1', b'0', '0', 7, 'String', 'barCode', '', NULL, b'1',
        b'1', b'0', '=', b'0', 'input', '1', '2023-05-22 13:29:08', '1', '2023-06-12 10:27:01', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1722, 134, 'cate_id', 'VARCHAR', '分类id', b'0', b'0', '0', 8, 'String', 'cateId', '', '4928', b'1', b'1', b'0',
        '=', b'0', 'input', '1', '2023-05-22 13:29:08', '1', '2023-06-12 10:27:01', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1723, 134, 'price', 'DECIMAL', '商品价格', b'0', b'0', '0', 9, 'BigDecimal', 'price', '', '18735', b'1', b'1',
        b'0', '=', b'1', 'input', '1', '2023-05-22 13:29:08', '1', '2023-06-12 10:27:01', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1724, 134, 'vip_price', 'DECIMAL', '会员价格', b'1', b'0', '0', 10, 'BigDecimal', 'vipPrice', '', '18248', b'1',
        b'1', b'0', '=', b'0', 'input', '1', '2023-05-22 13:29:08', '1', '2023-06-12 10:27:01', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1725, 134, 'ot_price', 'DECIMAL', '市场价', b'1', b'0', '0', 11, 'BigDecimal', 'otPrice', '', '14818', b'1',
        b'1', b'0', '=', b'0', 'input', '1', '2023-05-22 13:29:08', '1', '2023-06-12 10:27:01', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1726, 134, 'postage', 'DECIMAL', '邮费', b'1', b'0', '0', 12, 'BigDecimal', 'postage', '', NULL, b'1', b'1',
        b'0', '=', b'0', 'input', '1', '2023-05-22 13:29:08', '1', '2023-06-12 10:27:01', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1727, 134, 'unit_name', 'VARCHAR', '单位名', b'1', b'0', '0', 13, 'String', 'unitName', '', '李四', b'1', b'1',
        b'0', 'LIKE', b'1', 'input', '1', '2023-05-22 13:29:08', '1', '2023-06-12 10:27:01', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1728, 134, 'sort', 'SMALLINT', '排序', b'1', b'0', '0', 14, 'Short', 'sort', '', NULL, b'1', b'1', b'0', '=',
        b'0', 'input', '1', '2023-05-22 13:29:08', '1', '2023-06-12 10:27:01', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1729, 134, 'sales', 'INTEGER', '销量', b'1', b'0', '0', 15, 'Integer', 'sales', '', NULL, b'1', b'1', b'0', '=',
        b'1', 'input', '1', '2023-05-22 13:29:08', '1', '2023-06-12 10:27:01', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1730, 134, 'stock', 'INTEGER', '库存', b'1', b'0', '0', 16, 'Integer', 'stock', '', NULL, b'1', b'1', b'0', '=',
        b'1', 'input', '1', '2023-05-22 13:29:08', '1', '2023-06-12 10:27:01', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1731, 134, 'is_show', 'BIT', '状态（0：未上架，1：上架）', b'1', b'0', '0', 17, 'Boolean', 'isShow', '', NULL, b'1',
        b'1', b'0', '=', b'0', 'radio', '1', '2023-05-22 13:29:08', '1', '2023-06-12 10:27:01', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1732, 134, 'is_hot', 'BIT', '是否热卖', b'1', b'0', '0', 18, 'Boolean', 'isHot', '', NULL, b'1', b'1', b'0',
        '=', b'0', 'radio', '1', '2023-05-22 13:29:08', '1', '2023-06-12 10:27:01', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1733, 134, 'is_benefit', 'BIT', '是否优惠', b'1', b'0', '0', 19, 'Boolean', 'isBenefit', '', NULL, b'1', b'1',
        b'0', '=', b'0', 'radio', '1', '2023-05-22 13:29:08', '1', '2023-06-12 10:27:01', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1734, 134, 'is_best', 'BIT', '是否精品', b'1', b'0', '0', 20, 'Boolean', 'isBest', '', NULL, b'1', b'1', b'0',
        '=', b'0', 'radio', '1', '2023-05-22 13:29:08', '1', '2023-06-12 10:27:01', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1735, 134, 'is_new', 'BIT', '是否新品', b'1', b'0', '0', 21, 'Boolean', 'isNew', '', NULL, b'1', b'1', b'0',
        '=', b'0', 'radio', '1', '2023-05-22 13:29:08', '1', '2023-06-12 10:27:01', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1736, 134, 'description', 'LONGVARCHAR', '产品描述', b'1', b'0', '0', 22, 'String', 'description', '',
        '你说的对', b'1', b'1', b'0', '=', b'0', 'editor', '1', '2023-05-22 13:29:08', '1', '2023-06-12 10:27:01',
        b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1737, 134, 'creator', 'VARCHAR', '创建者', b'1', b'0', '0', 23, 'String', 'creator', '', NULL, b'0', b'0', b'0',
        '=', b'0', 'input', '1', '2023-05-22 13:29:08', '1', '2023-06-12 10:27:01', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1738, 134, 'create_time', 'TIMESTAMP', '添加时间', b'1', b'0', '0', 24, 'LocalDateTime', 'createTime', '', NULL,
        b'0', b'0', b'0', 'BETWEEN', b'1', 'datetime', '1', '2023-05-22 13:29:08', '1', '2023-06-12 10:27:01', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1739, 134, 'update_time', 'TIMESTAMP', '更新时间', b'1', b'0', '0', 25, 'LocalDateTime', 'updateTime', '', NULL,
        b'0', b'0', b'0', 'BETWEEN', b'0', 'datetime', '1', '2023-05-22 13:29:08', '1', '2023-06-12 10:27:01', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1740, 134, 'updater', 'VARCHAR', '更新者', b'1', b'0', '0', 26, 'String', 'updater', '', NULL, b'0', b'0', b'0',
        '=', b'0', 'input', '1', '2023-05-22 13:29:08', '1', '2023-06-12 10:27:01', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1741, 134, 'is_postage', 'TINYINT', '是否包邮', b'1', b'0', '0', 27, 'Byte', 'isPostage', '', NULL, b'1', b'1',
        b'1', '=', b'1', 'input', '1', '2023-05-22 13:29:08', '1', '2023-06-12 10:27:01', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1742, 134, 'deleted', 'BIT', '是否删除', b'1', b'0', '0', 28, 'Boolean', 'deleted', '', NULL, b'0', b'0', b'0',
        '=', b'0', 'radio', '1', '2023-05-22 13:29:08', '1', '2023-06-12 10:27:01', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1743, 134, 'mer_use', 'TINYINT', '商户是否代理 0不可代理1可代理', b'1', b'0', '0', 29, 'Byte', 'merUse', '',
        NULL, b'1', b'1', b'0', '=', b'0', 'input', '1', '2023-05-22 13:29:08', '1', '2023-06-12 10:27:01', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1744, 134, 'give_integral', 'DECIMAL', '获得积分', b'1', b'0', '0', 30, 'BigDecimal', 'giveIntegral', '', NULL,
        b'1', b'1', b'0', '=', b'0', 'input', '1', '2023-05-22 13:29:08', '1', '2023-06-12 10:27:01', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1745, 134, 'cost', 'DECIMAL', '成本价', b'1', b'0', '0', 31, 'BigDecimal', 'cost', '', NULL, b'1', b'1', b'0',
        '=', b'0', 'input', '1', '2023-05-22 13:29:08', '1', '2023-06-12 10:27:01', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1746, 134, 'is_seckill', 'TINYINT', '秒杀状态 0 未开启 1已开启', b'1', b'0', '0', 32, 'Byte', 'isSeckill', '',
        NULL, b'1', b'1', b'0', '=', b'0', 'input', '1', '2023-05-22 13:29:08', '1', '2023-06-12 10:27:01', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1747, 134, 'is_bargain', 'TINYINT', '砍价状态 0未开启 1开启', b'1', b'0', '0', 33, 'Byte', 'isBargain', '',
        NULL, b'1', b'1', b'0', '=', b'0', 'input', '1', '2023-05-22 13:29:08', '1', '2023-06-12 10:27:01', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1748, 134, 'is_good', 'BIT', '是否优品推荐', b'1', b'0', '0', 34, 'Boolean', 'isGood', '', NULL, b'1', b'1',
        b'0', '=', b'0', 'radio', '1', '2023-05-22 13:29:08', '1', '2023-06-12 10:27:01', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1749, 134, 'ficti', 'INTEGER', '虚拟销量', b'1', b'0', '0', 35, 'Integer', 'ficti', '', NULL, b'1', b'1', b'0',
        '=', b'0', 'input', '1', '2023-05-22 13:29:08', '1', '2023-06-12 10:27:01', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1750, 134, 'browse', 'INTEGER', '浏览量', b'1', b'0', '0', 36, 'Integer', 'browse', '', NULL, b'1', b'1', b'0',
        '=', b'0', 'input', '1', '2023-05-22 13:29:08', '1', '2023-06-12 10:27:01', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1751, 134, 'code_path', 'VARCHAR', '产品二维码地址(用户小程序海报)', b'0', b'0', '0', 37, 'String', 'codePath',
        '', NULL, b'1', b'1', b'0', '=', b'0', 'input', '1', '2023-05-22 13:29:08', '1', '2023-06-12 10:27:01', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1752, 134, 'is_sub', 'BIT', '是否单独分佣', b'1', b'0', '0', 38, 'Boolean', 'isSub', '', NULL, b'1', b'1', b'0',
        '=', b'0', 'radio', '1', '2023-05-22 13:29:08', '1', '2023-06-12 10:27:01', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1753, 134, 'temp_id', 'INTEGER', '运费模板ID', b'1', b'0', '0', 39, 'Integer', 'tempId', '', '18065', b'1',
        b'1', b'0', '=', b'0', 'input', '1', '2023-05-22 13:29:08', '1', '2023-06-12 10:27:01', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1754, 134, 'spec_type', 'BIT', '规格 0单 1多', b'1', b'0', '0', 40, 'Boolean', 'specType', '', '1', b'1', b'1',
        b'0', '=', b'0', 'radio', '1', '2023-05-22 13:29:08', '1', '2023-06-12 10:27:01', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1755, 134, 'is_integral', 'TINYINT', '是开启积分兑换', b'1', b'0', '0', 41, 'Byte', 'isIntegral', '', NULL,
        b'1', b'1', b'0', '=', b'0', 'input', '1', '2023-05-22 13:29:08', '1', '2023-06-12 10:27:01', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1756, 134, 'integral', 'INTEGER', '需要多少积分兑换 只在开启积分兑换时生效', b'1', b'0', '0', 42, 'Integer',
        'integral', '', NULL, b'1', b'1', b'0', '=', b'0', 'input', '1', '2023-05-22 13:29:08', '1',
        '2023-06-12 10:27:01', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1757, 134, 'tenant_id', 'BIGINT', '租户编号', b'1', b'0', '0', 43, 'Long', 'tenantId', '', '11014', b'0', b'0',
        b'0', '=', b'0', 'input', '1', '2023-05-22 13:29:08', '1', '2023-06-12 10:27:01', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1758, 135, 'id', 'BIGINT', 'id', b'0', b'1', '1', 1, 'Long', 'id', '', '8611', b'0', b'1', b'0', '=', b'1',
        'input', '1', '2023-05-27 09:40:31', '1', '2023-05-27 09:43:50', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1759, 135, 'product_id', 'BIGINT', '商品ID', b'0', b'0', '0', 2, 'Long', 'productId', '', '15333', b'1', b'1',
        b'1', '=', b'1', 'input', '1', '2023-05-27 09:40:31', '1', '2023-05-27 09:43:50', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1760, 135, 'attr_name', 'VARCHAR', '属性名', b'0', b'0', '0', 3, 'String', 'attrName', '', '王五', b'1', b'1',
        b'1', 'LIKE', b'1', 'input', '1', '2023-05-27 09:40:31', '1', '2023-05-27 09:43:50', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1761, 135, 'attr_values', 'VARCHAR', '属性值', b'0', b'0', '0', 4, 'String', 'attrValues', '', NULL, b'1', b'1',
        b'1', '=', b'1', 'input', '1', '2023-05-27 09:40:31', '1', '2023-05-27 09:43:50', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1762, 136, 'id', 'BIGINT', 'id', b'0', b'1', '1', 1, 'Long', 'id', '', '32554', b'0', b'1', b'0', '=', b'1',
        'input', '1', '2023-05-27 09:40:31', '1', '2023-05-27 09:44:07', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1763, 136, 'product_id', 'BIGINT', '商品ID', b'0', b'0', '0', 2, 'Long', 'productId', '', '11180', b'1', b'1',
        b'1', '=', b'1', 'input', '1', '2023-05-27 09:40:31', '1', '2023-05-27 09:44:07', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1764, 136, 'result', 'LONGVARCHAR', '商品属性参数', b'0', b'0', '0', 3, 'String', 'result', '', NULL, b'1',
        b'1', b'1', '=', b'1', 'input', '1', '2023-05-27 09:40:31', '1', '2023-05-27 09:44:07', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1765, 136, 'change_time', 'TIMESTAMP', '上次修改时间', b'0', b'0', '0', 4, 'LocalDateTime', 'changeTime', '',
        NULL, b'1', b'1', b'1', 'BETWEEN', b'1', 'datetime', '1', '2023-05-27 09:40:31', '1', '2023-05-27 09:44:07',
        b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1766, 137, 'id', 'BIGINT', 'id', b'0', b'1', '1', 1, 'Long', 'id', '', '30784', b'0', b'1', b'0', '=', b'1',
        'input', '1', '2023-05-27 09:40:31', '1', '2023-05-27 09:44:22', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1767, 137, 'product_id', 'BIGINT', '商品ID', b'0', b'0', '0', 2, 'Long', 'productId', '', '9431', b'1', b'1',
        b'1', '=', b'1', 'input', '1', '2023-05-27 09:40:31', '1', '2023-05-27 09:44:22', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1768, 137, 'sku', 'VARCHAR', '商品属性索引值 (attr_value|attr_value[|....])', b'0', b'0', '0', 3, 'String',
        'sku', '', NULL, b'1', b'1', b'1', '=', b'1', 'input', '1', '2023-05-27 09:40:31', '1', '2023-05-27 09:44:22',
        b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1769, 137, 'stock', 'INTEGER', '属性对应的库存', b'0', b'0', '0', 4, 'Integer', 'stock', '', NULL, b'1', b'1',
        b'1', '=', b'1', 'input', '1', '2023-05-27 09:40:31', '1', '2023-05-27 09:44:22', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1770, 137, 'sales', 'INTEGER', '销量', b'1', b'0', '0', 5, 'Integer', 'sales', '', NULL, b'1', b'1', b'1', '=',
        b'1', 'input', '1', '2023-05-27 09:40:31', '1', '2023-05-27 09:44:22', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1771, 137, 'price', 'DECIMAL', '属性金额', b'0', b'0', '0', 6, 'BigDecimal', 'price', '', '24382', b'1', b'1',
        b'1', '=', b'1', 'input', '1', '2023-05-27 09:40:31', '1', '2023-05-27 09:44:22', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1772, 137, 'image', 'VARCHAR', '图片', b'1', b'0', '0', 7, 'String', 'image', '', NULL, b'1', b'1', b'1', '=',
        b'1', 'upload_image', '1', '2023-05-27 09:40:31', '1', '2023-05-27 09:44:22', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1773, 137, 'unique', 'VARCHAR', '唯一值', b'0', b'0', '0', 8, 'String', 'unique', '', NULL, b'1', b'1', b'1',
        '=', b'1', 'input', '1', '2023-05-27 09:40:31', '1', '2023-05-27 09:44:22', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1774, 137, 'cost', 'DECIMAL', '成本价', b'0', b'0', '0', 9, 'BigDecimal', 'cost', '', NULL, b'1', b'1', b'1',
        '=', b'1', 'input', '1', '2023-05-27 09:40:31', '1', '2023-05-27 09:44:22', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1775, 137, 'bar_code', 'VARCHAR', '商品条码', b'1', b'0', '0', 10, 'String', 'barCode', '', NULL, b'1', b'1',
        b'1', '=', b'1', 'input', '1', '2023-05-27 09:40:31', '1', '2023-05-27 09:44:22', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1776, 137, 'ot_price', 'DECIMAL', '原价', b'1', b'0', '0', 11, 'BigDecimal', 'otPrice', '', '1420', b'1', b'1',
        b'1', '=', b'1', 'input', '1', '2023-05-27 09:40:31', '1', '2023-05-27 09:44:22', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1777, 137, 'weight', 'DECIMAL', '重量', b'0', b'0', '0', 12, 'BigDecimal', 'weight', '', NULL, b'1', b'1', b'1',
        '=', b'1', 'input', '1', '2023-05-27 09:40:31', '1', '2023-05-27 09:44:22', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1778, 137, 'volume', 'DECIMAL', '体积', b'0', b'0', '0', 13, 'BigDecimal', 'volume', '', NULL, b'1', b'1', b'1',
        '=', b'1', 'input', '1', '2023-05-27 09:40:31', '1', '2023-05-27 09:44:22', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1779, 137, 'brokerage', 'DECIMAL', '一级返佣', b'0', b'0', '0', 14, 'BigDecimal', 'brokerage', '', NULL, b'1',
        b'1', b'1', '=', b'1', 'input', '1', '2023-05-27 09:40:31', '1', '2023-05-27 09:44:22', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1780, 137, 'brokerage_two', 'DECIMAL', '二级返佣', b'0', b'0', '0', 15, 'BigDecimal', 'brokerageTwo', '', NULL,
        b'1', b'1', b'1', '=', b'1', 'input', '1', '2023-05-27 09:40:31', '1', '2023-05-27 09:44:22', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1781, 137, 'pink_price', 'DECIMAL', '拼团价', b'0', b'0', '0', 16, 'BigDecimal', 'pinkPrice', '', '27724', b'1',
        b'1', b'1', '=', b'1', 'input', '1', '2023-05-27 09:40:31', '1', '2023-05-27 09:44:22', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1782, 137, 'pink_stock', 'INTEGER', '拼团库存', b'0', b'0', '0', 17, 'Integer', 'pinkStock', '', NULL, b'1',
        b'1', b'1', '=', b'1', 'input', '1', '2023-05-27 09:40:31', '1', '2023-05-27 09:44:22', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1783, 137, 'seckill_price', 'DECIMAL', '秒杀价', b'0', b'0', '0', 18, 'BigDecimal', 'seckillPrice', '', '31664',
        b'1', b'1', b'1', '=', b'1', 'input', '1', '2023-05-27 09:40:31', '1', '2023-05-27 09:44:22', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1784, 137, 'seckill_stock', 'INTEGER', '秒杀库存', b'0', b'0', '0', 19, 'Integer', 'seckillStock', '', NULL,
        b'1', b'1', b'1', '=', b'1', 'input', '1', '2023-05-27 09:40:31', '1', '2023-05-27 09:44:22', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1785, 137, 'integral', 'INTEGER', '需要多少积分兑换', b'1', b'0', '0', 20, 'Integer', 'integral', '', NULL,
        b'1', b'1', b'1', '=', b'1', 'input', '1', '2023-05-27 09:40:31', '1', '2023-05-27 09:44:22', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1799, 139, 'id', 'INTEGER', '模板ID', b'0', b'1', '1', 1, 'Integer', 'id', '', '17775', b'0', b'1', b'0', '=',
        b'1', 'input', '1', '2023-06-02 14:35:42', '1', '2023-06-02 14:39:25', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1800, 139, 'name', 'VARCHAR', '模板名称', b'1', b'0', '0', 2, 'String', 'name', '', '张三', b'1', b'1', b'1',
        'LIKE', b'1', 'input', '1', '2023-06-02 14:35:42', '1', '2023-06-02 14:39:25', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1801, 139, 'type', 'BIT', '计费方式', b'1', b'0', '0', 3, 'Boolean', 'type', '', '2', b'1', b'1', b'0', '=',
        b'1', 'radio', '1', '2023-06-02 14:35:42', '1', '2023-06-02 14:39:25', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1802, 139, 'region_info', 'LONGVARCHAR', '地域以及费用', b'1', b'0', '0', 4, 'String', 'regionInfo', '', NULL,
        b'1', b'1', b'0', '=', b'0', 'input', '1', '2023-06-02 14:35:42', '1', '2023-06-02 14:39:25', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1803, 139, 'appoint', 'BIT', '指定包邮开关', b'1', b'0', '0', 5, 'Boolean', 'appoint', '', NULL, b'1', b'1',
        b'0', '=', b'1', 'radio', '1', '2023-06-02 14:35:42', '1', '2023-06-02 14:39:25', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1804, 139, 'appoint_info', 'LONGVARCHAR', '指定包邮内容', b'1', b'0', '0', 6, 'String', 'appointInfo', '', NULL,
        b'1', b'1', b'0', '=', b'0', 'input', '1', '2023-06-02 14:35:42', '1', '2023-06-02 14:39:25', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1805, 139, 'creator', 'VARCHAR', '创建者', b'1', b'0', '0', 7, 'String', 'creator', '', NULL, b'0', b'0', b'0',
        '=', b'0', 'input', '1', '2023-06-02 14:35:42', '1', '2023-06-02 14:39:25', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1806, 139, 'create_time', 'TIMESTAMP', '添加时间', b'1', b'0', '0', 8, 'LocalDateTime', 'createTime', '', NULL,
        b'0', b'0', b'0', 'BETWEEN', b'1', 'datetime', '1', '2023-06-02 14:35:42', '1', '2023-06-02 14:39:25', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1807, 139, 'update_time', 'TIMESTAMP', '更新时间', b'1', b'0', '0', 9, 'LocalDateTime', 'updateTime', '', NULL,
        b'0', b'0', b'0', 'BETWEEN', b'0', 'datetime', '1', '2023-06-02 14:35:42', '1', '2023-06-02 14:39:25', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1808, 139, 'updater', 'VARCHAR', '更新者', b'1', b'0', '0', 10, 'String', 'updater', '', NULL, b'0', b'0', b'0',
        '=', b'0', 'input', '1', '2023-06-02 14:35:42', '1', '2023-06-02 14:39:25', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1809, 139, 'deleted', 'BIT', '是否删除', b'1', b'0', '0', 11, 'Boolean', 'deleted', '', NULL, b'0', b'0', b'0',
        '=', b'0', 'radio', '1', '2023-06-02 14:35:42', '1', '2023-06-02 14:39:25', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1810, 139, 'sort', 'INTEGER', '排序', b'1', b'0', '0', 12, 'Integer', 'sort', '', NULL, b'1', b'1', b'0', '=',
        b'0', 'input', '1', '2023-06-02 14:35:42', '1', '2023-06-02 14:39:25', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1811, 139, 'tenant_id', 'BIGINT', '租户编号', b'1', b'0', '0', 13, 'Long', 'tenantId', '', '3603', b'0', b'0',
        b'0', '=', b'0', 'input', '1', '2023-06-02 14:35:42', '1', '2023-06-02 14:39:25', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1812, 140, 'id', 'INTEGER', '编号', b'0', b'1', '1', 1, 'Integer', 'id', '', '11386', b'0', b'1', b'0', '=',
        b'1', 'input', '1', '2023-06-02 14:35:42', '1', '2023-06-02 14:48:50', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1813, 140, 'province_id', 'INTEGER', '省ID', b'0', b'0', '0', 2, 'Integer', 'provinceId', '', '15786', b'1',
        b'1', b'1', '=', b'1', 'input', '1', '2023-06-02 14:35:42', '1', '2023-06-02 14:48:50', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1814, 140, 'temp_id', 'INTEGER', '模板ID', b'0', b'0', '0', 3, 'Integer', 'tempId', '', '32249', b'1', b'1',
        b'1', '=', b'1', 'input', '1', '2023-06-02 14:35:42', '1', '2023-06-02 14:48:50', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1815, 140, 'city_id', 'INTEGER', '城市ID', b'0', b'0', '0', 4, 'Integer', 'cityId', '', '4772', b'1', b'1',
        b'1', '=', b'1', 'input', '1', '2023-06-02 14:35:42', '1', '2023-06-02 14:48:50', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1816, 140, 'number', 'DECIMAL', '包邮件数', b'0', b'0', '0', 5, 'BigDecimal', 'number', '', NULL, b'1', b'1',
        b'1', '=', b'1', 'input', '1', '2023-06-02 14:35:42', '1', '2023-06-02 14:48:50', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1817, 140, 'price', 'DECIMAL', '包邮金额', b'0', b'0', '0', 6, 'BigDecimal', 'price', '', '30472', b'1', b'1',
        b'1', '=', b'1', 'input', '1', '2023-06-02 14:35:42', '1', '2023-06-02 14:48:50', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1818, 140, 'type', 'BIT', '计费方式', b'0', b'0', '0', 7, 'Boolean', 'type', '', '1', b'1', b'1', b'1', '=',
        b'1', 'radio', '1', '2023-06-02 14:35:42', '1', '2023-06-02 14:48:50', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1819, 140, 'uniqid', 'VARCHAR', '分组唯一值', b'0', b'0', '0', 8, 'String', 'uniqid', '', '4130', b'1', b'1',
        b'1', '=', b'1', 'input', '1', '2023-06-02 14:35:42', '1', '2023-06-02 14:48:50', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1820, 141, 'id', 'INTEGER', '编号', b'0', b'1', '1', 1, 'Integer', 'id', '', '378', b'0', b'1', b'0', '=', b'1',
        'input', '1', '2023-06-02 14:35:42', '1', '2023-06-02 14:49:08', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1821, 141, 'province_id', 'INTEGER', '省ID', b'0', b'0', '0', 2, 'Integer', 'provinceId', '', '20327', b'1',
        b'1', b'1', '=', b'1', 'input', '1', '2023-06-02 14:35:42', '1', '2023-06-02 14:49:08', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1822, 141, 'temp_id', 'INTEGER', '模板ID', b'0', b'0', '0', 3, 'Integer', 'tempId', '', '22266', b'1', b'1',
        b'1', '=', b'1', 'input', '1', '2023-06-02 14:35:42', '1', '2023-06-02 14:49:08', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1823, 141, 'city_id', 'INTEGER', '城市ID', b'0', b'0', '0', 4, 'Integer', 'cityId', '', '26577', b'1', b'1',
        b'1', '=', b'1', 'input', '1', '2023-06-02 14:35:42', '1', '2023-06-02 14:49:08', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1824, 141, 'first', 'DECIMAL', '首件', b'0', b'0', '0', 5, 'BigDecimal', 'first', '', NULL, b'1', b'1', b'1',
        '=', b'1', 'input', '1', '2023-06-02 14:35:42', '1', '2023-06-02 14:49:08', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1825, 141, 'first_price', 'DECIMAL', '首件运费', b'0', b'0', '0', 6, 'BigDecimal', 'firstPrice', '', '2331',
        b'1', b'1', b'1', '=', b'1', 'input', '1', '2023-06-02 14:35:42', '1', '2023-06-02 14:49:08', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1826, 141, 'continues', 'DECIMAL', '续件', b'0', b'0', '0', 7, 'BigDecimal', 'continues', '', NULL, b'1', b'1',
        b'1', '=', b'1', 'input', '1', '2023-06-02 14:35:42', '1', '2023-06-02 14:49:08', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1827, 141, 'continue_price', 'DECIMAL', '续件运费', b'0', b'0', '0', 8, 'BigDecimal', 'continuePrice', '',
        '21082', b'1', b'1', b'1', '=', b'1', 'input', '1', '2023-06-02 14:35:42', '1', '2023-06-02 14:49:08', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1828, 141, 'type', 'BIT', '计费方式', b'0', b'0', '0', 9, 'Boolean', 'type', '', '2', b'1', b'1', b'1', '=',
        b'1', 'radio', '1', '2023-06-02 14:35:42', '1', '2023-06-02 14:49:08', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1829, 141, 'uniqid', 'VARCHAR', '分组唯一值', b'0', b'0', '0', 10, 'String', 'uniqid', '', '10545', b'1', b'1',
        b'1', '=', b'1', 'input', '1', '2023-06-02 14:35:42', '1', '2023-06-02 14:49:08', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1830, 142, 'id', 'BIGINT', '用户id', b'0', b'1', '1', 1, 'Long', 'id', '', '16370', b'0', b'1', b'0', '=', b'1',
        'input', '1', '2023-06-09 14:49:08', '1', '2023-06-09 14:59:21', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1831, 142, 'username', 'VARCHAR', '用户账户(跟accout一样)', b'1', b'0', '0', 2, 'String', 'username', '',
        '王五', b'1', b'1', b'1', 'LIKE', b'1', 'input', '1', '2023-06-09 14:49:08', '1', '2023-06-09 14:59:21', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1832, 142, 'password', 'VARCHAR', '用户密码（跟pwd）', b'1', b'0', '0', 3, 'String', 'password', '', NULL, b'1',
        b'1', b'0', '=', b'0', 'input', '1', '2023-06-09 14:49:08', '1', '2023-06-09 14:59:21', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1833, 142, 'real_name', 'VARCHAR', '真实姓名', b'1', b'0', '0', 4, 'String', 'realName', '', '王五', b'1', b'1',
        b'1', 'LIKE', b'1', 'input', '1', '2023-06-09 14:49:08', '1', '2023-06-09 14:59:21', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1834, 142, 'birthday', 'INTEGER', '生日', b'1', b'0', '0', 5, 'Integer', 'birthday', '', NULL, b'1', b'1', b'0',
        '=', b'0', 'input', '1', '2023-06-09 14:49:08', '1', '2023-06-09 14:59:21', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1835, 142, 'card_id', 'VARCHAR', '身份证号码', b'1', b'0', '0', 6, 'String', 'cardId', '', '29961', b'1', b'1',
        b'0', '=', b'0', 'input', '1', '2023-06-09 14:49:08', '1', '2023-06-09 14:59:21', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1836, 142, 'mark', 'VARCHAR', '用户备注', b'1', b'0', '0', 7, 'String', 'mark', '', NULL, b'1', b'1', b'0', '=',
        b'0', 'input', '1', '2023-06-09 14:49:08', '1', '2023-06-09 14:59:21', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1837, 142, 'partner_id', 'INTEGER', '合伙人id', b'1', b'0', '0', 8, 'Integer', 'partnerId', '', '4234', b'1',
        b'1', b'0', '=', b'0', 'input', '1', '2023-06-09 14:49:08', '1', '2023-06-09 14:59:21', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1838, 142, 'group_id', 'INTEGER', '用户分组id', b'1', b'0', '0', 9, 'Integer', 'groupId', '', '12625', b'1',
        b'1', b'0', '=', b'0', 'input', '1', '2023-06-09 14:49:08', '1', '2023-06-09 14:59:21', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1839, 142, 'nickname', 'VARCHAR', '用户昵称', b'1', b'0', '0', 10, 'String', 'nickname', '', '李四', b'1', b'1',
        b'1', 'LIKE', b'1', 'input', '1', '2023-06-09 14:49:08', '1', '2023-06-09 14:59:21', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1840, 142, 'avatar', 'VARCHAR', '用户头像', b'1', b'0', '0', 11, 'String', 'avatar', '', NULL, b'1', b'1', b'0',
        '=', b'1', 'input', '1', '2023-06-09 14:49:08', '1', '2023-06-09 14:59:21', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1841, 142, 'phone', 'CHAR', '手机号码', b'1', b'0', '0', 12, 'String', 'phone', '', NULL, b'1', b'1', b'1', '=',
        b'1', 'input', '1', '2023-06-09 14:49:08', '1', '2023-06-09 14:59:21', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1842, 142, 'add_ip', 'VARCHAR', '添加ip', b'1', b'0', '0', 13, 'String', 'addIp', '', NULL, b'1', b'1', b'0',
        '=', b'1', 'input', '1', '2023-06-09 14:49:08', '1', '2023-06-09 14:59:21', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1843, 142, 'creator', 'VARCHAR', '创建者', b'1', b'0', '0', 14, 'String', 'creator', '', NULL, b'0', b'0', b'0',
        '=', b'0', 'input', '1', '2023-06-09 14:49:08', '1', '2023-06-09 14:59:21', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1844, 142, 'create_time', 'TIMESTAMP', '添加时间', b'1', b'0', '0', 15, 'LocalDateTime', 'createTime', '', NULL,
        b'0', b'0', b'1', 'BETWEEN', b'1', 'datetime', '1', '2023-06-09 14:49:08', '1', '2023-06-09 14:59:21', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1845, 142, 'updater', 'VARCHAR', '更新者', b'1', b'0', '0', 16, 'String', 'updater', '', NULL, b'0', b'0', b'0',
        '=', b'0', 'input', '1', '2023-06-09 14:49:08', '1', '2023-06-09 14:59:21', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1846, 142, 'update_time', 'TIMESTAMP', '最后一次登录时间', b'1', b'0', '0', 17, 'LocalDateTime', 'updateTime',
        '', NULL, b'0', b'0', b'0', 'BETWEEN', b'0', 'datetime', '1', '2023-06-09 14:49:08', '1', '2023-06-09 14:59:21',
        b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1847, 142, 'last_ip', 'VARCHAR', '最后一次登录ip', b'1', b'0', '0', 18, 'String', 'lastIp', '', NULL, b'1',
        b'1', b'0', '=', b'0', 'input', '1', '2023-06-09 14:49:08', '1', '2023-06-09 14:59:21', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1848, 142, 'now_money', 'DECIMAL', '用户余额', b'0', b'0', '0', 19, 'BigDecimal', 'nowMoney', '', NULL, b'1',
        b'1', b'0', '=', b'1', 'input', '1', '2023-06-09 14:49:08', '1', '2023-06-09 14:59:21', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1849, 142, 'brokerage_price', 'DECIMAL', '佣金金额', b'0', b'0', '0', 20, 'BigDecimal', 'brokeragePrice', '',
        '14395', b'1', b'1', b'0', '=', b'1', 'input', '1', '2023-06-09 14:49:08', '1', '2023-06-09 14:59:21', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1850, 142, 'integral', 'DECIMAL', '用户剩余积分', b'0', b'0', '0', 21, 'BigDecimal', 'integral', '', NULL, b'1',
        b'1', b'0', '=', b'1', 'input', '1', '2023-06-09 14:49:08', '1', '2023-06-09 14:59:21', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1851, 142, 'sign_num', 'INTEGER', '连续签到天数', b'0', b'0', '0', 22, 'Integer', 'signNum', '', NULL, b'1',
        b'1', b'0', '=', b'0', 'input', '1', '2023-06-09 14:49:08', '1', '2023-06-09 14:59:21', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1852, 142, 'status', 'BIT', '1为正常，0为禁止', b'0', b'0', '0', 23, 'Boolean', 'status', '', '2', b'1', b'1',
        b'0', '=', b'1', 'radio', '1', '2023-06-09 14:49:08', '1', '2023-06-09 14:59:21', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1853, 142, 'level', 'TINYINT', '等级', b'0', b'0', '0', 24, 'Byte', 'level', '', NULL, b'1', b'1', b'0', '=',
        b'0', 'input', '1', '2023-06-09 14:49:08', '1', '2023-06-09 14:59:21', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1854, 142, 'spread_uid', 'BIGINT', '推广元id', b'1', b'0', '0', 25, 'Long', 'spreadUid', '', '5747', b'1', b'1',
        b'0', '=', b'0', 'input', '1', '2023-06-09 14:49:08', '1', '2023-06-09 14:59:21', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1855, 142, 'spread_time', 'TIMESTAMP', '推广员关联时间', b'1', b'0', '0', 26, 'LocalDateTime', 'spreadTime', '',
        NULL, b'1', b'1', b'0', 'BETWEEN', b'0', 'datetime', '1', '2023-06-09 14:49:08', '1', '2023-06-09 14:59:21',
        b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1856, 142, 'user_type', 'VARCHAR', '用户类型', b'0', b'0', '0', 27, 'String', 'userType', '', '1', b'1', b'1',
        b'0', '=', b'0', 'select', '1', '2023-06-09 14:49:08', '1', '2023-06-09 14:59:21', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1857, 142, 'is_promoter', 'TINYINT', '是否为推广员', b'0', b'0', '0', 28, 'Byte', 'isPromoter', '', NULL, b'1',
        b'1', b'0', '=', b'1', 'input', '1', '2023-06-09 14:49:08', '1', '2023-06-09 14:59:21', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1858, 142, 'pay_count', 'INTEGER', '用户购买次数', b'1', b'0', '0', 29, 'Integer', 'payCount', '', '16061',
        b'1', b'1', b'0', '=', b'1', 'input', '1', '2023-06-09 14:49:08', '1', '2023-06-09 14:59:21', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1859, 142, 'spread_count', 'INTEGER', '下级人数', b'1', b'0', '0', 30, 'Integer', 'spreadCount', '', '4960',
        b'1', b'1', b'0', '=', b'1', 'input', '1', '2023-06-09 14:49:08', '1', '2023-06-09 14:59:21', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1860, 142, 'addres', 'VARCHAR', '详细地址', b'0', b'0', '0', 31, 'String', 'addres', '', NULL, b'1', b'1', b'0',
        '=', b'1', 'input', '1', '2023-06-09 14:49:08', '1', '2023-06-09 14:59:21', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1861, 142, 'adminid', 'INTEGER', '管理员编号 ', b'1', b'0', '0', 32, 'Integer', 'adminid', '', '29490', b'1',
        b'1', b'0', '=', b'1', 'input', '1', '2023-06-09 14:49:08', '1', '2023-06-09 14:59:21', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1862, 142, 'login_type', 'VARCHAR', '用户登陆类型，h5,wechat,routine', b'0', b'0', '0', 33, 'String',
        'loginType', '', '2', b'1', b'1', b'0', '=', b'1', 'select', '1', '2023-06-09 14:49:08', '1',
        '2023-06-09 14:59:21', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1863, 142, 'wx_profile', 'LONGVARCHAR', '微信用户json信息', b'1', b'0', '0', 34, 'String', 'wxProfile', '',
        NULL, b'1', b'1', b'0', '=', b'1', 'upload_file', '1', '2023-06-09 14:49:08', '1', '2023-06-09 14:59:21', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1864, 142, 'deleted', 'BIT', '删除', b'1', b'0', '0', 35, 'Boolean', 'deleted', '', NULL, b'0', b'0', b'0', '=',
        b'0', 'radio', '1', '2023-06-09 14:49:08', '1', '2023-06-09 14:59:21', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1865, 142, 'tenant_id', 'BIGINT', '租户编号', b'1', b'0', '0', 36, 'Long', 'tenantId', '', '28404', b'0', b'0',
        b'0', '=', b'0', 'input', '1', '2023-06-09 14:49:08', '1', '2023-06-09 14:59:21', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1976, 151, 'id', 'BIGINT', 'id', b'0', b'1', '1', 1, 'Long', 'id', '', '10463', b'0', b'1', b'0', '=', b'1',
        'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 20:45:36', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1977, 151, 'order_code', 'VARCHAR', '订单号', b'1', b'0', '0', 2, 'String', 'orderCode', '', NULL, b'1', b'1',
        b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 20:45:36', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1978, 151, 'refund_amount', 'DECIMAL', '退款金额', b'1', b'0', '0', 3, 'BigDecimal', 'refundAmount', '', NULL,
        b'1', b'1', b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 20:45:36', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1979, 151, 'service_type', 'BIT', '服务类型0仅退款1退货退款', b'1', b'0', '0', 4, 'Boolean', 'serviceType', '',
        '2', b'1', b'1', b'1', '=', b'1', 'radio', '1', '2023-06-09 19:07:42', '1', '2023-06-18 20:45:36', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1980, 151, 'reasons', 'LONGVARCHAR', '申请原因', b'1', b'0', '0', 5, 'String', 'reasons', '', NULL, b'1', b'1',
        b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 20:45:36', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1981, 151, 'explains', 'LONGVARCHAR', '说明', b'1', b'0', '0', 6, 'String', 'explains', '', NULL, b'1', b'1',
        b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 20:45:36', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1982, 151, 'explain_img', 'LONGVARCHAR', '说明图片->多个用逗号分割', b'1', b'0', '0', 7, 'String', 'explainImg',
        '', NULL, b'1', b'1', b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 20:45:36', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1983, 151, 'shipper_code', 'VARCHAR', '物流公司编码', b'1', b'0', '0', 8, 'String', 'shipperCode', '', NULL,
        b'1', b'1', b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 20:45:36', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1984, 151, 'delivery_sn', 'VARCHAR', '物流单号', b'1', b'0', '0', 9, 'String', 'deliverySn', '', NULL, b'1',
        b'1', b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 20:45:36', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1985, 151, 'delivery_name', 'VARCHAR', '物流名称', b'1', b'0', '0', 10, 'String', 'deliveryName', '', 'yshop',
        b'1', b'1', b'1', 'LIKE', b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 20:45:36', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1986, 151, 'state', 'BIT', '状态 0已提交等待平台审核 1平台已审核 等待用户发货/退款 2 用户已发货 3退款成功',
        b'1', b'0', '0', 11, 'Boolean', 'state', '', NULL, b'1', b'1', b'1', '=', b'1', 'radio', '1',
        '2023-06-09 19:07:42', '1', '2023-06-18 20:45:36', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1987, 151, 'sales_state', 'BIT', '售后状态-0正常1用户取消2商家拒绝', b'1', b'0', '0', 12, 'Boolean',
        'salesState', '', NULL, b'1', b'1', b'1', '=', b'1', 'radio', '1', '2023-06-09 19:07:42', '1',
        '2023-06-18 20:45:36', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1988, 151, 'creator', 'VARCHAR', '创建者', b'1', b'0', '0', 13, 'String', 'creator', '', NULL, b'0', b'0', b'0',
        '=', b'0', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 20:45:36', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1989, 151, 'create_time', 'TIMESTAMP', '添加时间', b'1', b'0', '0', 14, 'LocalDateTime', 'createTime', '', NULL,
        b'0', b'0', b'1', 'BETWEEN', b'1', 'datetime', '1', '2023-06-09 19:07:42', '1', '2023-06-18 20:45:36', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1990, 151, 'updater', 'VARCHAR', '更新者', b'1', b'0', '0', 15, 'String', 'updater', '', NULL, b'0', b'0', b'0',
        '=', b'0', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 20:45:36', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1991, 151, 'update_time', 'TIMESTAMP', '更新时间', b'1', b'0', '0', 16, 'LocalDateTime', 'updateTime', '', NULL,
        b'0', b'0', b'0', 'BETWEEN', b'0', 'datetime', '1', '2023-06-09 19:07:42', '1', '2023-06-18 20:45:36', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1992, 151, 'deleted', 'BIT', '逻辑删除', b'1', b'0', '0', 17, 'Boolean', 'deleted', '', NULL, b'0', b'0', b'0',
        '=', b'0', 'radio', '1', '2023-06-09 19:07:42', '1', '2023-06-18 20:45:36', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1993, 151, 'user_id', 'BIGINT', '用户id', b'1', b'0', '0', 18, 'Long', 'userId', '', '24467', b'1', b'1', b'1',
        '=', b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 20:45:36', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1994, 151, 'consignee', 'VARCHAR', '商家收货人', b'1', b'0', '0', 19, 'String', 'consignee', '', NULL, b'1',
        b'1', b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 20:45:36', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1995, 151, 'phone_number', 'VARCHAR', '商家手机号', b'1', b'0', '0', 20, 'String', 'phoneNumber', '', NULL,
        b'1', b'1', b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 20:45:36', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1996, 151, 'address', 'VARCHAR', '商家地址', b'1', b'0', '0', 21, 'String', 'address', '', NULL, b'1', b'1',
        b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 20:45:36', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1997, 151, 'tenant_id', 'BIGINT', '租户编号', b'1', b'0', '0', 22, 'Long', 'tenantId', '', '6945', b'0', b'0',
        b'0', '=', b'0', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 20:45:36', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1998, 152, 'id', 'BIGINT', '主键id', b'0', b'1', '1', 1, 'Long', 'id', '', '27129', b'0', b'1', b'0', '=', b'1',
        'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 20:54:31', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1999, 152, 'store_after_sales_id', 'BIGINT', '售后id', b'1', b'0', '0', 2, 'Long', 'storeAfterSalesId', '',
        '12309', b'1', b'1', b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 20:54:31', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2000, 152, 'product_id', 'BIGINT', '商品id', b'1', b'0', '0', 3, 'Long', 'productId', '', '27833', b'1', b'1',
        b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 20:54:31', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2001, 152, 'cart_info', 'LONGVARCHAR', '退货东西的详情信息', b'0', b'0', '0', 4, 'String', 'cartInfo', '', NULL,
        b'1', b'1', b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 20:54:31', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2002, 152, 'deleted', 'BIT', '逻辑删除', b'1', b'0', '0', 5, 'Boolean', 'deleted', '', NULL, b'0', b'0', b'0',
        '=', b'0', 'radio', '1', '2023-06-09 19:07:42', '1', '2023-06-18 20:54:31', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2003, 152, 'tenant_id', 'BIGINT', '租户编号', b'1', b'0', '0', 6, 'Long', 'tenantId', '', '32156', b'0', b'0',
        b'0', '=', b'0', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 20:54:31', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2004, 152, 'creator', 'VARCHAR', '创建者', b'1', b'0', '0', 7, 'String', 'creator', '', NULL, b'0', b'0', b'0',
        '=', b'0', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 20:54:31', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2005, 152, 'create_time', 'TIMESTAMP', '添加时间', b'0', b'0', '0', 8, 'LocalDateTime', 'createTime', '', NULL,
        b'0', b'0', b'1', 'BETWEEN', b'1', 'datetime', '1', '2023-06-09 19:07:42', '1', '2023-06-18 20:54:31', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2006, 152, 'update_time', 'TIMESTAMP', '更新时间', b'1', b'0', '0', 9, 'LocalDateTime', 'updateTime', '', NULL,
        b'0', b'0', b'0', 'BETWEEN', b'0', 'datetime', '1', '2023-06-09 19:07:42', '1', '2023-06-18 20:54:31', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2007, 152, 'updater', 'VARCHAR', '更新者', b'1', b'0', '0', 10, 'String', 'updater', '', NULL, b'0', b'0', b'0',
        '=', b'0', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 20:54:31', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2008, 153, 'id', 'BIGINT', 'id', b'0', b'1', '1', 1, 'Long', 'id', '', '23233', b'0', b'1', b'0', '=', b'1',
        'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 21:00:27', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2009, 153, 'store_after_sales_id', 'BIGINT', '售后id', b'1', b'0', '0', 2, 'Long', 'storeAfterSalesId', '',
        '8825', b'1', b'1', b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 21:00:27', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2010, 153, 'change_type', 'BIT', '操作类型', b'1', b'0', '0', 3, 'Boolean', 'changeType', '', '2', b'1', b'1',
        b'1', '=', b'1', 'radio', '1', '2023-06-09 19:07:42', '1', '2023-06-18 21:00:27', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2011, 153, 'change_message', 'VARCHAR', '操作备注', b'1', b'0', '0', 4, 'String', 'changeMessage', '', NULL,
        b'1', b'1', b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 21:00:27', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2012, 153, 'change_time', 'TIMESTAMP', '操作时间', b'1', b'0', '0', 5, 'LocalDateTime', 'changeTime', '', NULL,
        b'1', b'1', b'1', 'BETWEEN', b'1', 'datetime', '1', '2023-06-09 19:07:42', '1', '2023-06-18 21:00:27', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2013, 153, 'operator', 'VARCHAR', '操作人', b'1', b'0', '0', 6, 'String', 'operator', '', NULL, b'1', b'1',
        b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 21:00:27', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2014, 154, 'id', 'BIGINT', '购物车表ID', b'0', b'1', '1', 1, 'Long', 'id', '', '11256', b'0', b'1', b'0', '=',
        b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-15 17:43:18', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2015, 154, 'uid', 'BIGINT', '用户ID', b'0', b'0', '0', 2, 'Long', 'uid', '', '10667', b'1', b'1', b'1', '=',
        b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-15 17:43:18', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2016, 154, 'type', 'VARCHAR', '类型', b'0', b'0', '0', 3, 'String', 'type', '', '1', b'1', b'1', b'1', '=',
        b'1', 'select', '1', '2023-06-09 19:07:42', '1', '2023-06-15 17:43:18', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2017, 154, 'product_id', 'BIGINT', '商品ID', b'0', b'0', '0', 4, 'Long', 'productId', '', '1696', b'1', b'1',
        b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-15 17:43:18', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2018, 154, 'product_attr_unique', 'VARCHAR', '商品属性', b'0', b'0', '0', 5, 'String', 'productAttrUnique', '',
        NULL, b'1', b'1', b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-15 17:43:18', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2019, 154, 'cart_num', 'SMALLINT', '商品数量', b'0', b'0', '0', 6, 'Short', 'cartNum', '', NULL, b'1', b'1',
        b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-15 17:43:18', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2020, 154, 'is_pay', 'BIT', '0 = 未购买 1 = 已购买', b'0', b'0', '0', 7, 'Boolean', 'isPay', '', NULL, b'1',
        b'1', b'1', '=', b'1', 'radio', '1', '2023-06-09 19:07:42', '1', '2023-06-15 17:43:18', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2021, 154, 'is_new', 'BIT', '是否为立即购买', b'0', b'0', '0', 8, 'Boolean', 'isNew', '', NULL, b'1', b'1',
        b'1', '=', b'1', 'radio', '1', '2023-06-09 19:07:42', '1', '2023-06-15 17:43:18', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2022, 154, 'combination_id', 'INTEGER', '拼团id', b'1', b'0', '0', 9, 'Integer', 'combinationId', '', '13847',
        b'1', b'1', b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-15 17:43:18', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2023, 154, 'seckill_id', 'INTEGER', '秒杀产品ID', b'0', b'0', '0', 10, 'Integer', 'seckillId', '', '8790', b'1',
        b'1', b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-15 17:43:18', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2024, 154, 'bargain_id', 'INTEGER', '砍价id', b'0', b'0', '0', 11, 'Integer', 'bargainId', '', '21581', b'1',
        b'1', b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-15 17:43:18', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2025, 154, 'deleted', 'BIT', '逻辑删除', b'1', b'0', '0', 12, 'Boolean', 'deleted', '', NULL, b'0', b'0', b'0',
        '=', b'0', 'radio', '1', '2023-06-09 19:07:42', '1', '2023-06-15 17:43:18', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2026, 154, 'tenant_id', 'BIGINT', '租户编号', b'1', b'0', '0', 13, 'Long', 'tenantId', '', '28742', b'0', b'0',
        b'0', '=', b'0', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-15 17:43:18', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2027, 154, 'creator', 'VARCHAR', '创建者', b'1', b'0', '0', 14, 'String', 'creator', '', NULL, b'0', b'0', b'0',
        '=', b'0', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-15 17:43:18', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2028, 154, 'create_time', 'TIMESTAMP', '添加时间', b'0', b'0', '0', 15, 'LocalDateTime', 'createTime', '', NULL,
        b'0', b'0', b'1', 'BETWEEN', b'1', 'datetime', '1', '2023-06-09 19:07:42', '1', '2023-06-15 17:43:18', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2029, 154, 'update_time', 'TIMESTAMP', '更新时间', b'1', b'0', '0', 16, 'LocalDateTime', 'updateTime', '', NULL,
        b'0', b'0', b'0', 'BETWEEN', b'0', 'datetime', '1', '2023-06-09 19:07:42', '1', '2023-06-15 17:43:18', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2030, 154, 'updater', 'VARCHAR', '更新者', b'1', b'0', '0', 17, 'String', 'updater', '', NULL, b'0', b'0', b'0',
        '=', b'0', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-15 17:43:18', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2031, 155, 'id', 'BIGINT', '订单ID', b'0', b'1', '1', 1, 'Long', 'id', '', '31716', b'0', b'1', b'0', '=', b'1',
        'input', '1', '2023-06-09 19:07:42', '127', '2023-10-31 14:39:58', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2032, 155, 'order_id', 'VARCHAR', '订单号', b'0', b'0', '0', 2, 'String', 'orderId', '', '20527', b'1', b'1',
        b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '127', '2023-10-31 14:39:58', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2033, 155, 'extend_order_id', 'VARCHAR', '额外订单号', b'1', b'0', '0', 3, 'String', 'extendOrderId', '',
        '12452', b'1', b'1', b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '127', '2023-10-31 14:39:58', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2034, 155, 'uid', 'BIGINT', '用户id', b'0', b'0', '0', 4, 'Long', 'uid', '', '8323', b'1', b'1', b'1', '=',
        b'1', 'input', '1', '2023-06-09 19:07:42', '127', '2023-10-31 14:39:58', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2035, 155, 'real_name', 'VARCHAR', '用户姓名', b'0', b'0', '0', 5, 'String', 'realName', '', '张三', b'1', b'1',
        b'1', 'LIKE', b'1', 'input', '1', '2023-06-09 19:07:42', '127', '2023-10-31 14:39:58', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2036, 155, 'user_phone', 'VARCHAR', '用户电话', b'0', b'0', '0', 6, 'String', 'userPhone', '', NULL, b'1', b'1',
        b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '127', '2023-10-31 14:39:58', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2037, 155, 'user_address', 'VARCHAR', '详细地址', b'0', b'0', '0', 7, 'String', 'userAddress', '', NULL, b'1',
        b'1', b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '127', '2023-10-31 14:39:58', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2038, 155, 'cart_id', 'VARCHAR', '购物车id', b'0', b'0', '0', 8, 'String', 'cartId', '', '23301', b'1', b'1',
        b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '127', '2023-10-31 14:39:58', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2039, 155, 'freight_price', 'DECIMAL', '运费金额', b'0', b'0', '0', 9, 'BigDecimal', 'freightPrice', '', '637',
        b'1', b'1', b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '127', '2023-10-31 14:39:58', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2040, 155, 'total_num', 'INTEGER', '订单商品总数', b'0', b'0', '0', 10, 'Integer', 'totalNum', '', NULL, b'1',
        b'1', b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '127', '2023-10-31 14:39:58', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2041, 155, 'total_price', 'DECIMAL', '订单总价', b'0', b'0', '0', 11, 'BigDecimal', 'totalPrice', '', '31659',
        b'1', b'1', b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '127', '2023-10-31 14:39:58', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2042, 155, 'total_postage', 'DECIMAL', '邮费', b'0', b'0', '0', 12, 'BigDecimal', 'totalPostage', '', NULL,
        b'1', b'1', b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '127', '2023-10-31 14:39:58', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2043, 155, 'pay_price', 'DECIMAL', '实际支付金额', b'0', b'0', '0', 13, 'BigDecimal', 'payPrice', '', '19682',
        b'1', b'1', b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '127', '2023-10-31 14:39:58', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2044, 155, 'pay_postage', 'DECIMAL', '支付邮费', b'0', b'0', '0', 14, 'BigDecimal', 'payPostage', '', NULL,
        b'1', b'1', b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '127', '2023-10-31 14:39:58', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2045, 155, 'deduction_price', 'DECIMAL', '抵扣金额', b'0', b'0', '0', 15, 'BigDecimal', 'deductionPrice', '',
        '16463', b'1', b'1', b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '127', '2023-10-31 14:39:58', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2046, 155, 'coupon_id', 'INTEGER', '优惠券id', b'0', b'0', '0', 16, 'Integer', 'couponId', '', '3299', b'1',
        b'1', b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '127', '2023-10-31 14:39:58', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2047, 155, 'coupon_price', 'DECIMAL', '优惠券金额', b'0', b'0', '0', 17, 'BigDecimal', 'couponPrice', '',
        '22157', b'1', b'1', b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '127', '2023-10-31 14:39:58', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2048, 155, 'paid', 'TINYINT', '支付状态', b'0', b'0', '0', 18, 'Byte', 'paid', '', '11728', b'1', b'1', b'1',
        '=', b'1', 'input', '1', '2023-06-09 19:07:42', '127', '2023-10-31 14:39:58', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2049, 155, 'pay_time', 'TIMESTAMP', '支付时间', b'1', b'0', '0', 19, 'LocalDateTime', 'payTime', '', NULL, b'1',
        b'1', b'1', 'BETWEEN', b'1', 'datetime', '1', '2023-06-09 19:07:42', '127', '2023-10-31 14:39:58', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2050, 155, 'pay_type', 'VARCHAR', '支付方式', b'0', b'0', '0', 20, 'String', 'payType', '', '2', b'1', b'1',
        b'1', '=', b'1', 'select', '1', '2023-06-09 19:07:42', '127', '2023-10-31 14:39:58', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2051, 155, 'status', 'BIT',
        '订单状态（-1 : 申请退款 -2 : 退货成功 0：待发货；1：待收货；2：已收货；3：已完成；-1：已退款）', b'0', b'0', '0', 21,
        'Boolean', 'status', '', '1', b'1', b'1', b'1', '=', b'1', 'radio', '1', '2023-06-09 19:07:42', '127',
        '2023-10-31 14:39:58', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2052, 155, 'refund_status', 'TINYINT', '0 未退款 1 申请中 2 已退款', b'0', b'0', '0', 22, 'Byte',
        'refundStatus', '', '2', b'1', b'1', b'1', '=', b'1', 'radio', '1', '2023-06-09 19:07:42', '127',
        '2023-10-31 14:39:58', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2053, 155, 'refund_reason_wap_img', 'VARCHAR', '退款图片', b'1', b'0', '0', 23, 'String', 'refundReasonWapImg',
        '', NULL, b'1', b'1', b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '127', '2023-10-31 14:39:58', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2054, 155, 'refund_reason_wap_explain', 'VARCHAR', '退款用户说明', b'1', b'0', '0', 24, 'String',
        'refundReasonWapExplain', '', NULL, b'1', b'1', b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '127',
        '2023-10-31 14:39:58', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2055, 155, 'refund_reason_time', 'TIMESTAMP', '退款时间', b'1', b'0', '0', 25, 'LocalDateTime',
        'refundReasonTime', '', NULL, b'1', b'1', b'1', 'BETWEEN', b'1', 'datetime', '1', '2023-06-09 19:07:42', '127',
        '2023-10-31 14:39:58', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2056, 155, 'refund_reason_wap', 'VARCHAR', '前台退款原因', b'1', b'0', '0', 26, 'String', 'refundReasonWap', '',
        NULL, b'1', b'1', b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '127', '2023-10-31 14:39:58', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2057, 155, 'refund_reason', 'VARCHAR', '不退款的理由', b'1', b'0', '0', 27, 'String', 'refundReason', '',
        '不喜欢', b'1', b'1', b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '127', '2023-10-31 14:39:58', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2058, 155, 'refund_price', 'DECIMAL', '退款金额', b'0', b'0', '0', 28, 'BigDecimal', 'refundPrice', '', '7547',
        b'1', b'1', b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '127', '2023-10-31 14:39:58', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2059, 155, 'delivery_sn', 'VARCHAR', '快递公司编号', b'1', b'0', '0', 29, 'String', 'deliverySn', '', NULL,
        b'1', b'1', b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '127', '2023-10-31 14:39:58', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2060, 155, 'delivery_name', 'VARCHAR', '快递名称/送货人姓名', b'1', b'0', '0', 30, 'String', 'deliveryName', '',
        '张三', b'1', b'1', b'1', 'LIKE', b'1', 'input', '1', '2023-06-09 19:07:42', '127', '2023-10-31 14:39:58',
        b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2061, 155, 'delivery_type', 'VARCHAR', '发货类型', b'1', b'0', '0', 31, 'String', 'deliveryType', '', '1', b'1',
        b'1', b'1', '=', b'1', 'select', '1', '2023-06-09 19:07:42', '127', '2023-10-31 14:39:58', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2062, 155, 'delivery_id', 'VARCHAR', '快递单号/手机号', b'1', b'0', '0', 32, 'String', 'deliveryId', '',
        '24798', b'1', b'1', b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '127', '2023-10-31 14:39:58', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2063, 155, 'gain_integral', 'DECIMAL', '消费赚取积分', b'0', b'0', '0', 33, 'BigDecimal', 'gainIntegral', '',
        NULL, b'1', b'1', b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '127', '2023-10-31 14:39:58', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2064, 155, 'use_integral', 'DECIMAL', '使用积分', b'0', b'0', '0', 34, 'BigDecimal', 'useIntegral', '', NULL,
        b'1', b'1', b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '127', '2023-10-31 14:39:58', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2065, 155, 'pay_integral', 'DECIMAL', '实际支付积分', b'0', b'0', '0', 35, 'BigDecimal', 'payIntegral', '',
        NULL, b'1', b'1', b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '127', '2023-10-31 14:39:58', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2066, 155, 'back_integral', 'DECIMAL', '给用户退了多少积分', b'1', b'0', '0', 36, 'BigDecimal', 'backIntegral',
        '', NULL, b'1', b'1', b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '127', '2023-10-31 14:39:58', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2067, 155, 'mark', 'VARCHAR', '备注', b'0', b'0', '0', 37, 'String', 'mark', '', NULL, b'1', b'1', b'1', '=',
        b'1', 'input', '1', '2023-06-09 19:07:42', '127', '2023-10-31 14:39:58', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2068, 155, 'unique', 'CHAR', '唯一id(md5加密)类似id', b'0', b'0', '0', 38, 'String', 'unique', '', NULL, b'1',
        b'1', b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '127', '2023-10-31 14:39:58', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2069, 155, 'remark', 'VARCHAR', '管理员备注', b'1', b'0', '0', 39, 'String', 'remark', '', '随便', b'1', b'1',
        b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '127', '2023-10-31 14:39:58', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2070, 155, 'mer_id', 'INTEGER', '商户ID', b'0', b'0', '0', 40, 'Integer', 'merId', '', '8499', b'1', b'1', b'1',
        '=', b'1', 'input', '1', '2023-06-09 19:07:42', '127', '2023-10-31 14:39:58', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2071, 155, 'combination_id', 'BIGINT', '拼团产品id0一般产品', b'1', b'0', '0', 41, 'Long', 'combinationId', '',
        '3865', b'1', b'1', b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '127', '2023-10-31 14:39:58', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2072, 155, 'pink_id', 'BIGINT', '拼团id 0没有拼团', b'0', b'0', '0', 42, 'Long', 'pinkId', '', '8463', b'1',
        b'1', b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '127', '2023-10-31 14:39:58', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2073, 155, 'cost', 'DECIMAL', '成本价', b'0', b'0', '0', 43, 'BigDecimal', 'cost', '', NULL, b'1', b'1', b'1',
        '=', b'1', 'input', '1', '2023-06-09 19:07:42', '127', '2023-10-31 14:39:58', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2074, 155, 'seckill_id', 'BIGINT', '秒杀产品ID', b'0', b'0', '0', 44, 'Long', 'seckillId', '', '21525', b'1',
        b'1', b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '127', '2023-10-31 14:39:58', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2075, 155, 'bargain_id', 'INTEGER', '砍价id', b'1', b'0', '0', 45, 'Integer', 'bargainId', '', '5132', b'1',
        b'1', b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '127', '2023-10-31 14:39:58', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2076, 155, 'verify_code', 'VARCHAR', '核销码', b'0', b'0', '0', 46, 'String', 'verifyCode', '', NULL, b'1',
        b'1', b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '127', '2023-10-31 14:39:58', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2077, 155, 'store_id', 'INTEGER', '门店id', b'0', b'0', '0', 47, 'Integer', 'storeId', '', '12064', b'1', b'1',
        b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '127', '2023-10-31 14:39:58', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2078, 155, 'shipping_type', 'BIT', '配送方式 1=快递 ，2=门店自提', b'0', b'0', '0', 48, 'Boolean',
        'shippingType', '', '2', b'1', b'1', b'1', '=', b'1', 'radio', '1', '2023-06-09 19:07:42', '127',
        '2023-10-31 14:39:58', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2079, 155, 'is_channel', 'TINYINT', '支付渠道(0微信公众号1微信小程序)', b'1', b'0', '0', 49, 'Byte',
        'isChannel', '', NULL, b'1', b'1', b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '127',
        '2023-10-31 14:39:58', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2080, 155, 'is_system_del', 'BIT', '系统删除', b'1', b'0', '0', 50, 'Boolean', 'isSystemDel', '', NULL, b'1',
        b'1', b'1', '=', b'1', 'radio', '1', '2023-06-09 19:07:42', '127', '2023-10-31 14:39:58', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2081, 155, 'deleted', 'BIT', '逻辑删除', b'1', b'0', '0', 51, 'Boolean', 'deleted', '', NULL, b'0', b'0', b'0',
        '=', b'0', 'radio', '1', '2023-06-09 19:07:42', '127', '2023-10-31 14:39:58', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2082, 155, 'tenant_id', 'BIGINT', '租户编号', b'1', b'0', '0', 52, 'Long', 'tenantId', '', '8311', b'0', b'0',
        b'0', '=', b'0', 'input', '1', '2023-06-09 19:07:42', '127', '2023-10-31 14:39:58', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2083, 155, 'creator', 'VARCHAR', '创建者', b'1', b'0', '0', 53, 'String', 'creator', '', NULL, b'0', b'0', b'0',
        '=', b'0', 'input', '1', '2023-06-09 19:07:42', '127', '2023-10-31 14:39:58', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2084, 155, 'create_time', 'TIMESTAMP', '添加时间', b'0', b'0', '0', 54, 'LocalDateTime', 'createTime', '', NULL,
        b'0', b'0', b'1', 'BETWEEN', b'1', 'datetime', '1', '2023-06-09 19:07:42', '127', '2023-10-31 14:39:58', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2085, 155, 'update_time', 'TIMESTAMP', '更新时间', b'1', b'0', '0', 55, 'LocalDateTime', 'updateTime', '', NULL,
        b'0', b'0', b'0', 'BETWEEN', b'0', 'datetime', '1', '2023-06-09 19:07:42', '127', '2023-10-31 14:39:58', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2086, 155, 'updater', 'VARCHAR', '更新者', b'1', b'0', '0', 56, 'String', 'updater', '', NULL, b'0', b'0', b'0',
        '=', b'0', 'input', '1', '2023-06-09 19:07:42', '127', '2023-10-31 14:39:58', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2087, 156, 'id', 'BIGINT', 'id', b'0', b'1', '1', 1, 'Long', 'id', '', '26502', b'0', b'1', b'0', '=', b'1',
        'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 18:04:17', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2088, 156, 'oid', 'BIGINT', '订单id', b'0', b'0', '0', 2, 'Long', 'oid', '', '19739', b'1', b'1', b'1', '=',
        b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 18:04:17', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2089, 156, 'order_id', 'VARCHAR', '订单号', b'1', b'0', '0', 3, 'String', 'orderId', '', '2153', b'1', b'1',
        b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 18:04:17', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2090, 156, 'cart_id', 'BIGINT', '购物车id', b'0', b'0', '0', 4, 'Long', 'cartId', '', '9449', b'1', b'1', b'1',
        '=', b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 18:04:17', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2091, 156, 'product_id', 'BIGINT', '商品ID', b'0', b'0', '0', 5, 'Long', 'productId', '', '4909', b'1', b'1',
        b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 18:04:17', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2092, 156, 'cart_info', 'LONGVARCHAR', '购买东西的详细信息', b'0', b'0', '0', 6, 'String', 'cartInfo', '', NULL,
        b'1', b'1', b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 18:04:17', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2093, 156, 'unique', 'VARCHAR', '唯一id', b'0', b'0', '0', 7, 'String', 'unique', '', NULL, b'1', b'1', b'1',
        '=', b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 18:04:17', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2094, 156, 'is_after_sales', 'BIT', '是否能售后0不能1能', b'1', b'0', '0', 8, 'Boolean', 'isAfterSales', '',
        NULL, b'1', b'1', b'1', '=', b'1', 'radio', '1', '2023-06-09 19:07:42', '1', '2023-06-18 18:04:17', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2095, 157, 'id', 'BIGINT', 'id', b'0', b'1', '1', 1, 'Long', 'id', '', '6933', b'0', b'1', b'0', '=', b'1',
        'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 18:04:51', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2096, 157, 'oid', 'BIGINT', '订单id', b'0', b'0', '0', 2, 'Long', 'oid', '', '6551', b'1', b'1', b'1', '=',
        b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 18:04:51', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2097, 157, 'change_type', 'VARCHAR', '操作类型', b'0', b'0', '0', 3, 'String', 'changeType', '', '1', b'1',
        b'1', b'1', '=', b'1', 'select', '1', '2023-06-09 19:07:42', '1', '2023-06-18 18:04:51', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2098, 157, 'change_message', 'VARCHAR', '操作备注', b'0', b'0', '0', 4, 'String', 'changeMessage', '', NULL,
        b'1', b'1', b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 18:04:51', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2099, 157, 'change_time', 'TIMESTAMP', '操作时间', b'0', b'0', '0', 5, 'LocalDateTime', 'changeTime', '', NULL,
        b'1', b'1', b'1', 'BETWEEN', b'1', 'datetime', '1', '2023-06-09 19:07:42', '1', '2023-06-18 18:04:51', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2100, 158, 'id', 'BIGINT', '用户地址id', b'0', b'1', '1', 1, 'Long', 'id', '', '24169', b'0', b'1', b'0', '=',
        b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 16:24:37', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2101, 158, 'uid', 'BIGINT', '用户id', b'0', b'0', '0', 2, 'Long', 'uid', '', '25124', b'1', b'1', b'1', '=',
        b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 16:24:37', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2102, 158, 'real_name', 'VARCHAR', '收货人姓名', b'0', b'0', '0', 3, 'String', 'realName', '', '李四', b'1',
        b'1', b'1', 'LIKE', b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 16:24:37', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2103, 158, 'phone', 'VARCHAR', '收货人电话', b'0', b'0', '0', 4, 'String', 'phone', '', NULL, b'1', b'1', b'1',
        '=', b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 16:24:37', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2104, 158, 'province', 'VARCHAR', '收货人所在省', b'0', b'0', '0', 5, 'String', 'province', '', NULL, b'1',
        b'1', b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 16:24:37', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2105, 158, 'city', 'VARCHAR', '收货人所在市', b'0', b'0', '0', 6, 'String', 'city', '', NULL, b'1', b'1', b'1',
        '=', b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 16:24:37', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2106, 158, 'city_id', 'INTEGER', '城市id', b'1', b'0', '0', 7, 'Integer', 'cityId', '', '15595', b'1', b'1',
        b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 16:24:37', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2107, 158, 'district', 'VARCHAR', '收货人所在区', b'0', b'0', '0', 8, 'String', 'district', '', NULL, b'1',
        b'1', b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 16:24:37', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2108, 158, 'detail', 'VARCHAR', '收货人详细地址', b'0', b'0', '0', 9, 'String', 'detail', '', NULL, b'1', b'1',
        b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 16:24:37', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2109, 158, 'post_code', 'VARCHAR', '邮编', b'0', b'0', '0', 10, 'String', 'postCode', '', NULL, b'1', b'1',
        b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 16:24:37', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2110, 158, 'longitude', 'VARCHAR', '经度', b'0', b'0', '0', 11, 'String', 'longitude', '', NULL, b'1', b'1',
        b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 16:24:37', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2111, 158, 'latitude', 'VARCHAR', '纬度', b'0', b'0', '0', 12, 'String', 'latitude', '', NULL, b'1', b'1', b'1',
        '=', b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 16:24:37', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2112, 158, 'is_default', 'TINYINT', '是否默认', b'0', b'0', '0', 13, 'Byte', 'isDefault', '', NULL, b'1', b'1',
        b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 16:24:37', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2113, 158, 'deleted', 'BIT', '是否删除', b'0', b'0', '0', 14, 'Boolean', 'deleted', '', NULL, b'0', b'0', b'0',
        '=', b'0', 'radio', '1', '2023-06-09 19:07:42', '1', '2023-06-18 16:24:37', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2114, 158, 'creator', 'VARCHAR', '创建者', b'1', b'0', '0', 15, 'String', 'creator', '', NULL, b'0', b'0', b'0',
        '=', b'0', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 16:24:37', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2115, 158, 'create_time', 'TIMESTAMP', '添加时间', b'0', b'0', '0', 16, 'LocalDateTime', 'createTime', '', NULL,
        b'0', b'0', b'1', 'BETWEEN', b'1', 'datetime', '1', '2023-06-09 19:07:42', '1', '2023-06-18 16:24:37', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2116, 158, 'update_time', 'TIMESTAMP', '更新时间', b'1', b'0', '0', 17, 'LocalDateTime', 'updateTime', '', NULL,
        b'0', b'0', b'0', 'BETWEEN', b'0', 'datetime', '1', '2023-06-09 19:07:42', '1', '2023-06-18 16:24:37', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2117, 158, 'tenant_id', 'BIGINT', '租户编号', b'1', b'0', '0', 18, 'Long', 'tenantId', '', '16180', b'0', b'0',
        b'0', '=', b'0', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 16:24:37', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2118, 158, 'updater', 'VARCHAR', '更新者', b'1', b'0', '0', 19, 'String', 'updater', '', NULL, b'0', b'0', b'0',
        '=', b'0', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 16:24:37', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2119, 159, 'id', 'BIGINT', '用户账单id', b'0', b'1', '1', 1, 'Long', 'id', '', '22559', b'0', b'1', b'0', '=',
        b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 20:33:14', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2120, 159, 'uid', 'BIGINT', '用户uid', b'0', b'0', '0', 2, 'Long', 'uid', '', '9419', b'1', b'1', b'1', '=',
        b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 20:33:14', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2121, 159, 'link_id', 'VARCHAR', '关联id', b'0', b'0', '0', 3, 'String', 'linkId', '', '18439', b'1', b'1',
        b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 20:33:14', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2122, 159, 'pm', 'TINYINT', '0 = 支出 1 = 获得', b'0', b'0', '0', 4, 'Byte', 'pm', '', NULL, b'1', b'1', b'1',
        '=', b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 20:33:14', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2123, 159, 'title', 'VARCHAR', '账单标题', b'0', b'0', '0', 5, 'String', 'title', '', NULL, b'1', b'1', b'1',
        '=', b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 20:33:14', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2124, 159, 'category', 'VARCHAR', '明细种类', b'0', b'0', '0', 6, 'String', 'category', '', NULL, b'1', b'1',
        b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 20:33:14', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2125, 159, 'type', 'VARCHAR', '明细类型', b'0', b'0', '0', 7, 'String', 'type', '', '2', b'1', b'1', b'1', '=',
        b'1', 'select', '1', '2023-06-09 19:07:42', '1', '2023-06-18 20:33:14', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2126, 159, 'number', 'DECIMAL', '明细数字', b'0', b'0', '0', 8, 'BigDecimal', 'number', '', NULL, b'1', b'1',
        b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 20:33:14', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2127, 159, 'balance', 'DECIMAL', '剩余', b'0', b'0', '0', 9, 'BigDecimal', 'balance', '', NULL, b'1', b'1',
        b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 20:33:14', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2128, 159, 'mark', 'VARCHAR', '备注', b'0', b'0', '0', 10, 'String', 'mark', '', NULL, b'1', b'1', b'1', '=',
        b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 20:33:14', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2129, 159, 'creator', 'VARCHAR', '创建者', b'1', b'0', '0', 11, 'String', 'creator', '', NULL, b'0', b'0', b'0',
        '=', b'0', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 20:33:14', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2130, 159, 'create_time', 'TIMESTAMP', '添加时间', b'0', b'0', '0', 12, 'LocalDateTime', 'createTime', '', NULL,
        b'0', b'0', b'1', 'BETWEEN', b'1', 'datetime', '1', '2023-06-09 19:07:42', '1', '2023-06-18 20:33:14', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2131, 159, 'update_time', 'TIMESTAMP', '更新时间', b'1', b'0', '0', 13, 'LocalDateTime', 'updateTime', '', NULL,
        b'0', b'0', b'0', 'BETWEEN', b'0', 'datetime', '1', '2023-06-09 19:07:42', '1', '2023-06-18 20:33:14', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2132, 159, 'updater', 'VARCHAR', '更新者', b'1', b'0', '0', 14, 'String', 'updater', '', NULL, b'0', b'0', b'0',
        '=', b'0', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 20:33:14', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2133, 159, 'status', 'BIT', '0 = 带确定 1 = 有效 -1 = 无效', b'0', b'0', '0', 15, 'Boolean', 'status', '', '1',
        b'1', b'1', b'1', '=', b'1', 'radio', '1', '2023-06-09 19:07:42', '1', '2023-06-18 20:33:14', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2134, 159, 'deleted', 'BIT', '删除', b'1', b'0', '0', 16, 'Boolean', 'deleted', '', NULL, b'0', b'0', b'0', '=',
        b'0', 'radio', '1', '2023-06-09 19:07:42', '1', '2023-06-18 20:33:14', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2135, 159, 'tenant_id', 'BIGINT', '租户编号', b'1', b'0', '0', 17, 'Long', 'tenantId', '', '17966', b'0', b'0',
        b'0', '=', b'0', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-18 20:33:14', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2136, 160, 'id', 'BIGINT', '评论ID', b'0', b'1', '1', 1, 'Long', 'id', '', '7419', b'0', b'1', b'0', '=', b'1',
        'input', '1', '2023-06-09 19:07:42', '1', '2023-06-13 09:40:14', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2137, 160, 'uid', 'BIGINT', '用户ID', b'0', b'0', '0', 2, 'Long', 'uid', '', '12573', b'1', b'1', b'1', '=',
        b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-13 09:40:14', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2138, 160, 'oid', 'BIGINT', '订单ID', b'0', b'0', '0', 3, 'Long', 'oid', '', '5646', b'1', b'1', b'1', '=',
        b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-13 09:40:14', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2139, 160, 'unique', 'CHAR', '唯一id', b'0', b'0', '0', 4, 'String', 'unique', '', NULL, b'1', b'1', b'1', '=',
        b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-13 09:40:14', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2140, 160, 'product_id', 'BIGINT', '产品id', b'0', b'0', '0', 5, 'Long', 'productId', '', '23509', b'1', b'1',
        b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-13 09:40:14', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2141, 160, 'reply_type', 'VARCHAR', '某种商品类型(普通商品、秒杀商品）', b'0', b'0', '0', 6, 'String',
        'replyType', '', '2', b'1', b'1', b'1', '=', b'1', 'select', '1', '2023-06-09 19:07:42', '1',
        '2023-06-13 09:40:14', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2142, 160, 'product_score', 'BIT', '商品分数', b'0', b'0', '0', 7, 'Boolean', 'productScore', '', NULL, b'1',
        b'1', b'1', '=', b'1', 'radio', '1', '2023-06-09 19:07:42', '1', '2023-06-13 09:40:14', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2143, 160, 'service_score', 'BIT', '服务分数', b'0', b'0', '0', 8, 'Boolean', 'serviceScore', '', NULL, b'1',
        b'1', b'1', '=', b'1', 'radio', '1', '2023-06-09 19:07:42', '1', '2023-06-13 09:40:14', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2144, 160, 'comment', 'VARCHAR', '评论内容', b'0', b'0', '0', 9, 'String', 'comment', '', NULL, b'1', b'1',
        b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-13 09:40:14', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2145, 160, 'pics', 'LONGVARCHAR', '评论图片', b'0', b'0', '0', 10, 'String', 'pics', '', NULL, b'1', b'1', b'1',
        '=', b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-13 09:40:14', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2146, 160, 'creator', 'VARCHAR', '创建者', b'1', b'0', '0', 11, 'String', 'creator', '', NULL, b'0', b'0', b'0',
        '=', b'0', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-13 09:40:14', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2147, 160, 'create_time', 'TIMESTAMP', '评论时间', b'0', b'0', '0', 12, 'LocalDateTime', 'createTime', '', NULL,
        b'0', b'0', b'1', 'BETWEEN', b'1', 'datetime', '1', '2023-06-09 19:07:42', '1', '2023-06-13 09:40:14', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2148, 160, 'update_time', 'TIMESTAMP', '更新时间', b'1', b'0', '0', 13, 'LocalDateTime', 'updateTime', '', NULL,
        b'0', b'0', b'0', 'BETWEEN', b'0', 'datetime', '1', '2023-06-09 19:07:42', '1', '2023-06-13 09:40:14', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2149, 160, 'updater', 'VARCHAR', '更新者', b'1', b'0', '0', 14, 'String', 'updater', '', NULL, b'0', b'0', b'0',
        '=', b'0', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-13 09:40:14', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2150, 160, 'merchant_reply_content', 'VARCHAR', '管理员回复内容', b'1', b'0', '0', 15, 'String',
        'merchantReplyContent', '', NULL, b'1', b'1', b'1', '=', b'1', 'editor', '1', '2023-06-09 19:07:42', '1',
        '2023-06-13 09:40:14', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2151, 160, 'merchant_reply_time', 'TIMESTAMP', '管理员回复时间', b'1', b'0', '0', 16, 'LocalDateTime',
        'merchantReplyTime', '', NULL, b'1', b'1', b'1', 'BETWEEN', b'1', 'datetime', '1', '2023-06-09 19:07:42', '1',
        '2023-06-13 09:40:14', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2152, 160, 'deleted', 'BIT', '0未删除1已删除', b'0', b'0', '0', 17, 'Boolean', 'deleted', '', NULL, b'0', b'0',
        b'0', '=', b'0', 'radio', '1', '2023-06-09 19:07:42', '1', '2023-06-13 09:40:14', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2153, 160, 'is_reply', 'BIT', '0未回复1已回复', b'0', b'0', '0', 18, 'Boolean', 'isReply', '', NULL, b'1', b'1',
        b'1', '=', b'1', 'radio', '1', '2023-06-09 19:07:42', '1', '2023-06-13 09:40:14', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2154, 160, 'tenant_id', 'BIGINT', '租户ID', b'1', b'0', '0', 19, 'Long', 'tenantId', '', '17849', b'0', b'0',
        b'0', '=', b'0', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-13 09:40:14', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2155, 161, 'id', 'BIGINT', 'id', b'0', b'1', '1', 1, 'Long', 'id', '', '24658', b'0', b'1', b'0', '=', b'1',
        'input', '1', '2023-06-09 19:07:42', '1', '2023-06-13 09:39:36', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2156, 161, 'uid', 'BIGINT', '用户ID', b'0', b'0', '0', 2, 'Long', 'uid', '', '17942', b'1', b'1', b'1', '=',
        b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-13 09:39:36', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2157, 161, 'product_id', 'BIGINT', '商品ID', b'0', b'0', '0', 3, 'Long', 'productId', '', '8816', b'1', b'1',
        b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-13 09:39:36', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2158, 161, 'type', 'VARCHAR', '类型(收藏(collect）、点赞(like))', b'1', b'0', '0', 4, 'String', 'type', '', '2',
        b'1', b'1', b'1', '=', b'1', 'select', '1', '2023-06-09 19:07:42', '1', '2023-06-13 09:39:36', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2159, 161, 'category', 'VARCHAR', '某种类型的商品(普通商品、秒杀商品)', b'1', b'0', '0', 5, 'String', 'category',
        '', NULL, b'1', b'1', b'1', '=', b'1', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-13 09:39:36', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2160, 161, 'creator', 'VARCHAR', '创建者', b'1', b'0', '0', 6, 'String', 'creator', '', NULL, b'0', b'0', b'0',
        '=', b'0', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-13 09:39:36', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2161, 161, 'create_time', 'TIMESTAMP', '添加时间', b'0', b'0', '0', 7, 'LocalDateTime', 'createTime', '', NULL,
        b'0', b'0', b'1', 'BETWEEN', b'1', 'datetime', '1', '2023-06-09 19:07:42', '1', '2023-06-13 09:39:36', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2162, 161, 'update_time', 'TIMESTAMP', '更新时间', b'1', b'0', '0', 8, 'LocalDateTime', 'updateTime', '', NULL,
        b'0', b'0', b'0', 'BETWEEN', b'0', 'datetime', '1', '2023-06-09 19:07:42', '1', '2023-06-13 09:39:36', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2163, 161, 'updater', 'VARCHAR', '更新者', b'1', b'0', '0', 9, 'String', 'updater', '', NULL, b'0', b'0', b'0',
        '=', b'0', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-13 09:39:36', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2164, 161, 'deleted', 'BIT', '删除', b'1', b'0', '0', 10, 'Boolean', 'deleted', '', NULL, b'0', b'0', b'0', '=',
        b'0', 'radio', '1', '2023-06-09 19:07:42', '1', '2023-06-13 09:39:36', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2165, 161, 'tenant_id', 'BIGINT', '租户ID', b'1', b'0', '0', 11, 'Long', 'tenantId', '', '27955', b'0', b'0',
        b'0', '=', b'0', 'input', '1', '2023-06-09 19:07:42', '1', '2023-06-13 09:39:36', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2166, 162, 'id', 'INTEGER', '快递公司id', b'0', b'1', '1', 1, 'Integer', 'id', '', '27172', b'0', b'1', b'0',
        '=', b'1', 'input', '1', '2023-07-02 10:10:18', '1', '2023-07-02 10:11:22', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2167, 162, 'code', 'VARCHAR', '快递公司简称', b'0', b'0', '0', 2, 'String', 'code', '', NULL, b'1', b'1', b'1',
        '=', b'1', 'input', '1', '2023-07-02 10:10:18', '1', '2023-07-02 10:11:22', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2168, 162, 'name', 'VARCHAR', '快递公司全称', b'0', b'0', '0', 3, 'String', 'name', '', 'yshop', b'1', b'1',
        b'1', 'LIKE', b'1', 'input', '1', '2023-07-02 10:10:18', '1', '2023-07-02 10:11:22', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2169, 162, 'sort', 'INTEGER', '排序', b'0', b'0', '0', 4, 'Integer', 'sort', '', NULL, b'1', b'1', b'0', '=',
        b'1', 'input', '1', '2023-07-02 10:10:18', '1', '2023-07-02 10:11:22', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2170, 162, 'create_time', 'TIMESTAMP', '添加时间', b'1', b'0', '0', 5, 'LocalDateTime', 'createTime', '', NULL,
        b'0', b'0', b'0', 'BETWEEN', b'1', 'datetime', '1', '2023-07-02 10:10:18', '1', '2023-07-02 10:11:22', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2171, 162, 'update_time', 'TIMESTAMP', '更新时间', b'1', b'0', '0', 6, 'LocalDateTime', 'updateTime', '', NULL,
        b'0', b'0', b'0', 'BETWEEN', b'0', 'datetime', '1', '2023-07-02 10:10:18', '1', '2023-07-02 10:11:22', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2172, 162, 'creator', 'VARCHAR', '创建者', b'1', b'0', '0', 7, 'String', 'creator', '', NULL, b'0', b'0', b'0',
        '=', b'0', 'input', '1', '2023-07-02 10:10:18', '1', '2023-07-02 10:11:22', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2173, 162, 'updater', 'VARCHAR', '更新者', b'1', b'0', '0', 8, 'String', 'updater', '', NULL, b'0', b'0', b'0',
        '=', b'0', 'input', '1', '2023-07-02 10:10:18', '1', '2023-07-02 10:11:22', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2174, 162, 'deleted', 'BIT', '逻辑删除', b'1', b'0', '0', 9, 'Boolean', 'deleted', '', NULL, b'0', b'0', b'0',
        '=', b'0', 'radio', '1', '2023-07-02 10:10:18', '1', '2023-07-02 10:11:22', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2175, 163, 'details_id', 'CHAR', '列表id', b'0', b'1', '0', 1, 'String', 'detailsId', '', '17552', b'0', b'1',
        b'0', '=', b'1', 'input', '1', '2023-07-14 14:30:07', '1', '2023-07-14 14:33:17', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2176, 163, 'pay_type', 'VARCHAR',
        '支付类型(支付渠道) 详情查看com.egzosn.pay.spring.boot.core.merchant.PaymentPlatform对应子类，aliPay 支付宝， wxPay微信..等等',
        b'0', b'0', '0', 2, 'String', 'payType', '', '2', b'1', b'1', b'1', '=', b'1', 'select', '1',
        '2023-07-14 14:30:07', '1', '2023-07-14 14:33:17', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2177, 163, 'appid', 'VARCHAR', '应用id', b'1', b'0', '0', 3, 'String', 'appid', '', '1718', b'1', b'1', b'1',
        '=', b'1', 'input', '1', '2023-07-14 14:30:07', '1', '2023-07-14 14:33:17', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2178, 163, 'mch_id', 'VARCHAR', '商户id，商户号，合作伙伴id等等', b'1', b'0', '0', 4, 'String', 'mchId', '',
        '21574', b'1', b'1', b'1', '=', b'1', 'input', '1', '2023-07-14 14:30:07', '1', '2023-07-14 14:33:17', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2179, 163, 'cert_store_type', 'VARCHAR',
        '当前面私钥公钥为证书类型的时候，这里必填，可选值:PATH,STR,INPUT_STREAM,CLASS_PATH,URL', b'1', b'0', '0', 5,
        'String', 'certStoreType', '', '1', b'1', b'1', b'1', '=', b'1', 'select', '1', '2023-07-14 14:30:07', '1',
        '2023-07-14 14:33:17', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2180, 163, 'key_private', 'LONGVARCHAR', '私钥或私钥证书', b'1', b'0', '0', 6, 'String', 'keyPrivate', '', NULL,
        b'1', b'1', b'1', '=', b'1', 'input', '1', '2023-07-14 14:30:07', '1', '2023-07-14 14:33:17', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2181, 163, 'key_public', 'LONGVARCHAR', '公钥或公钥证书', b'1', b'0', '0', 7, 'String', 'keyPublic', '', NULL,
        b'1', b'1', b'1', '=', b'1', 'input', '1', '2023-07-14 14:30:07', '1', '2023-07-14 14:33:17', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2182, 163, 'key_cert', 'VARCHAR', 'key证书,附加证书使用，如SSL证书，或者银联根级证书方面', b'1', b'0', '0', 8,
        'String', 'keyCert', '', NULL, b'1', b'1', b'1', '=', b'1', 'input', '1', '2023-07-14 14:30:07', '1',
        '2023-07-14 14:33:17', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2183, 163, 'key_cert_pwd', 'VARCHAR', '私钥证书或key证书的密码', b'1', b'0', '0', 9, 'String', 'keyCertPwd', '',
        NULL, b'1', b'1', b'1', '=', b'1', 'input', '1', '2023-07-14 14:30:07', '1', '2023-07-14 14:33:17', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2184, 163, 'notify_url', 'VARCHAR', '异步回调', b'1', b'0', '0', 10, 'String', 'notifyUrl', '',
        'https://www.iocoder.cn', b'1', b'1', b'1', '=', b'1', 'input', '1', '2023-07-14 14:30:07', '1',
        '2023-07-14 14:33:17', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2185, 163, 'return_url', 'VARCHAR', '同步回调地址，大部分用于付款成功后页面转跳', b'1', b'0', '0', 11, 'String',
        'returnUrl', '', 'https://www.iocoder.cn', b'1', b'1', b'1', '=', b'1', 'input', '1', '2023-07-14 14:30:07',
        '1', '2023-07-14 14:33:17', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2186, 163, 'sign_type', 'VARCHAR',
        '签名方式,目前已实现多种签名方式详情查看com.egzosn.pay.common.util.sign.encrypt。MD5,RSA等等', b'0', b'0', '0',
        12, 'String', 'signType', '', '1', b'1', b'1', b'1', '=', b'1', 'select', '1', '2023-07-14 14:30:07', '1',
        '2023-07-14 14:33:17', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2187, 163, 'seller', 'VARCHAR', '收款账号，暂时只有支付宝部分使用，可根据开发者自行使用', b'1', b'0', '0', 13,
        'String', 'seller', '', NULL, b'1', b'1', b'1', '=', b'1', 'input', '1', '2023-07-14 14:30:07', '1',
        '2023-07-14 14:33:17', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2188, 163, 'sub_app_id', 'VARCHAR', '子appid', b'1', b'0', '0', 14, 'String', 'subAppId', '', '13761', b'1',
        b'1', b'1', '=', b'1', 'input', '1', '2023-07-14 14:30:07', '1', '2023-07-14 14:33:17', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2189, 163, 'sub_mch_id', 'VARCHAR', '子商户id', b'1', b'0', '0', 15, 'String', 'subMchId', '', '10127', b'1',
        b'1', b'1', '=', b'1', 'input', '1', '2023-07-14 14:30:07', '1', '2023-07-14 14:33:17', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2190, 163, 'input_charset', 'VARCHAR', '编码类型，大部分为utf-8', b'0', b'0', '0', 16, 'String', 'inputCharset',
        '', NULL, b'1', b'1', b'1', '=', b'1', 'input', '1', '2023-07-14 14:30:07', '1', '2023-07-14 14:33:17', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2191, 163, 'is_test', 'BIT', '是否为测试环境: 0 否，1 测试环境', b'0', b'0', '0', 17, 'Boolean', 'isTest', '',
        NULL, b'1', b'1', b'1', '=', b'1', 'radio', '1', '2023-07-14 14:30:07', '1', '2023-07-14 14:33:17', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2192, 164, 'id', 'BIGINT', '主键id', b'0', b'1', '1', 1, 'Long', 'id', '', '4751', b'0', b'1', b'0', '=', b'1',
        'input', '1', '2023-07-20 17:46:33', '1', '2023-07-20 17:47:48', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2193, 164, 'shipper_id', 'INTEGER', '快递公司id', b'1', b'0', '0', 2, 'Integer', 'shipperId', '', '13715', b'1',
        b'1', b'1', '=', b'1', 'input', '1', '2023-07-20 17:46:33', '1', '2023-07-20 17:47:48', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2194, 164, 'paytype', 'BIT', '运费支付方式:1=现付,2=到付,3=月结,4=第三方付(仅SF支持)', b'1', b'0', '0', 3,
        'Boolean', 'paytype', '', '2', b'1', b'1', b'1', '=', b'1', 'radio', '1', '2023-07-20 17:46:33', '1',
        '2023-07-20 17:47:48', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2195, 164, 'customer_name', 'VARCHAR', '线下网点客户号', b'1', b'0', '0', 4, 'String', 'customerName', '',
        '张三', b'1', b'1', b'1', 'LIKE', b'1', 'input', '1', '2023-07-20 17:46:33', '1', '2023-07-20 17:47:48', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2196, 164, 'customer_pwd', 'VARCHAR', '线下网点密码', b'1', b'0', '0', 5, 'String', 'customerPwd', '', NULL,
        b'1', b'1', b'1', '=', b'1', 'input', '1', '2023-07-20 17:46:33', '1', '2023-07-20 17:47:48', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2197, 164, 'send_site', 'VARCHAR', '网点名称', b'1', b'0', '0', 6, 'String', 'sendSite', '', NULL, b'1', b'1',
        b'1', '=', b'1', 'input', '1', '2023-07-20 17:46:33', '1', '2023-07-20 17:47:48', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2198, 164, 'send_staff', 'VARCHAR', '网点快递员', b'1', b'0', '0', 7, 'String', 'sendStaff', '', NULL, b'1',
        b'1', b'1', '=', b'1', 'input', '1', '2023-07-20 17:46:33', '1', '2023-07-20 17:47:48', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2199, 164, 'month_code', 'VARCHAR', '月结编号', b'1', b'0', '0', 8, 'String', 'monthCode', '', NULL, b'1', b'1',
        b'1', '=', b'1', 'input', '1', '2023-07-20 17:46:33', '1', '2023-07-20 17:47:48', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2200, 164, 'is_notice', 'BIT', '是否通知揽件:0=通知揽件,1=不通知揽件', b'1', b'0', '0', 9, 'Boolean',
        'isNotice', '', NULL, b'1', b'1', b'1', '=', b'1', 'radio', '1', '2023-07-20 17:46:33', '1',
        '2023-07-20 17:47:48', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2201, 164, 'is_return_temp', 'BIT', '是否返回电子面单模板:0=不返回,1=返回', b'1', b'0', '0', 10, 'Boolean',
        'isReturnTemp', '', NULL, b'1', b'1', b'1', '=', b'1', 'radio', '1', '2023-07-20 17:46:33', '1',
        '2023-07-20 17:47:48', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2202, 164, 'is_send_message', 'BIT', '是否需要短信提醒:0=否,1=是', b'1', b'0', '0', 11, 'Boolean',
        'isSendMessage', '', NULL, b'1', b'1', b'1', '=', b'1', 'radio', '1', '2023-07-20 17:46:33', '1',
        '2023-07-20 17:47:48', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2203, 164, 'template_size', 'VARCHAR', '模板尺寸', b'1', b'0', '0', 12, 'String', 'templateSize', '', NULL,
        b'1', b'1', b'1', '=', b'1', 'input', '1', '2023-07-20 17:46:33', '1', '2023-07-20 17:47:48', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2204, 164, 'operate_require', 'VARCHAR', '签回单操作要求(如：签名、盖章、身份证复印件等)', b'1', b'0', '0', 13,
        'String', 'operateRequire', '', NULL, b'1', b'1', b'1', '=', b'1', 'input', '1', '2023-07-20 17:46:33', '1',
        '2023-07-20 17:47:48', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2205, 164, 'logistic_code', 'VARCHAR', '快递单号(仅宅急送可用)', b'1', b'0', '0', 14, 'String', 'logisticCode',
        '', NULL, b'1', b'1', b'1', '=', b'1', 'input', '1', '2023-07-20 17:46:33', '1', '2023-07-20 17:47:48', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2206, 164, 'start_date', 'INTEGER', '上门揽件开始时间', b'1', b'0', '0', 15, 'Integer', 'startDate', '', NULL,
        b'1', b'1', b'1', 'BETWEEN', b'1', 'datetime', '1', '2023-07-20 17:46:33', '1', '2023-07-20 17:47:48', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2207, 164, 'end_date', 'INTEGER', '上门揽件结束时间', b'1', b'0', '0', 16, 'Integer', 'endDate', '', NULL, b'1',
        b'1', b'1', 'BETWEEN', b'1', 'datetime', '1', '2023-07-20 17:46:33', '1', '2023-07-20 17:47:48', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2208, 164, 'remark', 'VARCHAR', '备注', b'1', b'0', '0', 17, 'String', 'remark', '', '你猜', b'1', b'1', b'1',
        '=', b'1', 'input', '1', '2023-07-20 17:46:33', '1', '2023-07-20 17:47:48', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2209, 164, 'exp_type', 'BIT', '快递类型:1=标准快件', b'1', b'0', '0', 18, 'Boolean', 'expType', '', '1', b'1',
        b'1', b'1', '=', b'1', 'radio', '1', '2023-07-20 17:46:33', '1', '2023-07-20 17:47:48', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2210, 164, 'is_return_sign_bill', 'BIT', '是否要签回单:0=否,1=是', b'1', b'0', '0', 19, 'Boolean',
        'isReturnSignBill', '', NULL, b'1', b'1', b'1', '=', b'1', 'radio', '1', '2023-07-20 17:46:33', '1',
        '2023-07-20 17:47:48', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2211, 164, 'company', 'VARCHAR', '发件人公司', b'1', b'0', '0', 20, 'String', 'company', '', NULL, b'1', b'1',
        b'1', '=', b'1', 'input', '1', '2023-07-20 17:46:33', '1', '2023-07-20 17:47:48', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2212, 164, 'province_name', 'VARCHAR', '发件人省', b'1', b'0', '0', 21, 'String', 'provinceName', '', '李四',
        b'1', b'1', b'1', 'LIKE', b'1', 'input', '1', '2023-07-20 17:46:33', '1', '2023-07-20 17:47:48', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2213, 164, 'city_name', 'VARCHAR', '发件人市', b'1', b'0', '0', 22, 'String', 'cityName', '', '张三', b'1',
        b'1', b'1', 'LIKE', b'1', 'input', '1', '2023-07-20 17:46:33', '1', '2023-07-20 17:47:48', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2214, 164, 'exp_area_name', 'VARCHAR', '发件人区', b'1', b'0', '0', 23, 'String', 'expAreaName', '', '张三',
        b'1', b'1', b'1', 'LIKE', b'1', 'input', '1', '2023-07-20 17:46:33', '1', '2023-07-20 17:47:48', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2215, 164, 'address', 'VARCHAR', '发件人详细地址', b'1', b'0', '0', 24, 'String', 'address', '', NULL, b'1',
        b'1', b'1', '=', b'1', 'input', '1', '2023-07-20 17:46:33', '1', '2023-07-20 17:47:48', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2216, 164, 'name', 'VARCHAR', '发件人姓名', b'1', b'0', '0', 25, 'String', 'name', '', '张三', b'1', b'1', b'1',
        'LIKE', b'1', 'input', '1', '2023-07-20 17:46:33', '1', '2023-07-20 17:47:48', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2217, 164, 'tel', 'VARCHAR', '发件人电话', b'1', b'0', '0', 26, 'String', 'tel', '', NULL, b'1', b'1', b'1',
        '=', b'1', 'input', '1', '2023-07-20 17:46:33', '1', '2023-07-20 17:47:48', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2218, 164, 'mobile', 'VARCHAR', '发件人手机号码', b'1', b'0', '0', 27, 'String', 'mobile', '', NULL, b'1', b'1',
        b'1', '=', b'1', 'input', '1', '2023-07-20 17:46:33', '1', '2023-07-20 17:47:48', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2219, 164, 'post_code', 'VARCHAR', '发件地邮编', b'1', b'0', '0', 28, 'String', 'postCode', '', NULL, b'1',
        b'1', b'1', '=', b'1', 'input', '1', '2023-07-20 17:46:33', '1', '2023-07-20 17:47:48', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2220, 164, 'title', 'VARCHAR', '自定义名称', b'1', b'0', '0', 29, 'String', 'title', '', NULL, b'1', b'1', b'1',
        '=', b'1', 'input', '1', '2023-07-20 17:46:33', '1', '2023-07-20 17:47:48', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2221, 164, 'create_time', 'TIMESTAMP', '创建时间', b'1', b'0', '0', 30, 'LocalDateTime', 'createTime', '', NULL,
        b'0', b'0', b'1', 'BETWEEN', b'1', 'datetime', '1', '2023-07-20 17:46:33', '1', '2023-07-20 17:47:48', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2222, 164, 'update_time', 'TIMESTAMP', '更新时间', b'1', b'0', '0', 31, 'LocalDateTime', 'updateTime', '', NULL,
        b'0', b'0', b'0', 'BETWEEN', b'0', 'datetime', '1', '2023-07-20 17:46:33', '1', '2023-07-20 17:47:48', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2223, 164, 'creator', 'VARCHAR', '创建者', b'1', b'0', '0', 32, 'String', 'creator', '', NULL, b'0', b'0', b'0',
        '=', b'0', 'input', '1', '2023-07-20 17:46:33', '1', '2023-07-20 17:47:48', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2224, 164, 'updater', 'VARCHAR', '更新者', b'1', b'0', '0', 33, 'String', 'updater', '', NULL, b'0', b'0', b'0',
        '=', b'0', 'input', '1', '2023-07-20 17:46:33', '1', '2023-07-20 17:47:48', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2225, 164, 'deleted', 'BIT', '逻辑删除', b'1', b'0', '0', 34, 'Boolean', 'deleted', '', NULL, b'0', b'0', b'0',
        '=', b'0', 'radio', '1', '2023-07-20 17:46:33', '1', '2023-07-20 17:47:48', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2226, 165, 'id', 'BIGINT', '主键id', b'0', b'1', '1', 1, 'Long', 'id', '', '21777', b'0', b'1', b'0', '=', b'1',
        'input', '1', '2023-07-22 16:42:14', '1', '2023-07-22 17:29:35', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2227, 165, 'order_sn', 'VARCHAR', '订单编号', b'1', b'0', '0', 2, 'String', 'orderSn', '', NULL, b'1', b'1',
        b'1', '=', b'1', 'input', '1', '2023-07-22 16:42:14', '1', '2023-07-22 17:29:35', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2228, 165, 'print_template', 'LONGVARCHAR', '模板', b'1', b'0', '0', 3, 'String', 'printTemplate', '', NULL,
        b'1', b'1', b'1', '=', b'1', 'input', '1', '2023-07-22 16:42:14', '1', '2023-07-22 17:29:35', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2229, 165, 'kdn_order_code', 'VARCHAR', 'KDNOrderCode', b'1', b'0', '0', 4, 'String', 'kdnOrderCode', '', NULL,
        b'1', b'1', b'1', '=', b'1', 'input', '1', '2023-07-22 16:42:14', '1', '2023-07-22 17:29:35', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2230, 165, 'logistic_code', 'VARCHAR', '物流单号', b'1', b'0', '0', 5, 'String', 'logisticCode', '', NULL, b'1',
        b'1', b'1', '=', b'1', 'input', '1', '2023-07-22 16:42:14', '1', '2023-07-22 17:29:35', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2231, 165, 'shipper_code', 'VARCHAR', '快递编号', b'1', b'0', '0', 6, 'String', 'shipperCode', '', NULL, b'1',
        b'1', b'1', '=', b'1', 'input', '1', '2023-07-22 16:42:14', '1', '2023-07-22 17:29:35', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2232, 165, 'order', 'VARCHAR', '接口返回的json', b'1', b'0', '0', 7, 'String', 'order', '', NULL, b'1', b'1',
        b'1', '=', b'1', 'input', '1', '2023-07-22 16:42:14', '1', '2023-07-22 17:29:35', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2233, 165, 'customer_name', 'VARCHAR', '线下网点客户号', b'1', b'0', '0', 8, 'String', 'customerName', '',
        '王五', b'1', b'1', b'1', 'LIKE', b'1', 'input', '1', '2023-07-22 16:42:14', '1', '2023-07-22 17:29:35', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2234, 165, 'customer_pwd', 'VARCHAR', '线下网点密码', b'1', b'0', '0', 9, 'String', 'customerPwd', '', NULL,
        b'1', b'1', b'1', '=', b'1', 'input', '1', '2023-07-22 16:42:14', '1', '2023-07-22 17:29:35', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2235, 165, 'status', 'BIT', '状态:0=正常,1=已取消', b'1', b'0', '0', 10, 'Boolean', 'status', '', '1', b'1',
        b'1', b'1', '=', b'1', 'radio', '1', '2023-07-22 16:42:14', '1', '2023-07-22 17:29:35', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2236, 165, 'create_time', 'TIMESTAMP', '创建时间', b'1', b'0', '0', 11, 'LocalDateTime', 'createTime', '', NULL,
        b'0', b'0', b'1', 'BETWEEN', b'1', 'datetime', '1', '2023-07-22 16:42:14', '1', '2023-07-22 17:29:35', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2237, 165, 'update_time', 'TIMESTAMP', '更新时间', b'1', b'0', '0', 12, 'LocalDateTime', 'updateTime', '', NULL,
        b'0', b'0', b'0', 'BETWEEN', b'0', 'datetime', '1', '2023-07-22 16:42:14', '1', '2023-07-22 17:29:35', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2238, 165, 'creator', 'VARCHAR', '创建者', b'1', b'0', '0', 13, 'String', 'creator', '', NULL, b'0', b'0', b'0',
        '=', b'0', 'input', '1', '2023-07-22 16:42:14', '1', '2023-07-22 17:29:35', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2239, 165, 'updater', 'TIMESTAMP', '更新者', b'1', b'0', '0', 14, 'LocalDateTime', 'updater', '', NULL, b'0',
        b'0', b'0', '=', b'0', 'input', '1', '2023-07-22 16:42:14', '1', '2023-07-22 17:29:35', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2240, 165, 'deleted', 'BIT', '逻辑删除', b'1', b'0', '0', 15, 'Boolean', 'deleted', '', NULL, b'0', b'0', b'0',
        '=', b'0', 'radio', '1', '2023-07-22 16:42:14', '1', '2023-07-22 17:29:35', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2241, 166, 'id', 'INTEGER', '模板id', b'0', b'1', '1', 1, 'Integer', 'id', '', '8445', b'0', b'1', b'0', '=',
        b'1', 'input', '1', '2023-07-25 09:37:06', '1', '2023-07-25 09:43:28', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2242, 166, 'tempkey', 'CHAR', '模板编号', b'0', b'0', '0', 2, 'String', 'tempkey', '', NULL, b'1', b'1', b'1',
        '=', b'1', 'input', '1', '2023-07-25 09:37:06', '1', '2023-07-25 09:43:28', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2243, 166, 'name', 'CHAR', '模板名', b'0', b'0', '0', 3, 'String', 'name', '', '张三', b'1', b'1', b'1', 'LIKE',
        b'1', 'input', '1', '2023-07-25 09:37:06', '1', '2023-07-25 09:43:28', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2244, 166, 'content', 'VARCHAR', '回复内容', b'0', b'0', '0', 4, 'String', 'content', '', NULL, b'1', b'1',
        b'1', '=', b'1', 'editor', '1', '2023-07-25 09:37:06', '1', '2023-07-25 09:43:28', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2245, 166, 'tempid', 'CHAR', '模板ID', b'1', b'0', '0', 5, 'String', 'tempid', '', '15656', b'1', b'1', b'1',
        '=', b'1', 'input', '1', '2023-07-25 09:37:06', '1', '2023-07-25 09:43:28', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2246, 166, 'create_time', 'TIMESTAMP', '添加时间', b'0', b'0', '0', 6, 'LocalDateTime', 'createTime', '', NULL,
        b'0', b'0', b'1', 'BETWEEN', b'1', 'datetime', '1', '2023-07-25 09:37:06', '1', '2023-07-25 09:43:28', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2247, 166, 'update_time', 'TIMESTAMP', '更新时间', b'1', b'0', '0', 7, 'LocalDateTime', 'updateTime', '', NULL,
        b'0', b'0', b'0', 'BETWEEN', b'0', 'datetime', '1', '2023-07-25 09:37:06', '1', '2023-07-25 09:43:28', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2248, 166, 'creator', 'VARCHAR', '创建者', b'1', b'0', '0', 8, 'String', 'creator', '', NULL, b'0', b'0', b'0',
        '=', b'0', 'input', '1', '2023-07-25 09:37:06', '1', '2023-07-25 09:43:28', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2249, 166, 'updater', 'VARCHAR', '更新者', b'1', b'0', '0', 9, 'String', 'updater', '', NULL, b'0', b'0', b'0',
        '=', b'0', 'input', '1', '2023-07-25 09:37:06', '1', '2023-07-25 09:43:28', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2250, 166, 'status', 'TINYINT', '状态', b'0', b'0', '0', 10, 'Byte', 'status', '', '1', b'1', b'1', b'1', '=',
        b'1', 'radio', '1', '2023-07-25 09:37:06', '1', '2023-07-25 09:43:28', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2251, 166, 'deleted', 'BIT', '删除', b'1', b'0', '0', 11, 'Boolean', 'deleted', '', NULL, b'0', b'0', b'0', '=',
        b'0', 'radio', '1', '2023-07-25 09:37:06', '1', '2023-07-25 09:43:28', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2252, 166, 'type', 'VARCHAR', '类型：template:模板消息 subscribe:订阅消息', b'1', b'0', '0', 12, 'String',
        'type', '', '1', b'1', b'1', b'1', '=', b'1', 'select', '1', '2023-07-25 09:37:06', '1', '2023-07-25 09:43:28',
        b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2253, 167, 'id', 'INTEGER', 'id', b'0', b'1', '1', 1, 'Integer', 'id', '', '13119', b'0', b'1', b'0', '=', b'1',
        'input', '1', '2023-11-22 11:24:55', '1', '2023-11-22 11:30:55', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2254, 167, 'create_time', 'TIMESTAMP', '创建时间', b'1', b'0', '0', 2, 'LocalDateTime', 'createTime', '', NULL,
        b'0', b'0', b'1', 'BETWEEN', b'1', 'datetime', '1', '2023-11-22 11:24:55', '1', '2023-11-22 11:30:55', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2255, 167, 'creator', 'VARCHAR', '创建者', b'1', b'0', '0', 3, 'String', 'creator', '', NULL, b'0', b'0', b'0',
        '=', b'0', 'input', '1', '2023-11-22 11:24:55', '1', '2023-11-22 11:30:55', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2256, 167, 'update_time', 'TIMESTAMP', '更新时间/执行还原时间', b'1', b'0', '0', 4, 'LocalDateTime',
        'updateTime', '', NULL, b'0', b'0', b'0', 'BETWEEN', b'0', 'datetime', '1', '2023-11-22 11:24:55', '1',
        '2023-11-22 11:30:55', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2257, 167, 'updater', 'VARCHAR', '更新人/还原人', b'1', b'0', '0', 5, 'String', 'updater', '', NULL, b'0', b'0',
        b'0', '=', b'0', 'input', '1', '2023-11-22 11:24:55', '1', '2023-11-22 11:30:55', b'0');
INSERT INTO `infra_codegen_column` (`id`, `table_id`, `column_name`, `data_type`, `column_comment`, `nullable`,
                                    `primary_key`, `auto_increment`, `ordinal_position`, `java_type`, `java_field`,
                                    `dict_type`, `example`, `create_operation`, `update_operation`, `list_operation`,
                                    `list_operation_condition`, `list_operation_result`, `html_type`, `creator`,
                                    `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2258, 167, 'deleted', 'BIT', '删除', b'1', b'0', '0', 6, 'Boolean', 'deleted', '', NULL, b'0', b'0', b'0', '=',
        b'0', 'radio', '1', '2023-11-22 11:24:55', '1', '2023-11-22 11:30:55', b'0');
COMMIT;

-- ----------------------------
-- Table structure for infra_codegen_table
-- ----------------------------
DROP TABLE IF EXISTS `infra_codegen_table`;
CREATE TABLE `infra_codegen_table`
(
    `id`                    bigint(20) NOT NULL AUTO_INCREMENT COMMENT '编号',
    `data_source_config_id` bigint(20) NOT NULL COMMENT '数据源配置的编号',
    `scene`                 tinyint(4) NOT NULL DEFAULT '1' COMMENT '生成场景',
    `table_name`            varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '表名称',
    `table_comment`         varchar(500) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '表描述',
    `remark`                varchar(500) COLLATE utf8mb4_unicode_ci          DEFAULT NULL COMMENT '备注',
    `module_name`           varchar(30) COLLATE utf8mb4_unicode_ci  NOT NULL COMMENT '模块名',
    `business_name`         varchar(30) COLLATE utf8mb4_unicode_ci  NOT NULL COMMENT '业务名',
    `class_name`            varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '类名称',
    `class_comment`         varchar(50) COLLATE utf8mb4_unicode_ci  NOT NULL COMMENT '类描述',
    `author`                varchar(50) COLLATE utf8mb4_unicode_ci  NOT NULL COMMENT '作者',
    `template_type`         tinyint(4) NOT NULL DEFAULT '1' COMMENT '模板类型',
    `front_type`            tinyint(4) NOT NULL COMMENT '前端类型',
    `parent_menu_id`        bigint(20) DEFAULT NULL COMMENT '父菜单编号',
    `creator`               varchar(64) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '创建者',
    `create_time`           datetime                                NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater`               varchar(64) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '更新者',
    `update_time`           datetime                                NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted`               bit(1)                                  NOT NULL DEFAULT b'0' COMMENT '是否删除',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=168 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='代码生成表定义';

-- ----------------------------
-- Records of infra_codegen_table
-- ----------------------------
BEGIN;
INSERT INTO `infra_codegen_table` (`id`, `data_source_config_id`, `scene`, `table_name`, `table_comment`, `remark`,
                                   `module_name`, `business_name`, `class_name`, `class_comment`, `author`,
                                   `template_type`, `front_type`, `parent_menu_id`, `creator`, `create_time`, `updater`,
                                   `update_time`, `deleted`)
VALUES (131, 0, 1, 'yshop_material', '素材库', NULL, 'product', 'material', 'Material', '素材库', 'yshop', 1, 20, 2000,
        '1', '2023-05-10 15:20:54', '127', '2023-10-31 14:22:53', b'0');
INSERT INTO `infra_codegen_table` (`id`, `data_source_config_id`, `scene`, `table_name`, `table_comment`, `remark`,
                                   `module_name`, `business_name`, `class_name`, `class_comment`, `author`,
                                   `template_type`, `front_type`, `parent_menu_id`, `creator`, `create_time`, `updater`,
                                   `update_time`, `deleted`)
VALUES (132, 0, 1, 'yshop_material_group', '素材分组', NULL, 'shop', 'materialgroup', 'MaterialGroup', '素材分组',
        'yshop', 1, 20, 2000, '1', '2023-05-10 15:20:54', '1', '2023-05-10 16:26:44', b'0');
INSERT INTO `infra_codegen_table` (`id`, `data_source_config_id`, `scene`, `table_name`, `table_comment`, `remark`,
                                   `module_name`, `business_name`, `class_name`, `class_comment`, `author`,
                                   `template_type`, `front_type`, `parent_menu_id`, `creator`, `create_time`, `updater`,
                                   `update_time`, `deleted`)
VALUES (133, 0, 1, 'yshop_store_product_rule', '商品规则值(规格)表', NULL, 'shop', 'storeproductrule',
        'StoreProductRule', '商品规则值(规格)', 'yshop', 1, 20, 2000, '1', '2023-05-17 10:40:31', '1',
        '2023-05-17 10:47:51', b'0');
INSERT INTO `infra_codegen_table` (`id`, `data_source_config_id`, `scene`, `table_name`, `table_comment`, `remark`,
                                   `module_name`, `business_name`, `class_name`, `class_comment`, `author`,
                                   `template_type`, `front_type`, `parent_menu_id`, `creator`, `create_time`, `updater`,
                                   `update_time`, `deleted`)
VALUES (134, 0, 2, 'yshop_store_product', '商品表', NULL, 'product', 'storeproduct', 'StoreProduct', '商品', 'yshop', 1,
        20, 2000, '1', '2023-05-22 13:29:08', '1', '2023-06-12 10:27:01', b'0');
INSERT INTO `infra_codegen_table` (`id`, `data_source_config_id`, `scene`, `table_name`, `table_comment`, `remark`,
                                   `module_name`, `business_name`, `class_name`, `class_comment`, `author`,
                                   `template_type`, `front_type`, `parent_menu_id`, `creator`, `create_time`, `updater`,
                                   `update_time`, `deleted`)
VALUES (135, 0, 1, 'yshop_store_product_attr', '商品属性表', NULL, 'product', 'storeproductattr', 'StoreProductAttr',
        '商品属性', 'yshop', 1, 20, 2000, '1', '2023-05-27 09:40:31', '1', '2023-05-27 09:43:50', b'0');
INSERT INTO `infra_codegen_table` (`id`, `data_source_config_id`, `scene`, `table_name`, `table_comment`, `remark`,
                                   `module_name`, `business_name`, `class_name`, `class_comment`, `author`,
                                   `template_type`, `front_type`, `parent_menu_id`, `creator`, `create_time`, `updater`,
                                   `update_time`, `deleted`)
VALUES (136, 0, 1, 'yshop_store_product_attr_result', '商品属性详情表', NULL, 'product', 'storeproductattrresult',
        'StoreProductAttrResult', '商品属性详情', 'yshop', 1, 20, 2000, '1', '2023-05-27 09:40:31', '1',
        '2023-05-27 09:44:07', b'0');
INSERT INTO `infra_codegen_table` (`id`, `data_source_config_id`, `scene`, `table_name`, `table_comment`, `remark`,
                                   `module_name`, `business_name`, `class_name`, `class_comment`, `author`,
                                   `template_type`, `front_type`, `parent_menu_id`, `creator`, `create_time`, `updater`,
                                   `update_time`, `deleted`)
VALUES (137, 0, 1, 'yshop_store_product_attr_value', '商品属性值表', NULL, 'product', 'storeproductattrvalue',
        'StoreProductAttrValue', '商品属性值', 'yshop', 1, 20, 2000, '1', '2023-05-27 09:40:31', '1',
        '2023-05-27 09:44:22', b'0');
INSERT INTO `infra_codegen_table` (`id`, `data_source_config_id`, `scene`, `table_name`, `table_comment`, `remark`,
                                   `module_name`, `business_name`, `class_name`, `class_comment`, `author`,
                                   `template_type`, `front_type`, `parent_menu_id`, `creator`, `create_time`, `updater`,
                                   `update_time`, `deleted`)
VALUES (139, 0, 1, 'yshop_shipping_templates', '运费模板表', NULL, 'product', 'shippingtemplates', 'ShippingTemplates',
        '运费模板', 'yshop', 1, 20, 2174, '1', '2023-06-02 14:35:42', '1', '2023-06-02 14:39:25', b'0');
INSERT INTO `infra_codegen_table` (`id`, `data_source_config_id`, `scene`, `table_name`, `table_comment`, `remark`,
                                   `module_name`, `business_name`, `class_name`, `class_comment`, `author`,
                                   `template_type`, `front_type`, `parent_menu_id`, `creator`, `create_time`, `updater`,
                                   `update_time`, `deleted`)
VALUES (140, 0, 1, 'yshop_shipping_templates_free', '运费包邮明细', NULL, 'product', 'shippingtemplatesfree',
        'ShippingTemplatesFree', '运费包邮明细', 'yshop', 1, 10, 2000, '1', '2023-06-02 14:35:42', '1',
        '2023-06-02 14:48:50', b'0');
INSERT INTO `infra_codegen_table` (`id`, `data_source_config_id`, `scene`, `table_name`, `table_comment`, `remark`,
                                   `module_name`, `business_name`, `class_name`, `class_comment`, `author`,
                                   `template_type`, `front_type`, `parent_menu_id`, `creator`, `create_time`, `updater`,
                                   `update_time`, `deleted`)
VALUES (141, 0, 1, 'yshop_shipping_templates_region', '运费区域明细', NULL, 'product', 'shippingtemplatesregion',
        'ShippingTemplatesRegion', '运费区域明细', 'yshop', 1, 20, 2000, '1', '2023-06-02 14:35:42', '1',
        '2023-06-02 14:49:08', b'0');
INSERT INTO `infra_codegen_table` (`id`, `data_source_config_id`, `scene`, `table_name`, `table_comment`, `remark`,
                                   `module_name`, `business_name`, `class_name`, `class_comment`, `author`,
                                   `template_type`, `front_type`, `parent_menu_id`, `creator`, `create_time`, `updater`,
                                   `update_time`, `deleted`)
VALUES (142, 0, 1, 'yshop_user', '用户表', NULL, 'member', 'user', 'User', '用户', 'yshop', 1, 20, 2176, '1',
        '2023-06-09 14:49:08', '1', '2023-06-09 14:59:21', b'0');
INSERT INTO `infra_codegen_table` (`id`, `data_source_config_id`, `scene`, `table_name`, `table_comment`, `remark`,
                                   `module_name`, `business_name`, `class_name`, `class_comment`, `author`,
                                   `template_type`, `front_type`, `parent_menu_id`, `creator`, `create_time`, `updater`,
                                   `update_time`, `deleted`)
VALUES (151, 0, 1, 'yshop_store_after_sales', '售后记录表', NULL, 'order', 'storeaftersales', 'StoreAfterSales',
        '售后记录', 'yshop', 1, 20, 2175, '1', '2023-06-09 19:07:42', '1', '2023-06-18 20:45:36', b'0');
INSERT INTO `infra_codegen_table` (`id`, `data_source_config_id`, `scene`, `table_name`, `table_comment`, `remark`,
                                   `module_name`, `business_name`, `class_name`, `class_comment`, `author`,
                                   `template_type`, `front_type`, `parent_menu_id`, `creator`, `create_time`, `updater`,
                                   `update_time`, `deleted`)
VALUES (152, 0, 1, 'yshop_store_after_sales_item', '售后子表', NULL, 'order', 'storeaftersalesitem',
        'StoreAfterSalesItem', '售后子', 'yshop', 1, 20, 2175, '1', '2023-06-09 19:07:42', '1', '2023-06-18 20:54:31',
        b'0');
INSERT INTO `infra_codegen_table` (`id`, `data_source_config_id`, `scene`, `table_name`, `table_comment`, `remark`,
                                   `module_name`, `business_name`, `class_name`, `class_comment`, `author`,
                                   `template_type`, `front_type`, `parent_menu_id`, `creator`, `create_time`, `updater`,
                                   `update_time`, `deleted`)
VALUES (153, 0, 1, 'yshop_store_after_sales_status', '售后订单操作详情表', NULL, 'order', 'storeaftersalesstatus',
        'StoreAfterSalesStatus', '售后订单操作详情', 'yshop', 1, 20, 2175, '1', '2023-06-09 19:07:42', '1',
        '2023-06-18 21:00:27', b'0');
INSERT INTO `infra_codegen_table` (`id`, `data_source_config_id`, `scene`, `table_name`, `table_comment`, `remark`,
                                   `module_name`, `business_name`, `class_name`, `class_comment`, `author`,
                                   `template_type`, `front_type`, `parent_menu_id`, `creator`, `create_time`, `updater`,
                                   `update_time`, `deleted`)
VALUES (154, 0, 1, 'yshop_store_cart', '购物车表', NULL, 'cart', 'storecart', 'StoreCart', '购物车', 'yshop', 1, 20,
        2174, '1', '2023-06-09 19:07:42', '1', '2023-06-15 17:43:18', b'0');
INSERT INTO `infra_codegen_table` (`id`, `data_source_config_id`, `scene`, `table_name`, `table_comment`, `remark`,
                                   `module_name`, `business_name`, `class_name`, `class_comment`, `author`,
                                   `template_type`, `front_type`, `parent_menu_id`, `creator`, `create_time`, `updater`,
                                   `update_time`, `deleted`)
VALUES (155, 0, 1, 'yshop_store_order', '订单表', NULL, 'order', 'storeorder', 'StoreOrder', '订单', 'yshop', 1, 20,
        2175, '1', '2023-06-09 19:07:42', '127', '2023-10-31 14:39:58', b'0');
INSERT INTO `infra_codegen_table` (`id`, `data_source_config_id`, `scene`, `table_name`, `table_comment`, `remark`,
                                   `module_name`, `business_name`, `class_name`, `class_comment`, `author`,
                                   `template_type`, `front_type`, `parent_menu_id`, `creator`, `create_time`, `updater`,
                                   `update_time`, `deleted`)
VALUES (156, 0, 1, 'yshop_store_order_cart_info', '订单购物详情表', NULL, 'order', 'storeordercartinfo',
        'StoreOrderCartInfo', '订单购物详情', 'yshop', 1, 20, 2175, '1', '2023-06-09 19:07:42', '1',
        '2023-06-18 18:04:17', b'0');
INSERT INTO `infra_codegen_table` (`id`, `data_source_config_id`, `scene`, `table_name`, `table_comment`, `remark`,
                                   `module_name`, `business_name`, `class_name`, `class_comment`, `author`,
                                   `template_type`, `front_type`, `parent_menu_id`, `creator`, `create_time`, `updater`,
                                   `update_time`, `deleted`)
VALUES (157, 0, 1, 'yshop_store_order_status', '订单操作记录表', NULL, 'order', 'storeorderstatus', 'StoreOrderStatus',
        '订单操作记录', 'yshop', 1, 20, 2175, '1', '2023-06-09 19:07:42', '1', '2023-06-18 18:04:51', b'0');
INSERT INTO `infra_codegen_table` (`id`, `data_source_config_id`, `scene`, `table_name`, `table_comment`, `remark`,
                                   `module_name`, `business_name`, `class_name`, `class_comment`, `author`,
                                   `template_type`, `front_type`, `parent_menu_id`, `creator`, `create_time`, `updater`,
                                   `update_time`, `deleted`)
VALUES (158, 0, 1, 'yshop_user_address', '用户地址表', NULL, 'member', 'useraddress', 'UserAddress', '用户地址',
        'yshop', 1, 20, 2176, '1', '2023-06-09 19:07:42', '1', '2023-06-18 16:24:37', b'0');
INSERT INTO `infra_codegen_table` (`id`, `data_source_config_id`, `scene`, `table_name`, `table_comment`, `remark`,
                                   `module_name`, `business_name`, `class_name`, `class_comment`, `author`,
                                   `template_type`, `front_type`, `parent_menu_id`, `creator`, `create_time`, `updater`,
                                   `update_time`, `deleted`)
VALUES (159, 0, 1, 'yshop_user_bill', '用户账单表', NULL, 'member', 'userbill', 'UserBill', '用户账单', 'yshop', 1, 20,
        2176, '1', '2023-06-09 19:07:42', '1', '2023-06-18 20:33:14', b'0');
INSERT INTO `infra_codegen_table` (`id`, `data_source_config_id`, `scene`, `table_name`, `table_comment`, `remark`,
                                   `module_name`, `business_name`, `class_name`, `class_comment`, `author`,
                                   `template_type`, `front_type`, `parent_menu_id`, `creator`, `create_time`, `updater`,
                                   `update_time`, `deleted`)
VALUES (160, 0, 1, 'yshop_store_product_reply', '评论表', NULL, 'product', 'storeproductreply', 'StoreProductReply',
        '评论', 'yshop', 1, 20, 2174, '1', '2023-06-09 19:07:42', '1', '2023-06-13 09:40:14', b'0');
INSERT INTO `infra_codegen_table` (`id`, `data_source_config_id`, `scene`, `table_name`, `table_comment`, `remark`,
                                   `module_name`, `business_name`, `class_name`, `class_comment`, `author`,
                                   `template_type`, `front_type`, `parent_menu_id`, `creator`, `create_time`, `updater`,
                                   `update_time`, `deleted`)
VALUES (161, 0, 1, 'yshop_store_product_relation', '商品点赞和收藏表', NULL, 'product', 'storeproductrelation',
        'StoreProductRelation', '商品点赞和收藏', 'yshop', 1, 20, 2174, '1', '2023-06-09 19:07:42', '1',
        '2023-06-13 09:39:36', b'0');
INSERT INTO `infra_codegen_table` (`id`, `data_source_config_id`, `scene`, `table_name`, `table_comment`, `remark`,
                                   `module_name`, `business_name`, `class_name`, `class_comment`, `author`,
                                   `template_type`, `front_type`, `parent_menu_id`, `creator`, `create_time`, `updater`,
                                   `update_time`, `deleted`)
VALUES (162, 0, 1, 'yshop_express', '快递公司表', NULL, 'order', 'express', 'Express', '快递公司', 'yshop', 1, 20, 2175,
        '1', '2023-07-02 10:10:18', '1', '2023-07-02 10:11:22', b'0');
INSERT INTO `infra_codegen_table` (`id`, `data_source_config_id`, `scene`, `table_name`, `table_comment`, `remark`,
                                   `module_name`, `business_name`, `class_name`, `class_comment`, `author`,
                                   `template_type`, `front_type`, `parent_menu_id`, `creator`, `create_time`, `updater`,
                                   `update_time`, `deleted`)
VALUES (163, 0, 1, 'yshop_merchant_details', '支付服务商配置', NULL, 'pay', 'merchantdetails', 'MerchantDetails',
        '支付服务商配置', 'yshop', 1, 20, 1117, '1', '2023-07-14 14:30:07', '1', '2023-07-14 14:33:17', b'0');
INSERT INTO `infra_codegen_table` (`id`, `data_source_config_id`, `scene`, `table_name`, `table_comment`, `remark`,
                                   `module_name`, `business_name`, `class_name`, `class_comment`, `author`,
                                   `template_type`, `front_type`, `parent_menu_id`, `creator`, `create_time`, `updater`,
                                   `update_time`, `deleted`)
VALUES (164, 0, 1, 'yshop_electronics_order', '电子面单', NULL, 'express', 'electronicsorder', 'ElectronicsOrder',
        '电子面单', 'yshop', 1, 20, 2243, '1', '2023-07-20 17:46:33', '1', '2023-07-20 17:47:48', b'0');
INSERT INTO `infra_codegen_table` (`id`, `data_source_config_id`, `scene`, `table_name`, `table_comment`, `remark`,
                                   `module_name`, `business_name`, `class_name`, `class_comment`, `author`,
                                   `template_type`, `front_type`, `parent_menu_id`, `creator`, `create_time`, `updater`,
                                   `update_time`, `deleted`)
VALUES (165, 0, 1, 'yshop_store_order_electronics', '订单电子面单记录', NULL, 'order', 'storeorderelectronics',
        'StoreOrderElectronics', '订单电子面单记录', 'yshop', 1, 20, 2175, '1', '2023-07-22 16:42:14', '1',
        '2023-07-22 17:29:35', b'0');
INSERT INTO `infra_codegen_table` (`id`, `data_source_config_id`, `scene`, `table_name`, `table_comment`, `remark`,
                                   `module_name`, `business_name`, `class_name`, `class_comment`, `author`,
                                   `template_type`, `front_type`, `parent_menu_id`, `creator`, `create_time`, `updater`,
                                   `update_time`, `deleted`)
VALUES (166, 0, 1, 'yshop_wechat_template', '微信模板', NULL, 'message', 'wechattemplate', 'WechatTemplate', '微信模板',
        'yshop', 1, 20, 2257, '1', '2023-07-25 09:37:06', '1', '2023-07-25 09:43:28', b'0');
INSERT INTO `infra_codegen_table` (`id`, `data_source_config_id`, `scene`, `table_name`, `table_comment`, `remark`,
                                   `module_name`, `business_name`, `class_name`, `class_comment`, `author`,
                                   `template_type`, `front_type`, `parent_menu_id`, `creator`, `create_time`, `updater`,
                                   `update_time`, `deleted`)
VALUES (167, 0, 1, 'yshop_store_backup_record', '备份记录表', NULL, 'yshop', 'storebackuprecord', 'StoreBackupRecord',
        '备份记录', 'admin', 1, 10, 2, '1', '2023-11-22 11:24:55', '1', '2023-11-22 11:30:55', b'0');
COMMIT;

-- ----------------------------
-- Table structure for infra_config
-- ----------------------------
DROP TABLE IF EXISTS `infra_config`;
CREATE TABLE `infra_config`
(
    `id`          int(11) NOT NULL AUTO_INCREMENT COMMENT '参数主键',
    `category`    varchar(50) COLLATE utf8mb4_unicode_ci  NOT NULL COMMENT '参数分组',
    `type`        tinyint(4) NOT NULL COMMENT '参数类型',
    `name`        varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '参数名称',
    `config_key`  varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '参数键名',
    `value`       varchar(500) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '参数键值',
    `visible`     bit(1)                                  NOT NULL COMMENT '是否可见',
    `remark`      varchar(500) COLLATE utf8mb4_unicode_ci          DEFAULT NULL COMMENT '备注',
    `creator`     varchar(64) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '创建者',
    `create_time` datetime                                NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater`     varchar(64) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '更新者',
    `update_time` datetime                                NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted`     bit(1)                                  NOT NULL DEFAULT b'0' COMMENT '是否删除',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='参数配置表';

-- ----------------------------
-- Records of infra_config
-- ----------------------------
BEGIN;
INSERT INTO `infra_config` (`id`, `category`, `type`, `name`, `config_key`, `value`, `visible`, `remark`, `creator`,
                            `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2, 'biz', 1, '用户管理-账号初始密码', 'sys.user.init-password', '123456', b'0', '初始化密码 123456', 'admin',
        '2021-01-05 17:03:48', '1', '2022-03-20 02:25:51', b'0');
INSERT INTO `infra_config` (`id`, `category`, `type`, `name`, `config_key`, `value`, `visible`, `remark`, `creator`,
                            `create_time`, `updater`, `update_time`, `deleted`)
VALUES (7, 'url', 2, 'MySQL 监控的地址', 'url.druid', '', b'1', '', '1', '2023-04-07 13:41:16', '1',
        '2023-04-07 14:33:38', b'0');
INSERT INTO `infra_config` (`id`, `category`, `type`, `name`, `config_key`, `value`, `visible`, `remark`, `creator`,
                            `create_time`, `updater`, `update_time`, `deleted`)
VALUES (8, 'url', 2, 'SkyWalking 监控的地址', 'url.skywalking', '', b'1', '', '1', '2023-04-07 13:41:16', '1',
        '2023-04-07 14:57:03', b'0');
INSERT INTO `infra_config` (`id`, `category`, `type`, `name`, `config_key`, `value`, `visible`, `remark`, `creator`,
                            `create_time`, `updater`, `update_time`, `deleted`)
VALUES (9, 'url', 2, 'Spring Boot Admin 监控的地址', 'url.spring-boot-admin', '', b'1', '', '1', '2023-04-07 13:41:16',
        '1', '2023-04-07 14:52:07', b'0');
INSERT INTO `infra_config` (`id`, `category`, `type`, `name`, `config_key`, `value`, `visible`, `remark`, `creator`,
                            `create_time`, `updater`, `update_time`, `deleted`)
VALUES (10, 'url', 2, 'Swagger 接口文档的地址', 'url.swagger', '', b'1', '', '1', '2023-04-07 13:41:16', '1',
        '2023-04-07 14:59:00', b'0');
COMMIT;

-- ----------------------------
-- Table structure for infra_data_source_config
-- ----------------------------
DROP TABLE IF EXISTS `infra_data_source_config`;
CREATE TABLE `infra_data_source_config`
(
    `id`          bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键编号',
    `name`        varchar(100) COLLATE utf8mb4_unicode_ci  NOT NULL DEFAULT '' COMMENT '参数名称',
    `url`         varchar(1024) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '数据源连接',
    `username`    varchar(255) COLLATE utf8mb4_unicode_ci  NOT NULL COMMENT '用户名',
    `password`    varchar(255) COLLATE utf8mb4_unicode_ci  NOT NULL DEFAULT '' COMMENT '密码',
    `creator`     varchar(64) COLLATE utf8mb4_unicode_ci            DEFAULT '' COMMENT '创建者',
    `create_time` datetime                                 NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater`     varchar(64) COLLATE utf8mb4_unicode_ci            DEFAULT '' COMMENT '更新者',
    `update_time` datetime                                 NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted`     bit(1)                                   NOT NULL DEFAULT b'0' COMMENT '是否删除',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='数据源配置表';

-- ----------------------------
-- Records of infra_data_source_config
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for infra_file
-- ----------------------------
DROP TABLE IF EXISTS `infra_file`;
CREATE TABLE `infra_file`
(
    `id`          bigint(20) NOT NULL AUTO_INCREMENT COMMENT '文件编号',
    `config_id`   bigint(20) DEFAULT NULL COMMENT '配置编号',
    `name`        varchar(256) COLLATE utf8mb4_unicode_ci           DEFAULT NULL COMMENT '文件名',
    `path`        varchar(512) COLLATE utf8mb4_unicode_ci  NOT NULL COMMENT '文件路径',
    `url`         varchar(1024) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '文件 URL',
    `type`        varchar(128) COLLATE utf8mb4_unicode_ci           DEFAULT NULL COMMENT '文件类型',
    `size`        int(11) NOT NULL COMMENT '文件大小',
    `creator`     varchar(64) COLLATE utf8mb4_unicode_ci            DEFAULT '' COMMENT '创建者',
    `create_time` datetime                                 NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater`     varchar(64) COLLATE utf8mb4_unicode_ci            DEFAULT '' COMMENT '更新者',
    `update_time` datetime                                 NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted`     bit(1)                                   NOT NULL DEFAULT b'0' COMMENT '是否删除',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=1312 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='文件表';

-- ----------------------------
-- Table structure for infra_file_config
-- ----------------------------
DROP TABLE IF EXISTS `infra_file_config`;
CREATE TABLE `infra_file_config`
(
    `id`          bigint(20) NOT NULL AUTO_INCREMENT COMMENT '编号',
    `name`        varchar(63) COLLATE utf8mb4_unicode_ci   NOT NULL COMMENT '配置名',
    `storage`     tinyint(4) NOT NULL COMMENT '存储器',
    `remark`      varchar(255) COLLATE utf8mb4_unicode_ci           DEFAULT NULL COMMENT '备注',
    `master`      bit(1)                                   NOT NULL COMMENT '是否为主配置',
    `config`      varchar(4096) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '存储配置',
    `creator`     varchar(64) COLLATE utf8mb4_unicode_ci            DEFAULT '' COMMENT '创建者',
    `create_time` datetime                                 NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater`     varchar(64) COLLATE utf8mb4_unicode_ci            DEFAULT '' COMMENT '更新者',
    `update_time` datetime                                 NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted`     bit(1)                                   NOT NULL DEFAULT b'0' COMMENT '是否删除',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=19 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='文件配置表';

-- ----------------------------
-- Records of infra_file_config
-- ----------------------------
BEGIN;
INSERT INTO `infra_file_config` (`id`, `name`, `storage`, `remark`, `master`, `config`, `creator`, `create_time`,
                                 `updater`, `update_time`, `deleted`)
VALUES (4, '数据库', 1, '我是数据库', b'1',
        '{\"@class\":\"co.yixiang.yshop.framework.file.core.client.db.DBFileClientConfig\",\"domain\":\"https://b2c-pro-api-dev.zkthink.com\"}',
        '1', '2022-03-15 23:56:24', '1', '2023-11-17 14:59:17', b'0');
INSERT INTO `infra_file_config` (`id`, `name`, `storage`, `remark`, `master`, `config`, `creator`, `create_time`,
                                 `updater`, `update_time`, `deleted`)
VALUES (5, '本地磁盘', 10, '测试下本地存储', b'0',
        '{\"@class\":\"co.yixiang.yshop.framework.file.core.client.local.LocalFileClientConfig\",\"basePath\":\"/Users/yshop/file_test\",\"domain\":\"http://127.0.0.1:48080\"}',
        '1', '2022-03-15 23:57:00', '1', '2023-07-19 15:46:06', b'0');
INSERT INTO `infra_file_config` (`id`, `name`, `storage`, `remark`, `master`, `config`, `creator`, `create_time`,
                                 `updater`, `update_time`, `deleted`)
VALUES (11, 'S3 - 七牛云', 20, NULL, b'0',
        '{\"@class\":\"co.yixiang.yshop.framework.file.core.client.s3.S3FileClientConfig\",\"endpoint\":\"s3-cn-south-1.qiniucs.com\",\"domain\":\"http://img.yixiang.co\",\"bucket\":\"yshop-pro\",\"accessKey\":\"b7yvuhBSAGjmtPhMFcn9iMOxUOY_I06cA_p0ZUx8\",\"accessSecret\":\"kXM1l5ia1RvSX3QaOEcwI3RLz3Y2rmNszWonKZtP\"}',
        '1', '2022-03-19 18:00:03', '1', '2023-07-31 09:37:45', b'0');
INSERT INTO `infra_file_config` (`id`, `name`, `storage`, `remark`, `master`, `config`, `creator`, `create_time`,
                                 `updater`, `update_time`, `deleted`)
VALUES (15, 'S3 - 七牛云', 20, '', b'0',
        '{\"@class\":\"co.yixiang.yshop.framework.file.core.client.s3.S3FileClientConfig\",\"endpoint\":\"s3-cn-south-1.qiniucs.com\",\"domain\":\"http://img.yixiang.co\",\"bucket\":\"yshop-pro\",\"accessKey\":\"b7yvuhBSAGjmtPhMFcn9iMOxUOY_I06cA_p0ZUx8\",\"accessSecret\":\"kXM1l5ia1RvSX3QaOEcwI3RLz3Y2rmNszWonKZtP\"}',
        '1', '2022-06-10 20:50:41', '1', '2023-07-31 09:38:31', b'0');
INSERT INTO `infra_file_config` (`id`, `name`, `storage`, `remark`, `master`, `config`, `creator`, `create_time`,
                                 `updater`, `update_time`, `deleted`)
VALUES (16, 'S3 - 七牛云', 20, '', b'0',
        '{\"@class\":\"co.yixiang.yshop.framework.file.core.client.s3.S3FileClientConfig\",\"endpoint\":\"s3-cn-south-1.qiniucs.com\",\"domain\":\"http://img.yixiang.co\",\"bucket\":\"yshop-pro\",\"accessKey\":\"b7yvuhBSAGjmtPhMFcn9iMOxUOY_I06cA_p0ZUx8\",\"accessSecret\":\"kXM1l5ia1RvSX3QaOEcwI3RLz3Y2rmNszWonKZtP\"}',
        '1', '2022-06-11 20:32:08', '1', '2023-07-31 09:38:53', b'0');
INSERT INTO `infra_file_config` (`id`, `name`, `storage`, `remark`, `master`, `config`, `creator`, `create_time`,
                                 `updater`, `update_time`, `deleted`)
VALUES (17, 'S3 - 七牛云', 20, '', b'0',
        '{\"@class\":\"co.yixiang.yshop.framework.file.core.client.s3.S3FileClientConfig\",\"endpoint\":\"s3-cn-south-1.qiniucs.com\",\"domain\":\"http://img.yixiang.co\",\"bucket\":\"yshop-pro\",\"accessKey\":\"b7yvuhBSAGjmtPhMFcn9iMOxUOY_I06cA_p0ZUx8\",\"accessSecret\":\"kXM1l5ia1RvSX3QaOEcwI3RLz3Y2rmNszWonKZtP\"}',
        '1', '2022-06-11 20:32:47', '1', '2023-07-31 09:38:14', b'0');
COMMIT;

-- ----------------------------
-- Table structure for infra_file_content
-- ----------------------------
DROP TABLE IF EXISTS `infra_file_content`;
CREATE TABLE `infra_file_content`
(
    `id`          bigint(20) NOT NULL AUTO_INCREMENT COMMENT '编号',
    `config_id`   bigint(20) NOT NULL COMMENT '配置编号',
    `path`        varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '文件路径',
    `content`     mediumblob                              NOT NULL COMMENT '文件内容',
    `creator`     varchar(64) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '创建者',
    `create_time` datetime                                NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater`     varchar(64) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '更新者',
    `update_time` datetime                                NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted`     bit(1)                                  NOT NULL DEFAULT b'0' COMMENT '是否删除',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=403 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='文件表';

-- ----------------------------
-- Table structure for infra_job
-- ----------------------------
DROP TABLE IF EXISTS `infra_job`;
CREATE TABLE `infra_job`
(
    `id`              bigint(20) NOT NULL AUTO_INCREMENT COMMENT '任务编号',
    `name`            varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '任务名称',
    `status`          tinyint(4) NOT NULL COMMENT '任务状态',
    `handler_name`    varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '处理器的名字',
    `handler_param`   varchar(255) COLLATE utf8mb4_unicode_ci         DEFAULT NULL COMMENT '处理器的参数',
    `cron_expression` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'CRON 表达式',
    `retry_count`     int(11) NOT NULL DEFAULT '0' COMMENT '重试次数',
    `retry_interval`  int(11) NOT NULL DEFAULT '0' COMMENT '重试间隔',
    `monitor_timeout` int(11) NOT NULL DEFAULT '0' COMMENT '监控超时时间',
    `creator`         varchar(64) COLLATE utf8mb4_unicode_ci          DEFAULT '' COMMENT '创建者',
    `create_time`     datetime                               NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater`         varchar(64) COLLATE utf8mb4_unicode_ci          DEFAULT '' COMMENT '更新者',
    `update_time`     datetime                               NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted`         bit(1)                                 NOT NULL DEFAULT b'0' COMMENT '是否删除',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=17 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='定时任务表';

-- ----------------------------
-- Records of infra_job
-- ----------------------------
BEGIN;
INSERT INTO `infra_job` (`id`, `name`, `status`, `handler_name`, `handler_param`, `cron_expression`, `retry_count`,
                         `retry_interval`, `monitor_timeout`, `creator`, `create_time`, `updater`, `update_time`,
                         `deleted`)
VALUES (5, '支付通知 Job', 2, 'payNotifyJob', NULL, '* * * * * ?', 0, 0, 0, '1', '2021-10-27 08:34:42', '1',
        '2023-07-27 18:45:48', b'1');
INSERT INTO `infra_job` (`id`, `name`, `status`, `handler_name`, `handler_param`, `cron_expression`, `retry_count`,
                         `retry_interval`, `monitor_timeout`, `creator`, `create_time`, `updater`, `update_time`,
                         `deleted`)
VALUES (16, 'Job 示例', 2, 'demoJob', NULL, '* * * L * ?', 1, 1, 0, '1', '2022-09-24 22:31:41', '1',
        '2023-06-29 13:35:02', b'0');
COMMIT;

-- ----------------------------
-- Table structure for infra_job_log
-- ----------------------------
DROP TABLE IF EXISTS `infra_job_log`;
CREATE TABLE `infra_job_log`
(
    `id`            bigint(20) NOT NULL AUTO_INCREMENT COMMENT '日志编号',
    `job_id`        bigint(20) NOT NULL COMMENT '任务编号',
    `handler_name`  varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '处理器的名字',
    `handler_param` varchar(255) COLLATE utf8mb4_unicode_ci         DEFAULT NULL COMMENT '处理器的参数',
    `execute_index` tinyint(4) NOT NULL DEFAULT '1' COMMENT '第几次执行',
    `begin_time`    datetime                               NOT NULL COMMENT '开始执行时间',
    `end_time`      datetime                                        DEFAULT NULL COMMENT '结束执行时间',
    `duration`      int(11) DEFAULT NULL COMMENT '执行时长',
    `status`        tinyint(4) NOT NULL COMMENT '任务状态',
    `result`        varchar(4000) COLLATE utf8mb4_unicode_ci        DEFAULT '' COMMENT '结果数据',
    `creator`       varchar(64) COLLATE utf8mb4_unicode_ci          DEFAULT '' COMMENT '创建者',
    `create_time`   datetime                               NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater`       varchar(64) COLLATE utf8mb4_unicode_ci          DEFAULT '' COMMENT '更新者',
    `update_time`   datetime                               NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted`       bit(1)                                 NOT NULL DEFAULT b'0' COMMENT '是否删除',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=168767 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='定时任务日志表';

-- ----------------------------
-- Records of infra_job_log
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for infra_test_demo
-- ----------------------------
DROP TABLE IF EXISTS `infra_test_demo`;
CREATE TABLE `infra_test_demo`
(
    `id`          bigint(20) NOT NULL AUTO_INCREMENT COMMENT '编号',
    `name`        varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '名字',
    `status`      tinyint(4) NOT NULL DEFAULT '0' COMMENT '状态',
    `type`        tinyint(4) NOT NULL COMMENT '类型',
    `category`    tinyint(4) NOT NULL COMMENT '分类',
    `remark`      varchar(500) COLLATE utf8mb4_unicode_ci          DEFAULT NULL COMMENT '备注',
    `creator`     varchar(64) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '创建者',
    `create_time` datetime                                NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater`     varchar(64) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '更新者',
    `update_time` datetime                                NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted`     bit(1)                                  NOT NULL DEFAULT b'0' COMMENT '是否删除',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='字典类型表';

-- ----------------------------
-- Records of infra_test_demo
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for merchant_details
-- ----------------------------
DROP TABLE IF EXISTS `merchant_details`;
CREATE TABLE `merchant_details`
(
    `details_id`      char(32)    NOT NULL COMMENT '列表id',
    `title`           varchar(100)         DEFAULT NULL COMMENT '标题',
    `pay_type`        varchar(60) NOT NULL COMMENT '支付类型(支付渠道) 详情查看com.egzosn.pay.spring.boot.core.merchant.PaymentPlatform对应子类，aliPay 支付宝， wxPay微信..等等',
    `appid`           varchar(32)          DEFAULT NULL COMMENT '应用id',
    `mch_id`          varchar(32)          DEFAULT NULL COMMENT '商户id，商户号，合作伙伴id等等',
    `cert_store_type` varchar(16)          DEFAULT NULL COMMENT '当前面私钥公钥为证书类型的时候，这里必填，可选值:PATH,STR,INPUT_STREAM,CLASS_PATH,URL',
    `key_private`     mediumtext COMMENT '私钥或私钥证书',
    `key_public`      mediumtext COMMENT '公钥或公钥证书',
    `key_cert`        text COMMENT 'key证书,附加证书使用，如SSL证书，或者银联根级证书方面',
    `key_cert_pwd`    varchar(32)          DEFAULT NULL COMMENT '私钥证书或key证书的密码',
    `notify_url`      varchar(256)         DEFAULT NULL COMMENT '异步回调',
    `return_url`      varchar(256)         DEFAULT NULL COMMENT '同步回调地址，大部分用于付款成功后页面转跳',
    `sign_type`       varchar(16) NOT NULL COMMENT '签名方式,目前已实现多种签名方式详情查看com.egzosn.pay.common.util.sign.encrypt。MD5,RSA等等',
    `seller`          varchar(32)          DEFAULT NULL COMMENT '收款账号，暂时只有支付宝部分使用，可根据开发者自行使用',
    `sub_app_id`      varchar(32)          DEFAULT NULL COMMENT '子appid',
    `sub_mch_id`      varchar(32)          DEFAULT NULL COMMENT '子商户id',
    `input_charset`   varchar(16) NOT NULL DEFAULT 'utf-8' COMMENT '编码类型，大部分为utf-8',
    `is_test`         tinyint(1) NOT NULL COMMENT '是否为测试环境: 0 否，1 测试环境',
    `updater`         varchar(60)          DEFAULT NULL COMMENT '更新者',
    `creator`         varchar(60)          DEFAULT NULL,
    `create_time`     datetime             DEFAULT NULL,
    `update_time`     datetime             DEFAULT NULL,
    `deleted`         bit(1)               DEFAULT b'0',
    PRIMARY KEY (`details_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='支付服务商配置';

-- ----------------------------
-- Records of merchant_details
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for mp_account
-- ----------------------------
DROP TABLE IF EXISTS `mp_account`;
CREATE TABLE `mp_account`
(
    `id`          bigint(20) NOT NULL AUTO_INCREMENT COMMENT '编号',
    `name`        varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '公众号名称',
    `account`     varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '公众号账号',
    `app_id`      varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '公众号appid',
    `app_secret`  varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '公众号密钥',
    `url`         varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '公众号url',
    `token`       varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '公众号token',
    `aes_key`     varchar(300) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '加密密钥',
    `qr_code_url` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '二维码图片URL',
    `remark`      varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '备注',
    `creator`     varchar(64) COLLATE utf8mb4_unicode_ci  DEFAULT '' COMMENT '创建者',
    `create_time` datetime NOT NULL                       DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater`     varchar(64) COLLATE utf8mb4_unicode_ci  DEFAULT '' COMMENT '更新者',
    `update_time` datetime NOT NULL                       DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted`     bit(1)   NOT NULL                       DEFAULT b'0' COMMENT '是否删除',
    `tenant_id`   bigint(20) NOT NULL DEFAULT '0' COMMENT '租户编号',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='公众号账号表';

-- ----------------------------
-- Records of mp_account
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for mp_auto_reply
-- ----------------------------
DROP TABLE IF EXISTS `mp_auto_reply`;
CREATE TABLE `mp_auto_reply`
(
    `id`                       bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
    `account_id`               bigint(20) NOT NULL COMMENT '公众号账号的编号',
    `app_id`                   varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '公众号 appId',
    `type`                     tinyint(4) NOT NULL COMMENT '回复类型',
    `request_keyword`          varchar(255)                                                           DEFAULT NULL COMMENT '请求的关键字',
    `request_match`            tinyint(4) DEFAULT NULL COMMENT '请求的关键字的匹配',
    `request_message_type`     varchar(32)                                                            DEFAULT NULL COMMENT '请求的消息类型',
    `response_message_type`    varchar(32)                                                   NOT NULL COMMENT '回复的消息类型',
    `response_content`         varchar(1024)                                                          DEFAULT NULL COMMENT '回复的消息内容',
    `response_media_id`        varchar(128)                                                           DEFAULT NULL COMMENT '回复的媒体文件 id',
    `response_media_url`       varchar(1024)                                                          DEFAULT NULL COMMENT '回复的媒体文件 URL',
    `response_title`           varchar(128)                                                           DEFAULT NULL COMMENT '回复的标题',
    `response_description`     varchar(256)                                                           DEFAULT NULL COMMENT '回复的描述',
    `response_thumb_media_id`  varchar(128)                                                           DEFAULT NULL COMMENT '回复的缩略图的媒体 id',
    `response_thumb_media_url` varchar(1024)                                                          DEFAULT NULL COMMENT '回复的缩略图的媒体 URL',
    `response_articles`        varchar(1024)                                                          DEFAULT NULL COMMENT '回复的图文消息数组',
    `response_music_url`       varchar(1024)                                                          DEFAULT NULL COMMENT '回复的音乐链接',
    `response_hq_music_url`    varchar(1024)                                                          DEFAULT NULL COMMENT '回复的高质量音乐链接',
    `creator`                  varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '创建者',
    `create_time`              datetime                                                      NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater`                  varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '更新者',
    `update_time`              datetime                                                      NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted`                  bit(1)                                                        NOT NULL DEFAULT b'0' COMMENT '是否删除',
    `tenant_id`                bigint(20) NOT NULL DEFAULT '0' COMMENT '租户编号',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=54 DEFAULT CHARSET=utf8 COMMENT='公众号消息自动回复表';

-- ----------------------------
-- Records of mp_auto_reply
-- ----------------------------
BEGIN;
INSERT INTO `mp_auto_reply` (`id`, `account_id`, `app_id`, `type`, `request_keyword`, `request_match`,
                             `request_message_type`, `response_message_type`, `response_content`, `response_media_id`,
                             `response_media_url`, `response_title`, `response_description`, `response_thumb_media_id`,
                             `response_thumb_media_url`, `response_articles`, `response_music_url`,
                             `response_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`,
                             `tenant_id`)
VALUES (44, 1, 'wx5b23ba7a5589ecbb', 3, '你猜', 1, 'text', 'voice', '',
        't1E3ss-niBf29tpzShjljxwaiBoXV_61ln2hzZGDlvAcT3hqLbC9dvl39YwiBWg9', NULL, NULL, NULL, NULL, NULL, NULL, NULL,
        NULL, '', '2023-01-04 04:40:55', '', '2023-01-16 16:55:48', b'1', 1);
INSERT INTO `mp_auto_reply` (`id`, `account_id`, `app_id`, `type`, `request_keyword`, `request_match`,
                             `request_message_type`, `response_message_type`, `response_content`, `response_media_id`,
                             `response_media_url`, `response_title`, `response_description`, `response_thumb_media_id`,
                             `response_thumb_media_url`, `response_articles`, `response_music_url`,
                             `response_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`,
                             `tenant_id`)
VALUES (53, 5, 'wxdbdbc123c8c30b45', 3, 'yshop', 1, NULL, 'text', 'haha', NULL, NULL, NULL, NULL, NULL, NULL, NULL,
        NULL, NULL, '1', '2023-06-29 16:25:06', '1', '2023-06-29 16:25:06', b'0', 0);
COMMIT;

-- ----------------------------
-- Table structure for mp_material
-- ----------------------------
DROP TABLE IF EXISTS `mp_material`;
CREATE TABLE `mp_material`
(
    `id`           bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
    `account_id`   bigint(20) NOT NULL COMMENT '公众号账号的编号',
    `app_id`       varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '公众号 appId',
    `media_id`     varchar(128)                                                  NOT NULL COMMENT '公众号素材 id',
    `type`         varchar(32)                                                   NOT NULL COMMENT '文件类型',
    `permanent`    bit(1)                                                        NOT NULL DEFAULT b'0' COMMENT '是否永久',
    `url`          varchar(1024)                                                          DEFAULT NULL COMMENT '文件服务器的 URL',
    `name`         varchar(255)                                                           DEFAULT NULL COMMENT '名字',
    `mp_url`       varchar(1024)                                                          DEFAULT NULL COMMENT '公众号文件 URL',
    `title`        varchar(255)                                                           DEFAULT NULL COMMENT '视频素材的标题',
    `introduction` varchar(255)                                                           DEFAULT NULL COMMENT '视频素材的描述',
    `creator`      varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '创建者',
    `create_time`  datetime                                                      NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater`      varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '更新者',
    `update_time`  datetime                                                      NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted`      bit(1)                                                        NOT NULL DEFAULT b'0' COMMENT '是否删除',
    `tenant_id`    bigint(20) NOT NULL DEFAULT '0' COMMENT '租户编号',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=98 DEFAULT CHARSET=utf8 COMMENT='公众号素材表';

-- ----------------------------
-- Records of mp_material
-- ----------------------------
BEGIN;
INSERT INTO `mp_material` (`id`, `account_id`, `app_id`, `media_id`, `type`, `permanent`, `url`, `name`, `mp_url`,
                           `title`, `introduction`, `creator`, `create_time`, `updater`, `update_time`, `deleted`,
                           `tenant_id`)
VALUES (80, 1, 'wx5b23ba7a5589ecbb', 'r6ryvl6LrxBU0miaST4Y-tlQmcl3RdC-Jcgns6IQtf7zenGy3b86WLT7GzUcrb1T', 'image', b'1',
        'http://test.yshop.iocoder.cn/r6ryvl6LrxBU0miaST4Y-tlQmcl3RdC-Jcgns6IQtf7zenGy3b86WLT7GzUcrb1T.png', 'file',
        'http://mmbiz.qpic.cn/mmbiz_png/btUmCVHwbJUoicwBiacjVeQbu6QxgBVrukfSJXz509boa21SpH8OVHAqXCJiaiaAaHQJNxwwsa0gHRXVr0G5EZYamw/0?wx_fmt=png',
        '', '', '1', '2023-01-14 00:56:06', '1', '2023-01-14 07:45:41', b'1', 1);
INSERT INTO `mp_material` (`id`, `account_id`, `app_id`, `media_id`, `type`, `permanent`, `url`, `name`, `mp_url`,
                           `title`, `introduction`, `creator`, `create_time`, `updater`, `update_time`, `deleted`,
                           `tenant_id`)
VALUES (81, 1, 'wx5b23ba7a5589ecbb', 'r6ryvl6LrxBU0miaST4Y-pWqXoCgpdNp1fvSv7c6zoTnCsW6BGAVFNJ-E9hkAIXO', 'image', b'1',
        'http://test.yshop.iocoder.cn/r6ryvl6LrxBU0miaST4Y-pWqXoCgpdNp1fvSv7c6zoTnCsW6BGAVFNJ-E9hkAIXO.jpg', 'file',
        'http://mmbiz.qpic.cn/mmbiz_jpg/btUmCVHwbJUoicwBiacjVeQbu6QxgBVrukzCJPJRkia5cQviaDTbLMc614uobiblN4Au4UApLYOShXNDNjdndjPVswg/0?wx_fmt=jpeg',
        '', '', '1', '2023-01-14 01:30:49', '1', '2023-01-14 07:31:02', b'1', 1);
INSERT INTO `mp_material` (`id`, `account_id`, `app_id`, `media_id`, `type`, `permanent`, `url`, `name`, `mp_url`,
                           `title`, `introduction`, `creator`, `create_time`, `updater`, `update_time`, `deleted`,
                           `tenant_id`)
VALUES (82, 1, 'wx5b23ba7a5589ecbb', 'r6ryvl6LrxBU0miaST4Y-vNzhGc_1b37nxAvj0Zt8iuGACe-mC9_a5OhVFIzt0DX', 'image', b'1',
        'http://test.yshop.iocoder.cn/r6ryvl6LrxBU0miaST4Y-vNzhGc_1b37nxAvj0Zt8iuGACe-mC9_a5OhVFIzt0DX.png', 'file',
        'http://mmbiz.qpic.cn/mmbiz_png/btUmCVHwbJVkZaoiatUmOpaGalzHIVxhUNOGPaZfZUSfKzpS8bPShaicSyErHn2mEzthXochM7GE3tIDAt5FNrUg/0?wx_fmt=png',
        NULL, NULL, '1', '2023-01-14 08:20:53', '1', '2023-01-14 07:30:59', b'1', 1);
INSERT INTO `mp_material` (`id`, `account_id`, `app_id`, `media_id`, `type`, `permanent`, `url`, `name`, `mp_url`,
                           `title`, `introduction`, `creator`, `create_time`, `updater`, `update_time`, `deleted`,
                           `tenant_id`)
VALUES (88, 4, 'wx01b971b269525c69', 'rdp2FpJLZJb_Z771EZCE0sdggkEkJ9BXy1wIiory8puv2L0sRYeBBVztrxmjjT_P', 'voice', b'1',
        'http://test.yshop.iocoder.cn/rdp2FpJLZJb_Z771EZCE0sdggkEkJ9BXy1wIiory8puv2L0sRYeBBVztrxmjjT_P.amr', 'file',
        NULL, '', '', '1', '2023-01-14 16:28:53', '1', '2023-01-14 08:29:36', b'1', 1);
INSERT INTO `mp_material` (`id`, `account_id`, `app_id`, `media_id`, `type`, `permanent`, `url`, `name`, `mp_url`,
                           `title`, `introduction`, `creator`, `create_time`, `updater`, `update_time`, `deleted`,
                           `tenant_id`)
VALUES (89, 4, 'wx01b971b269525c69', 'rdp2FpJLZJb_Z771EZCE0jlwnElym7bDUZUQI6t36O9xlh-wQWZpdDEVNHj_-Zo3', 'video', b'1',
        'http://test.yshop.iocoder.cn/rdp2FpJLZJb_Z771EZCE0jlwnElym7bDUZUQI6t36O9xlh-wQWZpdDEVNHj_-Zo3.mp4', 'file',
        NULL, '1', '2', '1', '2023-01-14 16:53:53', '1', '2023-01-14 08:54:45', b'1', 1);
INSERT INTO `mp_material` (`id`, `account_id`, `app_id`, `media_id`, `type`, `permanent`, `url`, `name`, `mp_url`,
                           `title`, `introduction`, `creator`, `create_time`, `updater`, `update_time`, `deleted`,
                           `tenant_id`)
VALUES (90, 4, 'wx01b971b269525c69', 'rdp2FpJLZJb_Z771EZCE0nKJFlsOPjLkDApXEgRjaGydiFVTsC0zMq8-x5V6-rG4', 'video', b'1',
        'http://test.yshop.iocoder.cn/rdp2FpJLZJb_Z771EZCE0nKJFlsOPjLkDApXEgRjaGydiFVTsC0zMq8-x5V6-rG4.mp4', 'file',
        NULL, '12', '34', '1', '2023-01-14 16:55:02', '1', '2023-01-14 08:55:06', b'1', 1);
COMMIT;

-- ----------------------------
-- Table structure for mp_menu
-- ----------------------------
DROP TABLE IF EXISTS `mp_menu`;
CREATE TABLE `mp_menu`
(
    `id`                     bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
    `account_id`             bigint(20) NOT NULL COMMENT '微信公众号ID',
    `app_id`                 varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '微信公众号 appid',
    `name`                   varchar(255)                                                           DEFAULT NULL COMMENT '菜单名称',
    `menu_key`               varchar(255)                                                           DEFAULT NULL COMMENT '菜单标识',
    `parent_id`              varchar(32)                                                            DEFAULT NULL COMMENT '父ID',
    `type`                   varchar(32)                                                   NOT NULL DEFAULT '' COMMENT '按钮类型',
    `url`                    varchar(500)                                                           DEFAULT NULL COMMENT '网页链接',
    `mini_program_app_id`    varchar(32)                                                            DEFAULT NULL COMMENT '小程序appid',
    `mini_program_page_path` varchar(200)                                                           DEFAULT NULL COMMENT '小程序页面路径',
    `article_id`             varchar(200)                                                           DEFAULT NULL COMMENT '跳转图文的媒体编号',
    `reply_message_type`     varchar(32)                                                            DEFAULT NULL COMMENT '消息类型',
    `reply_content`          varchar(1024)                                                          DEFAULT NULL COMMENT '回复的消息内容',
    `reply_media_id`         varchar(128)                                                           DEFAULT NULL COMMENT '回复的媒体文件 id',
    `reply_media_url`        varchar(1024)                                                          DEFAULT NULL COMMENT '回复的媒体文件 URL',
    `reply_title`            varchar(128)                                                           DEFAULT NULL COMMENT '回复的标题',
    `reply_description`      varchar(256)                                                           DEFAULT NULL COMMENT '回复的描述',
    `reply_thumb_media_id`   varchar(128)                                                           DEFAULT NULL COMMENT '回复的缩略图的媒体 id',
    `reply_thumb_media_url`  varchar(1024)                                                          DEFAULT NULL COMMENT '回复的缩略图的媒体 URL',
    `reply_articles`         varchar(1024)                                                          DEFAULT NULL COMMENT '回复的图文消息数组',
    `reply_music_url`        varchar(1024)                                                          DEFAULT NULL COMMENT '回复的音乐链接',
    `reply_hq_music_url`     varchar(1024)                                                          DEFAULT NULL COMMENT '回复的高质量音乐链接',
    `creator`                varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '创建者',
    `create_time`            datetime                                                      NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater`                varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '更新者',
    `update_time`            datetime                                                      NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted`                bit(1)                                                        NOT NULL DEFAULT b'0' COMMENT '是否删除',
    `tenant_id`              bigint(20) NOT NULL DEFAULT '0' COMMENT '租户编号',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=173 DEFAULT CHARSET=utf8 COMMENT='公众号菜单表';

-- ----------------------------
-- Records of mp_menu
-- ----------------------------
BEGIN;
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (1, 1, 'wx5b23ba7a5589ecbb', '今日歌曲', 'V1001_TODAY_MUSIC', '0', 'click', NULL, NULL, NULL, NULL, 'text',
        '幸会幸会', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '', '', '2023-01-07 02:51:58', '',
        '2023-01-14 15:44:49', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (2, 1, 'wx5b23ba7a5589ecbb', '搜索', '', '0', 'view', 'http://www.soso.com/', NULL, NULL, NULL, 'text',
        '幸会幸会', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '', '', '2023-01-07 02:51:58', '',
        '2023-01-14 13:22:13', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (3, 1, 'wx5b23ba7a5589ecbb', '父按钮', '', '0', '', '', NULL, NULL, NULL, 'text', '幸会幸会', NULL, NULL, NULL,
        NULL, NULL, NULL, NULL, '', '', '', '2023-01-07 02:51:58', '', '2023-01-14 15:44:49', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (4, 1, 'wx5b23ba7a5589ecbb', '归去来兮', 'MUSIC', '3', 'click', NULL, NULL, NULL, NULL, 'text', '幸会幸会', NULL,
        NULL, NULL, NULL, NULL, NULL, NULL, '', '', '', '2023-01-07 02:51:58', '', '2023-01-14 15:44:49', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (5, 1, 'wx5b23ba7a5589ecbb', '不说', '', '3', 'view', 'http://www.soso.com/', NULL, NULL, NULL, 'text',
        '幸会幸会', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '', '', '2023-01-07 02:51:58', '',
        '2023-01-14 15:44:49', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (26, 1, 'wx5b23ba7a5589ecbb', '今日歌曲', NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
        NULL, NULL, NULL, NULL, '', '', '1', '2023-01-14 23:44:50', '1', '2023-01-14 16:35:05', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (27, 1, 'wx5b23ba7a5589ecbb', '搜索', NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
        NULL, NULL, NULL, '', '', '1', '2023-01-14 23:44:50', '1', '2023-01-14 16:35:05', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (28, 1, 'wx5b23ba7a5589ecbb', '父按钮', NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
        NULL, NULL, NULL, NULL, '', '', '1', '2023-01-14 23:44:50', '1', '2023-01-14 16:35:05', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (29, 1, 'wx5b23ba7a5589ecbb', '归去来兮', NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
        NULL, NULL, NULL, NULL, '', '', '1', '2023-01-14 23:44:50', '1', '2023-01-14 16:35:05', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (30, 1, 'wx5b23ba7a5589ecbb', '不说', NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
        NULL, NULL, NULL, '', '', '1', '2023-01-14 23:44:50', '1', '2023-01-14 16:35:05', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (31, 1, 'wx5b23ba7a5589ecbb', '123', NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
        NULL, NULL, NULL, '', '', '1', '2023-01-15 00:35:05', '1', '2023-01-14 16:35:43', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (32, 1, 'wx5b23ba7a5589ecbb', '123', NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
        NULL, NULL, NULL, '', '', '1', '2023-01-15 00:35:43', '1', '2023-01-14 16:39:10', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (33, 1, 'wx5b23ba7a5589ecbb', '嘿嘿', NULL, '0', 'view', 'https://www.iocoder.cn', NULL, NULL, NULL, NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '', '1', '2023-01-15 00:39:10', '1', '2023-01-14 16:40:09', b'1',
        1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (38, 1, 'wx5b23ba7a5589ecbb', '顶级1', NULL, '0', 'view', 'https://www.iocoder.cn', NULL, NULL, NULL, NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '', '1', '2023-01-15 00:42:54', '1', '2023-01-14 16:51:35', b'1',
        1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (39, 1, 'wx5b23ba7a5589ecbb', '明星', NULL, '0', '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
        NULL, NULL, NULL, '', '', '1', '2023-01-15 00:42:54', '1', '2023-01-14 16:51:35', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (40, 1, 'wx5b23ba7a5589ecbb', '喊个', NULL, '39', 'view', 'https://www.iocoder.cn', NULL, NULL, NULL, NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '', '1', '2023-01-15 00:42:54', '1', '2023-01-14 16:51:35', b'1',
        1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (41, 1, 'wx5b23ba7a5589ecbb', 'haha', NULL, '39', 'view', 'http://soso.com', NULL, NULL, NULL, NULL, NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, NULL, '', '', '1', '2023-01-15 00:42:54', '1', '2023-01-14 16:51:35', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (42, 1, 'wx5b23ba7a5589ecbb', '顶级1', NULL, '0', 'view', 'https://www.iocoder.cn', NULL, NULL, NULL, NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '', '1', '2023-01-15 00:51:35', '1', '2023-01-14 16:51:53', b'1',
        1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (43, 1, 'wx5b23ba7a5589ecbb', '明星', NULL, '0', '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
        NULL, NULL, NULL, '', '', '1', '2023-01-15 00:51:35', '1', '2023-01-14 16:51:53', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (44, 1, 'wx5b23ba7a5589ecbb', '喊个', NULL, '43', 'view', 'https://www.iocoder.cn', NULL, NULL, NULL, NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '', '1', '2023-01-15 00:51:35', '1', '2023-01-14 16:51:53', b'1',
        1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (45, 1, 'wx5b23ba7a5589ecbb', 'haha', NULL, '43', 'view', 'http://soso.com', NULL, NULL, NULL, NULL, NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, NULL, '', '', '1', '2023-01-15 00:51:35', '1', '2023-01-14 16:51:53', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (46, 1, 'wx5b23ba7a5589ecbb', '测试菜单', NULL, '0', '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
        NULL, NULL, NULL, NULL, '', '', '1', '2023-01-15 11:32:17', '1', '2023-01-15 04:39:11', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (47, 1, 'wx5b23ba7a5589ecbb', '跳转网页', NULL, '46', 'view', 'https://www.iocoder.cn', NULL, NULL, NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '', '1', '2023-01-15 11:32:17', '1', '2023-01-15 04:39:11',
        b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (48, 1, 'wx5b23ba7a5589ecbb', '点击回复', '123', '0', 'click', NULL, NULL, NULL, NULL, 'text', '123', NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, '', '', '1', '2023-01-15 12:39:12', '1', '2023-01-15 09:19:01', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (49, 1, 'wx5b23ba7a5589ecbb', '点击回复', '123', '0', 'click', NULL, NULL, NULL, NULL, 'image', '',
        'r6ryvl6LrxBU0miaST4Y-pgFtUNLu1foMSAMkoOsrQrTZ8EtTMssBLfTtzP0dfjG',
        'http://test.yshop.iocoder.cn/r6ryvl6LrxBU0miaST4Y-pgFtUNLu1foMSAMkoOsrQrTZ8EtTMssBLfTtzP0dfjG.png', '', '',
        NULL, NULL, NULL, '', '', '1', '2023-01-15 17:19:02', '1', '2023-01-15 09:26:50', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (50, 1, 'wx5b23ba7a5589ecbb', '点击回复', '123', '0', 'click', NULL, NULL, NULL, NULL, 'voice', '',
        'a6kOoewXIbX57gB0kCb_Gz-Yg8hVk5OgQ6iWZU_KSOEhpQ31JmkGh0JYPKgi9ebKPthnsckQbQVWfiN58VLrfg',
        'http://test.yshop.iocoder.cn/a6kOoewXIbX57gB0kCb_Gz-Yg8hVk5OgQ6iWZU_KSOEhpQ31JmkGh0JYPKgi9ebKPthnsckQbQVWfiN58VLrfg.mp3',
        '', '', NULL, NULL, NULL, '', '', '1', '2023-01-15 17:26:51', '1', '2023-01-15 09:27:39', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (51, 1, 'wx5b23ba7a5589ecbb', '点击回复', '123', '0', 'click', NULL, NULL, NULL, NULL, 'video', '',
        'XQockIDz-7p8wHuI0wxzd2dZvhKWrQnxM5pPXvaW8Qsid2hLjVxk90wM47ZsYERT',
        'http://test.yshop.iocoder.cn/XQockIDz-7p8wHuI0wxzd2dZvhKWrQnxM5pPXvaW8Qsid2hLjVxk90wM47ZsYERT.mp4', '奥特曼',
        '奥特快', NULL, NULL, NULL, '', '', '1', '2023-01-15 17:27:40', '1', '2023-01-15 09:28:20', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (52, 1, 'wx5b23ba7a5589ecbb', '点击回复', '123', '0', 'click', NULL, NULL, NULL, NULL, 'video', '',
        'XQockIDz-7p8wHuI0wxzd2dZvhKWrQnxM5pPXvaW8Qsid2hLjVxk90wM47ZsYERT',
        'http://test.yshop.iocoder.cn/XQockIDz-7p8wHuI0wxzd2dZvhKWrQnxM5pPXvaW8Qsid2hLjVxk90wM47ZsYERT.mp4', NULL,
        '奥特快', NULL, NULL, NULL, '', '', '1', '2023-01-15 17:28:21', '1', '2023-01-15 09:29:21', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (53, 1, 'wx5b23ba7a5589ecbb', '点击回复', '123', '0', 'click', NULL, NULL, NULL, NULL, 'video', '',
        'XQockIDz-7p8wHuI0wxzd2dZvhKWrQnxM5pPXvaW8Qsid2hLjVxk90wM47ZsYERT',
        'http://test.yshop.iocoder.cn/XQockIDz-7p8wHuI0wxzd2dZvhKWrQnxM5pPXvaW8Qsid2hLjVxk90wM47ZsYERT.mp4', NULL,
        '奥特快', NULL, NULL, NULL, '', '', '1', '2023-01-15 17:29:22', '1', '2023-01-15 09:32:49', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (54, 1, 'wx5b23ba7a5589ecbb', '回复图片', '01', '0', 'click', NULL, NULL, NULL, NULL, 'image', '',
        'r6ryvl6LrxBU0miaST4Y-pgFtUNLu1foMSAMkoOsrQrTZ8EtTMssBLfTtzP0dfjG',
        'http://test.yshop.iocoder.cn/r6ryvl6LrxBU0miaST4Y-pgFtUNLu1foMSAMkoOsrQrTZ8EtTMssBLfTtzP0dfjG.png', '', '',
        NULL, NULL, NULL, '', '', '1', '2023-01-15 17:29:22', '1', '2023-01-15 09:32:49', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (55, 1, 'wx5b23ba7a5589ecbb', '回复图片', 'image', '0', 'click', NULL, NULL, NULL, NULL, 'image', '',
        'r6ryvl6LrxBU0miaST4Y-jVixJGgnBnkBPRbuVptOW0CHYuQFyiOVNtamctS8xU8',
        'http://test.yshop.iocoder.cn/r6ryvl6LrxBU0miaST4Y-jVixJGgnBnkBPRbuVptOW0CHYuQFyiOVNtamctS8xU8.jpg', '', '',
        NULL, NULL, NULL, '', '', '1', '2023-01-15 17:33:06', '1', '2023-01-15 09:33:45', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (56, 1, 'wx5b23ba7a5589ecbb', '回复图片', 'image', '0', 'click', NULL, NULL, NULL, NULL, 'image', '',
        'r6ryvl6LrxBU0miaST4Y-jVixJGgnBnkBPRbuVptOW0CHYuQFyiOVNtamctS8xU8',
        'http://test.yshop.iocoder.cn/r6ryvl6LrxBU0miaST4Y-jVixJGgnBnkBPRbuVptOW0CHYuQFyiOVNtamctS8xU8.jpg', NULL, '',
        NULL, NULL, NULL, '', '', '1', '2023-01-15 17:33:45', '1', '2023-01-15 09:33:55', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (57, 1, 'wx5b23ba7a5589ecbb', '回复语音', 'aoteman', '0', 'click', NULL, NULL, NULL, NULL, 'voice', '',
        'a6kOoewXIbX57gB0kCb_Gz-Yg8hVk5OgQ6iWZU_KSOEhpQ31JmkGh0JYPKgi9ebKPthnsckQbQVWfiN58VLrfg',
        'http://test.yshop.iocoder.cn/a6kOoewXIbX57gB0kCb_Gz-Yg8hVk5OgQ6iWZU_KSOEhpQ31JmkGh0JYPKgi9ebKPthnsckQbQVWfiN58VLrfg.mp3',
        '', '', NULL, NULL, NULL, '', '', '1', '2023-01-15 17:33:45', '1', '2023-01-15 09:33:55', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (58, 1, 'wx5b23ba7a5589ecbb', '回复图片', 'image', '0', 'click', NULL, NULL, NULL, NULL, 'image', '',
        'r6ryvl6LrxBU0miaST4Y-jVixJGgnBnkBPRbuVptOW0CHYuQFyiOVNtamctS8xU8',
        'http://test.yshop.iocoder.cn/r6ryvl6LrxBU0miaST4Y-jVixJGgnBnkBPRbuVptOW0CHYuQFyiOVNtamctS8xU8.jpg', NULL, '',
        NULL, NULL, NULL, '', '', '1', '2023-01-15 17:33:56', '1', '2023-01-15 09:34:02', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (59, 1, 'wx5b23ba7a5589ecbb', '回复语音', 'aoteman', '0', 'click', NULL, NULL, NULL, NULL, 'voice', '',
        'a6kOoewXIbX57gB0kCb_Gz-Yg8hVk5OgQ6iWZU_KSOEhpQ31JmkGh0JYPKgi9ebKPthnsckQbQVWfiN58VLrfg',
        'http://test.yshop.iocoder.cn/a6kOoewXIbX57gB0kCb_Gz-Yg8hVk5OgQ6iWZU_KSOEhpQ31JmkGh0JYPKgi9ebKPthnsckQbQVWfiN58VLrfg.mp3',
        NULL, '', NULL, NULL, NULL, '', '', '1', '2023-01-15 17:33:56', '1', '2023-01-15 09:34:02', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (60, 1, 'wx5b23ba7a5589ecbb', '回复图片', 'image', '0', 'click', NULL, NULL, NULL, NULL, 'image', '',
        'r6ryvl6LrxBU0miaST4Y-jVixJGgnBnkBPRbuVptOW0CHYuQFyiOVNtamctS8xU8',
        'http://test.yshop.iocoder.cn/r6ryvl6LrxBU0miaST4Y-jVixJGgnBnkBPRbuVptOW0CHYuQFyiOVNtamctS8xU8.jpg', NULL, '',
        NULL, NULL, NULL, '', '', '1', '2023-01-15 17:34:02', '1', '2023-01-15 09:34:44', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (61, 1, 'wx5b23ba7a5589ecbb', '回复语音', 'aoteman', '0', 'click', NULL, NULL, NULL, NULL, 'voice', '',
        'a6kOoewXIbX57gB0kCb_Gz-Yg8hVk5OgQ6iWZU_KSOEhpQ31JmkGh0JYPKgi9ebKPthnsckQbQVWfiN58VLrfg',
        'http://test.yshop.iocoder.cn/a6kOoewXIbX57gB0kCb_Gz-Yg8hVk5OgQ6iWZU_KSOEhpQ31JmkGh0JYPKgi9ebKPthnsckQbQVWfiN58VLrfg.mp3',
        NULL, '', NULL, NULL, NULL, '', '', '1', '2023-01-15 17:34:02', '1', '2023-01-15 09:34:44', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (62, 1, 'wx5b23ba7a5589ecbb', '回复语音', 'aoteman', '0', 'click', NULL, NULL, NULL, NULL, 'voice', '',
        'a6kOoewXIbX57gB0kCb_Gz-Yg8hVk5OgQ6iWZU_KSOEhpQ31JmkGh0JYPKgi9ebKPthnsckQbQVWfiN58VLrfg',
        'http://test.yshop.iocoder.cn/a6kOoewXIbX57gB0kCb_Gz-Yg8hVk5OgQ6iWZU_KSOEhpQ31JmkGh0JYPKgi9ebKPthnsckQbQVWfiN58VLrfg.mp3',
        NULL, '', NULL, NULL, NULL, '', '', '1', '2023-01-15 17:34:45', '1', '2023-01-15 09:36:27', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (63, 1, 'wx5b23ba7a5589ecbb', '回复语音', 'aoteman', '0', 'click', NULL, NULL, NULL, NULL, 'voice', '',
        'a6kOoewXIbX57gB0kCb_Gz-Yg8hVk5OgQ6iWZU_KSOEhpQ31JmkGh0JYPKgi9ebKPthnsckQbQVWfiN58VLrfg',
        'http://test.yshop.iocoder.cn/a6kOoewXIbX57gB0kCb_Gz-Yg8hVk5OgQ6iWZU_KSOEhpQ31JmkGh0JYPKgi9ebKPthnsckQbQVWfiN58VLrfg.mp3',
        NULL, '', NULL, NULL, NULL, '', '', '1', '2023-01-15 17:36:28', '1', '2023-01-15 09:37:20', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (64, 1, 'wx5b23ba7a5589ecbb', '回复语音', 'aoteman', '0', 'click', NULL, NULL, NULL, NULL, 'voice', '',
        'a6kOoewXIbX57gB0kCb_Gz-Yg8hVk5OgQ6iWZU_KSOEhpQ31JmkGh0JYPKgi9ebKPthnsckQbQVWfiN58VLrfg',
        'http://test.yshop.iocoder.cn/a6kOoewXIbX57gB0kCb_Gz-Yg8hVk5OgQ6iWZU_KSOEhpQ31JmkGh0JYPKgi9ebKPthnsckQbQVWfiN58VLrfg.mp3',
        NULL, '', NULL, NULL, NULL, '', '', '1', '2023-01-15 17:37:21', '1', '2023-01-15 09:40:13', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (65, 1, 'wx5b23ba7a5589ecbb', '回复语音', 'aoteman', '0', 'click', NULL, NULL, NULL, NULL, 'voice', '',
        'a6kOoewXIbX57gB0kCb_Gz-Yg8hVk5OgQ6iWZU_KSOEhpQ31JmkGh0JYPKgi9ebKPthnsckQbQVWfiN58VLrfg',
        'http://test.yshop.iocoder.cn/a6kOoewXIbX57gB0kCb_Gz-Yg8hVk5OgQ6iWZU_KSOEhpQ31JmkGh0JYPKgi9ebKPthnsckQbQVWfiN58VLrfg.mp3',
        NULL, '', NULL, NULL, NULL, '', '', '1', '2023-01-15 17:40:14', '1', '2023-01-15 09:40:24', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (66, 1, 'wx5b23ba7a5589ecbb', '回复语音', 'aoteman', '0', 'click', NULL, NULL, NULL, NULL, 'voice', '',
        'a6kOoewXIbX57gB0kCb_Gz-Yg8hVk5OgQ6iWZU_KSOEhpQ31JmkGh0JYPKgi9ebKPthnsckQbQVWfiN58VLrfg',
        'http://test.yshop.iocoder.cn/a6kOoewXIbX57gB0kCb_Gz-Yg8hVk5OgQ6iWZU_KSOEhpQ31JmkGh0JYPKgi9ebKPthnsckQbQVWfiN58VLrfg.mp3',
        NULL, '', NULL, NULL, NULL, '', '', '1', '2023-01-15 17:40:24', '1', '2023-01-15 09:41:12', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (67, 1, 'wx5b23ba7a5589ecbb', '回复语音', 'aoteman', '0', 'click', NULL, NULL, NULL, NULL, 'video', '',
        'a6kOoewXIbX57gB0kCb_Gz-Yg8hVk5OgQ6iWZU_KSOEhpQ31JmkGh0JYPKgi9ebKPthnsckQbQVWfiN58VLrfg',
        'http://test.yshop.iocoder.cn/a6kOoewXIbX57gB0kCb_Gz-Yg8hVk5OgQ6iWZU_KSOEhpQ31JmkGh0JYPKgi9ebKPthnsckQbQVWfiN58VLrfg.mp3',
        '', '', NULL, NULL, NULL, '', '', '1', '2023-01-15 17:41:13', '1', '2023-01-15 09:43:32', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (68, 1, 'wx5b23ba7a5589ecbb', '回复视频', '123', '0', 'click', NULL, NULL, NULL, NULL, 'video', '',
        'r6ryvl6LrxBU0miaST4Y-v2-X9sD87sdZ8qoWWgu9QgP2NEjlTvDJ47KfF2xhyiU',
        'http://test.yshop.iocoder.cn/r6ryvl6LrxBU0miaST4Y-v2-X9sD87sdZ8qoWWgu9QgP2NEjlTvDJ47KfF2xhyiU.mp4', '我是视频',
        '我真的是视频', NULL, NULL, NULL, '', '', '1', '2023-01-15 17:41:13', '1', '2023-01-15 09:43:32', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (69, 1, 'wx5b23ba7a5589ecbb', '回复语音', 'aoteman', '0', 'click', NULL, NULL, NULL, NULL, 'video', '',
        'a6kOoewXIbX57gB0kCb_Gz-Yg8hVk5OgQ6iWZU_KSOEhpQ31JmkGh0JYPKgi9ebKPthnsckQbQVWfiN58VLrfg',
        'http://test.yshop.iocoder.cn/a6kOoewXIbX57gB0kCb_Gz-Yg8hVk5OgQ6iWZU_KSOEhpQ31JmkGh0JYPKgi9ebKPthnsckQbQVWfiN58VLrfg.mp3',
        NULL, '', NULL, NULL, NULL, '', '', '1', '2023-01-15 17:43:33', '1', '2023-01-15 10:06:28', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (70, 1, 'wx5b23ba7a5589ecbb', '回复视频', '123', '0', 'click', NULL, NULL, NULL, NULL, 'video', '',
        'r6ryvl6LrxBU0miaST4Y-v2-X9sD87sdZ8qoWWgu9QgP2NEjlTvDJ47KfF2xhyiU',
        'http://test.yshop.iocoder.cn/r6ryvl6LrxBU0miaST4Y-v2-X9sD87sdZ8qoWWgu9QgP2NEjlTvDJ47KfF2xhyiU.mp4', NULL,
        '我真的是视频', NULL, NULL, NULL, '', '', '1', '2023-01-15 17:43:33', '1', '2023-01-15 10:06:28', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (71, 1, 'wx5b23ba7a5589ecbb', '回复音乐', 'ao11', '0', 'click', NULL, NULL, NULL, NULL, 'music', '', NULL, NULL,
        '1', '2', NULL, NULL, NULL, '', '', '1', '2023-01-15 17:43:33', '1', '2023-01-15 10:06:28', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (72, 1, 'wx5b23ba7a5589ecbb', '回复音乐', '01', '0', 'click', NULL, NULL, NULL, NULL, 'music', '', NULL, NULL,
        '1', '2', 'wBnOlFbeYaWXb7AVX5Ha_Uy373JHA2EoS0FUziAhkwP0r6Hv43PeQHXKY4GADfbl',
        'http://test.yshop.iocoder.cn/wBnOlFbeYaWXb7AVX5Ha_Uy373JHA2EoS0FUziAhkwP0r6Hv43PeQHXKY4GADfbl.png', NULL,
        'https://www.iocoder.cn/1.mp3', 'https://www.iocoder.cn/2.mp3', '1', '2023-01-15 18:16:12', '1',
        '2023-01-15 10:21:13', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (73, 1, 'wx5b23ba7a5589ecbb', '回复音乐', '01', '0', 'click', NULL, NULL, NULL, NULL, 'music', '', NULL, NULL,
        '1', '2', 'wBnOlFbeYaWXb7AVX5Ha_Uy373JHA2EoS0FUziAhkwP0r6Hv43PeQHXKY4GADfbl',
        'http://test.yshop.iocoder.cn/wBnOlFbeYaWXb7AVX5Ha_Uy373JHA2EoS0FUziAhkwP0r6Hv43PeQHXKY4GADfbl.png', NULL,
        'https://www.iocoder.cn/1.mp3', 'https://www.iocoder.cn/2.mp3', '1', '2023-01-15 18:21:14', '1',
        '2023-01-15 10:21:36', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (74, 1, 'wx5b23ba7a5589ecbb', '回复音乐', '01', '0', 'click', NULL, NULL, NULL, NULL, 'music', '', NULL, NULL,
        '1', '2', 'wBnOlFbeYaWXb7AVX5Ha_Uy373JHA2EoS0FUziAhkwP0r6Hv43PeQHXKY4GADfbl',
        'http://test.yshop.iocoder.cn/wBnOlFbeYaWXb7AVX5Ha_Uy373JHA2EoS0FUziAhkwP0r6Hv43PeQHXKY4GADfbl.png', NULL,
        'https://www.iocoder.cn/1.mp3', 'https://www.iocoder.cn/2.mp3', '1', '2023-01-15 18:21:36', '1',
        '2023-01-15 10:21:59', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (75, 1, 'wx5b23ba7a5589ecbb', '回复图文', 'music', '0', 'click', NULL, NULL, NULL, NULL, 'news', '', NULL, NULL,
        '', '', NULL, NULL,
        '[{\"title\":\"我是标题\",\"description\":null,\"picUrl\":\"http://test.yshop.iocoder.cn/r6ryvl6LrxBU0miaST4Y-pIcmK-zAAId-9TGgy-DrSLhjVuWbuT3ZBjk9K1yQ0Dn.png\",\"url\":\"http://mp.weixin.qq.com/s?__biz=MzA3NjM4MzQzOQ==&mid=2247483662&idx=1&sn=dadf5d7e9aa594b58666fb2013fdf215&chksm=9f6354aea814ddb8fde13b17a34acbe86987b5c3403c6bd47e1e94977f6988b62653f6ab55e6#rd\"},{\"title\":\"我是标题 2\",\"description\":null,\"picUrl\":\"http://test.yshop.iocoder.cn/r6ryvl6LrxBU0miaST4Y-pIcmK-zAAId-9TGgy-DrSLhjVuWbuT3ZBjk9K1yQ0Dn.png\",\"url\":\"http://mp.weixin.qq.com/s?__biz=MzA3NjM4MzQzOQ==&mid=2247483662&idx=2&sn=c8041e2fc639c07d73bbbb6f80cf1784&chksm=9f6354aea814ddb8f48d7b330252c0374878014feb45a8fd4c22aaa0483c062f20ba15463368#rd\"}]',
        NULL, NULL, '1', '2023-01-15 18:23:23', '1', '2023-01-15 10:23:53', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (76, 1, 'wx5b23ba7a5589ecbb', '回复图文', 'music', '0', 'click', NULL, NULL, NULL, NULL, 'text', '123', NULL,
        NULL, '', '', NULL, NULL,
        '[{\"title\":\"我是标题\",\"description\":null,\"picUrl\":\"http://test.yshop.iocoder.cn/r6ryvl6LrxBU0miaST4Y-pIcmK-zAAId-9TGgy-DrSLhjVuWbuT3ZBjk9K1yQ0Dn.png\",\"url\":\"http://mp.weixin.qq.com/s?__biz=MzA3NjM4MzQzOQ==&mid=2247483662&idx=1&sn=dadf5d7e9aa594b58666fb2013fdf215&chksm=9f6354aea814ddb8fde13b17a34acbe86987b5c3403c6bd47e1e94977f6988b62653f6ab55e6#rd\"},{\"title\":\"我是标题 2\",\"description\":null,\"picUrl\":\"http://test.yshop.iocoder.cn/r6ryvl6LrxBU0miaST4Y-pIcmK-zAAId-9TGgy-DrSLhjVuWbuT3ZBjk9K1yQ0Dn.png\",\"url\":\"http://mp.weixin.qq.com/s?__biz=MzA3NjM4MzQzOQ==&mid=2247483662&idx=2&sn=c8041e2fc639c07d73bbbb6f80cf1784&chksm=9f6354aea814ddb8f48d7b330252c0374878014feb45a8fd4c22aaa0483c062f20ba15463368#rd\"}]',
        NULL, NULL, '1', '2023-01-15 18:23:54', '1', '2023-01-15 11:13:21', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (77, 1, 'wx5b23ba7a5589ecbb', '回复图文', NULL, '0', '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:13:21', '1', '2023-01-15 11:13:36', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (78, 1, 'wx5b23ba7a5589ecbb', '文本', 't1', '77', 'click', NULL, NULL, NULL, NULL, 'text', '123', NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:13:21', '1', '2023-01-15 11:13:36', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (79, 1, 'wx5b23ba7a5589ecbb', '回复图文', NULL, '0', '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:13:36', '1', '2023-01-15 11:13:49', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (80, 1, 'wx5b23ba7a5589ecbb', '文本', 't1', '79', 'click', NULL, NULL, NULL, NULL, 'text', '123', NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:13:36', '1', '2023-01-15 11:13:49', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (81, 1, 'wx5b23ba7a5589ecbb', '图片', 'pic', '79', 'click', NULL, NULL, NULL, NULL, 'image', '',
        'r6ryvl6LrxBU0miaST4Y-pgFtUNLu1foMSAMkoOsrQrTZ8EtTMssBLfTtzP0dfjG',
        'http://test.yshop.iocoder.cn/r6ryvl6LrxBU0miaST4Y-pgFtUNLu1foMSAMkoOsrQrTZ8EtTMssBLfTtzP0dfjG.png', '', '',
        NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:13:36', '1', '2023-01-15 11:13:49', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (82, 1, 'wx5b23ba7a5589ecbb', '回复图文', NULL, '0', '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:13:49', '1', '2023-01-15 11:14:06', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (83, 1, 'wx5b23ba7a5589ecbb', '文本', 't1', '82', 'click', NULL, NULL, NULL, NULL, 'text', '123', NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:13:49', '1', '2023-01-15 11:14:06', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (84, 1, 'wx5b23ba7a5589ecbb', '图片', 'pic', '82', 'click', NULL, NULL, NULL, NULL, 'image', '',
        'r6ryvl6LrxBU0miaST4Y-pgFtUNLu1foMSAMkoOsrQrTZ8EtTMssBLfTtzP0dfjG',
        'http://test.yshop.iocoder.cn/r6ryvl6LrxBU0miaST4Y-pgFtUNLu1foMSAMkoOsrQrTZ8EtTMssBLfTtzP0dfjG.png', '', '',
        NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:13:49', '1', '2023-01-15 11:14:06', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (85, 1, 'wx5b23ba7a5589ecbb', '语音', 'v3', '82', 'click', NULL, NULL, NULL, NULL, 'voice', '',
        'a6kOoewXIbX57gB0kCb_G0h41eeCLWXi-DiMGrPG1iQwjuxGoAoDZCqt6J7IrUrjYwTfa9dGyTJ7qbQ-8TlNrA',
        'http://test.yshop.iocoder.cn/a6kOoewXIbX57gB0kCb_G0h41eeCLWXi-DiMGrPG1iQwjuxGoAoDZCqt6J7IrUrjYwTfa9dGyTJ7qbQ-8TlNrA.mp3',
        '', '', NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:13:49', '1', '2023-01-15 11:14:06', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (86, 1, 'wx5b23ba7a5589ecbb', '回复图文', NULL, '0', '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:14:07', '1', '2023-01-15 11:14:35', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (87, 1, 'wx5b23ba7a5589ecbb', '文本', 't1', '86', 'click', NULL, NULL, NULL, NULL, 'text', '123', NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:14:07', '1', '2023-01-15 11:14:35', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (88, 1, 'wx5b23ba7a5589ecbb', '图片', 'pic', '86', 'click', NULL, NULL, NULL, NULL, 'image', '',
        'r6ryvl6LrxBU0miaST4Y-pgFtUNLu1foMSAMkoOsrQrTZ8EtTMssBLfTtzP0dfjG',
        'http://test.yshop.iocoder.cn/r6ryvl6LrxBU0miaST4Y-pgFtUNLu1foMSAMkoOsrQrTZ8EtTMssBLfTtzP0dfjG.png', '', '',
        NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:14:07', '1', '2023-01-15 11:14:35', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (89, 1, 'wx5b23ba7a5589ecbb', '语音', 'v3', '86', 'click', NULL, NULL, NULL, NULL, 'voice', '',
        'a6kOoewXIbX57gB0kCb_G0h41eeCLWXi-DiMGrPG1iQwjuxGoAoDZCqt6J7IrUrjYwTfa9dGyTJ7qbQ-8TlNrA',
        'http://test.yshop.iocoder.cn/a6kOoewXIbX57gB0kCb_G0h41eeCLWXi-DiMGrPG1iQwjuxGoAoDZCqt6J7IrUrjYwTfa9dGyTJ7qbQ-8TlNrA.mp3',
        '', '', NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:14:07', '1', '2023-01-15 11:14:35', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (90, 1, 'wx5b23ba7a5589ecbb', '子菜单名称', 'o', '86', 'click', NULL, NULL, NULL, NULL, 'video', '',
        'r6ryvl6LrxBU0miaST4Y-v2-X9sD87sdZ8qoWWgu9QgP2NEjlTvDJ47KfF2xhyiU',
        'http://test.yshop.iocoder.cn/r6ryvl6LrxBU0miaST4Y-v2-X9sD87sdZ8qoWWgu9QgP2NEjlTvDJ47KfF2xhyiU.mp4', '我是视频',
        '我真的是视频', NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:14:07', '1', '2023-01-15 11:14:35', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (91, 1, 'wx5b23ba7a5589ecbb', '回复图文', NULL, '0', '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:14:35', '1', '2023-01-15 11:18:13', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (92, 1, 'wx5b23ba7a5589ecbb', '文本', 't1', '91', 'click', NULL, NULL, NULL, NULL, 'text', '123', NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:14:35', '1', '2023-01-15 11:18:13', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (93, 1, 'wx5b23ba7a5589ecbb', '图片', 'pic', '91', 'click', NULL, NULL, NULL, NULL, 'image', '',
        'r6ryvl6LrxBU0miaST4Y-pgFtUNLu1foMSAMkoOsrQrTZ8EtTMssBLfTtzP0dfjG',
        'http://test.yshop.iocoder.cn/r6ryvl6LrxBU0miaST4Y-pgFtUNLu1foMSAMkoOsrQrTZ8EtTMssBLfTtzP0dfjG.png', '', '',
        NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:14:35', '1', '2023-01-15 11:18:13', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (94, 1, 'wx5b23ba7a5589ecbb', '语音', 'v3', '91', 'click', NULL, NULL, NULL, NULL, 'voice', '',
        'a6kOoewXIbX57gB0kCb_G0h41eeCLWXi-DiMGrPG1iQwjuxGoAoDZCqt6J7IrUrjYwTfa9dGyTJ7qbQ-8TlNrA',
        'http://test.yshop.iocoder.cn/a6kOoewXIbX57gB0kCb_G0h41eeCLWXi-DiMGrPG1iQwjuxGoAoDZCqt6J7IrUrjYwTfa9dGyTJ7qbQ-8TlNrA.mp3',
        '', '', NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:14:35', '1', '2023-01-15 11:18:13', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (95, 1, 'wx5b23ba7a5589ecbb', '视频', 'o', '91', 'click', NULL, NULL, NULL, NULL, 'video', '',
        'r6ryvl6LrxBU0miaST4Y-v2-X9sD87sdZ8qoWWgu9QgP2NEjlTvDJ47KfF2xhyiU',
        'http://test.yshop.iocoder.cn/r6ryvl6LrxBU0miaST4Y-v2-X9sD87sdZ8qoWWgu9QgP2NEjlTvDJ47KfF2xhyiU.mp4', '我是视频',
        '我真的是视频', NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:14:35', '1', '2023-01-15 11:18:13', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (96, 1, 'wx5b23ba7a5589ecbb', '图文', 'wx', '91', 'click', NULL, NULL, NULL, NULL, 'news', '', NULL, NULL, '',
        '', NULL, NULL,
        '[{\"title\":\"我是标题\",\"description\":null,\"picUrl\":\"http://test.yshop.iocoder.cn/r6ryvl6LrxBU0miaST4Y-pIcmK-zAAId-9TGgy-DrSLhjVuWbuT3ZBjk9K1yQ0Dn.png\",\"url\":\"http://mp.weixin.qq.com/s?__biz=MzA3NjM4MzQzOQ==&mid=2247483662&idx=1&sn=dadf5d7e9aa594b58666fb2013fdf215&chksm=9f6354aea814ddb8fde13b17a34acbe86987b5c3403c6bd47e1e94977f6988b62653f6ab55e6#rd\"},{\"title\":\"我是标题 2\",\"description\":null,\"picUrl\":\"http://test.yshop.iocoder.cn/r6ryvl6LrxBU0miaST4Y-pIcmK-zAAId-9TGgy-DrSLhjVuWbuT3ZBjk9K1yQ0Dn.png\",\"url\":\"http://mp.weixin.qq.com/s?__biz=MzA3NjM4MzQzOQ==&mid=2247483662&idx=2&sn=c8041e2fc639c07d73bbbb6f80cf1784&chksm=9f6354aea814ddb8f48d7b330252c0374878014feb45a8fd4c22aaa0483c062f20ba15463368#rd\"}]',
        NULL, NULL, '1', '2023-01-15 19:14:35', '1', '2023-01-15 11:18:13', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (97, 1, 'wx5b23ba7a5589ecbb', '回复图文', NULL, '0', '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:18:14', '1', '2023-01-15 11:26:07', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (98, 1, 'wx5b23ba7a5589ecbb', '文本', 't1', '97', 'click', NULL, NULL, NULL, NULL, 'text', '123', NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:18:14', '1', '2023-01-15 11:26:07', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (99, 1, 'wx5b23ba7a5589ecbb', '图片', 'pic', '97', 'click', NULL, NULL, NULL, NULL, 'image', '',
        'r6ryvl6LrxBU0miaST4Y-pgFtUNLu1foMSAMkoOsrQrTZ8EtTMssBLfTtzP0dfjG',
        'http://test.yshop.iocoder.cn/r6ryvl6LrxBU0miaST4Y-pgFtUNLu1foMSAMkoOsrQrTZ8EtTMssBLfTtzP0dfjG.png', '', '',
        NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:18:14', '1', '2023-01-15 11:26:07', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (100, 1, 'wx5b23ba7a5589ecbb', '语音', 'v3', '97', 'click', NULL, NULL, NULL, NULL, 'voice', '',
        'a6kOoewXIbX57gB0kCb_G0h41eeCLWXi-DiMGrPG1iQwjuxGoAoDZCqt6J7IrUrjYwTfa9dGyTJ7qbQ-8TlNrA',
        'http://test.yshop.iocoder.cn/a6kOoewXIbX57gB0kCb_G0h41eeCLWXi-DiMGrPG1iQwjuxGoAoDZCqt6J7IrUrjYwTfa9dGyTJ7qbQ-8TlNrA.mp3',
        '', '', NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:18:14', '1', '2023-01-15 11:26:07', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (101, 1, 'wx5b23ba7a5589ecbb', '视频', 'o', '97', 'click', NULL, NULL, NULL, NULL, 'video', '',
        'r6ryvl6LrxBU0miaST4Y-v2-X9sD87sdZ8qoWWgu9QgP2NEjlTvDJ47KfF2xhyiU',
        'http://test.yshop.iocoder.cn/r6ryvl6LrxBU0miaST4Y-v2-X9sD87sdZ8qoWWgu9QgP2NEjlTvDJ47KfF2xhyiU.mp4', '我是视频',
        '我真的是视频', NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:18:14', '1', '2023-01-15 11:26:07', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (102, 1, 'wx5b23ba7a5589ecbb', '图文', 'wx', '97', 'click', NULL, NULL, NULL, NULL, 'news', '', NULL, NULL, '',
        '', NULL, NULL,
        '[{\"title\":\"我是标题\",\"description\":null,\"picUrl\":\"http://test.yshop.iocoder.cn/r6ryvl6LrxBU0miaST4Y-pIcmK-zAAId-9TGgy-DrSLhjVuWbuT3ZBjk9K1yQ0Dn.png\",\"url\":\"http://mp.weixin.qq.com/s?__biz=MzA3NjM4MzQzOQ==&mid=2247483662&idx=1&sn=dadf5d7e9aa594b58666fb2013fdf215&chksm=9f6354aea814ddb8fde13b17a34acbe86987b5c3403c6bd47e1e94977f6988b62653f6ab55e6#rd\"},{\"title\":\"我是标题 2\",\"description\":null,\"picUrl\":\"http://test.yshop.iocoder.cn/r6ryvl6LrxBU0miaST4Y-pIcmK-zAAId-9TGgy-DrSLhjVuWbuT3ZBjk9K1yQ0Dn.png\",\"url\":\"http://mp.weixin.qq.com/s?__biz=MzA3NjM4MzQzOQ==&mid=2247483662&idx=2&sn=c8041e2fc639c07d73bbbb6f80cf1784&chksm=9f6354aea814ddb8f48d7b330252c0374878014feb45a8fd4c22aaa0483c062f20ba15463368#rd\"}]',
        NULL, NULL, '1', '2023-01-15 19:18:14', '1', '2023-01-15 11:26:07', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (103, 1, 'wx5b23ba7a5589ecbb', '测试', NULL, '0', '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:18:14', '1', '2023-01-15 11:26:07', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (104, 1, 'wx5b23ba7a5589ecbb', '跳转网页', NULL, '103', 'view', 'https://www.iocoder.cn', NULL, NULL, NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:18:14', '1',
        '2023-01-15 11:26:07', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (105, 1, 'wx5b23ba7a5589ecbb', '回复图文', NULL, '0', '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:26:08', '1', '2023-01-15 11:33:57', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (106, 1, 'wx5b23ba7a5589ecbb', '文本', 't1', '105', 'click', NULL, NULL, NULL, NULL, 'text', '123', NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:26:08', '1', '2023-01-15 11:33:57', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (107, 1, 'wx5b23ba7a5589ecbb', '图片', 'pic', '105', 'click', NULL, NULL, NULL, NULL, 'image', '',
        'r6ryvl6LrxBU0miaST4Y-pgFtUNLu1foMSAMkoOsrQrTZ8EtTMssBLfTtzP0dfjG',
        'http://test.yshop.iocoder.cn/r6ryvl6LrxBU0miaST4Y-pgFtUNLu1foMSAMkoOsrQrTZ8EtTMssBLfTtzP0dfjG.png', '', '',
        NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:26:08', '1', '2023-01-15 11:33:57', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (108, 1, 'wx5b23ba7a5589ecbb', '语音', 'v3', '105', 'click', NULL, NULL, NULL, NULL, 'voice', '',
        'a6kOoewXIbX57gB0kCb_G0h41eeCLWXi-DiMGrPG1iQwjuxGoAoDZCqt6J7IrUrjYwTfa9dGyTJ7qbQ-8TlNrA',
        'http://test.yshop.iocoder.cn/a6kOoewXIbX57gB0kCb_G0h41eeCLWXi-DiMGrPG1iQwjuxGoAoDZCqt6J7IrUrjYwTfa9dGyTJ7qbQ-8TlNrA.mp3',
        '', '', NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:26:08', '1', '2023-01-15 11:33:57', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (109, 1, 'wx5b23ba7a5589ecbb', '视频', 'o', '105', 'click', NULL, NULL, NULL, NULL, 'video', '',
        'r6ryvl6LrxBU0miaST4Y-v2-X9sD87sdZ8qoWWgu9QgP2NEjlTvDJ47KfF2xhyiU',
        'http://test.yshop.iocoder.cn/r6ryvl6LrxBU0miaST4Y-v2-X9sD87sdZ8qoWWgu9QgP2NEjlTvDJ47KfF2xhyiU.mp4', '我是视频',
        '我真的是视频', NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:26:08', '1', '2023-01-15 11:33:57', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (110, 1, 'wx5b23ba7a5589ecbb', '图文', 'wx', '105', 'click', NULL, NULL, NULL, NULL, 'news', '', NULL, NULL, '',
        '', NULL, NULL,
        '[{\"title\":\"我是标题\",\"description\":null,\"picUrl\":\"http://test.yshop.iocoder.cn/r6ryvl6LrxBU0miaST4Y-pIcmK-zAAId-9TGgy-DrSLhjVuWbuT3ZBjk9K1yQ0Dn.png\",\"url\":\"http://mp.weixin.qq.com/s?__biz=MzA3NjM4MzQzOQ==&mid=2247483662&idx=1&sn=dadf5d7e9aa594b58666fb2013fdf215&chksm=9f6354aea814ddb8fde13b17a34acbe86987b5c3403c6bd47e1e94977f6988b62653f6ab55e6#rd\"},{\"title\":\"我是标题 2\",\"description\":null,\"picUrl\":\"http://test.yshop.iocoder.cn/r6ryvl6LrxBU0miaST4Y-pIcmK-zAAId-9TGgy-DrSLhjVuWbuT3ZBjk9K1yQ0Dn.png\",\"url\":\"http://mp.weixin.qq.com/s?__biz=MzA3NjM4MzQzOQ==&mid=2247483662&idx=2&sn=c8041e2fc639c07d73bbbb6f80cf1784&chksm=9f6354aea814ddb8f48d7b330252c0374878014feb45a8fd4c22aaa0483c062f20ba15463368#rd\"}]',
        NULL, NULL, '1', '2023-01-15 19:26:08', '1', '2023-01-15 11:33:57', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (111, 1, 'wx5b23ba7a5589ecbb', '测试', NULL, '0', '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:26:08', '1', '2023-01-15 11:33:57', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (112, 1, 'wx5b23ba7a5589ecbb', '跳转网页', NULL, '111', 'view', 'https://www.iocoder.cn', NULL, NULL, NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:26:08', '1',
        '2023-01-15 11:33:57', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (113, 1, 'wx5b23ba7a5589ecbb', '扫码回复', 'test_02', '111', 'scancode_waitmsg', NULL, NULL, NULL, NULL, 'text',
        '123', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:26:08', '1',
        '2023-01-15 11:33:57', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (114, 1, 'wx5b23ba7a5589ecbb', '回复图文', NULL, '0', '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:33:58', '1', '2023-01-15 11:44:54', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (115, 1, 'wx5b23ba7a5589ecbb', '文本', 't1', '114', 'click', NULL, NULL, NULL, NULL, 'text', '123', NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:33:58', '1', '2023-01-15 11:44:54', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (116, 1, 'wx5b23ba7a5589ecbb', '图片', 'pic', '114', 'click', NULL, NULL, NULL, NULL, 'image', '',
        'r6ryvl6LrxBU0miaST4Y-pgFtUNLu1foMSAMkoOsrQrTZ8EtTMssBLfTtzP0dfjG',
        'http://test.yshop.iocoder.cn/r6ryvl6LrxBU0miaST4Y-pgFtUNLu1foMSAMkoOsrQrTZ8EtTMssBLfTtzP0dfjG.png', '', '',
        NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:33:58', '1', '2023-01-15 11:44:54', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (117, 1, 'wx5b23ba7a5589ecbb', '语音', 'v3', '114', 'click', NULL, NULL, NULL, NULL, 'voice', '',
        'a6kOoewXIbX57gB0kCb_G0h41eeCLWXi-DiMGrPG1iQwjuxGoAoDZCqt6J7IrUrjYwTfa9dGyTJ7qbQ-8TlNrA',
        'http://test.yshop.iocoder.cn/a6kOoewXIbX57gB0kCb_G0h41eeCLWXi-DiMGrPG1iQwjuxGoAoDZCqt6J7IrUrjYwTfa9dGyTJ7qbQ-8TlNrA.mp3',
        '', '', NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:33:58', '1', '2023-01-15 11:44:54', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (118, 1, 'wx5b23ba7a5589ecbb', '视频', 'o', '114', 'click', NULL, NULL, NULL, NULL, 'video', '',
        'r6ryvl6LrxBU0miaST4Y-v2-X9sD87sdZ8qoWWgu9QgP2NEjlTvDJ47KfF2xhyiU',
        'http://test.yshop.iocoder.cn/r6ryvl6LrxBU0miaST4Y-v2-X9sD87sdZ8qoWWgu9QgP2NEjlTvDJ47KfF2xhyiU.mp4', '我是视频',
        '我真的是视频', NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:33:58', '1', '2023-01-15 11:44:54', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (119, 1, 'wx5b23ba7a5589ecbb', '图文', 'wx', '114', 'click', NULL, NULL, NULL, NULL, 'news', '', NULL, NULL, '',
        '', NULL, NULL,
        '[{\"title\":\"我是标题\",\"description\":null,\"picUrl\":\"http://test.yshop.iocoder.cn/r6ryvl6LrxBU0miaST4Y-pIcmK-zAAId-9TGgy-DrSLhjVuWbuT3ZBjk9K1yQ0Dn.png\",\"url\":\"http://mp.weixin.qq.com/s?__biz=MzA3NjM4MzQzOQ==&mid=2247483662&idx=1&sn=dadf5d7e9aa594b58666fb2013fdf215&chksm=9f6354aea814ddb8fde13b17a34acbe86987b5c3403c6bd47e1e94977f6988b62653f6ab55e6#rd\"},{\"title\":\"我是标题 2\",\"description\":null,\"picUrl\":\"http://test.yshop.iocoder.cn/r6ryvl6LrxBU0miaST4Y-pIcmK-zAAId-9TGgy-DrSLhjVuWbuT3ZBjk9K1yQ0Dn.png\",\"url\":\"http://mp.weixin.qq.com/s?__biz=MzA3NjM4MzQzOQ==&mid=2247483662&idx=2&sn=c8041e2fc639c07d73bbbb6f80cf1784&chksm=9f6354aea814ddb8f48d7b330252c0374878014feb45a8fd4c22aaa0483c062f20ba15463368#rd\"}]',
        NULL, NULL, '1', '2023-01-15 19:33:58', '1', '2023-01-15 11:44:54', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (120, 1, 'wx5b23ba7a5589ecbb', '测试', NULL, '0', '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:33:58', '1', '2023-01-15 11:44:54', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (121, 1, 'wx5b23ba7a5589ecbb', '跳转网页', NULL, '120', 'view', 'https://www.iocoder.cn', NULL, NULL, NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:33:58', '1',
        '2023-01-15 11:44:54', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (122, 1, 'wx5b23ba7a5589ecbb', '扫码回复', 'test_02', '120', 'scancode_waitmsg', NULL, NULL, NULL, NULL, 'text',
        '123', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:33:58', '1',
        '2023-01-15 11:44:54', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (123, 1, 'wx5b23ba7a5589ecbb', '扫码直接回结果', '2344455', '120', 'scancode_push', NULL, NULL, NULL, NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:33:58', '1',
        '2023-01-15 11:44:54', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (124, 1, 'wx5b23ba7a5589ecbb', '回复图文', NULL, '0', '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:44:55', '1', '2023-01-15 11:52:04', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (125, 1, 'wx5b23ba7a5589ecbb', '文本', 't1', '124', 'click', NULL, NULL, NULL, NULL, 'text', '123', NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:44:55', '1', '2023-01-15 11:52:04', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (126, 1, 'wx5b23ba7a5589ecbb', '图片', 'pic', '124', 'click', NULL, NULL, NULL, NULL, 'image', '',
        'r6ryvl6LrxBU0miaST4Y-pgFtUNLu1foMSAMkoOsrQrTZ8EtTMssBLfTtzP0dfjG',
        'http://test.yshop.iocoder.cn/r6ryvl6LrxBU0miaST4Y-pgFtUNLu1foMSAMkoOsrQrTZ8EtTMssBLfTtzP0dfjG.png', '', '',
        NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:44:55', '1', '2023-01-15 11:52:04', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (127, 1, 'wx5b23ba7a5589ecbb', '语音', 'v3', '124', 'click', NULL, NULL, NULL, NULL, 'voice', '',
        'a6kOoewXIbX57gB0kCb_G0h41eeCLWXi-DiMGrPG1iQwjuxGoAoDZCqt6J7IrUrjYwTfa9dGyTJ7qbQ-8TlNrA',
        'http://test.yshop.iocoder.cn/a6kOoewXIbX57gB0kCb_G0h41eeCLWXi-DiMGrPG1iQwjuxGoAoDZCqt6J7IrUrjYwTfa9dGyTJ7qbQ-8TlNrA.mp3',
        '', '', NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:44:55', '1', '2023-01-15 11:52:04', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (128, 1, 'wx5b23ba7a5589ecbb', '视频', 'o', '124', 'click', NULL, NULL, NULL, NULL, 'video', '',
        'r6ryvl6LrxBU0miaST4Y-v2-X9sD87sdZ8qoWWgu9QgP2NEjlTvDJ47KfF2xhyiU',
        'http://test.yshop.iocoder.cn/r6ryvl6LrxBU0miaST4Y-v2-X9sD87sdZ8qoWWgu9QgP2NEjlTvDJ47KfF2xhyiU.mp4', '我是视频',
        '我真的是视频', NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:44:55', '1', '2023-01-15 11:52:04', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (129, 1, 'wx5b23ba7a5589ecbb', '图文', 'wx', '124', 'click', NULL, NULL, NULL, NULL, 'news', '', NULL, NULL, '',
        '', NULL, NULL,
        '[{\"title\":\"我是标题\",\"description\":null,\"picUrl\":\"http://test.yshop.iocoder.cn/r6ryvl6LrxBU0miaST4Y-pIcmK-zAAId-9TGgy-DrSLhjVuWbuT3ZBjk9K1yQ0Dn.png\",\"url\":\"http://mp.weixin.qq.com/s?__biz=MzA3NjM4MzQzOQ==&mid=2247483662&idx=1&sn=dadf5d7e9aa594b58666fb2013fdf215&chksm=9f6354aea814ddb8fde13b17a34acbe86987b5c3403c6bd47e1e94977f6988b62653f6ab55e6#rd\"},{\"title\":\"我是标题 2\",\"description\":null,\"picUrl\":\"http://test.yshop.iocoder.cn/r6ryvl6LrxBU0miaST4Y-pIcmK-zAAId-9TGgy-DrSLhjVuWbuT3ZBjk9K1yQ0Dn.png\",\"url\":\"http://mp.weixin.qq.com/s?__biz=MzA3NjM4MzQzOQ==&mid=2247483662&idx=2&sn=c8041e2fc639c07d73bbbb6f80cf1784&chksm=9f6354aea814ddb8f48d7b330252c0374878014feb45a8fd4c22aaa0483c062f20ba15463368#rd\"}]',
        NULL, NULL, '1', '2023-01-15 19:44:55', '1', '2023-01-15 11:52:04', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (130, 1, 'wx5b23ba7a5589ecbb', '测试', NULL, '0', '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:44:55', '1', '2023-01-15 11:52:04', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (131, 1, 'wx5b23ba7a5589ecbb', '跳转网页', NULL, '130', 'view', 'https://www.iocoder.cn', NULL, NULL, NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:44:55', '1',
        '2023-01-15 11:52:04', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (132, 1, 'wx5b23ba7a5589ecbb', '扫码回复', 'test_02', '130', 'scancode_waitmsg', NULL, NULL, NULL, NULL, 'text',
        '123', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:44:55', '1',
        '2023-01-15 11:52:04', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (133, 1, 'wx5b23ba7a5589ecbb', '扫码直接回结果', '2344455', '130', 'scancode_push', NULL, NULL, NULL, NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:44:55', '1',
        '2023-01-15 11:52:04', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (134, 1, 'wx5b23ba7a5589ecbb', '系统拍照', '0x0', '130', 'pic_sysphoto', NULL, NULL, NULL, NULL, NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:44:55', '1', '2023-01-15 11:52:04',
        b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (135, 1, 'wx5b23ba7a5589ecbb', '拍照或相册', '0x3', '130', 'pic_photo_or_album', NULL, NULL, NULL, NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:44:55', '1',
        '2023-01-15 11:52:04', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (136, 1, 'wx5b23ba7a5589ecbb', '测试2', NULL, '0', '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:44:55', '1', '2023-01-15 11:52:04', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (137, 1, 'wx5b23ba7a5589ecbb', '微信相册', 'ppp2222', '136', 'pic_weixin', NULL, NULL, NULL, NULL, NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:44:55', '1', '2023-01-15 11:52:04',
        b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (138, 1, 'wx5b23ba7a5589ecbb', '回复图文', NULL, '0', '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:52:04', '1', '2023-01-15 13:20:22', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (139, 1, 'wx5b23ba7a5589ecbb', '文本', 't1', '138', 'click', NULL, NULL, NULL, NULL, 'text', '123', NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:52:04', '1', '2023-01-15 13:20:22', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (140, 1, 'wx5b23ba7a5589ecbb', '图片', 'pic', '138', 'click', NULL, NULL, NULL, NULL, 'image', '',
        'r6ryvl6LrxBU0miaST4Y-pgFtUNLu1foMSAMkoOsrQrTZ8EtTMssBLfTtzP0dfjG',
        'http://test.yshop.iocoder.cn/r6ryvl6LrxBU0miaST4Y-pgFtUNLu1foMSAMkoOsrQrTZ8EtTMssBLfTtzP0dfjG.png', '', '',
        NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:52:04', '1', '2023-01-15 13:20:22', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (141, 1, 'wx5b23ba7a5589ecbb', '语音', 'v3', '138', 'click', NULL, NULL, NULL, NULL, 'voice', '',
        'a6kOoewXIbX57gB0kCb_G0h41eeCLWXi-DiMGrPG1iQwjuxGoAoDZCqt6J7IrUrjYwTfa9dGyTJ7qbQ-8TlNrA',
        'http://test.yshop.iocoder.cn/a6kOoewXIbX57gB0kCb_G0h41eeCLWXi-DiMGrPG1iQwjuxGoAoDZCqt6J7IrUrjYwTfa9dGyTJ7qbQ-8TlNrA.mp3',
        '', '', NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:52:04', '1', '2023-01-15 13:20:22', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (142, 1, 'wx5b23ba7a5589ecbb', '视频', 'o', '138', 'click', NULL, NULL, NULL, NULL, 'video', '',
        'r6ryvl6LrxBU0miaST4Y-v2-X9sD87sdZ8qoWWgu9QgP2NEjlTvDJ47KfF2xhyiU',
        'http://test.yshop.iocoder.cn/r6ryvl6LrxBU0miaST4Y-v2-X9sD87sdZ8qoWWgu9QgP2NEjlTvDJ47KfF2xhyiU.mp4', '我是视频',
        '我真的是视频', NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:52:04', '1', '2023-01-15 13:20:22', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (143, 1, 'wx5b23ba7a5589ecbb', '图文', 'wx', '138', 'click', NULL, NULL, NULL, NULL, 'news', '', NULL, NULL, '',
        '', NULL, NULL,
        '[{\"title\":\"我是标题\",\"description\":null,\"picUrl\":\"http://test.yshop.iocoder.cn/r6ryvl6LrxBU0miaST4Y-pIcmK-zAAId-9TGgy-DrSLhjVuWbuT3ZBjk9K1yQ0Dn.png\",\"url\":\"http://mp.weixin.qq.com/s?__biz=MzA3NjM4MzQzOQ==&mid=2247483662&idx=1&sn=dadf5d7e9aa594b58666fb2013fdf215&chksm=9f6354aea814ddb8fde13b17a34acbe86987b5c3403c6bd47e1e94977f6988b62653f6ab55e6#rd\"},{\"title\":\"我是标题 2\",\"description\":null,\"picUrl\":\"http://test.yshop.iocoder.cn/r6ryvl6LrxBU0miaST4Y-pIcmK-zAAId-9TGgy-DrSLhjVuWbuT3ZBjk9K1yQ0Dn.png\",\"url\":\"http://mp.weixin.qq.com/s?__biz=MzA3NjM4MzQzOQ==&mid=2247483662&idx=2&sn=c8041e2fc639c07d73bbbb6f80cf1784&chksm=9f6354aea814ddb8f48d7b330252c0374878014feb45a8fd4c22aaa0483c062f20ba15463368#rd\"}]',
        NULL, NULL, '1', '2023-01-15 19:52:04', '1', '2023-01-15 13:20:22', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (144, 1, 'wx5b23ba7a5589ecbb', '测试', NULL, '0', '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:52:04', '1', '2023-01-15 13:20:22', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (145, 1, 'wx5b23ba7a5589ecbb', '跳转网页', NULL, '144', 'view', 'https://www.iocoder.cn', NULL, NULL, NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:52:04', '1',
        '2023-01-15 13:20:22', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (146, 1, 'wx5b23ba7a5589ecbb', '扫码回复', 'test_02', '144', 'scancode_waitmsg', NULL, NULL, NULL, NULL, 'text',
        '123', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:52:04', '1',
        '2023-01-15 13:20:22', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (147, 1, 'wx5b23ba7a5589ecbb', '扫码直接回结果', '2344455', '144', 'scancode_push', NULL, NULL, NULL, NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:52:04', '1',
        '2023-01-15 13:20:22', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (148, 1, 'wx5b23ba7a5589ecbb', '系统拍照', '0x0', '144', 'pic_sysphoto', NULL, NULL, NULL, NULL, NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:52:04', '1', '2023-01-15 13:20:22',
        b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (149, 1, 'wx5b23ba7a5589ecbb', '拍照或相册', '0x3', '144', 'pic_photo_or_album', NULL, NULL, NULL, NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:52:04', '1',
        '2023-01-15 13:20:22', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (150, 1, 'wx5b23ba7a5589ecbb', '测试2', NULL, '0', '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:52:04', '1', '2023-01-15 13:20:22', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (151, 1, 'wx5b23ba7a5589ecbb', '微信相册', 'ppp2222', '150', 'pic_weixin', NULL, NULL, NULL, NULL, NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:52:04', '1', '2023-01-15 13:20:22',
        b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (152, 1, 'wx5b23ba7a5589ecbb', '选择地理位置', 'lll2', '150', 'location_select', NULL, NULL, NULL, NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '2023-01-15 19:52:04', '1',
        '2023-01-15 13:20:22', b'1', 1);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (169, 5, 'wxdbdbc123c8c30b45', '单商户', NULL, '0', '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, NULL, '1', '2023-06-29 16:24:37', '1', '2023-06-29 16:24:37', b'0', 0);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (170, 5, 'wxdbdbc123c8c30b45', '小程序', 'miniapp', '169', 'view', 'https://www.yixiang.co', NULL, NULL, NULL,
        'text', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '2023-06-29 16:24:37', '1',
        '2023-06-29 16:24:37', b'0', 0);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (171, 5, 'wxdbdbc123c8c30b45', '多商户', 'two', '0', 'view', 'https://www.yixiang.co', NULL, NULL, NULL, 'text',
        NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '2023-06-29 16:24:37', '1',
        '2023-06-29 16:24:37', b'0', 0);
INSERT INTO `mp_menu` (`id`, `account_id`, `app_id`, `name`, `menu_key`, `parent_id`, `type`, `url`,
                       `mini_program_app_id`, `mini_program_page_path`, `article_id`, `reply_message_type`,
                       `reply_content`, `reply_media_id`, `reply_media_url`, `reply_title`, `reply_description`,
                       `reply_thumb_media_id`, `reply_thumb_media_url`, `reply_articles`, `reply_music_url`,
                       `reply_hq_music_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (172, 5, 'wxdbdbc123c8c30b45', '官网', 'gw', '0', 'view', 'https://www.yixiang.co', NULL, NULL, NULL, 'text',
        NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '2023-06-29 16:24:37', '1',
        '2023-06-29 16:24:37', b'0', 0);
COMMIT;

-- ----------------------------
-- Table structure for mp_message
-- ----------------------------
DROP TABLE IF EXISTS `mp_message`;
CREATE TABLE `mp_message`
(
    `id`              bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
    `msg_id`          bigint(20) DEFAULT NULL COMMENT '微信公众号的消息编号',
    `account_id`      bigint(20) NOT NULL COMMENT '公众号账号的编号',
    `app_id`          varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '公众号 appId',
    `user_id`         bigint(20) NOT NULL COMMENT '公众号粉丝的编号',
    `openid`          varchar(100)                                                  NOT NULL COMMENT '公众号粉丝标志',
    `type`            varchar(32)                                                   NOT NULL COMMENT '消息类型',
    `send_from`       tinyint(4) NOT NULL COMMENT '消息来源',
    `content`         varchar(1024)                                                          DEFAULT NULL COMMENT '消息内容',
    `media_id`        varchar(128)                                                           DEFAULT NULL COMMENT '媒体文件 id',
    `media_url`       varchar(1024)                                                          DEFAULT NULL COMMENT '媒体文件 URL',
    `recognition`     varchar(1024)                                                          DEFAULT NULL COMMENT '语音识别后文本',
    `format`          varchar(16)                                                            DEFAULT NULL COMMENT '语音格式',
    `title`           varchar(128)                                                           DEFAULT NULL COMMENT '标题',
    `description`     varchar(256)                                                           DEFAULT NULL COMMENT '描述',
    `thumb_media_id`  varchar(128)                                                           DEFAULT NULL COMMENT '缩略图的媒体 id',
    `thumb_media_url` varchar(1024)                                                          DEFAULT NULL COMMENT '缩略图的媒体 URL',
    `url`             varchar(500)                                                           DEFAULT NULL COMMENT '点击图文消息跳转链接',
    `location_x` double DEFAULT NULL COMMENT '地理位置维度',
    `location_y` double DEFAULT NULL COMMENT '地理位置经度',
    `scale` double DEFAULT NULL COMMENT '地图缩放大小',
    `label`           varchar(128)                                                           DEFAULT NULL COMMENT '详细地址',
    `articles`        varchar(1024)                                                          DEFAULT NULL COMMENT '图文消息数组',
    `music_url`       varchar(1024)                                                          DEFAULT NULL COMMENT '音乐链接',
    `hq_music_url`    varchar(1024)                                                          DEFAULT NULL COMMENT '高质量音乐链接',
    `event`           varchar(64)                                                            DEFAULT NULL COMMENT '事件类型',
    `event_key`       varchar(64)                                                            DEFAULT NULL COMMENT '事件 Key',
    `creator`         varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '创建者',
    `create_time`     datetime                                                      NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater`         varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '更新者',
    `update_time`     datetime                                                      NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted`         bit(1)                                                        NOT NULL DEFAULT b'0' COMMENT '是否删除',
    `tenant_id`       bigint(20) NOT NULL DEFAULT '0' COMMENT '租户编号',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=417 DEFAULT CHARSET=utf8 COMMENT='公众号消息表 ';

-- ----------------------------
-- Records of mp_message
-- ----------------------------
BEGIN;
INSERT INTO `mp_message` (`id`, `msg_id`, `account_id`, `app_id`, `user_id`, `openid`, `type`, `send_from`, `content`,
                          `media_id`, `media_url`, `recognition`, `format`, `title`, `description`, `thumb_media_id`,
                          `thumb_media_url`, `url`, `location_x`, `location_y`, `scale`, `label`, `articles`,
                          `music_url`, `hq_music_url`, `event`, `event_key`, `creator`, `create_time`, `updater`,
                          `update_time`, `deleted`, `tenant_id`)
VALUES (407, NULL, 5, 'wxdbdbc123c8c30b45', 6, 'osQ2UuCF6by7YZOwicfYfbt2TbMg', 'text', 2, '感谢关注', NULL, NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
        '2023-06-29 14:01:01', NULL, '2023-06-29 14:01:01', b'0', 0);
INSERT INTO `mp_message` (`id`, `msg_id`, `account_id`, `app_id`, `user_id`, `openid`, `type`, `send_from`, `content`,
                          `media_id`, `media_url`, `recognition`, `format`, `title`, `description`, `thumb_media_id`,
                          `thumb_media_url`, `url`, `location_x`, `location_y`, `scale`, `label`, `articles`,
                          `music_url`, `hq_music_url`, `event`, `event_key`, `creator`, `create_time`, `updater`,
                          `update_time`, `deleted`, `tenant_id`)
VALUES (408, 24166734583332250, 5, 'wxdbdbc123c8c30b45', 6, 'osQ2UuCF6by7YZOwicfYfbt2TbMg', 'text', 1, '1111', NULL,
        NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
        '2023-06-29 16:21:08', NULL, '2023-06-29 16:21:08', b'0', 0);
INSERT INTO `mp_message` (`id`, `msg_id`, `account_id`, `app_id`, `user_id`, `openid`, `type`, `send_from`, `content`,
                          `media_id`, `media_url`, `recognition`, `format`, `title`, `description`, `thumb_media_id`,
                          `thumb_media_url`, `url`, `location_x`, `location_y`, `scale`, `label`, `articles`,
                          `music_url`, `hq_music_url`, `event`, `event_key`, `creator`, `create_time`, `updater`,
                          `update_time`, `deleted`, `tenant_id`)
VALUES (409, 24166740720537081, 5, 'wxdbdbc123c8c30b45', 6, 'osQ2UuCF6by7YZOwicfYfbt2TbMg', 'text', 1, 'yshop', NULL,
        NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
        '2023-06-29 16:25:19', NULL, '2023-06-29 16:25:19', b'0', 0);
INSERT INTO `mp_message` (`id`, `msg_id`, `account_id`, `app_id`, `user_id`, `openid`, `type`, `send_from`, `content`,
                          `media_id`, `media_url`, `recognition`, `format`, `title`, `description`, `thumb_media_id`,
                          `thumb_media_url`, `url`, `location_x`, `location_y`, `scale`, `label`, `articles`,
                          `music_url`, `hq_music_url`, `event`, `event_key`, `creator`, `create_time`, `updater`,
                          `update_time`, `deleted`, `tenant_id`)
VALUES (410, NULL, 5, 'wxdbdbc123c8c30b45', 6, 'osQ2UuCF6by7YZOwicfYfbt2TbMg', 'text', 2, 'haha', NULL, NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
        '2023-06-29 16:25:19', NULL, '2023-06-29 16:25:19', b'0', 0);
INSERT INTO `mp_message` (`id`, `msg_id`, `account_id`, `app_id`, `user_id`, `openid`, `type`, `send_from`, `content`,
                          `media_id`, `media_url`, `recognition`, `format`, `title`, `description`, `thumb_media_id`,
                          `thumb_media_url`, `url`, `location_x`, `location_y`, `scale`, `label`, `articles`,
                          `music_url`, `hq_music_url`, `event`, `event_key`, `creator`, `create_time`, `updater`,
                          `update_time`, `deleted`, `tenant_id`)
VALUES (411, NULL, 5, 'wxdbdbc123c8c30b45', 6, 'osQ2UuCF6by7YZOwicfYfbt2TbMg', 'event', 1, NULL, NULL, NULL, NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'unsubscribe', '', NULL,
        '2023-06-29 16:25:53', NULL, '2023-06-29 16:25:53', b'0', 0);
INSERT INTO `mp_message` (`id`, `msg_id`, `account_id`, `app_id`, `user_id`, `openid`, `type`, `send_from`, `content`,
                          `media_id`, `media_url`, `recognition`, `format`, `title`, `description`, `thumb_media_id`,
                          `thumb_media_url`, `url`, `location_x`, `location_y`, `scale`, `label`, `articles`,
                          `music_url`, `hq_music_url`, `event`, `event_key`, `creator`, `create_time`, `updater`,
                          `update_time`, `deleted`, `tenant_id`)
VALUES (412, NULL, 5, 'wxdbdbc123c8c30b45', 6, 'osQ2UuCF6by7YZOwicfYfbt2TbMg', 'event', 1, NULL, NULL, NULL, NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'subscribe', '', NULL,
        '2023-06-29 16:26:01', NULL, '2023-06-29 16:26:01', b'0', 0);
INSERT INTO `mp_message` (`id`, `msg_id`, `account_id`, `app_id`, `user_id`, `openid`, `type`, `send_from`, `content`,
                          `media_id`, `media_url`, `recognition`, `format`, `title`, `description`, `thumb_media_id`,
                          `thumb_media_url`, `url`, `location_x`, `location_y`, `scale`, `label`, `articles`,
                          `music_url`, `hq_music_url`, `event`, `event_key`, `creator`, `create_time`, `updater`,
                          `update_time`, `deleted`, `tenant_id`)
VALUES (413, NULL, 5, 'wxdbdbc123c8c30b45', 6, 'osQ2UuCF6by7YZOwicfYfbt2TbMg', 'text', 2, '感谢关注', NULL, NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
        '2023-06-29 16:26:01', NULL, '2023-06-29 16:26:01', b'0', 0);
INSERT INTO `mp_message` (`id`, `msg_id`, `account_id`, `app_id`, `user_id`, `openid`, `type`, `send_from`, `content`,
                          `media_id`, `media_url`, `recognition`, `format`, `title`, `description`, `thumb_media_id`,
                          `thumb_media_url`, `url`, `location_x`, `location_y`, `scale`, `label`, `articles`,
                          `music_url`, `hq_music_url`, `event`, `event_key`, `creator`, `create_time`, `updater`,
                          `update_time`, `deleted`, `tenant_id`)
VALUES (414, 24166739116227564, 5, 'wxdbdbc123c8c30b45', 6, 'osQ2UuCF6by7YZOwicfYfbt2TbMg', 'text', 1, 'yshop', NULL,
        NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
        '2023-06-29 16:26:11', NULL, '2023-06-29 16:26:11', b'0', 0);
INSERT INTO `mp_message` (`id`, `msg_id`, `account_id`, `app_id`, `user_id`, `openid`, `type`, `send_from`, `content`,
                          `media_id`, `media_url`, `recognition`, `format`, `title`, `description`, `thumb_media_id`,
                          `thumb_media_url`, `url`, `location_x`, `location_y`, `scale`, `label`, `articles`,
                          `music_url`, `hq_music_url`, `event`, `event_key`, `creator`, `create_time`, `updater`,
                          `update_time`, `deleted`, `tenant_id`)
VALUES (415, NULL, 5, 'wxdbdbc123c8c30b45', 6, 'osQ2UuCF6by7YZOwicfYfbt2TbMg', 'text', 2, 'haha', NULL, NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
        '2023-06-29 16:26:11', NULL, '2023-06-29 16:26:11', b'0', 0);
INSERT INTO `mp_message` (`id`, `msg_id`, `account_id`, `app_id`, `user_id`, `openid`, `type`, `send_from`, `content`,
                          `media_id`, `media_url`, `recognition`, `format`, `title`, `description`, `thumb_media_id`,
                          `thumb_media_url`, `url`, `location_x`, `location_y`, `scale`, `label`, `articles`,
                          `music_url`, `hq_music_url`, `event`, `event_key`, `creator`, `create_time`, `updater`,
                          `update_time`, `deleted`, `tenant_id`)
VALUES (416, NULL, 5, 'wxdbdbc123c8c30b45', 7, 'osQ2UuCF6by7YZOwicfYfbt2TbMg', 'text', 2, '感谢关注', NULL, NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
        '2023-07-24 17:19:40', NULL, '2023-07-24 17:19:40', b'0', 0);
COMMIT;

-- ----------------------------
-- Table structure for mp_tag
-- ----------------------------
DROP TABLE IF EXISTS `mp_tag`;
CREATE TABLE `mp_tag`
(
    `id`          bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
    `tag_id`      bigint(20) DEFAULT NULL COMMENT '公众号标签 id',
    `name`        varchar(32)                                                            DEFAULT NULL COMMENT '标签名称',
    `count`       int(11) DEFAULT '0' COMMENT '粉丝数量',
    `account_id`  bigint(20) NOT NULL COMMENT '公众号账号的编号',
    `app_id`      varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '公众号 appId',
    `creator`     varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '创建者',
    `create_time` datetime                                                      NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater`     varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '更新者',
    `update_time` datetime                                                      NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted`     bit(1)                                                        NOT NULL DEFAULT b'0' COMMENT '是否删除',
    `tenant_id`   bigint(20) NOT NULL DEFAULT '0' COMMENT '租户编号',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8 COMMENT='公众号标签表';

-- ----------------------------
-- Records of mp_tag
-- ----------------------------
BEGIN;
INSERT INTO `mp_tag` (`id`, `tag_id`, `name`, `count`, `account_id`, `app_id`, `creator`, `create_time`, `updater`,
                      `update_time`, `deleted`, `tenant_id`)
VALUES (3, 100, '测试标签啦', 0, 1, 'wx5b23ba7a5589ecbb', '1', '2023-01-01 20:33:28', '1', '2023-01-08 03:23:53', b'1',
        1);
INSERT INTO `mp_tag` (`id`, `tag_id`, `name`, `count`, `account_id`, `app_id`, `creator`, `create_time`, `updater`,
                      `update_time`, `deleted`, `tenant_id`)
VALUES (4, 101, '测试', 0, 1, 'wx5b23ba7a5589ecbb', '1', '2023-01-01 20:33:28', '1', '2023-01-08 03:21:00', b'1', 1);
INSERT INTO `mp_tag` (`id`, `tag_id`, `name`, `count`, `account_id`, `app_id`, `creator`, `create_time`, `updater`,
                      `update_time`, `deleted`, `tenant_id`)
VALUES (7, 102, '搞起来', 0, 1, 'wx5b23ba7a5589ecbb', '1', '2023-01-01 20:33:28', '1', '2023-01-08 04:03:00', b'1', 1);
COMMIT;

-- ----------------------------
-- Table structure for mp_user
-- ----------------------------
DROP TABLE IF EXISTS `mp_user`;
CREATE TABLE `mp_user`
(
    `id`               bigint(20) NOT NULL AUTO_INCREMENT COMMENT '编号',
    `openid`           varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '用户标识',
    `subscribe_status` tinyint(4) NOT NULL COMMENT '关注状态',
    `subscribe_time`   datetime                                NOT NULL COMMENT '关注时间',
    `nickname`         varchar(64) COLLATE utf8mb4_unicode_ci           DEFAULT NULL COMMENT '昵称',
    `head_image_url`   varchar(1024) COLLATE utf8mb4_unicode_ci         DEFAULT NULL COMMENT '头像地址',
    `unsubscribe_time` datetime                                         DEFAULT NULL COMMENT '取消关注时间',
    `language`         varchar(30) COLLATE utf8mb4_unicode_ci           DEFAULT NULL COMMENT '语言',
    `country`          varchar(30) COLLATE utf8mb4_unicode_ci           DEFAULT NULL COMMENT '国家',
    `province`         varchar(30) COLLATE utf8mb4_unicode_ci           DEFAULT NULL COMMENT '省份',
    `city`             varchar(30) COLLATE utf8mb4_unicode_ci           DEFAULT NULL COMMENT '城市',
    `remark`           varchar(128) COLLATE utf8mb4_unicode_ci          DEFAULT NULL COMMENT '备注',
    `tag_ids`          varchar(255) COLLATE utf8mb4_unicode_ci          DEFAULT NULL COMMENT '标签编号数组',
    `account_id`       bigint(20) NOT NULL COMMENT '微信公众号ID',
    `app_id`           varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '微信公众号 appid',
    `creator`          varchar(64) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '创建者',
    `create_time`      datetime                                NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater`          varchar(64) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '更新者',
    `update_time`      datetime                                NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted`          bit(1)                                  NOT NULL DEFAULT b'0' COMMENT '是否删除',
    `tenant_id`        bigint(20) NOT NULL DEFAULT '0' COMMENT '租户编号',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='公众号粉丝表';

-- ----------------------------
-- Records of mp_user
-- ----------------------------
BEGIN;
INSERT INTO `mp_user` (`id`, `openid`, `subscribe_status`, `subscribe_time`, `nickname`, `head_image_url`,
                       `unsubscribe_time`, `language`, `country`, `province`, `city`, `remark`, `tag_ids`, `account_id`,
                       `app_id`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (7, 'osQ2UuCF6by7YZOwicfYfbt2TbMg', 0, '2023-07-24 17:19:37', '', '', NULL, 'zh_CN', NULL, NULL, NULL, '', '', 5,
        'wxdbdbc123c8c30b45', NULL, '2023-07-24 17:19:40', NULL, '2023-07-24 17:19:40', b'0', 0);
COMMIT;

-- ----------------------------
-- Table structure for qrtz_blob_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_blob_triggers`;
CREATE TABLE `qrtz_blob_triggers`
(
    `SCHED_NAME`    varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
    `TRIGGER_NAME`  varchar(190) COLLATE utf8mb4_unicode_ci NOT NULL,
    `TRIGGER_GROUP` varchar(190) COLLATE utf8mb4_unicode_ci NOT NULL,
    `BLOB_DATA`     blob,
    PRIMARY KEY (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`) USING BTREE,
    KEY             `SCHED_NAME` (`SCHED_NAME`,`TRIGGER_NAME`,`TRIGGER_GROUP`) USING BTREE,
    CONSTRAINT `qrtz_blob_triggers_ibfk_1` FOREIGN KEY (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`) REFERENCES `qrtz_triggers` (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- ----------------------------
-- Records of qrtz_blob_triggers
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for qrtz_calendars
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_calendars`;
CREATE TABLE `qrtz_calendars`
(
    `SCHED_NAME`    varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
    `CALENDAR_NAME` varchar(190) COLLATE utf8mb4_unicode_ci NOT NULL,
    `CALENDAR`      blob                                    NOT NULL,
    PRIMARY KEY (`SCHED_NAME`, `CALENDAR_NAME`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- ----------------------------
-- Records of qrtz_calendars
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for qrtz_cron_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_cron_triggers`;
CREATE TABLE `qrtz_cron_triggers`
(
    `SCHED_NAME`      varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
    `TRIGGER_NAME`    varchar(190) COLLATE utf8mb4_unicode_ci NOT NULL,
    `TRIGGER_GROUP`   varchar(190) COLLATE utf8mb4_unicode_ci NOT NULL,
    `CRON_EXPRESSION` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
    `TIME_ZONE_ID`    varchar(80) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
    PRIMARY KEY (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`) USING BTREE,
    CONSTRAINT `qrtz_cron_triggers_ibfk_1` FOREIGN KEY (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`) REFERENCES `qrtz_triggers` (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- ----------------------------
-- Records of qrtz_cron_triggers
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for qrtz_fired_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_fired_triggers`;
CREATE TABLE `qrtz_fired_triggers`
(
    `SCHED_NAME`        varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
    `ENTRY_ID`          varchar(95) COLLATE utf8mb4_unicode_ci  NOT NULL,
    `TRIGGER_NAME`      varchar(190) COLLATE utf8mb4_unicode_ci NOT NULL,
    `TRIGGER_GROUP`     varchar(190) COLLATE utf8mb4_unicode_ci NOT NULL,
    `INSTANCE_NAME`     varchar(190) COLLATE utf8mb4_unicode_ci NOT NULL,
    `FIRED_TIME`        bigint(20) NOT NULL,
    `SCHED_TIME`        bigint(20) NOT NULL,
    `PRIORITY`          int(11) NOT NULL,
    `STATE`             varchar(16) COLLATE utf8mb4_unicode_ci  NOT NULL,
    `JOB_NAME`          varchar(190) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
    `JOB_GROUP`         varchar(190) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
    `IS_NONCONCURRENT`  varchar(1) COLLATE utf8mb4_unicode_ci   DEFAULT NULL,
    `REQUESTS_RECOVERY` varchar(1) COLLATE utf8mb4_unicode_ci   DEFAULT NULL,
    PRIMARY KEY (`SCHED_NAME`, `ENTRY_ID`) USING BTREE,
    KEY                 `IDX_QRTZ_FT_TRIG_INST_NAME` (`SCHED_NAME`,`INSTANCE_NAME`) USING BTREE,
    KEY                 `IDX_QRTZ_FT_INST_JOB_REQ_RCVRY` (`SCHED_NAME`,`INSTANCE_NAME`,`REQUESTS_RECOVERY`) USING BTREE,
    KEY                 `IDX_QRTZ_FT_J_G` (`SCHED_NAME`,`JOB_NAME`,`JOB_GROUP`) USING BTREE,
    KEY                 `IDX_QRTZ_FT_JG` (`SCHED_NAME`,`JOB_GROUP`) USING BTREE,
    KEY                 `IDX_QRTZ_FT_T_G` (`SCHED_NAME`,`TRIGGER_NAME`,`TRIGGER_GROUP`) USING BTREE,
    KEY                 `IDX_QRTZ_FT_TG` (`SCHED_NAME`,`TRIGGER_GROUP`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- ----------------------------
-- Records of qrtz_fired_triggers
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for qrtz_job_details
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_job_details`;
CREATE TABLE `qrtz_job_details`
(
    `SCHED_NAME`        varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
    `JOB_NAME`          varchar(190) COLLATE utf8mb4_unicode_ci NOT NULL,
    `JOB_GROUP`         varchar(190) COLLATE utf8mb4_unicode_ci NOT NULL,
    `DESCRIPTION`       varchar(250) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
    `JOB_CLASS_NAME`    varchar(250) COLLATE utf8mb4_unicode_ci NOT NULL,
    `IS_DURABLE`        varchar(1) COLLATE utf8mb4_unicode_ci   NOT NULL,
    `IS_NONCONCURRENT`  varchar(1) COLLATE utf8mb4_unicode_ci   NOT NULL,
    `IS_UPDATE_DATA`    varchar(1) COLLATE utf8mb4_unicode_ci   NOT NULL,
    `REQUESTS_RECOVERY` varchar(1) COLLATE utf8mb4_unicode_ci   NOT NULL,
    `JOB_DATA`          blob,
    PRIMARY KEY (`SCHED_NAME`, `JOB_NAME`, `JOB_GROUP`) USING BTREE,
    KEY                 `IDX_QRTZ_J_REQ_RECOVERY` (`SCHED_NAME`,`REQUESTS_RECOVERY`) USING BTREE,
    KEY                 `IDX_QRTZ_J_GRP` (`SCHED_NAME`,`JOB_GROUP`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- ----------------------------
-- Records of qrtz_job_details
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for qrtz_locks
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_locks`;
CREATE TABLE `qrtz_locks`
(
    `SCHED_NAME` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
    `LOCK_NAME`  varchar(40) COLLATE utf8mb4_unicode_ci  NOT NULL,
    PRIMARY KEY (`SCHED_NAME`, `LOCK_NAME`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- ----------------------------
-- Records of qrtz_locks
-- ----------------------------
BEGIN;
INSERT INTO `qrtz_locks` (`SCHED_NAME`, `LOCK_NAME`)
VALUES ('schedulerName', 'STATE_ACCESS');
INSERT INTO `qrtz_locks` (`SCHED_NAME`, `LOCK_NAME`)
VALUES ('schedulerName', 'TRIGGER_ACCESS');
COMMIT;

-- ----------------------------
-- Table structure for qrtz_paused_trigger_grps
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_paused_trigger_grps`;
CREATE TABLE `qrtz_paused_trigger_grps`
(
    `SCHED_NAME`    varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
    `TRIGGER_GROUP` varchar(190) COLLATE utf8mb4_unicode_ci NOT NULL,
    PRIMARY KEY (`SCHED_NAME`, `TRIGGER_GROUP`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- ----------------------------
-- Records of qrtz_paused_trigger_grps
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for qrtz_scheduler_state
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_scheduler_state`;
CREATE TABLE `qrtz_scheduler_state`
(
    `SCHED_NAME`        varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
    `INSTANCE_NAME`     varchar(190) COLLATE utf8mb4_unicode_ci NOT NULL,
    `LAST_CHECKIN_TIME` bigint(20) NOT NULL,
    `CHECKIN_INTERVAL`  bigint(20) NOT NULL,
    PRIMARY KEY (`SCHED_NAME`, `INSTANCE_NAME`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- ----------------------------
-- Records of qrtz_scheduler_state
-- ----------------------------
BEGIN;
INSERT INTO `qrtz_scheduler_state` (`SCHED_NAME`, `INSTANCE_NAME`, `LAST_CHECKIN_TIME`, `CHECKIN_INTERVAL`)
VALUES ('schedulerName', 'Yunai1677076619095', 1677076631456, 15000);
COMMIT;

-- ----------------------------
-- Table structure for qrtz_simple_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_simple_triggers`;
CREATE TABLE `qrtz_simple_triggers`
(
    `SCHED_NAME`      varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
    `TRIGGER_NAME`    varchar(190) COLLATE utf8mb4_unicode_ci NOT NULL,
    `TRIGGER_GROUP`   varchar(190) COLLATE utf8mb4_unicode_ci NOT NULL,
    `REPEAT_COUNT`    bigint(20) NOT NULL,
    `REPEAT_INTERVAL` bigint(20) NOT NULL,
    `TIMES_TRIGGERED` bigint(20) NOT NULL,
    PRIMARY KEY (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`) USING BTREE,
    CONSTRAINT `qrtz_simple_triggers_ibfk_1` FOREIGN KEY (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`) REFERENCES `qrtz_triggers` (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- ----------------------------
-- Records of qrtz_simple_triggers
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for qrtz_simprop_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_simprop_triggers`;
CREATE TABLE `qrtz_simprop_triggers`
(
    `SCHED_NAME`    varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
    `TRIGGER_NAME`  varchar(190) COLLATE utf8mb4_unicode_ci NOT NULL,
    `TRIGGER_GROUP` varchar(190) COLLATE utf8mb4_unicode_ci NOT NULL,
    `STR_PROP_1`    varchar(512) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
    `STR_PROP_2`    varchar(512) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
    `STR_PROP_3`    varchar(512) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
    `INT_PROP_1`    int(11) DEFAULT NULL,
    `INT_PROP_2`    int(11) DEFAULT NULL,
    `LONG_PROP_1`   bigint(20) DEFAULT NULL,
    `LONG_PROP_2`   bigint(20) DEFAULT NULL,
    `DEC_PROP_1`    decimal(13, 4)                          DEFAULT NULL,
    `DEC_PROP_2`    decimal(13, 4)                          DEFAULT NULL,
    `BOOL_PROP_1`   varchar(1) COLLATE utf8mb4_unicode_ci   DEFAULT NULL,
    `BOOL_PROP_2`   varchar(1) COLLATE utf8mb4_unicode_ci   DEFAULT NULL,
    PRIMARY KEY (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`) USING BTREE,
    CONSTRAINT `qrtz_simprop_triggers_ibfk_1` FOREIGN KEY (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`) REFERENCES `qrtz_triggers` (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- ----------------------------
-- Records of qrtz_simprop_triggers
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for qrtz_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_triggers`;
CREATE TABLE `qrtz_triggers`
(
    `SCHED_NAME`     varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
    `TRIGGER_NAME`   varchar(190) COLLATE utf8mb4_unicode_ci NOT NULL,
    `TRIGGER_GROUP`  varchar(190) COLLATE utf8mb4_unicode_ci NOT NULL,
    `JOB_NAME`       varchar(190) COLLATE utf8mb4_unicode_ci NOT NULL,
    `JOB_GROUP`      varchar(190) COLLATE utf8mb4_unicode_ci NOT NULL,
    `DESCRIPTION`    varchar(250) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
    `NEXT_FIRE_TIME` bigint(20) DEFAULT NULL,
    `PREV_FIRE_TIME` bigint(20) DEFAULT NULL,
    `PRIORITY`       int(11) DEFAULT NULL,
    `TRIGGER_STATE`  varchar(16) COLLATE utf8mb4_unicode_ci  NOT NULL,
    `TRIGGER_TYPE`   varchar(8) COLLATE utf8mb4_unicode_ci   NOT NULL,
    `START_TIME`     bigint(20) NOT NULL,
    `END_TIME`       bigint(20) DEFAULT NULL,
    `CALENDAR_NAME`  varchar(190) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
    `MISFIRE_INSTR`  smallint(6) DEFAULT NULL,
    `JOB_DATA`       blob,
    PRIMARY KEY (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`) USING BTREE,
    KEY              `IDX_QRTZ_T_J` (`SCHED_NAME`,`JOB_NAME`,`JOB_GROUP`) USING BTREE,
    KEY              `IDX_QRTZ_T_JG` (`SCHED_NAME`,`JOB_GROUP`) USING BTREE,
    KEY              `IDX_QRTZ_T_C` (`SCHED_NAME`,`CALENDAR_NAME`) USING BTREE,
    KEY              `IDX_QRTZ_T_G` (`SCHED_NAME`,`TRIGGER_GROUP`) USING BTREE,
    KEY              `IDX_QRTZ_T_STATE` (`SCHED_NAME`,`TRIGGER_STATE`) USING BTREE,
    KEY              `IDX_QRTZ_T_N_STATE` (`SCHED_NAME`,`TRIGGER_NAME`,`TRIGGER_GROUP`,`TRIGGER_STATE`) USING BTREE,
    KEY              `IDX_QRTZ_T_N_G_STATE` (`SCHED_NAME`,`TRIGGER_GROUP`,`TRIGGER_STATE`) USING BTREE,
    KEY              `IDX_QRTZ_T_NEXT_FIRE_TIME` (`SCHED_NAME`,`NEXT_FIRE_TIME`) USING BTREE,
    KEY              `IDX_QRTZ_T_NFT_ST` (`SCHED_NAME`,`TRIGGER_STATE`,`NEXT_FIRE_TIME`) USING BTREE,
    KEY              `IDX_QRTZ_T_NFT_MISFIRE` (`SCHED_NAME`,`MISFIRE_INSTR`,`NEXT_FIRE_TIME`) USING BTREE,
    KEY              `IDX_QRTZ_T_NFT_ST_MISFIRE` (`SCHED_NAME`,`MISFIRE_INSTR`,`NEXT_FIRE_TIME`,`TRIGGER_STATE`) USING BTREE,
    KEY              `IDX_QRTZ_T_NFT_ST_MISFIRE_GRP` (`SCHED_NAME`,`MISFIRE_INSTR`,`NEXT_FIRE_TIME`,`TRIGGER_GROUP`,`TRIGGER_STATE`) USING BTREE,
    CONSTRAINT `qrtz_triggers_ibfk_1` FOREIGN KEY (`SCHED_NAME`, `JOB_NAME`, `JOB_GROUP`) REFERENCES `qrtz_job_details` (`SCHED_NAME`, `JOB_NAME`, `JOB_GROUP`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- ----------------------------
-- Records of qrtz_triggers
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for system_dept
-- ----------------------------
DROP TABLE IF EXISTS `system_dept`;
CREATE TABLE `system_dept`
(
    `id`             bigint(20) NOT NULL AUTO_INCREMENT COMMENT '部门id',
    `name`           varchar(30) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '部门名称',
    `parent_id`      bigint(20) NOT NULL DEFAULT '0' COMMENT '父部门id',
    `sort`           int(11) NOT NULL DEFAULT '0' COMMENT '显示顺序',
    `leader_user_id` bigint(20) DEFAULT NULL COMMENT '负责人',
    `phone`          varchar(11) COLLATE utf8mb4_unicode_ci          DEFAULT NULL COMMENT '联系电话',
    `email`          varchar(50) COLLATE utf8mb4_unicode_ci          DEFAULT NULL COMMENT '邮箱',
    `status`         tinyint(4) NOT NULL COMMENT '部门状态（0正常 1停用）',
    `creator`        varchar(64) COLLATE utf8mb4_unicode_ci          DEFAULT '' COMMENT '创建者',
    `create_time`    datetime                               NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater`        varchar(64) COLLATE utf8mb4_unicode_ci          DEFAULT '' COMMENT '更新者',
    `update_time`    datetime                               NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted`        bit(1)                                 NOT NULL DEFAULT b'0' COMMENT '是否删除',
    `tenant_id`      bigint(20) NOT NULL DEFAULT '0' COMMENT '租户编号',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=112 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='部门表';

-- ----------------------------
-- Records of system_dept
-- ----------------------------
BEGIN;
INSERT INTO `system_dept` (`id`, `name`, `parent_id`, `sort`, `leader_user_id`, `phone`, `email`, `status`, `creator`,
                           `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (100, 'CERESHOP', 0, 0, 1, '15888888888', 'ry@qq.com', 0, 'admin', '2021-01-05 17:03:47', '1',
        '2022-06-19 00:29:10', b'0', 1);
INSERT INTO `system_dept` (`id`, `name`, `parent_id`, `sort`, `leader_user_id`, `phone`, `email`, `status`, `creator`,
                           `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (101, '深圳总公司', 100, 1, 104, '15888888888', 'ry@qq.com', 0, 'admin', '2021-01-05 17:03:47', '1',
        '2022-05-16 20:25:23', b'0', 1);
INSERT INTO `system_dept` (`id`, `name`, `parent_id`, `sort`, `leader_user_id`, `phone`, `email`, `status`, `creator`,
                           `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (102, '长沙分公司', 100, 2, NULL, '15888888888', 'ry@qq.com', 0, 'admin', '2021-01-05 17:03:47', '',
        '2021-12-15 05:01:40', b'0', 1);
INSERT INTO `system_dept` (`id`, `name`, `parent_id`, `sort`, `leader_user_id`, `phone`, `email`, `status`, `creator`,
                           `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (103, '研发部门', 101, 1, 104, '15888888888', 'ry@qq.com', 0, 'admin', '2021-01-05 17:03:47', '103',
        '2022-01-14 01:04:14', b'0', 1);
INSERT INTO `system_dept` (`id`, `name`, `parent_id`, `sort`, `leader_user_id`, `phone`, `email`, `status`, `creator`,
                           `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (104, '市场部门', 101, 2, NULL, '15888888888', 'ry@qq.com', 0, 'admin', '2021-01-05 17:03:47', '',
        '2021-12-15 05:01:38', b'0', 1);
INSERT INTO `system_dept` (`id`, `name`, `parent_id`, `sort`, `leader_user_id`, `phone`, `email`, `status`, `creator`,
                           `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (105, '测试部门', 101, 3, NULL, '15888888888', 'ry@qq.com', 0, 'admin', '2021-01-05 17:03:47', '1',
        '2022-05-16 20:25:15', b'0', 1);
INSERT INTO `system_dept` (`id`, `name`, `parent_id`, `sort`, `leader_user_id`, `phone`, `email`, `status`, `creator`,
                           `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (106, '财务部门', 101, 4, 103, '15888888888', 'ry@qq.com', 0, 'admin', '2021-01-05 17:03:47', '103',
        '2022-01-15 21:32:22', b'0', 1);
INSERT INTO `system_dept` (`id`, `name`, `parent_id`, `sort`, `leader_user_id`, `phone`, `email`, `status`, `creator`,
                           `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (107, '运维部门', 101, 5, NULL, '15888888888', 'ry@qq.com', 0, 'admin', '2021-01-05 17:03:47', '',
        '2021-12-15 05:01:33', b'0', 1);
INSERT INTO `system_dept` (`id`, `name`, `parent_id`, `sort`, `leader_user_id`, `phone`, `email`, `status`, `creator`,
                           `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (108, '市场部门', 102, 1, NULL, '15888888888', 'ry@qq.com', 0, 'admin', '2021-01-05 17:03:47', '1',
        '2022-02-16 08:35:45', b'0', 1);
INSERT INTO `system_dept` (`id`, `name`, `parent_id`, `sort`, `leader_user_id`, `phone`, `email`, `status`, `creator`,
                           `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (109, '财务部门', 102, 2, NULL, '15888888888', 'ry@qq.com', 0, 'admin', '2021-01-05 17:03:47', '',
        '2021-12-15 05:01:29', b'0', 1);
INSERT INTO `system_dept` (`id`, `name`, `parent_id`, `sort`, `leader_user_id`, `phone`, `email`, `status`, `creator`,
                           `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (110, '新部门', 0, 1, NULL, NULL, NULL, 0, '110', '2022-02-23 20:46:30', '110', '2022-02-23 20:46:30', b'0',
        121);
INSERT INTO `system_dept` (`id`, `name`, `parent_id`, `sort`, `leader_user_id`, `phone`, `email`, `status`, `creator`,
                           `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (111, '顶级部门', 0, 1, NULL, NULL, NULL, 0, '113', '2022-03-07 21:44:50', '113', '2022-03-07 21:44:50', b'0',
        122);
COMMIT;

-- ----------------------------
-- Table structure for system_dict_data
-- ----------------------------
DROP TABLE IF EXISTS `system_dict_data`;
CREATE TABLE `system_dict_data`
(
    `id`          bigint(20) NOT NULL AUTO_INCREMENT COMMENT '字典编码',
    `sort`        int(11) NOT NULL DEFAULT '0' COMMENT '字典排序',
    `label`       varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '字典标签',
    `value`       text COLLATE utf8mb4_unicode_ci         NOT NULL COMMENT '字典键值',
    `dict_type`   varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '字典类型',
    `status`      tinyint(4) NOT NULL DEFAULT '0' COMMENT '状态（0正常 1停用）',
    `color_type`  varchar(100) COLLATE utf8mb4_unicode_ci          DEFAULT '' COMMENT '颜色类型',
    `css_class`   varchar(100) COLLATE utf8mb4_unicode_ci          DEFAULT '' COMMENT 'css 样式',
    `remark`      text COLLATE utf8mb4_unicode_ci COMMENT '备注',
    `creator`     varchar(64) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '创建者',
    `create_time` datetime                                NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater`     varchar(64) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '更新者',
    `update_time` datetime                                NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted`     bit(1)                                  NOT NULL DEFAULT b'0' COMMENT '是否删除',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=1239 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='字典数据表';

-- ----------------------------
-- Records of system_dict_data
-- ----------------------------
BEGIN;
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1, 1, '男', '1', 'system_user_sex', 0, 'default', 'A', '性别男', 'admin', '2021-01-05 17:03:48', '1',
        '2022-03-29 00:14:39', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2, 2, '女', '2', 'system_user_sex', 1, 'success', '', '性别女', 'admin', '2021-01-05 17:03:48', '1',
        '2022-02-16 01:30:51', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (8, 1, '正常', '1', 'infra_job_status', 0, 'success', '', '正常状态', 'admin', '2021-01-05 17:03:48', '1',
        '2022-02-16 19:33:38', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (9, 2, '暂停', '2', 'infra_job_status', 0, 'danger', '', '停用状态', 'admin', '2021-01-05 17:03:48', '1',
        '2022-02-16 19:33:45', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (12, 1, '系统内置', '1', 'infra_config_type', 0, 'danger', '', '参数类型 - 系统内置', 'admin',
        '2021-01-05 17:03:48', '1', '2022-02-16 19:06:02', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (13, 2, '自定义', '2', 'infra_config_type', 0, 'primary', '', '参数类型 - 自定义', 'admin',
        '2021-01-05 17:03:48', '1', '2022-02-16 19:06:07', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (14, 1, '通知', '1', 'system_notice_type', 0, 'success', '', '通知', 'admin', '2021-01-05 17:03:48', '1',
        '2022-02-16 13:05:57', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (15, 2, '公告', '2', 'system_notice_type', 0, 'info', '', '公告', 'admin', '2021-01-05 17:03:48', '1',
        '2022-02-16 13:06:01', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (16, 0, '其它', '0', 'system_operate_type', 0, 'default', '', '其它操作', 'admin', '2021-01-05 17:03:48', '1',
        '2022-02-16 09:32:46', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (17, 1, '查询', '1', 'system_operate_type', 0, 'info', '', '查询操作', 'admin', '2021-01-05 17:03:48', '1',
        '2022-02-16 09:33:16', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (18, 2, '新增', '2', 'system_operate_type', 0, 'primary', '', '新增操作', 'admin', '2021-01-05 17:03:48', '1',
        '2022-02-16 09:33:13', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (19, 3, '修改', '3', 'system_operate_type', 0, 'warning', '', '修改操作', 'admin', '2021-01-05 17:03:48', '1',
        '2022-02-16 09:33:22', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (20, 4, '删除', '4', 'system_operate_type', 0, 'danger', '', '删除操作', 'admin', '2021-01-05 17:03:48', '1',
        '2022-02-16 09:33:27', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (22, 5, '导出', '5', 'system_operate_type', 0, 'default', '', '导出操作', 'admin', '2021-01-05 17:03:48', '1',
        '2022-02-16 09:33:32', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (23, 6, '导入', '6', 'system_operate_type', 0, 'default', '', '导入操作', 'admin', '2021-01-05 17:03:48', '1',
        '2022-02-16 09:33:35', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (27, 1, '开启', '0', 'common_status', 0, 'primary', '', '开启状态', 'admin', '2021-01-05 17:03:48', '1',
        '2022-02-16 08:00:39', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (28, 2, '关闭', '1', 'common_status', 0, 'info', '', '关闭状态', 'admin', '2021-01-05 17:03:48', '1',
        '2022-02-16 08:00:44', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (29, 1, '目录', '1', 'system_menu_type', 0, '', '', '目录', 'admin', '2021-01-05 17:03:48', '',
        '2022-02-01 16:43:45', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (30, 2, '菜单', '2', 'system_menu_type', 0, '', '', '菜单', 'admin', '2021-01-05 17:03:48', '',
        '2022-02-01 16:43:41', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (31, 3, '按钮', '3', 'system_menu_type', 0, '', '', '按钮', 'admin', '2021-01-05 17:03:48', '',
        '2022-02-01 16:43:39', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (32, 1, '内置', '1', 'system_role_type', 0, 'danger', '', '内置角色', 'admin', '2021-01-05 17:03:48', '1',
        '2022-02-16 13:02:08', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (33, 2, '自定义', '2', 'system_role_type', 0, 'primary', '', '自定义角色', 'admin', '2021-01-05 17:03:48', '1',
        '2022-02-16 13:02:12', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (34, 1, '全部数据权限', '1', 'system_data_scope', 0, '', '', '全部数据权限', 'admin', '2021-01-05 17:03:48', '',
        '2022-02-01 16:47:17', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (35, 2, '指定部门数据权限', '2', 'system_data_scope', 0, '', '', '指定部门数据权限', 'admin',
        '2021-01-05 17:03:48', '', '2022-02-01 16:47:18', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (36, 3, '本部门数据权限', '3', 'system_data_scope', 0, '', '', '本部门数据权限', 'admin', '2021-01-05 17:03:48',
        '', '2022-02-01 16:47:16', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (37, 4, '本部门及以下数据权限', '4', 'system_data_scope', 0, '', '', '本部门及以下数据权限', 'admin',
        '2021-01-05 17:03:48', '', '2022-02-01 16:47:21', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (38, 5, '仅本人数据权限', '5', 'system_data_scope', 0, '', '', '仅本人数据权限', 'admin', '2021-01-05 17:03:48',
        '', '2022-02-01 16:47:23', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (39, 0, '成功', '0', 'system_login_result', 0, 'success', '', '登陆结果 - 成功', '', '2021-01-18 06:17:36', '1',
        '2022-02-16 13:23:49', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (40, 10, '账号或密码不正确', '10', 'system_login_result', 0, 'primary', '', '登陆结果 - 账号或密码不正确', '',
        '2021-01-18 06:17:54', '1', '2022-02-16 13:24:27', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (41, 20, '用户被禁用', '20', 'system_login_result', 0, 'warning', '', '登陆结果 - 用户被禁用', '',
        '2021-01-18 06:17:54', '1', '2022-02-16 13:23:57', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (42, 30, '验证码不存在', '30', 'system_login_result', 0, 'info', '', '登陆结果 - 验证码不存在', '',
        '2021-01-18 06:17:54', '1', '2022-02-16 13:24:07', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (43, 31, '验证码不正确', '31', 'system_login_result', 0, 'info', '', '登陆结果 - 验证码不正确', '',
        '2021-01-18 06:17:54', '1', '2022-02-16 13:24:11', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (44, 100, '未知异常', '100', 'system_login_result', 0, 'danger', '', '登陆结果 - 未知异常', '',
        '2021-01-18 06:17:54', '1', '2022-02-16 13:24:23', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (45, 1, '是', 'true', 'infra_boolean_string', 0, 'danger', '', 'Boolean 是否类型 - 是', '',
        '2021-01-19 03:20:55', '1', '2022-03-15 23:01:45', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (46, 1, '否', 'false', 'infra_boolean_string', 0, 'info', '', 'Boolean 是否类型 - 否', '', '2021-01-19 03:20:55',
        '1', '2022-03-15 23:09:45', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (47, 1, '永不超时', '1', 'infra_redis_timeout_type', 0, 'primary', '', 'Redis 未设置超时的情况', '',
        '2021-01-26 00:53:17', '1', '2022-02-16 19:03:35', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (48, 1, '动态超时', '2', 'infra_redis_timeout_type', 0, 'info', '', '程序里动态传入超时时间，无法固定', '',
        '2021-01-26 00:55:00', '1', '2022-02-16 19:03:41', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (49, 3, '固定超时', '3', 'infra_redis_timeout_type', 0, 'success', '', 'Redis 设置了过期时间', '',
        '2021-01-26 00:55:26', '1', '2022-02-16 19:03:45', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (50, 1, '单表（增删改查）', '1', 'infra_codegen_template_type', 0, '', '', NULL, '', '2021-02-05 07:09:06', '',
        '2022-03-10 16:33:15', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (51, 2, '树表（增删改查）', '2', 'infra_codegen_template_type', 0, '', '', NULL, '', '2021-02-05 07:14:46', '',
        '2022-03-10 16:33:19', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (53, 0, '初始化中', '0', 'infra_job_status', 0, 'primary', '', NULL, '', '2021-02-07 07:46:49', '1',
        '2022-02-16 19:33:29', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (57, 0, '运行中', '0', 'infra_job_log_status', 0, 'primary', '', 'RUNNING', '', '2021-02-08 10:04:24', '1',
        '2022-02-16 19:07:48', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (58, 1, '成功', '1', 'infra_job_log_status', 0, 'success', '', NULL, '', '2021-02-08 10:06:57', '1',
        '2022-02-16 19:07:52', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (59, 2, '失败', '2', 'infra_job_log_status', 0, 'warning', '', '失败', '', '2021-02-08 10:07:38', '1',
        '2022-02-16 19:07:56', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (60, 1, '会员', '1', 'user_type', 0, 'primary', '', NULL, '', '2021-02-26 00:16:27', '1', '2022-02-16 10:22:19',
        b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (61, 2, '管理员', '2', 'user_type', 0, 'success', '', NULL, '', '2021-02-26 00:16:34', '1',
        '2022-02-16 10:22:22', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (62, 0, '未处理', '0', 'infra_api_error_log_process_status', 0, 'primary', '', NULL, '', '2021-02-26 07:07:19',
        '1', '2022-02-16 20:14:17', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (63, 1, '已处理', '1', 'infra_api_error_log_process_status', 0, 'success', '', NULL, '', '2021-02-26 07:07:26',
        '1', '2022-02-16 20:14:08', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (64, 2, '已忽略', '2', 'infra_api_error_log_process_status', 0, 'danger', '', NULL, '', '2021-02-26 07:07:34',
        '1', '2022-02-16 20:14:14', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (66, 2, '阿里云', 'ALIYUN', 'system_sms_channel_code', 0, 'primary', '', NULL, '1', '2021-04-05 01:05:26', '1',
        '2022-02-16 10:09:52', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (67, 1, '验证码', '1', 'system_sms_template_type', 0, 'warning', '', NULL, '1', '2021-04-05 21:50:57', '1',
        '2022-02-16 12:48:30', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (68, 2, '通知', '2', 'system_sms_template_type', 0, 'primary', '', NULL, '1', '2021-04-05 21:51:08', '1',
        '2022-02-16 12:48:27', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (69, 0, '营销', '3', 'system_sms_template_type', 0, 'danger', '', NULL, '1', '2021-04-05 21:51:15', '1',
        '2022-02-16 12:48:22', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (70, 0, '初始化', '0', 'system_sms_send_status', 0, 'primary', '', NULL, '1', '2021-04-11 20:18:33', '1',
        '2022-02-16 10:26:07', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (71, 1, '发送成功', '10', 'system_sms_send_status', 0, 'success', '', NULL, '1', '2021-04-11 20:18:43', '1',
        '2022-02-16 10:25:56', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (72, 2, '发送失败', '20', 'system_sms_send_status', 0, 'danger', '', NULL, '1', '2021-04-11 20:18:49', '1',
        '2022-02-16 10:26:03', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (73, 3, '不发送', '30', 'system_sms_send_status', 0, 'info', '', NULL, '1', '2021-04-11 20:19:44', '1',
        '2022-02-16 10:26:10', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (74, 0, '等待结果', '0', 'system_sms_receive_status', 0, 'primary', '', NULL, '1', '2021-04-11 20:27:43', '1',
        '2022-02-16 10:28:24', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (75, 1, '接收成功', '10', 'system_sms_receive_status', 0, 'success', '', NULL, '1', '2021-04-11 20:29:25', '1',
        '2022-02-16 10:28:28', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (76, 2, '接收失败', '20', 'system_sms_receive_status', 0, 'danger', '', NULL, '1', '2021-04-11 20:29:31', '1',
        '2022-02-16 10:28:32', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (77, 0, '调试(钉钉)', 'DEBUG_DING_TALK', 'system_sms_channel_code', 0, 'info', '', NULL, '1',
        '2021-04-13 00:20:37', '1', '2022-02-16 10:10:00', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (78, 1, '自动生成', '1', 'system_error_code_type', 0, 'warning', '', NULL, '1', '2021-04-21 00:06:48', '1',
        '2022-02-16 13:57:20', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (79, 2, '手动编辑', '2', 'system_error_code_type', 0, 'primary', '', NULL, '1', '2021-04-21 00:07:14', '1',
        '2022-02-16 13:57:24', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (80, 100, '账号登录', '100', 'system_login_type', 0, 'primary', '', '账号登录', '1', '2021-10-06 00:52:02', '1',
        '2022-02-16 13:11:34', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (81, 101, '社交登录', '101', 'system_login_type', 0, 'info', '', '社交登录', '1', '2021-10-06 00:52:17', '1',
        '2022-02-16 13:11:40', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (83, 200, '主动登出', '200', 'system_login_type', 0, 'primary', '', '主动登出', '1', '2021-10-06 00:52:58', '1',
        '2022-02-16 13:11:49', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (85, 202, '强制登出', '202', 'system_login_type', 0, 'danger', '', '强制退出', '1', '2021-10-06 00:53:41', '1',
        '2022-02-16 13:11:57', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (86, 0, '病假', '1', 'bpm_oa_leave_type', 0, 'primary', '', NULL, '1', '2021-09-21 22:35:28', '1',
        '2022-02-16 10:00:41', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (87, 1, '事假', '2', 'bpm_oa_leave_type', 0, 'info', '', NULL, '1', '2021-09-21 22:36:11', '1',
        '2022-02-16 10:00:49', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (88, 2, '婚假', '3', 'bpm_oa_leave_type', 0, 'warning', '', NULL, '1', '2021-09-21 22:36:38', '1',
        '2022-02-16 10:00:53', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (98, 1, 'v2', 'v2', 'pay_channel_wechat_version', 0, '', '', 'v2版本', '1', '2021-11-08 17:00:58', '1',
        '2021-11-08 17:00:58', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (99, 2, 'v3', 'v3', 'pay_channel_wechat_version', 0, '', '', 'v3版本', '1', '2021-11-08 17:01:07', '1',
        '2021-11-08 17:01:07', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (108, 1, 'RSA2', 'RSA2', 'pay_channel_alipay_sign_type', 0, '', '', 'RSA2', '1', '2021-11-18 15:39:29', '1',
        '2021-11-18 15:39:29', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (109, 1, '公钥模式', '1', 'pay_channel_alipay_mode', 0, '', '', '公钥模式：privateKey + alipayPublicKey', '1',
        '2021-11-18 15:45:23', '1', '2021-11-18 15:45:23', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (110, 2, '证书模式', '2', 'pay_channel_alipay_mode', 0, '', '',
        '证书模式：appCertContent + alipayPublicCertContent + rootCertContent', '1', '2021-11-18 15:45:40', '1',
        '2021-11-18 15:45:40', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (111, 1, '线上', 'https://openapi.alipay.com/gateway.do', 'pay_channel_alipay_server_type', 0, '', '',
        '网关地址 - 线上', '1', '2021-11-18 16:59:32', '1', '2021-11-21 17:37:29', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (112, 2, '沙箱', 'https://openapi.alipaydev.com/gateway.do', 'pay_channel_alipay_server_type', 0, '', '',
        '网关地址 - 沙箱', '1', '2021-11-18 16:59:48', '1', '2021-11-21 17:37:39', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (113, 1, '微信 JSAPI 支付', 'wx_pub', 'pay_channel_code_type', 0, '', '', '微信 JSAPI（公众号） 支付', '1',
        '2021-12-03 10:40:24', '1', '2021-12-04 16:41:00', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (114, 2, '微信小程序支付', 'wx_lite', 'pay_channel_code_type', 0, '', '', '微信小程序支付', '1',
        '2021-12-03 10:41:06', '1', '2021-12-03 10:41:06', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (115, 3, '微信 App 支付', 'wx_app', 'pay_channel_code_type', 0, '', '', '微信 App 支付', '1',
        '2021-12-03 10:41:20', '1', '2021-12-03 10:41:20', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (116, 4, '支付宝 PC 网站支付', 'alipay_pc', 'pay_channel_code_type', 0, '', '', '支付宝 PC 网站支付', '1',
        '2021-12-03 10:42:09', '1', '2021-12-03 10:42:09', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (117, 5, '支付宝 Wap 网站支付', 'alipay_wap', 'pay_channel_code_type', 0, '', '', '支付宝 Wap 网站支付', '1',
        '2021-12-03 10:42:26', '1', '2021-12-03 10:42:26', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (118, 6, '支付宝App 支付', 'alipay_app', 'pay_channel_code_type', 0, '', '', '支付宝App 支付', '1',
        '2021-12-03 10:42:55', '1', '2021-12-03 10:42:55', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (119, 7, '支付宝扫码支付', 'alipay_qr', 'pay_channel_code_type', 0, '', '', '支付宝扫码支付', '1',
        '2021-12-03 10:43:10', '1', '2021-12-03 10:43:10', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (120, 1, '通知成功', '10', 'pay_order_notify_status', 0, 'success', '', '通知成功', '1', '2021-12-03 11:02:41',
        '1', '2022-02-16 13:59:13', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (121, 2, '通知失败', '20', 'pay_order_notify_status', 0, 'danger', '', '通知失败', '1', '2021-12-03 11:02:59',
        '1', '2022-02-16 13:59:17', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (122, 3, '未通知', '0', 'pay_order_notify_status', 0, 'info', '', '未通知', '1', '2021-12-03 11:03:10', '1',
        '2022-02-16 13:59:23', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (123, 1, '支付成功', '10', 'pay_order_status', 0, 'success', '', '支付成功', '1', '2021-12-03 11:18:29', '1',
        '2022-02-16 15:24:25', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (124, 2, '支付关闭', '20', 'pay_order_status', 0, 'danger', '', '支付关闭', '1', '2021-12-03 11:18:42', '1',
        '2022-02-16 15:24:31', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (125, 3, '未支付', '0', 'pay_order_status', 0, 'info', '', '未支付', '1', '2021-12-03 11:18:18', '1',
        '2022-02-16 15:24:35', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (126, 1, '未退款', '0', 'pay_order_refund_status', 0, '', '', '未退款', '1', '2021-12-03 11:30:35', '1',
        '2021-12-03 11:34:05', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (127, 2, '部分退款', '10', 'pay_order_refund_status', 0, '', '', '部分退款', '1', '2021-12-03 11:30:44', '1',
        '2021-12-03 11:34:10', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (128, 3, '全部退款', '20', 'pay_order_refund_status', 0, '', '', '全部退款', '1', '2021-12-03 11:30:52', '1',
        '2021-12-03 11:34:14', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1117, 1, '退款订单生成', '0', 'pay_refund_order_status', 0, 'primary', '', '退款订单生成', '1',
        '2021-12-10 16:44:44', '1', '2022-02-16 14:05:24', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1118, 2, '退款成功', '1', 'pay_refund_order_status', 0, 'success', '', '退款成功', '1', '2021-12-10 16:44:59',
        '1', '2022-02-16 14:05:28', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1119, 3, '退款失败', '2', 'pay_refund_order_status', 0, 'danger', '', '退款失败', '1', '2021-12-10 16:45:10',
        '1', '2022-02-16 14:05:34', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1124, 8, '退款关闭', '99', 'pay_refund_order_status', 0, 'info', '', '退款关闭', '1', '2021-12-10 16:46:26',
        '1', '2022-02-16 14:05:40', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1125, 0, '默认', '1', 'bpm_model_category', 0, 'primary', '', '流程分类 - 默认', '1', '2022-01-02 08:41:11',
        '1', '2022-02-16 20:01:42', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1126, 0, 'OA', '2', 'bpm_model_category', 0, 'success', '', '流程分类 - OA', '1', '2022-01-02 08:41:22', '1',
        '2022-02-16 20:01:50', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1127, 0, '进行中', '1', 'bpm_process_instance_status', 0, 'primary', '', '流程实例的状态 - 进行中', '1',
        '2022-01-07 23:47:22', '1', '2022-02-16 20:07:49', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1128, 2, '已完成', '2', 'bpm_process_instance_status', 0, 'success', '', '流程实例的状态 - 已完成', '1',
        '2022-01-07 23:47:49', '1', '2022-02-16 20:07:54', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1129, 1, '处理中', '1', 'bpm_process_instance_result', 0, 'primary', '', '流程实例的结果 - 处理中', '1',
        '2022-01-07 23:48:32', '1', '2022-02-16 09:53:26', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1130, 2, '通过', '2', 'bpm_process_instance_result', 0, 'success', '', '流程实例的结果 - 通过', '1',
        '2022-01-07 23:48:45', '1', '2022-02-16 09:53:31', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1131, 3, '不通过', '3', 'bpm_process_instance_result', 0, 'danger', '', '流程实例的结果 - 不通过', '1',
        '2022-01-07 23:48:55', '1', '2022-02-16 09:53:38', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1132, 4, '已取消', '4', 'bpm_process_instance_result', 0, 'info', '', '流程实例的结果 - 撤销', '1',
        '2022-01-07 23:49:06', '1', '2022-02-16 09:53:42', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1133, 10, '流程表单', '10', 'bpm_model_form_type', 0, '', '', '流程的表单类型 - 流程表单', '103',
        '2022-01-11 23:51:30', '103', '2022-01-11 23:51:30', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1134, 20, '业务表单', '20', 'bpm_model_form_type', 0, '', '', '流程的表单类型 - 业务表单', '103',
        '2022-01-11 23:51:47', '103', '2022-01-11 23:51:47', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1135, 10, '角色', '10', 'bpm_task_assign_rule_type', 0, 'info', '', '任务分配规则的类型 - 角色', '103',
        '2022-01-12 23:21:22', '1', '2022-02-16 20:06:14', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1136, 20, '部门的成员', '20', 'bpm_task_assign_rule_type', 0, 'primary', '', '任务分配规则的类型 - 部门的成员',
        '103', '2022-01-12 23:21:47', '1', '2022-02-16 20:05:28', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1137, 21, '部门的负责人', '21', 'bpm_task_assign_rule_type', 0, 'primary', '',
        '任务分配规则的类型 - 部门的负责人', '103', '2022-01-12 23:33:36', '1', '2022-02-16 20:05:31', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1138, 30, '用户', '30', 'bpm_task_assign_rule_type', 0, 'info', '', '任务分配规则的类型 - 用户', '103',
        '2022-01-12 23:34:02', '1', '2022-02-16 20:05:50', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1139, 40, '用户组', '40', 'bpm_task_assign_rule_type', 0, 'warning', '', '任务分配规则的类型 - 用户组', '103',
        '2022-01-12 23:34:21', '1', '2022-02-16 20:05:57', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1140, 50, '自定义脚本', '50', 'bpm_task_assign_rule_type', 0, 'danger', '', '任务分配规则的类型 - 自定义脚本',
        '103', '2022-01-12 23:34:43', '1', '2022-02-16 20:06:01', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1141, 22, '岗位', '22', 'bpm_task_assign_rule_type', 0, 'success', '', '任务分配规则的类型 - 岗位', '103',
        '2022-01-14 18:41:55', '1', '2022-02-16 20:05:39', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1142, 10, '流程发起人', '10', 'bpm_task_assign_script', 0, '', '', '任务分配自定义脚本 - 流程发起人', '103',
        '2022-01-15 00:10:57', '103', '2022-01-15 21:24:10', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1143, 20, '流程发起人的一级领导', '20', 'bpm_task_assign_script', 0, '', '',
        '任务分配自定义脚本 - 流程发起人的一级领导', '103', '2022-01-15 21:24:31', '103', '2022-01-15 21:24:31', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1144, 21, '流程发起人的二级领导', '21', 'bpm_task_assign_script', 0, '', '',
        '任务分配自定义脚本 - 流程发起人的二级领导', '103', '2022-01-15 21:24:46', '103', '2022-01-15 21:24:57', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1145, 1, '管理后台', '1', 'infra_codegen_scene', 0, '', '', '代码生成的场景枚举 - 管理后台', '1',
        '2022-02-02 13:15:06', '1', '2022-03-10 16:32:59', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1146, 2, '用户 APP', '2', 'infra_codegen_scene', 0, '', '', '代码生成的场景枚举 - 用户 APP', '1',
        '2022-02-02 13:15:19', '1', '2022-03-10 16:33:03', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1147, 0, '未退款', '0', 'pay_refund_order_type', 0, 'info', '', '退款类型 - 未退款', '1', '2022-02-16 14:09:01',
        '1', '2022-02-16 14:09:01', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1148, 10, '部分退款', '10', 'pay_refund_order_type', 0, 'success', '', '退款类型 - 部分退款', '1',
        '2022-02-16 14:09:25', '1', '2022-02-16 14:11:38', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1149, 20, '全部退款', '20', 'pay_refund_order_type', 0, 'warning', '', '退款类型 - 全部退款', '1',
        '2022-02-16 14:11:33', '1', '2022-02-16 14:11:33', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1150, 1, '数据库', '1', 'infra_file_storage', 0, 'default', '', NULL, '1', '2022-03-15 00:25:28', '1',
        '2022-03-15 00:25:28', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1151, 10, '本地磁盘', '10', 'infra_file_storage', 0, 'default', '', NULL, '1', '2022-03-15 00:25:41', '1',
        '2022-03-15 00:25:56', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1152, 11, 'FTP 服务器', '11', 'infra_file_storage', 0, 'default', '', NULL, '1', '2022-03-15 00:26:06', '1',
        '2022-03-15 00:26:10', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1153, 12, 'SFTP 服务器', '12', 'infra_file_storage', 0, 'default', '', NULL, '1', '2022-03-15 00:26:22', '1',
        '2022-03-15 00:26:22', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1154, 20, 'S3 对象存储', '20', 'infra_file_storage', 0, 'default', '', NULL, '1', '2022-03-15 00:26:31', '1',
        '2022-03-15 00:26:45', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1155, 103, '短信登录', '103', 'system_login_type', 0, 'default', '', NULL, '1', '2022-05-09 23:57:58', '1',
        '2022-05-09 23:58:09', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1156, 1, 'password', 'password', 'system_oauth2_grant_type', 0, 'default', '', '密码模式', '1',
        '2022-05-12 00:22:05', '1', '2022-05-11 16:26:01', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1157, 2, 'authorization_code', 'authorization_code', 'system_oauth2_grant_type', 0, 'primary', '', '授权码模式',
        '1', '2022-05-12 00:22:59', '1', '2022-05-11 16:26:02', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1158, 3, 'implicit', 'implicit', 'system_oauth2_grant_type', 0, 'success', '', '简化模式', '1',
        '2022-05-12 00:23:40', '1', '2022-05-11 16:26:05', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1159, 4, 'client_credentials', 'client_credentials', 'system_oauth2_grant_type', 0, 'default', '', '客户端模式',
        '1', '2022-05-12 00:23:51', '1', '2022-05-11 16:26:08', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1160, 5, 'refresh_token', 'refresh_token', 'system_oauth2_grant_type', 0, 'info', '', '刷新模式', '1',
        '2022-05-12 00:24:02', '1', '2022-05-11 16:26:11', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1162, 1, '销售中', '1', 'product_spu_status', 0, 'success', '', '商品 SPU 状态 - 销售中', '1',
        '2022-10-24 21:19:47', '1', '2022-10-24 21:20:38', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1163, 0, '仓库中', '0', 'product_spu_status', 0, 'info', '', '商品 SPU 状态 - 仓库中', '1',
        '2022-10-24 21:20:54', '1', '2022-10-24 21:21:22', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1164, 0, '回收站', '-1', 'product_spu_status', 0, 'default', '', '商品 SPU 状态 - 回收站', '1',
        '2022-10-24 21:21:11', '1', '2022-10-24 21:21:11', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1165, 1, '满减', '1', 'promotion_discount_type', 0, 'success', '', '优惠类型 - 满减', '1',
        '2022-11-01 12:46:41', '1', '2022-11-01 12:50:11', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1166, 2, '折扣', '2', 'promotion_discount_type', 0, 'primary', '', '优惠类型 - 折扣', '1',
        '2022-11-01 12:46:51', '1', '2022-11-01 12:50:08', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1167, 1, '固定日期', '1', 'promotion_coupon_template_validity_type', 0, 'default', '',
        '优惠劵模板的有限期类型 - 固定日期', '1', '2022-11-02 00:07:34', '1', '2022-11-04 00:07:49', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1168, 2, '领取之后', '2', 'promotion_coupon_template_validity_type', 0, 'default', '',
        '优惠劵模板的有限期类型 - 领取之后', '1', '2022-11-02 00:07:54', '1', '2022-11-04 00:07:52', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1169, 1, '全部商品参与', '1', 'promotion_product_scope', 0, 'default', '', '营销的商品范围 - 全部商品参与', '1',
        '2022-11-02 00:28:22', '1', '2022-11-02 00:28:22', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1170, 2, '指定商品参与', '2', 'promotion_product_scope', 0, 'default', '', '营销的商品范围 - 指定商品参与', '1',
        '2022-11-02 00:28:34', '1', '2022-11-02 00:28:40', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1171, 1, '已领取', '1', 'promotion_coupon_status', 0, 'primary', '', '优惠劵的状态 - 已领取', '1',
        '2022-11-04 00:15:08', '1', '2022-11-04 19:16:04', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1172, 2, '已使用', '2', 'promotion_coupon_status', 0, 'success', '', '优惠劵的状态 - 已使用', '1',
        '2022-11-04 00:15:21', '1', '2022-11-04 19:16:08', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1173, 3, '已过期', '3', 'promotion_coupon_status', 0, 'info', '', '优惠劵的状态 - 已过期', '1',
        '2022-11-04 00:15:43', '1', '2022-11-04 19:16:12', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1174, 1, '直接领取', '1', 'promotion_coupon_take_type', 0, 'primary', '', '优惠劵的领取方式 - 直接领取', '1',
        '2022-11-04 19:13:00', '1', '2022-11-04 19:13:25', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1175, 2, '指定发放', '2', 'promotion_coupon_take_type', 0, 'success', '', '优惠劵的领取方式 - 指定发放', '1',
        '2022-11-04 19:13:13', '1', '2022-11-04 19:14:48', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1176, 10, '未开始', '10', 'promotion_activity_status', 0, 'primary', '', '促销活动的状态枚举 - 未开始', '1',
        '2022-11-04 22:54:49', '1', '2022-11-04 22:55:53', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1177, 20, '进行中', '20', 'promotion_activity_status', 0, 'success', '', '促销活动的状态枚举 - 进行中', '1',
        '2022-11-04 22:55:06', '1', '2022-11-04 22:55:20', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1178, 30, '已结束', '30', 'promotion_activity_status', 0, 'info', '', '促销活动的状态枚举 - 已结束', '1',
        '2022-11-04 22:55:41', '1', '2022-11-04 22:55:41', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1179, 40, '已关闭', '40', 'promotion_activity_status', 0, 'warning', '', '促销活动的状态枚举 - 已关闭', '1',
        '2022-11-04 22:56:10', '1', '2022-11-04 22:56:18', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1180, 10, '满 N 元', '10', 'promotion_condition_type', 0, 'primary', '', '营销的条件类型 - 满 N 元', '1',
        '2022-11-04 22:59:45', '1', '2022-11-04 22:59:45', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1181, 20, '满 N 件', '20', 'promotion_condition_type', 0, 'success', '', '营销的条件类型 - 满 N 件', '1',
        '2022-11-04 23:00:02', '1', '2022-11-04 23:00:02', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1182, 10, '申请售后', '10', 'trade_after_sale_status', 0, 'primary', '', '交易售后状态 - 申请售后', '1',
        '2022-11-19 20:53:33', '1', '2022-11-19 20:54:42', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1183, 20, '商品待退货', '20', 'trade_after_sale_status', 0, 'primary', '', '交易售后状态 - 商品待退货', '1',
        '2022-11-19 20:54:36', '1', '2022-11-19 20:58:58', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1184, 30, '商家待收货', '30', 'trade_after_sale_status', 0, 'primary', '', '交易售后状态 - 商家待收货', '1',
        '2022-11-19 20:56:56', '1', '2022-11-19 20:59:20', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1185, 40, '等待退款', '40', 'trade_after_sale_status', 0, 'primary', '', '交易售后状态 - 等待退款', '1',
        '2022-11-19 20:59:54', '1', '2022-11-19 21:00:01', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1186, 50, '退款成功', '50', 'trade_after_sale_status', 0, 'default', '', '交易售后状态 - 退款成功', '1',
        '2022-11-19 21:00:33', '1', '2022-11-19 21:00:33', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1187, 61, '买家取消', '61', 'trade_after_sale_status', 0, 'info', '', '交易售后状态 - 买家取消', '1',
        '2022-11-19 21:01:29', '1', '2022-11-19 21:01:29', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1188, 62, '商家拒绝', '62', 'trade_after_sale_status', 0, 'info', '', '交易售后状态 - 商家拒绝', '1',
        '2022-11-19 21:02:17', '1', '2022-11-19 21:02:17', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1189, 63, '商家拒收货', '63', 'trade_after_sale_status', 0, 'info', '', '交易售后状态 - 商家拒收货', '1',
        '2022-11-19 21:02:37', '1', '2022-11-19 21:03:07', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1190, 10, '售中退款', '10', 'trade_after_sale_type', 0, 'success', '', '交易售后的类型 - 售中退款', '1',
        '2022-11-19 21:05:05', '1', '2022-11-19 21:38:23', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1191, 20, '售后退款', '20', 'trade_after_sale_type', 0, 'primary', '', '交易售后的类型 - 售后退款', '1',
        '2022-11-19 21:05:32', '1', '2022-11-19 21:38:32', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1192, 10, '仅退款', '10', 'trade_after_sale_way', 0, 'primary', '', '交易售后的方式 - 仅退款', '1',
        '2022-11-19 21:39:19', '1', '2022-11-19 21:39:19', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1193, 20, '退货退款', '20', 'trade_after_sale_way', 0, 'success', '', '交易售后的方式 - 退货退款', '1',
        '2022-11-19 21:39:38', '1', '2022-11-19 21:39:49', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1194, 10, '微信小程序', '10', 'terminal', 0, 'default', '', '终端 - 微信小程序', '1', '2022-12-10 10:51:11',
        '1', '2022-12-10 10:51:57', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1195, 20, 'H5 网页', '20', 'terminal', 0, 'default', '', '终端 - H5 网页', '1', '2022-12-10 10:51:30', '1',
        '2022-12-10 10:51:59', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1196, 11, '微信公众号', '11', 'terminal', 0, 'default', '', '终端 - 微信公众号', '1', '2022-12-10 10:54:16',
        '1', '2022-12-10 10:52:01', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1197, 31, '苹果 App', '31', 'terminal', 0, 'default', '', '终端 - 苹果 App', '1', '2022-12-10 10:54:42', '1',
        '2022-12-10 10:52:18', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1198, 32, '安卓 App', '32', 'terminal', 0, 'default', '', '终端 - 安卓 App', '1', '2022-12-10 10:55:02', '1',
        '2022-12-10 10:59:17', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1199, 0, '普通订单', '0', 'trade_order_type', 0, 'default', '', '交易订单的类型 - 普通订单', '1',
        '2022-12-10 16:34:14', '1', '2022-12-10 16:34:14', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1200, 1, '秒杀订单', '1', 'trade_order_type', 0, 'default', '', '交易订单的类型 - 秒杀订单', '1',
        '2022-12-10 16:34:26', '1', '2022-12-10 16:34:26', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1201, 2, '拼团订单', '2', 'trade_order_type', 0, 'default', '', '交易订单的类型 - 拼团订单', '1',
        '2022-12-10 16:34:36', '1', '2022-12-10 16:34:36', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1202, 3, '砍价订单', '3', 'trade_order_type', 0, 'default', '', '交易订单的类型 - 砍价订单', '1',
        '2022-12-10 16:34:48', '1', '2022-12-10 16:34:48', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1203, 0, '待支付', '0', 'trade_order_status', 0, 'default', '', '交易订单状态 - 待支付', '1',
        '2022-12-10 16:49:29', '1', '2022-12-10 16:49:29', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1204, 10, '待发货', '10', 'trade_order_status', 0, 'primary', '', '交易订单状态 - 待发货', '1',
        '2022-12-10 16:49:53', '1', '2022-12-10 16:51:17', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1205, 20, '已发货', '20', 'trade_order_status', 0, 'primary', '', '交易订单状态 - 已发货', '1',
        '2022-12-10 16:50:13', '1', '2022-12-10 16:51:31', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1206, 30, '已完成', '30', 'trade_order_status', 0, 'success', '', '交易订单状态 - 已完成', '1',
        '2022-12-10 16:50:30', '1', '2022-12-10 16:51:06', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1207, 40, '已取消', '40', 'trade_order_status', 0, 'danger', '', '交易订单状态 - 已取消', '1',
        '2022-12-10 16:50:50', '1', '2022-12-10 16:51:00', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1208, 0, '未售后', '0', 'trade_order_item_after_sale_status', 0, 'info', '', '交易订单项的售后状态 - 未售后',
        '1', '2022-12-10 20:58:42', '1', '2022-12-10 20:59:29', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1209, 1, '售后中', '1', 'trade_order_item_after_sale_status', 0, 'primary', '', '交易订单项的售后状态 - 售后中',
        '1', '2022-12-10 20:59:21', '1', '2022-12-10 20:59:21', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1210, 2, '已退款', '2', 'trade_order_item_after_sale_status', 0, 'success', '', '交易订单项的售后状态 - 已退款',
        '1', '2022-12-10 20:59:46', '1', '2022-12-10 20:59:46', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1211, 1, '完全匹配', '1', 'mp_auto_reply_request_match', 0, 'primary', '',
        '公众号自动回复的请求关键字匹配模式 - 完全匹配', '1', '2023-01-16 23:30:39', '1', '2023-01-16 23:31:00', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1212, 2, '半匹配', '2', 'mp_auto_reply_request_match', 0, 'success', '',
        '公众号自动回复的请求关键字匹配模式 - 半匹配', '1', '2023-01-16 23:30:55', '1', '2023-01-16 23:31:10', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1213, 1, '文本', 'text', 'mp_message_type', 0, 'default', '', '公众号的消息类型 - 文本', '1',
        '2023-01-17 22:17:32', '1', '2023-01-17 22:17:39', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1214, 2, '图片', 'image', 'mp_message_type', 0, 'default', '', '公众号的消息类型 - 图片', '1',
        '2023-01-17 22:17:32', '1', '2023-01-17 14:19:47', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1215, 3, '语音', 'voice', 'mp_message_type', 0, 'default', '', '公众号的消息类型 - 语音', '1',
        '2023-01-17 22:17:32', '1', '2023-01-17 14:20:08', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1216, 4, '视频', 'video', 'mp_message_type', 0, 'default', '', '公众号的消息类型 - 视频', '1',
        '2023-01-17 22:17:32', '1', '2023-01-17 14:21:08', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1217, 5, '小视频', 'shortvideo', 'mp_message_type', 0, 'default', '', '公众号的消息类型 - 小视频', '1',
        '2023-01-17 22:17:32', '1', '2023-01-17 14:19:59', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1218, 6, '图文', 'news', 'mp_message_type', 0, 'default', '', '公众号的消息类型 - 图文', '1',
        '2023-01-17 22:17:32', '1', '2023-01-17 14:22:54', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1219, 7, '音乐', 'music', 'mp_message_type', 0, 'default', '', '公众号的消息类型 - 音乐', '1',
        '2023-01-17 22:17:32', '1', '2023-01-17 14:22:54', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1220, 8, '地理位置', 'location', 'mp_message_type', 0, 'default', '', '公众号的消息类型 - 地理位置', '1',
        '2023-01-17 22:17:32', '1', '2023-01-17 14:23:51', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1221, 9, '链接', 'link', 'mp_message_type', 0, 'default', '', '公众号的消息类型 - 链接', '1',
        '2023-01-17 22:17:32', '1', '2023-01-17 14:24:49', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1222, 10, '事件', 'event', 'mp_message_type', 0, 'default', '', '公众号的消息类型 - 事件', '1',
        '2023-01-17 22:17:32', '1', '2023-01-17 14:24:49', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1223, 0, '初始化', '0', 'system_mail_send_status', 0, 'primary', '', '邮件发送状态 - 初始化\n', '1',
        '2023-01-26 09:53:49', '1', '2023-01-26 16:36:14', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1224, 10, '发送成功', '10', 'system_mail_send_status', 0, 'success', '', '邮件发送状态 - 发送成功', '1',
        '2023-01-26 09:54:28', '1', '2023-01-26 16:36:22', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1225, 20, '发送失败', '20', 'system_mail_send_status', 0, 'danger', '', '邮件发送状态 - 发送失败', '1',
        '2023-01-26 09:54:50', '1', '2023-01-26 16:36:26', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1226, 30, '不发送', '30', 'system_mail_send_status', 0, 'info', '', '邮件发送状态 -  不发送', '1',
        '2023-01-26 09:55:06', '1', '2023-01-26 16:36:36', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1227, 1, '通知公告', '1', 'system_notify_template_type', 0, 'primary', '', '站内信模版的类型 - 通知公告', '1',
        '2023-01-28 10:35:59', '1', '2023-01-28 10:35:59', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1228, 2, '系统消息', '2', 'system_notify_template_type', 0, 'success', '', '站内信模版的类型 - 系统消息', '1',
        '2023-01-28 10:36:20', '1', '2023-01-28 10:36:25', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1229, 0, '模拟支付', 'mock', 'pay_channel_code_type', 0, 'default', '', NULL, '1', '2023-02-12 21:50:22', '1',
        '2023-02-12 21:50:22', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1230, 8, '支付宝条码支付', 'alipay_bar', 'pay_channel_code_type', 0, 'default', '', NULL, '1',
        '2023-02-18 23:32:24', '1', '2023-02-18 23:32:32', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1231, 10, 'Vue2 Element UI 标准模版', '10', 'infra_codegen_front_type', 0, '', '', '', '1',
        '2023-04-13 00:03:55', '1', '2023-07-31 09:28:36', b'1');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1232, 20, 'Vue3 Element Plus 标准模版', '20', 'infra_codegen_front_type', 0, '', '', '', '1',
        '2023-04-13 00:04:08', '1', '2023-04-13 00:04:08', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1233, 21, 'Vue3 Element Plus Schema 模版', '21', 'infra_codegen_front_type', 0, '', '', '', '1',
        '2023-04-13 00:04:26', '1', '2023-07-31 09:29:37', b'1');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1234, 30, 'Vue3 vben 模版', '30', 'infra_codegen_front_type', 0, '', '', '', '1', '2023-04-13 00:04:26', '1',
        '2023-07-31 09:28:26', b'1');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1235, 1, 'default_head',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/417b6cc220226c402400a44d559a712.png',
        'user_default_type', 0, 'default', '', '', '1', '2023-11-08 16:04:30', '1', '2023-11-08 20:31:12', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1236, 1, 'user_agreement',
        '本协议（以下简称“协议”）是您（以下简称“用户”）与我们（以下简称“公司”）之间关于使用公司提供的服务（以下简称“服务”）的法律协议',
        'agreement', 0, '', '', '用户协议', '1', '2023-11-08 17:54:54', '1', '2023-11-08 17:54:54', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1237, 1, 'privacy_agreement',
        '<p><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">移动智能终端补充设备标识体系统一调用SDK隐私政策</font></font></p>  <p><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">更新日期：2022年7月4日</font></font></p>  <p><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">生效日期：2022年7月4日</font></font></p>  <p><strong><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">前言</font></font></strong></p>  <p>&nbsp;</p>  <p><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">移动智能终端补充设备标识符体系由设备唯一匿名标识符(UDID)、开放设备标识符标识符(OAID)、开发者设备匿名标识符(VAID)和应用匿名设备标识符(AAID)构成。中国信息通信研究院联合华为、小米、OPPO、vivo、中兴、努比亚、魅族、联想、三星等设备厂商实现补充设备标识体系的生成，并开发、发布支持多厂商的移动智能终端补充设备标识体系统一调用SDK（简称&ldquo;SDK&rdquo;），实现对开放匿名设备标识符(OAID)、开发者匿名设备标识符(VAID)和应用匿名设备标识符(AAID)的读取，不包括对设备唯一标识符(UDID)的读取读取，供行业免费使用。</font></font></p>  <p><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">为了让您更清楚地了解SDK的合规性和采用已的安全保护技术能力，特别是保护个人信息和隐私的方法和措施，我们特制定本隐私政策，向您介绍我们对用户的个人信息的处理方式，清晰、准确和完整地说明SDK收集哪些信息和目的，如何处理这些信息，我们以及提供的控制、保护这些信息的方式。本政策与您的权益息息相关，请仔细完整阅读并了解SDK在使用过程中的隐私保护与数据安全政策。本隐私协议适用于移动智能终端补充设备标识体系统一调用SDK。</font></font></p>  <p><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">本隐私政策将帮助您了解以下内容：</font></font></p>  <p><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">一、SDK的使用方式</font></font></p>  <p><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">二、信息的采集与处理</font></font></p>  <p><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">三、开发者合规使用建议</font></font></p>  <p><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">四、声明</font></font></p>  <p><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">五、生效及变更</font></font></p>  <p><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">六、联系我们</font></font></p>  <p>&nbsp;</p>  <p>&nbsp;</p>  <p><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">一、SDK的使用方式</font></font></p>  <p><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">SDK由开发者自行从公开网站（www.msa-alliance.cn）获取并集成进自己的APP内，原则上不支持非APP类产品接入SDK。在开发者获取SDK集成使用之前，需在网站上完成注册、提供相关的必要信息并通过资质审核。例如：加盖公章的营业执照（事业单位法人证书）或扫描件。</font></font></p>  <p><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">二、信息的采集与处理</font></font></p>  <p><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">移动智能终端补充设备体系标识与SDK严格遵守我国《网络安全法》、《数据安全法》、《个人信息保护法》等相关法律法规。请您知悉，SDK本身不会存储任何数据，仅在APP</font></font><strong><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">中调用时获取以下数据，用于本地判断，且不会进行任何网络传输</font></font></strong><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">。</font></font></p>  <p><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">1.信息采集范围与目的</font></font></p>  <table border=\"1\" cellpadding=\"0\" cellspacing=\"0\"> 	<tbody> 		<tr> 			<td> 			<p><strong><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">序号</font></font></strong></p> 			</td> 			<td> 			<p><strong><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">字段</font></font></strong></p> 			</td> 			<td> 			<p><strong><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">类型</font></font></strong></p> 			</td> 			<td> 			<p><strong><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">目的</font></font></strong></p> 			</td> 		</tr> 		<tr> 			<td> 			<p><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">1</font></font></p> 			</td> 			<td style=\"vertical-align:top\"> 			<p><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">设备制造商</font></font></p>  			<p><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">设备型号</font></font></p>  			<p><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">设备品牌</font></font></p> 			</td> 			<td> 			<p><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">品牌信息</font></font></p> 			</td> 			<td> 			<p><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">确定终端品牌，调用接口</font></font></p> 			</td> 		</tr> 		<tr> 			<td> 			<p><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">2</font></font></p> 			</td> 			<td> 			<p><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">设备网络运营商名称</font></font></p> 			</td> 			<td> 			<p><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">网络信息</font></font></p> 			</td> 			<td> 			<p><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">判断是否为虚拟机环境</font></font></p> 			</td> 		</tr> 		<tr> 			<td> 			<p><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">3</font></font></p> 			</td> 			<td> 			<p><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">应用程序包名称及签名信息，或在对应应用商店的APPID</font></font></p> 			</td> 			<td> 			<p><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">应用软件信息</font></font></p> 			</td> 			<td> 			<p><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">生成VAID时判断是否为同一开发者</font></font></p> 			</td> 		</tr> 	</tbody> </table>  <p><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">2.权限调用</font></font></p>  <p><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">SDK不会调用任何设备权限。</font></font></p>  <p><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">3. 信息的存储与共享</font></font></p>  <p><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">SDK采集的信息本身不会在本地存储，也不会通过网络传输，只在SDK接口调用时获取使用，随着接口功能的完成，数据异构被程序立即调用，不存在任何数据存储、共享、转让、公开等情况。</font></font></p>  <p><strong><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">特别说明：</font></font></strong><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">在获取VAID时，需要将APP包名和签名信息或应用商店中的APPID通过API接口提供给终端内部的ID生成模块，用于校验是否为同一开发者。</font></font></p>  <p><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">三、开发者合规使用建议</font></font></p>  <p><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">初始化时机：SDK的初始化请在用户同意APP隐私政策后进行，在告知用户获得授权后再调用接口。</font></font></p>  <p><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">隐私政策披露：开发者在产品中集成SDK，请开发者根据集成SDK的实际情况，在APP第三方SDK目录、隐私声明中，对SDK的名称、功能、类型及隐私政策等进行披露。链接：http://www.msa-alliance.cn/col.jsp?id=122。</font></font></p>  <p><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">获取补充设备标识：开发者请自行评估使用SDK可能涉及到的法律风险及隐私安全风险，并制定获取补充设备标识时的隐私政策，说明收集补充设备标识的用途范围、处理方式、处理类型、保存期限、退出方式等，并征得用户同意。</font></font></p>  <p><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">安全更新：当SDK发生安全风险、安全漏洞、安全事件等时会及时更新SDK，将新版SDK发布在http://www.msa-alliance.cn/col.jsp?id=120，请开发者查看更新，使用最新版本SDK。</font></font></p>  <p><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">四、声明</font></font></p>  <p><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">在使用SDK时，开发者须遵守中华人民共和国法律法规，包括但不限于关于数据隐私保护的相关法律法规，合法合规收集、处理用户的个人信息。因此我们不采集、处理任何数据并且也不会和 APP 方共享任何数据，同时我们也无法控制任何开发者对用户个人信息的处理行为，我们无法对其行为负责。因此如果开发者在使用 SDK 过程中违反法律法规或损害任何其他方面的合法权益的，我方不承担法律责任。</font></font></p>  <p><strong><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">特别提示</font></font></strong><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">：开发者使用SDK获取相关标识数据，并欲根据该标识数据进行使用、分析、交易或其他行为前，应慎重考虑这些行为的合法性、合规性、真实性和安全性等，并采取相应措施。如因未采取合理的安全措施措施所导致的信息泄露、权利侵犯、财产损失、人身伤亡等违法行为造成的损害后果，与SDK无关，SDK亦不承担任何责任直接、间接、附带或衍生的法律责任。</font></font></p>  <p><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">五、生效及变更</font></font></p>  <p><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">一旦您开始使用我们的服务，即表示您已充分理解并同意我们的隐私政策。</font></font></p>  <p><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">根据修改我们的业务发展、产品功能、联系方式或相关法律法规及监管的要求，我们可能会适时对本政策进行更新，该修改本《隐私政策》的部分内容。我们将在网站上随时更新发布我们的内容版的隐私政策，您可以随时前往：http://www.msa-alliance.cn/col.jsp?id=122查看。</font></font></p>  <p><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">六、联系我们</font></font></p>  <p><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">用户就SDK收集的个人信息按照保护法规定的各项数据权利，同时，对于信息处理有申诉的权力。如您对本《隐私政策》及您的个人信息相关行为有任何疑问、意见或建议，或需我们对用户请求、申诉进行响应等，请通过以下方式与我们取得联系：</font></font></p>  <p><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">联系邮箱：msa@caict.ac.cn</font></font></p>  <p><font style=\"vertical-align:inherit\"><font style=\"vertical-align:inherit\">联系地址：北京市海淀区花园北路52号</font></font></p>  <p>&nbsp;</p>  <p>&nbsp;</p>',
        'agreement', 0, '', '', '隐私协议', '1', '2023-11-08 17:55:28', '1', '2023-11-08 18:40:47', b'0');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`,
                                `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1238, 21, '阿里云服务器', '21', 'infra_file_storage', 0, 'default', '', '', '1', '2023-11-14 14:45:18', '1',
        '2023-11-14 14:48:55', b'1');
COMMIT;

-- ----------------------------
-- Table structure for system_dict_type
-- ----------------------------
DROP TABLE IF EXISTS `system_dict_type`;
CREATE TABLE `system_dict_type`
(
    `id`           bigint(20) NOT NULL AUTO_INCREMENT COMMENT '字典主键',
    `name`         varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '字典名称',
    `type`         varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '字典类型',
    `status`       tinyint(4) NOT NULL DEFAULT '0' COMMENT '状态（0正常 1停用）',
    `remark`       varchar(500) COLLATE utf8mb4_unicode_ci          DEFAULT NULL COMMENT '备注',
    `creator`      varchar(64) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '创建者',
    `create_time`  datetime                                NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater`      varchar(64) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '更新者',
    `update_time`  datetime                                NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted`      bit(1)                                  NOT NULL DEFAULT b'0' COMMENT '是否删除',
    `deleted_time` datetime                                         DEFAULT NULL COMMENT '删除时间',
    PRIMARY KEY (`id`) USING BTREE,
    UNIQUE KEY `dict_type` (`type`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=174 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='字典类型表';

-- ----------------------------
-- Records of system_dict_type
-- ----------------------------
BEGIN;
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (1, '用户性别', 'system_user_sex', 0, NULL, 'admin', '2021-01-05 17:03:48', '1', '2022-05-16 20:29:32', b'0',
        NULL);
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (6, '参数类型', 'infra_config_type', 0, NULL, 'admin', '2021-01-05 17:03:48', '', '2022-02-01 16:36:54', b'0',
        NULL);
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (7, '通知类型', 'system_notice_type', 0, NULL, 'admin', '2021-01-05 17:03:48', '', '2022-02-01 16:35:26', b'0',
        NULL);
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (9, '操作类型', 'system_operate_type', 0, NULL, 'admin', '2021-01-05 17:03:48', '1', '2022-02-16 09:32:21', b'0',
        NULL);
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (10, '系统状态', 'common_status', 0, NULL, 'admin', '2021-01-05 17:03:48', '', '2022-02-01 16:21:28', b'0',
        NULL);
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (11, 'Boolean 是否类型', 'infra_boolean_string', 0, 'boolean 转是否', '', '2021-01-19 03:20:08', '',
        '2022-02-01 16:37:10', b'0', NULL);
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (104, '登陆结果', 'system_login_result', 0, '登陆结果', '', '2021-01-18 06:17:11', '', '2022-02-01 16:36:00',
        b'0', NULL);
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (105, 'Redis 超时类型', 'infra_redis_timeout_type', 0, 'RedisKeyDefine.TimeoutTypeEnum', '',
        '2021-01-26 00:52:50', '', '2022-02-01 16:50:29', b'0', NULL);
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (106, '代码生成模板类型', 'infra_codegen_template_type', 0, NULL, '', '2021-02-05 07:08:06', '1',
        '2022-05-16 20:26:50', b'0', NULL);
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (107, '定时任务状态', 'infra_job_status', 0, NULL, '', '2021-02-07 07:44:16', '', '2022-02-01 16:51:11', b'0',
        NULL);
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (108, '定时任务日志状态', 'infra_job_log_status', 0, NULL, '', '2021-02-08 10:03:51', '', '2022-02-01 16:50:43',
        b'0', NULL);
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (109, '用户类型', 'user_type', 0, NULL, '', '2021-02-26 00:15:51', '', '2021-02-26 00:15:51', b'0', NULL);
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (110, 'API 异常数据的处理状态', 'infra_api_error_log_process_status', 0, NULL, '', '2021-02-26 07:07:01', '',
        '2022-02-01 16:50:53', b'0', NULL);
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (111, '短信渠道编码', 'system_sms_channel_code', 0, NULL, '1', '2021-04-05 01:04:50', '1', '2022-02-16 02:09:08',
        b'0', NULL);
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (112, '短信模板的类型', 'system_sms_template_type', 0, NULL, '1', '2021-04-05 21:50:43', '1',
        '2022-02-01 16:35:06', b'0', NULL);
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (113, '短信发送状态', 'system_sms_send_status', 0, NULL, '1', '2021-04-11 20:18:03', '1', '2022-02-01 16:35:09',
        b'0', NULL);
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (114, '短信接收状态', 'system_sms_receive_status', 0, NULL, '1', '2021-04-11 20:27:14', '1',
        '2022-02-01 16:35:14', b'0', NULL);
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (115, '错误码的类型', 'system_error_code_type', 0, NULL, '1', '2021-04-21 00:06:30', '1', '2022-02-01 16:36:49',
        b'0', NULL);
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (116, '登陆日志的类型', 'system_login_type', 0, '登陆日志的类型', '1', '2021-10-06 00:50:46', '1',
        '2022-02-01 16:35:56', b'0', NULL);
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (117, 'OA 请假类型', 'bpm_oa_leave_type', 0, NULL, '1', '2021-09-21 22:34:33', '1', '2022-01-22 10:41:37', b'0',
        NULL);
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (122, '支付渠道微信版本', 'pay_channel_wechat_version', 0, '支付渠道微信版本', '1', '2021-11-08 17:00:26', '1',
        '2021-11-08 17:00:26', b'0', NULL);
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (127, '支付渠道支付宝算法类型', 'pay_channel_alipay_sign_type', 0, '支付渠道支付宝算法类型', '1',
        '2021-11-18 15:39:09', '1', '2021-11-18 15:39:09', b'0', NULL);
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (128, '支付渠道支付宝公钥类型', 'pay_channel_alipay_mode', 0, '支付渠道支付宝公钥类型', '1',
        '2021-11-18 15:44:28', '1', '2021-11-18 15:44:28', b'0', NULL);
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (129, '支付宝网关地址', 'pay_channel_alipay_server_type', 0, '支付宝网关地址', '1', '2021-11-18 16:58:55', '1',
        '2021-11-18 17:01:34', b'0', NULL);
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (130, '支付渠道编码类型', 'pay_channel_code_type', 0, '支付渠道的编码', '1', '2021-12-03 10:35:08', '1',
        '2021-12-03 10:35:08', b'0', NULL);
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (131, '支付订单回调状态', 'pay_order_notify_status', 0, '支付订单回调状态', '1', '2021-12-03 10:53:29', '1',
        '2021-12-03 10:53:29', b'0', NULL);
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (132, '支付订单状态', 'pay_order_status', 0, '支付订单状态', '1', '2021-12-03 11:17:50', '1',
        '2021-12-03 11:17:50', b'0', NULL);
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (133, '支付订单退款状态', 'pay_order_refund_status', 0, '支付订单退款状态', '1', '2021-12-03 11:27:31', '1',
        '2021-12-03 11:27:31', b'0', NULL);
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (134, '退款订单状态', 'pay_refund_order_status', 0, '退款订单状态', '1', '2021-12-10 16:42:50', '1',
        '2021-12-10 16:42:50', b'0', NULL);
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (135, '退款订单类别', 'pay_refund_order_type', 0, '退款订单类别', '1', '2021-12-10 17:14:53', '1',
        '2021-12-10 17:14:53', b'0', NULL);
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (138, '流程分类', 'bpm_model_category', 0, '流程分类', '1', '2022-01-02 08:40:45', '1', '2022-01-02 08:40:45',
        b'0', NULL);
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (139, '流程实例的状态', 'bpm_process_instance_status', 0, '流程实例的状态', '1', '2022-01-07 23:46:42', '1',
        '2022-01-07 23:46:42', b'0', NULL);
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (140, '流程实例的结果', 'bpm_process_instance_result', 0, '流程实例的结果', '1', '2022-01-07 23:48:10', '1',
        '2022-01-07 23:48:10', b'0', NULL);
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (141, '流程的表单类型', 'bpm_model_form_type', 0, '流程的表单类型', '103', '2022-01-11 23:50:45', '103',
        '2022-01-11 23:50:45', b'0', NULL);
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (142, '任务分配规则的类型', 'bpm_task_assign_rule_type', 0, '任务分配规则的类型', '103', '2022-01-12 23:21:04',
        '103', '2022-01-12 15:46:10', b'0', NULL);
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (143, '任务分配自定义脚本', 'bpm_task_assign_script', 0, '任务分配自定义脚本', '103', '2022-01-15 00:10:35',
        '103', '2022-01-15 00:10:35', b'0', NULL);
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (144, '代码生成的场景枚举', 'infra_codegen_scene', 0, '代码生成的场景枚举', '1', '2022-02-02 13:14:45', '1',
        '2022-03-10 16:33:46', b'0', NULL);
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (145, '角色类型', 'system_role_type', 0, '角色类型', '1', '2022-02-16 13:01:46', '1', '2022-02-16 13:01:46',
        b'0', NULL);
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (146, '文件存储器', 'infra_file_storage', 0, '文件存储器', '1', '2022-03-15 00:24:38', '1',
        '2022-03-15 00:24:38', b'0', NULL);
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (147, 'OAuth 2.0 授权类型', 'system_oauth2_grant_type', 0, 'OAuth 2.0 授权类型（模式）', '1',
        '2022-05-12 00:20:52', '1', '2022-05-11 16:25:49', b'0', NULL);
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (149, '商品 SPU 状态', 'product_spu_status', 0, '商品 SPU 状态', '1', '2022-10-24 21:19:04', '1',
        '2022-10-24 21:19:08', b'0', NULL);
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (150, '优惠类型', 'promotion_discount_type', 0, '优惠类型', '1', '2022-11-01 12:46:06', '1',
        '2022-11-01 12:46:06', b'0', NULL);
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (151, '优惠劵模板的有限期类型', 'promotion_coupon_template_validity_type', 0, '优惠劵模板的有限期类型', '1',
        '2022-11-02 00:06:20', '1', '2022-11-04 00:08:26', b'0', NULL);
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (152, '营销的商品范围', 'promotion_product_scope', 0, '营销的商品范围', '1', '2022-11-02 00:28:01', '1',
        '2022-11-02 00:28:01', b'0', NULL);
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (153, '优惠劵的状态', 'promotion_coupon_status', 0, '优惠劵的状态', '1', '2022-11-04 00:14:49', '1',
        '2022-11-04 00:14:49', b'0', NULL);
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (154, '优惠劵的领取方式', 'promotion_coupon_take_type', 0, '优惠劵的领取方式', '1', '2022-11-04 19:12:27', '1',
        '2022-11-04 19:12:27', b'0', NULL);
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (155, '促销活动的状态', 'promotion_activity_status', 0, '促销活动的状态', '1', '2022-11-04 22:54:23', '1',
        '2022-11-04 22:54:23', b'0', NULL);
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (156, '营销的条件类型', 'promotion_condition_type', 0, '营销的条件类型', '1', '2022-11-04 22:59:23', '1',
        '2022-11-04 22:59:23', b'0', NULL);
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (157, '交易售后状态', 'trade_after_sale_status', 0, '交易售后状态', '1', '2022-11-19 20:52:56', '1',
        '2022-11-19 20:52:56', b'0', NULL);
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (158, '交易售后的类型', 'trade_after_sale_type', 0, '交易售后的类型', '1', '2022-11-19 21:04:09', '1',
        '2022-11-19 21:04:09', b'0', NULL);
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (159, '交易售后的方式', 'trade_after_sale_way', 0, '交易售后的方式', '1', '2022-11-19 21:39:04', '1',
        '2022-11-19 21:39:04', b'0', NULL);
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (160, '终端', 'terminal', 0, '终端', '1', '2022-12-10 10:50:50', '1', '2022-12-10 10:53:11', b'0', NULL);
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (161, '交易订单的类型', 'trade_order_type', 0, '交易订单的类型', '1', '2022-12-10 16:33:54', '1',
        '2022-12-10 16:33:54', b'0', NULL);
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (162, '交易订单的状态', 'trade_order_status', 0, '交易订单的状态', '1', '2022-12-10 16:48:44', '1',
        '2022-12-10 16:48:44', b'0', NULL);
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (163, '交易订单项的售后状态', 'trade_order_item_after_sale_status', 0, '交易订单项的售后状态', '1',
        '2022-12-10 20:58:08', '1', '2022-12-10 20:58:08', b'0', NULL);
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (164, '公众号自动回复的请求关键字匹配模式', 'mp_auto_reply_request_match', 0,
        '公众号自动回复的请求关键字匹配模式', '1', '2023-01-16 23:29:56', '1', '2023-01-16 23:29:56', b'0',
        '1970-01-01 00:00:00');
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (165, '公众号的消息类型', 'mp_message_type', 0, '公众号的消息类型', '1', '2023-01-17 22:17:09', '1',
        '2023-01-17 22:17:09', b'0', '1970-01-01 00:00:00');
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (166, '邮件发送状态', 'system_mail_send_status', 0, '邮件发送状态', '1', '2023-01-26 09:53:13', '1',
        '2023-01-26 09:53:13', b'0', '1970-01-01 00:00:00');
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (167, '站内信模版的类型', 'system_notify_template_type', 0, '站内信模版的类型', '1', '2023-01-28 10:35:10', '1',
        '2023-01-28 10:35:10', b'0', '1970-01-01 00:00:00');
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (168, '代码生成的前端类型', 'infra_codegen_front_type', 0, '', '1', '2023-04-12 23:57:52', '1',
        '2023-04-12 23:57:52', b'0', '1970-01-01 00:00:00');
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (169, '用户默认头像', 'user_default_type', 0, '用户默认头像', '1', '2023-11-08 16:02:13', '1',
        '2023-11-08 16:02:13', b'0', '1970-01-01 00:00:00');
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (170, '用户协议', 'user_agreement', 0,
        '本协议（以下简称“协议”）是您（以下简称“用户”）与我们（以下简称“公司”）之间关于使用公司提供的服务（以下简称“服务”）的法律协议。请在使用服务之前仔细阅读本协议。使用服务即表示您同意遵守本协议的条款和条件。',
        '1', '2023-11-08 17:25:43', '1', '2023-11-08 17:52:17', b'1', '2023-11-08 17:52:17');
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (171, '隐私协议', 'privacy_agreement', 0,
        '隐私协议\n\n我们（以下简称“公司”）深知个人隐私的重要性，因此我们制定了本隐私协议（以下简称“协议”），以明确我们在处理您的个人信息时的权利和责任。请仔细阅读本协议，以了解我们的隐私实践。\n\n1. 信息收集\n\n我们可能会收集您的个人信息，包括但不限于姓名、电子邮件地址、手机号码、位置信息等。我们主要通过您使用我们的服务、参加我们的活动、与我们进行沟通等方式收集这些信息。\n\n2. 信息使用\n\n我们使用您的个人信息主要是为了提供、改进和优化我们的服务，包括但不限于向您发送服务通知、推广信息、进行市场调研等。我们也可能将您的个人信息用于我们内部的数据分析，以更好地理解您的需求和偏好，从而为您提供更个性化的服务。',
        '1', '2023-11-08 17:31:27', '1', '2023-11-08 17:52:13', b'1', '2023-11-08 17:52:14');
INSERT INTO `system_dict_type` (`id`, `name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`,
                                `update_time`, `deleted`, `deleted_time`)
VALUES (172, '协议', 'agreement', 0, '', '1', '2023-11-08 17:52:39', '1', '2023-11-08 17:52:39', b'0',
        '1970-01-01 00:00:00');
COMMIT;

-- ----------------------------
-- Table structure for system_error_code
-- ----------------------------
DROP TABLE IF EXISTS `system_error_code`;
CREATE TABLE `system_error_code`
(
    `id`               bigint(20) NOT NULL AUTO_INCREMENT COMMENT '错误码编号',
    `type`             tinyint(4) NOT NULL DEFAULT '0' COMMENT '错误码类型',
    `application_name` varchar(50) COLLATE utf8mb4_unicode_ci  NOT NULL COMMENT '应用名',
    `code`             int(11) NOT NULL DEFAULT '0' COMMENT '错误码编码',
    `message`          varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '错误码错误提示',
    `memo`             varchar(512) COLLATE utf8mb4_unicode_ci          DEFAULT '' COMMENT '备注',
    `creator`          varchar(64) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '创建者',
    `create_time`      datetime                                NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater`          varchar(64) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '更新者',
    `update_time`      datetime                                NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted`          bit(1)                                  NOT NULL DEFAULT b'0' COMMENT '是否删除',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=5832 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='错误码表';

-- ----------------------------
-- Records of system_error_code
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for system_login_log
-- ----------------------------
DROP TABLE IF EXISTS `system_login_log`;
CREATE TABLE `system_login_log`
(
    `id`          bigint(20) NOT NULL AUTO_INCREMENT COMMENT '访问ID',
    `log_type`    bigint(20) NOT NULL COMMENT '日志类型',
    `trace_id`    varchar(64) COLLATE utf8mb4_unicode_ci  NOT NULL DEFAULT '' COMMENT '链路追踪编号',
    `user_id`     bigint(20) NOT NULL DEFAULT '0' COMMENT '用户编号',
    `user_type`   tinyint(4) NOT NULL DEFAULT '0' COMMENT '用户类型',
    `username`    varchar(50) COLLATE utf8mb4_unicode_ci  NOT NULL DEFAULT '' COMMENT '用户账号',
    `result`      tinyint(4) NOT NULL COMMENT '登陆结果',
    `user_ip`     varchar(50) COLLATE utf8mb4_unicode_ci  NOT NULL COMMENT '用户 IP',
    `user_agent`  varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '浏览器 UA',
    `creator`     varchar(64) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '创建者',
    `create_time` datetime                                NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater`     varchar(64) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '更新者',
    `update_time` datetime                                NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted`     bit(1)                                  NOT NULL DEFAULT b'0' COMMENT '是否删除',
    `tenant_id`   bigint(20) NOT NULL DEFAULT '0' COMMENT '租户编号',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=2916 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='系统访问记录';

-- ----------------------------
-- Records of system_login_log
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for system_mail_account
-- ----------------------------
DROP TABLE IF EXISTS `system_mail_account`;
CREATE TABLE `system_mail_account`
(
    `id`          bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
    `mail`        varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '邮箱',
    `username`    varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '用户名',
    `password`    varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '密码',
    `host`        varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'SMTP 服务器域名',
    `port`        int(11) NOT NULL COMMENT 'SMTP 服务器端口',
    `ssl_enable`  bit(1)                                  NOT NULL DEFAULT b'0' COMMENT '是否开启 SSL',
    `creator`     varchar(64) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '创建者',
    `create_time` datetime                                NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater`     varchar(64) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '更新者',
    `update_time` datetime                                NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted`     bit(1)                                  NOT NULL DEFAULT b'0' COMMENT '是否删除',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='邮箱账号表';

-- ----------------------------
-- Records of system_mail_account
-- ----------------------------
BEGIN;
INSERT INTO `system_mail_account` (`id`, `mail`, `username`, `password`, `host`, `port`, `ssl_enable`, `creator`,
                                   `create_time`, `updater`, `update_time`, `deleted`)
VALUES (1, '7684413@qq.com', '7684413@qq.com', '123457', '127.0.0.1', 8080, b'0', '1', '2023-01-25 17:39:52', '1',
        '2023-04-12 23:04:49', b'0');
INSERT INTO `system_mail_account` (`id`, `mail`, `username`, `password`, `host`, `port`, `ssl_enable`, `creator`,
                                   `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2, 'ydym_test@163.com', 'ydym_test@163.com', 'WBZTEINMIFVRYSOE', 'smtp.163.com', 465, b'1', '1',
        '2023-01-26 01:26:03', '1', '2023-04-12 22:39:38', b'0');
INSERT INTO `system_mail_account` (`id`, `mail`, `username`, `password`, `host`, `port`, `ssl_enable`, `creator`,
                                   `create_time`, `updater`, `update_time`, `deleted`)
VALUES (3, '76854114@qq.com', '3335', '11234', 'yunai1.cn', 466, b'0', '1', '2023-01-27 15:06:38', '1',
        '2023-01-27 07:08:36', b'1');
INSERT INTO `system_mail_account` (`id`, `mail`, `username`, `password`, `host`, `port`, `ssl_enable`, `creator`,
                                   `create_time`, `updater`, `update_time`, `deleted`)
VALUES (4, '7685413x@qq.com', '2', '3', '4', 5, b'1', '1', '2023-04-12 23:05:06', '1', '2023-04-12 15:05:11', b'1');
COMMIT;

-- ----------------------------
-- Table structure for system_mail_log
-- ----------------------------
DROP TABLE IF EXISTS `system_mail_log`;
CREATE TABLE `system_mail_log`
(
    `id`                bigint(20) NOT NULL AUTO_INCREMENT COMMENT '编号',
    `user_id`           bigint(20) DEFAULT NULL COMMENT '用户编号',
    `user_type`         tinyint(4) DEFAULT NULL COMMENT '用户类型',
    `to_mail`           varchar(255) COLLATE utf8mb4_unicode_ci   NOT NULL COMMENT '接收邮箱地址',
    `account_id`        bigint(20) NOT NULL COMMENT '邮箱账号编号',
    `from_mail`         varchar(255) COLLATE utf8mb4_unicode_ci   NOT NULL COMMENT '发送邮箱地址',
    `template_id`       bigint(20) NOT NULL COMMENT '模板编号',
    `template_code`     varchar(63) COLLATE utf8mb4_unicode_ci    NOT NULL COMMENT '模板编码',
    `template_nickname` varchar(255) COLLATE utf8mb4_unicode_ci            DEFAULT NULL COMMENT '模版发送人名称',
    `template_title`    varchar(255) COLLATE utf8mb4_unicode_ci   NOT NULL COMMENT '邮件标题',
    `template_content`  varchar(10240) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '邮件内容',
    `template_params`   varchar(255) COLLATE utf8mb4_unicode_ci   NOT NULL COMMENT '邮件参数',
    `send_status`       tinyint(4) NOT NULL DEFAULT '0' COMMENT '发送状态',
    `send_time`         datetime                                           DEFAULT NULL COMMENT '发送时间',
    `send_message_id`   varchar(255) COLLATE utf8mb4_unicode_ci            DEFAULT NULL COMMENT '发送返回的消息 ID',
    `send_exception`    varchar(4096) COLLATE utf8mb4_unicode_ci           DEFAULT NULL COMMENT '发送异常',
    `creator`           varchar(64) COLLATE utf8mb4_unicode_ci             DEFAULT '' COMMENT '创建者',
    `create_time`       datetime                                  NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater`           varchar(64) COLLATE utf8mb4_unicode_ci             DEFAULT '' COMMENT '更新者',
    `update_time`       datetime                                  NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted`           bit(1)                                    NOT NULL DEFAULT b'0' COMMENT '是否删除',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=354 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='邮件日志表';

-- ----------------------------
-- Records of system_mail_log
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for system_mail_template
-- ----------------------------
DROP TABLE IF EXISTS `system_mail_template`;
CREATE TABLE `system_mail_template`
(
    `id`          bigint(20) NOT NULL AUTO_INCREMENT COMMENT '编号',
    `name`        varchar(63) COLLATE utf8mb4_unicode_ci    NOT NULL COMMENT '模板名称',
    `code`        varchar(63) COLLATE utf8mb4_unicode_ci    NOT NULL COMMENT '模板编码',
    `account_id`  bigint(20) NOT NULL COMMENT '发送的邮箱账号编号',
    `nickname`    varchar(255) COLLATE utf8mb4_unicode_ci            DEFAULT NULL COMMENT '发送人名称',
    `title`       varchar(255) COLLATE utf8mb4_unicode_ci   NOT NULL COMMENT '模板标题',
    `content`     varchar(10240) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '模板内容',
    `params`      varchar(255) COLLATE utf8mb4_unicode_ci   NOT NULL COMMENT '参数数组',
    `status`      tinyint(4) NOT NULL COMMENT '开启状态',
    `remark`      varchar(255) COLLATE utf8mb4_unicode_ci            DEFAULT NULL COMMENT '备注',
    `creator`     varchar(64) COLLATE utf8mb4_unicode_ci             DEFAULT '' COMMENT '创建者',
    `create_time` datetime                                  NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater`     varchar(64) COLLATE utf8mb4_unicode_ci             DEFAULT '' COMMENT '更新者',
    `update_time` datetime                                  NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted`     bit(1)                                    NOT NULL DEFAULT b'0' COMMENT '是否删除',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=16 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='邮件模版表';

-- ----------------------------
-- Records of system_mail_template
-- ----------------------------
BEGIN;
INSERT INTO `system_mail_template` (`id`, `name`, `code`, `account_id`, `nickname`, `title`, `content`, `params`,
                                    `status`, `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (13, '后台用户短信登录', 'admin-sms-login', 1, '奥特曼', '你猜我猜', '<p>您的验证码是{code}，名字是{name}</p>',
        '[\"code\",\"name\"]', 0, '3', '1', '2021-10-11 08:10:00', '1', '2023-01-26 23:22:05', b'0');
INSERT INTO `system_mail_template` (`id`, `name`, `code`, `account_id`, `nickname`, `title`, `content`, `params`,
                                    `status`, `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (14, '测试模版', 'test_01', 2, '芋艿', '一个标题',
        '<p>你是 {key01} 吗？</p><p><br></p><p>是的话，赶紧 {key02} 一下！</p>', '[\"key01\",\"key02\"]', 0, NULL, '1',
        '2023-01-26 01:27:40', '1', '2023-01-27 10:32:16', b'0');
INSERT INTO `system_mail_template` (`id`, `name`, `code`, `account_id`, `nickname`, `title`, `content`, `params`,
                                    `status`, `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (15, '3', '2', 2, '7', '4', '<p>45</p>', '[]', 1, '80', '1', '2023-01-27 15:50:35', '1', '2023-01-27 16:34:49',
        b'0');
COMMIT;

-- ----------------------------
-- Table structure for system_menu
-- ----------------------------
DROP TABLE IF EXISTS `system_menu`;
CREATE TABLE `system_menu`
(
    `id`             bigint(20) NOT NULL AUTO_INCREMENT COMMENT '菜单ID',
    `name`           varchar(50) COLLATE utf8mb4_unicode_ci  NOT NULL COMMENT '菜单名称',
    `permission`     varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '权限标识',
    `type`           tinyint(4) NOT NULL COMMENT '菜单类型',
    `sort`           int(11) NOT NULL DEFAULT '0' COMMENT '显示顺序',
    `parent_id`      bigint(20) NOT NULL DEFAULT '0' COMMENT '父菜单ID',
    `path`           varchar(200) COLLATE utf8mb4_unicode_ci          DEFAULT '' COMMENT '路由地址',
    `icon`           varchar(100) COLLATE utf8mb4_unicode_ci          DEFAULT '#' COMMENT '菜单图标',
    `component`      varchar(255) COLLATE utf8mb4_unicode_ci          DEFAULT NULL COMMENT '组件路径',
    `component_name` varchar(255) COLLATE utf8mb4_unicode_ci          DEFAULT NULL COMMENT '组件名',
    `status`         tinyint(4) NOT NULL DEFAULT '0' COMMENT '菜单状态',
    `visible`        bit(1)                                  NOT NULL DEFAULT b'1' COMMENT '是否可见',
    `keep_alive`     bit(1)                                  NOT NULL DEFAULT b'1' COMMENT '是否缓存',
    `always_show`    bit(1)                                  NOT NULL DEFAULT b'1' COMMENT '是否总是显示',
    `creator`        varchar(64) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '创建者',
    `create_time`    datetime                                NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater`        varchar(64) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '更新者',
    `update_time`    datetime                                NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted`        bit(1)                                  NOT NULL DEFAULT b'0' COMMENT '是否删除',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=2286 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='菜单权限表';

-- ----------------------------
-- Records of system_menu
-- ----------------------------
BEGIN;
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1, '系统管理', '', 1, 300, 0, '/system', 'system', NULL, NULL, 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '1', '2023-05-17 10:32:57', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2, '基础设施', '', 1, 200, 0, '/infra', 'monitor', NULL, NULL, 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '1', '2023-05-17 10:33:07', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (5, 'OA 示例', '', 1, 40, 1185, 'oa', 'people', NULL, NULL, 0, b'1', b'1', b'1', 'admin', '2021-09-20 16:26:19',
        '1', '2023-05-10 09:47:14', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (100, '用户管理', 'system:user:list', 2, 1, 1, 'user', 'user', 'system/user/index', 'SystemUser', 0, b'1', b'1',
        b'1', 'admin', '2021-01-05 17:03:48', '1', '2023-04-08 08:31:59', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (101, '角色管理', '', 2, 2, 1, 'role', 'peoples', 'system/role/index', 'SystemRole', 0, b'1', b'1', b'1',
        'admin', '2021-01-05 17:03:48', '1', '2023-04-08 08:33:59', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (102, '菜单管理', '', 2, 3, 1, 'menu', 'tree-table', 'system/menu/index', 'SystemMenu', 0, b'1', b'1', b'1',
        'admin', '2021-01-05 17:03:48', '1', '2023-04-08 08:34:32', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (103, '部门管理', '', 2, 4, 1, 'dept', 'tree', 'system/dept/index', 'SystemDept', 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '1', '2023-04-08 08:35:32', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (104, '岗位管理', '', 2, 5, 1, 'post', 'post', 'system/post/index', 'SystemPost', 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '1', '2023-04-08 08:36:21', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (105, '字典管理', '', 2, 6, 1, 'dict', 'dict', 'system/dict/index', 'SystemDictType', 0, b'1', b'1', b'1',
        'admin', '2021-01-05 17:03:48', '1', '2023-04-08 08:36:45', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (106, '配置管理', '', 2, 6, 2, 'config', 'edit', 'infra/config/index', 'InfraConfig', 0, b'1', b'1', b'1',
        'admin', '2021-01-05 17:03:48', '1', '2023-04-08 10:31:17', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (107, '通知公告', '', 2, 8, 1, 'notice', 'message', 'system/notice/index', 'SystemNotice', 0, b'1', b'1', b'1',
        'admin', '2021-01-05 17:03:48', '1', '2023-04-08 08:45:06', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (108, '审计日志', '', 1, 9, 1, 'log', 'log', '', NULL, 0, b'1', b'1', b'1', 'admin', '2021-01-05 17:03:48', '1',
        '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (109, '令牌管理', '', 2, 2, 1261, 'token', 'online', 'system/oauth2/token/index', 'SystemTokenClient', 0, b'1',
        b'1', b'1', 'admin', '2021-01-05 17:03:48', '1', '2023-04-08 08:47:41', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (110, '定时任务', '', 2, 12, 2, 'job', 'job', 'infra/job/index', 'InfraJob', 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '1', '2023-04-08 10:36:49', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (111, 'MySQL 监控', '', 2, 9, 2, 'druid', 'druid', 'infra/druid/index', 'InfraDruid', 0, b'1', b'1', b'1',
        'admin', '2021-01-05 17:03:48', '1', '2023-04-08 09:09:30', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (112, 'Java 监控', '', 2, 11, 2, 'admin-server', 'server', 'infra/server/index', 'InfraAdminServer', 0, b'1',
        b'1', b'1', 'admin', '2021-01-05 17:03:48', '1', '2023-04-08 10:34:08', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (113, 'Redis 监控', '', 2, 10, 2, 'redis', 'redis', 'infra/redis/index', 'InfraRedis', 0, b'1', b'1', b'1',
        'admin', '2021-01-05 17:03:48', '1', '2023-04-08 10:33:30', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (114, '表单构建', 'infra:build:list', 2, 2, 2, 'build', 'build', 'infra/build/index', 'InfraBuild', 0, b'1',
        b'1', b'1', 'admin', '2021-01-05 17:03:48', '1', '2023-04-08 09:06:12', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (115, '代码生成', 'infra:codegen:query', 2, 1, 2, 'codegen', 'code', 'infra/codegen/index', 'InfraCodegen', 0,
        b'1', b'1', b'1', 'admin', '2021-01-05 17:03:48', '1', '2023-04-08 09:02:24', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (116, '系统接口', 'infra:swagger:list', 2, 3, 2, 'swagger', 'swagger', 'infra/swagger/index', 'InfraSwagger', 0,
        b'1', b'1', b'1', 'admin', '2021-01-05 17:03:48', '1', '2023-04-08 09:11:28', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (500, '操作日志', '', 2, 1, 108, 'operate-log', 'form', 'system/operatelog/index', 'SystemOperateLog', 0, b'1',
        b'1', b'1', 'admin', '2021-01-05 17:03:48', '1', '2023-04-08 08:47:00', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (501, '登录日志', '', 2, 2, 108, 'login-log', 'logininfor', 'system/loginlog/index', 'SystemLoginLog', 0, b'1',
        b'1', b'1', 'admin', '2021-01-05 17:03:48', '1', '2023-04-08 08:46:18', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1001, '用户查询', 'system:user:query', 3, 1, 100, '', '#', '', NULL, 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1002, '用户新增', 'system:user:create', 3, 2, 100, '', '', '', NULL, 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '1', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1003, '用户修改', 'system:user:update', 3, 3, 100, '', '', '', NULL, 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '1', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1004, '用户删除', 'system:user:delete', 3, 4, 100, '', '', '', NULL, 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '1', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1005, '用户导出', 'system:user:export', 3, 5, 100, '', '#', '', NULL, 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1006, '用户导入', 'system:user:import', 3, 6, 100, '', '#', '', NULL, 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1007, '重置密码', 'system:user:update-password', 3, 7, 100, '', '', '', NULL, 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '1', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1008, '角色查询', 'system:role:query', 3, 1, 101, '', '#', '', NULL, 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1009, '角色新增', 'system:role:create', 3, 2, 101, '', '', '', NULL, 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '1', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1010, '角色修改', 'system:role:update', 3, 3, 101, '', '', '', NULL, 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '1', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1011, '角色删除', 'system:role:delete', 3, 4, 101, '', '', '', NULL, 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '1', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1012, '角色导出', 'system:role:export', 3, 5, 101, '', '#', '', NULL, 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1013, '菜单查询', 'system:menu:query', 3, 1, 102, '', '#', '', NULL, 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1014, '菜单新增', 'system:menu:create', 3, 2, 102, '', '#', '', NULL, 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1015, '菜单修改', 'system:menu:update', 3, 3, 102, '', '#', '', NULL, 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1016, '菜单删除', 'system:menu:delete', 3, 4, 102, '', '#', '', NULL, 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1017, '部门查询', 'system:dept:query', 3, 1, 103, '', '#', '', NULL, 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1018, '部门新增', 'system:dept:create', 3, 2, 103, '', '', '', NULL, 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '1', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1019, '部门修改', 'system:dept:update', 3, 3, 103, '', '', '', NULL, 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '1', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1020, '部门删除', 'system:dept:delete', 3, 4, 103, '', '', '', NULL, 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '1', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1021, '岗位查询', 'system:post:query', 3, 1, 104, '', '#', '', NULL, 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1022, '岗位新增', 'system:post:create', 3, 2, 104, '', '', '', NULL, 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '1', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1023, '岗位修改', 'system:post:update', 3, 3, 104, '', '', '', NULL, 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '1', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1024, '岗位删除', 'system:post:delete', 3, 4, 104, '', '', '', NULL, 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '1', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1025, '岗位导出', 'system:post:export', 3, 5, 104, '', '#', '', NULL, 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1026, '字典查询', 'system:dict:query', 3, 1, 105, '#', '#', '', NULL, 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1027, '字典新增', 'system:dict:create', 3, 2, 105, '', '', '', NULL, 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '1', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1028, '字典修改', 'system:dict:update', 3, 3, 105, '', '', '', NULL, 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '1', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1029, '字典删除', 'system:dict:delete', 3, 4, 105, '', '', '', NULL, 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '1', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1030, '字典导出', 'system:dict:export', 3, 5, 105, '#', '#', '', NULL, 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1031, '配置查询', 'infra:config:query', 3, 1, 106, '', '', '', NULL, 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1032, '配置新增', 'infra:config:create', 3, 2, 106, '', '', '', NULL, 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '1', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1033, '配置修改', 'infra:config:update', 3, 3, 106, '', '', '', NULL, 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '1', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1034, '配置删除', 'infra:config:delete', 3, 4, 106, '', '', '', NULL, 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '1', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1035, '配置导出', 'infra:config:export', 3, 5, 106, '', '', '', NULL, 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1036, '公告查询', 'system:notice:query', 3, 1, 107, '#', '#', '', NULL, 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1037, '公告新增', 'system:notice:create', 3, 2, 107, '', '', '', NULL, 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '1', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1038, '公告修改', 'system:notice:update', 3, 3, 107, '', '', '', NULL, 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '1', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1039, '公告删除', 'system:notice:delete', 3, 4, 107, '', '', '', NULL, 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '1', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1040, '操作查询', 'system:operate-log:query', 3, 1, 500, '', '', '', NULL, 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1042, '日志导出', 'system:operate-log:export', 3, 2, 500, '', '', '', NULL, 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1043, '登录查询', 'system:login-log:query', 3, 1, 501, '#', '#', '', NULL, 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1045, '日志导出', 'system:login-log:export', 3, 3, 501, '#', '#', '', NULL, 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1046, '令牌列表', 'system:oauth2-token:page', 3, 1, 109, '', '', '', NULL, 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '1', '2022-05-09 23:54:42', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1048, '令牌删除', 'system:oauth2-token:delete', 3, 2, 109, '', '', '', NULL, 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '1', '2022-05-09 23:54:53', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1050, '任务新增', 'infra:job:create', 3, 2, 110, '', '', '', NULL, 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1051, '任务修改', 'infra:job:update', 3, 3, 110, '', '', '', NULL, 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1052, '任务删除', 'infra:job:delete', 3, 4, 110, '', '', '', NULL, 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1053, '状态修改', 'infra:job:update', 3, 5, 110, '', '', '', NULL, 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1054, '任务导出', 'infra:job:export', 3, 7, 110, '', '', '', NULL, 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1056, '生成修改', 'infra:codegen:update', 3, 2, 115, '', '', '', NULL, 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '1', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1057, '生成删除', 'infra:codegen:delete', 3, 3, 115, '', '', '', NULL, 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '1', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1058, '导入代码', 'infra:codegen:create', 3, 2, 115, '', '', '', NULL, 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '1', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1059, '预览代码', 'infra:codegen:preview', 3, 4, 115, '', '', '', NULL, 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '1', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1060, '生成代码', 'infra:codegen:download', 3, 5, 115, '', '', '', NULL, 0, b'1', b'1', b'1', 'admin',
        '2021-01-05 17:03:48', '1', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1063, '设置角色菜单权限', 'system:permission:assign-role-menu', 3, 6, 101, '', '', '', NULL, 0, b'1', b'1',
        b'1', '', '2021-01-06 17:53:44', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1064, '设置角色数据权限', 'system:permission:assign-role-data-scope', 3, 7, 101, '', '', '', NULL, 0, b'1',
        b'1', b'1', '', '2021-01-06 17:56:31', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1065, '设置用户角色', 'system:permission:assign-user-role', 3, 8, 101, '', '', '', NULL, 0, b'1', b'1', b'1',
        '', '2021-01-07 10:23:28', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1066, '获得 Redis 监控信息', 'infra:redis:get-monitor-info', 3, 1, 113, '', '', '', NULL, 0, b'1', b'1', b'1',
        '', '2021-01-26 01:02:31', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1067, '获得 Redis Key 列表', 'infra:redis:get-key-list', 3, 2, 113, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-01-26 01:02:52', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1070, '代码生成示例', 'infra:test-demo:query', 2, 1, 2, 'test-demo', 'validCode', 'infra/testDemo/index', NULL,
        0, b'1', b'1', b'1', '', '2021-02-06 12:42:49', '1', '2023-05-17 10:35:45', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1071, '测试示例表创建', 'infra:test-demo:create', 3, 1, 1070, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-02-06 12:42:49', '1', '2023-05-17 10:35:27', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1072, '测试示例表更新', 'infra:test-demo:update', 3, 2, 1070, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-02-06 12:42:49', '1', '2023-05-17 10:35:32', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1073, '测试示例表删除', 'infra:test-demo:delete', 3, 3, 1070, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-02-06 12:42:49', '1', '2023-05-17 10:35:37', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1074, '测试示例表导出', 'infra:test-demo:export', 3, 4, 1070, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-02-06 12:42:49', '1', '2023-05-17 10:35:40', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1075, '任务触发', 'infra:job:trigger', 3, 8, 110, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-02-07 13:03:10', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1076, '数据库文档', '', 2, 4, 2, 'db-doc', 'table', 'infra/dbDoc/index', 'InfraDBDoc', 0, b'1', b'1', b'1', '',
        '2021-02-08 01:41:47', '1', '2023-04-08 09:13:38', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1077, '监控平台', '', 2, 13, 2, 'skywalking', 'eye-open', 'infra/skywalking/index', 'InfraSkyWalking', 0, b'1',
        b'1', b'1', '', '2021-02-08 20:41:31', '1', '2023-06-29 13:39:57', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1078, '访问日志', '', 2, 1, 1083, 'api-access-log', 'log', 'infra/apiAccessLog/index', 'InfraApiAccessLog', 0,
        b'1', b'1', b'1', '', '2021-02-26 01:32:59', '1', '2023-04-08 10:31:34', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1082, '日志导出', 'infra:api-access-log:export', 3, 2, 1078, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-02-26 01:32:59', '1', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1083, 'API 日志', '', 2, 8, 2, 'log', 'log', NULL, NULL, 0, b'1', b'1', b'1', '', '2021-02-26 02:18:24', '1',
        '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1084, '错误日志', 'infra:api-error-log:query', 2, 2, 1083, 'api-error-log', 'log', 'infra/apiErrorLog/index',
        'InfraApiErrorLog', 0, b'1', b'1', b'1', '', '2021-02-26 07:53:20', '1', '2023-04-08 10:32:25', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1085, '日志处理', 'infra:api-error-log:update-status', 3, 2, 1084, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-02-26 07:53:20', '1', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1086, '日志导出', 'infra:api-error-log:export', 3, 3, 1084, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-02-26 07:53:20', '1', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1087, '任务查询', 'infra:job:query', 3, 1, 110, '', '', '', NULL, 0, b'1', b'1', b'1', '1',
        '2021-03-10 01:26:19', '1', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1088, '日志查询', 'infra:api-access-log:query', 3, 1, 1078, '', '', '', NULL, 0, b'1', b'1', b'1', '1',
        '2021-03-10 01:28:04', '1', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1089, '日志查询', 'infra:api-error-log:query', 3, 1, 1084, '', '', '', NULL, 0, b'1', b'1', b'1', '1',
        '2021-03-10 01:29:09', '1', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1090, '文件列表', '', 2, 5, 1243, 'file', 'upload', 'infra/file/index', 'InfraFile', 0, b'1', b'1', b'1', '',
        '2021-03-12 20:16:20', '1', '2023-04-08 09:21:31', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1091, '文件查询', 'infra:file:query', 3, 1, 1090, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-03-12 20:16:20', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1092, '文件删除', 'infra:file:delete', 3, 4, 1090, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-03-12 20:16:20', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1093, '短信管理', '', 1, 11, 1, 'sms', 'validCode', NULL, NULL, 0, b'1', b'1', b'1', '1', '2021-04-05 01:10:16',
        '1', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1094, '短信渠道', '', 2, 0, 1093, 'sms-channel', 'phone', 'system/sms/channel/index', 'SystemSmsChannel', 0,
        b'1', b'1', b'1', '', '2021-04-01 11:07:15', '1', '2023-04-08 08:50:41', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1095, '短信渠道查询', 'system:sms-channel:query', 3, 1, 1094, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-04-01 11:07:15', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1096, '短信渠道创建', 'system:sms-channel:create', 3, 2, 1094, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-04-01 11:07:15', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1097, '短信渠道更新', 'system:sms-channel:update', 3, 3, 1094, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-04-01 11:07:15', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1098, '短信渠道删除', 'system:sms-channel:delete', 3, 4, 1094, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-04-01 11:07:15', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1100, '短信模板', '', 2, 1, 1093, 'sms-template', 'phone', 'system/sms/template/index', 'SystemSmsTemplate', 0,
        b'1', b'1', b'1', '', '2021-04-01 17:35:17', '1', '2023-04-08 08:50:50', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1101, '短信模板查询', 'system:sms-template:query', 3, 1, 1100, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-04-01 17:35:17', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1102, '短信模板创建', 'system:sms-template:create', 3, 2, 1100, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-04-01 17:35:17', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1103, '短信模板更新', 'system:sms-template:update', 3, 3, 1100, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-04-01 17:35:17', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1104, '短信模板删除', 'system:sms-template:delete', 3, 4, 1100, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-04-01 17:35:17', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1105, '短信模板导出', 'system:sms-template:export', 3, 5, 1100, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-04-01 17:35:17', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1106, '发送测试短信', 'system:sms-template:send-sms', 3, 6, 1100, '', '', '', NULL, 0, b'1', b'1', b'1', '1',
        '2021-04-11 00:26:40', '1', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1107, '短信日志', '', 2, 2, 1093, 'sms-log', 'phone', 'system/sms/log/index', 'SystemSmsLog', 0, b'1', b'1',
        b'1', '', '2021-04-11 08:37:05', '1', '2023-04-08 08:50:58', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1108, '短信日志查询', 'system:sms-log:query', 3, 1, 1107, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-04-11 08:37:05', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1109, '短信日志导出', 'system:sms-log:export', 3, 5, 1107, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-04-11 08:37:05', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1110, '错误码管理', '', 2, 12, 1, 'error-code', 'code', 'system/errorCode/index', 'SystemErrorCode', 0, b'1',
        b'1', b'1', '', '2021-04-13 21:46:42', '1', '2023-04-08 09:01:15', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1111, '错误码查询', 'system:error-code:query', 3, 1, 1110, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-04-13 21:46:42', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1112, '错误码创建', 'system:error-code:create', 3, 2, 1110, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-04-13 21:46:42', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1113, '错误码更新', 'system:error-code:update', 3, 3, 1110, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-04-13 21:46:42', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1114, '错误码删除', 'system:error-code:delete', 3, 4, 1110, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-04-13 21:46:42', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1115, '错误码导出', 'system:error-code:export', 3, 5, 1110, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-04-13 21:46:42', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1117, '支付管理', '', 1, 90, 0, '/pay', 'money', NULL, NULL, 0, b'1', b'1', b'1', '1', '2021-12-25 16:43:41',
        '1', '2023-05-17 10:33:35', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1118, '请假查询', '', 2, 0, 5, 'leave', 'user', 'bpm/oa/leave/index', 'BpmOALeave', 0, b'1', b'1', b'1', '',
        '2021-09-20 08:51:03', '1', '2023-05-10 09:47:07', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1119, '请假申请查询', 'bpm:oa-leave:query', 3, 1, 1118, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-09-20 08:51:03', '1', '2023-05-10 09:46:52', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1120, '请假申请创建', 'bpm:oa-leave:create', 3, 2, 1118, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-09-20 08:51:03', '1', '2023-05-10 09:46:58', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1126, '应用信息', '', 2, 1, 1117, 'app', 'table', 'pay/app/index', 'PayMerchant', 0, b'1', b'1', b'1', '',
        '2021-11-10 01:13:30', '1', '2023-07-14 15:12:54', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1127, '支付应用信息查询', 'pay:app:query', 3, 1, 1126, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-11-10 01:13:31', '', '2023-07-14 15:10:58', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1128, '支付应用信息创建', 'pay:app:create', 3, 2, 1126, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-11-10 01:13:31', '', '2023-07-14 15:11:02', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1129, '支付应用信息更新', 'pay:app:update', 3, 3, 1126, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-11-10 01:13:31', '', '2023-07-14 15:12:39', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1130, '支付应用信息删除', 'pay:app:delete', 3, 4, 1126, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-11-10 01:13:31', '', '2023-07-14 15:12:44', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1131, '支付应用信息导出', 'pay:app:export', 3, 5, 1126, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-11-10 01:13:31', '', '2023-07-14 15:12:48', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1132, '秘钥解析', 'pay:channel:parsing', 3, 6, 1129, '', '', '', NULL, 0, b'1', b'1', b'1', '1',
        '2021-11-08 15:15:47', '1', '2023-07-14 15:11:37', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1133, '支付商户信息查询', 'pay:merchant:query', 3, 1, 1132, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-11-10 01:13:41', '', '2023-07-14 15:11:17', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1134, '支付商户信息创建', 'pay:merchant:create', 3, 2, 1132, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-11-10 01:13:41', '', '2023-07-14 15:11:21', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1135, '支付商户信息更新', 'pay:merchant:update', 3, 3, 1132, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-11-10 01:13:41', '', '2023-07-14 15:11:24', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1136, '支付商户信息删除', 'pay:merchant:delete', 3, 4, 1132, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-11-10 01:13:41', '', '2023-07-14 15:11:28', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1137, '支付商户信息导出', 'pay:merchant:export', 3, 5, 1132, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-11-10 01:13:41', '', '2023-07-14 15:11:32', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1138, '租户列表', '', 2, 0, 1224, 'list', 'peoples', 'system/tenant/index', 'SystemTenant', 0, b'1', b'1', b'1',
        '', '2021-12-14 12:31:43', '1', '2023-05-17 10:46:14', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1139, '租户查询', 'system:tenant:query', 3, 1, 1138, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-12-14 12:31:44', '', '2023-05-17 10:44:58', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1140, '租户创建', 'system:tenant:create', 3, 2, 1138, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-12-14 12:31:44', '', '2023-05-17 10:45:08', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1141, '租户更新', 'system:tenant:update', 3, 3, 1138, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-12-14 12:31:44', '', '2023-05-17 10:46:02', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1142, '租户删除', 'system:tenant:delete', 3, 4, 1138, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-12-14 12:31:44', '', '2023-05-17 10:46:05', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1143, '租户导出', 'system:tenant:export', 3, 5, 1138, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-12-14 12:31:44', '', '2023-05-17 10:46:09', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1150, '秘钥解析', '', 3, 6, 1129, '', '', '', NULL, 0, b'1', b'1', b'1', '1', '2021-11-08 15:15:47', '1',
        '2023-07-14 15:11:42', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1161, '退款订单', '', 2, 3, 1117, 'refund', 'order', 'pay/refund/index', 'PayRefund', 0, b'1', b'1', b'1', '',
        '2021-12-25 08:29:07', '1', '2023-07-14 15:13:55', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1162, '退款订单查询', 'pay:refund:query', 3, 1, 1161, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-12-25 08:29:07', '', '2023-07-14 15:13:31', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1163, '退款订单创建', 'pay:refund:create', 3, 2, 1161, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-12-25 08:29:07', '', '2023-07-14 15:13:35', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1164, '退款订单更新', 'pay:refund:update', 3, 3, 1161, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-12-25 08:29:07', '', '2023-07-14 15:13:40', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1165, '退款订单删除', 'pay:refund:delete', 3, 4, 1161, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-12-25 08:29:07', '', '2023-07-14 15:13:44', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1166, '退款订单导出', 'pay:refund:export', 3, 5, 1161, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-12-25 08:29:07', '', '2023-07-14 15:13:50', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1173, '支付订单', '', 2, 2, 1117, 'order', 'pay', 'pay/order/index', 'PayOrder', 0, b'1', b'1', b'1', '',
        '2021-12-25 08:49:43', '1', '2023-07-14 15:13:22', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1174, '支付订单查询', 'pay:order:query', 3, 1, 1173, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-12-25 08:49:43', '', '2023-07-14 15:13:00', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1175, '支付订单创建', 'pay:order:create', 3, 2, 1173, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-12-25 08:49:43', '', '2023-07-14 15:13:05', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1176, '支付订单更新', 'pay:order:update', 3, 3, 1173, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-12-25 08:49:43', '', '2023-07-14 15:13:10', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1177, '支付订单删除', 'pay:order:delete', 3, 4, 1173, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-12-25 08:49:43', '', '2023-07-14 15:13:13', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1178, '支付订单导出', 'pay:order:export', 3, 5, 1173, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-12-25 08:49:43', '', '2023-07-14 15:13:18', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1179, '商户信息', '', 2, 0, 1117, 'merchant', 'merchant', 'pay/merchant/index', 'PayApp', 0, b'1', b'1', b'1',
        '', '2021-12-25 09:01:44', '1', '2023-07-14 15:10:51', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1180, '支付商户信息查询', 'pay:merchant:query', 3, 1, 1179, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-12-25 09:01:44', '', '2023-07-14 15:10:19', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1181, '支付商户信息创建', 'pay:merchant:create', 3, 2, 1179, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-12-25 09:01:44', '', '2023-07-14 15:10:29', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1182, '支付商户信息更新', 'pay:merchant:update', 3, 3, 1179, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-12-25 09:01:44', '', '2023-07-14 15:10:36', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1183, '支付商户信息删除', '', 3, 4, 1179, '', '', '', NULL, 0, b'1', b'1', b'1', '', '2021-12-25 09:01:44', '',
        '2023-07-14 15:10:41', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1184, '支付商户信息导出', 'pay:merchant:export', 3, 5, 1179, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-12-25 09:01:44', '', '2023-07-14 15:10:46', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1185, '工作流程', '', 1, 50, 0, '/bpm', 'tool', NULL, NULL, 0, b'1', b'1', b'1', '1', '2021-12-30 20:26:36',
        '103', '2023-05-10 10:00:17', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1186, '流程管理', '', 1, 10, 1185, 'manager', 'nested', NULL, NULL, 0, b'1', b'1', b'1', '1',
        '2021-12-30 20:28:30', '1', '2023-05-10 10:00:13', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1187, '流程表单', '', 2, 0, 1186, 'form', 'form', 'bpm/form/index', 'BpmForm', 0, b'1', b'1', b'1', '',
        '2021-12-30 12:38:22', '1', '2023-05-10 10:00:08', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1188, '表单查询', 'bpm:form:query', 3, 1, 1187, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-12-30 12:38:22', '1', '2023-05-10 09:59:50', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1189, '表单创建', 'bpm:form:create', 3, 2, 1187, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-12-30 12:38:22', '1', '2023-05-10 09:59:53', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1190, '表单更新', 'bpm:form:update', 3, 3, 1187, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-12-30 12:38:22', '1', '2023-05-10 09:59:57', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1191, '表单删除', 'bpm:form:delete', 3, 4, 1187, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-12-30 12:38:22', '1', '2023-05-10 10:00:00', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1192, '表单导出', 'bpm:form:export', 3, 5, 1187, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2021-12-30 12:38:22', '1', '2023-05-10 10:00:04', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1193, '流程模型', '', 2, 5, 1186, 'model', 'guide', 'bpm/model/index', 'BpmModel', 0, b'1', b'1', b'1', '1',
        '2021-12-31 23:24:58', '1', '2023-05-10 09:59:10', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1194, '模型查询', 'bpm:model:query', 3, 1, 1193, '', '', '', NULL, 0, b'1', b'1', b'1', '1',
        '2022-01-03 19:01:10', '1', '2023-05-10 09:48:26', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1195, '模型创建', 'bpm:model:create', 3, 2, 1193, '', '', '', NULL, 0, b'1', b'1', b'1', '1',
        '2022-01-03 19:01:24', '1', '2023-05-10 09:48:22', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1196, '模型导入', 'bpm:model:import', 3, 3, 1193, '', '', '', NULL, 0, b'1', b'1', b'1', '1',
        '2022-01-03 19:01:35', '1', '2023-05-10 09:48:59', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1197, '模型更新', 'bpm:model:update', 3, 4, 1193, '', '', '', NULL, 0, b'1', b'1', b'1', '1',
        '2022-01-03 19:02:28', '1', '2023-05-10 09:54:34', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1198, '模型删除', 'bpm:model:delete', 3, 5, 1193, '', '', '', NULL, 0, b'1', b'1', b'1', '1',
        '2022-01-03 19:02:43', '1', '2023-05-10 09:58:36', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1199, '模型发布', 'bpm:model:deploy', 3, 6, 1193, '', '', '', NULL, 0, b'1', b'1', b'1', '1',
        '2022-01-03 19:03:24', '1', '2023-05-10 09:58:46', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1200, '任务管理', '', 1, 20, 1185, 'task', 'cascader', NULL, NULL, 0, b'1', b'1', b'1', '1',
        '2022-01-07 23:51:48', '1', '2023-05-10 09:48:09', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1201, '我的流程', '', 2, 0, 1200, 'my', 'people', 'bpm/processInstance/index', 'BpmProcessInstance', 0, b'1',
        b'1', b'1', '', '2022-01-07 15:53:44', '1', '2023-05-10 09:48:04', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1202, '流程实例的查询', 'bpm:process-instance:query', 3, 1, 1201, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2022-01-07 15:53:44', '1', '2023-05-10 09:47:53', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1207, '待办任务', '', 2, 10, 1200, 'todo', 'eye-open', 'bpm/task/todo/index', 'BpmTodoTask', 0, b'1', b'1',
        b'1', '1', '2022-01-08 10:33:37', '1', '2023-05-10 09:47:47', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1208, '已办任务', '', 2, 20, 1200, 'done', 'eye', 'bpm/task/done/index', 'BpmDoneTask', 0, b'1', b'1', b'1',
        '1', '2022-01-08 10:34:13', '1', '2023-05-10 09:47:25', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1209, '用户分组', '', 2, 2, 1186, 'user-group', 'people', 'bpm/group/index', 'BpmUserGroup', 0, b'1', b'1',
        b'1', '', '2022-01-14 02:14:20', '1', '2023-05-10 09:59:44', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1210, '用户组查询', 'bpm:user-group:query', 3, 1, 1209, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2022-01-14 02:14:20', '', '2023-05-10 09:59:18', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1211, '用户组创建', 'bpm:user-group:create', 3, 2, 1209, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2022-01-14 02:14:20', '', '2023-05-10 09:59:23', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1212, '用户组更新', 'bpm:user-group:update', 3, 3, 1209, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2022-01-14 02:14:20', '', '2023-05-10 09:59:26', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1213, '用户组删除', 'bpm:user-group:delete', 3, 4, 1209, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2022-01-14 02:14:20', '', '2023-05-10 09:59:31', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1215, '流程定义查询', 'bpm:process-definition:query', 3, 10, 1193, '', '', '', NULL, 0, b'1', b'1', b'1', '1',
        '2022-01-23 00:21:43', '1', '2023-05-10 09:58:51', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1216, '流程任务分配规则查询', 'bpm:task-assign-rule:query', 3, 20, 1193, '', '', '', NULL, 0, b'1', b'1', b'1',
        '1', '2022-01-23 00:26:53', '1', '2023-05-10 09:58:55', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1217, '流程任务分配规则创建', 'bpm:task-assign-rule:create', 3, 21, 1193, '', '', '', NULL, 0, b'1', b'1', b'1',
        '1', '2022-01-23 00:28:15', '1', '2023-05-10 09:58:59', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1218, '流程任务分配规则更新', 'bpm:task-assign-rule:update', 3, 22, 1193, '', '', '', NULL, 0, b'1', b'1', b'1',
        '1', '2022-01-23 00:28:41', '1', '2023-05-10 09:59:04', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1219, '流程实例的创建', 'bpm:process-instance:create', 3, 2, 1201, '', '', '', NULL, 0, b'1', b'1', b'1', '1',
        '2022-01-23 00:36:15', '1', '2023-05-10 09:47:56', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1220, '流程实例的取消', 'bpm:process-instance:cancel', 3, 3, 1201, '', '', '', NULL, 0, b'1', b'1', b'1', '1',
        '2022-01-23 00:36:33', '1', '2023-05-10 09:48:00', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1221, '流程任务的查询', 'bpm:task:query', 3, 1, 1207, '', '', '', NULL, 0, b'1', b'1', b'1', '1',
        '2022-01-23 00:38:52', '1', '2023-05-10 09:47:32', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1222, '流程任务的更新', 'bpm:task:update', 3, 2, 1207, '', '', '', NULL, 0, b'1', b'1', b'1', '1',
        '2022-01-23 00:39:24', '1', '2023-05-10 09:47:41', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1224, '租户管理', '', 2, 0, 1, 'tenant', 'peoples', NULL, NULL, 1, b'0', b'1', b'0', '1', '2022-02-20 01:41:13',
        '1', '2023-05-17 10:46:42', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1225, '租户套餐', '', 2, 0, 1224, 'package', 'eye', 'system/tenantPackage/index', 'SystemTenantPackage', 0,
        b'1', b'1', b'1', '', '2022-02-19 17:44:06', '1', '2023-05-17 10:46:38', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1226, '租户套餐查询', 'system:tenant-package:query', 3, 1, 1225, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2022-02-19 17:44:06', '', '2023-05-17 10:46:21', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1227, '租户套餐创建', 'system:tenant-package:create', 3, 2, 1225, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2022-02-19 17:44:06', '', '2023-05-17 10:46:24', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1228, '租户套餐更新', 'system:tenant-package:update', 3, 3, 1225, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2022-02-19 17:44:06', '', '2023-05-17 10:46:28', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1229, '租户套餐删除', 'system:tenant-package:delete', 3, 4, 1225, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2022-02-19 17:44:06', '', '2023-05-17 10:46:34', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1237, '文件配置', '', 2, 0, 1243, 'file-config', 'config', 'infra/fileConfig/index', 'InfraFileConfig', 0, b'1',
        b'1', b'1', '', '2022-03-15 14:35:28', '1', '2023-04-08 09:16:05', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1238, '文件配置查询', 'infra:file-config:query', 3, 1, 1237, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2022-03-15 14:35:28', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1239, '文件配置创建', 'infra:file-config:create', 3, 2, 1237, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2022-03-15 14:35:28', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1240, '文件配置更新', 'infra:file-config:update', 3, 3, 1237, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2022-03-15 14:35:28', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1241, '文件配置删除', 'infra:file-config:delete', 3, 4, 1237, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2022-03-15 14:35:28', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1242, '文件配置导出', 'infra:file-config:export', 3, 5, 1237, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2022-03-15 14:35:28', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1243, '文件管理', '', 2, 5, 2, 'file', 'download', NULL, '', 0, b'1', b'1', b'1', '1', '2022-03-16 23:47:40',
        '1', '2023-02-10 13:47:46', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1247, '敏感词管理', '', 2, 13, 1, 'sensitive-word', 'education', 'system/sensitiveWord/index',
        'SystemSensitiveWord', 0, b'1', b'1', b'1', '', '2022-04-07 16:55:03', '1', '2023-04-08 09:00:40', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1248, '敏感词查询', 'system:sensitive-word:query', 3, 1, 1247, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2022-04-07 16:55:03', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1249, '敏感词创建', 'system:sensitive-word:create', 3, 2, 1247, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2022-04-07 16:55:03', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1250, '敏感词更新', 'system:sensitive-word:update', 3, 3, 1247, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2022-04-07 16:55:03', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1251, '敏感词删除', 'system:sensitive-word:delete', 3, 4, 1247, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2022-04-07 16:55:03', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1252, '敏感词导出', 'system:sensitive-word:export', 3, 5, 1247, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2022-04-07 16:55:03', '', '2022-04-20 17:03:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1255, '数据源配置', '', 2, 1, 2, 'data-source-config', 'rate', 'infra/dataSourceConfig/index',
        'InfraDataSourceConfig', 0, b'1', b'1', b'1', '', '2022-04-27 14:37:32', '1', '2023-04-08 09:05:21', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1256, '数据源配置查询', 'infra:data-source-config:query', 3, 1, 1255, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2022-04-27 14:37:32', '', '2022-04-27 14:37:32', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1257, '数据源配置创建', 'infra:data-source-config:create', 3, 2, 1255, '', '', '', NULL, 0, b'1', b'1', b'1',
        '', '2022-04-27 14:37:32', '', '2022-04-27 14:37:32', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1258, '数据源配置更新', 'infra:data-source-config:update', 3, 3, 1255, '', '', '', NULL, 0, b'1', b'1', b'1',
        '', '2022-04-27 14:37:32', '', '2022-04-27 14:37:32', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1259, '数据源配置删除', 'infra:data-source-config:delete', 3, 4, 1255, '', '', '', NULL, 0, b'1', b'1', b'1',
        '', '2022-04-27 14:37:32', '', '2022-04-27 14:37:32', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1260, '数据源配置导出', 'infra:data-source-config:export', 3, 5, 1255, '', '', '', NULL, 0, b'1', b'1', b'1',
        '', '2022-04-27 14:37:32', '', '2022-04-27 14:37:32', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1261, 'OAuth 2.0', '', 1, 10, 1, 'oauth2', 'people', NULL, NULL, 0, b'1', b'1', b'1', '1',
        '2022-05-09 23:38:17', '1', '2022-05-11 23:51:46', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1263, '应用管理', '', 2, 0, 1261, 'oauth2/application', 'tool', 'system/oauth2/client/index',
        'SystemOAuth2Client', 0, b'1', b'1', b'1', '', '2022-05-10 16:26:33', '1', '2023-04-08 08:47:31', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1264, '客户端查询', 'system:oauth2-client:query', 3, 1, 1263, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2022-05-10 16:26:33', '1', '2022-05-11 00:31:06', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1265, '客户端创建', 'system:oauth2-client:create', 3, 2, 1263, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2022-05-10 16:26:33', '1', '2022-05-11 00:31:23', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1266, '客户端更新', 'system:oauth2-client:update', 3, 3, 1263, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2022-05-10 16:26:33', '1', '2022-05-11 00:31:28', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1267, '客户端删除', 'system:oauth2-client:delete', 3, 4, 1263, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2022-05-10 16:26:33', '1', '2022-05-11 00:31:33', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1281, '报表管理', '', 1, 40, 0, '/report', 'chart', NULL, NULL, 1, b'0', b'1', b'1', '1', '2022-07-10 20:22:15',
        '1', '2023-05-10 10:35:17', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (1282, '报表设计器', '', 2, 1, 1281, 'jimu-report', 'example', 'report/jmreport/index', 'GoView', 0, b'1', b'1',
        b'1', '1', '2022-07-10 20:26:36', '1', '2023-05-10 10:34:51', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2000, '商城中心', '', 1, 60, 0, '/mall', 'merchant', NULL, NULL, 0, b'1', b'1', b'1', '', '2022-07-29 15:53:53',
        '1', '2023-06-02 11:29:46', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2002, '商品分类', '', 2, 2, 2174, 'category', 'ep:chat-dot-round', 'mall/product/category/index',
        'ProductCategory', 0, b'1', b'1', b'1', '', '2022-07-29 15:53:53', '1', '2023-06-08 09:57:25', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2003, '分类查询', 'product:category:query', 3, 1, 2002, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2022-07-29 15:53:53', '', '2022-07-29 15:53:53', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2004, '分类创建', 'product:category:create', 3, 2, 2002, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2022-07-29 15:53:53', '', '2022-07-29 15:53:53', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2005, '分类更新', 'product:category:update', 3, 3, 2002, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2022-07-29 15:53:53', '', '2022-07-29 15:53:53', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2006, '分类删除', 'product:category:delete', 3, 4, 2002, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2022-07-29 15:53:53', '', '2022-07-29 15:53:53', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2008, '商品品牌', '', 2, 1, 2174, 'brand', 'ep:brush', 'mall/product/brand/index', 'ProductBrand', 0, b'1',
        b'1', b'1', '', '2022-07-30 13:52:44', '1', '2023-06-08 09:56:55', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2009, '品牌查询', 'product:brand:query', 3, 1, 2008, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2022-07-30 13:52:44', '', '2022-07-30 13:52:44', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2010, '品牌创建', 'product:brand:create', 3, 2, 2008, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2022-07-30 13:52:44', '', '2022-07-30 13:52:44', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2011, '品牌更新', 'product:brand:update', 3, 3, 2008, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2022-07-30 13:52:44', '', '2022-07-30 13:52:44', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2012, '品牌删除', 'product:brand:delete', 3, 4, 2008, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2022-07-30 13:52:44', '', '2022-07-30 13:52:44', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2014, '商品列表', '', 2, 3, 2000, 'spu', 'list', 'mall/product/spu/index', 'ProductSpu', 0, b'1', b'1', b'1',
        '', '2022-07-30 14:22:58', '1', '2023-06-02 11:27:04', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2015, '商品查询', 'product:spu:query', 3, 1, 2014, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2022-07-30 14:22:58', '', '2023-06-02 11:26:45', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2016, '商品创建', 'product:spu:create', 3, 2, 2014, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2022-07-30 14:22:58', '', '2023-06-02 11:26:49', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2017, '商品更新', 'product:spu:update', 3, 3, 2014, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2022-07-30 14:22:58', '', '2023-06-02 11:26:54', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2018, '商品删除', 'product:spu:delete', 3, 4, 2014, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2022-07-30 14:22:58', '', '2023-06-02 11:26:59', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2019, '商品属性', '', 2, 3, 2000, 'property', 'eye', 'mall/product/property/index', 'ProductProperty', 0, b'1',
        b'1', b'1', '', '2022-08-01 14:55:35', '1', '2023-06-02 11:27:25', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2020, '规格查询', 'product:property:query', 3, 1, 2019, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2022-08-01 14:55:35', '', '2023-06-02 11:27:11', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2021, '规格创建', 'product:property:create', 3, 2, 2019, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2022-08-01 14:55:35', '', '2023-06-02 11:27:15', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2022, '规格更新', 'product:property:update', 3, 3, 2019, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2022-08-01 14:55:35', '', '2023-06-02 11:27:18', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2023, '规格删除', 'product:property:delete', 3, 4, 2019, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2022-08-01 14:55:35', '', '2023-06-02 11:27:21', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2025, 'Banner管理', '', 2, 100, 2000, 'banner', '', 'mall/market/banner/index', NULL, 0, b'1', b'1', b'1', '',
        '2022-08-01 14:56:14', '1', '2023-05-17 10:05:22', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2026, 'Banner查询', 'market:banner:query', 3, 1, 2025, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2022-08-01 14:56:14', '', '2023-05-17 10:05:03', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2027, 'Banner创建', 'market:banner:create', 3, 2, 2025, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2022-08-01 14:56:14', '', '2023-05-17 10:05:07', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2028, 'Banner更新', 'market:banner:update', 3, 3, 2025, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2022-08-01 14:56:14', '', '2023-05-17 10:05:12', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2029, 'Banner删除', 'market:banner:delete', 3, 4, 2025, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2022-08-01 14:56:14', '', '2023-05-17 10:05:18', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2030, '营销中心', '', 1, 70, 0, '/promotion', 'rate', NULL, NULL, 0, b'1', b'1', b'1', '1',
        '2022-10-31 21:25:09', '1', '2023-05-10 10:32:42', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2032, '优惠劵', '', 2, 2, 2030, 'coupon-template', 'textarea', 'mall/promotion/couponTemplate/index',
        'PromotionCouponTemplate', 0, b'1', b'1', b'1', '', '2022-10-31 22:27:14', '1', '2023-05-10 10:31:51', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2033, '优惠劵模板查询', 'promotion:coupon-template:query', 3, 1, 2032, '', '', '', NULL, 0, b'1', b'1', b'1',
        '', '2022-10-31 22:27:14', '', '2023-05-10 10:31:36', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2034, '优惠劵模板创建', 'promotion:coupon-template:create', 3, 2, 2032, '', '', '', NULL, 0, b'1', b'1', b'1',
        '', '2022-10-31 22:27:14', '', '2023-05-10 10:31:39', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2035, '优惠劵模板更新', 'promotion:coupon-template:update', 3, 3, 2032, '', '', '', NULL, 0, b'1', b'1', b'1',
        '', '2022-10-31 22:27:14', '', '2023-05-10 10:31:42', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2036, '优惠劵模板删除', 'promotion:coupon-template:delete', 3, 4, 2032, '', '', '', NULL, 0, b'1', b'1', b'1',
        '', '2022-10-31 22:27:14', '', '2023-05-10 10:31:48', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2038, '会员优惠劵', '', 2, 2, 2030, 'coupon', '', 'mall/promotion/coupon/index', 'PromotionCoupon', 0, b'0',
        b'1', b'1', '', '2022-11-03 23:21:31', '1', '2023-05-10 10:31:31', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2039, '优惠劵查询', 'promotion:coupon:query', 3, 1, 2038, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2022-11-03 23:21:31', '', '2023-05-10 10:31:24', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2040, '优惠劵删除', 'promotion:coupon:delete', 3, 4, 2038, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2022-11-03 23:21:31', '', '2023-05-10 10:31:27', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2041, '满减送活动', '', 2, 10, 2030, 'reward-activity', 'radio', 'mall/promotion/rewardActivity/index',
        'PromotionRewardActivity', 0, b'1', b'1', b'1', '', '2022-11-04 23:47:49', '1', '2023-05-10 10:30:46', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2042, '满减送活动查询', 'promotion:reward-activity:query', 3, 1, 2041, '', '', '', NULL, 0, b'1', b'1', b'1',
        '', '2022-11-04 23:47:49', '', '2023-05-10 10:30:32', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2043, '满减送活动创建', 'promotion:reward-activity:create', 3, 2, 2041, '', '', '', NULL, 0, b'1', b'1', b'1',
        '', '2022-11-04 23:47:49', '', '2023-05-10 10:30:36', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2044, '满减送活动更新', 'promotion:reward-activity:update', 3, 3, 2041, '', '', '', NULL, 0, b'1', b'1', b'1',
        '', '2022-11-04 23:47:50', '', '2023-05-10 10:30:39', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2045, '满减送活动删除', 'promotion:reward-activity:delete', 3, 4, 2041, '', '', '', NULL, 0, b'1', b'1', b'1',
        '', '2022-11-04 23:47:50', '', '2023-05-10 10:30:43', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2046, '满减送活动关闭', 'promotion:reward-activity:close', 3, 5, 2041, '', '', '', NULL, 0, b'1', b'1', b'1',
        '1', '2022-11-05 10:42:53', '1', '2023-05-10 10:30:29', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2047, '限时折扣活动', '', 2, 7, 2030, 'discount-activity', 'time', 'mall/promotion/discountActivity/index',
        'PromotionDiscountActivity', 0, b'1', b'1', b'1', '', '2022-11-05 17:12:15', '1', '2023-05-10 10:31:19', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2048, '限时折扣活动查询', 'promotion:discount-activity:query', 3, 1, 2047, '', '', '', NULL, 0, b'1', b'1',
        b'1', '', '2022-11-05 17:12:15', '', '2023-05-10 10:31:02', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2049, '限时折扣活动创建', 'promotion:discount-activity:create', 3, 2, 2047, '', '', '', NULL, 0, b'1', b'1',
        b'1', '', '2022-11-05 17:12:15', '', '2023-05-10 10:31:05', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2050, '限时折扣活动更新', 'promotion:discount-activity:update', 3, 3, 2047, '', '', '', NULL, 0, b'1', b'1',
        b'1', '', '2022-11-05 17:12:16', '', '2023-05-10 10:31:08', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2051, '限时折扣活动删除', 'promotion:discount-activity:delete', 3, 4, 2047, '', '', '', NULL, 0, b'1', b'1',
        b'1', '', '2022-11-05 17:12:16', '', '2023-05-10 10:31:12', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2052, '限时折扣活动关闭', 'promotion:discount-activity:close', 3, 5, 2047, '', '', '', NULL, 0, b'1', b'1',
        b'1', '', '2022-11-05 17:12:16', '', '2023-05-10 10:31:15', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2059, '秒杀活动管理', '', 2, 0, 2030, 'seckill-activity', 'time-range',
        'mall/promotion/seckill/seckillActivity/index', 'PromotionSeckillActivity', 0, b'1', b'1', b'1', '',
        '2022-11-06 22:24:49', '1', '2023-05-10 10:32:38', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2060, '秒杀活动查询', 'promotion:seckill-activity:query', 3, 1, 2059, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2022-11-06 22:24:49', '', '2023-05-10 10:32:20', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2061, '秒杀活动创建', 'promotion:seckill-activity:create', 3, 2, 2059, '', '', '', NULL, 0, b'1', b'1', b'1',
        '', '2022-11-06 22:24:49', '', '2023-05-10 10:32:23', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2062, '秒杀活动更新', 'promotion:seckill-activity:update', 3, 3, 2059, '', '', '', NULL, 0, b'1', b'1', b'1',
        '', '2022-11-06 22:24:49', '', '2023-05-10 10:32:26', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2063, '秒杀活动删除', 'promotion:seckill-activity:delete', 3, 4, 2059, '', '', '', NULL, 0, b'1', b'1', b'1',
        '', '2022-11-06 22:24:49', '', '2023-05-10 10:32:29', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2064, '秒杀活动导出', 'promotion:seckill-activity:export', 3, 5, 2059, '', '', '', NULL, 0, b'1', b'1', b'1',
        '', '2022-11-06 22:24:49', '', '2023-05-10 10:32:32', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2066, '秒杀时段管理', '', 2, 0, 2030, 'seckill-time', '', 'mall/promotion/seckill/seckillTime/index',
        'PromotionSeckillTime', 0, b'0', b'1', b'1', '', '2022-11-15 19:46:50', '1', '2023-05-10 10:32:14', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2067, '秒杀时段查询', 'promotion:seckill-time:query', 3, 1, 2066, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2022-11-15 19:46:51', '', '2023-05-10 10:31:57', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2068, '秒杀时段创建', 'promotion:seckill-time:create', 3, 2, 2066, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2022-11-15 19:46:51', '', '2023-05-10 10:32:00', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2069, '秒杀时段更新', 'promotion:seckill-time:update', 3, 3, 2066, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2022-11-15 19:46:51', '', '2023-05-10 10:32:03', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2070, '秒杀时段删除', 'promotion:seckill-time:delete', 3, 4, 2066, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2022-11-15 19:46:51', '', '2023-05-10 10:32:06', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2071, '秒杀时段导出', 'promotion:seckill-time:export', 3, 5, 2066, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2022-11-15 19:46:51', '', '2023-05-10 10:32:09', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2072, '订单中心', '', 1, 65, 0, '/trade', 'order', NULL, NULL, 0, b'1', b'1', b'1', '1', '2022-11-19 18:57:19',
        '1', '2023-05-10 10:30:11', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2073, '售后退款', '', 2, 1, 2072, 'trade/after-sale', 'education', 'mall/trade/afterSale/index',
        'TradeAfterSale', 0, b'1', b'1', b'1', '', '2022-11-19 20:15:32', '1', '2023-05-10 10:30:03', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2074, '售后查询', 'trade:after-sale:query', 3, 1, 2073, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2022-11-19 20:15:33', '1', '2023-05-10 10:30:00', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2075, '秒杀活动关闭', 'promotion:sekill-activity:close', 3, 6, 2059, '', '', '', NULL, 0, b'1', b'1', b'1', '1',
        '2022-11-28 20:20:15', '1', '2023-05-10 10:32:35', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2076, '订单列表', '', 2, 0, 2072, 'trade/order', 'list', 'mall/trade/order/index', 'TradeOrder', 0, b'1', b'1',
        b'1', '1', '2022-12-10 21:05:44', '1', '2023-05-10 10:25:23', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2077, '物流公司管理管理', '', 2, 0, 2072, 'express-company', '', 'mall/trade/expressCompany/index', NULL, 0,
        b'1', b'1', b'1', '', '2022-12-20 23:27:55', '1', '2023-05-10 10:29:49', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2078, '物流公司管理查询', 'trade:express-company:query', 3, 1, 2077, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2022-12-20 23:27:55', '', '2023-05-10 10:25:31', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2079, '物流公司管理创建', 'trade:express-company:create', 3, 2, 2077, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2022-12-20 23:27:55', '', '2023-05-10 10:25:35', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2080, '物流公司管理更新', 'trade:express-company:update', 3, 3, 2077, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2022-12-20 23:27:55', '', '2023-05-10 10:26:01', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2081, '物流公司管理删除', 'trade:express-company:delete', 3, 4, 2077, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2022-12-20 23:27:55', '', '2023-05-10 10:26:06', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2082, '物流公司管理导出', 'trade:express-company:export', 3, 5, 2077, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2022-12-20 23:27:55', '', '2023-05-10 10:26:10', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2083, '地区管理', '', 2, 14, 1, 'area', 'row', 'system/area/index', 'SystemArea', 0, b'1', b'1', b'1', '1',
        '2022-12-23 17:35:05', '1', '2023-04-08 09:01:37', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2084, '公众号管理', '', 1, 100, 0, '/mp', 'wechat', NULL, NULL, 0, b'1', b'1', b'1', '1', '2023-01-01 20:11:04',
        '1', '2023-01-15 11:28:57', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2085, '账号管理', '', 2, 1, 2084, 'account', 'phone', 'mp/account/index', 'MpAccount', 0, b'1', b'1', b'1', '1',
        '2023-01-01 20:13:31', '1', '2023-02-09 23:56:39', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2086, '新增账号', 'mp:account:create', 3, 1, 2085, '', '', '', NULL, 0, b'1', b'1', b'1', '1',
        '2023-01-01 20:21:40', '1', '2023-01-07 17:32:53', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2087, '修改账号', 'mp:account:update', 3, 2, 2085, '', '', '', NULL, 0, b'1', b'1', b'1', '1',
        '2023-01-07 17:32:46', '1', '2023-01-07 17:32:46', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2088, '查询账号', 'mp:account:query', 3, 0, 2085, '', '', '', NULL, 0, b'1', b'1', b'1', '1',
        '2023-01-07 17:33:07', '1', '2023-01-07 17:33:07', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2089, '删除账号', 'mp:account:delete', 3, 3, 2085, '', '', '', NULL, 0, b'1', b'1', b'1', '1',
        '2023-01-07 17:33:21', '1', '2023-01-07 17:33:21', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2090, '生成二维码', 'mp:account:qr-code', 3, 4, 2085, '', '', '', NULL, 0, b'1', b'1', b'1', '1',
        '2023-01-07 17:33:58', '1', '2023-01-07 17:33:58', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2091, '清空 API 配额', 'mp:account:clear-quota', 3, 5, 2085, '', '', '', NULL, 0, b'1', b'1', b'1', '1',
        '2023-01-07 18:20:32', '1', '2023-01-07 18:20:59', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2092, '数据统计', 'mp:statistics:query', 2, 2, 2084, 'statistics', 'chart', 'mp/statistics/index',
        'MpStatistics', 0, b'1', b'1', b'0', '1', '2023-01-07 20:17:36', '1', '2023-05-10 10:07:14', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2093, '标签管理', '', 2, 3, 2084, 'tag', 'rate', 'mp/tag/index', 'MpTag', 0, b'1', b'1', b'1', '1',
        '2023-01-08 11:37:32', '1', '2023-02-09 23:58:47', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2094, '查询标签', 'mp:tag:query', 3, 0, 2093, '', '', '', NULL, 0, b'1', b'1', b'1', '1', '2023-01-08 11:59:03',
        '1', '2023-01-08 11:59:03', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2095, '新增标签', 'mp:tag:create', 3, 1, 2093, '', '', '', NULL, 0, b'1', b'1', b'1', '1',
        '2023-01-08 11:59:23', '1', '2023-01-08 11:59:23', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2096, '修改标签', 'mp:tag:update', 3, 2, 2093, '', '', '', NULL, 0, b'1', b'1', b'1', '1',
        '2023-01-08 11:59:41', '1', '2023-01-08 11:59:41', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2097, '删除标签', 'mp:tag:delete', 3, 3, 2093, '', '', '', NULL, 0, b'1', b'1', b'1', '1',
        '2023-01-08 12:00:04', '1', '2023-01-08 12:00:13', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2098, '同步标签', 'mp:tag:sync', 3, 4, 2093, '', '', '', NULL, 0, b'1', b'1', b'1', '1', '2023-01-08 12:00:29',
        '1', '2023-01-08 12:00:29', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2099, '粉丝管理', '', 2, 4, 2084, 'user', 'people', 'mp/user/index', 'MpUser', 0, b'1', b'1', b'1', '1',
        '2023-01-08 16:51:20', '1', '2023-02-09 23:58:21', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2100, '查询粉丝', 'mp:user:query', 3, 0, 2099, '', '', '', NULL, 0, b'1', b'1', b'1', '1',
        '2023-01-08 17:16:59', '1', '2023-01-08 17:17:23', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2101, '修改粉丝', 'mp:user:update', 3, 1, 2099, '', '', '', NULL, 0, b'1', b'1', b'1', '1',
        '2023-01-08 17:17:11', '1', '2023-01-08 17:17:11', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2102, '同步粉丝', 'mp:user:sync', 3, 2, 2099, '', '', '', NULL, 0, b'1', b'1', b'1', '1', '2023-01-08 17:17:40',
        '1', '2023-01-08 17:17:40', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2103, '消息管理', '', 2, 5, 2084, 'message', 'email', 'mp/message/index', 'MpMessage', 0, b'1', b'1', b'1', '1',
        '2023-01-08 18:44:19', '1', '2023-02-09 23:58:02', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2104, '图文发表记录', '', 2, 10, 2084, 'free-publish', 'education', 'mp/freePublish/index', 'MpFreePublish', 0,
        b'1', b'1', b'1', '1', '2023-01-13 00:30:50', '1', '2023-02-09 23:57:22', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2105, '查询发布列表', 'mp:free-publish:query', 3, 1, 2104, '', '', '', NULL, 0, b'1', b'1', b'1', '1',
        '2023-01-13 07:19:17', '1', '2023-01-13 07:19:17', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2106, '发布草稿', 'mp:free-publish:submit', 3, 2, 2104, '', '', '', NULL, 0, b'1', b'1', b'1', '1',
        '2023-01-13 07:19:46', '1', '2023-01-13 07:19:46', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2107, '删除发布记录', 'mp:free-publish:delete', 3, 3, 2104, '', '', '', NULL, 0, b'1', b'1', b'1', '1',
        '2023-01-13 07:20:01', '1', '2023-01-13 07:20:01', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2108, '图文草稿箱', '', 2, 9, 2084, 'draft', 'edit', 'mp/draft/index', 'MpDraft', 0, b'1', b'1', b'0', '1',
        '2023-01-13 07:40:21', '1', '2023-05-10 10:07:04', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2109, '新建草稿', 'mp:draft:create', 3, 1, 2108, '', '', '', NULL, 0, b'1', b'1', b'1', '1',
        '2023-01-13 23:15:30', '1', '2023-01-13 23:15:44', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2110, '修改草稿', 'mp:draft:update', 3, 2, 2108, '', '', '', NULL, 0, b'1', b'1', b'1', '1',
        '2023-01-14 10:08:47', '1', '2023-01-14 10:08:47', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2111, '查询草稿', 'mp:draft:query', 3, 0, 2108, '', '', '', NULL, 0, b'1', b'1', b'1', '1',
        '2023-01-14 10:09:01', '1', '2023-01-14 10:09:01', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2112, '删除草稿', 'mp:draft:delete', 3, 3, 2108, '', '', '', NULL, 0, b'1', b'1', b'1', '1',
        '2023-01-14 10:09:19', '1', '2023-01-14 10:09:19', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2113, '素材管理', '', 2, 8, 2084, 'material', 'skill', 'mp/material/index', 'MpMaterial', 0, b'1', b'1', b'0',
        '1', '2023-01-14 14:12:07', '1', '2023-05-10 10:06:57', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2114, '上传临时素材', 'mp:material:upload-temporary', 3, 1, 2113, '', '', '', NULL, 0, b'1', b'1', b'1', '1',
        '2023-01-14 15:33:55', '1', '2023-01-14 15:33:55', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2115, '上传永久素材', 'mp:material:upload-permanent', 3, 2, 2113, '', '', '', NULL, 0, b'1', b'1', b'1', '1',
        '2023-01-14 15:34:14', '1', '2023-01-14 15:34:14', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2116, '删除素材', 'mp:material:delete', 3, 3, 2113, '', '', '', NULL, 0, b'1', b'1', b'1', '1',
        '2023-01-14 15:35:37', '1', '2023-01-14 15:35:37', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2117, '上传图文图片', 'mp:material:upload-news-image', 3, 4, 2113, '', '', '', NULL, 0, b'1', b'1', b'1', '1',
        '2023-01-14 15:36:31', '1', '2023-01-14 15:36:31', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2118, '查询素材', 'mp:material:query', 3, 5, 2113, '', '', '', NULL, 0, b'1', b'1', b'1', '1',
        '2023-01-14 15:39:22', '1', '2023-01-14 15:39:22', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2119, '菜单管理', '', 2, 6, 2084, 'menu', 'button', 'mp/menu/index', 'MpMenu', 0, b'1', b'1', b'0', '1',
        '2023-01-14 17:43:54', '1', '2023-05-10 10:06:06', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2120, '自动回复', '', 2, 7, 2084, 'auto-reply', 'eye', 'mp/autoReply/index', 'MpAutoReply', 0, b'1', b'1', b'0',
        '1', '2023-01-15 22:13:09', '1', '2023-05-10 10:06:49', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2121, '查询回复', 'mp:auto-reply:query', 3, 0, 2120, '', '', '', NULL, 0, b'1', b'1', b'1', '1',
        '2023-01-16 22:28:41', '1', '2023-01-16 22:28:41', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2122, '新增回复', 'mp:auto-reply:create', 3, 1, 2120, '', '', '', NULL, 0, b'1', b'1', b'1', '1',
        '2023-01-16 22:28:54', '1', '2023-01-16 22:28:54', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2123, '修改回复', 'mp:auto-reply:update', 3, 2, 2120, '', '', '', NULL, 0, b'1', b'1', b'1', '1',
        '2023-01-16 22:29:05', '1', '2023-01-16 22:29:05', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2124, '删除回复', 'mp:auto-reply:delete', 3, 3, 2120, '', '', '', NULL, 0, b'1', b'1', b'1', '1',
        '2023-01-16 22:29:34', '1', '2023-01-16 22:29:34', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2125, '查询菜单', 'mp:menu:query', 3, 0, 2119, '', '', '', NULL, 0, b'1', b'1', b'1', '1',
        '2023-01-17 23:05:41', '1', '2023-01-17 23:05:41', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2126, '保存菜单', 'mp:menu:save', 3, 1, 2119, '', '', '', NULL, 0, b'1', b'1', b'1', '1', '2023-01-17 23:06:01',
        '1', '2023-01-17 23:06:01', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2127, '删除菜单', 'mp:menu:delete', 3, 2, 2119, '', '', '', NULL, 0, b'1', b'1', b'1', '1',
        '2023-01-17 23:06:16', '1', '2023-01-17 23:06:16', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2128, '查询消息', 'mp:message:query', 3, 0, 2103, '', '', '', NULL, 0, b'1', b'1', b'1', '1',
        '2023-01-17 23:07:14', '1', '2023-01-17 23:07:14', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2129, '发送消息', 'mp:message:send', 3, 1, 2103, '', '', '', NULL, 0, b'1', b'1', b'1', '1',
        '2023-01-17 23:07:26', '1', '2023-01-17 23:07:26', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2130, '邮箱管理', '', 2, 11, 1, 'mail', 'email', NULL, NULL, 0, b'1', b'1', b'1', '1', '2023-01-25 17:27:44',
        '1', '2023-01-25 17:27:44', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2131, '邮箱账号', '', 2, 0, 2130, 'mail-account', 'user', 'system/mail/account/index', 'SystemMailAccount', 0,
        b'1', b'1', b'1', '', '2023-01-25 09:33:48', '1', '2023-04-08 08:53:43', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2132, '账号查询', 'system:mail-account:query', 3, 1, 2131, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-01-25 09:33:48', '', '2023-01-25 09:33:48', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2133, '账号创建', 'system:mail-account:create', 3, 2, 2131, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-01-25 09:33:48', '', '2023-01-25 09:33:48', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2134, '账号更新', 'system:mail-account:update', 3, 3, 2131, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-01-25 09:33:48', '', '2023-01-25 09:33:48', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2135, '账号删除', 'system:mail-account:delete', 3, 4, 2131, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-01-25 09:33:48', '', '2023-01-25 09:33:48', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2136, '邮件模版', '', 2, 0, 2130, 'mail-template', 'education', 'system/mail/template/index',
        'SystemMailTemplate', 0, b'1', b'1', b'1', '', '2023-01-25 12:05:31', '1', '2023-04-08 08:53:34', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2137, '模版查询', 'system:mail-template:query', 3, 1, 2136, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-01-25 12:05:31', '', '2023-01-25 12:05:31', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2138, '模版创建', 'system:mail-template:create', 3, 2, 2136, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-01-25 12:05:31', '', '2023-01-25 12:05:31', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2139, '模版更新', 'system:mail-template:update', 3, 3, 2136, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-01-25 12:05:31', '', '2023-01-25 12:05:31', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2140, '模版删除', 'system:mail-template:delete', 3, 4, 2136, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-01-25 12:05:31', '', '2023-01-25 12:05:31', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2141, '邮件记录', '', 2, 0, 2130, 'mail-log', 'log', 'system/mail/log/index', 'SystemMailLog', 0, b'1', b'1',
        b'1', '', '2023-01-26 02:16:50', '1', '2023-04-08 08:53:49', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2142, '日志查询', 'system:mail-log:query', 3, 1, 2141, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-01-26 02:16:50', '', '2023-01-26 02:16:50', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2143, '发送测试邮件', 'system:mail-template:send-mail', 3, 5, 2136, '', '', '', NULL, 0, b'1', b'1', b'1', '1',
        '2023-01-26 23:29:15', '1', '2023-01-26 23:29:15', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2144, '站内信管理', '', 1, 11, 1, 'notify', 'message', NULL, NULL, 0, b'1', b'1', b'1', '1',
        '2023-01-28 10:25:18', '1', '2023-01-28 10:25:46', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2145, '模板管理', '', 2, 0, 2144, 'notify-template', 'education', 'system/notify/template/index',
        'SystemNotifyTemplate', 0, b'1', b'1', b'1', '', '2023-01-28 02:26:42', '1', '2023-04-08 08:54:39', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2146, '站内信模板查询', 'system:notify-template:query', 3, 1, 2145, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-01-28 02:26:42', '', '2023-01-28 02:26:42', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2147, '站内信模板创建', 'system:notify-template:create', 3, 2, 2145, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-01-28 02:26:42', '', '2023-01-28 02:26:42', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2148, '站内信模板更新', 'system:notify-template:update', 3, 3, 2145, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-01-28 02:26:42', '', '2023-01-28 02:26:42', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2149, '站内信模板删除', 'system:notify-template:delete', 3, 4, 2145, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-01-28 02:26:42', '', '2023-01-28 02:26:42', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2150, '发送测试站内信', 'system:notify-template:send-notify', 3, 5, 2145, '', '', '', NULL, 0, b'1', b'1', b'1',
        '1', '2023-01-28 10:54:43', '1', '2023-01-28 10:54:43', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2151, '消息记录', '', 2, 0, 2144, 'notify-message', 'edit', 'system/notify/message/index',
        'SystemNotifyMessage', 0, b'1', b'1', b'1', '', '2023-01-28 04:28:22', '1', '2023-04-08 08:54:11', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2152, '站内信消息查询', 'system:notify-message:query', 3, 1, 2151, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-01-28 04:28:22', '', '2023-01-28 04:28:22', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2153, '大屏设计器', '', 2, 2, 1281, 'go-view', 'dashboard', 'report/goview/index', 'JimuReport', 0, b'1', b'1',
        b'1', '1', '2023-02-07 00:03:19', '1', '2023-05-10 10:35:14', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2154, '创建项目', 'report:go-view-project:create', 3, 1, 2153, '', '', '', NULL, 0, b'1', b'1', b'1', '1',
        '2023-02-07 19:25:14', '1', '2023-05-10 10:34:59', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2155, '更新项目', 'report:go-view-project:delete', 3, 2, 2153, '', '', '', NULL, 0, b'1', b'1', b'1', '1',
        '2023-02-07 19:25:34', '1', '2023-05-10 10:35:03', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2156, '查询项目', 'report:go-view-project:query', 3, 0, 2153, '', '', '', NULL, 0, b'1', b'1', b'1', '1',
        '2023-02-07 19:25:53', '1', '2023-05-10 10:34:56', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2157, '使用 SQL 查询数据', 'report:go-view-data:get-by-sql', 3, 3, 2153, '', '', '', NULL, 0, b'1', b'1', b'1',
        '1', '2023-02-07 19:26:15', '1', '2023-05-10 10:35:06', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2158, '使用 HTTP 查询数据', 'report:go-view-data:get-by-http', 3, 4, 2153, '', '', '', NULL, 0, b'1', b'1',
        b'1', '1', '2023-02-07 19:26:35', '1', '2023-05-10 10:35:10', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2161, '接入示例', '', 2, 99, 1117, 'demo-order', 'drag', 'pay/demo/index', NULL, 0, b'1', b'1', b'1', '',
        '2023-02-11 14:21:42', '1', '2023-07-09 09:47:51', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2162, '商品规格', '', 2, 3, 2174, 'store-product-rule', 'ep:operation', 'mall/shop/storeProductRule/index',
        'StoreProductRule', 0, b'1', b'1', b'1', '', '2023-05-17 10:59:10', '1', '2023-06-02 11:41:21', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2163, '商品规则值(规格)查询', 'shop:store-product-rule:query', 3, 1, 2162, '', '', '', NULL, 0, b'1', b'1',
        b'1', '', '2023-05-17 10:59:10', '', '2023-05-17 10:59:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2164, '商品规则值(规格)创建', 'shop:store-product-rule:create', 3, 2, 2162, '', '', '', NULL, 0, b'1', b'1',
        b'1', '', '2023-05-17 10:59:10', '', '2023-05-17 10:59:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2165, '商品规则值(规格)更新', 'shop:store-product-rule:update', 3, 3, 2162, '', '', '', NULL, 0, b'1', b'1',
        b'1', '', '2023-05-17 10:59:10', '', '2023-05-17 10:59:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2166, '商品规则值(规格)删除', 'shop:store-product-rule:delete', 3, 4, 2162, '', '', '', NULL, 0, b'1', b'1',
        b'1', '', '2023-05-17 10:59:10', '', '2023-05-17 10:59:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2167, '商品规则值(规格)导出', 'shop:store-product-rule:export', 3, 5, 2162, '', '', '', NULL, 0, b'1', b'1',
        b'1', '', '2023-05-17 10:59:10', '', '2023-05-17 10:59:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2168, '商品管理', '', 2, 4, 2174, 'store-product', 'ep:shopping-cart', 'mall/product/storeProduct/index',
        'StoreProduct', 0, b'1', b'0', b'1', '', '2023-05-22 15:02:18', '1', '2023-10-25 10:40:45', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2169, '商品查询', 'shop:store-product:query', 3, 1, 2168, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-05-22 15:02:18', '', '2023-05-22 15:02:18', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2170, '商品创建', 'shop:store-product:create', 3, 2, 2168, '', '', '', '', 0, b'0', b'1', b'0', '',
        '2023-05-22 15:02:18', '1', '2023-05-26 14:23:49', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2171, '商品更新', 'shop:store-product:update', 3, 3, 2168, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-05-22 15:02:18', '', '2023-05-22 15:02:18', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2172, '商品删除', 'shop:store-product:delete', 3, 4, 2168, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-05-22 15:02:18', '', '2023-05-22 15:02:18', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2173, '商品导出', 'shop:store-product:export', 3, 5, 2168, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-05-22 15:02:18', '', '2023-05-22 15:02:18', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2174, '商品中心', '', 1, 1, 2000, 'product', 'ep:shopping-cart', '', '', 0, b'1', b'1', b'1', '1',
        '2023-06-02 11:24:04', '1', '2023-06-02 11:29:55', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2175, '订单中心', '', 1, 2, 2000, 'order', 'ep:list', '', '', 0, b'1', b'1', b'1', '1', '2023-06-02 11:29:29',
        '1', '2023-06-02 11:29:29', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2176, '用户中心', '', 1, 3, 2000, 'member', 'ep:user', '', '', 0, b'1', b'1', b'1', '1', '2023-06-02 11:33:44',
        '1', '2023-06-09 17:48:44', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2177, '运费模板', '', 2, 5, 2174, 'shipping-templates', 'ep:document-copy',
        'mall/product/shippingTemplates/index', 'ShippingTemplates', 0, b'1', b'1', b'1', '', '2023-06-02 14:40:53',
        '1', '2023-06-30 10:38:52', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2178, '运费模板查询', 'product:shipping-templates:query', 3, 1, 2177, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-06-02 14:40:53', '', '2023-06-02 14:40:53', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2179, '运费模板创建', 'product:shipping-templates:create', 3, 2, 2177, '', '', '', NULL, 0, b'1', b'1', b'1',
        '', '2023-06-02 14:40:53', '', '2023-06-02 14:40:53', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2180, '运费模板更新', 'product:shipping-templates:update', 3, 3, 2177, '', '', '', NULL, 0, b'1', b'1', b'1',
        '', '2023-06-02 14:40:53', '', '2023-06-02 14:40:53', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2181, '运费模板删除', 'product:shipping-templates:delete', 3, 4, 2177, '', '', '', NULL, 0, b'1', b'1', b'1',
        '', '2023-06-02 14:40:53', '', '2023-06-02 14:40:53', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2182, '运费模板导出', 'product:shipping-templates:export', 3, 5, 2177, '', '', '', NULL, 0, b'1', b'1', b'1',
        '', '2023-06-02 14:40:53', '', '2023-06-02 14:40:53', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2183, '用户管理', '', 2, 0, 2176, 'user', 'ep:user-filled', 'mall/member/user/index', 'User', 0, b'1', b'1',
        b'1', '', '2023-06-09 15:05:05', '1', '2023-06-09 17:48:55', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2184, '用户查询', 'member:user:query', 3, 1, 2183, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-06-09 15:05:05', '', '2023-06-09 15:05:05', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2185, '用户创建', 'member:user:create', 3, 2, 2183, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-06-09 15:05:05', '', '2023-06-09 15:05:05', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2186, '用户更新', 'member:user:update', 3, 3, 2183, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-06-09 15:05:05', '', '2023-06-09 15:05:05', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2187, '用户删除', 'member:user:delete', 3, 4, 2183, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-06-09 15:05:05', '', '2023-06-09 15:05:05', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2188, '用户导出', 'member:user:export', 3, 5, 2183, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-06-09 15:05:05', '', '2023-06-09 15:05:05', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2189, '评论管理', '', 2, 6, 2174, 'store-product-reply', 'ep:message', 'product/storeProductReply/index',
        'StoreProductReply', 0, b'1', b'1', b'1', '', '2023-06-13 09:47:30', '1', '2023-06-30 10:39:02', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2190, '评论查询', 'product:store-product-reply:query', 3, 1, 2189, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-06-13 09:47:30', '', '2023-06-13 09:47:30', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2191, '评论创建', 'product:store-product-reply:create', 3, 2, 2189, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-06-13 09:47:31', '', '2023-06-13 09:47:31', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2192, '评论更新', 'product:store-product-reply:update', 3, 3, 2189, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-06-13 09:47:31', '', '2023-06-13 09:47:31', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2193, '评论删除', 'product:store-product-reply:delete', 3, 4, 2189, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-06-13 09:47:31', '', '2023-06-13 09:47:31', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2194, '评论导出', 'product:store-product-reply:export', 3, 5, 2189, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-06-13 09:47:31', '', '2023-06-13 09:47:31', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2195, '收藏管理', '', 2, 7, 2174, 'store-product-relation', 'ep:collection',
        'product/storeProductRelation/index', 'StoreProductRelation', 0, b'1', b'1', b'1', '', '2023-06-13 09:49:46',
        '1', '2023-06-30 10:39:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2196, '商品点赞和收藏查询', 'product:store-product-relation:query', 3, 1, 2195, '', '', '', NULL, 0, b'1', b'1',
        b'1', '', '2023-06-13 09:49:46', '', '2023-06-13 09:49:46', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2197, '商品点赞和收藏创建', 'product:store-product-relation:create', 3, 2, 2195, '', '', '', NULL, 0, b'1',
        b'1', b'1', '', '2023-06-13 09:49:46', '', '2023-06-13 09:49:46', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2198, '商品点赞和收藏更新', 'product:store-product-relation:update', 3, 3, 2195, '', '', '', NULL, 0, b'1',
        b'1', b'1', '', '2023-06-13 09:49:46', '', '2023-06-13 09:49:46', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2199, '商品点赞和收藏删除', 'product:store-product-relation:delete', 3, 4, 2195, '', '', '', NULL, 0, b'1',
        b'1', b'1', '', '2023-06-13 09:49:46', '', '2023-06-13 09:49:46', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2200, '商品点赞和收藏导出', 'product:store-product-relation:export', 3, 5, 2195, '', '', '', NULL, 0, b'1',
        b'1', b'1', '', '2023-06-13 09:49:46', '', '2023-06-13 09:49:46', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2201, '购物车管理', '', 2, 8, 2174, 'store-cart', 'ep:shopping-cart', 'cart/storeCart/index', 'StoreCart', 0,
        b'1', b'1', b'1', '', '2023-06-15 17:45:50', '1', '2023-06-30 10:39:21', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2202, '购物车查询', 'cart:store-cart:query', 3, 1, 2201, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-06-15 17:45:50', '', '2023-06-15 17:45:50', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2203, '购物车创建', 'cart:store-cart:create', 3, 2, 2201, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-06-15 17:45:50', '', '2023-06-15 17:45:50', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2204, '购物车更新', 'cart:store-cart:update', 3, 3, 2201, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-06-15 17:45:50', '', '2023-06-15 17:45:50', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2205, '购物车删除', 'cart:store-cart:delete', 3, 4, 2201, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-06-15 17:45:50', '', '2023-06-15 17:45:50', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2206, '购物车导出', 'cart:store-cart:export', 3, 5, 2201, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-06-15 17:45:50', '', '2023-06-15 17:45:50', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2207, '订单管理', '', 2, 0, 2175, 'store-order', 'ep:scale-to-original', 'order/storeOrder/index', 'StoreOrder',
        0, b'1', b'1', b'1', '', '2023-06-17 21:58:17', '1', '2023-06-17 22:24:10', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2208, '订单查询', 'order:store-order:query', 3, 1, 2207, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-06-17 21:58:17', '', '2023-06-17 21:58:17', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2209, '订单创建', 'order:store-order:create', 3, 2, 2207, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-06-17 21:58:17', '', '2023-06-17 21:58:17', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2210, '订单更新', 'order:store-order:update', 3, 3, 2207, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-06-17 21:58:17', '', '2023-06-17 21:58:17', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2211, '订单删除', 'order:store-order:delete', 3, 4, 2207, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-06-17 21:58:17', '', '2023-06-17 21:58:17', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2212, '订单导出', 'order:store-order:export', 3, 5, 2207, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-06-17 21:58:17', '', '2023-06-17 21:58:17', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2213, '地址管理', '', 2, 0, 2176, 'user-address', 'ep:add-location', 'member/userAddress/index', 'UserAddress',
        0, b'1', b'1', b'1', '', '2023-06-18 16:32:34', '1', '2023-07-08 16:34:26', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2214, '用户地址查询', 'member:user-address:query', 3, 1, 2213, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-06-18 16:32:34', '', '2023-06-18 16:32:34', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2215, '用户地址创建', 'member:user-address:create', 3, 2, 2213, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-06-18 16:32:34', '', '2023-06-18 16:32:34', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2216, '用户地址更新', 'member:user-address:update', 3, 3, 2213, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-06-18 16:32:35', '', '2023-06-18 16:32:35', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2217, '用户地址删除', 'member:user-address:delete', 3, 4, 2213, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-06-18 16:32:35', '', '2023-06-18 16:32:35', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2218, '用户地址导出', 'member:user-address:export', 3, 5, 2213, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-06-18 16:32:35', '', '2023-06-18 16:32:35', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2219, '用户账单管理', '', 2, 0, 2176, 'user-bill', '', 'member/userBill/index', 'UserBill', 0, b'1', b'1', b'1',
        '', '2023-06-18 20:33:57', '', '2023-07-08 16:34:05', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2220, '用户账单查询', 'member:user-bill:query', 3, 1, 2219, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-06-18 20:33:57', '', '2023-07-08 16:33:41', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2221, '用户账单创建', 'member:user-bill:create', 3, 2, 2219, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-06-18 20:33:57', '', '2023-07-08 16:33:48', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2222, '用户账单更新', 'member:user-bill:update', 3, 3, 2219, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-06-18 20:33:57', '', '2023-07-08 16:33:52', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2223, '用户账单删除', 'member:user-bill:delete', 3, 4, 2219, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-06-18 20:33:57', '', '2023-07-08 16:33:56', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2224, '用户账单导出', 'member:user-bill:export', 3, 5, 2219, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-06-18 20:33:57', '', '2023-07-08 16:34:00', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2225, '售后订单', '', 2, 1, 2175, 'store-after-sales', 'ep:fold', 'order/storeAfterSales/index',
        'StoreAfterSales', 0, b'1', b'1', b'1', '', '2023-06-18 20:46:31', '1', '2023-07-02 10:21:22', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2226, '售后记录查询', 'order:store-after-sales:query', 3, 1, 2225, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-06-18 20:46:31', '', '2023-06-18 20:46:31', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2227, '售后记录创建', 'order:store-after-sales:create', 3, 2, 2225, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-06-18 20:46:31', '', '2023-06-18 20:46:31', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2228, '售后记录更新', 'order:store-after-sales:update', 3, 3, 2225, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-06-18 20:46:31', '', '2023-06-18 20:46:31', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2229, '售后记录删除', 'order:store-after-sales:delete', 3, 4, 2225, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-06-18 20:46:31', '', '2023-06-18 20:46:31', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2230, '售后记录导出', 'order:store-after-sales:export', 3, 5, 2225, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-06-18 20:46:31', '', '2023-06-18 20:46:31', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2231, '快递公司', '', 2, 1, 2243, 'express', 'ep:expand', 'order/express/index', 'Express', 0, b'1', b'1', b'1',
        '', '2023-07-02 10:12:24', '1', '2023-07-20 18:15:52', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2232, '快递公司查询', 'order:express:query', 3, 1, 2231, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-07-02 10:12:24', '', '2023-07-02 10:12:24', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2233, '快递公司创建', 'order:express:create', 3, 2, 2231, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-07-02 10:12:24', '', '2023-07-02 10:12:24', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2234, '快递公司更新', 'order:express:update', 3, 3, 2231, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-07-02 10:12:24', '', '2023-07-02 10:12:24', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2235, '快递公司删除', 'order:express:delete', 3, 4, 2231, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-07-02 10:12:24', '', '2023-07-02 10:12:24', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2236, '快递公司导出', 'order:express:export', 3, 5, 2231, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-07-02 10:12:24', '', '2023-07-02 10:12:24', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2237, '支付配置', '', 2, 0, 1117, 'merchant-details', 'ep:money', 'pay/merchantDetails/index',
        'MerchantDetails', 0, b'1', b'1', b'1', '', '2023-07-14 14:34:15', '1', '2023-07-14 15:09:50', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2238, '支付服务商配置查询', 'pay:merchant-details:query', 3, 1, 2237, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-07-14 14:34:15', '', '2023-07-14 14:34:15', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2239, '支付服务商配置创建', 'pay:merchant-details:create', 3, 2, 2237, '', '', '', NULL, 0, b'1', b'1', b'1',
        '', '2023-07-14 14:34:15', '', '2023-07-14 14:34:15', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2240, '支付服务商配置更新', 'pay:merchant-details:update', 3, 3, 2237, '', '', '', NULL, 0, b'1', b'1', b'1',
        '', '2023-07-14 14:34:15', '', '2023-07-14 14:34:15', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2241, '支付服务商配置删除', 'pay:merchant-details:delete', 3, 4, 2237, '', '', '', NULL, 0, b'1', b'1', b'1',
        '', '2023-07-14 14:34:15', '', '2023-07-14 14:34:15', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2242, '支付服务商配置导出', 'pay:merchant-details:export', 3, 5, 2237, '', '', '', NULL, 0, b'1', b'1', b'1',
        '', '2023-07-14 14:34:15', '', '2023-07-14 14:34:15', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2243, '快递管理', '', 1, 91, 0, '/express', 'rate', '', '', 0, b'1', b'1', b'1', '1', '2023-07-19 15:36:23',
        '1', '2023-07-19 15:42:40', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2244, '快递鸟配置', '', 2, 3, 2243, 'set', 'ep:setting', 'order/express/ExpressSet', 'set', 0, b'1', b'1', b'1',
        '1', '2023-07-19 16:09:26', '1', '2023-07-19 16:09:26', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2245, '电子面单', '', 2, 2, 2243, 'electronics-order', 'ep:help', 'order/electronicsOrder/index',
        'ElectronicsOrder', 0, b'0', b'1', b'1', '', '2023-07-20 17:50:23', '1', '2023-11-15 17:41:12', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2246, '电子面单查询', 'express:electronics-order:query', 3, 1, 2245, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-07-20 17:50:23', '', '2023-07-20 17:50:23', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2247, '电子面单创建', 'express:electronics-order:create', 3, 2, 2245, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-07-20 17:50:23', '', '2023-07-20 17:50:23', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2248, '电子面单更新', 'express:electronics-order:update', 3, 3, 2245, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-07-20 17:50:23', '', '2023-07-20 17:50:23', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2249, '电子面单删除', 'express:electronics-order:delete', 3, 4, 2245, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-07-20 17:50:23', '', '2023-07-20 17:50:23', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2250, '电子面单导出', 'express:electronics-order:export', 3, 5, 2245, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-07-20 17:50:23', '', '2023-07-20 17:50:23', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2251, '电子面单记录', '', 2, 2, 2175, 'store-order-electronics', 'ep:list', 'order/storeOrderElectronics/index',
        'StoreOrderElectronics', 0, b'0', b'1', b'1', '', '2023-07-22 17:36:49', '1', '2023-11-15 17:41:27', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2252, '订单电子面单记录查询', 'order:store-order-electronics:query', 3, 1, 2251, '', '', '', NULL, 0, b'1',
        b'1', b'1', '', '2023-07-22 17:36:49', '', '2023-07-22 17:36:49', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2253, '订单电子面单记录创建', 'order:store-order-electronics:create', 3, 2, 2251, '', '', '', NULL, 0, b'1',
        b'1', b'1', '', '2023-07-22 17:36:49', '', '2023-07-22 17:36:49', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2254, '订单电子面单记录更新', 'order:store-order-electronics:update', 3, 3, 2251, '', '', '', NULL, 0, b'1',
        b'1', b'1', '', '2023-07-22 17:36:49', '', '2023-07-22 17:36:49', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2255, '订单电子面单记录删除', 'order:store-order-electronics:delete', 3, 4, 2251, '', '', '', NULL, 0, b'1',
        b'1', b'1', '', '2023-07-22 17:36:49', '', '2023-07-22 17:36:49', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2256, '订单电子面单记录导出', 'order:store-order-electronics:export', 3, 5, 2251, '', '', '', NULL, 0, b'1',
        b'1', b'1', '', '2023-07-22 17:36:49', '', '2023-07-22 17:36:49', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2257, '消息管理', '', 1, 92, 0, '/message', 'rate', '', '', 0, b'1', b'1', b'1', '1', '2023-07-25 09:41:06',
        '1', '2023-07-25 10:05:51', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2258, '微信消息', '', 2, 0, 2257, 'wechat-template', 'ep:message', 'message/wechatTemplate/index',
        'WechatTemplate', 0, b'1', b'1', b'1', '', '2023-07-25 09:45:42', '1', '2023-07-25 10:06:49', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2259, '微信模板查询', 'message:wechat-template:query', 3, 1, 2258, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-07-25 09:45:42', '', '2023-07-25 09:45:42', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2260, '微信模板创建', 'message:wechat-template:create', 3, 2, 2258, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-07-25 09:45:42', '', '2023-07-25 09:45:42', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2261, '微信模板更新', 'message:wechat-template:update', 3, 3, 2258, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-07-25 09:45:42', '', '2023-07-25 09:45:42', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2262, '微信模板删除', 'message:wechat-template:delete', 3, 4, 2258, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-07-25 09:45:42', '', '2023-07-25 09:45:42', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2263, '微信模板导出', 'message:wechat-template:export', 3, 5, 2258, '', '', '', NULL, 0, b'1', b'1', b'1', '',
        '2023-07-25 09:45:42', '', '2023-07-25 09:45:42', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2264, '优惠券管理', '', 2, 9, 2174, 'discount-coupon', 'ep:present', 'mall/product/discountCoupon/index',
        'DiscountCoupon', 0, b'1', b'1', b'1', '1', '2023-11-08 20:03:47', '1', '2023-11-08 20:10:26', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2265, '优惠券管理查询', 'product:discount-coupon:query', 3, 0, 2264, '', '', '', '', 0, b'1', b'1', b'1', '1',
        '2023-11-08 20:06:23', '1', '2023-11-08 20:06:23', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2266, '优惠券管理创建', 'product:discount-coupon:create', 3, 1, 2264, '', '', '', '', 0, b'1', b'1', b'1', '1',
        '2023-11-08 20:07:09', '1', '2023-11-08 20:07:09', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2267, '优惠券管理更新', 'product:discount-coupon:update', 3, 2, 2264, '', '', '', '', 0, b'1', b'1', b'1', '1',
        '2023-11-08 20:07:31', '1', '2023-11-08 20:07:43', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2268, '优惠券管理删除', 'product:discount-coupon:delete', 3, 3, 2264, '', '', '', '', 0, b'1', b'1', b'1', '1',
        '2023-11-08 20:08:09', '1', '2023-11-08 20:08:09', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2269, '优惠券管理导出', 'product:discount-coupon:export', 3, 4, 2264, '', '', '', '', 0, b'1', b'1', b'1', '1',
        '2023-11-08 20:08:34', '1', '2023-11-08 20:17:59', b'1');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2274, '备份管理', '', 2, 15, 1, 'store-backup-record', 'ep:coin', 'system/storeBackupRecord/index',
        'StoreBackupRecord', 0, b'1', b'1', b'1', '1', '2023-11-22 11:29:04', '1', '2023-11-22 18:18:50', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2275, '备份记录查询', 'system:store-backup-record:query', 3, 1, 2274, '', '', '', NULL, 0, b'1', b'1', b'1',
        '1', '2023-11-22 11:29:04', '1', '2023-11-22 11:37:46', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2276, '备份', 'system:store-backup-record:backup', 3, 2, 2274, '', '', '', '', 0, b'1', b'1', b'1', '1',
        '2023-11-22 11:29:04', '1', '2023-11-22 11:37:30', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2277, '还原备份', 'system:store-backup-record:revert', 3, 3, 2274, '', '', '', '', 0, b'1', b'1', b'1', '1',
        '2023-11-22 11:29:04', '1', '2023-11-22 11:37:32', b'0');
INSERT INTO `system_menu` (`id`, `name`, `permission`, `type`, `sort`, `parent_id`, `path`, `icon`, `component`,
                           `component_name`, `status`, `visible`, `keep_alive`, `always_show`, `creator`, `create_time`,
                           `updater`, `update_time`, `deleted`)
VALUES (2278, '备份记录删除', 'system:store-backup-record:delete', 3, 4, 2274, '', '', '', NULL, 0, b'1', b'1', b'1',
        '1', '2023-11-22 11:29:04', '1', '2023-11-22 11:37:37', b'0');
COMMIT;

-- ----------------------------
-- Table structure for system_notice
-- ----------------------------
DROP TABLE IF EXISTS `system_notice`;
CREATE TABLE `system_notice`
(
    `id`          bigint(20) NOT NULL AUTO_INCREMENT COMMENT '公告ID',
    `title`       varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '公告标题',
    `content`     text COLLATE utf8mb4_unicode_ci        NOT NULL COMMENT '公告内容',
    `type`        tinyint(4) NOT NULL COMMENT '公告类型（1通知 2公告）',
    `status`      tinyint(4) NOT NULL DEFAULT '0' COMMENT '公告状态（0正常 1关闭）',
    `creator`     varchar(64) COLLATE utf8mb4_unicode_ci          DEFAULT '' COMMENT '创建者',
    `create_time` datetime                               NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater`     varchar(64) COLLATE utf8mb4_unicode_ci          DEFAULT '' COMMENT '更新者',
    `update_time` datetime                               NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted`     bit(1)                                 NOT NULL DEFAULT b'0' COMMENT '是否删除',
    `tenant_id`   bigint(20) NOT NULL DEFAULT '0' COMMENT '租户编号',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='通知公告表';

-- ----------------------------
-- Records of system_notice
-- ----------------------------
BEGIN;
INSERT INTO `system_notice` (`id`, `title`, `content`, `type`, `status`, `creator`, `create_time`, `updater`,
                             `update_time`, `deleted`, `tenant_id`)
VALUES (1, 'B2C单商户微服务-统计报表功能正式发布！', '<p>新版本内容133</p>', 1, 0, 'admin', '2021-01-05 17:03:48', '1',
        '2023-07-26 14:30:37', b'0', 1);
INSERT INTO `system_notice` (`id`, `title`, `content`, `type`, `status`, `creator`, `create_time`, `updater`,
                             `update_time`, `deleted`, `tenant_id`)
VALUES (2, '618最后三天,你还不来',
        '<p><img src=\"http://test.yshop.iocoder.cn/b7cb3cf49b4b3258bf7309a09dd2f4e5.jpg\">维护内容</p>', 2, 1, 'admin',
        '2021-01-05 17:03:48', '1', '2023-07-26 14:30:13', b'0', 1);
INSERT INTO `system_notice` (`id`, `title`, `content`, `type`, `status`, `creator`, `create_time`, `updater`,
                             `update_time`, `deleted`, `tenant_id`)
VALUES (4, 'YSHOP-PRO 预售开始啦', '<p>哈哈哈哈123</p>', 1, 0, '110', '2022-02-22 01:01:25', '1', '2023-07-26 14:29:42',
        b'0', 121);
COMMIT;

-- ----------------------------
-- Table structure for system_notify_message
-- ----------------------------
DROP TABLE IF EXISTS `system_notify_message`;
CREATE TABLE `system_notify_message`
(
    `id`                bigint(20) NOT NULL AUTO_INCREMENT COMMENT '用户ID',
    `user_id`           bigint(20) NOT NULL COMMENT '用户id',
    `user_type`         tinyint(4) NOT NULL COMMENT '用户类型',
    `template_id`       bigint(20) NOT NULL COMMENT '模版编号',
    `template_code`     varchar(64) COLLATE utf8mb4_unicode_ci   NOT NULL COMMENT '模板编码',
    `template_nickname` varchar(63) COLLATE utf8mb4_unicode_ci   NOT NULL COMMENT '模版发送人名称',
    `template_content`  varchar(1024) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '模版内容',
    `template_type`     int(11) NOT NULL COMMENT '模版类型',
    `template_params`   varchar(255) COLLATE utf8mb4_unicode_ci  NOT NULL COMMENT '模版参数',
    `read_status`       bit(1)                                   NOT NULL COMMENT '是否已读',
    `read_time`         datetime                                          DEFAULT NULL COMMENT '阅读时间',
    `creator`           varchar(64) COLLATE utf8mb4_unicode_ci            DEFAULT '' COMMENT '创建者',
    `create_time`       datetime                                 NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater`           varchar(64) COLLATE utf8mb4_unicode_ci            DEFAULT '' COMMENT '更新者',
    `update_time`       datetime                                 NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted`           bit(1)                                   NOT NULL DEFAULT b'0' COMMENT '是否删除',
    `tenant_id`         bigint(20) NOT NULL DEFAULT '0' COMMENT '租户编号',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='站内信消息表';

-- ----------------------------
-- Records of system_notify_message
-- ----------------------------
BEGIN;
INSERT INTO `system_notify_message` (`id`, `user_id`, `user_type`, `template_id`, `template_code`, `template_nickname`,
                                     `template_content`, `template_type`, `template_params`, `read_status`, `read_time`,
                                     `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (2, 1, 2, 1, 'test', '123', '我是 1，我开始 2 了', 1, '{\"name\":\"1\",\"what\":\"2\"}', b'1',
        '2023-02-10 00:47:04', '1', '2023-01-28 11:44:08', '1', '2023-02-10 00:47:04', b'0', 1);
INSERT INTO `system_notify_message` (`id`, `user_id`, `user_type`, `template_id`, `template_code`, `template_nickname`,
                                     `template_content`, `template_type`, `template_params`, `read_status`, `read_time`,
                                     `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (3, 1, 2, 1, 'test', '123', '我是 1，我开始 2 了', 1, '{\"name\":\"1\",\"what\":\"2\"}', b'1',
        '2023-02-10 00:47:04', '1', '2023-01-28 11:45:04', '1', '2023-02-10 00:47:04', b'0', 1);
INSERT INTO `system_notify_message` (`id`, `user_id`, `user_type`, `template_id`, `template_code`, `template_nickname`,
                                     `template_content`, `template_type`, `template_params`, `read_status`, `read_time`,
                                     `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (4, 103, 2, 2, 'register', '系统消息', '你好，欢迎 哈哈 加入大家庭！', 2, '{\"name\":\"哈哈\"}', b'0', NULL, '1',
        '2023-01-28 21:02:20', '1', '2023-01-28 21:02:20', b'0', 1);
INSERT INTO `system_notify_message` (`id`, `user_id`, `user_type`, `template_id`, `template_code`, `template_nickname`,
                                     `template_content`, `template_type`, `template_params`, `read_status`, `read_time`,
                                     `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (5, 1, 2, 1, 'test', '123', '我是 芋艿，我开始 写代码 了', 1, '{\"name\":\"芋艿\",\"what\":\"写代码\"}', b'1',
        '2023-02-10 00:47:04', '1', '2023-01-28 22:21:42', '1', '2023-02-10 00:47:04', b'0', 1);
INSERT INTO `system_notify_message` (`id`, `user_id`, `user_type`, `template_id`, `template_code`, `template_nickname`,
                                     `template_content`, `template_type`, `template_params`, `read_status`, `read_time`,
                                     `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (6, 1, 2, 1, 'test', '123', '我是 芋艿，我开始 写代码 了', 1, '{\"name\":\"芋艿\",\"what\":\"写代码\"}', b'1',
        '2023-01-29 10:52:06', '1', '2023-01-28 22:22:07', '1', '2023-01-29 10:52:06', b'0', 1);
INSERT INTO `system_notify_message` (`id`, `user_id`, `user_type`, `template_id`, `template_code`, `template_nickname`,
                                     `template_content`, `template_type`, `template_params`, `read_status`, `read_time`,
                                     `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (7, 1, 2, 1, 'test', '123', '我是 2，我开始 3 了', 1, '{\"name\":\"2\",\"what\":\"3\"}', b'1',
        '2023-01-29 10:52:06', '1', '2023-01-28 23:45:21', '1', '2023-01-29 10:52:06', b'0', 1);
INSERT INTO `system_notify_message` (`id`, `user_id`, `user_type`, `template_id`, `template_code`, `template_nickname`,
                                     `template_content`, `template_type`, `template_params`, `read_status`, `read_time`,
                                     `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (8, 1, 2, 2, 'register', '系统消息', '你好，欢迎 123 加入大家庭！', 2, '{\"name\":\"123\"}', b'1',
        '2023-01-29 10:52:06', '1', '2023-01-28 23:50:21', '1', '2023-01-29 10:52:06', b'0', 1);
COMMIT;

-- ----------------------------
-- Table structure for system_notify_template
-- ----------------------------
DROP TABLE IF EXISTS `system_notify_template`;
CREATE TABLE `system_notify_template`
(
    `id`          bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
    `name`        varchar(63) COLLATE utf8mb4_unicode_ci   NOT NULL COMMENT '模板名称',
    `code`        varchar(64) COLLATE utf8mb4_unicode_ci   NOT NULL COMMENT '模版编码',
    `nickname`    varchar(255) COLLATE utf8mb4_unicode_ci  NOT NULL COMMENT '发送人名称',
    `content`     varchar(1024) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '模版内容',
    `type`        tinyint(4) NOT NULL COMMENT '类型',
    `params`      varchar(255) COLLATE utf8mb4_unicode_ci           DEFAULT NULL COMMENT '参数数组',
    `status`      tinyint(4) NOT NULL COMMENT '状态',
    `remark`      varchar(255) COLLATE utf8mb4_unicode_ci           DEFAULT NULL COMMENT '备注',
    `creator`     varchar(64) COLLATE utf8mb4_unicode_ci            DEFAULT '' COMMENT '创建者',
    `create_time` datetime                                 NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater`     varchar(64) COLLATE utf8mb4_unicode_ci            DEFAULT '' COMMENT '更新者',
    `update_time` datetime                                 NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted`     bit(1)                                   NOT NULL DEFAULT b'0' COMMENT '是否删除',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='站内信模板表';

-- ----------------------------
-- Records of system_notify_template
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for system_oauth2_access_token
-- ----------------------------
DROP TABLE IF EXISTS `system_oauth2_access_token`;
CREATE TABLE `system_oauth2_access_token`
(
    `id`            bigint(20) NOT NULL AUTO_INCREMENT COMMENT '编号',
    `user_id`       bigint(20) NOT NULL COMMENT '用户编号',
    `user_type`     tinyint(4) NOT NULL COMMENT '用户类型',
    `access_token`  varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '访问令牌',
    `refresh_token` varchar(32) COLLATE utf8mb4_unicode_ci  NOT NULL COMMENT '刷新令牌',
    `client_id`     varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '客户端编号',
    `scopes`        varchar(255) COLLATE utf8mb4_unicode_ci          DEFAULT NULL COMMENT '授权范围',
    `expires_time`  datetime                                NOT NULL COMMENT '过期时间',
    `creator`       varchar(64) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '创建者',
    `create_time`   datetime                                NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater`       varchar(64) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '更新者',
    `update_time`   datetime                                NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted`       bit(1)                                  NOT NULL DEFAULT b'0' COMMENT '是否删除',
    `tenant_id`     bigint(20) NOT NULL DEFAULT '0' COMMENT '租户编号',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=3111 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='OAuth2 访问令牌';

-- ----------------------------
-- Records of system_oauth2_access_token
-- ----------------------------
BEGIN;
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1785, 1, 2, '0e187c6cdd354e80b87f238976f2cec8', '75d6f57cd13f45f698eaaf0b74369a1c', 'default', NULL,
        '2023-05-07 17:21:51', NULL, '2023-05-07 16:51:51', NULL, '2023-05-07 17:25:14', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1786, 1, 2, '807796c036a64724908a2ea57a89e913', '75d6f57cd13f45f698eaaf0b74369a1c', 'default', NULL,
        '2023-05-07 17:55:15', NULL, '2023-05-07 17:25:15', NULL, '2023-05-08 16:54:21', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1787, 1, 2, '56091a60347c484bb8654b1e32b96ab7', '75d6f57cd13f45f698eaaf0b74369a1c', 'default', NULL,
        '2023-05-07 17:55:15', NULL, '2023-05-07 17:25:15', NULL, '2023-05-08 16:54:21', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1788, 1, 2, 'ab7889a8e01943c5abfa72031d7f4089', 'db0011c8e0fd48109c48197df22ef128', 'default', NULL,
        '2023-05-08 17:24:46', NULL, '2023-05-08 16:54:46', NULL, '2023-05-08 17:40:23', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1789, 1, 2, '9cc2f0a2f60b4e63b44334fdd6128bbf', 'db0011c8e0fd48109c48197df22ef128', 'default', NULL,
        '2023-05-08 18:10:23', NULL, '2023-05-08 17:40:23', NULL, '2023-05-08 17:40:23', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1790, 1, 2, '802067755bb540e5a212dc67f9b39b3c', '14cedafe6b3f487eb8ae512e13e952c8', 'default', NULL,
        '2023-05-08 19:01:31', NULL, '2023-05-08 18:31:31', NULL, '2023-05-08 18:32:25', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1791, 1, 2, '2521a4f051a74e51805878b508816a8f', 'bf6a7aeedecc45d5ac838d5b70796f23', 'default', NULL,
        '2023-05-08 19:02:29', NULL, '2023-05-08 18:32:29', NULL, '2023-05-08 19:13:08', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1792, 1, 2, 'acb97bdf826c49a9a0a971c7c93932cb', 'bf6a7aeedecc45d5ac838d5b70796f23', 'default', NULL,
        '2023-05-08 19:43:09', NULL, '2023-05-08 19:13:09', NULL, '2023-05-08 20:10:53', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1793, 1, 2, '07bdfdbd4e40434bbf9107a849d2c52a', 'bf6a7aeedecc45d5ac838d5b70796f23', 'default', NULL,
        '2023-05-08 20:40:53', NULL, '2023-05-08 20:10:53', NULL, '2023-05-09 09:02:21', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1794, 1, 2, 'b5b376d373a74089b7712b0829d28a7e', '81ed7c3c95ff401d924a03dca1c68ad3', 'default', NULL,
        '2023-05-09 10:56:29', NULL, '2023-05-09 10:26:29', NULL, '2023-05-09 10:26:58', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1795, 1, 2, '5a6cdfb5a89048d69852375faa60bf11', 'f61a5716e1474e1084e7a2b786b578ab', 'default', NULL,
        '2023-05-09 11:18:22', NULL, '2023-05-09 10:48:22', NULL, '2023-05-09 10:48:34', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1796, 1, 2, '53751e10977c4c7fa56fb2635f6190f5', '3c23acaae6a946198bca90ba94abf027', 'default', NULL,
        '2023-05-09 11:18:37', NULL, '2023-05-09 10:48:37', NULL, '2023-05-09 11:18:55', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1797, 1, 2, '5449e2f690324342860e863ee7465144', '3c23acaae6a946198bca90ba94abf027', 'default', NULL,
        '2023-05-09 11:48:55', NULL, '2023-05-09 11:18:55', NULL, '2023-05-09 11:49:45', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1798, 1, 2, '107e8c9ef5614e799a020fe8fcd055c8', '3c23acaae6a946198bca90ba94abf027', 'default', NULL,
        '2023-05-09 12:19:45', NULL, '2023-05-09 11:49:45', NULL, '2023-05-09 12:31:57', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1799, 1, 2, '6788b28a5b22448695cc9723cfc740ca', '3c23acaae6a946198bca90ba94abf027', 'default', NULL,
        '2023-05-09 12:19:45', NULL, '2023-05-09 11:49:45', NULL, '2023-05-09 12:31:57', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1800, 1, 2, 'fc4751b616e142428abe708a5ff92715', '3c23acaae6a946198bca90ba94abf027', 'default', NULL,
        '2023-05-09 13:01:57', NULL, '2023-05-09 12:31:57', NULL, '2023-05-09 12:31:57', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1801, 1, 2, 'c066750549e548f3a47b7d06e04cdda4', '3c23acaae6a946198bca90ba94abf027', 'default', NULL,
        '2023-05-09 13:01:57', NULL, '2023-05-09 12:31:57', NULL, '2023-05-09 13:09:17', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1802, 1, 2, 'd1881245e487464bbb1cccc29630f87f', '3c23acaae6a946198bca90ba94abf027', 'default', NULL,
        '2023-05-09 13:39:17', NULL, '2023-05-09 13:09:17', NULL, '2023-05-09 14:11:56', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1803, 1, 2, '2a123ec1a10546c893cbcc4b490a1c93', '3c23acaae6a946198bca90ba94abf027', 'default', NULL,
        '2023-05-09 13:39:17', NULL, '2023-05-09 13:09:17', NULL, '2023-05-09 14:11:56', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1804, 1, 2, '387c52669f3f4aa691c74263dcbbe3b6', '3c23acaae6a946198bca90ba94abf027', 'default', NULL,
        '2023-05-09 14:41:57', NULL, '2023-05-09 14:11:57', NULL, '2023-05-09 16:05:22', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1805, 1, 2, '7fae29f5713b4bd1b38a6e46f20e6c8e', '3c23acaae6a946198bca90ba94abf027', 'default', NULL,
        '2023-05-09 14:41:57', NULL, '2023-05-09 14:11:57', NULL, '2023-05-09 16:05:22', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1806, 1, 2, '0927cea4a12e458ba8dde68947c2284b', '3c23acaae6a946198bca90ba94abf027', 'default', NULL,
        '2023-05-09 16:35:22', NULL, '2023-05-09 16:05:22', NULL, '2023-05-09 16:40:46', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1807, 1, 2, '82eabcecec33439aaa44d9ca4e9aacd8', '3c23acaae6a946198bca90ba94abf027', 'default', NULL,
        '2023-05-09 16:35:22', NULL, '2023-05-09 16:05:22', NULL, '2023-05-09 16:40:46', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1808, 1, 2, '744156fe1a8d4d84b995416d1a30dc64', '3c23acaae6a946198bca90ba94abf027', 'default', NULL,
        '2023-05-09 17:10:47', NULL, '2023-05-09 16:40:47', NULL, '2023-05-09 17:11:22', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1809, 1, 2, '80ccb25f394446f0a7c2bea3588b0ccc', '3c23acaae6a946198bca90ba94abf027', 'default', NULL,
        '2023-05-09 17:41:22', NULL, '2023-05-09 17:11:22', NULL, '2023-05-09 17:41:22', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1810, 1, 2, '9d8eaa8c711b421c95039ef886cc7ad3', '3c23acaae6a946198bca90ba94abf027', 'default', NULL,
        '2023-05-09 18:11:22', NULL, '2023-05-09 17:41:22', NULL, '2023-05-10 09:27:38', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1811, 1, 2, '9803e8b3dab7426fa0d2fc5439a92ba2', '8df8c5baa0ab4bec8f5f95c31343370b', 'default', NULL,
        '2023-05-10 09:59:09', NULL, '2023-05-10 09:29:09', NULL, '2023-05-10 09:29:09', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1812, 1, 2, '0b1155c239bf4a8894031506eed3b064', 'c5124e55bafe4967901b8b6f77758f59', 'default', NULL,
        '2023-05-10 10:15:47', '1', '2023-05-10 09:45:47', '1', '2023-05-10 10:00:48', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1813, 1, 2, '3b11c96303684178983c6300262ed081', '2a3c46462eb04bfdbe25f6f482619bc0', 'default', NULL,
        '2023-05-10 10:30:53', NULL, '2023-05-10 10:00:53', NULL, '2023-05-10 10:31:02', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1814, 1, 2, '57058159e6204ea1aec067ce7102ff2a', '2a3c46462eb04bfdbe25f6f482619bc0', 'default', NULL,
        '2023-05-10 11:01:03', NULL, '2023-05-10 10:31:03', NULL, '2023-05-10 10:35:30', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1815, 1, 2, 'd1b2cb774436466eb1b3600bfa07e92c', '1a8890095585477ebf4e219c70eb8633', 'default', NULL,
        '2023-05-10 11:05:33', NULL, '2023-05-10 10:35:33', NULL, '2023-05-10 11:06:22', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1816, 1, 2, '8277a5d37ec8491b94beffcaf8e3da69', '1a8890095585477ebf4e219c70eb8633', 'default', NULL,
        '2023-05-10 11:36:22', NULL, '2023-05-10 11:06:22', NULL, '2023-05-10 11:06:22', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1817, 1, 2, 'bab5b59016c541e1a806ed1491f5f3ad', '1a8890095585477ebf4e219c70eb8633', 'default', NULL,
        '2023-05-10 11:36:22', NULL, '2023-05-10 11:06:22', NULL, '2023-05-10 11:43:07', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1818, 1, 2, 'bc11ebc57f3e4e749880f9aedd297dcf', '1a8890095585477ebf4e219c70eb8633', 'default', NULL,
        '2023-05-10 12:13:07', NULL, '2023-05-10 11:43:07', NULL, '2023-05-10 12:34:17', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1819, 1, 2, '1319ea584e9e4a3c83046e2a4e2d427a', '1a8890095585477ebf4e219c70eb8633', 'default', NULL,
        '2023-05-10 12:13:07', NULL, '2023-05-10 11:43:07', NULL, '2023-05-10 12:34:17', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1820, 1, 2, '0824129eb01f4474841ec604e2f2928e', '1a8890095585477ebf4e219c70eb8633', 'default', NULL,
        '2023-05-10 13:04:17', NULL, '2023-05-10 12:34:17', NULL, '2023-05-10 14:47:39', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1821, 1, 2, 'fbe488bf57dc420dae2dd8d775d1e95b', '1a8890095585477ebf4e219c70eb8633', 'default', NULL,
        '2023-05-10 15:17:40', NULL, '2023-05-10 14:47:40', NULL, '2023-05-10 15:18:35', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1822, 1, 2, 'cf3551963caa4efa90a6aa1ff9115db2', '1a8890095585477ebf4e219c70eb8633', 'default', NULL,
        '2023-05-10 15:17:40', NULL, '2023-05-10 14:47:40', NULL, '2023-05-10 15:18:35', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1823, 1, 2, '208efe443ada46889ba0f0eb1db8d5b3', '1a8890095585477ebf4e219c70eb8633', 'default', NULL,
        '2023-05-10 15:48:35', NULL, '2023-05-10 15:18:35', NULL, '2023-05-10 15:19:11', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1824, 1, 2, '4305c3ba9f4441db9345f9d113c8a194', '0018c33a1ba64bcebc51cacba9c8e91a', 'default', NULL,
        '2023-05-10 15:49:17', NULL, '2023-05-10 15:19:17', NULL, '2023-05-10 15:49:18', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1825, 1, 2, '182aeefc34f1466f8f69b864a2c07c49', '0018c33a1ba64bcebc51cacba9c8e91a', 'default', NULL,
        '2023-05-10 16:19:18', NULL, '2023-05-10 15:49:18', NULL, '2023-05-10 16:19:35', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1826, 1, 2, 'b18afdf8cac64a64891aeb19174416f3', '0018c33a1ba64bcebc51cacba9c8e91a', 'default', NULL,
        '2023-05-10 16:49:35', NULL, '2023-05-10 16:19:35', NULL, '2023-05-10 16:49:35', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1827, 1, 2, 'c6f820e30f774eaca3075c53a611a066', '0018c33a1ba64bcebc51cacba9c8e91a', 'default', NULL,
        '2023-05-10 17:19:36', NULL, '2023-05-10 16:49:36', NULL, '2023-05-10 18:22:59', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1828, 1, 2, 'f6b9a00c02fd4d0da25c20c9c0063ffc', '0018c33a1ba64bcebc51cacba9c8e91a', 'default', NULL,
        '2023-05-10 18:53:00', NULL, '2023-05-10 18:23:00', NULL, '2023-05-10 19:02:11', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1829, 1, 2, '6b58b85bfd834a4db7dae679144d59e4', '0018c33a1ba64bcebc51cacba9c8e91a', 'default', NULL,
        '2023-05-10 18:53:00', NULL, '2023-05-10 18:23:00', NULL, '2023-05-10 19:02:11', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1830, 1, 2, '04ca3ab3461d40f4a65fdf27f27feb91', '0018c33a1ba64bcebc51cacba9c8e91a', 'default', NULL,
        '2023-05-10 19:32:12', NULL, '2023-05-10 19:02:12', NULL, '2023-05-10 20:11:31', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1831, 1, 2, '1e85819b65d24b07b0460950d6faa64f', '0018c33a1ba64bcebc51cacba9c8e91a', 'default', NULL,
        '2023-05-10 19:32:12', NULL, '2023-05-10 19:02:12', NULL, '2023-05-10 20:11:31', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1832, 1, 2, '4d62489cde684343ad40c037b028fc7e', '0018c33a1ba64bcebc51cacba9c8e91a', 'default', NULL,
        '2023-05-10 20:41:31', NULL, '2023-05-10 20:11:31', NULL, '2023-05-10 20:45:46', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1833, 1, 2, 'e94a42db2fa44e57ba1e29e2462dfbc6', '0018c33a1ba64bcebc51cacba9c8e91a', 'default', NULL,
        '2023-05-10 20:41:31', NULL, '2023-05-10 20:11:31', NULL, '2023-05-10 20:45:46', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1834, 1, 2, '75d68259ac6e4ef2a7d1d08a4bc5de53', '0018c33a1ba64bcebc51cacba9c8e91a', 'default', NULL,
        '2023-05-10 21:15:46', NULL, '2023-05-10 20:45:46', NULL, '2023-05-10 20:45:46', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1835, 1, 2, '322d9930958742658c8194f5c23b8865', '0018c33a1ba64bcebc51cacba9c8e91a', 'default', NULL,
        '2023-05-10 21:15:46', NULL, '2023-05-10 20:45:46', NULL, '2023-05-10 20:45:46', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1836, 1, 2, '904880dd62e143cd9ccac356269b6a0c', '0018c33a1ba64bcebc51cacba9c8e91a', 'default', NULL,
        '2023-05-10 21:15:46', NULL, '2023-05-10 20:45:46', NULL, '2023-05-10 22:47:52', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1837, 1, 2, 'c56ffac4044d4a21981463f12b353fd9', '0018c33a1ba64bcebc51cacba9c8e91a', 'default', NULL,
        '2023-05-10 23:17:53', NULL, '2023-05-10 22:47:53', NULL, '2023-05-10 23:59:21', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1838, 1, 2, 'a3d4c7acc3284fdf9d20796cd25ca5de', '0018c33a1ba64bcebc51cacba9c8e91a', 'default', NULL,
        '2023-05-10 23:17:53', NULL, '2023-05-10 22:47:53', NULL, '2023-05-10 23:59:21', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1839, 1, 2, '5100f2ddc5de45b49bb0ceca4d1e5ed8', '0018c33a1ba64bcebc51cacba9c8e91a', 'default', NULL,
        '2023-05-11 00:29:21', NULL, '2023-05-10 23:59:21', NULL, '2023-05-11 00:33:55', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1840, 1, 2, 'a06f35924852499a969c1d712b36a1e2', '0018c33a1ba64bcebc51cacba9c8e91a', 'default', NULL,
        '2023-05-11 00:29:21', NULL, '2023-05-10 23:59:21', NULL, '2023-05-11 00:33:55', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1841, 1, 2, '56802d4db17b48dd8226336c41c879b7', '0018c33a1ba64bcebc51cacba9c8e91a', 'default', NULL,
        '2023-05-11 01:03:55', NULL, '2023-05-11 00:33:55', NULL, '2023-05-11 00:33:55', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1842, 1, 2, 'ec7b309338984f1f8a96be5499a0bcde', '0018c33a1ba64bcebc51cacba9c8e91a', 'default', NULL,
        '2023-05-11 01:03:55', NULL, '2023-05-11 00:33:55', NULL, '2023-05-11 02:45:15', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1843, 1, 2, 'ef9febc75b664d338e521d4b1aa346ea', '0018c33a1ba64bcebc51cacba9c8e91a', 'default', NULL,
        '2023-05-11 03:15:16', NULL, '2023-05-11 02:45:16', NULL, '2023-05-11 05:14:51', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1844, 1, 2, '9e1180d54aee4165973359cb59d014c5', '0018c33a1ba64bcebc51cacba9c8e91a', 'default', NULL,
        '2023-05-11 03:15:16', NULL, '2023-05-11 02:45:16', NULL, '2023-05-11 05:14:51', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1845, 1, 2, 'f2fc58405cb04d7dab62bc35d8cd58cc', '103842f78cda4e17908fd715d8a18687', 'default', NULL,
        '2023-05-12 13:15:18', NULL, '2023-05-12 12:45:18', NULL, '2023-05-15 16:46:49', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1846, 1, 2, '8071563b738445c6a1fe5bee2ae7418f', '0bbbd3b67f3f424a869e3440c1544d00', 'default', NULL,
        '2023-05-15 17:17:03', NULL, '2023-05-15 16:47:03', NULL, '2023-05-15 17:18:03', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1847, 1, 2, 'bc18a30679334fbdac7c5ccd9b34b426', '0bbbd3b67f3f424a869e3440c1544d00', 'default', NULL,
        '2023-05-15 17:48:03', NULL, '2023-05-15 17:18:03', NULL, '2023-05-16 10:48:01', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1848, 1, 2, 'c37274411771451abc684cca39c2b73a', '6b340d3763424b9d90e3681640a36396', 'default', NULL,
        '2023-05-16 11:20:23', NULL, '2023-05-16 10:50:23', NULL, '2023-05-16 11:21:26', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1849, 1, 2, 'a6de48ee53df4ac098115053be736d55', '43a4b47a53b640b18eeb891337f74ab5', 'default', NULL,
        '2023-05-16 11:21:52', NULL, '2023-05-16 10:51:52', NULL, '2023-05-16 10:51:52', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1850, 1, 2, '44c5dcea2a0a465ca1d13edfd803ff20', '6b340d3763424b9d90e3681640a36396', 'default', NULL,
        '2023-05-16 11:51:27', NULL, '2023-05-16 11:21:27', NULL, '2023-05-16 11:52:28', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1851, 1, 2, 'e09c90d6200345bc8de1cddbc8173eb8', '6b340d3763424b9d90e3681640a36396', 'default', NULL,
        '2023-05-16 11:51:27', NULL, '2023-05-16 11:21:27', NULL, '2023-05-16 11:52:28', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1852, 1, 2, '44043f6ca4da4cfaaca30826ffae849f', '6b340d3763424b9d90e3681640a36396', 'default', NULL,
        '2023-05-16 12:22:29', NULL, '2023-05-16 11:52:29', NULL, '2023-05-16 12:23:26', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1853, 1, 2, 'c92d22b65173450a8e92cd0c96e13d66', '6b340d3763424b9d90e3681640a36396', 'default', NULL,
        '2023-05-16 12:53:27', NULL, '2023-05-16 12:23:27', NULL, '2023-05-16 13:01:41', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1854, 1, 2, 'f616f4b3ae844f5dbaad0d38cc90517c', '6b340d3763424b9d90e3681640a36396', 'default', NULL,
        '2023-05-16 12:53:27', NULL, '2023-05-16 12:23:27', NULL, '2023-05-16 13:01:41', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1855, 1, 2, '98b1940879394784b67dd81216bb2027', '6b340d3763424b9d90e3681640a36396', 'default', NULL,
        '2023-05-16 13:31:42', NULL, '2023-05-16 13:01:42', NULL, '2023-05-16 14:33:47', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1856, 1, 2, '7bc5717ba7d4452d8c2cf0e85bb75533', '6b340d3763424b9d90e3681640a36396', 'default', NULL,
        '2023-05-16 13:31:42', NULL, '2023-05-16 13:01:42', NULL, '2023-05-16 14:33:47', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1857, 1, 2, '13bdef60e1e046a9ad2e743715227271', '6b340d3763424b9d90e3681640a36396', 'default', NULL,
        '2023-05-16 15:03:47', NULL, '2023-05-16 14:33:47', NULL, '2023-05-16 15:53:57', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1858, 1, 2, '97abb8598d0e45d7a485daf291f8fd72', '6b340d3763424b9d90e3681640a36396', 'default', NULL,
        '2023-05-16 15:03:47', NULL, '2023-05-16 14:33:47', NULL, '2023-05-16 15:53:57', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1859, 1, 2, '92c44b71e1b243d1967198d40f0efffa', '6b340d3763424b9d90e3681640a36396', 'default', NULL,
        '2023-05-16 16:23:58', NULL, '2023-05-16 15:53:58', NULL, '2023-05-16 16:24:27', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1860, 1, 2, 'e72f0a49da5a48f6a0629692cd5eae71', '6b340d3763424b9d90e3681640a36396', 'default', NULL,
        '2023-05-16 16:54:27', NULL, '2023-05-16 16:24:27', NULL, '2023-05-16 16:54:27', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1861, 1, 2, 'd4fd13318e064c1e8c96ef92e31e5ae8', '6b340d3763424b9d90e3681640a36396', 'default', NULL,
        '2023-05-16 17:24:27', NULL, '2023-05-16 16:54:27', NULL, '2023-05-16 18:13:26', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1862, 1, 2, '14de636508c542bd9f1c652adaafc454', '6b340d3763424b9d90e3681640a36396', 'default', NULL,
        '2023-05-16 17:24:27', NULL, '2023-05-16 16:54:27', NULL, '2023-05-16 18:13:26', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1863, 1, 2, '6813f34f35984eb5a2133746417b3c02', '6b340d3763424b9d90e3681640a36396', 'default', NULL,
        '2023-05-16 18:43:27', NULL, '2023-05-16 18:13:27', NULL, '2023-05-16 18:49:03', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1864, 1, 2, 'd770c25f22ac44269f109011eabdf7db', '6b340d3763424b9d90e3681640a36396', 'default', NULL,
        '2023-05-16 18:43:27', NULL, '2023-05-16 18:13:27', NULL, '2023-05-16 18:49:03', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1865, 1, 2, 'fbd472e13b9247748b4270ff3592c265', '6b340d3763424b9d90e3681640a36396', 'default', NULL,
        '2023-05-16 19:19:03', NULL, '2023-05-16 18:49:03', NULL, '2023-05-16 18:49:03', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1866, 1, 2, '489bcaa1760f453887c259e9116d6d51', '6b340d3763424b9d90e3681640a36396', 'default', NULL,
        '2023-05-16 19:19:03', NULL, '2023-05-16 18:49:03', NULL, '2023-05-16 19:46:17', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1867, 1, 2, '4b1642789c9646ad80fa38e576fdad61', '6b340d3763424b9d90e3681640a36396', 'default', NULL,
        '2023-05-16 20:16:17', NULL, '2023-05-16 19:46:17', NULL, '2023-05-16 20:20:54', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1868, 1, 2, '1b448d12a7e64088bbb0d208e55b2594', '6b340d3763424b9d90e3681640a36396', 'default', NULL,
        '2023-05-16 20:16:17', NULL, '2023-05-16 19:46:17', NULL, '2023-05-16 20:20:54', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1869, 1, 2, '0f0aa356601d431b86a5c49d17ec0fcd', '6b340d3763424b9d90e3681640a36396', 'default', NULL,
        '2023-05-16 20:50:55', NULL, '2023-05-16 20:20:55', NULL, '2023-05-16 22:23:00', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1870, 1, 2, 'f5a1dbd1c9834e938c6c93e868bbfbbe', '6b340d3763424b9d90e3681640a36396', 'default', NULL,
        '2023-05-16 20:50:55', NULL, '2023-05-16 20:20:55', NULL, '2023-05-16 22:23:00', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1871, 1, 2, '61a05d5aeb2b429ea06b8f33682bd12b', '6b340d3763424b9d90e3681640a36396', 'default', NULL,
        '2023-05-16 22:53:01', NULL, '2023-05-16 22:23:01', NULL, '2023-05-17 00:59:35', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1872, 1, 2, '3336f00eba5b4766ac0687851a5e1e92', '6b340d3763424b9d90e3681640a36396', 'default', NULL,
        '2023-05-16 22:53:01', NULL, '2023-05-16 22:23:01', NULL, '2023-05-17 00:59:35', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1873, 1, 2, 'f4fdb03c07d64ce086ee2e247fb24bad', '61e37d8c2a5e4701bc524385c7f16d6e', 'default', NULL,
        '2023-05-17 10:13:18', NULL, '2023-05-17 09:43:18', NULL, '2023-05-17 10:14:02', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1874, 1, 2, '66dfb1585fb8473c95f932cbf890b7e2', '61e37d8c2a5e4701bc524385c7f16d6e', 'default', NULL,
        '2023-05-17 10:44:02', NULL, '2023-05-17 10:14:02', NULL, '2023-05-17 10:36:15', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1875, 1, 2, '074eb78465004f909ca1cf710c1d5240', 'da42d08c27ec49c78ba758c4ea437f93', 'default', NULL,
        '2023-05-17 11:06:24', NULL, '2023-05-17 10:36:24', NULL, '2023-05-17 11:06:40', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1876, 1, 2, '98aaedd9f2b04cc69f6f46b423f1165d', 'da42d08c27ec49c78ba758c4ea437f93', 'default', NULL,
        '2023-05-17 11:36:41', NULL, '2023-05-17 11:06:41', NULL, '2023-05-17 11:37:44', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1877, 1, 2, '69eb183619c14d2bab541173a9579004', 'da42d08c27ec49c78ba758c4ea437f93', 'default', NULL,
        '2023-05-17 12:07:44', NULL, '2023-05-17 11:37:44', NULL, '2023-05-17 12:09:00', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1878, 1, 2, '41e03824c0594150a44afb2161e4f6fd', 'da42d08c27ec49c78ba758c4ea437f93', 'default', NULL,
        '2023-05-17 12:39:01', NULL, '2023-05-17 12:09:01', NULL, '2023-05-17 12:09:01', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1879, 1, 2, 'bc4038c2feb64e30a57273e497deb990', 'da42d08c27ec49c78ba758c4ea437f93', 'default', NULL,
        '2023-05-17 12:39:01', NULL, '2023-05-17 12:09:01', NULL, '2023-05-17 12:09:01', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1880, 1, 2, 'c21c70739d6148abb52ce50ef5880353', 'da42d08c27ec49c78ba758c4ea437f93', 'default', NULL,
        '2023-05-17 12:39:01', NULL, '2023-05-17 12:09:01', NULL, '2023-05-17 12:50:24', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1881, 1, 2, 'a8c77b4a24024d47909eb853a4581bd2', 'da42d08c27ec49c78ba758c4ea437f93', 'default', NULL,
        '2023-05-17 13:20:24', NULL, '2023-05-17 12:50:24', NULL, '2023-05-17 12:50:24', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1882, 1, 2, '4e13b4457a4a401787105c5f2ed1adf7', 'da42d08c27ec49c78ba758c4ea437f93', 'default', NULL,
        '2023-05-17 13:20:24', NULL, '2023-05-17 12:50:24', NULL, '2023-05-17 13:25:32', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1883, 1, 2, '125a7558250a40699b5c3203e5876220', 'da42d08c27ec49c78ba758c4ea437f93', 'default', NULL,
        '2023-05-17 13:55:32', NULL, '2023-05-17 13:25:32', NULL, '2023-05-17 14:16:21', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1884, 1, 2, '6caa9bcc73c84a8b93e4dffb6c14d484', 'da42d08c27ec49c78ba758c4ea437f93', 'default', NULL,
        '2023-05-17 13:55:32', NULL, '2023-05-17 13:25:32', NULL, '2023-05-17 14:16:21', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1885, 1, 2, 'ae89fac452ba40c1a8c3ca5a88fec946', 'da42d08c27ec49c78ba758c4ea437f93', 'default', NULL,
        '2023-05-17 14:46:21', NULL, '2023-05-17 14:16:21', NULL, '2023-05-17 14:16:21', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1886, 1, 2, '0d7782bfc4f04745aca646cdc632ee4a', 'da42d08c27ec49c78ba758c4ea437f93', 'default', NULL,
        '2023-05-17 14:46:21', NULL, '2023-05-17 14:16:21', NULL, '2023-05-17 14:53:19', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1887, 1, 2, 'e1b3b3954d6048d48b16536ab6261363', 'da42d08c27ec49c78ba758c4ea437f93', 'default', NULL,
        '2023-05-17 15:23:20', NULL, '2023-05-17 14:53:20', NULL, '2023-05-17 14:53:19', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1888, 1, 2, 'b57417e91e6448eaa689d2c370eaf34f', 'da42d08c27ec49c78ba758c4ea437f93', 'default', NULL,
        '2023-05-17 15:23:20', NULL, '2023-05-17 14:53:20', NULL, '2023-05-17 15:24:04', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1889, 1, 2, '3fc9762bcd104e908cc56fae8484e112', 'da42d08c27ec49c78ba758c4ea437f93', 'default', NULL,
        '2023-05-17 15:54:04', NULL, '2023-05-17 15:24:04', NULL, '2023-05-17 15:32:29', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1890, 1, 2, '8d464967a0574468aecc2c088c7cb12e', '980cc8b48f644d5ebf23f8ad67ea970a', 'default', NULL,
        '2023-05-17 16:02:36', NULL, '2023-05-17 15:32:36', NULL, '2023-05-17 16:02:38', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1891, 1, 2, '1110c22e6ade47eeab0d739c57815b63', '980cc8b48f644d5ebf23f8ad67ea970a', 'default', NULL,
        '2023-05-17 16:32:39', NULL, '2023-05-17 16:02:39', NULL, '2023-05-17 16:02:38', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1892, 1, 2, 'dbefe0fbb9754c28ae1f4ad50f6c2982', '980cc8b48f644d5ebf23f8ad67ea970a', 'default', NULL,
        '2023-05-17 16:32:39', NULL, '2023-05-17 16:02:39', NULL, '2023-05-17 16:34:12', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1893, 1, 2, '8c58dfc565294d5a87c78b718c2263a8', '980cc8b48f644d5ebf23f8ad67ea970a', 'default', NULL,
        '2023-05-17 17:04:12', NULL, '2023-05-17 16:34:12', NULL, '2023-05-17 16:34:12', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1894, 1, 2, '7b6da464056945398d1cb3d17531e62c', '980cc8b48f644d5ebf23f8ad67ea970a', 'default', NULL,
        '2023-05-17 17:04:12', NULL, '2023-05-17 16:34:12', NULL, '2023-05-17 16:34:12', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1895, 1, 2, '4ce781b8b83744f9924fd5bf439e747a', '980cc8b48f644d5ebf23f8ad67ea970a', 'default', NULL,
        '2023-05-17 17:04:12', NULL, '2023-05-17 16:34:12', NULL, '2023-05-17 16:34:12', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1896, 1, 2, 'e460a01815a6425c958ddf896f871fc2', '980cc8b48f644d5ebf23f8ad67ea970a', 'default', NULL,
        '2023-05-17 17:04:12', NULL, '2023-05-17 16:34:12', NULL, '2023-05-17 17:04:12', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1897, 1, 2, '5ab4d95152fc4443bb79b6173630e1e0', '980cc8b48f644d5ebf23f8ad67ea970a', 'default', NULL,
        '2023-05-17 17:34:12', NULL, '2023-05-17 17:04:12', NULL, '2023-05-17 17:34:12', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1898, 1, 2, '6657cc1b745d4c1d893c5aff20213376', '980cc8b48f644d5ebf23f8ad67ea970a', 'default', NULL,
        '2023-05-17 17:34:12', NULL, '2023-05-17 17:04:12', NULL, '2023-05-17 17:34:12', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1899, 1, 2, 'fdcc2102684945c2a8f6077f6b4b36ba', '980cc8b48f644d5ebf23f8ad67ea970a', 'default', NULL,
        '2023-05-17 17:34:12', NULL, '2023-05-17 17:04:12', NULL, '2023-05-17 17:34:12', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1900, 1, 2, '0faeea4eb7c84f46b56d6e6979635230', '980cc8b48f644d5ebf23f8ad67ea970a', 'default', NULL,
        '2023-05-17 18:04:12', NULL, '2023-05-17 17:34:12', NULL, '2023-05-17 17:34:12', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1901, 1, 2, 'ddcaffcd415847e682a6532bc044c559', '980cc8b48f644d5ebf23f8ad67ea970a', 'default', NULL,
        '2023-05-17 18:04:12', NULL, '2023-05-17 17:34:12', NULL, '2023-05-17 18:04:12', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1902, 1, 2, 'd007693a00354a68987b11fba4df8470', '980cc8b48f644d5ebf23f8ad67ea970a', 'default', NULL,
        '2023-05-17 18:04:12', NULL, '2023-05-17 17:34:12', NULL, '2023-05-17 18:04:12', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1903, 1, 2, 'f304582db9d64e1aae59a8ad83747474', '980cc8b48f644d5ebf23f8ad67ea970a', 'default', NULL,
        '2023-05-17 18:04:12', NULL, '2023-05-17 17:34:12', NULL, '2023-05-17 18:04:12', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1904, 1, 2, 'f77659bf01174bf8a1fade55aedd4678', '980cc8b48f644d5ebf23f8ad67ea970a', 'default', NULL,
        '2023-05-17 18:34:12', NULL, '2023-05-17 18:04:12', NULL, '2023-05-17 18:41:13', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1905, 1, 2, '7d2daaa94ff744c9824e62deebd3275d', '980cc8b48f644d5ebf23f8ad67ea970a', 'default', NULL,
        '2023-05-17 18:34:12', NULL, '2023-05-17 18:04:12', NULL, '2023-05-17 18:41:13', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1906, 1, 2, '3c9c786af2a541569db208d738d98047', '980cc8b48f644d5ebf23f8ad67ea970a', 'default', NULL,
        '2023-05-17 18:34:12', NULL, '2023-05-17 18:04:12', NULL, '2023-05-17 18:41:13', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1907, 1, 2, '128fc462cc3c475dbe22b3d36634f3a2', '980cc8b48f644d5ebf23f8ad67ea970a', 'default', NULL,
        '2023-05-17 18:34:12', NULL, '2023-05-17 18:04:12', NULL, '2023-05-17 18:41:13', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1908, 1, 2, '0e72191e165341b0bf3e4e3348987233', '980cc8b48f644d5ebf23f8ad67ea970a', 'default', NULL,
        '2023-05-17 19:11:14', NULL, '2023-05-17 18:41:14', NULL, '2023-05-17 19:11:15', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1909, 1, 2, '7592183274674048a8e60aa8a6a97d46', '980cc8b48f644d5ebf23f8ad67ea970a', 'default', NULL,
        '2023-05-17 19:11:14', NULL, '2023-05-17 18:41:14', NULL, '2023-05-17 19:11:15', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1910, 1, 2, 'dc741cec07234f07b0aa52171f771153', '980cc8b48f644d5ebf23f8ad67ea970a', 'default', NULL,
        '2023-05-17 19:11:14', NULL, '2023-05-17 18:41:14', NULL, '2023-05-17 19:11:15', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1911, 1, 2, '2aa4120df4bb434887cffeb3f722ec84', '980cc8b48f644d5ebf23f8ad67ea970a', 'default', NULL,
        '2023-05-17 19:11:14', NULL, '2023-05-17 18:41:14', NULL, '2023-05-17 19:11:15', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1912, 1, 2, '2bd06ff502f74267a20614736e84d840', '980cc8b48f644d5ebf23f8ad67ea970a', 'default', NULL,
        '2023-05-17 19:41:16', NULL, '2023-05-17 19:11:16', NULL, '2023-05-17 19:11:15', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1913, 1, 2, 'a1244038ff434feca4fa287bdf0f1b1c', '980cc8b48f644d5ebf23f8ad67ea970a', 'default', NULL,
        '2023-05-17 19:41:16', NULL, '2023-05-17 19:11:16', NULL, '2023-05-17 19:11:15', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1914, 1, 2, '46c2d80239b646d894e85688ae455f0b', '980cc8b48f644d5ebf23f8ad67ea970a', 'default', NULL,
        '2023-05-17 19:41:16', NULL, '2023-05-17 19:11:16', NULL, '2023-05-17 19:11:15', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1915, 1, 2, 'e02bbda3cce34644b967c8acff0c439a', '980cc8b48f644d5ebf23f8ad67ea970a', 'default', NULL,
        '2023-05-17 19:41:16', NULL, '2023-05-17 19:11:16', NULL, '2023-05-17 20:12:32', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1916, 1, 2, 'a7c249a2507a443e95490bb914a36488', '980cc8b48f644d5ebf23f8ad67ea970a', 'default', NULL,
        '2023-05-17 20:42:32', NULL, '2023-05-17 20:12:32', NULL, '2023-05-17 20:12:32', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1917, 1, 2, '5e0a9c0d56d943e5a1e1613db05f7468', '980cc8b48f644d5ebf23f8ad67ea970a', 'default', NULL,
        '2023-05-17 20:42:32', NULL, '2023-05-17 20:12:32', NULL, '2023-05-17 20:12:32', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1918, 1, 2, '15988e3f0387433bb8fea58916332c88', '980cc8b48f644d5ebf23f8ad67ea970a', 'default', NULL,
        '2023-05-17 20:42:32', NULL, '2023-05-17 20:12:32', NULL, '2023-05-17 20:12:32', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1919, 1, 2, '9bcc842e164d46e59cc7c3058e32f44c', '980cc8b48f644d5ebf23f8ad67ea970a', 'default', NULL,
        '2023-05-17 20:42:32', NULL, '2023-05-17 20:12:32', NULL, '2023-05-17 20:12:32', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1920, 1, 2, 'e9b5e0b1a8154fdfb27a73ad8b1a2a31', '980cc8b48f644d5ebf23f8ad67ea970a', 'default', NULL,
        '2023-05-17 20:42:32', NULL, '2023-05-17 20:12:32', NULL, '2023-05-17 22:47:25', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1921, 1, 2, '7b08107c46304cb48436306065d65db9', '980cc8b48f644d5ebf23f8ad67ea970a', 'default', NULL,
        '2023-05-17 23:17:26', NULL, '2023-05-17 22:47:26', NULL, '2023-05-17 22:47:25', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1922, 1, 2, 'ad350c5ba6ef418c947d0c41215221bc', '980cc8b48f644d5ebf23f8ad67ea970a', 'default', NULL,
        '2023-05-17 23:17:26', NULL, '2023-05-17 22:47:26', NULL, '2023-05-17 22:47:25', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1923, 1, 2, '522c986c539d45bfaae88f10dbeffae0', '980cc8b48f644d5ebf23f8ad67ea970a', 'default', NULL,
        '2023-05-17 23:17:26', NULL, '2023-05-17 22:47:26', NULL, '2023-05-17 23:22:03', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1924, 1, 2, '784910bedcb04049b48e3db5961b1fd8', '980cc8b48f644d5ebf23f8ad67ea970a', 'default', NULL,
        '2023-05-17 23:17:26', NULL, '2023-05-17 22:47:26', NULL, '2023-05-17 23:22:03', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1925, 1, 2, '798bdee9f15a47129a230ac6a1531f4c', '980cc8b48f644d5ebf23f8ad67ea970a', 'default', NULL,
        '2023-05-17 23:52:03', NULL, '2023-05-17 23:22:03', NULL, '2023-05-17 23:22:03', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1926, 1, 2, '67de8b39a8654dee92785c642dd4a22b', '980cc8b48f644d5ebf23f8ad67ea970a', 'default', NULL,
        '2023-05-17 23:52:03', NULL, '2023-05-17 23:22:03', NULL, '2023-05-17 23:22:03', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1927, 1, 2, '9f5db70bbc3142ce810d7b1a4984be84', '980cc8b48f644d5ebf23f8ad67ea970a', 'default', NULL,
        '2023-05-17 23:52:03', NULL, '2023-05-17 23:22:03', NULL, '2023-05-17 23:22:03', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1928, 1, 2, 'fd6159879a59456799d13d46c855ebf4', '980cc8b48f644d5ebf23f8ad67ea970a', 'default', NULL,
        '2023-05-17 23:52:03', NULL, '2023-05-17 23:22:03', NULL, '2023-05-18 00:07:15', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1929, 1, 2, '72e12dd1f28e4c12b91699629041133a', '980cc8b48f644d5ebf23f8ad67ea970a', 'default', NULL,
        '2023-05-17 23:52:03', NULL, '2023-05-17 23:22:03', NULL, '2023-05-18 00:07:15', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1930, 1, 2, '9cca5f3bcb694ea4a2945b5de92cd37b', '980cc8b48f644d5ebf23f8ad67ea970a', 'default', NULL,
        '2023-05-18 00:37:15', NULL, '2023-05-18 00:07:15', NULL, '2023-05-18 00:07:15', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1931, 1, 2, '6c2fc30af9814302b386e3e843f21ba2', '980cc8b48f644d5ebf23f8ad67ea970a', 'default', NULL,
        '2023-05-18 00:37:15', NULL, '2023-05-18 00:07:15', NULL, '2023-05-18 00:07:15', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1932, 1, 2, '12e45cb99a494e508ca70ac8e5ba5916', '980cc8b48f644d5ebf23f8ad67ea970a', 'default', NULL,
        '2023-05-18 00:37:15', NULL, '2023-05-18 00:07:15', NULL, '2023-05-18 02:41:58', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1933, 1, 2, 'e23949caf7ba4ba3a79b7ab34e13fafb', '980cc8b48f644d5ebf23f8ad67ea970a', 'default', NULL,
        '2023-05-18 00:37:15', NULL, '2023-05-18 00:07:15', NULL, '2023-05-18 02:41:58', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1934, 1, 2, '28b3eb9c30244d83a223b9e975962ef8', '980cc8b48f644d5ebf23f8ad67ea970a', 'default', NULL,
        '2023-05-18 03:11:59', NULL, '2023-05-18 02:41:59', NULL, '2023-05-18 02:41:58', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1935, 1, 2, 'dc34db6f67324aa0b09aef0619f7ce8a', '980cc8b48f644d5ebf23f8ad67ea970a', 'default', NULL,
        '2023-05-18 03:11:59', NULL, '2023-05-18 02:41:59', NULL, '2023-05-18 02:41:58', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1936, 1, 2, '8b471c5177d645be84ee3b60d68d232f', '980cc8b48f644d5ebf23f8ad67ea970a', 'default', NULL,
        '2023-05-18 03:11:59', NULL, '2023-05-18 02:41:59', NULL, '2023-05-18 02:41:58', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1937, 1, 2, '3cc3c9280a2d4f94acd30f9d77765057', '980cc8b48f644d5ebf23f8ad67ea970a', 'default', NULL,
        '2023-05-18 03:11:59', NULL, '2023-05-18 02:41:59', NULL, '2023-05-18 02:41:58', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1938, 1, 2, 'ddb30b00c1154e73ac00f32398617ead', '980cc8b48f644d5ebf23f8ad67ea970a', 'default', NULL,
        '2023-05-18 03:11:59', NULL, '2023-05-18 02:41:59', NULL, '2023-05-18 05:11:25', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1939, 1, 2, '8442f44982424f9086889a9021433c46', '79eea49740de4c818263547f73259576', 'default', NULL,
        '2023-05-18 10:38:43', NULL, '2023-05-18 10:08:43', NULL, '2023-05-18 10:39:57', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1940, 1, 2, '99ee83bd90e34681bc9b21d29275cc19', '79eea49740de4c818263547f73259576', 'default', NULL,
        '2023-05-18 11:09:57', NULL, '2023-05-18 10:39:57', NULL, '2023-05-18 11:11:41', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1941, 1, 2, 'd5b236154b83438bbb8c4f8b5f756de0', '79eea49740de4c818263547f73259576', 'default', NULL,
        '2023-05-18 11:41:42', NULL, '2023-05-18 11:11:42', NULL, '2023-05-18 11:45:54', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1942, 1, 2, '22363a0c3e9c4bbf95d3e233d1a74b74', '79eea49740de4c818263547f73259576', 'default', NULL,
        '2023-05-18 12:15:55', NULL, '2023-05-18 11:45:55', NULL, '2023-05-18 12:20:17', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1943, 1, 2, '37174dc387b94f359667802008bb7cca', '79eea49740de4c818263547f73259576', 'default', NULL,
        '2023-05-18 12:50:18', NULL, '2023-05-18 12:20:18', NULL, '2023-05-18 13:23:38', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1944, 1, 2, '7cdf1cf88d904db0802297af8ae6c21e', '79eea49740de4c818263547f73259576', 'default', NULL,
        '2023-05-18 13:53:38', NULL, '2023-05-18 13:23:38', NULL, '2023-05-18 13:55:18', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1945, 1, 2, '545a62415cb64d63af4a09bf23cbf675', '79eea49740de4c818263547f73259576', 'default', NULL,
        '2023-05-18 14:25:18', NULL, '2023-05-18 13:55:18', NULL, '2023-05-18 14:39:23', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1946, 1, 2, '7b248757ab164bd2a5aa0f473a51ecde', '79eea49740de4c818263547f73259576', 'default', NULL,
        '2023-05-18 15:09:23', NULL, '2023-05-18 14:39:23', NULL, '2023-05-18 15:10:37', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1947, 1, 2, 'c604547d650343b29b0e1780818203b2', '79eea49740de4c818263547f73259576', 'default', NULL,
        '2023-05-18 15:40:38', NULL, '2023-05-18 15:10:38', NULL, '2023-05-18 15:40:46', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1948, 1, 2, '0cba07dfa289470e834f278d94c5aebb', '79eea49740de4c818263547f73259576', 'default', NULL,
        '2023-05-18 16:10:47', NULL, '2023-05-18 15:40:47', NULL, '2023-05-18 16:12:36', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1949, 1, 2, '0c98bef7e44d4d4e80f53ffc5cbe11af', '79eea49740de4c818263547f73259576', 'default', NULL,
        '2023-05-18 16:42:36', NULL, '2023-05-18 16:12:36', NULL, '2023-05-18 16:43:33', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1950, 1, 2, 'af913149d8d64fb298b07c15f647c97d', '79eea49740de4c818263547f73259576', 'default', NULL,
        '2023-05-18 17:13:33', NULL, '2023-05-18 16:43:33', NULL, '2023-05-18 17:37:35', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1951, 1, 2, 'cd8ca5c24f8e4872a9362fef64ebaa2d', '79eea49740de4c818263547f73259576', 'default', NULL,
        '2023-05-18 18:07:35', NULL, '2023-05-18 17:37:35', NULL, '2023-05-18 18:08:06', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1952, 1, 2, '1d922166948b409c8e17d64f263280d6', '79eea49740de4c818263547f73259576', 'default', NULL,
        '2023-05-18 18:38:07', NULL, '2023-05-18 18:08:07', NULL, '2023-05-18 18:39:43', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1953, 1, 2, '5c4cb65611124dd2b63c912f9d0464a7', '79eea49740de4c818263547f73259576', 'default', NULL,
        '2023-05-18 19:09:43', NULL, '2023-05-18 18:39:43', NULL, '2023-05-18 19:18:00', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1954, 1, 2, '4b5b59b9fd4c453ba896d9b0accd585b', '79eea49740de4c818263547f73259576', 'default', NULL,
        '2023-05-18 19:48:00', NULL, '2023-05-18 19:18:00', NULL, '2023-05-18 20:03:19', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1955, 1, 2, 'a88a179c39374913ba9c4712570009f2', '79eea49740de4c818263547f73259576', 'default', NULL,
        '2023-05-18 20:33:19', NULL, '2023-05-18 20:03:19', NULL, '2023-05-18 22:38:09', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1956, 1, 2, '77b4fc1e074f4688a9e091b13f42f47c', '57bb985009dc4cf7bddc6ad79af3c7d2', 'default', NULL,
        '2023-05-19 11:45:16', NULL, '2023-05-19 11:15:16', NULL, '2023-05-19 11:46:50', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1957, 1, 2, '1379b2a1d09341a6a278168e0cf20aa5', '57bb985009dc4cf7bddc6ad79af3c7d2', 'default', NULL,
        '2023-05-19 12:16:51', NULL, '2023-05-19 11:46:51', NULL, '2023-05-19 12:19:03', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1958, 1, 2, 'bb8fca19c45f428b8cb27c3f644df51d', '57bb985009dc4cf7bddc6ad79af3c7d2', 'default', NULL,
        '2023-05-19 12:49:03', NULL, '2023-05-19 12:19:03', NULL, '2023-05-19 13:04:08', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1959, 1, 2, '28b09dc1870646ed99644d711d6f5f7f', '57bb985009dc4cf7bddc6ad79af3c7d2', 'default', NULL,
        '2023-05-19 13:34:09', NULL, '2023-05-19 13:04:09', NULL, '2023-05-19 15:10:59', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1960, 1, 2, 'f5234da8d44346fc8f875966a82302f9', '57bb985009dc4cf7bddc6ad79af3c7d2', 'default', NULL,
        '2023-05-19 15:41:00', NULL, '2023-05-19 15:11:00', NULL, '2023-05-19 15:42:30', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1961, 1, 2, '3e5e262ef5d646bfa42f236d91fcd8fc', '57bb985009dc4cf7bddc6ad79af3c7d2', 'default', NULL,
        '2023-05-19 16:12:31', NULL, '2023-05-19 15:42:31', NULL, '2023-05-19 16:14:14', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1962, 1, 2, '833460c6f5ca4ed38b00c9c8bd590473', '57bb985009dc4cf7bddc6ad79af3c7d2', 'default', NULL,
        '2023-05-19 16:44:15', NULL, '2023-05-19 16:14:15', NULL, '2023-05-19 17:45:19', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1963, 1, 2, '52350e933b0b42199b27d091b65598c4', '57bb985009dc4cf7bddc6ad79af3c7d2', 'default', NULL,
        '2023-05-19 18:15:20', NULL, '2023-05-19 17:45:20', NULL, '2023-05-19 18:16:27', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1964, 1, 2, 'c985612335f34501b5097a76a0a0aeb6', '57bb985009dc4cf7bddc6ad79af3c7d2', 'default', NULL,
        '2023-05-19 18:46:27', NULL, '2023-05-19 18:16:27', NULL, '2023-05-19 18:56:32', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1965, 1, 2, 'b71b1736358f44c7a5169eb3ff317624', '57bb985009dc4cf7bddc6ad79af3c7d2', 'default', NULL,
        '2023-05-19 19:26:33', NULL, '2023-05-19 18:56:33', NULL, '2023-05-19 19:27:25', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1966, 1, 2, '3adc5b40b3814d82aac099a147b54668', '57bb985009dc4cf7bddc6ad79af3c7d2', 'default', NULL,
        '2023-05-19 19:57:25', NULL, '2023-05-19 19:27:25', NULL, '2023-05-19 20:02:44', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1967, 1, 2, 'cc22b0e068fa45578ce8cf2e048753c7', '57bb985009dc4cf7bddc6ad79af3c7d2', 'default', NULL,
        '2023-05-19 20:32:44', NULL, '2023-05-19 20:02:44', NULL, '2023-05-19 20:47:56', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1968, 1, 2, '07e7b3b6ebda475a90b24c3023c114d6', '57bb985009dc4cf7bddc6ad79af3c7d2', 'default', NULL,
        '2023-05-19 21:17:57', NULL, '2023-05-19 20:47:57', NULL, '2023-05-19 21:56:14', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1969, 1, 2, '42f832a1b714441fb455091f939acff5', '57bb985009dc4cf7bddc6ad79af3c7d2', 'default', NULL,
        '2023-05-19 22:26:15', NULL, '2023-05-19 21:56:15', NULL, '2023-05-20 00:04:34', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1970, 1, 2, '223b632025cc4ae19e603ba9ef21b252', '4acc066051154ac4999e5e96d7ea45db', 'default', NULL,
        '2023-05-20 21:36:58', NULL, '2023-05-20 21:06:58', NULL, '2023-05-20 21:38:17', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1971, 1, 2, '0836908397fd42249866651bc39dad08', '4acc066051154ac4999e5e96d7ea45db', 'default', NULL,
        '2023-05-20 22:08:18', NULL, '2023-05-20 21:38:18', NULL, '2023-05-21 16:18:00', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1972, 1, 2, '71e8bae1d1184ade8e4a36e5d1ab5afa', 'da94f8ec79fe4700a46863423341f6df', 'default', NULL,
        '2023-05-21 22:08:22', NULL, '2023-05-21 21:38:22', NULL, '2023-05-21 22:10:05', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1973, 1, 2, 'c5a552029812421aa5bac7617bc86039', 'da94f8ec79fe4700a46863423341f6df', 'default', NULL,
        '2023-05-21 22:40:05', NULL, '2023-05-21 22:10:05', NULL, '2023-05-21 22:41:23', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1974, 1, 2, '3b0cc2571d8a4e70a2dd1f88afceed86', 'da94f8ec79fe4700a46863423341f6df', 'default', NULL,
        '2023-05-21 23:11:23', NULL, '2023-05-21 22:41:23', NULL, '2023-05-21 22:41:23', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1975, 1, 2, 'a1ad790da0d443afbdbe1d958ba9d348', '414461f65aef434486d8c6f82eb32a1b', 'default', NULL,
        '2023-05-21 23:32:11', NULL, '2023-05-21 23:02:11', NULL, '2023-05-21 23:37:17', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1976, 1, 2, '52cbfb4f2055417b9d55b761c08234b0', '414461f65aef434486d8c6f82eb32a1b', 'default', NULL,
        '2023-05-22 00:07:17', NULL, '2023-05-21 23:37:17', NULL, '2023-05-22 00:07:20', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1977, 1, 2, '4bd7c632b0f54feb9747e80954c1734d', '414461f65aef434486d8c6f82eb32a1b', 'default', NULL,
        '2023-05-22 00:37:21', NULL, '2023-05-22 00:07:21', NULL, '2023-05-22 00:37:37', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1978, 1, 2, '231ea57d837b444aa8de3af29db581d3', '414461f65aef434486d8c6f82eb32a1b', 'default', NULL,
        '2023-05-22 01:07:38', NULL, '2023-05-22 00:37:38', NULL, '2023-05-22 00:37:39', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1979, 1, 2, '28bb94aaf3484fd49620caf7bc1b25a4', '414461f65aef434486d8c6f82eb32a1b', 'default', NULL,
        '2023-05-22 01:07:39', NULL, '2023-05-22 00:37:39', NULL, '2023-05-22 00:37:42', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1980, 1, 2, '66cbf7be569b48829a59f9a3772881db', '414461f65aef434486d8c6f82eb32a1b', 'default', NULL,
        '2023-05-22 01:07:43', NULL, '2023-05-22 00:37:43', NULL, '2023-05-22 01:08:10', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1981, 1, 2, '622edd885a4a4312bf939412df3f608a', '414461f65aef434486d8c6f82eb32a1b', 'default', NULL,
        '2023-05-22 01:38:11', NULL, '2023-05-22 01:08:11', NULL, '2023-05-22 01:39:57', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1982, 1, 2, '3d131e39d62947f892e1c795229f4a85', '414461f65aef434486d8c6f82eb32a1b', 'default', NULL,
        '2023-05-22 02:09:58', NULL, '2023-05-22 01:39:58', NULL, '2023-05-22 02:11:12', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1983, 1, 2, 'd488fb45d66642dd81e3937e66913a15', '414461f65aef434486d8c6f82eb32a1b', 'default', NULL,
        '2023-05-22 02:41:13', NULL, '2023-05-22 02:11:13', NULL, '2023-05-22 02:42:05', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1984, 1, 2, '6d7d108d74ed4e788495c5f23155e717', '414461f65aef434486d8c6f82eb32a1b', 'default', NULL,
        '2023-05-22 03:12:05', NULL, '2023-05-22 02:42:05', NULL, '2023-05-22 03:12:14', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1985, 1, 2, '6b0f447a186a4596be03c25a7b98043f', '414461f65aef434486d8c6f82eb32a1b', 'default', NULL,
        '2023-05-22 03:42:14', NULL, '2023-05-22 03:12:14', NULL, '2023-05-22 03:44:08', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1986, 1, 2, 'df88edda4d1745938eb76d80f2e2a87a', '414461f65aef434486d8c6f82eb32a1b', 'default', NULL,
        '2023-05-22 04:14:08', NULL, '2023-05-22 03:44:08', NULL, '2023-05-22 04:16:10', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1987, 1, 2, 'e6dfcf6afad34c5fa6e86f6a806cac89', '414461f65aef434486d8c6f82eb32a1b', 'default', NULL,
        '2023-05-22 04:46:11', NULL, '2023-05-22 04:16:11', NULL, '2023-05-22 04:48:13', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1988, 1, 2, '7d2f67ed85674cec876c4990c3420645', '414461f65aef434486d8c6f82eb32a1b', 'default', NULL,
        '2023-05-22 05:18:13', NULL, '2023-05-22 04:48:13', NULL, '2023-05-22 05:18:20', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1989, 1, 2, '22038346eaee4a39b98c97d907f6b76b', '414461f65aef434486d8c6f82eb32a1b', 'default', NULL,
        '2023-05-22 05:48:21', NULL, '2023-05-22 05:18:21', NULL, '2023-05-22 05:50:09', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1990, 1, 2, 'a4ea825ee1a945c8a600e26bb65c7819', '414461f65aef434486d8c6f82eb32a1b', 'default', NULL,
        '2023-05-22 06:20:09', NULL, '2023-05-22 05:50:09', NULL, '2023-05-22 06:22:19', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1991, 1, 2, '92a60e4103a94d479a6a0c0c089cb49e', '414461f65aef434486d8c6f82eb32a1b', 'default', NULL,
        '2023-05-22 06:52:20', NULL, '2023-05-22 06:22:20', NULL, '2023-05-22 06:53:03', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1992, 1, 2, '0c37faf4489d450393a8ab4af71c44ca', '414461f65aef434486d8c6f82eb32a1b', 'default', NULL,
        '2023-05-22 07:23:03', NULL, '2023-05-22 06:53:03', NULL, '2023-05-22 07:23:14', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1993, 1, 2, 'a12f200472404db2a8aa66aa182c0bd2', '414461f65aef434486d8c6f82eb32a1b', 'default', NULL,
        '2023-05-22 07:53:14', NULL, '2023-05-22 07:23:14', NULL, '2023-05-22 07:54:00', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1994, 1, 2, '561005eae3b14270b84b1fbc8f2d43f2', '414461f65aef434486d8c6f82eb32a1b', 'default', NULL,
        '2023-05-22 08:24:00', NULL, '2023-05-22 07:54:00', NULL, '2023-05-22 08:24:19', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1995, 1, 2, '23bdd7bceb0d41a985bd79129e24c01b', '414461f65aef434486d8c6f82eb32a1b', 'default', NULL,
        '2023-05-22 08:54:19', NULL, '2023-05-22 08:24:19', NULL, '2023-05-22 08:57:13', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1996, 1, 2, '9aa37214287d4772b18e1290307beb2c', '414461f65aef434486d8c6f82eb32a1b', 'default', NULL,
        '2023-05-22 09:27:14', NULL, '2023-05-22 08:57:14', NULL, '2023-05-22 09:57:57', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1997, 1, 2, '09e69abfffab4612bf0711e6ad9fd17e', '414461f65aef434486d8c6f82eb32a1b', 'default', NULL,
        '2023-05-22 10:27:57', NULL, '2023-05-22 09:57:57', NULL, '2023-05-22 10:27:58', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1998, 1, 2, '9756f9505dcd405f806ce4116281e76b', '414461f65aef434486d8c6f82eb32a1b', 'default', NULL,
        '2023-05-22 10:57:59', NULL, '2023-05-22 10:27:59', NULL, '2023-05-22 10:58:42', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (1999, 1, 2, '0646b3404980441d927566338f9248e7', '414461f65aef434486d8c6f82eb32a1b', 'default', NULL,
        '2023-05-22 11:28:42', NULL, '2023-05-22 10:58:42', NULL, '2023-05-22 22:56:28', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2000, 1, 2, '2cc309a5003f4a3498a0698c35f59236', 'd2a7614495424a1bb0ba5cae79b5660f', 'default', NULL,
        '2023-05-22 12:33:17', NULL, '2023-05-22 12:03:17', NULL, '2023-05-22 12:33:19', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2001, 1, 2, '7e73e9284a4b4197a83832b6ba6e5b09', 'd2a7614495424a1bb0ba5cae79b5660f', 'default', NULL,
        '2023-05-22 13:03:20', NULL, '2023-05-22 12:33:20', NULL, '2023-05-22 13:04:19', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2002, 1, 2, 'ca9e775170d147dabe53c44ec4440d27', 'd2a7614495424a1bb0ba5cae79b5660f', 'default', NULL,
        '2023-05-22 13:34:19', NULL, '2023-05-22 13:04:19', NULL, '2023-05-22 13:34:40', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2003, 1, 2, '3a842e17d13443a9bf045dc300febcf2', 'd2a7614495424a1bb0ba5cae79b5660f', 'default', NULL,
        '2023-05-22 14:04:41', NULL, '2023-05-22 13:34:41', NULL, '2023-05-22 14:05:19', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2004, 1, 2, 'e33ad668ff454195a28bed05dad4df91', 'd2a7614495424a1bb0ba5cae79b5660f', 'default', NULL,
        '2023-05-22 14:35:20', NULL, '2023-05-22 14:05:20', NULL, '2023-05-22 14:05:19', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2005, 1, 2, 'b1daa4e986e64686af6b518dd96e1aa6', 'd2a7614495424a1bb0ba5cae79b5660f', 'default', NULL,
        '2023-05-22 14:35:20', NULL, '2023-05-22 14:05:20', NULL, '2023-05-22 14:35:21', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2006, 1, 2, '177e14d926c44dee94032506f6f3ae1b', 'd2a7614495424a1bb0ba5cae79b5660f', 'default', NULL,
        '2023-05-22 15:05:21', NULL, '2023-05-22 14:35:21', NULL, '2023-05-22 15:06:16', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2007, 1, 2, '8efdc2a353a943d289aac8f062e97ebc', 'd2a7614495424a1bb0ba5cae79b5660f', 'default', NULL,
        '2023-05-22 15:05:21', NULL, '2023-05-22 14:35:21', NULL, '2023-05-22 15:06:16', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2008, 1, 2, 'f4fb366d8ffc449699631676f1fd71e0', 'd2a7614495424a1bb0ba5cae79b5660f', 'default', NULL,
        '2023-05-22 15:36:16', NULL, '2023-05-22 15:06:16', NULL, '2023-05-22 15:27:51', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2009, 1, 2, 'dfb86e66148241f895e9be8a4d5868d3', '8282b6e8597342348fe04b2642724c39', 'default', NULL,
        '2023-05-22 15:57:57', NULL, '2023-05-22 15:27:57', NULL, '2023-05-22 15:58:19', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2010, 1, 2, 'cd337858347a42999fd4a2639de972a5', '8282b6e8597342348fe04b2642724c39', 'default', NULL,
        '2023-05-22 16:28:19', NULL, '2023-05-22 15:58:19', NULL, '2023-05-22 16:28:26', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2011, 1, 2, 'dded61c84f504a08a1e2636000619db4', '8282b6e8597342348fe04b2642724c39', 'default', NULL,
        '2023-05-22 16:58:26', NULL, '2023-05-22 16:28:26', NULL, '2023-05-22 16:58:37', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2012, 1, 2, '6acf726ccdab4c8888b32b95a2f02f10', '8282b6e8597342348fe04b2642724c39', 'default', NULL,
        '2023-05-22 17:28:37', NULL, '2023-05-22 16:58:37', NULL, '2023-05-22 17:29:30', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2013, 1, 2, 'f34fbdc3019647f592b6adf0c690a194', '8282b6e8597342348fe04b2642724c39', 'default', NULL,
        '2023-05-22 17:59:31', NULL, '2023-05-22 17:29:31', NULL, '2023-05-22 18:00:16', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2014, 1, 2, '3d8a49458e834042a9c6c40c8b003af0', '8282b6e8597342348fe04b2642724c39', 'default', NULL,
        '2023-05-22 18:30:17', NULL, '2023-05-22 18:00:17', NULL, '2023-05-22 18:30:23', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2015, 1, 2, '63fe77917bb64ba3b1c9a299b642de17', '8282b6e8597342348fe04b2642724c39', 'default', NULL,
        '2023-05-22 19:00:23', NULL, '2023-05-22 18:30:23', NULL, '2023-05-22 18:30:23', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2016, 1, 2, 'bcfbdaac6b4f4eb4a0991916ea029010', '8282b6e8597342348fe04b2642724c39', 'default', NULL,
        '2023-05-22 19:00:23', NULL, '2023-05-22 18:30:23', NULL, '2023-05-22 19:00:29', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2017, 1, 2, '7863acbbc6714c088488fac48ff679f6', '8282b6e8597342348fe04b2642724c39', 'default', NULL,
        '2023-05-22 19:30:30', NULL, '2023-05-22 19:00:30', NULL, '2023-05-22 19:32:44', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2018, 1, 2, 'bb62ccec2fd541238f0a6da1532470f8', '8282b6e8597342348fe04b2642724c39', 'default', NULL,
        '2023-05-22 20:02:45', NULL, '2023-05-22 19:32:45', NULL, '2023-05-22 19:32:44', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2019, 1, 2, '827a616ef4864219bab30d62de2f6497', '8282b6e8597342348fe04b2642724c39', 'default', NULL,
        '2023-05-22 20:02:45', NULL, '2023-05-22 19:32:45', NULL, '2023-05-22 20:03:38', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2020, 1, 2, '5e55eb242d0e433781850f62001a9bb9', '8282b6e8597342348fe04b2642724c39', 'default', NULL,
        '2023-05-22 20:33:38', NULL, '2023-05-22 20:03:38', NULL, '2023-05-22 20:33:38', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2021, 1, 2, 'b929628be2804cd68ac07767f138631b', '8282b6e8597342348fe04b2642724c39', 'default', NULL,
        '2023-05-22 21:03:39', NULL, '2023-05-22 20:33:39', NULL, '2023-05-22 21:04:24', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2022, 1, 2, '225176087121448eb92e739d327bfde4', '8282b6e8597342348fe04b2642724c39', 'default', NULL,
        '2023-05-22 21:34:25', NULL, '2023-05-22 21:04:25', NULL, '2023-05-22 21:36:24', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2023, 1, 2, 'c43cc745090045928627c706ff38aed4', '8282b6e8597342348fe04b2642724c39', 'default', NULL,
        '2023-05-22 22:06:25', NULL, '2023-05-22 21:36:25', NULL, '2023-05-22 22:06:36', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2024, 1, 2, '00a4de8122ed43578597e1a79d98d2a5', '8282b6e8597342348fe04b2642724c39', 'default', NULL,
        '2023-05-22 22:06:25', NULL, '2023-05-22 21:36:25', NULL, '2023-05-22 22:06:36', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2025, 1, 2, '9ba5c80812bf4bb19ce7de8e74cffb8e', '8282b6e8597342348fe04b2642724c39', 'default', NULL,
        '2023-05-22 22:36:36', NULL, '2023-05-22 22:06:36', NULL, '2023-05-22 22:06:36', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2026, 1, 2, 'a93480661a0d4cdc900bba8be6bc1839', '8282b6e8597342348fe04b2642724c39', 'default', NULL,
        '2023-05-22 22:36:36', NULL, '2023-05-22 22:06:36', NULL, '2023-05-22 22:36:41', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2027, 1, 2, '7425c12893304daa8e5f7fdc991d7086', '8282b6e8597342348fe04b2642724c39', 'default', NULL,
        '2023-05-22 23:06:41', NULL, '2023-05-22 22:36:41', NULL, '2023-05-22 23:07:31', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2028, 1, 2, '0103e2a0945a449ca15eb925c72b0df3', 'c04ed4b71f204ed89492b8bb1bd32e5c', 'default', NULL,
        '2023-05-22 23:26:45', NULL, '2023-05-22 22:56:45', NULL, '2023-05-22 23:26:58', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2029, 1, 2, '330ac009231d47c0895d066db3df9675', '8282b6e8597342348fe04b2642724c39', 'default', NULL,
        '2023-05-22 23:37:32', NULL, '2023-05-22 23:07:32', NULL, '2023-05-22 23:38:28', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2030, 1, 2, '63b5757b077a43578d28a03cd406a98f', 'c04ed4b71f204ed89492b8bb1bd32e5c', 'default', NULL,
        '2023-05-22 23:56:58', NULL, '2023-05-22 23:26:58', NULL, '2023-05-22 23:56:59', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2031, 1, 2, 'fb9a47f172464c7f97df9b760f2834fc', '8282b6e8597342348fe04b2642724c39', 'default', NULL,
        '2023-05-23 00:08:28', NULL, '2023-05-22 23:38:28', NULL, '2023-05-22 23:38:28', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2032, 1, 2, 'ea2383cb13fd4c578398090d7b46375b', '8282b6e8597342348fe04b2642724c39', 'default', NULL,
        '2023-05-23 00:08:28', NULL, '2023-05-22 23:38:28', NULL, '2023-05-23 00:10:27', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2033, 1, 2, '4c6178adf51740fd909e2c624950dc9f', 'c04ed4b71f204ed89492b8bb1bd32e5c', 'default', NULL,
        '2023-05-23 00:26:59', NULL, '2023-05-22 23:56:59', NULL, '2023-05-23 00:27:29', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2034, 1, 2, '1a88982058f14f8b806afdc95ad5a8ad', '8282b6e8597342348fe04b2642724c39', 'default', NULL,
        '2023-05-23 00:40:27', NULL, '2023-05-23 00:10:27', NULL, '2023-05-23 00:10:27', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2035, 1, 2, '96c020ec308947008edd6f65ccb67bde', '8282b6e8597342348fe04b2642724c39', 'default', NULL,
        '2023-05-23 00:40:27', NULL, '2023-05-23 00:10:27', NULL, '2023-05-23 00:41:35', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2036, 1, 2, 'ae65640595524ef4bdc9acbb8650c82c', 'c04ed4b71f204ed89492b8bb1bd32e5c', 'default', NULL,
        '2023-05-23 00:57:29', NULL, '2023-05-23 00:27:29', NULL, '2023-05-23 00:57:30', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2037, 1, 2, 'a74ca1811e3346f39cf69defcfd91a39', '8282b6e8597342348fe04b2642724c39', 'default', NULL,
        '2023-05-23 01:11:36', NULL, '2023-05-23 00:41:36', NULL, '2023-05-23 01:12:33', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2038, 1, 2, '67d68588aaec4b0395c65c08882cc181', 'c04ed4b71f204ed89492b8bb1bd32e5c', 'default', NULL,
        '2023-05-23 01:27:30', NULL, '2023-05-23 00:57:30', NULL, '2023-05-23 01:29:40', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2039, 1, 2, '52896f64a64441149deef475c4f04c7a', '8282b6e8597342348fe04b2642724c39', 'default', NULL,
        '2023-05-23 01:42:33', NULL, '2023-05-23 01:12:33', NULL, '2023-05-23 01:12:33', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2040, 1, 2, 'd96745e0244d42b1a3fbed7a928b65aa', '8282b6e8597342348fe04b2642724c39', 'default', NULL,
        '2023-05-23 01:42:33', NULL, '2023-05-23 01:12:33', NULL, '2023-05-23 01:42:35', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2041, 1, 2, 'd812f88b9e99448d97be87815beb6ae5', 'c04ed4b71f204ed89492b8bb1bd32e5c', 'default', NULL,
        '2023-05-23 01:59:41', NULL, '2023-05-23 01:29:41', NULL, '2023-05-23 02:02:17', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2042, 1, 2, '65ce3741c996417fb8eccd0de7270aff', '8282b6e8597342348fe04b2642724c39', 'default', NULL,
        '2023-05-23 02:12:35', NULL, '2023-05-23 01:42:35', NULL, '2023-05-23 02:13:39', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2043, 1, 2, '3e3a66fac19b4cebaefdf4987c797d4b', 'c04ed4b71f204ed89492b8bb1bd32e5c', 'default', NULL,
        '2023-05-23 02:32:17', NULL, '2023-05-23 02:02:17', NULL, '2023-05-23 02:37:54', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2044, 1, 2, 'f4b1f53a467d484b9ccde34dd8ed1e51', '8282b6e8597342348fe04b2642724c39', 'default', NULL,
        '2023-05-23 02:43:40', NULL, '2023-05-23 02:13:40', NULL, '2023-05-23 02:44:32', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2045, 1, 2, '9ac2eb968df0489c8f49a986d1459571', 'c04ed4b71f204ed89492b8bb1bd32e5c', 'default', NULL,
        '2023-05-23 03:07:55', NULL, '2023-05-23 02:37:55', NULL, '2023-05-23 03:19:00', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2046, 1, 2, '2a4170a5099e46a7af2a778128293823', '8282b6e8597342348fe04b2642724c39', 'default', NULL,
        '2023-05-23 03:14:33', NULL, '2023-05-23 02:44:33', NULL, '2023-05-23 02:44:32', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2047, 1, 2, '37895958a19f4e5b92f2ccb9d80addeb', '8282b6e8597342348fe04b2642724c39', 'default', NULL,
        '2023-05-23 03:14:33', NULL, '2023-05-23 02:44:33', NULL, '2023-05-23 03:14:36', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2048, 1, 2, '7bf4ce802dc9408792ace6057755fef7', '8282b6e8597342348fe04b2642724c39', 'default', NULL,
        '2023-05-23 03:44:36', NULL, '2023-05-23 03:14:36', NULL, '2023-05-23 03:14:36', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2049, 1, 2, '4fb805ae51a64be5a37a4f919de38b60', '8282b6e8597342348fe04b2642724c39', 'default', NULL,
        '2023-05-23 03:44:36', NULL, '2023-05-23 03:14:36', NULL, '2023-05-23 03:46:39', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2050, 1, 2, 'b3bcbeb9b52b43c390c7bc5644ff6be5', 'c04ed4b71f204ed89492b8bb1bd32e5c', 'default', NULL,
        '2023-05-23 03:49:00', NULL, '2023-05-23 03:19:00', NULL, '2023-05-23 03:49:37', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2051, 1, 2, '13a3bf2a1b224ccf841b436f967558e7', 'c04ed4b71f204ed89492b8bb1bd32e5c', 'default', NULL,
        '2023-05-23 04:19:38', NULL, '2023-05-23 03:49:38', NULL, '2023-05-23 04:23:57', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2052, 1, 2, '47656beb7ba04ff99eeb9fc00bd212dd', 'c04ed4b71f204ed89492b8bb1bd32e5c', 'default', NULL,
        '2023-05-23 04:53:58', NULL, '2023-05-23 04:23:58', NULL, '2023-05-23 04:59:00', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2053, 1, 2, 'b505c1222e7841b49209e8d617d6d763', 'c04ed4b71f204ed89492b8bb1bd32e5c', 'default', NULL,
        '2023-05-23 05:29:00', NULL, '2023-05-23 04:59:00', NULL, '2023-05-23 05:30:24', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2054, 1, 2, '87201e639327496ea37db5a80717f0de', 'c04ed4b71f204ed89492b8bb1bd32e5c', 'default', NULL,
        '2023-05-23 06:00:24', NULL, '2023-05-23 05:30:24', NULL, '2023-05-23 06:01:20', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2055, 1, 2, 'a783b1bf0505475a8b01a8495356d4a7', 'c04ed4b71f204ed89492b8bb1bd32e5c', 'default', NULL,
        '2023-05-23 06:31:21', NULL, '2023-05-23 06:01:21', NULL, '2023-05-23 06:01:21', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2056, 1, 2, '89250acc6df94af49fd51d2d810a7d15', '8757f7827c804c34bd651ca808c9839b', 'default', NULL,
        '2023-05-23 09:51:05', NULL, '2023-05-23 09:21:05', NULL, '2023-05-23 09:21:05', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2057, 1, 2, '5d025a1aa91046428641084d057ea13c', '07b76869ffa64fcab8ba24b1a801e927', 'default', NULL,
        '2023-05-23 09:51:27', NULL, '2023-05-23 09:21:27', NULL, '2023-05-23 09:53:01', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2058, 1, 2, '2d254e78aa054fe8a09f0cdf00d40df1', '07b76869ffa64fcab8ba24b1a801e927', 'default', NULL,
        '2023-05-23 10:23:02', NULL, '2023-05-23 09:53:02', NULL, '2023-05-23 10:23:16', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2059, 1, 2, 'ef3dbd73aef7498dba88741d7c12c7ff', '07b76869ffa64fcab8ba24b1a801e927', 'default', NULL,
        '2023-05-23 10:53:17', NULL, '2023-05-23 10:23:17', NULL, '2023-05-23 10:53:29', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2060, 1, 2, 'e98df668338749cd9580b9883036f95a', '07b76869ffa64fcab8ba24b1a801e927', 'default', NULL,
        '2023-05-23 11:23:29', NULL, '2023-05-23 10:53:29', NULL, '2023-05-23 11:23:30', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2061, 1, 2, 'b44961e55ea14de49e3baa9923aac0e8', '07b76869ffa64fcab8ba24b1a801e927', 'default', NULL,
        '2023-05-23 11:53:31', NULL, '2023-05-23 11:23:31', NULL, '2023-05-23 11:54:18', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2062, 1, 2, 'd94f8bb37ea244f49e16680b3c52d43b', '07b76869ffa64fcab8ba24b1a801e927', 'default', NULL,
        '2023-05-23 12:24:19', NULL, '2023-05-23 11:54:19', NULL, '2023-05-23 12:25:21', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2063, 1, 2, 'b7926da7b1364dd9b22760243d316002', '07b76869ffa64fcab8ba24b1a801e927', 'default', NULL,
        '2023-05-23 12:55:21', NULL, '2023-05-23 12:25:21', NULL, '2023-05-23 12:55:26', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2064, 1, 2, '5982d37c616546578112b368da432d34', '07b76869ffa64fcab8ba24b1a801e927', 'default', NULL,
        '2023-05-23 13:25:26', NULL, '2023-05-23 12:55:26', NULL, '2023-05-23 13:25:30', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2065, 1, 2, 'ec51229909844d40a3cdc3a9a547adf8', '07b76869ffa64fcab8ba24b1a801e927', 'default', NULL,
        '2023-05-23 13:55:30', NULL, '2023-05-23 13:25:30', NULL, '2023-05-23 13:55:34', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2066, 1, 2, '8d372f4951294501aba82431d886cf3a', '07b76869ffa64fcab8ba24b1a801e927', 'default', NULL,
        '2023-05-23 14:25:34', NULL, '2023-05-23 13:55:34', NULL, '2023-05-23 13:55:34', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2067, 1, 2, 'b3cce97da77a4632a9aa8a9904b30b47', '07b76869ffa64fcab8ba24b1a801e927', 'default', NULL,
        '2023-05-23 14:25:34', NULL, '2023-05-23 13:55:34', NULL, '2023-05-23 14:26:26', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2068, 1, 2, 'f60be11483894b959077665cd5bed57e', '07b76869ffa64fcab8ba24b1a801e927', 'default', NULL,
        '2023-05-23 14:56:27', NULL, '2023-05-23 14:26:27', NULL, '2023-05-23 14:57:25', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2069, 1, 2, '1093f15363424fc881d472ead7aab1aa', '07b76869ffa64fcab8ba24b1a801e927', 'default', NULL,
        '2023-05-23 15:27:26', NULL, '2023-05-23 14:57:26', NULL, '2023-05-23 15:27:28', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2070, 1, 2, '9ee4aacd1f2c4fb085cae7bccb1da5ef', '07b76869ffa64fcab8ba24b1a801e927', 'default', NULL,
        '2023-05-23 15:57:28', NULL, '2023-05-23 15:27:28', NULL, '2023-05-23 15:58:16', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2071, 1, 2, 'd11754952c9640bea52a58d2e3132e9b', '07b76869ffa64fcab8ba24b1a801e927', 'default', NULL,
        '2023-05-23 16:28:17', NULL, '2023-05-23 15:58:17', NULL, '2023-05-23 16:29:26', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2072, 1, 2, '7e413ae99e764891bf39ecf9089e9261', '07b76869ffa64fcab8ba24b1a801e927', 'default', NULL,
        '2023-05-23 16:59:26', NULL, '2023-05-23 16:29:26', NULL, '2023-05-23 17:00:19', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2073, 1, 2, '43e313b21399420db544bc7908c751a8', '07b76869ffa64fcab8ba24b1a801e927', 'default', NULL,
        '2023-05-23 17:30:20', NULL, '2023-05-23 17:00:20', NULL, '2023-05-23 17:30:25', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2074, 1, 2, 'fc7492d79fd34c48929d402bd3f0eb62', '07b76869ffa64fcab8ba24b1a801e927', 'default', NULL,
        '2023-05-23 18:00:25', NULL, '2023-05-23 17:30:25', NULL, '2023-05-23 18:01:16', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2075, 1, 2, '2d1092a5a54844179a49933549eda6fb', '07b76869ffa64fcab8ba24b1a801e927', 'default', NULL,
        '2023-05-23 18:31:17', NULL, '2023-05-23 18:01:17', NULL, '2023-05-23 18:31:34', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2076, 1, 2, 'ca10ccb7bb1a4cf194a90b358f36f720', '07b76869ffa64fcab8ba24b1a801e927', 'default', NULL,
        '2023-05-23 19:01:35', NULL, '2023-05-23 18:31:35', NULL, '2023-05-23 19:03:26', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2077, 1, 2, 'd7d029a9e0e848c3a4b6a9a00e15c0db', '07b76869ffa64fcab8ba24b1a801e927', 'default', NULL,
        '2023-05-23 19:33:26', NULL, '2023-05-23 19:03:26', NULL, '2023-05-23 20:15:04', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2078, 1, 2, 'c4769d9c9b294ec9b0e65d250ecec0db', '07b76869ffa64fcab8ba24b1a801e927', 'default', NULL,
        '2023-05-23 20:45:04', NULL, '2023-05-23 20:15:04', NULL, '2023-05-23 20:46:14', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2079, 1, 2, '36404d8d97b04a89a96cd1c0ca8108c1', '07b76869ffa64fcab8ba24b1a801e927', 'default', NULL,
        '2023-05-23 21:16:14', NULL, '2023-05-23 20:46:14', NULL, '2023-05-23 21:16:18', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2080, 1, 2, 'e5d905fe674e4ad3ae8986491b96200f', '07b76869ffa64fcab8ba24b1a801e927', 'default', NULL,
        '2023-05-23 21:16:14', NULL, '2023-05-23 20:46:14', NULL, '2023-05-23 21:16:18', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2081, 1, 2, '5e1a36db74f240968a84a90d50180374', '07b76869ffa64fcab8ba24b1a801e927', 'default', NULL,
        '2023-05-23 21:46:19', NULL, '2023-05-23 21:16:19', NULL, '2023-05-23 21:46:30', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2082, 1, 2, '7d4ddae48a24442aa30a908910e163c0', '07b76869ffa64fcab8ba24b1a801e927', 'default', NULL,
        '2023-05-23 21:46:19', NULL, '2023-05-23 21:16:19', NULL, '2023-05-23 21:46:30', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2083, 1, 2, 'fbe8fb3e740b4d6ebd74a9cf75a9319c', 'b906d47492234acea35e538d48731a0e', 'default', NULL,
        '2023-05-24 09:57:39', NULL, '2023-05-24 09:27:39', NULL, '2023-05-24 09:27:39', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2084, 1, 2, 'af7ee682ff4a445b880a8f7390332254', '811f1a7504aa466986ebb5fd1b192515', 'default', NULL,
        '2023-05-24 09:57:45', '1', '2023-05-24 09:27:45', '1', '2023-05-24 09:58:28', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2085, 1, 2, 'c5971cd2ef904837a1e96049aebee024', '811f1a7504aa466986ebb5fd1b192515', 'default', NULL,
        '2023-05-24 10:28:28', NULL, '2023-05-24 09:58:28', NULL, '2023-05-24 09:58:28', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2086, 1, 2, '6c90635775a248178960ff1c38adabec', '811f1a7504aa466986ebb5fd1b192515', 'default', NULL,
        '2023-05-24 10:28:28', NULL, '2023-05-24 09:58:28', NULL, '2023-05-24 10:29:43', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2087, 1, 2, '9305c1de5fba45febebb0ed50bcb685e', '811f1a7504aa466986ebb5fd1b192515', 'default', NULL,
        '2023-05-24 10:59:43', NULL, '2023-05-24 10:29:43', NULL, '2023-05-24 10:59:45', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2088, 1, 2, '85f7ef46fdc14c54959aee0c224e8678', '811f1a7504aa466986ebb5fd1b192515', 'default', NULL,
        '2023-05-24 11:29:45', NULL, '2023-05-24 10:59:45', NULL, '2023-05-24 11:29:45', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2089, 1, 2, 'a91d42d9ede94fb8878436b49d0a74db', '811f1a7504aa466986ebb5fd1b192515', 'default', NULL,
        '2023-05-24 11:59:45', NULL, '2023-05-24 11:29:45', NULL, '2023-05-24 11:59:45', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2090, 1, 2, 'ee0beec335614121bb74f724dd360509', '811f1a7504aa466986ebb5fd1b192515', 'default', NULL,
        '2023-05-24 12:29:45', NULL, '2023-05-24 11:59:45', NULL, '2023-05-24 12:30:40', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2091, 1, 2, 'c0d8c881291145279ade470d237e61ac', '811f1a7504aa466986ebb5fd1b192515', 'default', NULL,
        '2023-05-24 13:00:41', NULL, '2023-05-24 12:30:41', NULL, '2023-05-24 13:00:58', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2092, 1, 2, '634fbe66333642ed9526fefb0986421b', '811f1a7504aa466986ebb5fd1b192515', 'default', NULL,
        '2023-05-24 13:30:58', NULL, '2023-05-24 13:00:58', NULL, '2023-05-24 13:31:43', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2093, 1, 2, '52b41dd14e704c3887e343d66cef9c85', '811f1a7504aa466986ebb5fd1b192515', 'default', NULL,
        '2023-05-24 14:01:43', NULL, '2023-05-24 13:31:43', NULL, '2023-05-24 14:01:43', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2094, 1, 2, 'd2a55ac8cdfb49f0adca4ad196c48c9e', '811f1a7504aa466986ebb5fd1b192515', 'default', NULL,
        '2023-05-24 14:31:43', NULL, '2023-05-24 14:01:43', NULL, '2023-05-24 14:32:08', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2095, 1, 2, '6962a1a746cf41cd9f8c4023c5de4ab3', '811f1a7504aa466986ebb5fd1b192515', 'default', NULL,
        '2023-05-24 15:02:09', NULL, '2023-05-24 14:32:09', NULL, '2023-05-24 15:02:44', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2096, 1, 2, 'a0752c1c1b2c432cbca109c7c5327e57', '811f1a7504aa466986ebb5fd1b192515', 'default', NULL,
        '2023-05-24 15:32:45', NULL, '2023-05-24 15:02:45', NULL, '2023-05-24 15:02:44', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2097, 1, 2, 'c9cac4b7058f4edaab874337d48056f2', '811f1a7504aa466986ebb5fd1b192515', 'default', NULL,
        '2023-05-24 15:32:45', NULL, '2023-05-24 15:02:45', NULL, '2023-05-24 15:02:44', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2098, 1, 2, '3a0ddf04ba7548928442557f48c1d05c', '811f1a7504aa466986ebb5fd1b192515', 'default', NULL,
        '2023-05-24 15:32:45', NULL, '2023-05-24 15:02:45', NULL, '2023-05-24 15:34:47', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2099, 1, 2, '4d19445395264619b5ab7305063d6f36', '811f1a7504aa466986ebb5fd1b192515', 'default', NULL,
        '2023-05-24 16:04:47', NULL, '2023-05-24 15:34:47', NULL, '2023-05-24 16:04:53', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2100, 1, 2, 'cb4263e04fe746c69f21055aed1021da', '811f1a7504aa466986ebb5fd1b192515', 'default', NULL,
        '2023-05-24 16:04:47', NULL, '2023-05-24 15:34:47', NULL, '2023-05-24 16:04:53', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2101, 1, 2, 'f709fb2b08fd4a4b93e3425fa63ee377', '811f1a7504aa466986ebb5fd1b192515', 'default', NULL,
        '2023-05-24 16:04:47', NULL, '2023-05-24 15:34:47', NULL, '2023-05-24 16:04:53', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2102, 1, 2, '618906cd9d3949ef8042db664f6fac29', '811f1a7504aa466986ebb5fd1b192515', 'default', NULL,
        '2023-05-24 16:34:53', NULL, '2023-05-24 16:04:53', NULL, '2023-05-24 16:36:51', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2103, 1, 2, 'c049a35f3e08432487c1b34c023e5e5f', '811f1a7504aa466986ebb5fd1b192515', 'default', NULL,
        '2023-05-24 17:06:52', NULL, '2023-05-24 16:36:52', NULL, '2023-05-24 16:36:51', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2104, 1, 2, 'fd19181266b64166b241994d54ea1db5', '811f1a7504aa466986ebb5fd1b192515', 'default', NULL,
        '2023-05-24 17:06:52', NULL, '2023-05-24 16:36:52', NULL, '2023-05-24 16:36:51', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2105, 1, 2, '1ad98cb2837d4afdb4e6107d784bb454', '811f1a7504aa466986ebb5fd1b192515', 'default', NULL,
        '2023-05-24 17:06:52', NULL, '2023-05-24 16:36:52', NULL, '2023-05-24 16:36:51', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2106, 1, 2, '557a599819974b31a6d861efed2bea41', '811f1a7504aa466986ebb5fd1b192515', 'default', NULL,
        '2023-05-24 17:06:52', NULL, '2023-05-24 16:36:52', NULL, '2023-05-24 17:08:37', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2107, 1, 2, 'dac4c5ab093d40958f594ceaed79dcbc', '811f1a7504aa466986ebb5fd1b192515', 'default', NULL,
        '2023-05-24 17:38:37', NULL, '2023-05-24 17:08:37', NULL, '2023-05-24 17:08:37', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2108, 1, 2, '159fa307b6f74f429b2f9afea9f489fa', '811f1a7504aa466986ebb5fd1b192515', 'default', NULL,
        '2023-05-24 17:38:37', NULL, '2023-05-24 17:08:37', NULL, '2023-05-24 17:08:37', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2109, 1, 2, '5e5fc41304534d03a96e68e785c8b147', '811f1a7504aa466986ebb5fd1b192515', 'default', NULL,
        '2023-05-24 17:38:37', NULL, '2023-05-24 17:08:37', NULL, '2023-05-24 17:38:40', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2110, 1, 2, '02b3ab8027e04bc8a2be328c115413ec', '811f1a7504aa466986ebb5fd1b192515', 'default', NULL,
        '2023-05-24 18:08:41', NULL, '2023-05-24 17:38:41', NULL, '2023-05-24 17:38:40', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2111, 1, 2, 'b0a0ead4c1e745d481328834a7cc8ce6', '811f1a7504aa466986ebb5fd1b192515', 'default', NULL,
        '2023-05-24 18:08:41', NULL, '2023-05-24 17:38:41', NULL, '2023-05-24 18:10:36', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2112, 1, 2, '0bf3c545d9fb4730a305280c1e4d6493', '811f1a7504aa466986ebb5fd1b192515', 'default', NULL,
        '2023-05-24 18:40:36', NULL, '2023-05-24 18:10:36', NULL, '2023-05-24 18:10:36', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2113, 1, 2, 'dc7217c1db684574af62463f47d1399f', '811f1a7504aa466986ebb5fd1b192515', 'default', NULL,
        '2023-05-24 18:40:36', NULL, '2023-05-24 18:10:36', NULL, '2023-05-24 18:40:46', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2114, 1, 2, '01fa07f97dd44c4c8fca4240642357bf', '811f1a7504aa466986ebb5fd1b192515', 'default', NULL,
        '2023-05-24 18:40:36', NULL, '2023-05-24 18:10:36', NULL, '2023-05-24 18:40:46', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2115, 1, 2, 'ad2f75f97a5647af98581755c537bff5', '811f1a7504aa466986ebb5fd1b192515', 'default', NULL,
        '2023-05-24 19:10:46', NULL, '2023-05-24 18:40:46', NULL, '2023-05-24 18:40:46', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2116, 1, 2, 'fa43abd6ba5a4718af89e230b7af2ea2', '811f1a7504aa466986ebb5fd1b192515', 'default', NULL,
        '2023-05-24 19:10:46', NULL, '2023-05-24 18:40:46', NULL, '2023-05-24 18:40:46', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2117, 1, 2, 'adec577d003c41ec82661952dc90c51b', '811f1a7504aa466986ebb5fd1b192515', 'default', NULL,
        '2023-05-24 19:10:46', NULL, '2023-05-24 18:40:46', NULL, '2023-05-24 18:40:46', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2118, 1, 2, 'faa6bbbd1c014279bed46410c06ddc45', '811f1a7504aa466986ebb5fd1b192515', 'default', NULL,
        '2023-05-24 19:10:46', NULL, '2023-05-24 18:40:46', NULL, '2023-05-24 19:12:39', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2119, 1, 2, '2fef4a0439bb4432b9a0810467e6d2d3', '811f1a7504aa466986ebb5fd1b192515', 'default', NULL,
        '2023-05-24 19:42:39', NULL, '2023-05-24 19:12:39', NULL, '2023-05-24 19:55:00', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2120, 1, 2, 'ad141e86ac7549c0bc8a3628c04676f6', '811f1a7504aa466986ebb5fd1b192515', 'default', NULL,
        '2023-05-24 19:42:39', NULL, '2023-05-24 19:12:39', NULL, '2023-05-24 19:55:00', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2121, 1, 2, 'c3b46d381fb0444aa7c05e448bb06dea', '811f1a7504aa466986ebb5fd1b192515', 'default', NULL,
        '2023-05-24 19:42:39', NULL, '2023-05-24 19:12:39', NULL, '2023-05-24 19:55:00', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2122, 1, 2, '09773ce0d3894090914722b3e1c38b6a', '811f1a7504aa466986ebb5fd1b192515', 'default', NULL,
        '2023-05-24 20:25:01', NULL, '2023-05-24 19:55:01', NULL, '2023-05-24 19:55:00', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2123, 1, 2, 'e2954acd7b044e39b620b2ac1eff784b', '811f1a7504aa466986ebb5fd1b192515', 'default', NULL,
        '2023-05-24 20:25:01', NULL, '2023-05-24 19:55:01', NULL, '2023-05-24 19:55:00', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2124, 1, 2, 'd2779486c8dd43fd95ea111a54e37870', '811f1a7504aa466986ebb5fd1b192515', 'default', NULL,
        '2023-05-24 20:25:01', NULL, '2023-05-24 19:55:01', NULL, '2023-05-24 20:33:20', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2125, 1, 2, 'a91cc9ae1b384877a4170ad0c735bcbc', '811f1a7504aa466986ebb5fd1b192515', 'default', NULL,
        '2023-05-24 21:03:21', NULL, '2023-05-24 20:33:21', NULL, '2023-05-24 21:33:20', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2126, 1, 2, 'c350ff6b0eaa4a98b4d782d1777c131a', '811f1a7504aa466986ebb5fd1b192515', 'default', NULL,
        '2023-05-24 21:03:21', NULL, '2023-05-24 20:33:21', NULL, '2023-05-24 21:33:20', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2127, 1, 2, '52837a8a00c34152bc443c667d81be13', '811f1a7504aa466986ebb5fd1b192515', 'default', NULL,
        '2023-05-24 21:03:21', NULL, '2023-05-24 20:33:21', NULL, '2023-05-24 21:33:20', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2128, 1, 2, '2ad7a3925d1148d988cbde6dce799bde', 'd1dece0cd9854a1b85eed67d7f497145', 'default', NULL,
        '2023-05-25 12:05:10', NULL, '2023-05-25 11:35:10', NULL, '2023-05-25 12:05:50', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2129, 1, 2, '6c8250535ee54af787cf814a20161b07', 'd1dece0cd9854a1b85eed67d7f497145', 'default', NULL,
        '2023-05-25 12:35:51', NULL, '2023-05-25 12:05:51', NULL, '2023-05-25 12:36:06', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2130, 1, 2, 'bff9cf2dbeab41aab0122280ff1cbab2', 'd1dece0cd9854a1b85eed67d7f497145', 'default', NULL,
        '2023-05-25 13:06:06', NULL, '2023-05-25 12:36:06', NULL, '2023-05-25 12:36:06', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2131, 1, 2, 'e98c2be0a38e4e7ab6de62ccc5f75e1a', 'd1dece0cd9854a1b85eed67d7f497145', 'default', NULL,
        '2023-05-25 13:06:06', NULL, '2023-05-25 12:36:06', NULL, '2023-05-25 12:36:06', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2132, 1, 2, 'b7f60363413845dea0e1766f424b657f', 'd1dece0cd9854a1b85eed67d7f497145', 'default', NULL,
        '2023-05-25 13:06:06', NULL, '2023-05-25 12:36:06', NULL, '2023-05-25 13:06:54', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2133, 1, 2, '95432a05d9644182a1a3681f813a6c73', 'd1dece0cd9854a1b85eed67d7f497145', 'default', NULL,
        '2023-05-25 13:36:54', NULL, '2023-05-25 13:06:54', NULL, '2023-05-25 13:06:54', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2134, 1, 2, 'bd41a55eb8764e3e82158846ca668349', 'd1dece0cd9854a1b85eed67d7f497145', 'default', NULL,
        '2023-05-25 13:36:54', NULL, '2023-05-25 13:06:54', NULL, '2023-05-25 13:06:54', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2135, 1, 2, '4b0ce0727a1a48f797e3afa2173d43c9', 'd1dece0cd9854a1b85eed67d7f497145', 'default', NULL,
        '2023-05-25 13:36:54', NULL, '2023-05-25 13:06:54', NULL, '2023-05-25 13:37:07', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2136, 1, 2, '52494df19df641b9ab02d944be8a1c5e', 'd1dece0cd9854a1b85eed67d7f497145', 'default', NULL,
        '2023-05-25 14:07:08', NULL, '2023-05-25 13:37:08', NULL, '2023-05-25 14:08:10', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2137, 1, 2, 'cc86833a3efc4d558edb8e9ebe195272', 'd1dece0cd9854a1b85eed67d7f497145', 'default', NULL,
        '2023-05-25 14:38:10', NULL, '2023-05-25 14:08:10', NULL, '2023-05-25 14:38:46', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2138, 1, 2, '02de7122b7a5410aa74ea98559718fb8', 'd1dece0cd9854a1b85eed67d7f497145', 'default', NULL,
        '2023-05-25 14:38:10', NULL, '2023-05-25 14:08:10', NULL, '2023-05-25 14:38:46', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2139, 1, 2, '7327b960a5d141eab52c948e9909e4d8', 'd1dece0cd9854a1b85eed67d7f497145', 'default', NULL,
        '2023-05-25 15:08:46', NULL, '2023-05-25 14:38:46', NULL, '2023-05-25 15:08:48', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2140, 1, 2, 'a8e92baec5f04c70904d3710d9849a1c', 'd1dece0cd9854a1b85eed67d7f497145', 'default', NULL,
        '2023-05-25 15:38:49', NULL, '2023-05-25 15:08:49', NULL, '2023-05-25 15:08:48', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2141, 1, 2, 'd55b12cbfa694cd69d8f3c7fc904165f', 'd1dece0cd9854a1b85eed67d7f497145', 'default', NULL,
        '2023-05-25 15:38:49', NULL, '2023-05-25 15:08:49', NULL, '2023-05-25 15:39:41', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2142, 1, 2, '7b2f3256765247cf884d46d2d7483d27', 'd1dece0cd9854a1b85eed67d7f497145', 'default', NULL,
        '2023-05-25 16:09:42', NULL, '2023-05-25 15:39:42', NULL, '2023-05-25 16:09:46', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2143, 1, 2, 'e051f25af2964d2cb72b91c53cc84539', 'd1dece0cd9854a1b85eed67d7f497145', 'default', NULL,
        '2023-05-25 16:39:47', NULL, '2023-05-25 16:09:47', NULL, '2023-05-25 16:39:48', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2144, 1, 2, '2379134172be421e9f3566a98c6f3d65', 'd1dece0cd9854a1b85eed67d7f497145', 'default', NULL,
        '2023-05-25 17:09:48', NULL, '2023-05-25 16:39:48', NULL, '2023-05-25 17:10:07', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2145, 1, 2, '909b4d650e6a415ea0292c08ddbeba5c', 'd1dece0cd9854a1b85eed67d7f497145', 'default', NULL,
        '2023-05-25 17:40:07', NULL, '2023-05-25 17:10:07', NULL, '2023-05-25 17:40:53', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2146, 1, 2, '766bce959b1d42749e5d6b70208eeaba', 'd1dece0cd9854a1b85eed67d7f497145', 'default', NULL,
        '2023-05-25 18:10:53', NULL, '2023-05-25 17:40:53', NULL, '2023-05-25 18:10:53', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2147, 1, 2, 'd27dbfd0862b4c4cb04e2824ff65c6ae', 'd1dece0cd9854a1b85eed67d7f497145', 'default', NULL,
        '2023-05-25 18:40:53', NULL, '2023-05-25 18:10:53', NULL, '2023-05-25 18:40:58', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2148, 1, 2, '69d342c35690486a838243a259e02308', 'd1dece0cd9854a1b85eed67d7f497145', 'default', NULL,
        '2023-05-25 19:10:59', NULL, '2023-05-25 18:40:59', NULL, '2023-05-25 19:11:37', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2149, 1, 2, '13e50e40d85e40f296d63fb108b958e5', 'd1dece0cd9854a1b85eed67d7f497145', 'default', NULL,
        '2023-05-25 19:41:38', NULL, '2023-05-25 19:11:38', NULL, '2023-05-25 19:41:56', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2150, 1, 2, '82c0f1af85c84ecda5d9ea893f64b9c6', 'd1dece0cd9854a1b85eed67d7f497145', 'default', NULL,
        '2023-05-25 20:11:57', NULL, '2023-05-25 19:41:57', NULL, '2023-05-25 20:13:46', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2151, 1, 2, '476e0b6bdcb84c10a3407429f5dadde1', 'd1dece0cd9854a1b85eed67d7f497145', 'default', NULL,
        '2023-05-25 20:43:46', NULL, '2023-05-25 20:13:46', NULL, '2023-05-25 20:13:46', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2152, 1, 2, '50f176d5365f466d9d3c0d95254dfb74', '82da81c9c311442fbbad0f1113409c25', 'default', NULL,
        '2023-05-25 20:51:00', NULL, '2023-05-25 20:21:00', NULL, '2023-05-25 20:51:00', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2153, 1, 2, '7c6bc17c7ff645d6bc8e85e6302c626a', '82da81c9c311442fbbad0f1113409c25', 'default', NULL,
        '2023-05-25 21:21:01', NULL, '2023-05-25 20:51:01', NULL, '2023-05-25 20:51:00', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2154, 1, 2, 'aac1c5dabefd424a84fcec4a2f974a9c', '82da81c9c311442fbbad0f1113409c25', 'default', NULL,
        '2023-05-25 21:21:01', NULL, '2023-05-25 20:51:01', NULL, '2023-05-25 21:08:53', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2155, 1, 2, '155dfb76628041b0abd1a229183eb6a8', 'b68dc49d5f9b458ea0a32b7b9c887db2', 'default', NULL,
        '2023-05-25 21:38:59', NULL, '2023-05-25 21:08:59', NULL, '2023-05-25 23:13:50', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2156, 1, 2, '204ad4685ac940b69fe3e1b27b8e540e', 'b68dc49d5f9b458ea0a32b7b9c887db2', 'default', NULL,
        '2023-05-25 23:43:51', NULL, '2023-05-25 23:13:51', NULL, '2023-05-26 09:34:11', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2157, 1, 2, 'df4c3ec60e904bf6a1c90cd1b40139f8', 'b68dc49d5f9b458ea0a32b7b9c887db2', 'default', NULL,
        '2023-05-25 23:43:51', NULL, '2023-05-25 23:13:51', NULL, '2023-05-26 09:34:11', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2158, 1, 2, 'bdf48ddaab024572825755d9c98f21bb', 'b68dc49d5f9b458ea0a32b7b9c887db2', 'default', NULL,
        '2023-05-25 23:43:51', NULL, '2023-05-25 23:13:51', NULL, '2023-05-26 09:34:11', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2159, 1, 2, '3d42200f01ef4501a6d24d89abe46c30', '74f587d57d6f4b65abb6d92b0ace4f40', 'default', NULL,
        '2023-05-26 14:12:20', NULL, '2023-05-26 13:42:20', NULL, '2023-05-26 14:12:54', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2160, 1, 2, '788ff70d73a046d6bdae72e1057a065a', '74f587d57d6f4b65abb6d92b0ace4f40', 'default', NULL,
        '2023-05-26 14:42:55', NULL, '2023-05-26 14:12:55', NULL, '2023-05-26 14:24:03', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2161, 1, 2, '7b32ab79b293471ebc414ae1ab6c31ea', 'abf7a1ce40064aa5a37227b6f7d62aa0', 'default', NULL,
        '2023-05-26 14:54:12', NULL, '2023-05-26 14:24:12', NULL, '2023-05-26 14:54:14', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2162, 1, 2, 'ef8d732287f84dcaaeda23bd67a8b3a0', 'abf7a1ce40064aa5a37227b6f7d62aa0', 'default', NULL,
        '2023-05-26 15:24:14', NULL, '2023-05-26 14:54:14', NULL, '2023-05-26 14:54:14', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2163, 1, 2, '38fbbcc580ac4b4090875d03acdef11c', 'abf7a1ce40064aa5a37227b6f7d62aa0', 'default', NULL,
        '2023-05-26 15:24:14', NULL, '2023-05-26 14:54:14', NULL, '2023-05-26 15:25:08', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2164, 1, 2, 'de1368a2719643bb97efeee0c586dcae', 'abf7a1ce40064aa5a37227b6f7d62aa0', 'default', NULL,
        '2023-05-26 15:24:14', NULL, '2023-05-26 14:54:14', NULL, '2023-05-26 15:25:08', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2165, 1, 2, '40be17e8f9dc4e6dab3dac1afb2632c4', 'abf7a1ce40064aa5a37227b6f7d62aa0', 'default', NULL,
        '2023-05-26 15:24:14', NULL, '2023-05-26 14:54:14', NULL, '2023-05-26 15:25:08', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2166, 1, 2, 'f323a3adf00d4426ba7d9378444f1b3a', 'abf7a1ce40064aa5a37227b6f7d62aa0', 'default', NULL,
        '2023-05-26 15:55:09', NULL, '2023-05-26 15:25:09', NULL, '2023-05-26 15:25:08', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2167, 1, 2, '08059f64b63547ecb09804ccf5cf625d', 'abf7a1ce40064aa5a37227b6f7d62aa0', 'default', NULL,
        '2023-05-26 15:55:09', NULL, '2023-05-26 15:25:09', NULL, '2023-05-26 15:55:19', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2168, 1, 2, '9400f604e6624321950a34d3c186158d', 'abf7a1ce40064aa5a37227b6f7d62aa0', 'default', NULL,
        '2023-05-26 16:25:19', NULL, '2023-05-26 15:55:19', NULL, '2023-05-26 15:55:19', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2169, 1, 2, '1730cb94eb8d4f8ba14055578bb2c706', 'abf7a1ce40064aa5a37227b6f7d62aa0', 'default', NULL,
        '2023-05-26 16:25:20', NULL, '2023-05-26 15:55:20', NULL, '2023-05-26 16:25:46', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2170, 1, 2, 'c68e72ae93864f6bb911af12bd03483f', 'abf7a1ce40064aa5a37227b6f7d62aa0', 'default', NULL,
        '2023-05-26 16:55:47', NULL, '2023-05-26 16:25:47', NULL, '2023-05-26 16:56:00', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2171, 1, 2, 'ebc5f9cb4f0f4499a1f822f835a4fb77', 'abf7a1ce40064aa5a37227b6f7d62aa0', 'default', NULL,
        '2023-05-26 17:26:01', NULL, '2023-05-26 16:56:01', NULL, '2023-05-26 17:26:01', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2172, 1, 2, '6b35c02e5d9943bc997c00bf6315d765', 'abf7a1ce40064aa5a37227b6f7d62aa0', 'default', NULL,
        '2023-05-26 17:56:02', NULL, '2023-05-26 17:26:02', NULL, '2023-05-26 17:57:07', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2173, 1, 2, '05186ad45e2242a6b15449908e554676', 'abf7a1ce40064aa5a37227b6f7d62aa0', 'default', NULL,
        '2023-05-26 18:27:08', NULL, '2023-05-26 17:57:08', NULL, '2023-05-26 17:57:07', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2174, 1, 2, '9febf517491743e6a17c4a04f1c293b1', 'abf7a1ce40064aa5a37227b6f7d62aa0', 'default', NULL,
        '2023-05-26 18:27:08', NULL, '2023-05-26 17:57:08', NULL, '2023-05-26 18:27:58', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2175, 1, 2, 'e6cb33da36cd41d698580fb186a63d56', 'abf7a1ce40064aa5a37227b6f7d62aa0', 'default', NULL,
        '2023-05-26 18:57:59', NULL, '2023-05-26 18:27:59', NULL, '2023-05-26 19:02:29', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2176, 1, 2, '23c9edd8146940c896f88415dc1e57d2', 'abf7a1ce40064aa5a37227b6f7d62aa0', 'default', NULL,
        '2023-05-26 19:32:30', NULL, '2023-05-26 19:02:30', NULL, '2023-05-26 19:02:29', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2177, 1, 2, '7b4fdfd092ed44bd865ac44e3fc73520', 'abf7a1ce40064aa5a37227b6f7d62aa0', 'default', NULL,
        '2023-05-26 19:32:30', NULL, '2023-05-26 19:02:30', NULL, '2023-05-26 19:57:26', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2178, 1, 2, 'd5d81ecb167540819ac4b029eb1dbcdf', 'abf7a1ce40064aa5a37227b6f7d62aa0', 'default', NULL,
        '2023-05-26 19:32:30', NULL, '2023-05-26 19:02:30', NULL, '2023-05-26 19:57:26', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2179, 1, 2, '5117d74efd7a468fb67aee95553601f9', 'abf7a1ce40064aa5a37227b6f7d62aa0', 'default', NULL,
        '2023-05-26 20:27:27', NULL, '2023-05-26 19:57:27', NULL, '2023-05-26 19:57:26', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2180, 1, 2, '0bc696a9277a4476a67935a4e678e4b3', 'abf7a1ce40064aa5a37227b6f7d62aa0', 'default', NULL,
        '2023-05-26 20:27:27', NULL, '2023-05-26 19:57:27', NULL, '2023-05-26 19:57:26', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2181, 1, 2, '60bc4b3c34e7475283997512f014a067', 'abf7a1ce40064aa5a37227b6f7d62aa0', 'default', NULL,
        '2023-05-26 20:27:27', NULL, '2023-05-26 19:57:27', NULL, '2023-05-26 20:33:14', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2182, 1, 2, 'bf21a04809384aee8a67b8a3b7986c52', 'abf7a1ce40064aa5a37227b6f7d62aa0', 'default', NULL,
        '2023-05-26 21:03:15', NULL, '2023-05-26 20:33:15', NULL, '2023-05-26 21:23:49', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2183, 1, 2, '889259cc8dfe428caea8b3c13dd85b60', 'abf7a1ce40064aa5a37227b6f7d62aa0', 'default', NULL,
        '2023-05-26 21:53:50', NULL, '2023-05-26 21:23:50', NULL, '2023-05-26 21:23:49', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2184, 1, 2, 'aec64923dcee42bb9481e3dbbb18aad3', 'abf7a1ce40064aa5a37227b6f7d62aa0', 'default', NULL,
        '2023-05-26 21:53:50', NULL, '2023-05-26 21:23:50', NULL, '2023-05-26 21:55:29', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2185, 1, 2, 'a5e81d7cec4c41f0bc419899663e5287', 'abf7a1ce40064aa5a37227b6f7d62aa0', 'default', NULL,
        '2023-05-26 22:25:30', NULL, '2023-05-26 21:55:30', NULL, '2023-05-26 21:55:29', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2186, 1, 2, '69f1bf8d026e423ea125288c4e334ed8', 'abf7a1ce40064aa5a37227b6f7d62aa0', 'default', NULL,
        '2023-05-26 22:25:30', NULL, '2023-05-26 21:55:30', NULL, '2023-05-26 22:27:00', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2187, 1, 2, '6b9f06c312fc44628b9ecb65ac35acda', 'abf7a1ce40064aa5a37227b6f7d62aa0', 'default', NULL,
        '2023-05-26 22:25:30', NULL, '2023-05-26 21:55:30', NULL, '2023-05-26 22:27:00', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2188, 1, 2, 'd3661b7c7d274e0e9166ebe4e558475e', 'abf7a1ce40064aa5a37227b6f7d62aa0', 'default', NULL,
        '2023-05-26 22:57:01', NULL, '2023-05-26 22:27:01', NULL, '2023-05-26 22:27:01', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2189, 1, 2, '5c877c7a27e7466ba5ae43da5f9ca195', 'abf7a1ce40064aa5a37227b6f7d62aa0', 'default', NULL,
        '2023-05-26 22:57:01', NULL, '2023-05-26 22:27:01', NULL, '2023-05-26 22:27:01', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2190, 1, 2, '61c0a4f276ee4312b4aa2a3ac736ffc4', 'abf7a1ce40064aa5a37227b6f7d62aa0', 'default', NULL,
        '2023-05-26 22:57:01', NULL, '2023-05-26 22:27:01', NULL, '2023-05-27 08:30:31', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2191, 1, 2, '0240de1e93654ccc9f37fece7291b976', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 09:52:40', NULL, '2023-05-27 09:22:40', NULL, '2023-05-27 09:52:44', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2192, 1, 2, '6ae0c202be2a4368925b945f73ecf7ae', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 10:22:45', NULL, '2023-05-27 09:52:45', NULL, '2023-05-27 09:52:44', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2193, 1, 2, '1bd18d55932e40298bd13d158618daa1', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 10:22:45', NULL, '2023-05-27 09:52:45', NULL, '2023-05-27 10:23:44', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2194, 1, 2, '8618b3b15ebc4161b82b7468617bf929', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 10:53:44', NULL, '2023-05-27 10:23:44', NULL, '2023-05-27 10:23:44', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2195, 1, 2, '6f0c7eed3b904290bd7d9751f212e72f', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 10:53:44', NULL, '2023-05-27 10:23:44', NULL, '2023-05-27 10:23:44', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2196, 1, 2, 'e24038416b404085b6400a1fd52c8fea', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 10:53:44', NULL, '2023-05-27 10:23:44', NULL, '2023-05-27 10:23:44', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2197, 1, 2, '3fef7375212040988dc7cec50616ce0a', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 10:53:44', NULL, '2023-05-27 10:23:44', NULL, '2023-05-27 10:53:45', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2198, 1, 2, '43ba393c313c4cb5b785dabfc76cf65b', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 11:23:45', NULL, '2023-05-27 10:53:45', NULL, '2023-05-27 10:53:45', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2199, 1, 2, 'ab2a9196823d43c492ea2c6554fd5b63', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 11:23:45', NULL, '2023-05-27 10:53:45', NULL, '2023-05-27 11:24:45', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2200, 1, 2, '831428c1422b479bb93ef4d034d4986d', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 11:54:46', NULL, '2023-05-27 11:24:46', NULL, '2023-05-27 11:24:45', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2201, 1, 2, 'e213011e5ae244be93947fd6d44ca86c', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 11:54:46', NULL, '2023-05-27 11:24:46', NULL, '2023-05-27 11:24:45', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2202, 1, 2, '7f5715aa8ea846f38a2011e4d92dfcee', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 11:54:46', NULL, '2023-05-27 11:24:46', NULL, '2023-05-27 11:54:53', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2203, 1, 2, '387b9b998aa0461293f30ebfbd49ad7d', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 12:24:53', NULL, '2023-05-27 11:54:53', NULL, '2023-05-27 12:25:52', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2204, 1, 2, '3d58af5bec8040d995f7c8db805ae291', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 12:55:52', NULL, '2023-05-27 12:25:52', NULL, '2023-05-27 12:25:52', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2205, 1, 2, 'f5e34628c43b4810a280682fe4e52af9', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 12:55:52', NULL, '2023-05-27 12:25:52', NULL, '2023-05-27 12:56:03', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2206, 1, 2, '66bddafb09f740748ed84f7bafac4242', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 12:55:52', NULL, '2023-05-27 12:25:52', NULL, '2023-05-27 12:56:03', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2207, 1, 2, 'b6c340b38fc74418842013b46e16b3f8', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 13:26:03', NULL, '2023-05-27 12:56:03', NULL, '2023-05-27 12:56:03', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2208, 1, 2, '455cf3cc692a44f486d8fd1d6e364f63', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 13:26:03', NULL, '2023-05-27 12:56:03', NULL, '2023-05-27 12:56:03', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2209, 1, 2, '6a15b5a72127491d9568cf2aa82ad233', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 13:26:03', NULL, '2023-05-27 12:56:03', NULL, '2023-05-27 12:56:03', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2210, 1, 2, '654f63aaa3cf4c25ba9747c96c8e6afa', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 13:26:03', NULL, '2023-05-27 12:56:03', NULL, '2023-05-27 13:26:07', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2211, 1, 2, '7565c854f7614da19df2db6e0fc69a92', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 13:56:07', NULL, '2023-05-27 13:26:07', NULL, '2023-05-27 13:56:47', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2212, 1, 2, '2f18faa57cd64cf59ad34b6d345ad3db', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 13:56:07', NULL, '2023-05-27 13:26:07', NULL, '2023-05-27 13:56:47', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2213, 1, 2, 'fe51f108c4aa4ad398e56b5fa75da13e', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 13:56:07', NULL, '2023-05-27 13:26:07', NULL, '2023-05-27 13:56:47', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2214, 1, 2, 'af70323518b44cd68ed7949ed0298eb6', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 14:26:48', NULL, '2023-05-27 13:56:48', NULL, '2023-05-27 13:56:47', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2215, 1, 2, 'ddc2cbd4c55d435d89aa5ba8877291c0', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 14:26:48', NULL, '2023-05-27 13:56:48', NULL, '2023-05-27 14:28:04', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2216, 1, 2, '089f4e2e6ef346d48c8db5b116773cb7', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 14:26:48', NULL, '2023-05-27 13:56:48', NULL, '2023-05-27 14:28:04', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2217, 1, 2, '0a42070c9af146578f4bec9e1466e1a1', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 14:58:04', NULL, '2023-05-27 14:28:04', NULL, '2023-05-27 14:28:04', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2218, 1, 2, '0dbca3d0166d40f7b41decbd9f43d071', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 14:58:04', NULL, '2023-05-27 14:28:04', NULL, '2023-05-27 14:58:04', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2219, 1, 2, '2001c2e39ad2411c864ae112404e106d', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 14:58:04', NULL, '2023-05-27 14:28:04', NULL, '2023-05-27 14:58:04', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2220, 1, 2, 'e6d306980c5d4c1c8c5fcf0cc3a79348', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 15:28:05', NULL, '2023-05-27 14:58:05', NULL, '2023-05-27 14:58:04', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2221, 1, 2, '43d14cc3214546fa91b4cf4104de7b28', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 15:28:05', NULL, '2023-05-27 14:58:05', NULL, '2023-05-27 15:28:49', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2222, 1, 2, 'a72ca75015c3443db83b464e25623126', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 15:28:05', NULL, '2023-05-27 14:58:05', NULL, '2023-05-27 15:28:49', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2223, 1, 2, '152ae8835f614cd5af2d2e7ebdf4ac9e', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 15:58:49', NULL, '2023-05-27 15:28:49', NULL, '2023-05-27 15:28:49', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2224, 1, 2, '089c5f7b674641d999afb459774053b6', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 15:58:49', NULL, '2023-05-27 15:28:49', NULL, '2023-05-27 15:59:01', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2225, 1, 2, '71fb7e3582cf424da756467cd6882d3c', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 15:58:49', NULL, '2023-05-27 15:28:49', NULL, '2023-05-27 15:59:01', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2226, 1, 2, '31ce87cd1c3f452592f70bf85982ea7a', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 16:29:02', NULL, '2023-05-27 15:59:02', NULL, '2023-05-27 16:54:55', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2227, 1, 2, '65a796d70839453388a6213bdc931a11', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 17:24:56', NULL, '2023-05-27 16:54:56', NULL, '2023-05-27 17:34:35', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2228, 1, 2, '7fd268f160d34b5ca512824b4447218f', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 18:04:36', NULL, '2023-05-27 17:34:36', NULL, '2023-05-27 17:34:35', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2229, 1, 2, 'daed8c433c8b4a8d86d1d7bdf12dea95', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 18:04:36', NULL, '2023-05-27 17:34:36', NULL, '2023-05-27 17:34:35', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2230, 1, 2, 'e94a4b6ae49943b3aa26a21419635a7d', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 18:04:36', NULL, '2023-05-27 17:34:36', NULL, '2023-05-27 18:06:06', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2231, 1, 2, 'd12285dc9f714fd2869d9382d2f7771a', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 18:36:07', NULL, '2023-05-27 18:06:07', NULL, '2023-05-27 18:36:12', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2232, 1, 2, '67977700b85147688c7cf8c07b937300', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 18:36:07', NULL, '2023-05-27 18:06:07', NULL, '2023-05-27 18:36:12', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2233, 1, 2, 'e4766ee7e62c4982ac2813e85af5d9b4', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 18:36:07', NULL, '2023-05-27 18:06:07', NULL, '2023-05-27 18:36:12', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2234, 1, 2, 'd710bd3c9b7b4beaa6eb1280976639c6', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 19:06:12', NULL, '2023-05-27 18:36:12', NULL, '2023-05-27 18:36:12', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2235, 1, 2, '564ca03b3a4d46d0b2c5f6385390d97c', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 19:06:12', NULL, '2023-05-27 18:36:12', NULL, '2023-05-27 18:36:12', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2236, 1, 2, '9ff33c37bc8c4f54ab548de823a2e470', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 19:06:12', NULL, '2023-05-27 18:36:12', NULL, '2023-05-27 18:36:12', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2237, 1, 2, '6705721766f74340b5b1e71ea3cbdd53', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 19:06:12', NULL, '2023-05-27 18:36:12', NULL, '2023-05-27 19:08:21', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2238, 1, 2, 'e4cabd59b3524d49ac97ceeb2751c01b', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 19:38:21', NULL, '2023-05-27 19:08:21', NULL, '2023-05-27 19:40:06', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2239, 1, 2, '34ec98fe9d934ef5976e78dbdad6e213', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 19:38:21', NULL, '2023-05-27 19:08:21', NULL, '2023-05-27 19:40:06', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2240, 1, 2, '2abbe0f5782e4c988b5c2b742d307c60', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 19:38:21', NULL, '2023-05-27 19:08:21', NULL, '2023-05-27 19:40:06', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2241, 1, 2, '71b89385252c472c9fc817f4b208a15f', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 20:10:07', NULL, '2023-05-27 19:40:07', NULL, '2023-05-27 19:40:06', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2242, 1, 2, 'a6b8d2c170ab420cbf8a36ac0459eb83', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 20:10:07', NULL, '2023-05-27 19:40:07', NULL, '2023-05-27 19:40:06', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2243, 1, 2, 'f5069c5f207b4bf5bec32a0cc3844df2', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 20:10:07', NULL, '2023-05-27 19:40:07', NULL, '2023-05-27 20:12:06', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2244, 1, 2, '6452843ada5b449781f8073e0c0bbce5', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 20:42:07', NULL, '2023-05-27 20:12:07', NULL, '2023-05-27 20:12:06', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2245, 1, 2, '1491dc6587794240a7a4cb61fc3a79c9', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 20:42:07', NULL, '2023-05-27 20:12:07', NULL, '2023-05-27 20:12:06', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2246, 1, 2, '4ced27505e7b42e8994d332e358290da', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 20:42:07', NULL, '2023-05-27 20:12:07', NULL, '2023-05-27 20:12:06', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2247, 1, 2, '3989e9b6ba28402ab975c3c3ebd32be0', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 20:42:07', NULL, '2023-05-27 20:12:07', NULL, '2023-05-27 20:42:07', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2248, 1, 2, '7e823c391d7848809e4bd6d65c6ad13d', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 21:12:07', NULL, '2023-05-27 20:42:07', NULL, '2023-05-27 20:42:07', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2249, 1, 2, 'ef452502ab0c4085a650ac5c39ab7094', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 21:12:07', NULL, '2023-05-27 20:42:07', NULL, '2023-05-27 20:42:07', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2250, 1, 2, 'da6526ba9362463788b4e0c41971e3bb', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 21:12:07', NULL, '2023-05-27 20:42:07', NULL, '2023-05-27 21:12:07', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2251, 1, 2, '9c05f1d569044d6ea4e71ef4f450468a', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 21:42:07', NULL, '2023-05-27 21:12:07', NULL, '2023-05-27 21:12:07', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2252, 1, 2, '8d5d9c4fa5a347a285716d437e878b5e', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 21:42:07', NULL, '2023-05-27 21:12:07', NULL, '2023-05-28 03:05:43', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2253, 1, 2, 'f009f78bd07545e8852f28fdc0d48869', 'b62853c9ec43460ba30cedf702c7fe5f', 'default', NULL,
        '2023-05-27 21:42:07', NULL, '2023-05-27 21:12:07', NULL, '2023-05-28 03:05:43', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2254, 1, 2, 'eba66dcf11fd460fb79abfae7dc74a5c', 'c1208eb5fa524dbe963749e32bbde4d8', 'default', NULL,
        '2023-05-29 11:30:51', NULL, '2023-05-29 11:00:51', NULL, '2023-05-29 11:01:05', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2255, 1, 2, '1591b4dd99fa4d7f8d8bcfda53aa46c8', '235c06181be84d08a9f998ebee24e322', 'default', NULL,
        '2023-05-29 11:31:10', NULL, '2023-05-29 11:01:10', NULL, '2023-05-29 11:31:10', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2256, 1, 2, 'df2707b4af194e0e82956673eac1b1c5', '235c06181be84d08a9f998ebee24e322', 'default', NULL,
        '2023-05-29 12:01:11', NULL, '2023-05-29 11:31:11', NULL, '2023-05-29 12:01:48', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2257, 1, 2, 'ce2a35b1b7944b3dbda23443730d3360', '235c06181be84d08a9f998ebee24e322', 'default', NULL,
        '2023-05-29 12:31:49', NULL, '2023-05-29 12:01:49', NULL, '2023-05-29 12:45:39', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2258, 1, 2, '82ce9b4f0fb74cb484cb020cc063e776', '235c06181be84d08a9f998ebee24e322', 'default', NULL,
        '2023-05-29 13:15:39', NULL, '2023-05-29 12:45:39', NULL, '2023-05-29 13:15:49', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2259, 1, 2, '1a8f6b17e41549e28485cc3af11a699f', '235c06181be84d08a9f998ebee24e322', 'default', NULL,
        '2023-05-29 13:45:49', NULL, '2023-05-29 13:15:49', NULL, '2023-05-29 13:45:49', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2260, 1, 2, '6673d29efd284cf98326fce6e712e3f9', '235c06181be84d08a9f998ebee24e322', 'default', NULL,
        '2023-05-29 14:15:49', NULL, '2023-05-29 13:45:49', NULL, '2023-05-29 14:15:49', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2261, 1, 2, '4303834d55574f2faa249f874134d405', '235c06181be84d08a9f998ebee24e322', 'default', NULL,
        '2023-05-29 14:45:49', NULL, '2023-05-29 14:15:49', NULL, '2023-05-29 14:46:02', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2262, 1, 2, 'bc41eb7210fe4258b6ff24d1866247f7', '235c06181be84d08a9f998ebee24e322', 'default', NULL,
        '2023-05-29 15:16:02', NULL, '2023-05-29 14:46:02', NULL, '2023-05-29 15:18:00', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2263, 1, 2, '158bcf29ffaf49ca895acf9b2d610411', '235c06181be84d08a9f998ebee24e322', 'default', NULL,
        '2023-05-29 15:48:00', NULL, '2023-05-29 15:18:00', NULL, '2023-05-29 15:48:13', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2264, 1, 2, '2c231f2bc231469090b8207f488860a9', '235c06181be84d08a9f998ebee24e322', 'default', NULL,
        '2023-05-29 16:18:13', NULL, '2023-05-29 15:48:13', NULL, '2023-05-29 16:19:49', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2265, 1, 2, '5fe0dd2f74934fd29ca4597441c7b6f4', '235c06181be84d08a9f998ebee24e322', 'default', NULL,
        '2023-05-29 16:49:49', NULL, '2023-05-29 16:19:49', NULL, '2023-05-29 16:49:56', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2266, 1, 2, '6aba819494d64bbc905b6821c0661520', '235c06181be84d08a9f998ebee24e322', 'default', NULL,
        '2023-05-29 17:19:57', NULL, '2023-05-29 16:49:57', NULL, '2023-05-29 17:21:26', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2267, 1, 2, '999b99806ef04ffda29cbd4485dbba00', '235c06181be84d08a9f998ebee24e322', 'default', NULL,
        '2023-05-29 17:51:27', NULL, '2023-05-29 17:21:27', NULL, '2023-05-29 17:51:58', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2268, 1, 2, 'e7ba3eaa322045a09adb71a29acea229', '235c06181be84d08a9f998ebee24e322', 'default', NULL,
        '2023-05-29 18:21:59', NULL, '2023-05-29 17:51:59', NULL, '2023-05-29 18:23:27', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2269, 1, 2, '0525c45dd61345fa9bf002c14eb8aec6', '235c06181be84d08a9f998ebee24e322', 'default', NULL,
        '2023-05-29 18:53:27', NULL, '2023-05-29 18:23:27', NULL, '2023-05-29 18:54:06', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2270, 1, 2, 'e77def17c03646c19d7d48b908bdc665', '235c06181be84d08a9f998ebee24e322', 'default', NULL,
        '2023-05-29 19:24:06', NULL, '2023-05-29 18:54:06', NULL, '2023-05-29 20:08:55', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2271, 1, 2, '071d903ff5384377bd960de8363a9543', '235c06181be84d08a9f998ebee24e322', 'default', NULL,
        '2023-05-29 20:38:55', NULL, '2023-05-29 20:08:55', NULL, '2023-05-29 21:16:56', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2272, 1, 2, '5abaf44485524d37b8e9b6e36b82c50a', '235c06181be84d08a9f998ebee24e322', 'default', NULL,
        '2023-05-29 20:38:55', NULL, '2023-05-29 20:08:55', NULL, '2023-05-29 21:16:56', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2273, 1, 2, '97418cc7bfa84cff8625993ae531441f', '235c06181be84d08a9f998ebee24e322', 'default', NULL,
        '2023-05-29 20:38:55', NULL, '2023-05-29 20:08:55', NULL, '2023-05-29 21:16:56', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2274, 1, 2, '2f9602b97370479ead534b90b72e7e15', '235c06181be84d08a9f998ebee24e322', 'default', NULL,
        '2023-05-29 21:46:57', NULL, '2023-05-29 21:16:57', NULL, '2023-05-29 21:16:56', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2275, 1, 2, '8458a0f9672543a7b404b5fa8a8a0b7e', '235c06181be84d08a9f998ebee24e322', 'default', NULL,
        '2023-05-29 21:46:57', NULL, '2023-05-29 21:16:57', NULL, '2023-05-29 21:16:56', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2276, 1, 2, '9c40f21eb89044a5b07b3e9a87dcaf43', '235c06181be84d08a9f998ebee24e322', 'default', NULL,
        '2023-05-29 21:46:57', NULL, '2023-05-29 21:16:57', NULL, '2023-05-29 21:51:04', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2277, 1, 2, '99fe528e4cdb48a0bc9f364b430e49f0', '235c06181be84d08a9f998ebee24e322', 'default', NULL,
        '2023-05-29 22:21:05', NULL, '2023-05-29 21:51:05', NULL, '2023-05-29 21:51:04', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2278, 1, 2, '1d6418f7ad4246c4adee2defaffb084a', '235c06181be84d08a9f998ebee24e322', 'default', NULL,
        '2023-05-29 22:21:05', NULL, '2023-05-29 21:51:05', NULL, '2023-05-30 09:42:56', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2279, 1, 2, '5a6be58e4d584ce1be5e1f2bbc0e8251', '235c06181be84d08a9f998ebee24e322', 'default', NULL,
        '2023-05-29 22:21:05', NULL, '2023-05-29 21:51:05', NULL, '2023-05-30 09:42:56', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2280, 1, 2, '61f7d9457dd446a78424f438f233df0c', '702799f0a1884f829228081eb0f6b5a3', 'default', NULL,
        '2023-05-30 10:19:00', NULL, '2023-05-30 09:49:00', NULL, '2023-05-30 10:19:21', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2281, 1, 2, '49f59efae7664f1c9fb08ae582ed0cdd', '702799f0a1884f829228081eb0f6b5a3', 'default', NULL,
        '2023-05-30 10:49:21', NULL, '2023-05-30 10:19:21', NULL, '2023-05-30 10:51:01', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2282, 1, 2, '23b26d7a243b4dcf963451d18d618211', '702799f0a1884f829228081eb0f6b5a3', 'default', NULL,
        '2023-05-30 11:21:01', NULL, '2023-05-30 10:51:01', NULL, '2023-05-30 11:22:02', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2283, 1, 2, '3a84a1b55b504944bf9e8588f95d5ec0', '702799f0a1884f829228081eb0f6b5a3', 'default', NULL,
        '2023-05-30 11:52:02', NULL, '2023-05-30 11:22:02', NULL, '2023-05-30 11:22:02', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2284, 1, 2, '657f204e4e964f188176007ad0365682', '16c477193d724699a7c8d620107276b5', 'default', NULL,
        '2023-05-30 12:09:51', NULL, '2023-05-30 11:39:51', NULL, '2023-05-30 12:10:04', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2285, 1, 2, '308608a306fb4c65a611b66258b875b1', '16c477193d724699a7c8d620107276b5', 'default', NULL,
        '2023-05-30 12:40:05', NULL, '2023-05-30 12:10:05', NULL, '2023-05-30 12:41:57', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2286, 1, 2, '936e576ef3ab40b7a337bc9d6e0fe348', '16c477193d724699a7c8d620107276b5', 'default', NULL,
        '2023-05-30 13:11:58', NULL, '2023-05-30 12:41:58', NULL, '2023-05-30 12:41:57', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2287, 1, 2, '00f2d3021c824232b066ae46e832eeef', '16c477193d724699a7c8d620107276b5', 'default', NULL,
        '2023-05-30 13:11:58', NULL, '2023-05-30 12:41:58', NULL, '2023-05-30 13:12:05', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2288, 1, 2, 'd050fdb69b134d1fa797e65e06af2043', '16c477193d724699a7c8d620107276b5', 'default', NULL,
        '2023-05-30 13:42:06', NULL, '2023-05-30 13:12:06', NULL, '2023-05-30 13:43:15', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2289, 1, 2, '1503322474ae4b94880b5346d6762c4b', '16c477193d724699a7c8d620107276b5', 'default', NULL,
        '2023-05-30 13:42:06', NULL, '2023-05-30 13:12:06', NULL, '2023-05-30 13:43:15', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2290, 1, 2, 'c96f9d8ef5b640bbbb83465faf1d19d0', '16c477193d724699a7c8d620107276b5', 'default', NULL,
        '2023-05-30 14:13:16', NULL, '2023-05-30 13:43:16', NULL, '2023-05-30 13:43:15', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2291, 1, 2, '85b2fbc5b66941868bdbeffda4ed6d40', '16c477193d724699a7c8d620107276b5', 'default', NULL,
        '2023-05-30 14:13:16', NULL, '2023-05-30 13:43:16', NULL, '2023-05-30 14:13:50', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2292, 1, 2, 'a64a94dc8e5b4a59827ccd99488eaf31', '16c477193d724699a7c8d620107276b5', 'default', NULL,
        '2023-05-30 14:43:50', NULL, '2023-05-30 14:13:50', NULL, '2023-05-30 14:43:50', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2293, 1, 2, '8a475dcd0c474ac4a9163d89680d2272', '16c477193d724699a7c8d620107276b5', 'default', NULL,
        '2023-05-30 14:43:50', NULL, '2023-05-30 14:13:50', NULL, '2023-05-30 14:43:50', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2294, 1, 2, '41cb9ec3897948d7a07611542a9b953a', '16c477193d724699a7c8d620107276b5', 'default', NULL,
        '2023-05-30 15:13:50', NULL, '2023-05-30 14:43:50', NULL, '2023-05-30 15:14:07', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2295, 1, 2, '902e2c697b5a45a0a9129635185e176f', '16c477193d724699a7c8d620107276b5', 'default', NULL,
        '2023-05-30 15:44:07', NULL, '2023-05-30 15:14:07', NULL, '2023-05-30 15:45:08', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2296, 1, 2, '62bb9c65f32b4b79a19a68f243059f02', '16c477193d724699a7c8d620107276b5', 'default', NULL,
        '2023-05-30 16:15:09', NULL, '2023-05-30 15:45:09', NULL, '2023-05-30 16:15:51', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2297, 1, 2, 'f5d4b3f9924f42709e2228b53f2d3df7', '16c477193d724699a7c8d620107276b5', 'default', NULL,
        '2023-05-30 16:45:52', NULL, '2023-05-30 16:15:52', NULL, '2023-05-30 16:45:52', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2298, 1, 2, 'cd16ad9db42d42b9b0b3e6991f13589f', '16c477193d724699a7c8d620107276b5', 'default', NULL,
        '2023-05-30 17:15:52', NULL, '2023-05-30 16:45:52', NULL, '2023-05-30 17:16:50', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2299, 1, 2, '3c6f301eb79046db89cfb6230b22576a', '16c477193d724699a7c8d620107276b5', 'default', NULL,
        '2023-05-30 17:46:50', NULL, '2023-05-30 17:16:50', NULL, '2023-05-30 17:46:50', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2300, 1, 2, '186a8578c6f8460f86043df3825f4cd1', '16c477193d724699a7c8d620107276b5', 'default', NULL,
        '2023-05-30 18:16:50', NULL, '2023-05-30 17:46:50', NULL, '2023-05-30 18:18:54', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2301, 1, 2, '345eedb09ce24866940b37ddc2250fd9', '16c477193d724699a7c8d620107276b5', 'default', NULL,
        '2023-05-30 18:48:54', NULL, '2023-05-30 18:18:54', NULL, '2023-05-30 18:49:10', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2302, 1, 2, '481a367560e940f99edc618aeaed8ef1', '16c477193d724699a7c8d620107276b5', 'default', NULL,
        '2023-05-30 19:19:11', NULL, '2023-05-30 18:49:11', NULL, '2023-05-30 19:34:30', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2303, 1, 2, '5e0bdca912654861a0eb9d3d2c3bb922', '16c477193d724699a7c8d620107276b5', 'default', NULL,
        '2023-05-30 20:04:31', NULL, '2023-05-30 19:34:31', NULL, '2023-05-30 19:34:30', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2304, 1, 2, 'f0751bbc82ae40448dd871faf5045f6f', '16c477193d724699a7c8d620107276b5', 'default', NULL,
        '2023-05-30 20:04:31', NULL, '2023-05-30 19:34:31', NULL, '2023-05-30 20:16:57', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2305, 1, 2, '6452dfe7e13c49bfb2dc7c4ff6211a95', '16c477193d724699a7c8d620107276b5', 'default', NULL,
        '2023-05-30 20:04:31', NULL, '2023-05-30 19:34:31', NULL, '2023-05-30 20:16:57', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2306, 1, 2, 'bbf54e8edbf2421d8633661afaa6e6bf', '16c477193d724699a7c8d620107276b5', 'default', NULL,
        '2023-05-30 20:46:57', NULL, '2023-05-30 20:16:57', NULL, '2023-05-30 21:44:47', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2307, 1, 2, '4160061fe70040329785d86f7003cbf5', '16c477193d724699a7c8d620107276b5', 'default', NULL,
        '2023-05-30 22:14:48', NULL, '2023-05-30 21:44:48', NULL, '2023-05-31 09:57:03', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2308, 1, 2, '4bd1d921479143edbff52de066452fb0', '16c477193d724699a7c8d620107276b5', 'default', NULL,
        '2023-05-30 22:14:48', NULL, '2023-05-30 21:44:48', NULL, '2023-05-31 09:57:03', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2309, 1, 2, '1a3aacebe5974d299155d6c37617175b', '16c477193d724699a7c8d620107276b5', 'default', NULL,
        '2023-05-30 22:14:48', NULL, '2023-05-30 21:44:48', NULL, '2023-05-31 09:57:03', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2310, 1, 2, '972628fd5ea44be59c7e7ab40a52fc89', '76b773a262624494818afd620821ec74', 'default', NULL,
        '2023-06-01 11:25:15', NULL, '2023-06-01 10:55:15', NULL, '2023-06-01 10:55:35', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2311, 1, 2, '893affe3fc5b48c595f98f872cd8b49b', 'c16f0acf460e4b32a477579661bbd1b9', 'default', NULL,
        '2023-06-01 11:34:43', NULL, '2023-06-01 11:04:43', NULL, '2023-06-01 11:04:43', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2312, 1, 2, '1c5caa21d88847e9ad740ed92b476c8c', '497b7a5ec819442f85c0e394b72bcd60', 'default', NULL,
        '2023-06-01 11:34:58', '1', '2023-06-01 11:04:58', '1', '2023-06-01 11:37:11', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2313, 1, 2, '4371eeb759484c6e875f93b7071a8956', '497b7a5ec819442f85c0e394b72bcd60', 'default', NULL,
        '2023-06-01 12:07:12', NULL, '2023-06-01 11:37:12', NULL, '2023-06-01 12:09:01', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2314, 1, 2, '7cede625e04d470dbdcae0ea6483541b', '497b7a5ec819442f85c0e394b72bcd60', 'default', NULL,
        '2023-06-01 12:39:01', NULL, '2023-06-01 12:09:01', NULL, '2023-06-01 12:39:15', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2315, 1, 2, 'a2ad7452375b43d8a7fafcf4dfa7aa13', '497b7a5ec819442f85c0e394b72bcd60', 'default', NULL,
        '2023-06-01 13:09:15', NULL, '2023-06-01 12:39:15', NULL, '2023-06-01 13:11:15', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2316, 1, 2, 'bd7f1fc62bf142b79e18f7de4afe986c', '497b7a5ec819442f85c0e394b72bcd60', 'default', NULL,
        '2023-06-01 13:41:16', NULL, '2023-06-01 13:11:16', NULL, '2023-06-01 13:43:15', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2317, 1, 2, '89188109d997400f999d6df9fdfc3450', '497b7a5ec819442f85c0e394b72bcd60', 'default', NULL,
        '2023-06-01 14:13:16', NULL, '2023-06-01 13:43:16', NULL, '2023-06-01 14:15:01', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2318, 1, 2, 'c6a0f96a1d0f43ec8c04ebe462a07b93', '497b7a5ec819442f85c0e394b72bcd60', 'default', NULL,
        '2023-06-01 14:45:01', NULL, '2023-06-01 14:15:01', NULL, '2023-06-01 14:45:01', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2319, 1, 2, '382f952c6bff49ab95307c22724d3551', '497b7a5ec819442f85c0e394b72bcd60', 'default', NULL,
        '2023-06-01 15:15:01', NULL, '2023-06-01 14:45:01', NULL, '2023-06-01 15:16:45', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2320, 1, 2, '18c562f108db45489a338f0b52a24f33', '497b7a5ec819442f85c0e394b72bcd60', 'default', NULL,
        '2023-06-01 15:46:46', NULL, '2023-06-01 15:16:46', NULL, '2023-06-01 15:48:45', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2321, 1, 2, 'b604b2e926c645f39c351199ee9bad9b', '497b7a5ec819442f85c0e394b72bcd60', 'default', NULL,
        '2023-06-01 16:18:46', NULL, '2023-06-01 15:48:46', NULL, '2023-06-01 16:19:16', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2322, 1, 2, '3ee5d7ba068b4d599ad2c72293134dea', '497b7a5ec819442f85c0e394b72bcd60', 'default', NULL,
        '2023-06-01 16:49:17', NULL, '2023-06-01 16:19:17', NULL, '2023-06-01 16:51:15', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2323, 1, 2, '14b4d53190904cdcbcfcc14b1a75bf74', '497b7a5ec819442f85c0e394b72bcd60', 'default', NULL,
        '2023-06-01 17:21:16', NULL, '2023-06-01 16:51:16', NULL, '2023-06-01 17:21:16', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2324, 1, 2, '516965cb8f1a48ea8347c7cad6ec942f', '497b7a5ec819442f85c0e394b72bcd60', 'default', NULL,
        '2023-06-01 17:51:17', NULL, '2023-06-01 17:21:17', NULL, '2023-06-01 17:53:01', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2325, 1, 2, '85965e6c62f441bd946cf1210f4fc1b4', '497b7a5ec819442f85c0e394b72bcd60', 'default', NULL,
        '2023-06-01 18:23:01', NULL, '2023-06-01 17:53:01', NULL, '2023-06-01 18:23:16', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2326, 1, 2, 'a6232df0f28942ae84dd760fa416f205', '497b7a5ec819442f85c0e394b72bcd60', 'default', NULL,
        '2023-06-01 18:53:16', NULL, '2023-06-01 18:23:16', NULL, '2023-06-01 18:53:16', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2327, 1, 2, '45a3586278ea42e1a3ffba31a1d01bf8', '497b7a5ec819442f85c0e394b72bcd60', 'default', NULL,
        '2023-06-01 19:23:16', NULL, '2023-06-01 18:53:16', NULL, '2023-06-01 19:25:04', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2328, 1, 2, 'baa275d0f94a4b76a2e3a6ae69ae0242', '497b7a5ec819442f85c0e394b72bcd60', 'default', NULL,
        '2023-06-01 19:55:04', NULL, '2023-06-01 19:25:04', NULL, '2023-06-01 20:18:14', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2329, 1, 2, 'eea46f7dfe7f4c39bbc9947e9e47a18d', '497b7a5ec819442f85c0e394b72bcd60', 'default', NULL,
        '2023-06-01 20:48:14', NULL, '2023-06-01 20:18:14', NULL, '2023-06-01 21:36:44', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2330, 1, 2, '9aadfa095e874cc382c038840c429f96', '497b7a5ec819442f85c0e394b72bcd60', 'default', NULL,
        '2023-06-01 22:06:44', NULL, '2023-06-01 21:36:44', NULL, '2023-06-02 09:08:23', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2331, 1, 2, 'bfd432f8c93240f2a93dc29dfffbe242', 'c6170b3b14eb42e7acb9e21767f2930c', 'default', NULL,
        '2023-06-02 10:03:20', NULL, '2023-06-02 09:33:20', NULL, '2023-06-02 09:33:25', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2332, 1, 2, '7065224408224d71a702a8749de35158', 'b60b9d572ec04e01933d00b0dfa9f7f5', 'default', NULL,
        '2023-06-02 10:19:02', NULL, '2023-06-02 09:49:02', NULL, '2023-06-02 10:19:44', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2333, 1, 2, '8533bdf5bb9d415d9dbb573115f626f6', 'b60b9d572ec04e01933d00b0dfa9f7f5', 'default', NULL,
        '2023-06-02 10:49:44', NULL, '2023-06-02 10:19:44', NULL, '2023-06-02 10:49:44', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2334, 1, 2, '074eb60b18fe47f6b0f08185c7c29342', 'b60b9d572ec04e01933d00b0dfa9f7f5', 'default', NULL,
        '2023-06-02 11:19:45', NULL, '2023-06-02 10:49:45', NULL, '2023-06-02 11:19:51', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2335, 1, 2, '84a45b17ea0940dcbe4b293adc52386e', 'b60b9d572ec04e01933d00b0dfa9f7f5', 'default', NULL,
        '2023-06-02 11:49:52', NULL, '2023-06-02 11:19:52', NULL, '2023-06-02 11:50:09', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2336, 1, 2, 'e9d2c3da64704ee5becc1f1af86e4d49', 'b60b9d572ec04e01933d00b0dfa9f7f5', 'default', NULL,
        '2023-06-02 12:20:09', NULL, '2023-06-02 11:50:09', NULL, '2023-06-02 12:20:12', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2337, 1, 2, '48e5706dca794291a34a8e7a2ffaf49d', 'b60b9d572ec04e01933d00b0dfa9f7f5', 'default', NULL,
        '2023-06-02 12:50:13', NULL, '2023-06-02 12:20:13', NULL, '2023-06-02 12:51:57', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2338, 1, 2, 'd3fd1026342244a593cd198e8ab8b2a8', 'b60b9d572ec04e01933d00b0dfa9f7f5', 'default', NULL,
        '2023-06-02 13:21:58', NULL, '2023-06-02 12:51:58', NULL, '2023-06-02 13:21:58', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2339, 1, 2, 'f3a30c5abc8b41d289841cad1c0b8e49', 'b60b9d572ec04e01933d00b0dfa9f7f5', 'default', NULL,
        '2023-06-02 13:51:59', NULL, '2023-06-02 13:21:59', NULL, '2023-06-02 13:52:16', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2340, 1, 2, '59b16dfb255c4734a651285e62cc3f42', 'b60b9d572ec04e01933d00b0dfa9f7f5', 'default', NULL,
        '2023-06-02 14:22:16', NULL, '2023-06-02 13:52:16', NULL, '2023-06-02 14:23:59', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2341, 1, 2, '87376b252e704679acf5d495a6ee76ee', 'b60b9d572ec04e01933d00b0dfa9f7f5', 'default', NULL,
        '2023-06-02 14:54:00', NULL, '2023-06-02 14:24:00', NULL, '2023-06-02 14:55:23', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2342, 1, 2, '4f5cb6bf80b84177bd27cea3eb525c98', 'b60b9d572ec04e01933d00b0dfa9f7f5', 'default', NULL,
        '2023-06-02 15:25:23', NULL, '2023-06-02 14:55:23', NULL, '2023-06-02 15:26:00', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2343, 1, 2, '6d6069b7ff5a49f086af9e74a71cf098', 'b60b9d572ec04e01933d00b0dfa9f7f5', 'default', NULL,
        '2023-06-02 15:56:01', NULL, '2023-06-02 15:26:01', NULL, '2023-06-02 15:26:00', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2344, 1, 2, '8741d4b1ce8c45faa8f2e45d38935519', 'b60b9d572ec04e01933d00b0dfa9f7f5', 'default', NULL,
        '2023-06-02 15:56:01', NULL, '2023-06-02 15:26:01', NULL, '2023-06-02 15:57:57', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2345, 1, 2, 'c08ada6dc5304bbabe207307986d2b80', 'b60b9d572ec04e01933d00b0dfa9f7f5', 'default', NULL,
        '2023-06-02 16:27:58', NULL, '2023-06-02 15:57:58', NULL, '2023-06-02 16:28:00', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2346, 1, 2, '1b5c3ce1350246c3b1ed520cd4f00de3', 'b60b9d572ec04e01933d00b0dfa9f7f5', 'default', NULL,
        '2023-06-02 16:27:58', NULL, '2023-06-02 15:57:58', NULL, '2023-06-02 16:28:00', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2347, 1, 2, '1ad8bcd1259c43d9a1e6e55f20639a18', 'b60b9d572ec04e01933d00b0dfa9f7f5', 'default', NULL,
        '2023-06-02 16:58:00', NULL, '2023-06-02 16:28:00', NULL, '2023-06-02 16:28:00', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2348, 1, 2, '325df8c4df0048f7a3740dd0a2a6c9bd', 'b60b9d572ec04e01933d00b0dfa9f7f5', 'default', NULL,
        '2023-06-02 16:58:00', NULL, '2023-06-02 16:28:00', NULL, '2023-06-02 16:59:59', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2349, 1, 2, '5bcccf8ba08340939d1bf5fe64097cf2', 'b60b9d572ec04e01933d00b0dfa9f7f5', 'default', NULL,
        '2023-06-02 17:29:59', NULL, '2023-06-02 16:59:59', NULL, '2023-06-02 16:59:59', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2350, 1, 2, '5ae589557e954a8eaf39447dddf8916e', 'b60b9d572ec04e01933d00b0dfa9f7f5', 'default', NULL,
        '2023-06-02 17:29:59', NULL, '2023-06-02 16:59:59', NULL, '2023-06-02 17:30:00', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2351, 1, 2, '2ef7763d47f94de8b6d0c1b032dd1488', 'b60b9d572ec04e01933d00b0dfa9f7f5', 'default', NULL,
        '2023-06-02 18:00:01', NULL, '2023-06-02 17:30:01', NULL, '2023-06-02 17:30:00', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2352, 1, 2, '7052ed366f29445b808e994b8d9384dc', 'b60b9d572ec04e01933d00b0dfa9f7f5', 'default', NULL,
        '2023-06-02 18:00:01', NULL, '2023-06-02 17:30:01', NULL, '2023-06-02 18:00:01', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2353, 1, 2, 'cad3497edee04a73b0ac0b0144edd4c3', 'b60b9d572ec04e01933d00b0dfa9f7f5', 'default', NULL,
        '2023-06-02 18:30:01', NULL, '2023-06-02 18:00:01', NULL, '2023-06-02 18:00:01', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2354, 1, 2, '424abfed3f13424ba586f3d2b1749636', 'b60b9d572ec04e01933d00b0dfa9f7f5', 'default', NULL,
        '2023-06-02 18:30:01', NULL, '2023-06-02 18:00:01', NULL, '2023-06-02 18:31:57', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2355, 1, 2, '4cacc5b96a8d4bfa9e9906f002b0808b', 'b60b9d572ec04e01933d00b0dfa9f7f5', 'default', NULL,
        '2023-06-02 19:01:58', NULL, '2023-06-02 18:31:58', NULL, '2023-06-02 18:31:58', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2356, 1, 2, 'e228d2908c1742e594798950581b688a', 'b60b9d572ec04e01933d00b0dfa9f7f5', 'default', NULL,
        '2023-06-02 19:01:58', NULL, '2023-06-02 18:31:58', NULL, '2023-06-02 18:37:25', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2357, 1, 2, '17e4a21bc2b0433989d5c2f51494d85f', '37861861ddc7421a8c1e876b7ec11ad0', 'default', NULL,
        '2023-06-02 19:07:30', NULL, '2023-06-02 18:37:30', NULL, '2023-06-02 19:08:00', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2358, 1, 2, '542d374934cb47a7a264243b55539599', '37861861ddc7421a8c1e876b7ec11ad0', 'default', NULL,
        '2023-06-02 19:38:00', NULL, '2023-06-02 19:08:00', NULL, '2023-06-02 19:38:02', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2359, 1, 2, 'f86c7c5d76e6430ba11afc16a8c890be', '37861861ddc7421a8c1e876b7ec11ad0', 'default', NULL,
        '2023-06-02 19:38:00', NULL, '2023-06-02 19:08:00', NULL, '2023-06-02 19:38:02', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2360, 1, 2, '9f49a3df4713475a92e8c2bf0e586caf', '37861861ddc7421a8c1e876b7ec11ad0', 'default', NULL,
        '2023-06-02 20:08:03', NULL, '2023-06-02 19:38:03', NULL, '2023-06-02 20:22:30', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2361, 1, 2, 'f2b568e35fc64bb7bfca6964789fad1d', '37861861ddc7421a8c1e876b7ec11ad0', 'default', NULL,
        '2023-06-02 20:08:03', NULL, '2023-06-02 19:38:03', NULL, '2023-06-02 20:22:30', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2362, 1, 2, 'ada418612e4e4b84beb5b4167fd952b9', '37861861ddc7421a8c1e876b7ec11ad0', 'default', NULL,
        '2023-06-02 20:52:30', NULL, '2023-06-02 20:22:30', NULL, '2023-06-02 20:52:43', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2363, 1, 2, '1d7439ae44a346e8b402bef8cd43a0b7', '37861861ddc7421a8c1e876b7ec11ad0', 'default', NULL,
        '2023-06-02 20:52:30', NULL, '2023-06-02 20:22:30', NULL, '2023-06-02 20:52:43', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2364, 1, 2, '76ec919c928241b8b256b163102d5f35', '37861861ddc7421a8c1e876b7ec11ad0', 'default', NULL,
        '2023-06-02 21:22:43', NULL, '2023-06-02 20:52:43', NULL, '2023-06-03 10:42:02', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2365, 1, 2, '4d43c97d6ada44d29df90680d244baf8', '33515798070641158c8693c82714ce0d', 'default', NULL,
        '2023-06-03 12:30:22', NULL, '2023-06-03 12:00:22', NULL, '2023-06-03 12:30:47', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2366, 1, 2, '2954e9283b284f5d8923f797e76d1648', '33515798070641158c8693c82714ce0d', 'default', NULL,
        '2023-06-03 13:00:47', NULL, '2023-06-03 12:30:47', NULL, '2023-06-03 13:03:11', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2367, 1, 2, 'ad13c39012074717bae8d1f1f1d458aa', '33515798070641158c8693c82714ce0d', 'default', NULL,
        '2023-06-03 13:33:12', NULL, '2023-06-03 13:03:12', NULL, '2023-06-03 13:35:02', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2368, 1, 2, '01ba8cbde35b488aae8aa817115e0700', '33515798070641158c8693c82714ce0d', 'default', NULL,
        '2023-06-03 14:05:03', NULL, '2023-06-03 13:35:03', NULL, '2023-06-03 14:05:11', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2369, 1, 2, '4a888a75925a48e79c2052f76505a639', '33515798070641158c8693c82714ce0d', 'default', NULL,
        '2023-06-03 14:35:12', NULL, '2023-06-03 14:05:12', NULL, '2023-06-03 14:37:02', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2370, 1, 2, '1706c763b4564987996ffd9d43d8281a', '33515798070641158c8693c82714ce0d', 'default', NULL,
        '2023-06-03 15:07:02', NULL, '2023-06-03 14:37:02', NULL, '2023-06-03 15:08:45', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2371, 1, 2, 'ef8948a4f51e4b89baac41ba5bfa3e11', '33515798070641158c8693c82714ce0d', 'default', NULL,
        '2023-06-03 15:38:45', NULL, '2023-06-03 15:08:45', NULL, '2023-06-03 15:39:05', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2372, 1, 2, '96ae0c6b8d234a91b68935e2715a9c37', '33515798070641158c8693c82714ce0d', 'default', NULL,
        '2023-06-03 16:09:05', NULL, '2023-06-03 15:39:05', NULL, '2023-06-03 16:09:05', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2373, 1, 2, '6e33c082759c4c86bd8cfc5ae6c68d9d', '33515798070641158c8693c82714ce0d', 'default', NULL,
        '2023-06-03 16:39:05', NULL, '2023-06-03 16:09:05', NULL, '2023-06-03 16:40:45', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2374, 1, 2, 'e435175e764f4c18b64964a6dcd2042e', '33515798070641158c8693c82714ce0d', 'default', NULL,
        '2023-06-03 17:10:45', NULL, '2023-06-03 16:40:45', NULL, '2023-06-03 17:10:45', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2375, 1, 2, '3b9b00ebf2064d48b54b8235f38b79f9', '33515798070641158c8693c82714ce0d', 'default', NULL,
        '2023-06-03 17:40:45', NULL, '2023-06-03 17:10:45', NULL, '2023-06-03 17:40:55', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2376, 1, 2, '9e2d49a69eb04f20892704bf89c86812', '33515798070641158c8693c82714ce0d', 'default', NULL,
        '2023-06-03 18:10:56', NULL, '2023-06-03 17:40:56', NULL, '2023-06-03 18:11:01', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2377, 1, 2, '0379480f25ae4ae19839e6975e74820b', '33515798070641158c8693c82714ce0d', 'default', NULL,
        '2023-06-03 18:41:02', NULL, '2023-06-03 18:11:02', NULL, '2023-06-03 18:42:23', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2378, 1, 2, '380f6d92217c434d830a752e47932233', '33515798070641158c8693c82714ce0d', 'default', NULL,
        '2023-06-03 19:12:23', NULL, '2023-06-03 18:42:23', NULL, '2023-06-03 19:15:29', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2379, 1, 2, 'a301e92bcd4143a4a710a42badaa9846', '33515798070641158c8693c82714ce0d', 'default', NULL,
        '2023-06-03 19:45:30', NULL, '2023-06-03 19:15:30', NULL, '2023-06-03 20:11:51', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2380, 1, 2, '7864b8af6b0e4895bd6309b644007c4f', '33515798070641158c8693c82714ce0d', 'default', NULL,
        '2023-06-03 20:41:51', NULL, '2023-06-03 20:11:51', NULL, '2023-06-03 21:04:51', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2381, 1, 2, 'ac5721094d1e47b1bcb9813f3dd8726b', '33515798070641158c8693c82714ce0d', 'default', NULL,
        '2023-06-03 21:34:52', NULL, '2023-06-03 21:04:52', NULL, '2023-06-04 07:10:31', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2382, 1, 2, 'c4190a7b9f724c839b903405bd07b20b', '0e8f4e464f504e89b008fda4eca729a8', 'default', NULL,
        '2023-06-05 11:41:45', NULL, '2023-06-05 11:11:45', NULL, '2023-06-05 17:37:35', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2383, 1, 2, 'fb778d3143004390aac4610753c05885', '0e8f4e464f504e89b008fda4eca729a8', 'default', NULL,
        '2023-06-05 18:07:35', NULL, '2023-06-05 17:37:35', NULL, '2023-06-05 18:07:44', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2384, 1, 2, '5a070ce55dfd46c38e46c70fcb8bc4ae', '0e8f4e464f504e89b008fda4eca729a8', 'default', NULL,
        '2023-06-05 18:37:44', NULL, '2023-06-05 18:07:44', NULL, '2023-06-05 18:38:24', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2385, 1, 2, '486343ea50834d7fbd8643cd20bed08e', '0e8f4e464f504e89b008fda4eca729a8', 'default', NULL,
        '2023-06-05 19:08:24', NULL, '2023-06-05 18:38:24', NULL, '2023-06-05 18:38:24', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2386, 1, 2, '1e195af6655f4037863a18ed7d625313', '0e8f4e464f504e89b008fda4eca729a8', 'default', NULL,
        '2023-06-05 19:08:24', NULL, '2023-06-05 18:38:24', NULL, '2023-06-05 19:08:24', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2387, 1, 2, '162626c00c894d7183e6765054220d8f', '0e8f4e464f504e89b008fda4eca729a8', 'default', NULL,
        '2023-06-05 19:38:24', NULL, '2023-06-05 19:08:24', NULL, '2023-06-05 19:38:36', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2388, 1, 2, 'd838254bc2b746a48dcc702f829944f8', '0e8f4e464f504e89b008fda4eca729a8', 'default', NULL,
        '2023-06-05 19:38:24', NULL, '2023-06-05 19:08:24', NULL, '2023-06-05 19:38:36', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2389, 1, 2, '73f8f6cfc5b0475aa4ed88948f2d2412', '0e8f4e464f504e89b008fda4eca729a8', 'default', NULL,
        '2023-06-05 20:08:37', NULL, '2023-06-05 19:38:37', NULL, '2023-06-05 20:11:15', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2390, 1, 2, '9d472059acd24235bced8a31e942140c', '0e8f4e464f504e89b008fda4eca729a8', 'default', NULL,
        '2023-06-05 20:41:16', NULL, '2023-06-05 20:11:16', NULL, '2023-06-05 21:01:13', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2391, 1, 2, '810968ea5b4c4f86949ae199f1606ebe', '0e8f4e464f504e89b008fda4eca729a8', 'default', NULL,
        '2023-06-05 20:41:16', NULL, '2023-06-05 20:11:16', NULL, '2023-06-05 21:01:13', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2392, 1, 2, '94ae2a24b9154872a74dfb457eb95609', '0e8f4e464f504e89b008fda4eca729a8', 'default', NULL,
        '2023-06-05 21:31:14', NULL, '2023-06-05 21:01:14', NULL, '2023-06-05 21:42:29', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2393, 1, 2, '862699335dbc4158a8f89535c497dbd4', '0e8f4e464f504e89b008fda4eca729a8', 'default', NULL,
        '2023-06-05 22:12:30', NULL, '2023-06-05 21:42:30', NULL, '2023-06-06 09:54:55', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2394, 1, 2, 'adf14e44af0447e1a0c55db84ea07fed', '0e8f4e464f504e89b008fda4eca729a8', 'default', NULL,
        '2023-06-05 22:12:30', NULL, '2023-06-05 21:42:30', NULL, '2023-06-06 09:54:55', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2395, 1, 2, '121147b025f74f279703473cdbea53c5', '120e0ca028d140c78d61999dd3ec90f2', 'default', NULL,
        '2023-06-06 10:33:25', NULL, '2023-06-06 10:03:25', NULL, '2023-06-06 10:33:25', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2396, 1, 2, '01a0ee32b7c640baa56e5f32e1c68da9', '120e0ca028d140c78d61999dd3ec90f2', 'default', NULL,
        '2023-06-06 11:03:25', NULL, '2023-06-06 10:33:25', NULL, '2023-06-06 11:03:25', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2397, 1, 2, '057cb187b5fd43d5a0367a8ac18d9cc2', '120e0ca028d140c78d61999dd3ec90f2', 'default', NULL,
        '2023-06-06 11:33:25', NULL, '2023-06-06 11:03:25', NULL, '2023-06-06 11:03:25', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2398, 1, 2, 'bda7e25a2e404ec483115d4d7200525f', '5d15336636414c0b8472635e68805e58', 'default', NULL,
        '2023-06-06 11:33:43', NULL, '2023-06-06 11:03:43', NULL, '2023-06-06 11:34:05', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2399, 1, 2, 'c51f77bb01284523a5be90336a9f2a69', '5d15336636414c0b8472635e68805e58', 'default', NULL,
        '2023-06-06 12:04:05', NULL, '2023-06-06 11:34:05', NULL, '2023-06-06 12:05:56', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2400, 1, 2, 'a0d940b02c9848748973c135b97f43d8', '5d15336636414c0b8472635e68805e58', 'default', NULL,
        '2023-06-06 12:35:56', NULL, '2023-06-06 12:05:56', NULL, '2023-06-06 12:37:07', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2401, 1, 2, 'c803b024724a4b59b15c981cfa8db2a2', '5d15336636414c0b8472635e68805e58', 'default', NULL,
        '2023-06-06 13:07:08', NULL, '2023-06-06 12:37:08', NULL, '2023-06-06 13:32:58', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2402, 1, 2, 'd3cce4a50c8247e09b4c414fff2760c1', '5d15336636414c0b8472635e68805e58', 'default', NULL,
        '2023-06-06 14:02:59', NULL, '2023-06-06 13:32:59', NULL, '2023-06-06 14:05:01', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2403, 1, 2, 'e55d5c0ce4b3480d9f2f9ecb90dcdb14', '5d15336636414c0b8472635e68805e58', 'default', NULL,
        '2023-06-06 14:35:01', NULL, '2023-06-06 14:05:01', NULL, '2023-06-06 14:36:12', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2404, 1, 2, 'f86fb1edbdab4d63a625befea8cea5cf', '5d15336636414c0b8472635e68805e58', 'default', NULL,
        '2023-06-06 15:06:12', NULL, '2023-06-06 14:36:12', NULL, '2023-06-06 15:06:53', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2405, 1, 2, '895a22dba14840f5aa5805a1678946cd', '5d15336636414c0b8472635e68805e58', 'default', NULL,
        '2023-06-06 15:36:54', NULL, '2023-06-06 15:06:54', NULL, '2023-06-06 15:36:54', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2406, 1, 2, '29214d49319f46b2b9fd5906a7a119a5', '5d15336636414c0b8472635e68805e58', 'default', NULL,
        '2023-06-06 16:06:54', NULL, '2023-06-06 15:36:54', NULL, '2023-06-06 16:06:57', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2407, 1, 2, 'ea2b80650a504a2e8cfec87d8846126d', '5d15336636414c0b8472635e68805e58', 'default', NULL,
        '2023-06-06 16:36:57', NULL, '2023-06-06 16:06:57', NULL, '2023-06-06 16:37:04', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2408, 1, 2, '7bb416378a1c4e3ba7da211382f7757f', '5d15336636414c0b8472635e68805e58', 'default', NULL,
        '2023-06-06 17:07:05', NULL, '2023-06-06 16:37:05', NULL, '2023-06-06 17:07:05', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2409, 1, 2, 'eaa1f95753c94eeea6c616f264bd9933', '5d15336636414c0b8472635e68805e58', 'default', NULL,
        '2023-06-06 17:37:05', NULL, '2023-06-06 17:07:05', NULL, '2023-06-06 17:38:49', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2410, 1, 2, '99c628902be1497aba05bcb9b17fea1c', '5d15336636414c0b8472635e68805e58', 'default', NULL,
        '2023-06-06 18:08:50', NULL, '2023-06-06 17:38:50', NULL, '2023-06-06 18:08:54', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2411, 1, 2, 'c023a32956444dc9a386ad34fddf44be', '5d15336636414c0b8472635e68805e58', 'default', NULL,
        '2023-06-06 18:38:54', NULL, '2023-06-06 18:08:54', NULL, '2023-06-06 18:41:10', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2412, 1, 2, 'af6f6aa8333e490ca4db5b536fedd1dc', '5d15336636414c0b8472635e68805e58', 'default', NULL,
        '2023-06-06 19:11:11', NULL, '2023-06-06 18:41:11', NULL, '2023-06-06 19:13:07', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2413, 1, 2, '67c6af14526d454db595e7d98b783884', '5d15336636414c0b8472635e68805e58', 'default', NULL,
        '2023-06-06 19:43:08', NULL, '2023-06-06 19:13:08', NULL, '2023-06-06 20:25:08', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2414, 1, 2, '4172cc51e5a84252a92d1575312db899', '5d15336636414c0b8472635e68805e58', 'default', NULL,
        '2023-06-06 20:55:08', NULL, '2023-06-06 20:25:08', NULL, '2023-06-06 21:44:59', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2415, 1, 2, '1237a56a48154445bcb081d706fe587b', '5d15336636414c0b8472635e68805e58', 'default', NULL,
        '2023-06-06 20:55:08', NULL, '2023-06-06 20:25:08', NULL, '2023-06-06 21:44:59', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2416, 1, 2, 'e8c03d42b3af456baa3c5fae196cf086', '5d15336636414c0b8472635e68805e58', 'default', NULL,
        '2023-06-06 22:15:00', NULL, '2023-06-06 21:45:00', NULL, '2023-06-07 13:54:28', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2417, 1, 2, 'a377904962914320b7f231b7b367b8bd', '5d15336636414c0b8472635e68805e58', 'default', NULL,
        '2023-06-06 22:15:00', NULL, '2023-06-06 21:45:00', NULL, '2023-06-07 13:54:28', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2418, 1, 2, 'a10885f3a69e4986a1627738d56f14e0', '9e7a7aa710fa4198a1e452d091f193da', 'default', NULL,
        '2023-06-08 10:24:26', NULL, '2023-06-08 09:54:26', NULL, '2023-06-08 09:54:26', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2419, 1, 2, '189cf9f6c6eb47dbae88079da09ed733', 'a546f4a777034766af9fec069ebb5f19', 'default', NULL,
        '2023-06-08 10:26:11', NULL, '2023-06-08 09:56:11', NULL, '2023-06-08 11:02:36', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2420, 1, 2, 'e167ab4fcefa45edb336710d3949b642', 'a546f4a777034766af9fec069ebb5f19', 'default', NULL,
        '2023-06-08 11:32:36', NULL, '2023-06-08 11:02:36', NULL, '2023-06-08 11:33:12', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2421, 1, 2, '796efd0d98d94df79c9510a23ff2d021', 'a546f4a777034766af9fec069ebb5f19', 'default', NULL,
        '2023-06-08 12:03:12', NULL, '2023-06-08 11:33:12', NULL, '2023-06-08 12:03:12', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2422, 1, 2, 'c4f3f9d00c4d44fc8231eb1b34819a22', 'a546f4a777034766af9fec069ebb5f19', 'default', NULL,
        '2023-06-08 12:33:13', NULL, '2023-06-08 12:03:13', NULL, '2023-06-08 12:34:15', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2423, 1, 2, '1f1b8603e5054b239fed749f300ed6cf', 'a546f4a777034766af9fec069ebb5f19', 'default', NULL,
        '2023-06-08 13:04:15', NULL, '2023-06-08 12:34:15', NULL, '2023-06-08 13:04:17', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2424, 1, 2, '6649dd3205c34125a37ff5550ec31270', 'a546f4a777034766af9fec069ebb5f19', 'default', NULL,
        '2023-06-08 13:34:17', NULL, '2023-06-08 13:04:17', NULL, '2023-06-08 13:35:12', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2425, 1, 2, '8884d9c039a749c09e99464632a6823f', 'a546f4a777034766af9fec069ebb5f19', 'default', NULL,
        '2023-06-08 14:05:13', NULL, '2023-06-08 13:35:13', NULL, '2023-06-08 14:05:13', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2426, 1, 2, 'bc35e62ca67d4a72aa4ce43780aca82e', 'a546f4a777034766af9fec069ebb5f19', 'default', NULL,
        '2023-06-08 14:35:13', NULL, '2023-06-08 14:05:13', NULL, '2023-06-08 14:35:27', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2427, 1, 2, '49df8c07a89f43a2acbbbd97c4d6d2a0', 'a546f4a777034766af9fec069ebb5f19', 'default', NULL,
        '2023-06-08 15:05:27', NULL, '2023-06-08 14:35:27', NULL, '2023-06-08 15:06:06', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2428, 1, 2, '6d33690b2822420bb8294cdb88e366ce', 'a546f4a777034766af9fec069ebb5f19', 'default', NULL,
        '2023-06-08 15:36:07', NULL, '2023-06-08 15:06:07', NULL, '2023-06-08 15:37:13', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2429, 1, 2, 'b422d1e442284bb9bfa25b766c4d4b07', 'a546f4a777034766af9fec069ebb5f19', 'default', NULL,
        '2023-06-08 16:07:14', NULL, '2023-06-08 15:37:14', NULL, '2023-06-08 16:08:16', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2430, 1, 2, 'b42ae8d0d46f48c497adcd7c9feb0c91', 'a546f4a777034766af9fec069ebb5f19', 'default', NULL,
        '2023-06-08 16:38:17', NULL, '2023-06-08 16:08:17', NULL, '2023-06-08 16:39:14', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2431, 1, 2, '0995639e0033404fbd5d0a85d46ba42b', 'a546f4a777034766af9fec069ebb5f19', 'default', NULL,
        '2023-06-08 17:09:14', NULL, '2023-06-08 16:39:14', NULL, '2023-06-08 17:10:01', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2432, 1, 2, '57fa4f4394b34de1b580df3d44cbd9ff', 'a546f4a777034766af9fec069ebb5f19', 'default', NULL,
        '2023-06-08 17:40:02', NULL, '2023-06-08 17:10:02', NULL, '2023-06-08 17:40:16', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2433, 1, 2, '31d528f236e747b1a3258437584f4d08', 'a546f4a777034766af9fec069ebb5f19', 'default', NULL,
        '2023-06-08 18:10:16', NULL, '2023-06-08 17:40:16', NULL, '2023-06-08 18:10:24', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2434, 1, 2, 'c0e35a26bcb4486d802cd24a10a06985', 'a546f4a777034766af9fec069ebb5f19', 'default', NULL,
        '2023-06-08 18:40:25', NULL, '2023-06-08 18:10:25', NULL, '2023-06-08 18:41:14', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2435, 1, 2, 'bddd83661c3444ddb3fd7354b67e3d79', 'a546f4a777034766af9fec069ebb5f19', 'default', NULL,
        '2023-06-08 19:11:15', NULL, '2023-06-08 18:41:15', NULL, '2023-06-08 19:11:15', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2436, 1, 2, '258ad881504d4a0d9a6dfd0f9588d24d', 'a546f4a777034766af9fec069ebb5f19', 'default', NULL,
        '2023-06-08 19:41:15', NULL, '2023-06-08 19:11:15', NULL, '2023-06-08 19:41:27', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2437, 1, 2, '920dc3f60b954811a907d1c948e04c77', 'a546f4a777034766af9fec069ebb5f19', 'default', NULL,
        '2023-06-08 20:11:27', NULL, '2023-06-08 19:41:27', NULL, '2023-06-08 20:11:27', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2438, 1, 2, 'd1115ac5f4f44f14a4aa893cc8da7d84', 'a546f4a777034766af9fec069ebb5f19', 'default', NULL,
        '2023-06-08 20:41:27', NULL, '2023-06-08 20:11:27', NULL, '2023-06-08 20:42:01', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2439, 1, 2, 'd4663c4879884599b997f9210dbf3321', 'a546f4a777034766af9fec069ebb5f19', 'default', NULL,
        '2023-06-08 21:12:02', NULL, '2023-06-08 20:42:02', NULL, '2023-06-08 22:42:59', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2440, 1, 2, '50072e12bb654b0680ffec8a6816f8b4', '33f11f5232d1449ca8c9daa50f9bb9e2', 'default', NULL,
        '2023-06-09 15:18:41', NULL, '2023-06-09 14:48:41', NULL, '2023-06-09 15:19:20', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2441, 1, 2, '64947b4236d9432c8e47627729c4b41d', '33f11f5232d1449ca8c9daa50f9bb9e2', 'default', NULL,
        '2023-06-09 15:49:20', NULL, '2023-06-09 15:19:20', NULL, '2023-06-09 17:21:05', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2442, 1, 2, '3142896aba9e4dbd91e9d1a5a799bd43', '33f11f5232d1449ca8c9daa50f9bb9e2', 'default', NULL,
        '2023-06-09 17:51:05', NULL, '2023-06-09 17:21:05', NULL, '2023-06-09 17:21:05', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2443, 1, 2, 'c5785db41e21453cb0a51a0d8cd4c694', '33f11f5232d1449ca8c9daa50f9bb9e2', 'default', NULL,
        '2023-06-09 17:51:05', NULL, '2023-06-09 17:21:05', NULL, '2023-06-09 17:25:44', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2444, 1, 2, 'e93a1482349b427ca1324f9d212f9dd0', '555a6039a2ed451ca202b2e8dcbe9f93', 'default', NULL,
        '2023-06-09 17:55:59', NULL, '2023-06-09 17:25:59', NULL, '2023-06-09 17:25:59', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2445, 1, 2, '1f4ac476a20b4482bb16c8166d871edc', 'b3e84d40158340398cfe84332d27495b', 'default', NULL,
        '2023-06-09 17:56:11', '1', '2023-06-09 17:26:11', '1', '2023-06-09 17:26:11', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2446, 1, 2, '807c1f13e7f5490fb259c5b171be6dec', '97fb6cd0476a42749d2662ed0fc3ca5d', 'default', NULL,
        '2023-06-09 18:06:20', NULL, '2023-06-09 17:36:20', NULL, '2023-06-09 17:36:20', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2447, 1, 2, 'b1edfedcc9f94e70b1ca6783c3b18dc1', '4a51598c76f64b82ab001d4e5bd59ad2', 'default', NULL,
        '2023-06-09 18:06:59', '1', '2023-06-09 17:36:59', '1', '2023-06-09 17:43:49', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2448, 1, 2, 'fc71f891ea0f427daac96482a9a1985e', 'a8b9943948484e7ba2103d353335dfd1', 'default', NULL,
        '2023-06-09 18:14:00', NULL, '2023-06-09 17:44:00', NULL, '2023-06-09 18:14:37', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2449, 1, 2, '61dc42b4297f463abd8274a1627faa2a', 'a8b9943948484e7ba2103d353335dfd1', 'default', NULL,
        '2023-06-09 18:44:38', NULL, '2023-06-09 18:14:38', NULL, '2023-06-09 18:14:38', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2450, 1, 2, '149e9dddfe094ad4a595c1ed8ca945ed', 'a8b9943948484e7ba2103d353335dfd1', 'default', NULL,
        '2023-06-09 18:44:38', NULL, '2023-06-09 18:14:38', NULL, '2023-06-09 18:45:22', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2451, 1, 2, 'e718f813c17f498fb4f36c2e32b7d86c', 'a8b9943948484e7ba2103d353335dfd1', 'default', NULL,
        '2023-06-09 19:15:23', NULL, '2023-06-09 18:45:23', NULL, '2023-06-09 19:15:34', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2452, 1, 2, '26da90f92d244e1bb9f99fa8856cf776', 'a8b9943948484e7ba2103d353335dfd1', 'default', NULL,
        '2023-06-09 19:45:34', NULL, '2023-06-09 19:15:34', NULL, '2023-06-09 19:45:36', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2453, 1, 2, '507229cf732d42068f3af5677779b6d0', 'a8b9943948484e7ba2103d353335dfd1', 'default', NULL,
        '2023-06-09 20:15:36', NULL, '2023-06-09 19:45:36', NULL, '2023-06-09 20:15:38', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2454, 1, 2, '1bb083c727af4ae3b7a67448a31d2677', 'a8b9943948484e7ba2103d353335dfd1', 'default', NULL,
        '2023-06-09 20:45:39', NULL, '2023-06-09 20:15:39', NULL, '2023-06-09 20:15:38', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2455, 1, 2, 'a968e8419a0f4419b636c4a08d86c643', 'a8b9943948484e7ba2103d353335dfd1', 'default', NULL,
        '2023-06-09 20:45:39', NULL, '2023-06-09 20:15:39', NULL, '2023-06-09 20:45:43', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2456, 1, 2, 'b4cc9cf4713c47c0afe128d5ed1df678', 'a8b9943948484e7ba2103d353335dfd1', 'default', NULL,
        '2023-06-09 21:15:44', NULL, '2023-06-09 20:45:44', NULL, '2023-06-09 20:45:43', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2457, 1, 2, 'd46246adee5146c184272cca9c1194cd', 'a8b9943948484e7ba2103d353335dfd1', 'default', NULL,
        '2023-06-09 21:15:44', NULL, '2023-06-09 20:45:44', NULL, '2023-06-09 21:16:43', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2458, 1, 2, '98a2df98cae140ecbac979f404756462', 'a8b9943948484e7ba2103d353335dfd1', 'default', NULL,
        '2023-06-09 21:46:44', NULL, '2023-06-09 21:16:44', NULL, '2023-06-09 21:16:43', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2459, 1, 2, 'e1c8d40adf7d47b08db89527f795bedb', 'a8b9943948484e7ba2103d353335dfd1', 'default', NULL,
        '2023-06-09 21:46:44', NULL, '2023-06-09 21:16:44', NULL, '2023-06-09 21:47:46', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2460, 1, 2, 'ddf85f71fa5e480c9abc783baaa720a4', 'a8b9943948484e7ba2103d353335dfd1', 'default', NULL,
        '2023-06-09 22:17:47', NULL, '2023-06-09 21:47:47', NULL, '2023-06-09 22:26:47', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2461, 1, 2, '0266c297e31e4a61b8445a2c8f14d4b1', 'a8b9943948484e7ba2103d353335dfd1', 'default', NULL,
        '2023-06-09 22:17:47', NULL, '2023-06-09 21:47:47', NULL, '2023-06-09 22:26:47', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2462, 1, 2, '4236de37cf8e42aa94aca01323a1fafe', 'a8b9943948484e7ba2103d353335dfd1', 'default', NULL,
        '2023-06-09 22:56:48', NULL, '2023-06-09 22:26:48', NULL, '2023-06-09 22:57:02', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2463, 1, 2, '80e56157911b410c84e61760f5ecf9a1', 'a8b9943948484e7ba2103d353335dfd1', 'default', NULL,
        '2023-06-09 22:56:48', NULL, '2023-06-09 22:26:48', NULL, '2023-06-09 22:57:02', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2464, 1, 2, 'bb13773e84aa4bb89a2e6b95939f6fa9', 'a8b9943948484e7ba2103d353335dfd1', 'default', NULL,
        '2023-06-09 22:56:48', NULL, '2023-06-09 22:26:48', NULL, '2023-06-09 22:57:02', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2465, 1, 2, 'b392f748b4e048c68f38ab10852f2ae7', 'a8b9943948484e7ba2103d353335dfd1', 'default', NULL,
        '2023-06-09 23:27:03', NULL, '2023-06-09 22:57:03', NULL, '2023-06-09 22:57:02', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2466, 1, 2, '712ab70dd2b0407a8135c68f8f74651c', 'a8b9943948484e7ba2103d353335dfd1', 'default', NULL,
        '2023-06-09 23:27:03', NULL, '2023-06-09 22:57:03', NULL, '2023-06-09 22:57:02', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2467, 1, 2, '434cf55b4c2c41a39710c371d79b750d', 'a8b9943948484e7ba2103d353335dfd1', 'default', NULL,
        '2023-06-09 23:27:03', NULL, '2023-06-09 22:57:03', NULL, '2023-06-09 22:57:02', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2468, 1, 2, 'ad19f061417e4eb5ba1d26e06c12f2e2', 'a8b9943948484e7ba2103d353335dfd1', 'default', NULL,
        '2023-06-09 23:27:03', NULL, '2023-06-09 22:57:03', NULL, '2023-06-10 09:44:19', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2469, 1, 2, 'b7b8cd012cd945ccb3d196404771fc6d', 'e426e6a72baf4ea584ccaef1fb0a3acf', 'default', NULL,
        '2023-06-10 10:15:55', NULL, '2023-06-10 09:45:55', NULL, '2023-06-10 10:16:54', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2470, 1, 2, '97ab2699661a4b2ba1a29a44ecbf7537', 'e426e6a72baf4ea584ccaef1fb0a3acf', 'default', NULL,
        '2023-06-10 10:46:55', NULL, '2023-06-10 10:16:55', NULL, '2023-06-10 10:48:54', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2471, 1, 2, 'c3970ff63f354167b42d17d26362139b', 'e426e6a72baf4ea584ccaef1fb0a3acf', 'default', NULL,
        '2023-06-10 11:18:55', NULL, '2023-06-10 10:48:55', NULL, '2023-06-10 10:48:55', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2472, 1, 2, 'e69c74c909e74755a6dab6fd54c7484d', 'e49c80d9a2e247f4bab9aa9313600448', 'default', NULL,
        '2023-06-10 11:44:53', NULL, '2023-06-10 11:14:53', NULL, '2023-06-10 11:14:53', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2473, 1, 2, 'ff72e36a0d494d03aeb77217c9627092', '7083c08db00d440b93d37fbd820ebc52', 'default', NULL,
        '2023-06-10 11:46:28', NULL, '2023-06-10 11:16:28', NULL, '2023-06-10 11:46:28', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2474, 1, 2, '9d5c579b6c544c61bcf65a4a42ef6557', '7083c08db00d440b93d37fbd820ebc52', 'default', NULL,
        '2023-06-10 12:16:28', NULL, '2023-06-10 11:46:28', NULL, '2023-06-10 12:00:28', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2475, 1, 2, 'ef0e9eac465f44089920aa8fa140fa07', 'a0c6952ee35c45a4a8b4772b15d745b1', 'default', NULL,
        '2023-06-10 15:40:04', NULL, '2023-06-10 15:10:04', NULL, '2023-06-10 15:40:07', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2476, 1, 2, '25a26eac7c77415a81594d16c79aaa2d', 'a0c6952ee35c45a4a8b4772b15d745b1', 'default', NULL,
        '2023-06-10 16:10:07', NULL, '2023-06-10 15:40:07', NULL, '2023-06-10 16:10:54', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2477, 2, 1, 'e8d6fe47bb864fed8f3d9ee1527471df', '1596bc4857f842bf9938b3669f19f956', 'default', NULL,
        '2023-06-10 16:15:43', NULL, '2023-06-10 15:45:43', NULL, '2023-06-10 15:45:43', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2478, 1, 2, '0a508ac888eb496c87cb2945c8f9eb29', 'a0c6952ee35c45a4a8b4772b15d745b1', 'default', NULL,
        '2023-06-10 16:40:55', NULL, '2023-06-10 16:10:55', NULL, '2023-06-10 16:42:54', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2479, 1, 2, '3e314722700449e38af845d9b4296911', 'a0c6952ee35c45a4a8b4772b15d745b1', 'default', NULL,
        '2023-06-10 17:12:55', NULL, '2023-06-10 16:42:55', NULL, '2023-06-10 17:13:01', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2480, 1, 2, 'dffcb66c26e44374901ab59a7ed8f360', 'a0c6952ee35c45a4a8b4772b15d745b1', 'default', NULL,
        '2023-06-10 17:43:01', NULL, '2023-06-10 17:13:01', NULL, '2023-06-10 17:43:01', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2481, 1, 2, 'aa3d35e4d87f400c8dcc667e1211cbb7', 'a0c6952ee35c45a4a8b4772b15d745b1', 'default', NULL,
        '2023-06-10 18:13:01', NULL, '2023-06-10 17:43:01', NULL, '2023-06-10 18:15:04', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2482, 1, 2, '7b31d1b55c4d4927ad4cb07b21dc6032', 'a0c6952ee35c45a4a8b4772b15d745b1', 'default', NULL,
        '2023-06-10 18:45:04', NULL, '2023-06-10 18:15:04', NULL, '2023-06-10 18:46:07', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2483, 1, 2, '8d7736b537af4518b5b7b12bc713de74', 'a0c6952ee35c45a4a8b4772b15d745b1', 'default', NULL,
        '2023-06-10 19:16:07', NULL, '2023-06-10 18:46:07', NULL, '2023-06-10 19:17:14', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2484, 1, 2, 'd3d9967d64914a188e483871958f707b', 'a0c6952ee35c45a4a8b4772b15d745b1', 'default', NULL,
        '2023-06-10 19:47:15', NULL, '2023-06-10 19:17:15', NULL, '2023-06-10 19:48:54', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2485, 1, 2, '44c769f945bd4a5d9429515c128ad826', 'a0c6952ee35c45a4a8b4772b15d745b1', 'default', NULL,
        '2023-06-10 20:18:55', NULL, '2023-06-10 19:48:55', NULL, '2023-06-10 20:21:00', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2486, 1, 2, 'b211bcf852654922999dbc5fb56b1a69', 'a0c6952ee35c45a4a8b4772b15d745b1', 'default', NULL,
        '2023-06-10 20:51:01', NULL, '2023-06-10 20:21:01', NULL, '2023-06-10 20:53:02', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2487, 1, 2, 'a83aa5e776364b43b367631e75fbcb05', 'a0c6952ee35c45a4a8b4772b15d745b1', 'default', NULL,
        '2023-06-10 21:23:03', NULL, '2023-06-10 20:53:03', NULL, '2023-06-11 07:05:53', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2488, 1, 2, '83df99bd855642d5ae89dd5eadb71619', 'e7c71a778489416581c5b9a49b8c2f6a', 'default', NULL,
        '2023-06-12 10:26:24', NULL, '2023-06-12 09:56:24', NULL, '2023-06-12 10:26:25', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2489, 1, 2, 'f0cb372f686b4ff2bb0edb0dd50db41c', 'e7c71a778489416581c5b9a49b8c2f6a', 'default', NULL,
        '2024-01-06 18:26:26', NULL, '2023-06-12 10:26:26', NULL, '2023-06-12 10:26:26', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2490, 1, 2, '81f84415f1e4420dba26923d7b01441c', '24e198c7896746d89327e6d2428ab62f', 'default', NULL,
        '2024-01-06 23:07:00', NULL, '2023-06-12 15:07:00', NULL, '2023-06-13 10:21:25', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2491, 1, 2, 'f5e5f6bf1f944ffeb7525dbafa97fb1a', '5ded84e2914c4f20b01774f5c672da1b', 'default', NULL,
        '2024-01-07 18:21:29', NULL, '2023-06-13 10:21:29', NULL, '2023-06-15 17:55:49', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2492, 2, 1, '5ebbdcf503104f998415d6a6672b86fd', '8936fac0a79d4bd0ad38ffa1ecce893b', 'default', NULL,
        '2024-01-09 19:28:34', NULL, '2023-06-15 11:28:34', NULL, '2023-06-15 11:28:34', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2493, 1, 2, 'f709b0df059d4c32bf804e76d87bef26', 'b8714c79fde847ed97d126eacaf15d45', 'default', NULL,
        '2024-01-10 01:55:57', NULL, '2023-06-15 17:55:57', NULL, '2023-06-15 23:27:31', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2494, 1, 2, 'd1c58e17b34d46879d11732b63645050', '85c4e523ec204efb8839556d1ec982e8', 'default', NULL,
        '2024-01-10 07:27:37', NULL, '2023-06-15 23:27:37', NULL, '2023-06-17 22:15:17', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2495, 1, 2, '5811a4eb7c194ead89bd6c45ff6424b4', 'b2041606139c4d1d9ede169899c6b817', 'default', NULL,
        '2024-01-12 06:15:40', NULL, '2023-06-17 22:15:40', NULL, '2023-06-17 22:16:52', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2496, 1, 2, 'ab63391b9c9d4ef2a42eee2616479973', '961bf00cb5e64fbe9828e2f9cd198209', 'default', NULL,
        '2024-01-12 06:16:55', NULL, '2023-06-17 22:16:55', NULL, '2023-06-17 22:16:55', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2497, 1, 2, '202a2ba0ed8848a3a2489cf137758355', 'dbd884cdc7334d78ab5ce4d51b6e1586', 'default', NULL,
        '2024-01-12 06:19:48', NULL, '2023-06-17 22:19:48', NULL, '2023-06-18 18:02:14', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2498, 1, 2, '8879961d32e54bee965139fd0b5ac8a7', '1253d91216dc4496b76759242054fd2c', 'default', NULL,
        '2024-01-13 02:02:20', NULL, '2023-06-18 18:02:20', NULL, '2023-06-18 20:41:56', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2499, 1, 2, 'e3f52923b08a43f58030a38a2e3fc0d6', '70c2d7f517f349e1b2a82ee8d5f4fec2', 'default', NULL,
        '2024-01-13 04:42:01', NULL, '2023-06-18 20:42:01', NULL, '2023-06-18 20:53:31', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2500, 1, 2, '448694709a12468080f35994ffb7b128', '8fba24a74c5b43a29ed86be4061d6920', 'default', NULL,
        '2024-01-13 04:53:37', NULL, '2023-06-18 20:53:37', NULL, '2023-06-29 13:40:25', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2501, 1, 2, 'db020470e254461b9265a0baddc47466', '0d99f73d99154913b6736acacb89e0b6', 'default', NULL,
        '2024-01-23 21:40:37', NULL, '2023-06-29 13:40:37', NULL, '2023-07-02 10:19:14', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2502, 1, 2, '16a920cb485c480981f0fba65c685a0e', '2513dc01e2284a1cbb1ed14f891357a2', 'default', NULL,
        '2024-01-26 18:19:22', NULL, '2023-07-02 10:19:22', NULL, '2023-07-02 10:38:52', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2503, 1, 2, '0ecc63f23a09492a8c4bdab468021b86', 'abb9ca7134ee4588a5df984fa9db30dd', 'default', NULL,
        '2024-01-26 18:38:57', NULL, '2023-07-02 10:38:57', NULL, '2023-07-09 09:48:14', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2504, 1, 2, 'f2a751e5553c4791b4680171cb7b17cf', '9b5abf172abf42ed9f5e42fc181f41a8', 'default', NULL,
        '2024-02-02 17:48:21', NULL, '2023-07-09 09:48:21', NULL, '2023-07-10 22:30:40', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2505, 1, 2, 'e332c1f501924059a9dfbebe84a5065a', '3ef2b155ebdf4ea8bb1731f44d71c22f', 'default', NULL,
        '2024-02-04 06:30:43', NULL, '2023-07-10 22:30:43', NULL, '2023-07-14 16:26:06', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2506, 1, 2, '69c761cf5aa3417b84c1a94057a88394', '5676528d65d14dc39a55891bf45979ba', 'default', NULL,
        '2024-02-08 00:26:13', NULL, '2023-07-14 16:26:13', NULL, '2023-07-19 15:39:51', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2507, 2, 1, '844c01e61c0449c784a5e3136f9b57df', '6feda98f8549473fa9c1ce3d8d6234dd', 'default', NULL,
        '2024-02-09 02:54:40', NULL, '2023-07-15 18:54:40', NULL, '2023-07-15 18:54:40', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2508, 1, 2, 'fca8e869c2b14e62bfc1957fe718f6e2', '05d245412f324909991a35a1c66161f7', 'default', NULL,
        '2024-02-12 23:39:58', NULL, '2023-07-19 15:39:58', NULL, '2023-07-20 18:27:36', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2509, 1, 2, 'c8b9b22afc0f4cd4991a10b0f4d26203', '5f1c2950ddbc4424bb06ff930bc37b0c', 'default', NULL,
        '2024-02-14 02:27:39', NULL, '2023-07-20 18:27:39', NULL, '2023-07-20 18:27:39', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2510, 1, 2, 'cc75808f79b34143a8ffe7c26b308c50', 'dc863e5092a841a892504a2739b13575', 'default', NULL,
        '2024-02-17 19:33:59', NULL, '2023-07-24 11:33:59', NULL, '2023-07-25 10:07:11', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2511, 1, 2, '548492e9094f441f86f567ce2a9007ea', '4b965271828c4dd786a0621ea5c52849', 'default', NULL,
        '2024-02-18 18:07:18', NULL, '2023-07-25 10:07:18', NULL, '2023-07-27 18:50:20', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2512, 2, 1, '8cb963ef717c41fc91f5eff0d35eb602', 'dc97df462e324afdaabbb6d454568fe4', 'default', NULL,
        '2024-02-19 00:08:03', NULL, '2023-07-25 16:08:03', NULL, '2023-07-25 16:08:03', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2513, 1, 2, '865dd094c02e40159ac13b2572a3eb29', 'aade6cb6a86f407ead24b9bee3b1eb2b', 'default', NULL,
        '2024-02-21 02:58:39', NULL, '2023-07-27 18:58:39', NULL, '2023-07-28 10:26:48', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2514, 1, 2, '902c8757ee5c421da3e0ce8dbd65cad9', '22b987a661794ff3b0eb5ec3034594b7', 'default', NULL,
        '2024-02-21 18:41:30', NULL, '2023-07-28 10:41:30', NULL, '2023-07-28 10:42:57', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2515, 1, 2, '7e0b6332dd494b1ea59eb902db0878d5', '99cc3f05977241fb86e5ccfd6bac7742', 'default', NULL,
        '2024-02-23 01:32:37', NULL, '2023-07-29 17:32:37', NULL, '2023-07-29 17:32:37', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2516, 4, 1, '4f8778207b2042768638f6d3291fdee4', '6de8b132fc934a148bb2dd4dec8f7f75', 'default', NULL,
        '2024-03-01 04:59:42', NULL, '2023-08-05 20:59:42', NULL, '2023-08-05 20:59:42', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2517, 4, 1, 'fd203f8992344a159e3bb215d49b11b7', 'a9bf0b6d093142cd8a81a0cb74b7810a', 'default', NULL,
        '2024-03-01 05:06:55', NULL, '2023-08-05 21:06:55', NULL, '2023-08-05 21:06:55', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2518, 4, 1, '5403072a34d44ba39720dc0118485534', '806c6012ba9443f49066501696d5e468', 'default', NULL,
        '2024-03-01 05:09:10', NULL, '2023-08-05 21:09:10', NULL, '2023-08-05 21:09:10', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2519, 4, 1, 'cd3c1eafebf4475a9af20db9c968baec', '066ca6e7b8c54d7a876f72a627ba955b', 'default', NULL,
        '2024-03-01 05:10:18', NULL, '2023-08-05 21:10:18', NULL, '2023-08-05 21:10:18', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2520, 4, 1, '88e8fa513aa24d18b6047fe4a334dc2b', '5418ff57c3ec4aa5946fdd4d12954c96', 'default', NULL,
        '2024-03-01 05:23:01', NULL, '2023-08-05 21:23:01', NULL, '2023-08-05 21:23:01', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2521, 4, 1, 'e7dbee27ce3b4f1a950dfb089335ddd1', '2b66738db43945839f009bd52641449d', 'default', NULL,
        '2024-03-01 05:24:52', NULL, '2023-08-05 21:24:52', NULL, '2023-08-05 21:24:52', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2522, 4, 1, '79b17c0a83884268b56a2b125a8f3dac', '415e8686c2fd41579f6fdadb6e6773f5', 'default', NULL,
        '2024-03-01 05:27:04', NULL, '2023-08-05 21:27:04', NULL, '2023-08-05 21:27:04', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2523, 4, 1, 'b778e340f3fc41eba876d12ec5258f60', '51dfe64d3c534efa9752bc58c0b4d812', 'default', NULL,
        '2024-03-01 05:28:46', NULL, '2023-08-05 21:28:46', NULL, '2023-08-05 21:28:46', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2524, 5, 1, 'db977fe8d9484d2cb6d87716b51a9e4b', 'ec6bec6dfe3e4949867fcfd45441fbbc', 'default', NULL,
        '2024-03-01 05:29:31', NULL, '2023-08-05 21:29:31', NULL, '2023-08-05 21:29:31', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2525, 1, 2, '63221417cac14304bbf1145c2aff5ea6', 'fe06d65825274d5b882d8efa73a8e217', 'default', NULL,
        '2024-03-06 19:20:16', NULL, '2023-08-11 11:20:16', NULL, '2023-08-11 11:20:16', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2526, 4, 1, 'a04dc28a3b974f0d8d6655efe0ce5e3a', '9ad156a9b250474097160e945b6c7fa1', 'default', NULL,
        '2024-03-08 05:19:38', NULL, '2023-08-12 21:19:38', NULL, '2023-08-12 21:19:38', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2527, 1, 2, 'a1390e85380a4fd5853418c7857e0a25', 'd8e139e48a4e4beb9d8b8a5023537fd3', 'default', NULL,
        '2024-03-08 17:51:42', NULL, '2023-08-13 09:51:42', NULL, '2023-08-13 09:51:42', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2528, 2, 1, 'b0a354e2bc914b4bb48e2174812a2d8f', '55233b6b37e441f4a437970821a78aab', 'default', NULL,
        '2024-03-08 23:55:29', NULL, '2023-08-13 15:55:29', NULL, '2023-08-13 15:55:29', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2529, 4, 1, '4aec44aae9844d1ab16739e132cd7459', 'b1f03120ee324eaa84f78a9f45dff562', 'default', NULL,
        '2024-03-23 03:08:32', NULL, '2023-08-27 19:08:32', NULL, '2023-08-27 19:08:32', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2530, 2, 1, '751efa7293b445e48e63753ddd3622b1', '1cc3f21de59f4d03b43fee5ded4dd0b0', 'default', NULL,
        '2024-03-24 00:41:48', NULL, '2023-08-28 16:41:48', NULL, '2023-08-28 16:41:48', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2531, 1, 2, '22557736373144efb57ae2ead1a88ff4', '53c6b480f244484eb9cd69200fc8a7ef', 'default', NULL,
        '2024-04-04 22:37:35', NULL, '2023-09-09 14:37:35', NULL, '2023-09-09 14:37:35', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2532, 2, 1, 'c292c9a734f245058a866891045c2963', 'ce8c90f3818645e28799fa0f3ecc14c9', 'default', NULL,
        '2024-04-06 02:38:00', NULL, '2023-09-10 18:38:00', NULL, '2023-09-10 18:38:00', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2533, 4, 1, 'e44b5870338a4d0aa731d4dbb315f17d', '20272380abb1408990b609cb6f20f117', 'default', NULL,
        '2024-04-13 08:49:43', NULL, '2023-09-18 00:49:43', NULL, '2023-09-18 00:49:43', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2534, 1, 2, '9cfd6c147c144fb8a2a481c0071a0696', '8e5ecf254f21424eb491b00ed126e2b3', 'default', NULL,
        '2024-04-13 17:09:41', NULL, '2023-09-18 09:09:41', NULL, '2023-09-18 09:09:41', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2535, 4, 1, '616501625b984e5e81d958e96b1a00f7', 'ca6af063682c4b4582ec7e677f343efb', 'default', NULL,
        '2024-04-14 07:11:45', '4', '2023-09-18 23:11:45', '4', '2023-09-18 23:11:45', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2536, 6, 1, '2748d51587344ad2bc671dc375c58e7f', 'ed36f05d18424dd7ad7e6b556b5ebeed', 'default', NULL,
        '2024-04-14 07:14:15', '4', '2023-09-18 23:14:15', '4', '2023-09-18 23:14:15', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2537, 6, 1, '8576c861e28a40fab5b4da4e1206fdcb', '4a1bb6107a7046949b4f86ac17e7a0aa', 'default', NULL,
        '2024-04-15 06:01:19', '4', '2023-09-19 22:01:19', '4', '2023-09-19 22:01:19', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2538, 6, 1, '1be57e0f983641429fb572add8a4ed58', '6fe471a94b8744debdff7ac1e5c89348', 'default', NULL,
        '2024-04-15 06:03:08', '4', '2023-09-19 22:03:08', '4', '2023-09-19 22:03:08', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2539, 6, 1, 'd3cb37c697de49b48a1170b31d3041fd', 'd6d5d19e4c454fe493cbe2c37f417e63', 'default', NULL,
        '2024-04-15 06:03:25', '6', '2023-09-19 22:03:25', '6', '2023-09-19 22:03:25', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2540, 6, 1, 'ebcc3abafb5642f28bf9b7387efaa157', '585a67f084a947b68a9689a7e571076d', 'default', NULL,
        '2024-04-15 06:03:43', '6', '2023-09-19 22:03:43', '6', '2023-09-19 22:03:43', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2541, 6, 1, '491ad719bc354053b71ab7a2fae85bad', '5d6c91e5dc1645dbbe9ec66a53bf43a5', 'default', NULL,
        '2024-04-19 07:47:10', '4', '2023-09-23 23:47:10', '4', '2023-09-23 23:47:10', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2542, 6, 1, '311c76bbcae64387bf5ac4205e098603', '62fcdf75381145de8929256241498165', 'default', NULL,
        '2024-04-19 07:48:11', NULL, '2023-09-23 23:48:11', NULL, '2023-09-23 23:48:11', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2543, 1, 2, 'f4fe3f3cd1804852a9571fde43911f3b', 'c0f8bdbba68b4bdebe7d679aa6dfdfa3', 'default', NULL,
        '2024-04-20 04:11:01', NULL, '2023-09-24 20:11:01', NULL, '2023-09-24 20:11:01', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2544, 1, 2, 'dbacd33fedde4cbc9d35e1cbaeef94fa', '9d1d595714be45faae775f0fcae8fe7b', 'default', NULL,
        '2024-04-20 04:16:31', NULL, '2023-09-24 20:16:31', NULL, '2023-09-24 20:16:31', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2545, 6, 1, '446c10886af740faafa2a28e9b111ef8', '67fcddce9a28436d9627769ab253903f', 'default', NULL,
        '2024-04-20 05:54:59', '6', '2023-09-24 21:54:59', '6', '2023-09-24 21:54:59', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2546, 6, 1, 'f3ea63974fda428a945c6a3a5a6b2279', 'cdc754220f11490d9c85ecb77d8bcb8d', 'default', NULL,
        '2024-04-20 05:59:36', NULL, '2023-09-24 21:59:36', NULL, '2023-09-24 21:59:36', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2547, 6, 1, '8723be075f0941288c2cc0940dddd1a3', '89cdd868a0c340dd8d79ddaa11b4c299', 'default', NULL,
        '2024-04-20 07:18:34', NULL, '2023-09-24 23:18:34', NULL, '2023-09-24 23:18:34', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2548, 6, 1, '35ff142296f443f9a78fe6f95d427e5c', 'a11ca057e2fa49b7aba1c49e0787ca7a', 'default', NULL,
        '2024-04-20 07:50:57', NULL, '2023-09-24 23:50:57', NULL, '2023-09-24 23:50:57', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2549, 6, 1, 'ac24a7115826477a9033c031af206a01', '7b7df7e295664249a6fa3b51b583d094', 'default', NULL,
        '2024-04-20 07:57:06', NULL, '2023-09-24 23:57:06', NULL, '2023-09-24 23:57:06', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2550, 6, 1, '68f4478f1d19448398d2463c16f7fa7a', 'f7f2d5299587466e8ec8b948b654b390', 'default', NULL,
        '2024-04-20 08:10:36', NULL, '2023-09-25 00:10:36', NULL, '2023-09-25 00:10:36', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2551, 1, 2, '8e180c5acc47424a9b7c229649706852', '0474db062f53410790f119053af8edf8', 'default', NULL,
        '2024-04-21 17:55:37', NULL, '2023-09-26 09:55:37', NULL, '2023-09-26 09:55:37', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2552, 2, 1, 'b9ce41e4368e4e5ea8ab4d7829e95ae3', '34e9c1783640423e86904832f93fac67', 'default', NULL,
        '2024-04-21 19:25:52', NULL, '2023-09-26 11:25:52', NULL, '2023-09-26 11:25:52', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2553, 6, 1, '8cbc11b82b464a7b97f40391c4bd397b', '6ab77e34d5de449cb8d0f3b3b61f027e', 'default', NULL,
        '2024-04-22 06:15:03', '6', '2023-09-26 22:15:03', '6', '2023-09-26 22:15:03', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2554, 2, 1, '8b43936033cf49af9910acbf7515207f', '359c144f3f544aa4a2aa71ccb220d6c9', 'default', NULL,
        '2024-04-22 06:22:09', '2', '2023-09-26 22:22:09', '2', '2023-09-26 22:22:09', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2555, 6, 1, '8ce1e9d0774841868797cccfcc3eead2', '1fc3484dbc9241398c38c3368e4c73ae', 'default', NULL,
        '2024-04-22 06:25:27', '6', '2023-09-26 22:25:27', '6', '2023-09-26 22:25:27', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2556, 6, 1, '2837c4ba6c8c42b5abfcc55e3fc5e998', 'c7ec27eb9deb4194911ada8d654af6cb', 'default', NULL,
        '2024-04-22 06:26:04', '6', '2023-09-26 22:26:04', '6', '2023-09-26 22:26:04', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2557, 6, 1, '8f2da2783d354f24a2d8019f11372c67', '664b76eb9daf4365a271dc08879cd0bb', 'default', NULL,
        '2024-04-22 06:44:11', '6', '2023-09-26 22:44:11', '6', '2023-09-26 22:44:11', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2558, 6, 1, '5cb5121adcaa465492b8b5c4c67bcfe8', '724f2d41dd9f478abd78855a769fe75d', 'default', NULL,
        '2024-05-06 09:25:43', '6', '2023-10-11 01:25:43', '6', '2023-10-11 01:25:43', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2559, 1, 2, '7a97caca1ca14e17868f75338d8eeb81', 'de1026893edb4c2489bc8e714e6a50ed', 'default', NULL,
        '2024-05-14 20:27:50', NULL, '2023-10-19 12:27:50', NULL, '2023-10-19 14:21:17', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2560, 1, 2, '56ed6bcb2a5d4a528dce655e86af2e38', '502844c6d9f148c2ae35d8c2f42fa345', 'default', NULL,
        '2024-05-14 22:20:48', NULL, '2023-10-19 14:20:48', NULL, '2023-10-19 14:49:18', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2561, 1, 2, 'bca7ebde7bd04dd2886f71e239ef0c55', 'f318d5b55dd746e9a2693698b98f4550', 'default', NULL,
        '2024-05-14 22:21:29', NULL, '2023-10-19 14:21:29', NULL, '2023-10-19 14:21:53', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2562, 1, 2, 'ef0f2e263e7c4e96a6edd17d28f0ba78', '7daa92756d2b410aa532fa58524f87b8', 'default', NULL,
        '2024-05-14 22:24:25', NULL, '2023-10-19 14:24:25', NULL, '2023-10-19 14:24:25', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2563, 1, 2, '283a6c684cad45dd8b5a5149f047a3db', '1ded5777d1a74312a25bcedabf293d9d', 'default', NULL,
        '2024-05-14 22:28:15', NULL, '2023-10-19 14:28:15', NULL, '2023-10-19 14:28:15', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2564, 1, 2, 'e4e7eaba5f0d43f690501e6b8f613d15', '9aa50131cf474243b778fa589e57af86', 'default', NULL,
        '2024-05-14 22:29:47', NULL, '2023-10-19 14:29:47', NULL, '2023-10-19 14:29:47', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2565, 1, 2, '4751526375e64f4a902219b6726ad617', 'f4abd56c0d064ae29794389a4ff32f53', 'default', NULL,
        '2024-05-14 22:48:28', NULL, '2023-10-19 14:48:28', NULL, '2023-10-19 14:48:28', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2566, 1, 2, 'ee97b0b28c924b00ac4a943956269f01', '277fcd9c28664554a05a79f1e7dce0e0', 'default', NULL,
        '2024-05-14 22:49:28', NULL, '2023-10-19 14:49:28', NULL, '2023-10-19 14:49:32', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2567, 1, 2, 'ba8905f76d554430bb13b796d17f0e68', '2e5d4ed9aa5d4a37bc7f8c0dac160a57', 'default', NULL,
        '2024-05-14 22:49:33', NULL, '2023-10-19 14:49:33', NULL, '2023-10-19 14:49:33', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2568, 1, 2, '600114b46d384ab4806cf492dc2b91a8', 'd48449fa3a5f405bad3409e2c1e75acf', 'default', NULL,
        '2024-05-14 22:49:44', NULL, '2023-10-19 14:49:44', NULL, '2023-10-24 11:30:19', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2569, 1, 2, 'c3fea8ee7cff44ef9b1ae3a9a19fc86a', 'a2843e0a2fee40f7bdd0980f6b3ad0c4', 'default', NULL,
        '2024-05-14 22:50:06', NULL, '2023-10-19 14:50:06', NULL, '2023-10-19 14:50:06', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2570, 1, 2, '02dd89388492441db8a5fc6d4e4c2279', 'a595231ff76c4805be91712eb0b70ff3', 'default', NULL,
        '2024-05-14 22:58:42', NULL, '2023-10-19 14:58:42', NULL, '2023-10-19 15:04:35', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2571, 127, 2, '4f78c10e611e4a65bbd3465d1648add4', '13d7dc2f7ebc41a7b47e3f6a2b968e57', 'default', NULL,
        '2024-05-14 23:04:57', NULL, '2023-10-19 15:04:57', NULL, '2023-10-19 15:04:57', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2572, 1, 2, 'a5c990de4088419eb0e1c284e398ce28', '77963ca38a7c42a784d7d308e130ed1d', 'default', NULL,
        '2024-05-17 03:45:13', NULL, '2023-10-21 19:45:13', NULL, '2023-10-21 19:45:13', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2573, 1, 2, '8956be540ced4d95b6a770c9c9eabdae', 'c69487d7a0ea4305bd64ad20d4ad611a', 'default', NULL,
        '2024-05-19 19:08:42', NULL, '2023-10-24 11:08:42', NULL, '2023-11-13 23:17:43', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2574, 1, 2, '5ed1a451e391478a9f7792ca386bbd6b', 'eb75ce9b6f6c4af69232dca3e5428b04', 'default', NULL,
        '2024-05-19 19:18:21', NULL, '2023-10-24 11:18:21', NULL, '2023-10-24 11:18:21', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2575, 1, 2, 'fc403c952aa146d3a695b54198f03b50', '2da8e963f7574b98b676eeccd9a2b560', 'default', NULL,
        '2024-05-19 19:30:31', NULL, '2023-10-24 11:30:31', NULL, '2023-10-24 11:30:31', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2576, 7, 1, '23ab03951dcf4b81b3093bd04eb45167', 'a96b1940f87140c798bce35dbfb179ee', 'default', NULL,
        '2024-05-19 20:11:52', NULL, '2023-10-24 12:11:52', NULL, '2023-10-24 12:11:52', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2577, 7, 1, '3c4aea44f9a24fe7a87df0bc4dc71efe', '7f74f45457a7444a895c91186ea951d4', 'default', NULL,
        '2024-05-19 20:19:05', NULL, '2023-10-24 12:19:05', NULL, '2023-10-24 12:19:05', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2578, 7, 1, 'f582e0ba40a24c959999331488aa8d4b', 'b3c8006cfae840c09bfafb0785e04284', 'default', NULL,
        '2024-05-19 20:20:47', NULL, '2023-10-24 12:20:47', NULL, '2023-10-24 12:20:47', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2579, 7, 1, 'e470e86d3f444aefb4bbd16ac1257aa4', 'eb010ea5271e45f58a8da18317c61949', 'default', NULL,
        '2024-05-19 20:22:37', NULL, '2023-10-24 12:22:37', NULL, '2023-10-24 12:22:37', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2580, 7, 1, '8de7d1ca738a4fff9b3a2bbc1fab6e67', 'bd5e9f1676e34f3290c14a312877c868', 'default', NULL,
        '2024-05-19 23:07:17', NULL, '2023-10-24 15:07:17', NULL, '2023-10-24 15:07:17', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2581, 7, 1, '43e37d544c1f4bc4a373f45afe03317d', 'd2f63d038fb5415fb80d095deb8ff0f2', 'default', NULL,
        '2024-05-19 23:07:35', NULL, '2023-10-24 15:07:35', NULL, '2023-10-24 15:07:35', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2582, 7, 1, '017ead80e6e046fcb2abefc2bc9f587b', '96135aaf19a24161ae8cbf9b621ce5f4', 'default', NULL,
        '2024-05-19 23:07:39', NULL, '2023-10-24 15:07:39', NULL, '2023-10-24 15:07:39', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2583, 9, 1, '2d9e78274a46435a8a1456d1213fa621', '80a8ae692f384de3872a79a5256dc484', 'default', NULL,
        '2024-05-19 23:09:40', NULL, '2023-10-24 15:09:40', NULL, '2023-10-24 15:09:40', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2584, 7, 1, 'd2e9862511424dc1b19805fc9e334621', 'e6bef260e01d4f5e9f24af9e1aa0f665', 'default', NULL,
        '2024-05-19 23:15:44', NULL, '2023-10-24 15:15:44', NULL, '2023-10-24 15:15:44', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2585, 1, 2, '631582ea08f34063b9efd98c28162af8', '2070b4c5beca4c409314e8111636b660', 'default', NULL,
        '2024-05-19 23:53:02', NULL, '2023-10-24 15:53:02', NULL, '2023-11-14 01:12:21', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2586, 7, 1, 'e4627b04b2884d1385e8a84106e07233', '97661b6361474a2ab0c4ca2bdef79ef4', 'default', NULL,
        '2024-05-20 00:00:04', NULL, '2023-10-24 16:00:04', NULL, '2023-10-24 16:00:04', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2587, 10, 1, 'c1f9fec2e5e3499fa969051cbd223ef4', '042c8d73324b45feb51c870a185d24fb', 'default', NULL,
        '2024-05-20 00:02:15', NULL, '2023-10-24 16:02:15', NULL, '2023-10-24 16:02:15', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2588, 11, 1, '8724f47f185b4e3fadf358656c559a38', '82ec8466f02d4fdf9b8d1cbcaec9766c', 'default', NULL,
        '2024-05-20 00:27:43', NULL, '2023-10-24 16:27:43', NULL, '2023-10-24 16:27:43', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2589, 10, 1, '9924baf61d064e99b47b2d264d25bb4d', 'a5b2223824e94bd3969ce3f2351319e2', 'default', NULL,
        '2024-05-20 00:28:09', NULL, '2023-10-24 16:28:09', NULL, '2023-10-24 16:28:09', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2590, 9, 1, '57d939d6d5ac46f8a9455661d1ffcb3d', '13056cfc8732402786b0e3d3347c83fb', 'default', NULL,
        '2024-05-20 00:29:05', NULL, '2023-10-24 16:29:05', NULL, '2023-10-24 16:29:05', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2591, 7, 1, '1de22afda55f49b9af4db3732578e378', '00f751bd2e95423aa066aa2981cd9f2c', 'default', NULL,
        '2024-05-20 00:30:19', NULL, '2023-10-24 16:30:19', NULL, '2023-10-24 16:30:19', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2592, 11, 1, 'b33c5d451f7b4828b2c51017ab2fcfdc', 'adac7db85470424e80e8fbe65c0196a3', 'default', NULL,
        '2024-05-20 00:31:09', NULL, '2023-10-24 16:31:09', NULL, '2023-10-24 16:31:09', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2593, 12, 1, '5184495d632140de9a69c576a6612955', 'c88e1abf9fca494e843e221a5286826c', 'default', NULL,
        '2024-05-20 00:41:24', NULL, '2023-10-24 16:41:24', NULL, '2023-10-24 16:41:24', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2594, 12, 1, '3f186deed28c41b5bae4cdbb19116c60', '83a412e9cc0642aab4da60ed6105daf7', 'default', NULL,
        '2024-05-20 00:45:16', NULL, '2023-10-24 16:45:16', NULL, '2023-10-24 16:45:16', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2595, 12, 1, 'ce94bb77cdd544178c9f71cd54cf01c3', '58d2ea99dd8849328f0863351c337fec', 'default', NULL,
        '2024-05-20 00:45:54', '12', '2023-10-24 16:45:54', '12', '2023-10-24 16:45:54', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2596, 13, 1, '8916bb88da9148058fcf4b71b556c1ae', '93cf280dee17427491a04ced6553014c', 'default', NULL,
        '2024-05-20 19:25:33', NULL, '2023-10-25 11:25:33', NULL, '2023-10-25 11:25:33', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2597, 13, 1, '13ab8918305c48b49a20bc2f397e9c92', 'e0489a78bd3345cb96d5e051c1a11534', 'default', NULL,
        '2024-05-20 19:41:13', NULL, '2023-10-25 11:41:13', NULL, '2023-10-25 11:41:13', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2598, 13, 1, '27419f3a913d4822b074af1d1b2ac653', 'e291f79e40524cb6b6d2650fc5d5b6d8', 'default', NULL,
        '2024-05-20 19:42:20', '13', '2023-10-25 11:42:20', '13', '2023-10-25 11:42:20', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2599, 1, 2, '0025a41893fd47d5b61b0b37c9ef9420', '4daec9c72a3b428d9f0da67af4e188e6', 'default', NULL,
        '2024-05-20 22:07:02', NULL, '2023-10-25 14:07:02', NULL, '2023-11-22 11:22:52', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2600, 1, 2, '13d1d1d63bf84a08b92bce33fb2e13a7', 'b07aa6aa72dc4603929f6713eebb935d', 'default', NULL,
        '2024-05-21 02:23:10', NULL, '2023-10-25 18:23:10', NULL, '2023-10-25 18:23:10', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2601, 1, 2, 'ed7c834e179048a8b2e0f3e402fee7f8', 'b18e8c9727ef4405b216f501ee41fbb9', 'default', NULL,
        '2024-05-22 01:33:16', NULL, '2023-10-26 17:33:16', NULL, '2023-10-26 17:33:16', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2602, 9, 1, 'a621a37ad6c84feb80c212afb4523311', '594ef7b9d5a746ab883311699f1272b2', 'default', NULL,
        '2024-05-22 19:49:56', '9', '2023-10-27 11:49:56', '9', '2023-10-27 11:49:56', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2603, 14, 1, 'a41ac7cdd5a2449592776e459d57f447', '2aae993ab7784672bc23da892f31e39f', 'default', NULL,
        '2024-05-22 20:25:01', NULL, '2023-10-27 12:25:01', NULL, '2023-10-27 12:25:01', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2604, 15, 1, '1c9f495b84f84559a81115fb0ce1b54a', '5a8bf880de95408598784abf5adb1e3c', 'default', NULL,
        '2024-05-22 20:29:31', NULL, '2023-10-27 12:29:31', NULL, '2023-10-27 12:29:31', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2605, 9, 1, '253f8cb2514d4cb0895ac399a463400a', '4d5147c15a4242d6961766caea513e76', 'default', NULL,
        '2024-05-23 02:29:54', '9', '2023-10-27 18:29:54', '9', '2023-10-27 18:29:54', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2606, 1, 2, '389f47856faa49f88a48654371602657', '7ed54dd4d69f4976bdad4ea6b6820e3d', 'default', NULL,
        '2024-05-25 18:23:39', NULL, '2023-10-30 10:23:39', NULL, '2023-11-13 23:17:14', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2607, 16, 1, 'e04572354a3f4c59b9c48aa510955a22', '877e08d484f544cdbf8a9db674524b58', 'default', NULL,
        '2024-05-25 18:25:02', NULL, '2023-10-30 10:25:02', NULL, '2023-10-30 10:25:02', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2608, 16, 1, '5a5762449e1a4b829c209e871efb3bd9', 'e989264df5604c71966d09e3b8403ed9', 'default', NULL,
        '2024-05-25 19:00:01', NULL, '2023-10-30 11:00:01', NULL, '2023-10-30 11:00:01', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2609, 14, 1, '1629b937fe1b45bc8cd057f744d0e670', '515615d0fc2340bcb47a469acf44597d', 'default', NULL,
        '2024-05-25 23:18:52', NULL, '2023-10-30 15:18:52', NULL, '2023-10-30 15:18:52', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2610, 17, 1, '5613fb72de4b443695e1a1c9ff01d2a1', '11e72fb7e89f48a2aeee3cc0b84758df', 'default', NULL,
        '2024-05-25 23:19:46', '16', '2023-10-30 15:19:46', '16', '2023-10-30 15:19:46', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2611, 16, 1, '1cad7f2fdbd84cdf9aa9188ca2f73565', 'ca2cbe4c27f34b00b4803179a8e7d8e1', 'default', NULL,
        '2024-05-26 00:33:00', '17', '2023-10-30 16:33:00', '17', '2023-10-30 16:33:00', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2612, 1, 2, 'eb0516234f7c48ffb0462e5b92753e69', 'b0a3c59bc6a34f20b56aa89311d7f0c6', 'default', NULL,
        '2024-05-26 23:29:12', NULL, '2023-10-31 15:29:12', NULL, '2023-11-08 12:12:34', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2613, 18, 1, 'ae2f3e742b124d5b9cb6656c846ddabd', '59c1a7dfc66e4cd4973d128bb9445680', 'default', NULL,
        '2024-05-27 02:56:31', '16', '2023-10-31 18:56:31', '16', '2023-10-31 18:56:31', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2614, 14, 1, 'd229ff7503a5468abd0129a8ea74d91d', '56e13579b5914be292ea90e535fdf8be', 'default', NULL,
        '2024-05-27 03:01:30', NULL, '2023-10-31 19:01:30', NULL, '2023-10-31 19:01:30', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2615, 16, 1, 'f44f44de7f8547d8818ef4490eee5224', '6ceadd6df4b043c1b0058f7d59bd0985', 'default', NULL,
        '2024-05-27 18:27:52', '18', '2023-11-01 10:27:52', '18', '2023-11-01 10:27:52', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2616, 9, 1, 'a206be7e5fba4047a5aac2144676114b', 'd854aa1f488d4a6c95baa56979b2bc4f', 'default', NULL,
        '2024-05-28 06:48:34', NULL, '2023-11-01 22:48:34', NULL, '2023-11-01 22:48:34', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2617, 14, 1, 'ea167c3dd21f443cbce85103ab2adc4c', 'c099c4ac135449089f73bd81c437efb1', 'default', NULL,
        '2024-05-28 19:44:23', NULL, '2023-11-02 11:44:23', NULL, '2023-11-02 11:44:23', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2618, 16, 1, '7810b691ae7f407b9056a5187356717e', 'ce9212f8ad654d0ebac593fcacf5db7d', 'default', NULL,
        '2024-05-28 23:34:08', NULL, '2023-11-02 15:34:08', NULL, '2023-11-02 15:34:08', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2619, 16, 1, 'ef039568ecdd494a9985cdf8c32b9046', '11b478c467d041d3946f5952214d1d15', 'default', NULL,
        '2024-05-28 23:35:00', '7', '2023-11-02 15:35:00', '7', '2023-11-02 15:35:00', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2620, 7, 1, 'b092e331be704d40b4b46d14525d6371', '03ef3e43f3924c66b56808b36b8da258', 'default', NULL,
        '2024-05-29 01:15:45', '16', '2023-11-02 17:15:45', '16', '2023-11-02 17:15:45', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2621, 10, 1, '549f2bd10c664e52b83c7da79182d1fc', 'f7ed7dea398a4760a2be94fdfcf80321', 'default', NULL,
        '2024-05-29 02:38:26', '7', '2023-11-02 18:38:26', '7', '2023-11-02 18:38:26', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2622, 15, 1, '00054b60b16e410182f0172bda031bd1', '4b238b6c226d456c978bee34c97bd5cb', 'default', NULL,
        '2024-05-30 00:40:27', NULL, '2023-11-03 16:40:27', NULL, '2023-11-03 16:40:27', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2623, 7, 1, '9d64fdbddde94a34ab802bc4ebff7c49', '695054811e844579961290350e3941f3', 'default', NULL,
        '2024-06-01 19:42:41', '10', '2023-11-06 11:42:41', '10', '2023-11-06 11:42:41', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2624, 9, 1, '20e08c62b95745e3a0d5ea84779984f5', '64bb40fab39041299582bd44c3fb3c78', 'default', NULL,
        '2024-06-01 20:16:01', '9', '2023-11-06 12:16:01', '9', '2023-11-06 12:16:01', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2625, 19, 1, 'f3877643e6a84d77a52afd56703e9d01', 'c1c63cedd3b649f8a511d10b634f0094', 'default', NULL,
        '2024-06-01 22:09:55', NULL, '2023-11-06 14:09:55', NULL, '2023-11-06 14:09:55', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2626, 19, 1, '9706f08505ed47fcbd327b1d0b836536', '014d07e7216c44e09da79d9d505a036b', 'default', NULL,
        '2024-06-01 22:13:07', NULL, '2023-11-06 14:13:07', NULL, '2023-11-06 14:13:07', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2627, 10, 1, '80ffb08d985046698155337a2e94a1e7', '762e4e37a01c4aa5b2d3a0fcf85321bf', 'default', NULL,
        '2024-06-01 22:41:51', NULL, '2023-11-06 14:41:51', NULL, '2023-11-06 14:41:51', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2628, 16, 1, 'd7bde452c0354f69aacd7a898b42194d', 'b8493a22dfc64682ae535ed3084d9f13', 'default', NULL,
        '2024-06-02 01:55:55', '7', '2023-11-06 17:55:55', '7', '2023-11-06 17:55:55', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2629, 18, 1, '5b69ddf867e946348842db24dbd1942b', '290da99746544eeda5fc62b64eb5eb61', 'default', NULL,
        '2024-06-02 02:08:57', '16', '2023-11-06 18:08:57', '16', '2023-11-06 18:08:57', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2630, 7, 1, '3fd9662731c84b5c8a5c33da864cda7c', '231ff992028843f1b766b485296004aa', 'default', NULL,
        '2024-06-02 17:49:50', '16', '2023-11-07 09:49:50', '16', '2023-11-07 09:49:50', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2631, 16, 1, '7cec9dfa4d504eabb48223a0fe7fdae7', '23397b11a87b46a0b29fbe99a0e2689b', 'default', NULL,
        '2024-06-02 18:04:47', '7', '2023-11-07 10:04:47', '7', '2023-11-07 10:04:47', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2632, 1, 2, '1f7843d5fb4344779a45ba9465c7af1d', 'f08a6daab7c744c19363f47d504703e8', 'default', NULL,
        '2024-06-02 18:59:03', NULL, '2023-11-07 10:59:03', NULL, '2023-11-14 15:34:22', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2633, 16, 1, 'df3997f444cf4ee39fdf268ad100e407', '35a563c91e02461293990a230fe66f00', 'default', NULL,
        '2024-06-02 19:21:14', '18', '2023-11-07 11:21:14', '18', '2023-11-07 11:21:14', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2634, 7, 1, 'fdea9572822448e49dcd193d20213391', 'b37961056cf0461e8adc316511612b46', 'default', NULL,
        '2024-06-02 22:12:33', '16', '2023-11-07 14:12:33', '16', '2023-11-07 14:12:33', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2635, 16, 1, '19f8ac0ef9aa410a9f7c119b400a6923', '59540afe00ab47c6ac6b470ee57eecec', 'default', NULL,
        '2024-06-03 01:09:17', '15', '2023-11-07 17:09:17', '15', '2023-11-07 17:09:17', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2636, 7, 1, 'a6e1f81f0fae405592cd2a1d41ce6004', '6755cc5f47764c638f87d0cd4b999870', 'default', NULL,
        '2024-06-03 01:42:49', '7', '2023-11-07 17:42:49', '7', '2023-11-07 17:42:49', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2637, 11, 1, '24dd48107cde4b318602849b6b5f5af8', 'd6aa83dbe7554a6b825b14ebd12b0fff', 'default', NULL,
        '2024-06-03 01:53:04', '7', '2023-11-07 17:53:04', '7', '2023-11-07 17:53:04', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2638, 16, 1, '7b153b2fc5c74617b28df670d4f33bfc', '75cf85020b174ff691a1ce6e147ed216', 'default', NULL,
        '2024-06-03 02:12:57', '11', '2023-11-07 18:12:57', '11', '2023-11-07 18:12:57', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2639, 7, 1, 'f715263a2c5c40ab84da1ed2fe2f57ad', 'af68181b8a4c44e496cba680aeba476b', 'default', NULL,
        '2024-06-03 02:19:39', '16', '2023-11-07 18:19:39', '16', '2023-11-07 18:19:39', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2640, 16, 1, 'a19da593539e4c52851d9be7e57140e2', '60b8e7b57aa140bbbcdeee8dbb0d39e1', 'default', NULL,
        '2024-06-03 18:01:10', NULL, '2023-11-08 10:01:10', NULL, '2023-11-08 10:01:10', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2641, 20, 1, '39da4d468ffd43838c4776ef374b5b29', 'b8096018b94a465dab9a0c94493b3879', 'default', NULL,
        '2024-06-03 18:34:28', '16', '2023-11-08 10:34:28', '16', '2023-11-08 10:34:28', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2642, 16, 1, 'dcd43c6781f34c459b4b63189d3fcf39', '9f921ea812cc45a8a8f19d9c1d9a9284', 'default', NULL,
        '2024-06-03 19:12:28', '20', '2023-11-08 11:12:28', '20', '2023-11-08 11:12:28', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2643, 16, 1, 'b1a545cd2c0a4afaa08b9f2fb3300784', 'ce7b61b08a7b4535a1ec573a8b251f4f', 'default', NULL,
        '2024-06-03 20:12:26', NULL, '2023-11-08 12:12:26', NULL, '2023-11-08 12:12:26', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2644, 1, 2, '45985b1ef938410b80b0763203124d1a', '5ee469da60e04296a70a7a7f018ee6b0', 'default', NULL,
        '2024-06-03 20:12:57', NULL, '2023-11-08 12:12:57', NULL, '2023-11-08 20:16:43', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2645, 16, 1, '0ff66396b832418dbf99f44416699141', '54b222874dcf4e3bbb74a19e30a334de', 'default', NULL,
        '2024-06-03 22:07:56', '16', '2023-11-08 14:07:56', '16', '2023-11-08 14:07:56', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2646, 16, 1, '1857d8319dd2411aa36e941535d5c1df', '281d0995b9494d9da8bfa86616e2c1f7', 'default', NULL,
        '2024-06-03 22:09:31', '16', '2023-11-08 14:09:31', '16', '2023-11-08 14:09:31', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2647, 1, 2, 'c9b67975e1444937ae1cfb6bbab0bed9', '2615fd500ec74b1c8d4fb280cab119d4', 'default', NULL,
        '2024-06-04 00:00:59', NULL, '2023-11-08 16:00:59', NULL, '2023-11-08 16:00:59', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2648, 15, 1, '3a9343cc3bb143f99ee9b2fba415749d', '9e5fa853db9d4eba94fcb976d7030446', 'default', NULL,
        '2024-06-04 00:11:30', NULL, '2023-11-08 16:11:30', NULL, '2023-11-08 16:11:30', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2649, 21, 1, '6fdbe50b4e8a4ffabf03bffe7e294528', '2bc2ab4e89f54c58b56bb6b553c9bf51', 'default', NULL,
        '2024-06-04 00:22:13', NULL, '2023-11-08 16:22:13', NULL, '2023-11-08 16:22:13', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2650, 16, 1, 'ba449784c85249d8bc1905f4ff4e7327', 'a48c61b8617c47c1bd344b7a0831aff1', 'default', NULL,
        '2024-06-04 01:23:32', '16', '2023-11-08 17:23:32', '16', '2023-11-08 17:23:32', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2651, 7, 1, 'ce2440cdbd164bd9afdd436ecf56b7d8', '935459ad9922483888c735873411326c', 'default', NULL,
        '2024-06-04 01:47:46', NULL, '2023-11-08 17:47:46', NULL, '2023-11-08 17:47:46', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2652, 15, 1, 'a39e15089dfd4410b8ef33e41be3c868', '88885823351c45d48a2275a3d2b8de56', 'default', NULL,
        '2024-06-04 01:51:26', NULL, '2023-11-08 17:51:26', NULL, '2023-11-08 17:51:26', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2653, 15, 1, '1d59a2ee481046eea01ea839fe03acf6', 'c56c32882dfe4fc29d96886869a9451e', 'default', NULL,
        '2024-06-04 01:52:02', NULL, '2023-11-08 17:52:02', NULL, '2023-11-08 17:52:02', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2654, 15, 1, 'c5542814f82b408686c8bc36af4062bc', 'e64a7f952d5140b4812a71478792c6a6', 'default', NULL,
        '2024-06-04 01:52:52', NULL, '2023-11-08 17:52:52', NULL, '2023-11-08 17:52:52', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2655, 15, 1, '85f5af0a0f92431d83f6f994fa7ddb38', '1eb9a652455d48aa9625573872c63295', 'default', NULL,
        '2024-06-04 02:29:54', NULL, '2023-11-08 18:29:54', NULL, '2023-11-08 18:29:54', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2656, 18, 1, 'd8c31fc039764b0f9b492b6e9e2e5ca1', '0084468c4ab044aba523934e4e3cbde8', 'default', NULL,
        '2024-06-04 02:49:21', NULL, '2023-11-08 18:49:21', NULL, '2023-11-08 18:49:21', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2657, 16, 1, '49caa08c0f7b436dafd36a68daab8da2', 'e29838ee10154dbba09e6ea8bbd2a5a5', 'default', NULL,
        '2024-06-04 02:52:13', NULL, '2023-11-08 18:52:13', NULL, '2023-11-08 18:52:13', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2658, 16, 1, '80f5f878b1d646e4a13d3ad91bd42a1d', 'ee760611938d46d7bbae13c4a1dd6e03', 'default', NULL,
        '2024-06-04 02:58:44', NULL, '2023-11-08 18:58:44', NULL, '2023-11-08 18:58:44', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2659, 1, 2, '99e9d3194e444e118237081c899893ba', '404d5edfb1b8400995fd35d847c5847d', 'default', NULL,
        '2024-06-04 04:16:53', NULL, '2023-11-08 20:16:53', NULL, '2023-11-08 20:16:53', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2660, 22, 1, 'a83d257a50b04badabe763fc71a89717', 'a5166f1beb9f44fca07bfbeae6fe7aab', 'default', NULL,
        '2024-06-04 04:27:44', NULL, '2023-11-08 20:27:44', NULL, '2023-11-08 20:27:44', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2661, 15, 1, 'bc9b049a8d9f4a618cc1952412a3c098', 'c78700fc60ba4a068333a43431d77e52', 'default', NULL,
        '2024-06-04 04:28:54', NULL, '2023-11-08 20:28:54', NULL, '2023-11-08 20:28:54', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2662, 23, 1, '1b8993a62c7847759945c00e03080f29', 'bba963fd3cb24a7e9f1174eefef98873', 'default', NULL,
        '2024-06-04 04:31:24', NULL, '2023-11-08 20:31:24', NULL, '2023-11-08 20:31:24', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2663, 16, 1, '7a08300b9c7e40a3ae518434778f8cc9', '70d8ecf425fb47489a1e202916cee2bb', 'default', NULL,
        '2024-06-04 08:24:58', NULL, '2023-11-09 00:24:58', NULL, '2023-11-09 00:24:58', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2664, 15, 1, '71f785a4bd6146e1be48c4782bcb90b2', 'd0930ba5735e4a2fbaecc253cd6668fb', 'default', NULL,
        '2024-06-04 18:23:40', NULL, '2023-11-09 10:23:40', NULL, '2023-11-09 10:23:40', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2665, 16, 1, '68b2813b25b7444ab272e4b80c1531f6', 'ccc0164d6c2a4205899651b3d527b0d5', 'default', NULL,
        '2024-06-04 18:41:58', NULL, '2023-11-09 10:41:58', NULL, '2023-11-09 10:41:58', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2666, 16, 1, 'b1ce125839e048e592aac799c1fd6d09', 'a6034adc2acc4500a8ca54a1dd0804b2', 'default', NULL,
        '2024-06-04 19:16:53', '16', '2023-11-09 11:16:53', '16', '2023-11-09 11:16:53', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2667, 16, 1, '3ccaf095ef464d30b9e719f0ea71a16a', 'afc2619e9fa84e41a82ec9bb2e9d459f', 'default', NULL,
        '2024-06-04 19:17:31', '16', '2023-11-09 11:17:31', '16', '2023-11-09 11:17:31', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2668, 16, 1, '9125ebe8c4e84691a5a5a470ba5b7386', 'efd5de4e6de84752a096024da0683461', 'default', NULL,
        '2024-06-04 19:17:49', '16', '2023-11-09 11:17:49', '16', '2023-11-09 11:17:49', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2669, 16, 1, '1604ad83296344faa82bd790ee4a6e34', '13d697deaf214b3589b23d6bef89f26d', 'default', NULL,
        '2024-06-04 22:15:47', NULL, '2023-11-09 14:15:47', NULL, '2023-11-09 14:15:47', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2670, 16, 1, 'd1a4dd8c43ed4806a37d12d313690227', '368b560fa51c475b916b10f7f9218565', 'default', NULL,
        '2024-06-04 22:50:38', NULL, '2023-11-09 14:50:38', NULL, '2023-11-09 14:50:38', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2671, 24, 1, '92ba265e95804152a6450d92c37f984c', 'a50431d59cc94ecaa473aea236b68574', 'default', NULL,
        '2024-06-05 00:20:30', NULL, '2023-11-09 16:20:30', NULL, '2023-11-09 16:20:30', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2672, 15, 1, 'a3c1ffe0c5b3402ebc9e658853277dc2', 'bbed39df07d84f1b891f44222a900fb7', 'default', NULL,
        '2024-06-05 02:00:00', NULL, '2023-11-09 18:00:00', NULL, '2023-11-09 18:00:00', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2673, 15, 1, '3e5bae15ee5c44eca3a379074e61dbf6', '1e03cc39a4444f5dba63d9868f46c77d', 'default', NULL,
        '2024-06-05 02:01:17', NULL, '2023-11-09 18:01:17', NULL, '2023-11-09 18:01:17', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2674, 15, 1, '506c293780cc43a5952501c833058a84', '05aceb0f9461488a8659803c93087107', 'default', NULL,
        '2024-06-05 02:03:32', '15', '2023-11-09 18:03:32', '15', '2023-11-09 18:03:32', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2675, 16, 1, '9e2bb0d08c0a4bd898180872974be82c', '38317d8f08374105b2f18591fcc2556b', 'default', NULL,
        '2024-06-05 02:20:01', NULL, '2023-11-09 18:20:01', NULL, '2023-11-09 18:20:01', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2676, 16, 1, 'efc2ffb0f4e94946926368e54f863ac0', '601ddbee6bd74e80a0b9c7c52291eaf8', 'default', NULL,
        '2024-06-05 18:55:00', NULL, '2023-11-10 10:55:00', NULL, '2023-11-10 10:55:00', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2677, 16, 1, 'bfc862be14ce4a9580b702a00853193f', 'b6d35ec5b9674a909f2c8615999bda33', 'default', NULL,
        '2024-06-05 18:55:02', '16', '2023-11-10 10:55:02', '16', '2023-11-10 10:55:02', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2678, 16, 1, 'ed46d507ad784736823e6804dc14d1cb', '4ae16ab118c7462eaa03be5f8c19bb8d', 'default', NULL,
        '2024-06-05 18:55:03', '16', '2023-11-10 10:55:03', '16', '2023-11-10 10:55:03', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2679, 16, 1, '6b838b32271240fc828fa76e781c8961', '957e01d7d8f3448f8d3fa56f00d35d80', 'default', NULL,
        '2024-06-05 18:55:03', '16', '2023-11-10 10:55:03', '16', '2023-11-10 10:55:03', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2680, 16, 1, '64639ade8a1f4827a3cf174d740babc2', '57210c59ccfb4bd3afc58d9218293bee', 'default', NULL,
        '2024-06-05 18:55:03', '16', '2023-11-10 10:55:03', '16', '2023-11-10 10:55:03', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2681, 16, 1, '03b7e3608c904536b57163b3958449f5', '90bf793bc71a4f05a6b0397fe731bcb4', 'default', NULL,
        '2024-06-05 18:55:03', '16', '2023-11-10 10:55:03', '16', '2023-11-10 10:55:03', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2682, 16, 1, 'b50485b8054d45b691155dbe5dfdc4e5', '98262c74cbe54e5f8ffeacdbabfcd911', 'default', NULL,
        '2024-06-05 18:55:05', '16', '2023-11-10 10:55:05', '16', '2023-11-10 10:55:05', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2683, 16, 1, '55cbcb372eeb45c695ca9f3beadaab8b', '4f86c96f8c3942e5a330041cb4d9f6b1', 'default', NULL,
        '2024-06-05 18:55:06', '16', '2023-11-10 10:55:06', '16', '2023-11-10 10:55:06', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2684, 16, 1, 'e027fdb176fb4655a1ffe2250bfe8f57', '58e6651d77614e36807249d65ba2da79', 'default', NULL,
        '2024-06-05 18:55:06', '16', '2023-11-10 10:55:06', '16', '2023-11-10 10:55:06', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2685, 16, 1, 'e3a2c9ad9f91450caa85018acb8dd791', 'e91c45c00b6348239a700ca336c05657', 'default', NULL,
        '2024-06-05 18:55:13', '16', '2023-11-10 10:55:13', '16', '2023-11-10 10:55:13', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2686, 16, 1, 'd11a4f264ca9483ebf6be78155d11e9b', '31cc9c4880a84444aabe8fe7a29c1722', 'default', NULL,
        '2024-06-05 18:55:14', '16', '2023-11-10 10:55:14', '16', '2023-11-10 10:55:14', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2687, 16, 1, '9ba88d5c9eb7463f9aa7f1cccb514c3b', '00bdf6241f0f4e1aadfdf5579c7ea92c', 'default', NULL,
        '2024-06-05 18:55:14', '16', '2023-11-10 10:55:14', '16', '2023-11-10 10:55:14', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2688, 16, 1, 'afe1a1a9ff4e474c8da59dc67d5dc051', 'afab8d0f4c0d4446a4448937a98239d6', 'default', NULL,
        '2024-06-05 18:55:15', '16', '2023-11-10 10:55:15', '16', '2023-11-10 10:55:15', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2689, 16, 1, 'c5d28989d216405698150373ef057e18', '437c49d6e3d045879c32eb4bdc9758d7', 'default', NULL,
        '2024-06-05 19:36:12', NULL, '2023-11-10 11:36:12', NULL, '2023-11-10 11:36:12', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2690, 16, 1, '854d4a5563c343a597f25ed1f3f96e2d', '843246fef39d49d6a320fb7aff9bd8ef', 'default', NULL,
        '2024-06-05 19:36:13', '16', '2023-11-10 11:36:13', '16', '2023-11-10 11:36:13', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2691, 16, 1, '334cecf027ac45c193bfcc1071cb624a', '8d354e671cc34fa8a8082dcfaf851b61', 'default', NULL,
        '2024-06-05 19:36:13', '16', '2023-11-10 11:36:13', '16', '2023-11-10 11:36:13', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2692, 16, 1, '7fc4b4550b834d8cbf254e2661036f97', 'eb257c60161a43d7aaba06d178bd70b2', 'default', NULL,
        '2024-06-05 19:36:13', '16', '2023-11-10 11:36:13', '16', '2023-11-10 11:36:13', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2693, 16, 1, '880489910abc47b28d6faac493d30ad0', '45cbd8d2f57145989714d7933c4553e3', 'default', NULL,
        '2024-06-05 19:36:14', '16', '2023-11-10 11:36:14', '16', '2023-11-10 11:36:14', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2694, 16, 1, '6fc608da6c154e888c79f585e6681977', '884411397a1e4562bf77d23ff373be99', 'default', NULL,
        '2024-06-05 19:36:16', '16', '2023-11-10 11:36:16', '16', '2023-11-10 11:36:16', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2695, 16, 1, 'a00832c3a75648feb48b7fe07ac86584', 'c70be1b87d544d74af9d4f3e7618529f', 'default', NULL,
        '2024-06-05 19:36:29', '16', '2023-11-10 11:36:29', '16', '2023-11-10 11:36:29', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2696, 16, 1, 'd84bba2ac6e64a1681525d80d3ccb102', 'bd3822dd18394a12a647386709c15ac0', 'default', NULL,
        '2024-06-05 19:36:50', '16', '2023-11-10 11:36:50', '16', '2023-11-10 11:36:50', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2697, 16, 1, '9de8a57251cc4145baac6acd58e19f7e', '5e4d95da5daa486cb814c042cb5096da', 'default', NULL,
        '2024-06-05 19:36:50', '16', '2023-11-10 11:36:50', '16', '2023-11-10 11:36:50', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2698, 16, 1, '93a3547deb624a4fb56f6e6788075502', 'fa2f52c9f76c4b2c9673cb8ffb927706', 'default', NULL,
        '2024-06-05 19:36:50', '16', '2023-11-10 11:36:50', '16', '2023-11-10 11:36:50', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2699, 16, 1, 'd9c7f72a6bc545e380a9a0b78e04be64', '0ac76ec8c8ae4c719c3c80ea7751c741', 'default', NULL,
        '2024-06-05 19:36:51', '16', '2023-11-10 11:36:51', '16', '2023-11-10 11:36:51', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2700, 16, 1, 'a7c14aaa55ba432aa9a0b0e1e7013d72', 'aa841262511e4fcf9f52dffa3503b3bf', 'default', NULL,
        '2024-06-05 19:36:51', '16', '2023-11-10 11:36:51', '16', '2023-11-10 11:36:51', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2701, 16, 1, 'a547515ef37749f5bbd9c19ab9b7cbfe', '93b5422dde7446e8abe91a0391b65976', 'default', NULL,
        '2024-06-05 19:36:54', '16', '2023-11-10 11:36:54', '16', '2023-11-10 11:36:54', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2702, 16, 1, 'fbcd6490f1b446248edc2e0450eb7eee', '1f8bbf31eddb49a48548a1a2d38db6d3', 'default', NULL,
        '2024-06-05 19:38:02', '16', '2023-11-10 11:38:02', '16', '2023-11-10 11:38:02', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2703, 16, 1, '29f8ef386c0541448c32e1193054d761', '2a29dfe8f61c45e39b330299dae72648', 'default', NULL,
        '2024-06-05 19:38:02', '16', '2023-11-10 11:38:02', '16', '2023-11-10 11:38:02', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2704, 16, 1, 'b797bcc13fe64fc5b410a1e9a128f6da', '8703407079e6417aa95fdc3a94c256ca', 'default', NULL,
        '2024-06-05 19:38:03', '16', '2023-11-10 11:38:03', '16', '2023-11-10 11:38:03', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2705, 16, 1, 'c5f69be9a6d8447f8105524c340115ff', '3ca1d9e447f549e0a78a664d46915d5e', 'default', NULL,
        '2024-06-05 19:38:03', '16', '2023-11-10 11:38:03', '16', '2023-11-10 11:38:03', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2706, 16, 1, '2a4f87ba4f784fecbfe6a2dd87b3c972', '3ea369fd4a0846caae1ccd9e5057488b', 'default', NULL,
        '2024-06-05 19:38:03', '16', '2023-11-10 11:38:03', '16', '2023-11-10 11:38:03', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2707, 10, 1, '2cc187470d8d4dc6924e5942ad902b7a', '984613b77b294976a9b25dc6c1203ec5', 'default', NULL,
        '2024-06-05 19:38:59', NULL, '2023-11-10 11:38:59', NULL, '2023-11-10 11:38:59', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2708, 16, 1, '4859b4f4b5554c139cafd957186e49c3', '03075848d53445a6b85274b5ff2fd712', 'default', NULL,
        '2024-06-05 19:40:06', NULL, '2023-11-10 11:40:06', NULL, '2023-11-10 11:40:06', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2709, 16, 1, 'c837ad8cc15f446683affa9c935d575d', '894f4f61ed864d03a1b4efce2853c0ff', 'default', NULL,
        '2024-06-05 19:40:06', '16', '2023-11-10 11:40:06', '16', '2023-11-10 11:40:06', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2710, 16, 1, '294dc8f8ded943dab825f89581ea82fc', '3d4694fce6b54336820319bb2b9f2b5c', 'default', NULL,
        '2024-06-05 19:40:07', '16', '2023-11-10 11:40:07', '16', '2023-11-10 11:40:07', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2711, 10, 1, '02aba5d66c99408ba8698a452c40b589', '68ccae3b11f34bfc9c7d180278abc041', 'default', NULL,
        '2024-06-05 19:40:07', NULL, '2023-11-10 11:40:07', NULL, '2023-11-10 11:40:07', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2712, 16, 1, '9dd84f4bae1741ca916667ca559318d4', 'bff9447b97d14166be4836f85e34a0bb', 'default', NULL,
        '2024-06-05 19:40:07', '16', '2023-11-10 11:40:07', '16', '2023-11-10 11:40:07', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2713, 16, 1, 'd88456ce115d4587b74ab62a5b40a2b8', '50ba21c6d0b3451ebb4b364d4933771b', 'default', NULL,
        '2024-06-05 19:40:07', '16', '2023-11-10 11:40:07', '16', '2023-11-10 11:40:07', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2714, 10, 1, '4fb6c4c839bd4ed6a3c133ff005599de', '82b152c9e52642218864cf5a7c5ef5c5', 'default', NULL,
        '2024-06-05 19:40:09', '10', '2023-11-10 11:40:09', '10', '2023-11-10 11:40:09', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2715, 10, 1, '92f5df7ccb604c349796518268ef0568', 'cb0406f10f8b4bccbb2c55e7891e670a', 'default', NULL,
        '2024-06-05 19:40:09', '10', '2023-11-10 11:40:09', '10', '2023-11-10 11:40:09', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2716, 10, 1, 'cf5d257ef72c4cb5aae34977f5369408', '0a6da05102b64271ac083afc9ec30bb4', 'default', NULL,
        '2024-06-05 19:40:20', '10', '2023-11-10 11:40:20', '10', '2023-11-10 11:40:20', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2717, 11, 1, '95a52a83157b46fa8501d475f662a77e', 'd45ceb98ac144f4ea70b741d885b4d12', 'default', NULL,
        '2024-06-05 19:40:44', NULL, '2023-11-10 11:40:44', NULL, '2023-11-10 11:40:44', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2718, 11, 1, '56b8767d7f6d4da8a09aaa74583a9033', 'c08b5164790c47f6a5fd399e60d07186', 'default', NULL,
        '2024-06-05 19:40:47', '11', '2023-11-10 11:40:47', '11', '2023-11-10 11:40:47', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2719, 11, 1, '52a2264cab3f4dbc8d4a0ed5b1107cf0', 'a56bef3380574b03860bedb6361dd239', 'default', NULL,
        '2024-06-05 19:41:04', '11', '2023-11-10 11:41:04', '11', '2023-11-10 11:41:04', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2720, 11, 1, '4c30da1e8cdc450a908a55cea6de4b2d', '4b954fb8827a4eb987ead0d6d32b5923', 'default', NULL,
        '2024-06-05 19:41:08', '11', '2023-11-10 11:41:08', '11', '2023-11-10 11:41:08', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2721, 11, 1, '554a1c73eea943b88b92e2b7949dc0d8', 'ca57c5cf69394021b68a3d47bff3e754', 'default', NULL,
        '2024-06-05 19:41:12', '11', '2023-11-10 11:41:12', '11', '2023-11-10 11:41:12', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2722, 10, 1, '8186dcc70a2244fc885026e0ccab68a7', 'ffc034cfbe9a4024b4aa6d82130042e2', 'default', NULL,
        '2024-06-05 19:41:40', NULL, '2023-11-10 11:41:40', NULL, '2023-11-10 11:41:40', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2723, 11, 1, 'fda292cba56a4045af03801ec8cc07f6', '38912076f37245278505dfc9a4ae4ac1', 'default', NULL,
        '2024-06-05 19:41:44', '11', '2023-11-10 11:41:44', '11', '2023-11-10 11:41:44', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2724, 11, 1, '06a797c349e0494c8d0dfb7fbd96b026', 'd747d4287b3046f0a9ac035cdb03f040', 'default', NULL,
        '2024-06-05 19:41:48', '11', '2023-11-10 11:41:48', '11', '2023-11-10 11:41:48', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2725, 15, 1, '0a93df7ba2b64640920c89f320513d8f', 'df7cec7ccaee4bde8feebba30a8212c8', 'default', NULL,
        '2024-06-05 20:11:23', NULL, '2023-11-10 12:11:23', NULL, '2023-11-10 12:11:23', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2726, 15, 1, '388197c167e04a59b4a503fe0c9c8520', '6aea780be0f040ac941f8f2e5f89616d', 'default', NULL,
        '2024-06-05 20:12:15', '15', '2023-11-10 12:12:15', '15', '2023-11-10 12:12:15', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2727, 16, 1, 'f2dcb6308745489191e67113422fadf2', 'e35d428ce86e476da58948a228a24beb', 'default', NULL,
        '2024-06-05 20:14:17', NULL, '2023-11-10 12:14:17', NULL, '2023-11-10 12:14:17', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2728, 10, 1, 'c81ec2e901f144dabe482d52b1657ed3', '73262878f6494b47acdb5c8f498a5c95', 'default', NULL,
        '2024-06-05 20:19:40', NULL, '2023-11-10 12:19:40', NULL, '2023-11-10 12:19:40', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2729, 10, 1, 'b816a2b974ef49d3a754ba8099cdf09b', '0109b0ca2e53493390e5f5a204a3a10f', 'default', NULL,
        '2024-06-05 20:20:00', '10', '2023-11-10 12:20:00', '10', '2023-11-10 12:20:00', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2730, 10, 1, 'f29819524e33424e9e8355291d228878', 'a78a26b78bd849ac903d2fb71a978a8e', 'default', NULL,
        '2024-06-05 22:08:05', NULL, '2023-11-10 14:08:05', NULL, '2023-11-10 14:08:05', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2731, 16, 1, 'bb512bed4f5042cb959927f32c7403b6', '5fe4797db4a74081b988962b3d81c449', 'default', NULL,
        '2024-06-05 22:13:55', NULL, '2023-11-10 14:13:55', NULL, '2023-11-10 14:13:55', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2732, 15, 1, 'a2512dfc33d14784808fe521ba4d70c0', '6c74503703704176ba61708431d97692', 'default', NULL,
        '2024-06-05 22:46:49', NULL, '2023-11-10 14:46:49', NULL, '2023-11-10 14:46:49', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2733, 15, 1, '11bef5c4c385490bb13da7f26777f83c', 'b18996c47c6c4f4c8e9ec18c2a729521', 'default', NULL,
        '2024-06-05 22:46:51', '15', '2023-11-10 14:46:51', '15', '2023-11-10 14:46:51', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2734, 15, 1, 'e678acb5dc4048c3add886cd3188280f', '74d8f34f35b14e23bcae1b2361ce7a3a', 'default', NULL,
        '2024-06-05 22:48:19', NULL, '2023-11-10 14:48:19', NULL, '2023-11-10 14:48:19', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2735, 15, 1, '6c135ce7e8914d768e12fa7d5ec7e6ef', '432124514fc44cf0a971afc98cc49894', 'default', NULL,
        '2024-06-05 23:15:15', NULL, '2023-11-10 15:15:15', NULL, '2023-11-10 15:15:15', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2736, 15, 1, 'f3ac90ef53b94ebca3ba901f0b52bf00', '762c777114c8464a90911da91da28898', 'default', NULL,
        '2024-06-05 23:15:19', '15', '2023-11-10 15:15:19', '15', '2023-11-10 15:15:19', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2737, 25, 1, '4292a834a567483a8c4f4f03fad1d2dc', 'b045fb6a51c148e495074d1d25fb2764', 'default', NULL,
        '2024-06-06 00:06:54', NULL, '2023-11-10 16:06:54', NULL, '2023-11-10 16:06:54', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2738, 15, 1, 'b305bda7343e4715810ed3a05323df9c', 'c744ecf8995949f4a767e517ca22b2ad', 'default', NULL,
        '2024-06-06 00:29:51', NULL, '2023-11-10 16:29:51', NULL, '2023-11-10 16:29:51', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2739, 15, 1, 'c7c56cdd2bf444018d3a1b0a9b441329', '3b2c256de91c4eeda78fae03b4481f3c', 'default', NULL,
        '2024-06-06 00:30:00', '15', '2023-11-10 16:30:00', '15', '2023-11-10 16:30:00', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2740, 15, 1, '4bc47cd718d840c7ab22c0b349bf83a0', 'dcf73abf2a594f1981c19e40b43099f0', 'default', NULL,
        '2024-06-06 00:30:44', NULL, '2023-11-10 16:30:44', NULL, '2023-11-10 16:30:44', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2741, 15, 1, 'de92b779cbdc412b9e998ebb55318666', '2ba8516f894c4f93b49ab8c9829e1dd7', 'default', NULL,
        '2024-06-06 00:32:00', NULL, '2023-11-10 16:32:00', NULL, '2023-11-10 16:32:00', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2742, 15, 1, '4583baa6488a42079a5c1325c2a5b038', '65e0308b59ca43189c2c5501dda23ad9', 'default', NULL,
        '2024-06-06 00:33:37', NULL, '2023-11-10 16:33:37', NULL, '2023-11-10 16:33:37', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2743, 15, 1, 'b7a55e1ff5924b1e897ead11954fc79d', '1ccb1e85a15d419692d377c9b1b133a9', 'default', NULL,
        '2024-06-06 00:34:30', '15', '2023-11-10 16:34:30', '15', '2023-11-10 16:34:30', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2744, 15, 1, '28b90697eddc47f397daa0fc71e58e06', '0b8fdc54dead48fe8233236385af5c49', 'default', NULL,
        '2024-06-06 00:35:10', NULL, '2023-11-10 16:35:10', NULL, '2023-11-10 16:35:10', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2745, 11, 1, 'd2a938e0341442849ac553e0f4918c10', 'e2bfd99151664629bfa90c35698c355f', 'default', NULL,
        '2024-06-06 01:12:48', NULL, '2023-11-10 17:12:48', NULL, '2023-11-10 17:12:48', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2746, 16, 1, '21f3920362874fbcb5742e7d6f8935e3', '8d6b48383b85438aa7dd6fef51acbe03', 'default', NULL,
        '2024-06-06 01:22:03', NULL, '2023-11-10 17:22:03', NULL, '2023-11-10 17:22:03', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2747, 11, 1, '00944fb74b5d4e8fb21d44bb1cbbe7a9', '68d7c6fc1c114438b6110ee05f80f921', 'default', NULL,
        '2024-06-06 01:50:09', NULL, '2023-11-10 17:50:09', NULL, '2023-11-10 17:50:09', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2748, 7, 1, 'a21c6a623859492699a047f09930743c', 'cbfd4be9d11d436791c4cdafef4162fb', 'default', NULL,
        '2024-06-06 01:53:55', NULL, '2023-11-10 17:53:55', NULL, '2023-11-10 17:53:55', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2749, 7, 1, '993e4b5d651543f1bac2bcd011cb36d3', 'cb0869f2ada1476bb978b62317fee743', 'default', NULL,
        '2024-06-06 01:54:59', '7', '2023-11-10 17:54:59', '7', '2023-11-10 17:54:59', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2750, 16, 1, '29302fbf760a4e53b8330957649b857e', '7bf5b58b4f1e428d890f8b0090965010', 'default', NULL,
        '2024-06-06 02:02:28', NULL, '2023-11-10 18:02:28', NULL, '2023-11-10 18:02:28', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2751, 7, 1, 'fc91577be82045a1807719fcd5c5524f', 'cba51659cc77467486602be4be42a429', 'default', NULL,
        '2024-06-06 02:06:10', NULL, '2023-11-10 18:06:10', NULL, '2023-11-10 18:06:10', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2752, 11, 1, 'ff72068ad90d452e89e347bfc7977e6f', '222ff61ba04e442cb353fade0b6ad316', 'default', NULL,
        '2024-06-06 02:13:54', NULL, '2023-11-10 18:13:54', NULL, '2023-11-10 18:13:54', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2753, 16, 1, 'e7029a1960584c0bb0b16d2097396399', '9c09eefceef84d5794eeac662e79b905', 'default', NULL,
        '2024-06-06 02:14:43', NULL, '2023-11-10 18:14:43', NULL, '2023-11-10 18:14:43', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2754, 7, 1, '40bbbe3cef61448883fd1efc03929cc2', '3e1061d236d5495287887e27dc835436', 'default', NULL,
        '2024-06-06 02:22:46', NULL, '2023-11-10 18:22:46', NULL, '2023-11-10 18:22:46', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2755, 7, 1, 'c59761d1baf34c7194e9400bc7c103a6', 'ff439febcb5846cc9f5808512ac7e658', 'default', NULL,
        '2024-06-06 02:27:37', NULL, '2023-11-10 18:27:37', NULL, '2023-11-10 18:27:37', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2756, 17, 1, '68fc2ee8a9f142d0820f86df6dbbd25a', '58b4507adcf34abe8da3cd8f2c98149e', 'default', NULL,
        '2024-06-06 02:30:09', NULL, '2023-11-10 18:30:09', NULL, '2023-11-10 18:30:09', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2757, 19, 1, '77205988ec644a0580fcae06f1b18e5d', '107d12bd240c4540b0b0e95e54871fef', 'default', NULL,
        '2024-06-06 02:35:27', NULL, '2023-11-10 18:35:27', NULL, '2023-11-10 18:35:27', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2758, 16, 1, 'b65d96dd78284f829274a0164bce8058', 'ed342de644e74dfc91b5aed51c52ef84', 'default', NULL,
        '2024-06-06 02:42:29', NULL, '2023-11-10 18:42:29', NULL, '2023-11-10 18:42:29', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2759, 18, 1, 'b9f609d85343432390a28374486690e6', '4605fa00b1064ec594692ab34f2cdd8f', 'default', NULL,
        '2024-06-06 02:43:19', NULL, '2023-11-10 18:43:19', NULL, '2023-11-10 18:43:19', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2760, 16, 1, 'dc2e92338dd64d74951d1c840987d653', 'c3d7b67d3fe64b03b8e4355fe2ed69b7', 'default', NULL,
        '2024-06-06 02:46:40', NULL, '2023-11-10 18:46:40', NULL, '2023-11-10 18:46:40', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2761, 10, 1, 'c42e00e882c6489198e49d439c5f1631', '40f4c15d0cf8453391b68614cf68ebb1', 'default', NULL,
        '2024-06-08 17:56:41', NULL, '2023-11-13 09:56:41', NULL, '2023-11-13 09:56:41', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2762, 19, 1, 'd6f80b03d5af475aad89b9bfb4514059', 'c246669c8d5e454d9d41976a571f0348', 'default', NULL,
        '2024-06-08 18:07:56', NULL, '2023-11-13 10:07:56', NULL, '2023-11-13 10:07:56', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2763, 9, 1, '53ac1d7fe6074e5e931438ea69db79d3', 'fdc50049abdc49409c09b820d18dc7f3', 'default', NULL,
        '2024-06-08 18:35:33', NULL, '2023-11-13 10:35:33', NULL, '2023-11-13 10:35:33', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2764, 19, 1, 'b44f06b0b7574873b44b4e9371d15f16', '2f98ada2ede74195be162731f9492ee6', 'default', NULL,
        '2024-06-08 19:09:32', NULL, '2023-11-13 11:09:32', NULL, '2023-11-13 11:09:32', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2765, 1, 2, 'f2a3bdfd13224a47ac059d92f16bab83', 'ceab35b8676e4d36897c6cc7c6e1e257', 'default', NULL,
        '2024-06-08 19:17:58', NULL, '2023-11-13 11:17:58', NULL, '2023-11-13 11:17:58', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2766, 9, 1, 'bf5d6ad66ab04494a238deccfc4713eb', '5074e8f1515b4b58a983e080f1052f49', 'default', NULL,
        '2024-06-08 22:01:56', NULL, '2023-11-13 14:01:56', NULL, '2023-11-13 14:01:56', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2767, 1, 2, 'e09d2f47134a40e782c7b6275009649e', 'ac97488125214087baf23001a68c02fe', 'default', NULL,
        '2024-06-08 23:08:21', NULL, '2023-11-13 15:08:21', NULL, '2023-11-13 15:08:21', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2768, 1, 2, '8c35656514154f46be53ddc8603bc2fe', 'c4bfe60cc6c14b25b266abe36388e417', 'default', NULL,
        '2024-06-08 23:12:09', NULL, '2023-11-13 15:12:09', NULL, '2023-11-13 15:12:09', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2769, 1, 2, 'd2563e74c3e94734b9bca68dc0b4d1b6', 'c56bf43b529d45acadb7affce5003164', 'default', NULL,
        '2024-06-08 23:21:46', NULL, '2023-11-13 15:21:46', NULL, '2023-11-13 15:21:46', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2770, 18, 1, '56977a9a2a024cfaaae28f7ddb348c3c', '2d686d1d2e374af4b1e189d4df727c7b', 'default', NULL,
        '2024-06-08 23:36:27', NULL, '2023-11-13 15:36:27', NULL, '2023-11-13 15:36:27', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2771, 16, 1, 'eb8419465c7d4fb0baad8acb9234a042', 'd0ce734b1dea4f478b3746d2c2c9bd95', 'default', NULL,
        '2024-06-08 23:44:20', NULL, '2023-11-13 15:44:20', NULL, '2023-11-13 15:44:20', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2772, 11, 1, '32c25d550c414e8c94768dca2493852d', '41c16ca0e7ae4d5caf67527e2ad5754c', 'default', NULL,
        '2024-06-09 00:10:05', NULL, '2023-11-13 16:10:05', NULL, '2023-11-13 16:10:05', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2773, 18, 1, 'adb0b8d579084c8e8b9b14643f461b04', '4b8739615cf64d9da04a3b0466ed9360', 'default', NULL,
        '2024-06-09 00:19:57', NULL, '2023-11-13 16:19:57', NULL, '2023-11-13 16:19:57', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2774, 11, 1, 'b9652dd95468483f928bcf00a63a2554', 'd3f8fd564b924326b55156f7b8cf39c8', 'default', NULL,
        '2024-06-09 00:38:56', NULL, '2023-11-13 16:38:56', NULL, '2023-11-13 16:38:56', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2775, 1, 2, '337f901cf3ad45e49bfb21b5cc245fb3', '2d357f8ba310493c9744d9fcbd7c0df6', 'default', NULL,
        '2024-06-09 01:03:11', NULL, '2023-11-13 17:03:11', NULL, '2023-11-13 17:03:11', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2776, 11, 1, 'ef28c3c1595b4009a62bc1803694d464', 'ec5aaa4ad4d7433f82cfb3fa447e0468', 'default', NULL,
        '2024-06-09 01:04:06', '11', '2023-11-13 17:04:06', '11', '2023-11-13 17:04:06', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2777, 7, 1, '977a27a12f4647efae2f6d1031d9240d', '09ec6a85e41b498cb3d577aaf417b488', 'default', NULL,
        '2024-06-09 01:04:48', NULL, '2023-11-13 17:04:48', NULL, '2023-11-13 17:04:48', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2778, 10, 1, '0c7d43c84a1f460eb96c2b24a5886753', 'd33b92d871ae460da16994184780a91b', 'default', NULL,
        '2024-06-09 01:13:28', NULL, '2023-11-13 17:13:28', NULL, '2023-11-13 17:13:28', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2779, 18, 1, '3b77189bcc114b43ba77e3d2d1c34596', 'dd980b21fa264dfda02b52f117c390bf', 'default', NULL,
        '2024-06-09 02:48:46', NULL, '2023-11-13 18:48:46', NULL, '2023-11-13 18:48:46', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2780, 16, 1, '3051699de41a4deba56837ef56ced57e', 'adcf2cb1adf4486a9a352ed97a50b134', 'default', NULL,
        '2024-06-09 03:50:18', NULL, '2023-11-13 19:50:18', NULL, '2023-11-13 19:50:18', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2781, 26, 1, 'efbc03086b944821b5630f15a2a1e27b', 'ff00a31d675948f9b337488371fe7b56', 'default', NULL,
        '2024-06-09 04:02:16', NULL, '2023-11-13 20:02:16', NULL, '2023-11-13 20:02:16', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2782, 16, 1, '75405c2ed8684972aebeeaee33c279c0', 'a1bc84d3889d4d73b7270a79c95b9f66', 'default', NULL,
        '2024-06-09 04:54:53', NULL, '2023-11-13 20:54:53', NULL, '2023-11-13 20:54:53', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2783, 18, 1, '78d7a717456b49809897fa5b526923f6', '222d378a0b314192a1475b5114d822a5', 'default', NULL,
        '2024-06-09 04:56:18', NULL, '2023-11-13 20:56:18', NULL, '2023-11-13 20:56:18', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2784, 27, 1, '5dda12f06efa4398b505ad05a6467caa', 'bccaff977c4446918d9d57cf4d6df454', 'default', NULL,
        '2024-06-09 04:56:31', NULL, '2023-11-13 20:56:31', NULL, '2023-11-13 20:56:31', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2785, 11, 1, 'b9aef05e99ea47a4a6236b0bba2d44d8', 'e1f4757715d741aeb17e990ac9997a29', 'default', NULL,
        '2024-06-09 04:56:57', NULL, '2023-11-13 20:56:57', NULL, '2023-11-13 20:56:57', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2786, 28, 1, '66bc2bc5d8da4eefbd79d689042facad', 'edd1f19d99ef4751a55a7f71bc777c8a', 'default', NULL,
        '2024-06-09 05:07:34', NULL, '2023-11-13 21:07:34', NULL, '2023-11-13 21:07:34', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2787, 1, 2, '7859f19123a845d58c10c0dbea3b6f29', '2a0c4c31351e4bb995c9577793eb3844', 'default', NULL,
        '2024-06-09 05:13:00', NULL, '2023-11-13 21:13:00', NULL, '2023-11-13 21:13:00', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2788, 10, 1, 'ed24f4b3112a4cc8af6b12f4d67e738c', '176c1a6935df46dda76d98671387a6ac', 'default', NULL,
        '2024-06-09 05:15:41', NULL, '2023-11-13 21:15:41', NULL, '2023-11-13 21:15:41', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2789, 11, 1, '4e1c0821dda1450690916c74ef55e852', 'eee4f2e7540a4cbfb112b8036693dd63', 'default', NULL,
        '2024-06-09 05:24:47', '11', '2023-11-13 21:24:47', '11', '2023-11-13 21:24:47', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2790, 11, 1, '40812ac124c24940b7ff65b568351741', '3b4cb91c51794a5bbfe9bfa43e046995', 'default', NULL,
        '2024-06-09 05:42:56', NULL, '2023-11-13 21:42:56', NULL, '2023-11-13 21:42:56', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2791, 10, 1, 'baf8ea0e6d3a49169e01a3b98b7271fe', 'e665761310864da19847f6ecaccbbd00', 'default', NULL,
        '2024-06-09 05:56:55', NULL, '2023-11-13 21:56:55', NULL, '2023-11-13 21:56:55', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2792, 11, 1, '443ee29e1c124b75bdadbfa00792873b', '4df90ea93f4e4b8ab2c1d38208d288fa', 'default', NULL,
        '2024-06-09 06:13:27', NULL, '2023-11-13 22:13:27', NULL, '2023-11-13 22:13:27', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2793, 16, 1, 'd7c03d88b4404988befa4f8c8850464c', '7fc1feeae94d4b10b96d136575d77f00', 'default', NULL,
        '2024-06-09 06:27:37', NULL, '2023-11-13 22:27:37', NULL, '2023-11-13 22:27:37', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2794, 19, 1, '099e50508d074036bd78f29e9a358534', 'e5576cda260c4028a87b5cbc403fb3b5', 'default', NULL,
        '2024-06-09 06:32:28', NULL, '2023-11-13 22:32:28', NULL, '2023-11-13 22:32:28', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2795, 7, 1, 'aaddd2e8815340e9881f80446036d592', '6ba5866f46524ed69f5c17daa8f0269e', 'default', NULL,
        '2024-06-09 06:34:11', NULL, '2023-11-13 22:34:11', NULL, '2023-11-13 22:34:11', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2796, 7, 1, '032e192665ff47af999c8eebe4586f06', 'c267f6e63f2f4dc3a08451d7e5807760', 'default', NULL,
        '2024-06-09 06:35:22', NULL, '2023-11-13 22:35:22', NULL, '2023-11-13 22:35:22', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2797, 19, 1, '6d55d1353ac4439a8da216b159c2ae14', '97979c83abb94293b2c1006b4ca50fd4', 'default', NULL,
        '2024-06-09 06:36:47', NULL, '2023-11-13 22:36:47', NULL, '2023-11-13 22:36:47', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2798, 7, 1, 'f4d85b4593e443e6ad04ef7eed93282c', 'fbf6c0092af44eefb3bb987cb97167f5', 'default', NULL,
        '2024-06-09 06:37:15', NULL, '2023-11-13 22:37:15', NULL, '2023-11-13 22:37:15', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2799, 11, 1, '5085de478e56444a9951d86203ab9a32', '88afbc8592014a8b9c11388f1a0292ab', 'default', NULL,
        '2024-06-09 07:01:05', NULL, '2023-11-13 23:01:05', NULL, '2023-11-13 23:01:05', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2800, 11, 1, 'f32f4444a7684d7bb7ffc945be9f0771', '400d64ef7af047e3a78ba3c70b269028', 'default', NULL,
        '2024-06-09 07:13:52', NULL, '2023-11-13 23:13:52', NULL, '2023-11-13 23:13:52', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2801, 1, 2, '73cd257517e64511ad16d15462ae3cb6', '94d445298fb54d5392571390972d949a', 'default', NULL,
        '2024-06-09 07:17:23', NULL, '2023-11-13 23:17:23', NULL, '2023-11-15 19:02:31', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2802, 1, 2, '40be5cc5ad2d4156b2857f0b330fffd6', '119710991020425591db95c2e176d3a5', 'default', NULL,
        '2024-06-09 07:17:53', NULL, '2023-11-13 23:17:53', NULL, '2023-11-14 14:27:01', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2803, 16, 1, '23aef5fc5bd84e909d786901aace674f', '1227a09828104bc0862c36812c1cdf67', 'default', NULL,
        '2024-06-09 07:24:51', NULL, '2023-11-13 23:24:51', NULL, '2023-11-13 23:24:51', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2804, 7, 1, '4e1b5fa964dc40358f5118c751a5bd43', 'af2d20c0b590434f8261dab0e3a96f67', 'default', NULL,
        '2024-06-09 07:42:34', NULL, '2023-11-13 23:42:34', NULL, '2023-11-13 23:42:34', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2805, 11, 1, '28512909fbca4908877e0dce4d851612', 'eb1b315ddad74423afece1f7da935e4d', 'default', NULL,
        '2024-06-09 07:46:15', NULL, '2023-11-13 23:46:15', NULL, '2023-11-13 23:46:15', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2806, 16, 1, 'fd6ec1df7a8a438db61f7444e1f1374d', '804ecc76a6934f4e815e7ef847d010ea', 'default', NULL,
        '2024-06-09 08:10:24', NULL, '2023-11-14 00:10:24', NULL, '2023-11-14 00:10:24', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2807, 18, 1, '44769d2826464d468768424968ac7681', '5b2b2e8a39a64a6f8333fc53b572b788', 'default', NULL,
        '2024-06-09 08:33:51', NULL, '2023-11-14 00:33:51', NULL, '2023-11-14 00:33:51', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2808, 9, 1, '23dc35d1b1b44b02b31fc056859c3939', '94f99bc7187f4f439e54bc45194ede3a', 'default', NULL,
        '2024-06-09 08:40:28', NULL, '2023-11-14 00:40:28', NULL, '2023-11-14 00:40:28', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2809, 7, 1, '47791bd35dce44c1a4ab09375b869256', '6161427445ca461fb0603f199ab86b6e', 'default', NULL,
        '2024-06-09 08:59:10', NULL, '2023-11-14 00:59:10', NULL, '2023-11-14 00:59:10', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2810, 1, 2, 'c76c3410ef344ca09be918eb69612068', 'c15d8e0a45d144398d335ea2967b0e98', 'default', NULL,
        '2024-06-09 09:12:36', NULL, '2023-11-14 01:12:36', NULL, '2023-11-14 01:12:36', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2811, 18, 1, 'e6712122cee343b19745c7f3e18c9e6b', '66f2e2582b9d4918a2c3e996325ca82c', 'default', NULL,
        '2024-06-09 09:32:46', NULL, '2023-11-14 01:32:46', NULL, '2023-11-14 01:32:46', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2812, 29, 1, 'fe852dd255b44877b5832b611f2e2ac6', '68bbc1e25e694e998477671186955110', 'default', NULL,
        '2024-06-09 09:45:43', NULL, '2023-11-14 01:45:43', NULL, '2023-11-14 01:45:43', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2813, 16, 1, '648017391a404ee8abde2397af9489c5', 'da8c714e374a4b4a8af0a347b283e170', 'default', NULL,
        '2024-06-09 09:47:09', NULL, '2023-11-14 01:47:09', NULL, '2023-11-14 01:47:09', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2814, 7, 1, '4d87c04377ee420d97b77b6c56831ab9', '2222616074be4616a1ef306a76d87ab3', 'default', NULL,
        '2024-06-09 10:50:41', NULL, '2023-11-14 02:50:41', NULL, '2023-11-14 02:50:41', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2815, 19, 1, 'b7cb375961c94a74bb6af35f00eb48ea', '1ef2dd8652ce4efda869993d08b8eb67', 'default', NULL,
        '2024-06-09 18:49:05', NULL, '2023-11-14 10:49:05', NULL, '2023-11-14 10:49:05', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2816, 7, 1, '89b69cf3661b42f888df6b4dca16faa0', '251bd5df74ca4f1aacc64e8cb81583ca', 'default', NULL,
        '2024-06-09 22:11:00', '7', '2023-11-14 14:11:00', '7', '2023-11-14 14:11:00', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2817, 18, 1, 'a0e13efd66254e6a82662a48a0ede9f5', '214073f44af6425d9dcd3337f0790c13', 'default', NULL,
        '2024-06-09 22:16:37', '18', '2023-11-14 14:16:37', '18', '2023-11-14 14:16:37', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2818, 15, 1, 'a201fd541b5c4cd2bdf05b19881bf6d5', 'cc84616768124ad4855d47f72254d23f', 'default', NULL,
        '2024-06-09 22:17:46', '15', '2023-11-14 14:17:46', '15', '2023-11-14 14:17:46', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2819, 16, 1, 'd1687e24d99f4c85a229711998c6f61b', '341d9a77db0e48b9a557b58154d92b99', 'default', NULL,
        '2024-06-09 22:21:36', NULL, '2023-11-14 14:21:36', NULL, '2023-11-14 14:21:36', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2820, 30, 1, '848f43f8ee7b419aa99535ab0a806311', '65417382597e42fcbafedd74a009079a', 'default', NULL,
        '2024-06-09 22:24:34', NULL, '2023-11-14 14:24:34', NULL, '2023-11-14 14:24:34', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2821, 31, 1, 'd3be5f35cce24f27929b19e3e149aba5', '695c06f165de44b98359471a665064bf', 'default', NULL,
        '2024-06-09 22:25:04', NULL, '2023-11-14 14:25:04', NULL, '2023-11-14 14:25:04', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2822, 1, 2, '2a6425521cec497e80d38e2fa3ebaada', 'd0452a1ac9fa4862b8a27c78763088aa', 'default', NULL,
        '2024-06-09 22:27:08', NULL, '2023-11-14 14:27:08', NULL, '2023-11-22 19:01:02', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2823, 16, 1, '80240cafb046427dacdd3571c876766c', '5f7729b15e5d4645905acf52a36dbb12', 'default', NULL,
        '2024-06-09 22:27:25', NULL, '2023-11-14 14:27:25', NULL, '2023-11-14 14:27:25', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2824, 16, 1, '619e4e0ea1364390893aa3b6bf22d1d0', '2ec85ae07927427e995df45c993a340e', 'default', NULL,
        '2024-06-09 22:29:09', NULL, '2023-11-14 14:29:09', NULL, '2023-11-14 14:29:09', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2825, 16, 1, '7917d1ebeab84b45bb400431b396d40c', 'bf8df307fae848729333d9ccc5a009a1', 'default', NULL,
        '2024-06-09 22:30:30', NULL, '2023-11-14 14:30:30', NULL, '2023-11-14 14:30:30', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2826, 15, 1, '21d7ea83462545e39d385d53207db0cb', '90fb526c87e04b98ab23e6a7f999564a', 'default', NULL,
        '2024-06-09 22:33:19', NULL, '2023-11-14 14:33:19', NULL, '2023-11-14 14:33:19', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2827, 19, 1, '599d9a5ccd4d4d628ada5991c4a1cbd3', '364cf327272647e5be3d71ba5ea618e0', 'default', NULL,
        '2024-06-09 22:34:05', NULL, '2023-11-14 14:34:05', NULL, '2023-11-14 14:34:05', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2828, 18, 1, '2d9cbc9e5cf3488dba6e3aa512477f25', '17b3159a611a44b5b76fb202c7c267fd', 'default', NULL,
        '2024-06-09 22:41:45', NULL, '2023-11-14 14:41:45', NULL, '2023-11-14 14:41:45', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2829, 18, 1, 'a7075ffa920d4ecb9b86eb3f2171d39d', '6be3f87fef5c438eba99aec569bbd32e', 'default', NULL,
        '2024-06-09 23:11:21', NULL, '2023-11-14 15:11:21', NULL, '2023-11-14 15:11:21', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2830, 10, 1, '8d50a33d6eac46678133d412e804dbdb', 'b3bbe7782f74486c9cb0438e2c81e662', 'default', NULL,
        '2024-06-09 23:33:29', NULL, '2023-11-14 15:33:29', NULL, '2023-11-14 15:33:29', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2831, 1, 2, '4f8c9f9ec59946c299839810623f68cf', '5d7fa122e02d467fbcb415d9510a891b', 'default', NULL,
        '2024-06-09 23:34:32', NULL, '2023-11-14 15:34:32', NULL, '2023-11-14 15:34:32', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2832, 16, 1, 'eb34b5c666b041b28b5452ccd1208d56', '8982ff926284405ab9000bc0536a8ab5', 'default', NULL,
        '2024-06-09 23:36:22', NULL, '2023-11-14 15:36:22', NULL, '2023-11-14 15:36:22', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2833, 18, 1, 'd2279d84fef64e518723b4972f12025e', '30799feee5594dab90ffb0411ee60d1f', 'default', NULL,
        '2024-06-09 23:37:06', NULL, '2023-11-14 15:37:06', NULL, '2023-11-14 15:37:06', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2834, 16, 1, '4f68adc36a7c473d9e93f332f3559244', '238a6b1085f24c7985ecbfb58ebd4682', 'default', NULL,
        '2024-06-09 23:41:05', NULL, '2023-11-14 15:41:05', NULL, '2023-11-14 15:41:05', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2835, 18, 1, '610847c5bc7244388b716776db4f6b74', '1ce21d72b57b4aefb08658c7c62b1029', 'default', NULL,
        '2024-06-09 23:45:21', NULL, '2023-11-14 15:45:21', NULL, '2023-11-14 15:45:21', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2836, 17, 1, 'a5d28a40d27a4f44a3687102ea5cf2fd', '03c4744332cf43229b1ad0fed279c203', 'default', NULL,
        '2024-06-09 23:45:48', NULL, '2023-11-14 15:45:48', NULL, '2023-11-14 15:45:48', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2837, 11, 1, 'be92d7db4c3d441ba58028183abbec13', '10bc981b636d45ad9d47a41617643d82', 'default', NULL,
        '2024-06-09 23:47:08', NULL, '2023-11-14 15:47:08', NULL, '2023-11-14 15:47:08', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2838, 9, 1, '4cc5bae6971641fa949effce345bd646', '18c4e0c05a2f403dba536bb6a01ee206', 'default', NULL,
        '2024-06-09 23:52:31', NULL, '2023-11-14 15:52:31', NULL, '2023-11-14 15:52:31', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2839, 18, 1, 'f048177f97224d35a0a7746f852fa289', '043cbe65c77a40bdbbe41a2be0e882ce', 'default', NULL,
        '2024-06-09 23:59:01', NULL, '2023-11-14 15:59:01', NULL, '2023-11-14 15:59:01', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2840, 7, 1, 'a34f9e9c2333476eaf43016180a1c242', 'fed604c10b5548b3823a124181a5e603', 'default', NULL,
        '2024-06-10 00:27:18', NULL, '2023-11-14 16:27:18', NULL, '2023-11-14 16:27:18', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2841, 11, 1, '31fad3811cdb4166ab90cd28e311adc4', '3aabacae5d6345c9ad7037e9e616c957', 'default', NULL,
        '2024-06-10 00:40:19', NULL, '2023-11-14 16:40:19', NULL, '2023-11-14 16:40:19', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2842, 9, 1, 'bc8ec8ddbbe6411a9f9f273627d2f437', 'eb2832d74c244db8b4371e9ae0b6704d', 'default', NULL,
        '2024-06-10 00:50:19', '9', '2023-11-14 16:50:19', '9', '2023-11-14 16:50:19', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2843, 16, 1, '0c783753e61f4f2ab4c698508cae5637', '5afff15f6dca4de3b3cdd22324ad2ac2', 'default', NULL,
        '2024-06-10 01:08:49', NULL, '2023-11-14 17:08:49', NULL, '2023-11-14 17:08:49', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2844, 7, 1, 'b69fb806cb054b86877f169f2cea116a', 'b130469dfdd74bd3967e9c96ffda4be9', 'default', NULL,
        '2024-06-10 01:14:56', NULL, '2023-11-14 17:14:56', NULL, '2023-11-14 17:14:56', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2845, 18, 1, 'b1c3df3f460f45219cc1d5657d730c2c', '289f13f4e1574157a0edb6e7fb36f599', 'default', NULL,
        '2024-06-10 01:24:33', NULL, '2023-11-14 17:24:33', NULL, '2023-11-14 17:24:33', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2846, 15, 1, 'f439a07cc7d14918909b9676db9b9216', 'c11d981235304d1fbc2ba5cb1dc093ea', 'default', NULL,
        '2024-06-10 01:35:44', NULL, '2023-11-14 17:35:44', NULL, '2023-11-14 17:35:44', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2847, 18, 1, 'b40f1e7d9ef447c79255316a6511106a', 'd14416443fb14db18c398d580a294434', 'default', NULL,
        '2024-06-10 01:54:26', NULL, '2023-11-14 17:54:26', NULL, '2023-11-14 17:54:26', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2848, 15, 1, '8c73ec15e1c24f4aad123feadaa2dbe1', '531a330be9a0490d8fc6d6a3d3654cd6', 'default', NULL,
        '2024-06-10 02:08:34', NULL, '2023-11-14 18:08:34', NULL, '2023-11-14 18:08:34', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2849, 15, 1, 'd90db10654784ef8be558fbd26ac818b', '562bc594563d4c318a16738a015a3559', 'default', NULL,
        '2024-06-10 02:18:12', NULL, '2023-11-14 18:18:12', NULL, '2023-11-14 18:18:12', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2850, 11, 1, '587e967aa019454cb7901c9e9f81db01', 'c70f1d7821db480c8afd47a27671883f', 'default', NULL,
        '2024-06-10 02:25:50', NULL, '2023-11-14 18:25:50', NULL, '2023-11-14 18:25:50', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2851, 15, 1, '7ce13d811bdd4a0e843e96307e9074ee', '9c8fe6ca95f143178afb0f6cc4c17462', 'default', NULL,
        '2024-06-10 02:51:30', '15', '2023-11-14 18:51:30', '15', '2023-11-14 18:51:30', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2852, 15, 1, '66c4166f3d1248c5b2ac550f2a5ea663', '48dec6344e2145d890ba3e63004bda2b', 'default', NULL,
        '2024-06-10 02:56:25', '15', '2023-11-14 18:56:25', '15', '2023-11-14 18:56:25', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2853, 7, 1, '48f74d562a15477eba2d848459e11cd8', 'b90d61c9ed49462995831696642f710b', 'default', NULL,
        '2024-06-10 03:41:55', NULL, '2023-11-14 19:41:55', NULL, '2023-11-14 19:41:55', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2854, 9, 1, 'c1277e2b379b45fdbf503e703ae6540b', '575674c68c7a403ca0f6b24c8443e69e', 'default', NULL,
        '2024-06-10 03:47:32', NULL, '2023-11-14 19:47:32', NULL, '2023-11-14 19:47:32', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2855, 16, 1, '763709b8842448f58116e792d7cd5093', '4162235f32ca4c3ab5db2af5cdb8dbb7', 'default', NULL,
        '2024-06-10 04:14:27', NULL, '2023-11-14 20:14:27', NULL, '2023-11-14 20:14:27', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2856, 16, 1, '67806684bda24c3180bb5c79a0d2c797', '0776af76c8d04631bf0281e36b7cee0a', 'default', NULL,
        '2024-06-10 04:46:00', NULL, '2023-11-14 20:46:00', NULL, '2023-11-14 20:46:00', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2857, 11, 1, '36b32342ce7e4c38a62bee3f12438c26', 'd599290d37904261ae92a2e661d18837', 'default', NULL,
        '2024-06-10 04:51:16', NULL, '2023-11-14 20:51:16', NULL, '2023-11-14 20:51:16', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2858, 16, 1, 'bf094be8916f4e0495c0f6718cdf7763', '3fb3d3a074da4f8e90b7735cd6655aee', 'default', NULL,
        '2024-06-10 04:51:47', NULL, '2023-11-14 20:51:47', NULL, '2023-11-14 20:51:47', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2859, 16, 1, 'c8335e3cf43a40319657334d34f9cbee', 'bb92a964ff614d2f8966adcfe3ecc0b6', 'default', NULL,
        '2024-06-10 04:57:08', NULL, '2023-11-14 20:57:08', NULL, '2023-11-14 20:57:08', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2860, 15, 1, '0fdf9189a96f40d78fc4b3f435ef2103', 'a2c1c69defda453fa60a5cc8313899c5', 'default', NULL,
        '2024-06-10 04:59:02', NULL, '2023-11-14 20:59:02', NULL, '2023-11-14 20:59:02', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2861, 7, 1, '8a47c5def9ea4fb38522e868c82889c8', 'ee8fb0f7756a4b94afccd611136d2c63', 'default', NULL,
        '2024-06-10 17:55:40', NULL, '2023-11-15 09:55:40', NULL, '2023-11-15 09:55:40', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2862, 16, 1, '5dd5d71a2a254564892b1f509a3083b6', '84f9eac73f4b44e79f84cb39b3a5a73f', 'default', NULL,
        '2024-06-10 18:12:01', NULL, '2023-11-15 10:12:01', NULL, '2023-11-15 10:12:01', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2863, 16, 1, '1c6a8e86d63949089059fe988bacb398', 'dcd24b2361b44c07af2164fd23ca2c21', 'default', NULL,
        '2024-06-10 18:12:21', NULL, '2023-11-15 10:12:21', NULL, '2023-11-15 10:12:21', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2864, 11, 1, 'fc24002d7de54d0e87307278283f7d61', '603079bb11f347b1979824b6f36a0ebe', 'default', NULL,
        '2024-06-10 18:14:21', NULL, '2023-11-15 10:14:21', NULL, '2023-11-15 10:14:21', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2865, 9, 1, 'b74ead3e972e4327b44a58bc347e8f3d', 'e7591a346cc445d6bca598d26e86a3ca', 'default', NULL,
        '2024-06-10 18:59:33', NULL, '2023-11-15 10:59:33', NULL, '2023-11-15 10:59:33', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2866, 9, 1, '1915d381a4cf43698f04e46ca20ceed3', '516e03fa9528493584797ff770be137b', 'default', NULL,
        '2024-06-10 19:10:55', '9', '2023-11-15 11:10:55', '9', '2023-11-15 11:10:55', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2867, 32, 1, '3d10f3976298421fbf396d3a2cfc78bc', '486b92b0042e41879010754617944bff', 'default', NULL,
        '2024-06-10 19:35:18', NULL, '2023-11-15 11:35:18', NULL, '2023-11-15 11:35:18', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2868, 15, 1, '7cd8ce20486f4c15999306abc374a88c', '620937f152c045fa848019f01b434545', 'default', NULL,
        '2024-06-10 20:04:41', NULL, '2023-11-15 12:04:41', NULL, '2023-11-15 12:04:41', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2869, 15, 1, 'cb98722eca414b5abe4b10a8f89e9bd5', '57661f995d914a4bae4164ba5c4d9d51', 'default', NULL,
        '2024-06-10 21:09:10', NULL, '2023-11-15 13:09:10', NULL, '2023-11-15 13:09:10', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2870, 1, 2, '117414c822314c61b812082294323370', '6d03bc22e4ec46ab9520be327fea261d', 'default', NULL,
        '2024-06-10 22:15:51', NULL, '2023-11-15 14:15:51', NULL, '2023-11-15 14:15:51', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2871, 11, 1, 'a4c124f760164521b2db56388349e91d', '506a958e96c3485eb3602fbf28f1dbe8', 'default', NULL,
        '2024-06-10 22:19:41', NULL, '2023-11-15 14:19:41', NULL, '2023-11-15 14:19:41', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2872, 11, 1, '15cb48b95e294f36ba8899a38df6a086', '368157be12074e4593d9f15d86301c0a', 'default', NULL,
        '2024-06-10 22:24:08', NULL, '2023-11-15 14:24:08', NULL, '2023-11-15 14:24:08', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2873, 16, 1, '875f1c0d517d43109b925a5dced032d5', '9da2e20b23a248348a78210af8e679ee', 'default', NULL,
        '2024-06-10 22:33:23', NULL, '2023-11-15 14:33:23', NULL, '2023-11-15 14:33:23', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2874, 9, 1, '73d1ff1e7b7c4abebb233a8cfdb4f379', '3ca05f42ec464046b9c148d34ea3fb1c', 'default', NULL,
        '2024-06-10 22:33:55', NULL, '2023-11-15 14:33:55', NULL, '2023-11-15 14:33:55', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2875, 7, 1, '544991888ae74535a39a3ded04497250', 'af82a3e5ab5c4b5baa80cff16b60cf3e', 'default', NULL,
        '2024-06-10 22:40:35', NULL, '2023-11-15 14:40:35', NULL, '2023-11-15 14:40:35', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2876, 10, 1, '35b111a8be9340f1b6343fa92af3ed74', 'fd6d074bed1b43098e0951bdee57594a', 'default', NULL,
        '2024-06-10 23:17:13', NULL, '2023-11-15 15:17:13', NULL, '2023-11-15 15:17:13', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2877, 16, 1, 'f35760e49ba34450a8e9f3bdae3fdc19', 'c1b2906d5fe24adf83cb6f46b54e6ed0', 'default', NULL,
        '2024-06-10 23:35:17', NULL, '2023-11-15 15:35:17', NULL, '2023-11-15 15:35:17', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2878, 7, 1, 'e2a461da178845a4b880a299eba5f899', '24094a1bf4dc437fb94ca93173f8aa12', 'default', NULL,
        '2024-06-10 23:37:36', NULL, '2023-11-15 15:37:36', NULL, '2023-11-15 15:37:36', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2879, 16, 1, 'b683147810934412930e43452e637640', 'fc6a7d863c514d66b83d7732bcbfd360', 'default', NULL,
        '2024-06-10 23:40:00', NULL, '2023-11-15 15:40:00', NULL, '2023-11-15 15:40:00', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2880, 16, 1, 'e79d732f25214a2a8eccfe40ceb32f92', 'f1fbcf42d5a4409c98e7f444d3f870c7', 'default', NULL,
        '2024-06-11 00:00:09', NULL, '2023-11-15 16:00:09', NULL, '2023-11-15 16:00:09', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2881, 11, 1, '0a1b252f7dbb451a9fd17e92c452f92e', 'ac04343a2ed24491bbe08c9e15e35656', 'default', NULL,
        '2024-06-11 00:09:23', NULL, '2023-11-15 16:09:23', NULL, '2023-11-15 16:09:23', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2882, 16, 1, '09ea216e53094b8ab82b13224a94b8d1', '67b9a1a7632149ce9988bb11c7500477', 'default', NULL,
        '2024-06-11 00:27:16', NULL, '2023-11-15 16:27:16', NULL, '2023-11-15 16:27:16', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2883, 16, 1, 'b70d3fc10eee472da37eb083c74b2d25', '9ceadf4edac54f3082f94a6d7449309e', 'default', NULL,
        '2024-06-11 01:04:59', NULL, '2023-11-15 17:04:59', NULL, '2023-11-15 17:04:59', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2884, 16, 1, '63d23ecc511340dca3fa85ee4796e2a4', 'ff99311977164848ac65717c8406ecb2', 'default', NULL,
        '2024-06-11 01:38:11', NULL, '2023-11-15 17:38:11', NULL, '2023-11-15 17:38:11', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2885, 7, 1, '7c1b7275449c4eba97a86b04ed5e4b14', 'dcc8bc9dad2049ab981170d3acdbf48e', 'default', NULL,
        '2024-06-11 01:40:26', NULL, '2023-11-15 17:40:26', NULL, '2023-11-15 17:40:26', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2886, 15, 1, '6ef2388812d14901895ecc90b4095681', '368789781172461d92b2a6bdf8c3df52', 'default', NULL,
        '2024-06-11 01:44:11', NULL, '2023-11-15 17:44:11', NULL, '2023-11-15 17:44:11', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2887, 19, 1, '273eae469094471cb72afb94fba39aea', '4a68150a5b42408784a9ae4a6e118497', 'default', NULL,
        '2024-06-11 01:46:17', NULL, '2023-11-15 17:46:17', NULL, '2023-11-15 17:46:17', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2888, 16, 1, '4ff06babc2da46bbbcd240c346a31836', 'ecdc2f8abb68444a9d23bf4031b4c82e', 'default', NULL,
        '2024-06-11 02:44:31', '16', '2023-11-15 18:44:31', '16', '2023-11-15 18:44:31', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2889, 16, 1, 'a3ef483db6064a3391aa679e4268237d', 'a936b84d0d914cbfbc5080495fd25163', 'default', NULL,
        '2024-06-11 02:50:43', NULL, '2023-11-15 18:50:43', NULL, '2023-11-15 18:50:43', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2890, 15, 1, 'bfd7953b6e0445388722c82120091d6a', 'c76863746ac34bf6a44f131b578c783a', 'default', NULL,
        '2024-06-11 03:00:21', NULL, '2023-11-15 19:00:21', NULL, '2023-11-15 19:00:21', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2891, 1, 2, '804721eb2e0e4624852711e0f58bbbaa', 'b14d564c175f4026858078ed272c7744', 'default', NULL,
        '2024-06-11 03:00:34', NULL, '2023-11-15 19:00:34', NULL, '2023-11-15 19:00:34', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2892, 1, 2, '1f584edaec164e988b10644c377ae912', 'e7bebb090d5e44488e6a0828ea07885a', 'default', NULL,
        '2024-06-11 03:02:38', NULL, '2023-11-15 19:02:38', NULL, '2023-11-16 12:14:02', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2893, 7, 1, 'b6955615893442a78bb9b1df8b7e2651', 'f75d3f2862b1401ab8f58a61b289f449', 'default', NULL,
        '2024-06-11 03:07:53', NULL, '2023-11-15 19:07:53', NULL, '2023-11-15 19:07:53', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2894, 16, 1, '72e4a9e4c54c4e8cabe96cce2dbfb9f8', 'df08ee988d5b4195b617cebbda08b68f', 'default', NULL,
        '2024-06-11 03:08:36', NULL, '2023-11-15 19:08:36', NULL, '2023-11-15 19:08:36', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2895, 15, 1, '09a3cd4922384ae6a7673eb08f9e0344', 'a0a078fd1f7d43f68cef452a2c47e575', 'default', NULL,
        '2024-06-11 03:10:29', '15', '2023-11-15 19:10:29', '15', '2023-11-15 19:10:29', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2896, 15, 1, 'fadfe00040d448d4a284023c970894cd', '186d19bf73784ae8bcf75aa5bc63c10e', 'default', NULL,
        '2024-06-11 03:17:44', NULL, '2023-11-15 19:17:44', NULL, '2023-11-15 19:17:44', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2897, 15, 1, '97c975c05f2a4201b1f4fbb5b817ab12', '01cf4d9fed31448997b58c088b95b69f', 'default', NULL,
        '2024-06-11 03:27:15', NULL, '2023-11-15 19:27:15', NULL, '2023-11-15 19:27:15', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2898, 11, 1, 'adc5555080e04cceb1d565d174037142', 'bc29d30b93f447cabd476657d371ec45', 'default', NULL,
        '2024-06-11 19:35:02', NULL, '2023-11-16 11:35:02', NULL, '2023-11-16 11:35:02', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2899, 33, 1, 'e575476067dc4a039c536d7d35c1e743', '65199365fad34803a01e13c123b60df5', 'default', NULL,
        '2024-06-11 19:38:13', NULL, '2023-11-16 11:38:13', NULL, '2023-11-16 11:38:13', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2900, 10, 1, 'bad5923e9a2248b090c0e9ff2b028db1', 'ecb7c359daaa4898acb609d6dcc45d17', 'default', NULL,
        '2024-06-11 19:41:24', NULL, '2023-11-16 11:41:24', NULL, '2023-11-16 11:41:24', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2901, 10, 1, '13a318b891324295961555dd0d73a11c', '0db9cb62900e41fc820afb41b39c1bee', 'default', NULL,
        '2024-06-11 19:42:31', NULL, '2023-11-16 11:42:31', NULL, '2023-11-16 11:42:31', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2902, 16, 1, '0585bf3ed4464ebea2c7aebe70b67099', '97ee7b8ba6204d5387976caa1d14977d', 'default', NULL,
        '2024-06-11 19:44:02', NULL, '2023-11-16 11:44:02', NULL, '2023-11-16 11:44:02', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2903, 19, 1, 'cadb701c87ff4081a2ed6cfb2b1b5ea0', '821723120d6e4486b6d36ba5395cb101', 'default', NULL,
        '2024-06-11 19:46:01', NULL, '2023-11-16 11:46:01', NULL, '2023-11-16 11:46:01', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2904, 15, 1, '05d48670e81e4ad6a1ed87b0ad986627', '8c62328e7faa447591ad5bccdc25ca04', 'default', NULL,
        '2024-06-11 19:48:49', NULL, '2023-11-16 11:48:49', NULL, '2023-11-16 11:48:49', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2905, 11, 1, '78f4cd12f6004f489d702587caa1ab8f', '981ffb4f124b44dcaaaa5336691dbb10', 'default', NULL,
        '2024-06-11 19:51:36', NULL, '2023-11-16 11:51:36', NULL, '2023-11-16 11:51:36', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2906, 1, 2, '40105aa3021f45b390538ca05ab0198b', '0728daabfd6f499c97690f186682e7f1', 'default', NULL,
        '2024-06-11 20:14:17', NULL, '2023-11-16 12:14:17', NULL, '2023-11-16 14:16:34', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2907, 10, 1, 'd4e4b7ee9a104fa9b7437ecdb2e7f1f1', 'af1dc9a2147245f88f7ecf328f802501', 'default', NULL,
        '2024-06-11 20:20:19', NULL, '2023-11-16 12:20:19', NULL, '2023-11-16 12:20:19', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2908, 10, 1, '8e2a36e2b37d4a97be40b1dfbb600c5f', '1c053268eb77452ab3014f8ba47e04da', 'default', NULL,
        '2024-06-11 20:20:21', '10', '2023-11-16 12:20:21', '10', '2023-11-16 12:20:21', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2909, 10, 1, 'f705401ee7084cc58b018fb3c22e7b82', '453c2b447fea451db55bd0f9c87aec33', 'default', NULL,
        '2024-06-11 20:20:26', '10', '2023-11-16 12:20:26', '10', '2023-11-16 12:20:26', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2910, 10, 1, 'acf0111d6b7b41079f5064675a62955c', '4ba1ffa66e704081b245104fd804c5c4', 'default', NULL,
        '2024-06-11 20:20:32', '10', '2023-11-16 12:20:32', '10', '2023-11-16 12:20:32', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2911, 10, 1, '84a5a5873eaa4633b237d0bf9ac22b85', 'a79deefc73a8496194c2050af4b5527e', 'default', NULL,
        '2024-06-11 20:20:48', '10', '2023-11-16 12:20:48', '10', '2023-11-16 12:20:48', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2912, 10, 1, '529b0fc3e3cb4f0f822fe4a18960b989', '8b9abe4c8e80415e86c8366bf0338668', 'default', NULL,
        '2024-06-11 20:21:00', '10', '2023-11-16 12:21:00', '10', '2023-11-16 12:21:00', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2913, 10, 1, '4d070d76926a4bb885322ea85e3f9a6e', '23442db0848c424b93734110ef87c81a', 'default', NULL,
        '2024-06-11 20:21:38', '10', '2023-11-16 12:21:38', '10', '2023-11-16 12:21:38', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2914, 1, 2, '09d0474eae0e42789e4972e4ebeacea8', '48b8b8dffe044b89b865094fadc93b7e', 'default', NULL,
        '2024-06-11 22:18:18', NULL, '2023-11-16 14:18:18', NULL, '2023-11-17 19:21:23', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2915, 11, 1, '81fefecba7814b5f88c2b5e37813cf28', 'adb0b97306b441dbaa918c264fad7612', 'default', NULL,
        '2024-06-11 22:29:55', '11', '2023-11-16 14:29:55', '11', '2023-11-16 14:29:55', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2916, 16, 1, 'b3c29e6578cf47558413a3a2e364f701', '97f7612091e7416cb6c36d273b46e909', 'default', NULL,
        '2024-06-11 22:33:48', NULL, '2023-11-16 14:33:48', NULL, '2023-11-16 14:33:48', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2917, 16, 1, '819fecacdb764cbba20b670df6acae82', 'aa055c8d0cc14627bea40c2d20ed3739', 'default', NULL,
        '2024-06-11 22:37:26', NULL, '2023-11-16 14:37:26', NULL, '2023-11-16 14:37:26', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2918, 10, 1, 'e802b372d5bf48c6a9774ac016949354', '392ec9c0aff54a30bf8a7b146fa4026d', 'default', NULL,
        '2024-06-11 22:57:40', NULL, '2023-11-16 14:57:40', NULL, '2023-11-16 14:57:40', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2919, 11, 1, 'e5bfb2d5d37c40a1b418923aeb7292b2', '70c8fa71f42a4ec88b811b0c9a34b434', 'default', NULL,
        '2024-06-11 23:06:51', NULL, '2023-11-16 15:06:51', NULL, '2023-11-16 15:06:51', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2920, 10, 1, 'cf590c2b99bf4d8d94f36a1526d19f11', 'a89af534f0ca464bb53f2dfa3fa78044', 'default', NULL,
        '2024-06-11 23:08:11', NULL, '2023-11-16 15:08:11', NULL, '2023-11-16 15:08:11', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2921, 16, 1, '0da3677fa11146c48e902602b5da4b3f', '32b119bf042e4f82984f97ae84ef59e2', 'default', NULL,
        '2024-06-11 23:13:18', NULL, '2023-11-16 15:13:18', NULL, '2023-11-16 15:13:18', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2922, 9, 1, '6dd6de0e31a94c81804e1cfc19c5f260', 'b71d76e68363431faf924db19261b4f5', 'default', NULL,
        '2024-06-11 23:22:56', NULL, '2023-11-16 15:22:56', NULL, '2023-11-16 15:22:56', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2923, 16, 1, '7f1b8dbbefe84771a9354d618feca6bd', 'fdbcc871ec3e4953a27c8c30c3c4e948', 'default', NULL,
        '2024-06-11 23:30:27', NULL, '2023-11-16 15:30:27', NULL, '2023-11-16 15:30:27', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2924, 16, 1, '2a716c55c9554ecd97a733b92ed15f7d', '3c3ecf8efd644411aa8643ade4a7cf3e', 'default', NULL,
        '2024-06-11 23:32:27', NULL, '2023-11-16 15:32:27', NULL, '2023-11-16 15:32:27', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2925, 16, 1, '52d4734f59fc40c9b165c42018a960d1', 'f638b0b418864e4a94ae61dfa0a2ad24', 'default', NULL,
        '2024-06-11 23:52:36', NULL, '2023-11-16 15:52:36', NULL, '2023-11-16 15:52:36', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2926, 17, 1, '2b5d628dde07422bbd6c5d14ed542372', 'c45779f3827c47248e9fc19cdcbc97c0', 'default', NULL,
        '2024-06-11 23:52:46', NULL, '2023-11-16 15:52:46', NULL, '2023-11-16 15:52:46', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2927, 7, 1, '636a74bfface4a9fbc55e6bacb42c906', '988763415e15495bab5905724fd07506', 'default', NULL,
        '2024-06-12 00:02:22', NULL, '2023-11-16 16:02:22', NULL, '2023-11-16 16:02:22', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2928, 15, 1, '478766c3790e490597b12e9c64117e68', '11082de68a94449691ac1feea2fe5e84', 'default', NULL,
        '2024-06-12 00:03:16', NULL, '2023-11-16 16:03:16', NULL, '2023-11-16 16:03:16', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2929, 16, 1, 'ee29fc1cce0848f1a8dad57281edb4b7', 'd848f4e01b094f86912af3729b5e76e3', 'default', NULL,
        '2024-06-12 00:08:54', NULL, '2023-11-16 16:08:54', NULL, '2023-11-16 16:08:54', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2930, 16, 1, 'b61645dc481a49df85769e4f4d6c033d', '972ffeecbe6f4825bb9523132f20f52c', 'default', NULL,
        '2024-06-12 00:09:16', NULL, '2023-11-16 16:09:16', NULL, '2023-11-16 16:09:16', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2931, 16, 1, '15b632c0be5649acb14ac48cee66302b', 'c7fbac01a7034ae98eff6c81baa6067e', 'default', NULL,
        '2024-06-12 00:10:42', NULL, '2023-11-16 16:10:42', NULL, '2023-11-16 16:10:42', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2932, 19, 1, '6d06d917d2944e53b814795b25962237', '5fd9f2c9275d489390e651f590ccbeb1', 'default', NULL,
        '2024-06-12 00:12:09', NULL, '2023-11-16 16:12:09', NULL, '2023-11-16 16:12:09', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2933, 19, 1, '2ae20a16e86047e682898350f9940545', '7e223b35e51b4c2b9aa77f8ce1964d19', 'default', NULL,
        '2024-06-12 00:14:52', NULL, '2023-11-16 16:14:52', NULL, '2023-11-16 16:14:52', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2934, 16, 1, 'dfc691e4df114ba0b3d17160ad408594', '3721ca27d4dd467dbab30c0512d6a4db', 'default', NULL,
        '2024-06-12 00:30:56', NULL, '2023-11-16 16:30:56', NULL, '2023-11-16 16:30:56', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2935, 34, 1, '99737e549578434a894991e47d4b574f', 'd31fe25bc43441e0854a7980dcb9063c', 'default', NULL,
        '2024-06-12 00:36:18', NULL, '2023-11-16 16:36:18', NULL, '2023-11-16 16:36:18', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2936, 16, 1, 'f58783e5eac64a25b806f8b289af1550', '321ef74d296f4776ac219fd077d74d7b', 'default', NULL,
        '2024-06-12 00:38:36', NULL, '2023-11-16 16:38:36', NULL, '2023-11-16 16:38:36', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2937, 7, 1, '76b846fb1fb648919857f7c78a00e8d2', '75be49be61464a0d812c6cf9f0bbe01b', 'default', NULL,
        '2024-06-12 01:30:19', NULL, '2023-11-16 17:30:19', NULL, '2023-11-16 17:30:19', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2938, 16, 1, '9ae5119c9c4f44d4b1c674da9af5f00c', 'cc56fda148214661b8932fac28fad3b2', 'default', NULL,
        '2024-06-12 01:34:22', NULL, '2023-11-16 17:34:22', NULL, '2023-11-16 17:34:22', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2939, 16, 1, '9d433f4b98f442298fef585628b79226', 'fc40f23401a84f119ef2b9256622983f', 'default', NULL,
        '2024-06-12 01:38:43', NULL, '2023-11-16 17:38:43', NULL, '2023-11-16 17:38:43', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2940, 16, 1, '30f1c09e7c4e45469c4f6ed29598f128', '66a6b7847e3243a3ad9d9c3166d10782', 'default', NULL,
        '2024-06-12 01:59:30', NULL, '2023-11-16 17:59:30', NULL, '2023-11-16 17:59:30', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2941, 19, 1, 'd2a9432490ec40c1990b01f1962742bd', '71cd9a7782634da190a151852e2d412b', 'default', NULL,
        '2024-06-12 03:00:33', NULL, '2023-11-16 19:00:33', NULL, '2023-11-16 19:00:33', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2942, 9, 1, '074197590a5c45de8bf8f4cceb6cf3b2', 'e380a641ac134e6a9d8ea78f9a7f769e', 'default', NULL,
        '2024-06-12 03:57:05', '9', '2023-11-16 19:57:05', '9', '2023-11-16 19:57:05', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2943, 19, 1, 'f0175c7d9d8947cfb451fc581ea50e20', '0318d38c811c4ea5a249aadaec4de3e9', 'default', NULL,
        '2024-06-12 04:40:58', NULL, '2023-11-16 20:40:58', NULL, '2023-11-16 20:40:58', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2944, 10, 1, 'd7609bd2f81f419cbe464ae803960693', '3492213f006e48ae96afd7aa1d473c83', 'default', NULL,
        '2024-06-12 04:42:47', NULL, '2023-11-16 20:42:47', NULL, '2023-11-16 20:42:47', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2945, 10, 1, 'ee8796666608415abada9eee646e58ee', '81bdeac44c3445589e5db055b6e2b89e', 'default', NULL,
        '2024-06-12 04:46:13', NULL, '2023-11-16 20:46:13', NULL, '2023-11-16 20:46:13', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2946, 10, 1, '88ede085325240ff9eebe35aea32867e', 'c09a3eb0a8de40ac8ae5b7031a2db061', 'default', NULL,
        '2024-06-12 05:19:58', NULL, '2023-11-16 21:19:58', NULL, '2023-11-16 21:19:58', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2947, 10, 1, '40e53fa56f21490a81c3466cc34a2b33', 'b4d5a6bf0fc543c4ba432d901dbf39b1', 'default', NULL,
        '2024-06-12 05:31:02', NULL, '2023-11-16 21:31:02', NULL, '2023-11-16 21:31:02', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2948, 7, 1, 'f1d6710c58b34324a433228eef251a2e', '57c1243b13604ca6a450578e5823957c', 'default', NULL,
        '2024-06-12 05:36:51', NULL, '2023-11-16 21:36:51', NULL, '2023-11-16 21:36:51', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2949, 19, 1, 'f667c1228656475ea56345f01589ede4', '0835e60ca65f4599baededc8dce1990e', 'default', NULL,
        '2024-06-12 05:56:53', NULL, '2023-11-16 21:56:53', NULL, '2023-11-16 21:56:53', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2950, 7, 1, '5637e92026bb49c6abf2e0bac47b6df7', '07a60c2a5bcf42b68241313c9100f549', 'default', NULL,
        '2024-06-12 06:04:14', NULL, '2023-11-16 22:04:14', NULL, '2023-11-16 22:04:14', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2951, 16, 1, '1a9753a24b284456beb09430151dfded', '39916cc91ee146ab8b04d7c27867602e', 'default', NULL,
        '2024-06-12 06:04:31', NULL, '2023-11-16 22:04:31', NULL, '2023-11-16 22:04:31', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2952, 16, 1, '2ed4482dc9bd413c90d98d4e773d096a', '37b1461984004db5abf6b77347cacd79', 'default', NULL,
        '2024-06-12 06:49:49', NULL, '2023-11-16 22:49:49', NULL, '2023-11-16 22:49:49', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2953, 10, 1, '45c1454f343a4a96bf24a9db37058be8', 'c9e560fa15d74452bbc98783e172c3d8', 'default', NULL,
        '2024-06-12 07:35:52', NULL, '2023-11-16 23:35:52', NULL, '2023-11-16 23:35:52', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2954, 9, 1, '513a2186fe92480ebcdff014f1e0698f', '99b9085e88b84c2593072bbfbfebc53c', 'default', NULL,
        '2024-06-12 07:53:31', NULL, '2023-11-16 23:53:31', NULL, '2023-11-16 23:53:31', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2955, 16, 1, '75fe80d018b449dfa64b75ac2e40fa24', '61306b6cb7af47328e9ec6fb115a20cf', 'default', NULL,
        '2024-06-12 16:20:30', NULL, '2023-11-17 08:20:30', NULL, '2023-11-17 08:20:30', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2956, 9, 1, 'db8e9b3bcd094a6982ae73b4fa97aff6', '92258a2556be4bd89096f5d4bef0b36c', 'default', NULL,
        '2024-06-12 18:30:31', NULL, '2023-11-17 10:30:31', NULL, '2023-11-17 10:30:31', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2957, 15, 1, 'bfcf745907e6417bb30fc143f22b49ab', '7bdb23d3dc5f46ca9bd2027a375347d2', 'default', NULL,
        '2024-06-12 19:25:16', '16', '2023-11-17 11:25:16', '16', '2023-11-17 11:25:16', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2958, 16, 1, '04b379e07ac74183a76c0dc71a370a13', '43c9ad41cc0e496b8ad3d494da9a8438', 'default', NULL,
        '2024-06-12 19:28:19', NULL, '2023-11-17 11:28:19', NULL, '2023-11-17 11:28:19', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2959, 16, 1, 'e7d404c5bcf34ba8b173dfb15fe11481', 'faa6372c6d4c4447999c6b4cf807e78b', 'default', NULL,
        '2024-06-12 20:28:35', NULL, '2023-11-17 12:28:35', NULL, '2023-11-17 12:28:35', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2960, 9, 1, '646f1db0cdca4673aec7ca8c7f030059', '586ffc73782a4b6a897e6185a0bca140', 'default', NULL,
        '2024-06-12 21:05:15', NULL, '2023-11-17 13:05:15', NULL, '2023-11-17 13:05:15', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2961, 19, 1, '302789c716664f33bbc5751aebfa6770', '7eb0b65c03e1482089c11b892823abbb', 'default', NULL,
        '2024-06-12 22:42:39', NULL, '2023-11-17 14:42:39', NULL, '2023-11-17 14:42:39', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2962, 7, 1, 'c285284a93c44216b86c40a732bd94a9', '7f12687a786c47429023844efe5d35a9', 'default', NULL,
        '2024-06-12 23:10:37', NULL, '2023-11-17 15:10:37', NULL, '2023-11-17 15:10:37', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2963, 16, 1, '4ad6024061254157bde802b502a7e559', 'a49ff2f073ba44fb8ff4dd87e9cd1937', 'default', NULL,
        '2024-06-12 23:12:02', NULL, '2023-11-17 15:12:02', NULL, '2023-11-17 15:12:02', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2964, 11, 1, '3155e629d5b74ff59aa35bfb7b2f6ee6', '6fa1b9a58c8d4b2297b294a99b15b60d', 'default', NULL,
        '2024-06-12 23:13:33', NULL, '2023-11-17 15:13:33', NULL, '2023-11-17 15:13:33', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2965, 16, 1, '6ff52fd958bc4ffebd8efb062baa1c6d', '0fd54a4aa2c241f1bc47f82499cdbd40', 'default', NULL,
        '2024-06-12 23:18:36', '16', '2023-11-17 15:18:36', '16', '2023-11-17 15:18:36', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2966, 9, 1, 'da2d5074ffce404abd926e1f429a41f8', 'a0571dd2f0bb46fe85a10a9518213645', 'default', NULL,
        '2024-06-12 23:20:41', '9', '2023-11-17 15:20:41', '9', '2023-11-17 15:20:41', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2967, 16, 1, 'd39124d3ae84409faea32ce6ac3da4ff', 'd16161edb5c14ac0ad54e3c02cffa0b2', 'default', NULL,
        '2024-06-12 23:20:45', NULL, '2023-11-17 15:20:45', NULL, '2023-11-17 15:20:45', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2968, 11, 1, 'f7d12136ca1d4a43ae42865163f46dd9', '077df1eafb594294a55cfb67f92909af', 'default', NULL,
        '2024-06-12 23:26:37', NULL, '2023-11-17 15:26:37', NULL, '2023-11-17 15:26:37', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2969, 9, 1, 'c8c201935908451080b9f6477f60d158', 'b83bfc9903d246bf8037cc50b5f59d33', 'default', NULL,
        '2024-06-12 23:29:34', NULL, '2023-11-17 15:29:34', NULL, '2023-11-17 15:29:34', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2970, 16, 1, '34de88de4ac141a7afe017105c0f6281', 'd3c8c1b0e2344318b6177775db8e9fd1', 'default', NULL,
        '2024-06-12 23:32:35', NULL, '2023-11-17 15:32:35', NULL, '2023-11-17 15:32:35', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2971, 10, 1, '1e7abd2f2b954039bd8d895cf20dfa2a', '791231042ae04fa3826d36c02a4e69e7', 'default', NULL,
        '2024-06-12 23:41:22', NULL, '2023-11-17 15:41:22', NULL, '2023-11-17 15:41:22', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2972, 16, 1, 'c2dc4d0fb87f4322bcc26856a31ae7c9', '0f49098cb52947aa9408b1c3049b714f', 'default', NULL,
        '2024-06-12 23:42:27', NULL, '2023-11-17 15:42:27', NULL, '2023-11-17 15:42:27', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2973, 16, 1, 'e777d8b2df9e49eda5ce3bbdf3f580cd', '0de154e018584e68a0cf5e41ef47fbb4', 'default', NULL,
        '2024-06-12 23:43:56', NULL, '2023-11-17 15:43:56', NULL, '2023-11-17 15:43:56', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2974, 7, 1, '94d9b136d5694ec597dcd13f6b244612', 'e8cb354a029241589f6c3e2aef8f3cb7', 'default', NULL,
        '2024-06-12 23:45:36', NULL, '2023-11-17 15:45:36', NULL, '2023-11-17 15:45:36', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2975, 16, 1, '21ffee63bd4947908c39f944c827f499', 'e11256f2647f47c5a94da2c2d3f1d580', 'default', NULL,
        '2024-06-12 23:46:20', NULL, '2023-11-17 15:46:20', NULL, '2023-11-17 15:46:20', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2976, 7, 1, 'e90eda03c52948e7962156f948a4d15b', '24f96683f59149ca9f7639cd49591136', 'default', NULL,
        '2024-06-12 23:48:09', NULL, '2023-11-17 15:48:09', NULL, '2023-11-17 15:48:09', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2977, 11, 1, 'cc0e7aca6dea4ffa8d76298fafb4ac64', '09ded5761d814cf0a7262fecceb80c39', 'default', NULL,
        '2024-06-12 23:50:43', NULL, '2023-11-17 15:50:43', NULL, '2023-11-17 15:50:43', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2978, 31, 1, '10a3f0ce27404f82bdc92ddd74c6ed4c', 'd6378c82bd274d58835151e4ef38783f', 'default', NULL,
        '2024-06-13 00:28:02', NULL, '2023-11-17 16:28:02', NULL, '2023-11-17 16:28:02', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2979, 16, 1, 'e38b638072b742fa832b9c4a7b60e1df', 'c955b658f54a4a3a8371cb07aa205680', 'default', NULL,
        '2024-06-13 00:30:48', NULL, '2023-11-17 16:30:48', NULL, '2023-11-17 16:30:48', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2980, 7, 1, '6f5eeea27efb4b989e3377ac61369185', '10897d5597c14f8e87e00747cd69b11d', 'default', NULL,
        '2024-06-13 00:52:35', NULL, '2023-11-17 16:52:35', NULL, '2023-11-17 16:52:35', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2981, 16, 1, '3002115f92f44d09979305efcbda8313', '95f1307210b84c9384ae1664b364d433', 'default', NULL,
        '2024-06-13 01:14:00', NULL, '2023-11-17 17:14:00', NULL, '2023-11-17 17:14:00', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2982, 16, 1, '80dfc4dd67e647939b9383a2890ed3ba', '737f5363ea9a4d1ab9e1907476902f74', 'default', NULL,
        '2024-06-13 01:16:39', NULL, '2023-11-17 17:16:39', NULL, '2023-11-17 17:16:39', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2983, 19, 1, '0020ef6b533640afa15855b9c69bf1e2', '67709525ec5742e4ad85576baa303a2c', 'default', NULL,
        '2024-06-13 01:30:30', NULL, '2023-11-17 17:30:30', NULL, '2023-11-17 17:30:30', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2984, 11, 1, '3c823327c7e342adb1b1d28dee79049e', 'b33dd971a37f4e138b5b923ee3913466', 'default', NULL,
        '2024-06-13 02:34:48', NULL, '2023-11-17 18:34:48', NULL, '2023-11-17 18:34:48', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2985, 7, 1, 'aaf5371c873941bfa757e10bf22d3bd2', '3d76a1559ab048fd954b388152ccbfae', 'default', NULL,
        '2024-06-13 02:36:22', NULL, '2023-11-17 18:36:22', NULL, '2023-11-17 18:36:22', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2986, 1, 2, '519ce9749ee5463ab6d76202460973d4', 'f99d56d84e41422f89eeb570c6b9ddc4', 'default', NULL,
        '2024-06-13 03:21:30', NULL, '2023-11-17 19:21:30', NULL, '2023-11-22 16:17:16', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2987, 9, 1, '2c2d3f6f072448c68ccd6f8f7e540e8f', 'bf3ef14de8a44587a3379fe2e3e4479e', 'default', NULL,
        '2024-06-13 03:24:34', NULL, '2023-11-17 19:24:34', NULL, '2023-11-17 19:24:34', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2988, 18, 1, 'e0af05b7e388442fbdb7094f622c8ac4', '15dd617be15e45999f598cc9bce4dae2', 'default', NULL,
        '2024-06-13 03:28:50', NULL, '2023-11-17 19:28:50', NULL, '2023-11-17 19:28:50', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2989, 26, 1, '04f02766ac8145029bb136aaad6efed8', 'e510dc8396eb4ca89deabdf6c886736d', 'default', NULL,
        '2024-06-13 03:30:18', NULL, '2023-11-17 19:30:18', NULL, '2023-11-17 19:30:18', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2990, 16, 1, 'bbc57ec4827441c6a8c691d6dd350acb', 'a433aa0110094e4ba39726046a0046fc', 'default', NULL,
        '2024-06-13 03:33:14', NULL, '2023-11-17 19:33:14', NULL, '2023-11-17 19:33:14', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2991, 16, 1, '6cb1d3521ffe437483a49d70af84c73d', '78e98527131e4dec931f0e5423d86046', 'default', NULL,
        '2024-06-13 03:46:21', NULL, '2023-11-17 19:46:21', NULL, '2023-11-17 19:46:21', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2992, 7, 1, '8757395fa1f94ef1a0335c0519937f90', '231f49903d314a13bdf89caf83f05146', 'default', NULL,
        '2024-06-13 04:11:54', NULL, '2023-11-17 20:11:54', NULL, '2023-11-17 20:11:54', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2993, 16, 1, '35ceb4be69bb403c918568c6fdb3bb26', 'e9c7229e7e3e47c1b1589d7ba942d1db', 'default', NULL,
        '2024-06-13 04:43:55', NULL, '2023-11-17 20:43:55', NULL, '2023-11-17 20:43:55', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2994, 16, 1, '9c7219dba4ad4f94beb39ab3f4a48976', 'e26272b32e1641c7a2fdb2998d5a4a68', 'default', NULL,
        '2024-06-13 04:44:53', NULL, '2023-11-17 20:44:53', NULL, '2023-11-17 20:44:53', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2995, 16, 1, '4a667e72540740e393a2f7dba8dbe9c7', '868ed0a4843444b0b90634d9b44efad7', 'default', NULL,
        '2024-06-13 04:45:06', '16', '2023-11-17 20:45:06', '16', '2023-11-17 20:45:06', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2996, 16, 1, 'f7b2cdc59e2a4f938bb10369787e8bbc', 'c019a3ae49fc4b33be9b728889367ecf', 'default', NULL,
        '2024-06-13 05:00:22', NULL, '2023-11-17 21:00:22', NULL, '2023-11-17 21:00:22', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2997, 16, 1, '7697e83e46764c459226a4a937fc4bf8', '0315026a5c2f44f38dc72fd44d95c12c', 'default', NULL,
        '2024-06-13 05:04:09', NULL, '2023-11-17 21:04:09', NULL, '2023-11-17 21:04:09', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2998, 16, 1, '370e4decce924181bf1d2bbcd7659607', '2bffd179ca984ea3a9a61edc4fdf934c', 'default', NULL,
        '2024-06-13 05:09:31', NULL, '2023-11-17 21:09:31', NULL, '2023-11-17 21:09:31', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (2999, 9, 1, '3e357fac7bc9446dae2ae433c88bb919', '61dd80894d7e46af8c4fc01b26c24324', 'default', NULL,
        '2024-06-15 18:32:05', '9', '2023-11-20 10:32:05', '9', '2023-11-20 10:32:05', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3000, 9, 1, 'a0a7dd1a8da9495aa1152c1d9d6dc10a', 'c23af1b517e348c1ab444abc55a0aa40', 'default', NULL,
        '2024-06-15 18:48:22', NULL, '2023-11-20 10:48:22', NULL, '2023-11-20 10:48:22', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3001, 10, 1, '97562b92fe08417f80e0e90954dc7378', '077ecd19a1fd4602874e9bff54782421', 'default', NULL,
        '2024-06-16 00:57:34', NULL, '2023-11-20 16:57:34', NULL, '2023-11-20 16:57:34', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3002, 7, 1, 'f84d1bcd9425482483b347226e435381', 'bb26e20e5e61471e8e5dff356cf2c96f', 'default', NULL,
        '2024-06-16 01:34:13', NULL, '2023-11-20 17:34:13', NULL, '2023-11-20 17:34:13', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3003, 1, 2, '97b38f4a83ef4831acf3a4a24c5bd87c', '4ed1fec51c154f21b19cd8eb367f6fb7', 'default', NULL,
        '2024-06-16 01:51:44', NULL, '2023-11-20 17:51:44', NULL, '2023-11-20 17:51:44', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3004, 16, 1, 'd312e51c4feb4f708b4f2880eab7b3c1', '5f666193288d407db7aa521a767bdcb7', 'default', NULL,
        '2024-06-16 02:56:18', NULL, '2023-11-20 18:56:18', NULL, '2023-11-20 18:56:18', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3005, 16, 1, 'b58e216783114e20b43c1828e2195e7d', '3d32141b64674ff59b230cf622fdfc01', 'default', NULL,
        '2024-06-16 18:00:18', NULL, '2023-11-21 10:00:18', NULL, '2023-11-21 10:00:18', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3006, 16, 1, '86d287d6e20f446eb06ea6f23319ac5f', '76ee48ff5a374c02a3c121330485619c', 'default', NULL,
        '2024-06-16 18:09:21', '16', '2023-11-21 10:09:21', '16', '2023-11-21 10:09:21', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3007, 16, 1, '1241f7d2cf7b4966a04244c7394941f4', '2bf940bbaef749f6924f594717355c04', 'default', NULL,
        '2024-06-16 22:12:42', NULL, '2023-11-21 14:12:42', NULL, '2023-11-21 14:12:42', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3008, 19, 1, 'ea1d1338ab4d477ab77041d2a8161209', 'df5139940fde4860b912294f227dc880', 'default', NULL,
        '2024-06-16 22:13:16', NULL, '2023-11-21 14:13:16', NULL, '2023-11-21 14:13:16', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3009, 19, 1, 'b21d353115704968aa05208cf77a7e6a', 'e996c7c3b3014032a71865b4a280f675', 'default', NULL,
        '2024-06-16 22:14:04', NULL, '2023-11-21 14:14:04', NULL, '2023-11-21 14:14:04', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3010, 16, 1, 'f0804f8d5e6a4fb3ad4d47f5bebfd122', '8325e493416e496db3d880dec7e38e92', 'default', NULL,
        '2024-06-16 22:37:44', NULL, '2023-11-21 14:37:44', NULL, '2023-11-21 14:37:44', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3011, 11, 1, '03794a8b2be04ad3bd3a3c648a27bec4', '9b67c9989a7a478fb5a663ef44fe6609', 'default', NULL,
        '2024-06-16 22:37:57', NULL, '2023-11-21 14:37:57', NULL, '2023-11-21 14:37:57', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3012, 16, 1, '8a20d4035d4646be8ed4d002f0f82520', '2559fa7c0d314c1989e7236d907cd4d5', 'default', NULL,
        '2024-06-16 23:00:19', NULL, '2023-11-21 15:00:19', NULL, '2023-11-21 15:00:19', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3013, 7, 1, '0384c1c3b111467587a9007bebc9b9b0', '15f585e1b5934f9a9c9c78fc243ae59a', 'default', NULL,
        '2024-06-16 23:14:59', NULL, '2023-11-21 15:14:59', NULL, '2023-11-21 15:14:59', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3014, 19, 1, '6371c51a888742329269453f1d46e56d', 'b9514494d19148f8a0df669bf663b2ea', 'default', NULL,
        '2024-06-17 00:10:42', NULL, '2023-11-21 16:10:42', NULL, '2023-11-21 16:10:42', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3015, 16, 1, '37e4791041554f80b0bc98989109f37c', '5b120408f11d40efb23424f4a597fca8', 'default', NULL,
        '2024-06-17 00:11:13', NULL, '2023-11-21 16:11:13', NULL, '2023-11-21 16:11:13', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3016, 19, 1, '81200eb172d243eba016edf3de2c150b', '2d1d781830444687bca5dd8a482dcd85', 'default', NULL,
        '2024-06-17 00:14:28', NULL, '2023-11-21 16:14:28', NULL, '2023-11-21 16:14:28', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3017, 16, 1, '457fc4fbccb94f16a5f27a9d80d7eef1', '3be79cec44d34da482bb691ae927068f', 'default', NULL,
        '2024-06-17 00:15:54', NULL, '2023-11-21 16:15:54', NULL, '2023-11-21 16:15:54', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3018, 16, 1, '7c6d276898a842ff83fa6f17ec3db804', 'bfc368de53a24eeca9da3a5b59c52069', 'default', NULL,
        '2024-06-17 00:17:38', NULL, '2023-11-21 16:17:38', NULL, '2023-11-21 16:17:38', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3019, 15, 1, '8a8db91823be4a9388b286aed8b0abcf', '6ecaa8f9b92f43b09e1802cf11a979c4', 'default', NULL,
        '2024-06-17 00:19:20', NULL, '2023-11-21 16:19:20', NULL, '2023-11-21 16:19:20', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3020, 19, 1, '641bea1f5b9e4bbfaccbf1c581286887', 'e3b56b7188ec4f48ab6309fce65a7969', 'default', NULL,
        '2024-06-17 00:23:16', '16', '2023-11-21 16:23:16', '16', '2023-11-21 16:23:16', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3021, 15, 1, '9f38e6717cc245d389509ce6ab9cb238', '5bfcf96744864577920411c4e42a7514', 'default', NULL,
        '2024-06-17 00:33:40', NULL, '2023-11-21 16:33:40', NULL, '2023-11-21 16:33:40', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3022, 15, 1, '2aea264c868949ffbf8f44976a84a992', 'fd1d14f2016c4262b2710ddb542e4943', 'default', NULL,
        '2024-06-17 00:34:00', NULL, '2023-11-21 16:34:00', NULL, '2023-11-21 16:34:00', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3023, 15, 1, '943a676c6bbd4972ae8fdee7aeae5d42', '714598e6ca59437a834c7263127b1497', 'default', NULL,
        '2024-06-17 00:36:57', NULL, '2023-11-21 16:36:57', NULL, '2023-11-21 16:36:57', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3024, 13, 1, 'cd056d40e96e4ae5a0256996ac5d1bd6', 'd2b6058316f744f9b34223109e738e23', 'default', NULL,
        '2024-06-17 00:38:25', NULL, '2023-11-21 16:38:25', NULL, '2023-11-21 16:38:25', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3025, 19, 1, '34e72083066d44918399d89b993590af', '40d7cacd4f334654b6a626fbcc3d03b5', 'default', NULL,
        '2024-06-17 00:48:23', NULL, '2023-11-21 16:48:23', NULL, '2023-11-21 16:48:23', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3026, 11, 1, '0a1fbc564ae74ae9bfbebddb3e467b33', '7798841d718e46308e1a8f650aa3f5c7', 'default', NULL,
        '2024-06-17 00:50:43', NULL, '2023-11-21 16:50:43', NULL, '2023-11-21 16:50:43', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3027, 16, 1, '2e5844e441874d61a6906fbc380f8370', '60df6fd4a11c4d0798c3f68f6e15920a', 'default', NULL,
        '2024-06-17 00:50:55', NULL, '2023-11-21 16:50:55', NULL, '2023-11-21 16:50:55', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3028, 11, 1, '84e0e2b6aadd43f1b092557068a353d1', '69a9cd01c6234d16a3d7f0a405fd2d70', 'default', NULL,
        '2024-06-17 01:09:23', NULL, '2023-11-21 17:09:23', NULL, '2023-11-21 17:09:23', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3029, 11, 1, 'f59a5311a24641878cfae40217bbf246', '22bdc2f7a15d4d60a56256f7c75cd610', 'default', NULL,
        '2024-06-17 01:09:44', NULL, '2023-11-21 17:09:44', NULL, '2023-11-21 17:09:44', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3030, 11, 1, '45854329d3c54a428a88a1b2b0b95f8c', 'd5bd480689d848a89027e49eff8b51a7', 'default', NULL,
        '2024-06-17 01:17:49', NULL, '2023-11-21 17:17:49', NULL, '2023-11-21 17:17:49', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3031, 16, 1, '81a50a59dc1f4e598fb1d62445976e88', 'f57747892a1c40b2a5da5f15c5776cfd', 'default', NULL,
        '2024-06-17 01:21:03', NULL, '2023-11-21 17:21:03', NULL, '2023-11-21 17:21:03', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3032, 7, 1, 'da33da2f1c4746ae8d781c171c3aa143', '16ef0529f0b44601bb0178a97c6cbab9', 'default', NULL,
        '2024-06-17 01:28:52', NULL, '2023-11-21 17:28:52', NULL, '2023-11-21 17:28:52', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3033, 16, 1, '12f773ac77d74fb6afe9485016851827', '2da75cea90c54679b74703e7549ccf14', 'default', NULL,
        '2024-06-17 01:29:04', NULL, '2023-11-21 17:29:04', NULL, '2023-11-21 17:29:04', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3034, 11, 1, '7c06414649dc48cfa804a1c8c52e2de5', '5b667e096073467caf79cfad0812992f', 'default', NULL,
        '2024-06-17 01:45:46', NULL, '2023-11-21 17:45:46', NULL, '2023-11-21 17:45:46', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3035, 1, 2, '7ca84eab99d143a3bea0ef0ecff656c9', '7c381eb3ccf64c7c9a250770b22957f0', 'default', NULL,
        '2024-06-17 19:23:09', NULL, '2023-11-22 11:23:09', NULL, '2023-11-22 11:44:59', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3036, 10, 1, '4e40a66ff078467e9f5e8af70942d1d3', '6fcb3a944e8e4857ba3b21c28542dcb9', 'default', NULL,
        '2024-06-17 19:34:23', NULL, '2023-11-22 11:34:23', NULL, '2023-11-22 11:34:23', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3037, 1, 2, 'f5bb1d12fbe7495eb9b01b2928be91d6', '4806bf84530845449a885cb2d8aed768', 'default', NULL,
        '2024-06-17 19:45:10', NULL, '2023-11-22 11:45:10', NULL, '2023-11-22 11:45:10', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3038, 10, 1, '06d09ee6a9354b5e8c261fec01bbafc1', '7017bf901d1d4e3da1266cc32cc1be9d', 'default', NULL,
        '2024-06-17 19:55:03', NULL, '2023-11-22 11:55:03', NULL, '2023-11-22 11:55:03', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3039, 9, 1, '037792c9f1b94c47ae833d2623b501a8', '4f2a9b7061dd45c0b42e7126f172348a', 'default', NULL,
        '2024-06-17 20:24:28', NULL, '2023-11-22 12:24:28', NULL, '2023-11-22 12:24:28', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3040, 10, 1, '4f40af9c1eec4a06a70e01c62948fc50', '1e3a2a689553414fa33904189ce3acba', 'default', NULL,
        '2024-06-17 21:11:54', NULL, '2023-11-22 13:11:54', NULL, '2023-11-22 13:11:54', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3041, 10, 1, '5dab27dbeaae4496a0ff08cabf099f08', 'c461fb74189c4ee8a555e448cbcc91e5', 'default', NULL,
        '2024-06-17 22:04:38', NULL, '2023-11-22 14:04:38', NULL, '2023-11-22 14:04:38', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3042, 16, 1, 'e8c1a8d854dc419187754d852a8af3e5', '70b6e288a849455f9d1024a2c9d6dc98', 'default', NULL,
        '2024-06-17 22:14:37', NULL, '2023-11-22 14:14:37', NULL, '2023-11-22 14:14:37', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3043, 10, 1, '04804200bf804e1fbc26765ac44ab68c', 'e3f0bda72e9f4d93984b1631d26d1565', 'default', NULL,
        '2024-06-17 22:16:17', NULL, '2023-11-22 14:16:17', NULL, '2023-11-22 14:16:17', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3044, 10, 1, 'd7676bd28c6049ff840a45d4aca65321', '0d8c97254832476d9672c965597df05b', 'default', NULL,
        '2024-06-17 22:26:26', NULL, '2023-11-22 14:26:26', NULL, '2023-11-22 14:26:26', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3045, 10, 1, 'a44e8a3572ab46ff8e4e88fb4b54e152', '127334423d60416b83c2d7c0780c275a', 'default', NULL,
        '2024-06-17 22:26:37', NULL, '2023-11-22 14:26:37', NULL, '2023-11-22 14:26:37', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3046, 16, 1, 'd2178da7cdcf4306b10756990b8ea66a', '1950fdb401064d1ab3a08a995d25e44f', 'default', NULL,
        '2024-06-17 22:32:22', NULL, '2023-11-22 14:32:22', NULL, '2023-11-22 14:32:22', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3047, 16, 1, 'cba124162a574f3bb013d0a70f056bde', 'cea10316d73f4d94a4e82af4d450feec', 'default', NULL,
        '2024-06-17 22:36:45', NULL, '2023-11-22 14:36:45', NULL, '2023-11-22 14:36:45', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3048, 16, 1, '5ee3a8e4f5384620b5f4833df1cd4e2f', '84c5cd10a4fb49619ab9a424bee84d8e', 'default', NULL,
        '2024-06-17 22:37:08', '16', '2023-11-22 14:37:08', '16', '2023-11-22 14:37:08', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3049, 9, 1, '5a9eee26c97c41ffb9ceb5a98c721ec0', 'ccf98bc8d55c4cb1867116d524f5ddb7', 'default', NULL,
        '2024-06-17 22:38:35', NULL, '2023-11-22 14:38:35', NULL, '2023-11-22 14:38:35', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3050, 11, 1, '9cdd71b7019a4182b512d9522ce9cb30', '55e848c7de4948b7ae5a01ac2fc130f3', 'default', NULL,
        '2024-06-17 22:42:18', NULL, '2023-11-22 14:42:18', NULL, '2023-11-22 14:42:18', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3051, 16, 1, '1a5e7ae371ab4de39d2171bad40e01c6', 'f215c8fd6f454bc2abf4db241cc4bf46', 'default', NULL,
        '2024-06-17 22:43:22', NULL, '2023-11-22 14:43:22', NULL, '2023-11-22 14:43:22', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3052, 9, 1, 'c76690454a314c608c76be665ad703a8', 'b9abde5f06f74d32a0a8cefa85db1691', 'default', NULL,
        '2024-06-17 22:43:56', NULL, '2023-11-22 14:43:56', NULL, '2023-11-22 14:43:56', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3053, 10, 1, '7de5f449203a4c2b9aebde08f2bd1de3', '0b261a07bec341049f24a2b9d9940116', 'default', NULL,
        '2024-06-17 22:44:05', NULL, '2023-11-22 14:44:05', NULL, '2023-11-22 14:44:05', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3054, 11, 1, 'ffc9b5d0e95c459e8d1dcacb68402088', 'f9ef6bd449014416a11237cf6338caa4', 'default', NULL,
        '2024-06-17 22:44:41', NULL, '2023-11-22 14:44:41', NULL, '2023-11-22 14:44:41', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3055, 11, 1, '3b3006b231124bcfafb0ae6a1cf46859', '0f2cfd9f8d51491a85065414d8902771', 'default', NULL,
        '2024-06-17 22:45:51', NULL, '2023-11-22 14:45:51', NULL, '2023-11-22 14:45:51', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3056, 11, 1, '64c36eb27f104e8cb17e978b5efdb2e6', '87ba40551e854812864e6ab769e1e6a5', 'default', NULL,
        '2024-06-17 22:57:03', NULL, '2023-11-22 14:57:03', NULL, '2023-11-22 14:57:03', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3057, 16, 1, 'd28defc26b4640f5b85f2a2027956d49', 'd5943a0fc4464f0bb35da10457a8290a', 'default', NULL,
        '2024-06-17 23:00:23', NULL, '2023-11-22 15:00:23', NULL, '2023-11-22 15:00:23', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3058, 26, 1, '3d933f69e1724597b113d79f951789da', 'ad76ff80b90a4a03a7f96e5002240a29', 'default', NULL,
        '2024-06-17 23:00:52', NULL, '2023-11-22 15:00:52', NULL, '2023-11-22 15:00:52', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3059, 16, 1, '86d3b76c571844b68678c3f2a6bddc33', '59edbc8c1e014e10a1cba6295b178470', 'default', NULL,
        '2024-06-17 23:01:33', NULL, '2023-11-22 15:01:33', NULL, '2023-11-22 15:01:33', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3060, 16, 1, '97f228bd62fe4300a7bb28b0d3bc2535', 'b24ac602a0b544efac12c4013c2d9eb2', 'default', NULL,
        '2024-06-17 23:03:13', NULL, '2023-11-22 15:03:13', NULL, '2023-11-22 15:03:13', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3061, 16, 1, '1c36d7578f774fcaacf5bb2f969f770d', 'ea663c464f0c4f539b4d545a3aa4f128', 'default', NULL,
        '2024-06-17 23:18:36', NULL, '2023-11-22 15:18:36', NULL, '2023-11-22 15:18:36', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3062, 35, 1, '82d638ac57c94604a6d3d7764e841a12', '1437b18627294bef9f4063bd53dbf6ed', 'default', NULL,
        '2024-06-17 23:27:09', NULL, '2023-11-22 15:27:09', NULL, '2023-11-22 15:27:09', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3063, 16, 1, '3ea18fb7c44c41de97950098c8fedff5', '1ed0c316a45a4364b1ac731884a90ce7', 'default', NULL,
        '2024-06-17 23:30:07', NULL, '2023-11-22 15:30:07', NULL, '2023-11-22 15:30:07', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3064, 16, 1, '2f51f97c4deb4664872a82ac240c57bb', 'abe62aadbade406d941e11fedbb64459', 'default', NULL,
        '2024-06-17 23:31:41', NULL, '2023-11-22 15:31:41', NULL, '2023-11-22 15:31:41', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3065, 11, 1, '29402c543a90449a9b96505e66c15563', '5d0c4c3e38a64bc687d4ef620ade7eba', 'default', NULL,
        '2024-06-17 23:31:44', NULL, '2023-11-22 15:31:44', NULL, '2023-11-22 15:31:44', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3066, 11, 1, '23ff9d9c31c64388a59a0c822be381bc', '228400de0a5145d180594a18c11ec9b1', 'default', NULL,
        '2024-06-17 23:31:59', NULL, '2023-11-22 15:31:59', NULL, '2023-11-22 15:31:59', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3067, 11, 1, '4d5407f9c06f41aca7998b099838b723', '623e0d67c4bb4017b9f02609ce2eaab6', 'default', NULL,
        '2024-06-17 23:32:22', NULL, '2023-11-22 15:32:22', NULL, '2023-11-22 15:32:22', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3068, 16, 1, '99836d35ec8b49ba9a3a8d59576a3390', '8b2ab58085bd4bf6996cee8144306d30', 'default', NULL,
        '2024-06-17 23:32:36', NULL, '2023-11-22 15:32:36', NULL, '2023-11-22 15:32:36', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3069, 11, 1, '6e354efd745446b7b766b2257c550660', 'ab8181850c9c4a2e828dbaba85ff10e0', 'default', NULL,
        '2024-06-17 23:32:39', NULL, '2023-11-22 15:32:39', NULL, '2023-11-22 15:32:39', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3070, 11, 1, '288b955b10824db9a2a9a7194a3b4316', 'c162687ce7f04a55b5a882a03631e7af', 'default', NULL,
        '2024-06-17 23:32:56', NULL, '2023-11-22 15:32:56', NULL, '2023-11-22 15:32:56', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3071, 11, 1, 'bf44d85eb6184154b1943a2954c9f822', '3c8b72719c7f4f8cb11e6d599cfddb30', 'default', NULL,
        '2024-06-17 23:33:19', NULL, '2023-11-22 15:33:19', NULL, '2023-11-22 15:33:19', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3072, 11, 1, 'eb090d7b18eb4122988fbf1a1fdcb803', 'efcae6a0f89145da875eeb60e577c451', 'default', NULL,
        '2024-06-17 23:33:42', NULL, '2023-11-22 15:33:42', NULL, '2023-11-22 15:33:42', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3073, 15, 1, 'fbeb423192874d499864765fcd260605', '8b51144141a546b3a15e26bb7333723c', 'default', NULL,
        '2024-06-17 23:36:06', NULL, '2023-11-22 15:36:06', NULL, '2023-11-22 15:36:06', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3074, 35, 1, 'f5c99766d79e4262a714cfd51175b777', 'd9b5bf9747e54c40b89f5f41996b11a7', 'default', NULL,
        '2024-06-17 23:37:53', NULL, '2023-11-22 15:37:53', NULL, '2023-11-22 15:37:53', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3075, 35, 1, '58b31ea6f05b4d998567d75144dfb195', '2ccd617111e040d68a4e8c3b458d4fd3', 'default', NULL,
        '2024-06-17 23:55:29', NULL, '2023-11-22 15:55:29', NULL, '2023-11-22 15:55:29', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3076, 35, 1, '8958e3306c81441490edb9a6801007be', '08e6d24efa9649efab3c593330dad0eb', 'default', NULL,
        '2024-06-17 23:55:47', '35', '2023-11-22 15:55:47', '35', '2023-11-22 15:55:47', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3077, 16, 1, '5e4aaa776bab4a1ea0506e34dac311a7', '4d716c1ee12a4462913b6f805f2d5b71', 'default', NULL,
        '2024-06-18 00:04:50', NULL, '2023-11-22 16:04:50', NULL, '2023-11-22 16:04:50', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3078, 15, 1, '385ed49b8e6845dc8ca8fbb8afd05801', 'cd064637b73344c8901fab5006083768', 'default', NULL,
        '2024-06-18 00:08:16', NULL, '2023-11-22 16:08:16', NULL, '2023-11-22 16:08:16', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3079, 1, 2, '4391c1156a4341d8b242f279853d02ff', '46c48a82423645c18f784ec79d1703b3', 'default', NULL,
        '2024-06-18 00:17:23', NULL, '2023-11-22 16:17:23', NULL, '2023-11-22 17:52:27', b'1', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3080, 15, 1, '2163dcbc604941ceae9ca18b36b8870b', '446481c573574a7cb7719bbeb942daf5', 'default', NULL,
        '2024-06-18 00:26:30', NULL, '2023-11-22 16:26:30', NULL, '2023-11-22 16:26:30', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3081, 15, 1, '9ad23d170a284ebbb0675dda191b3872', '360bc287600344ba8f87274a33644376', 'default', NULL,
        '2024-06-18 00:51:32', NULL, '2023-11-22 16:51:32', NULL, '2023-11-22 16:51:32', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3082, 15, 1, '8db5d72def41438395f9577c16b0014d', 'abee2d25163e468aa8050d8e9d2e322f', 'default', NULL,
        '2024-06-18 00:54:08', NULL, '2023-11-22 16:54:08', NULL, '2023-11-22 16:54:08', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3083, 35, 1, 'e1cbdef6d9db43febbccef5b7c1bb738', 'bc8a29666cf240f9bf562c352f414803', 'default', NULL,
        '2024-06-18 00:55:31', NULL, '2023-11-22 16:55:31', NULL, '2023-11-22 16:55:31', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3084, 15, 1, '525a30f44a9e4d94b6e40ec727010f3b', 'e90ad9e06b4941799e6f88702da9b70c', 'default', NULL,
        '2024-06-18 00:56:36', NULL, '2023-11-22 16:56:36', NULL, '2023-11-22 16:56:36', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3085, 15, 1, 'a3341aa1e35740088746327336ea5d7d', 'a238cbc8bbb84fe48992421910969834', 'default', NULL,
        '2024-06-18 00:57:13', NULL, '2023-11-22 16:57:13', NULL, '2023-11-22 16:57:13', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3086, 15, 1, '7274a650a88448068d3657d1a9fc48a8', '62788f78a5414d818f769934e9a5ba2b', 'default', NULL,
        '2024-06-18 01:00:54', NULL, '2023-11-22 17:00:54', NULL, '2023-11-22 17:00:54', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3087, 15, 1, '2bf6e65a4159461ca69c2a53009b06e7', '4c97c2a1864242fa88155451a23ba9fb', 'default', NULL,
        '2024-06-18 01:04:05', NULL, '2023-11-22 17:04:05', NULL, '2023-11-22 17:04:05', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3088, 15, 1, '146be774c08e4d2f919552244c99d1f7', '14c7a984e8b64868910a14c227f893ae', 'default', NULL,
        '2024-06-18 01:05:53', NULL, '2023-11-22 17:05:53', NULL, '2023-11-22 17:05:53', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3089, 15, 1, '5d68c3b22e8b4de9bb5169b3bdf9cf07', '2c3bd5b139ef4b43a95a5ca80470c24f', 'default', NULL,
        '2024-06-18 01:12:03', NULL, '2023-11-22 17:12:03', NULL, '2023-11-22 17:12:03', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3090, 15, 1, 'b641bac3edb14ea380eb15c1ec8bc543', '91eabb0a76a54e348051abe682555c30', 'default', NULL,
        '2024-06-18 01:12:38', NULL, '2023-11-22 17:12:38', NULL, '2023-11-22 17:12:38', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3091, 15, 1, '36aa6c50b9d54913af64cc458df35bba', '7dc22f9d2647439ba76a8094602c94d2', 'default', NULL,
        '2024-06-18 01:16:55', NULL, '2023-11-22 17:16:55', NULL, '2023-11-22 17:16:55', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3092, 15, 1, '30159f760b9b4dd9868f209423b5f715', '7bb0a1ac94cc44c3ac5b547c806c2286', 'default', NULL,
        '2024-06-18 01:21:15', NULL, '2023-11-22 17:21:15', NULL, '2023-11-22 17:21:15', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3093, 15, 1, '932b36f6bb5b4fe2955d1a923e1a434e', '0297e94bea5442e38250cb263f3ab06f', 'default', NULL,
        '2024-06-18 01:25:29', NULL, '2023-11-22 17:25:29', NULL, '2023-11-22 17:25:29', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3094, 36, 1, 'f7ea3936e9d34eb89dead63c19d8ec29', 'bf15d0975e8d49f698d4f1f16f024e1b', 'default', NULL,
        '2024-06-18 01:29:08', NULL, '2023-11-22 17:29:08', NULL, '2023-11-22 17:29:08', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3095, 15, 1, '2cccfab6e41941b982fe5dd02c867bb4', '451025c4a4ef4615ab5bbbb36e20b7cf', 'default', NULL,
        '2024-06-18 01:34:02', NULL, '2023-11-22 17:34:02', NULL, '2023-11-22 17:34:02', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3096, 15, 1, 'd5c091f701d342b7a9d64001a99c5b06', 'b03106fb5b974ac4957f966216bf5086', 'default', NULL,
        '2024-06-18 01:46:45', NULL, '2023-11-22 17:46:45', NULL, '2023-11-22 17:46:45', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3097, 16, 1, 'e3bba4a97a48453caf6dc86e0f9d8eef', '3aef8c02d5664574834a19232cf549ba', 'default', NULL,
        '2024-06-18 01:46:50', NULL, '2023-11-22 17:46:50', NULL, '2023-11-22 17:46:50', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3098, 15, 1, '4d47bffccbe840feaf09848ab76df715', '3a3d2f611dd84acf808e122079424f87', 'default', NULL,
        '2024-06-18 01:56:30', NULL, '2023-11-22 17:56:30', NULL, '2023-11-22 17:56:30', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3099, 15, 1, 'abadc90e74bd4cf3831d74006d822667', '9fe95167a2ef436ba3f82938b37d794e', 'default', NULL,
        '2024-06-18 02:06:09', NULL, '2023-11-22 18:06:09', NULL, '2023-11-22 18:06:09', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3100, 15, 1, 'ed9831e8a9af4007a95938b4c6d96d69', 'e054c4d3ac62401797648e7942225d00', 'default', NULL,
        '2024-06-18 02:11:13', NULL, '2023-11-22 18:11:13', NULL, '2023-11-22 18:11:13', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3101, 35, 1, '76c3aa36c45a4f5086f12e0a24abeff0', 'a8ec898f7aba48b6b42d099d98cc7a26', 'default', NULL,
        '2024-06-18 02:16:07', NULL, '2023-11-22 18:16:07', NULL, '2023-11-22 18:16:07', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3102, 15, 1, '8a2096903cb84a4b83064d25fe591e7b', '977d0080b11749aa869c812e4bda4264', 'default', NULL,
        '2024-06-18 02:16:28', NULL, '2023-11-22 18:16:28', NULL, '2023-11-22 18:16:28', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3103, 35, 1, 'c3c6bb7043ae4d319366c4b82dc76a33', 'ce22ef91aeb2422bb268f8e04892bbaa', 'default', NULL,
        '2024-06-18 02:18:04', NULL, '2023-11-22 18:18:04', NULL, '2023-11-22 18:18:04', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3104, 35, 1, '5761004c10ac4423bf9cc22e925a325d', '88757684722345728c1480a7f5686e0a', 'default', NULL,
        '2024-06-18 02:44:46', '10', '2023-11-22 18:44:46', '10', '2023-11-22 18:44:46', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3105, 35, 1, '2c0a08738cd0453eb0d26cb80e078a75', 'df721d90a74b420aae8eab3c429d3b64', 'default', NULL,
        '2024-06-18 02:45:10', NULL, '2023-11-22 18:45:10', NULL, '2023-11-22 18:45:10', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3106, 16, 1, '2c750b22de0d4015a5ec154f237a9977', '6bbcbde75c9347d0a3f40731b376e408', 'default', NULL,
        '2024-06-18 02:46:36', NULL, '2023-11-22 18:46:36', NULL, '2023-11-22 18:46:36', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3107, 16, 1, 'ab47b0d8fff64a0385c926893c8e0460', '928ba2645acb46b5b2db814c8b9a0763', 'default', NULL,
        '2024-06-18 02:46:52', NULL, '2023-11-22 18:46:52', NULL, '2023-11-22 18:46:52', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3108, 1, 2, '761c11103baf4986ac901552c76e86dd', '3b4113c67910403dac441a4a27c981a5', 'default', NULL,
        '2024-06-18 02:49:25', NULL, '2023-11-22 18:49:25', NULL, '2023-11-22 18:49:25', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3109, 1, 2, '2cc85e8b1f3d45518b65aee14629313e', 'bc8a7fd1c2b24afead45dbfc79492d1c', 'default', NULL,
        '2024-06-18 03:01:09', NULL, '2023-11-22 19:01:09', NULL, '2023-11-22 19:01:09', b'0', 0);
INSERT INTO `system_oauth2_access_token` (`id`, `user_id`, `user_type`, `access_token`, `refresh_token`, `client_id`,
                                          `scopes`, `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                          `deleted`, `tenant_id`)
VALUES (3110, 1, 2, '1495cc7441e5496992aa54ec320bf6c7', '7c9d70b925004e529544144f4463c447', 'default', NULL,
        '2024-06-18 05:21:47', NULL, '2023-11-22 21:21:47', NULL, '2023-11-22 21:21:47', b'0', 0);
COMMIT;

-- ----------------------------
-- Table structure for system_oauth2_approve
-- ----------------------------
DROP TABLE IF EXISTS `system_oauth2_approve`;
CREATE TABLE `system_oauth2_approve`
(
    `id`           bigint(20) NOT NULL AUTO_INCREMENT COMMENT '编号',
    `user_id`      bigint(20) NOT NULL COMMENT '用户编号',
    `user_type`    tinyint(4) NOT NULL COMMENT '用户类型',
    `client_id`    varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '客户端编号',
    `scope`        varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '授权范围',
    `approved`     bit(1)                                  NOT NULL DEFAULT b'0' COMMENT '是否接受',
    `expires_time` datetime                                NOT NULL COMMENT '过期时间',
    `creator`      varchar(64) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '创建者',
    `create_time`  datetime                                NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater`      varchar(64) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '更新者',
    `update_time`  datetime                                NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted`      bit(1)                                  NOT NULL DEFAULT b'0' COMMENT '是否删除',
    `tenant_id`    bigint(20) NOT NULL DEFAULT '0' COMMENT '租户编号',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=82 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='OAuth2 批准表';

-- ----------------------------
-- Records of system_oauth2_approve
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for system_oauth2_client
-- ----------------------------
DROP TABLE IF EXISTS `system_oauth2_client`;
CREATE TABLE `system_oauth2_client`
(
    `id`                             bigint(20) NOT NULL AUTO_INCREMENT COMMENT '编号',
    `client_id`                      varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '客户端编号',
    `secret`                         varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '客户端密钥',
    `name`                           varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '应用名',
    `logo`                           varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '应用图标',
    `description`                    varchar(255) COLLATE utf8mb4_unicode_ci          DEFAULT NULL COMMENT '应用描述',
    `status`                         tinyint(4) NOT NULL COMMENT '状态',
    `access_token_validity_seconds`  int(11) NOT NULL COMMENT '访问令牌的有效期',
    `refresh_token_validity_seconds` int(11) NOT NULL COMMENT '刷新令牌的有效期',
    `redirect_uris`                  varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '可重定向的 URI 地址',
    `authorized_grant_types`         varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '授权类型',
    `scopes`                         varchar(255) COLLATE utf8mb4_unicode_ci          DEFAULT NULL COMMENT '授权范围',
    `auto_approve_scopes`            varchar(255) COLLATE utf8mb4_unicode_ci          DEFAULT NULL COMMENT '自动通过的授权范围',
    `authorities`                    varchar(255) COLLATE utf8mb4_unicode_ci          DEFAULT NULL COMMENT '权限',
    `resource_ids`                   varchar(255) COLLATE utf8mb4_unicode_ci          DEFAULT NULL COMMENT '资源',
    `additional_information`         varchar(4096) COLLATE utf8mb4_unicode_ci         DEFAULT NULL COMMENT '附加信息',
    `creator`                        varchar(64) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '创建者',
    `create_time`                    datetime                                NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater`                        varchar(64) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '更新者',
    `update_time`                    datetime                                NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted`                        bit(1)                                  NOT NULL DEFAULT b'0' COMMENT '是否删除',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=43 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='OAuth2 客户端表';

-- ----------------------------
-- Records of system_oauth2_client
-- ----------------------------
BEGIN;
INSERT INTO `system_oauth2_client` (`id`, `client_id`, `secret`, `name`, `logo`, `description`, `status`,
                                    `access_token_validity_seconds`, `refresh_token_validity_seconds`, `redirect_uris`,
                                    `authorized_grant_types`, `scopes`, `auto_approve_scopes`, `authorities`,
                                    `resource_ids`, `additional_information`, `creator`, `create_time`, `updater`,
                                    `update_time`, `deleted`)
VALUES (1, 'default', 'admin123', 'yshop', 'http://test.yshop.iocoder.cn/a5e2e244368878a366b516805a4aabf1.png',
        '我是描述', 0, 18000000, 43200, '[\"https://www.iocoder.cn\",\"https://doc.iocoder.cn\"]',
        '[\"password\",\"authorization_code\",\"implicit\",\"refresh_token\"]', '[\"user.read\",\"user.write\"]', '[]',
        '[\"user.read\",\"user.write\"]', '[]', '{}', '1', '2022-05-11 21:47:12', '1', '2023-06-12 10:01:30', b'0');
INSERT INTO `system_oauth2_client` (`id`, `client_id`, `secret`, `name`, `logo`, `description`, `status`,
                                    `access_token_validity_seconds`, `refresh_token_validity_seconds`, `redirect_uris`,
                                    `authorized_grant_types`, `scopes`, `auto_approve_scopes`, `authorities`,
                                    `resource_ids`, `additional_information`, `creator`, `create_time`, `updater`,
                                    `update_time`, `deleted`)
VALUES (40, 'test', 'test2', 'biubiu', 'http://test.yshop.iocoder.cn/277a899d573723f1fcdfb57340f00379.png', NULL, 0,
        1800, 43200, '[\"https://www.iocoder.cn\"]', '[\"password\",\"authorization_code\",\"implicit\"]',
        '[\"user_info\",\"projects\"]', '[\"user_info\"]', '[]', '[]', '{}', '1', '2022-05-12 00:28:20', '1',
        '2022-06-19 00:26:13', b'0');
INSERT INTO `system_oauth2_client` (`id`, `client_id`, `secret`, `name`, `logo`, `description`, `status`,
                                    `access_token_validity_seconds`, `refresh_token_validity_seconds`, `redirect_uris`,
                                    `authorized_grant_types`, `scopes`, `auto_approve_scopes`, `authorities`,
                                    `resource_ids`, `additional_information`, `creator`, `create_time`, `updater`,
                                    `update_time`, `deleted`)
VALUES (41, 'yshop-sso-demo-by-code', 'test', '基于授权码模式，如何实现 SSO 单点登录？',
        'http://test.yshop.iocoder.cn/fe4ed36596adad5120036ef61a6d0153654544d44af8dd4ad3ffe8f759933d6f.png', NULL, 0,
        1800, 43200, '[\"http://127.0.0.1:18080\"]', '[\"authorization_code\",\"refresh_token\"]',
        '[\"user.read\",\"user.write\"]', '[]', '[]', '[]', NULL, '1', '2022-09-29 13:28:31', '1',
        '2022-09-29 13:28:31', b'0');
INSERT INTO `system_oauth2_client` (`id`, `client_id`, `secret`, `name`, `logo`, `description`, `status`,
                                    `access_token_validity_seconds`, `refresh_token_validity_seconds`, `redirect_uris`,
                                    `authorized_grant_types`, `scopes`, `auto_approve_scopes`, `authorities`,
                                    `resource_ids`, `additional_information`, `creator`, `create_time`, `updater`,
                                    `update_time`, `deleted`)
VALUES (42, 'yshop-sso-demo-by-password', 'test', '基于密码模式，如何实现 SSO 单点登录？',
        'http://test.yshop.iocoder.cn/604bdc695e13b3b22745be704d1f2aa8ee05c5f26f9fead6d1ca49005afbc857.jpeg', NULL, 0,
        1800, 43200, '[\"http://127.0.0.1:18080\"]', '[\"password\",\"refresh_token\"]',
        '[\"user.read\",\"user.write\"]', '[]', '[]', '[]', NULL, '1', '2022-10-04 17:40:16', '1',
        '2022-10-04 20:31:21', b'0');
COMMIT;

-- ----------------------------
-- Table structure for system_oauth2_code
-- ----------------------------
DROP TABLE IF EXISTS `system_oauth2_code`;
CREATE TABLE `system_oauth2_code`
(
    `id`           bigint(20) NOT NULL AUTO_INCREMENT COMMENT '编号',
    `user_id`      bigint(20) NOT NULL COMMENT '用户编号',
    `user_type`    tinyint(4) NOT NULL COMMENT '用户类型',
    `code`         varchar(32) COLLATE utf8mb4_unicode_ci  NOT NULL COMMENT '授权码',
    `client_id`    varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '客户端编号',
    `scopes`       varchar(255) COLLATE utf8mb4_unicode_ci          DEFAULT '' COMMENT '授权范围',
    `expires_time` datetime                                NOT NULL COMMENT '过期时间',
    `redirect_uri` varchar(255) COLLATE utf8mb4_unicode_ci          DEFAULT NULL COMMENT '可重定向的 URI 地址',
    `state`        varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '状态',
    `creator`      varchar(64) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '创建者',
    `create_time`  datetime                                NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater`      varchar(64) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '更新者',
    `update_time`  datetime                                NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted`      bit(1)                                  NOT NULL DEFAULT b'0' COMMENT '是否删除',
    `tenant_id`    bigint(20) NOT NULL DEFAULT '0' COMMENT '租户编号',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=147 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='OAuth2 授权码表';

-- ----------------------------
-- Records of system_oauth2_code
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for system_oauth2_refresh_token
-- ----------------------------
DROP TABLE IF EXISTS `system_oauth2_refresh_token`;
CREATE TABLE `system_oauth2_refresh_token`
(
    `id`            bigint(20) NOT NULL AUTO_INCREMENT COMMENT '编号',
    `user_id`       bigint(20) NOT NULL COMMENT '用户编号',
    `refresh_token` varchar(32) COLLATE utf8mb4_unicode_ci  NOT NULL COMMENT '刷新令牌',
    `user_type`     tinyint(4) NOT NULL COMMENT '用户类型',
    `client_id`     varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '客户端编号',
    `scopes`        varchar(255) COLLATE utf8mb4_unicode_ci          DEFAULT NULL COMMENT '授权范围',
    `expires_time`  datetime                                NOT NULL COMMENT '过期时间',
    `creator`       varchar(64) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '创建者',
    `create_time`   datetime                                NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater`       varchar(64) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '更新者',
    `update_time`   datetime                                NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted`       bit(1)                                  NOT NULL DEFAULT b'0' COMMENT '是否删除',
    `tenant_id`     bigint(20) NOT NULL DEFAULT '0' COMMENT '租户编号',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=1424 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='OAuth2 刷新令牌';

-- ----------------------------
-- Records of system_oauth2_refresh_token
-- ----------------------------
BEGIN;
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (738, 1, '75d6f57cd13f45f698eaaf0b74369a1c', 2, 'default', NULL, '2023-05-08 04:51:51', NULL,
        '2023-05-07 16:51:51', NULL, '2023-05-08 16:54:21', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (739, 1, 'db0011c8e0fd48109c48197df22ef128', 2, 'default', NULL, '2023-05-09 04:54:46', NULL,
        '2023-05-08 16:54:46', NULL, '2023-05-08 16:54:46', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (740, 1, '14cedafe6b3f487eb8ae512e13e952c8', 2, 'default', NULL, '2023-05-09 06:31:31', NULL,
        '2023-05-08 18:31:31', NULL, '2023-05-08 18:32:25', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (741, 1, 'bf6a7aeedecc45d5ac838d5b70796f23', 2, 'default', NULL, '2023-05-09 06:32:29', NULL,
        '2023-05-08 18:32:29', NULL, '2023-05-09 09:02:22', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (742, 1, '81ed7c3c95ff401d924a03dca1c68ad3', 2, 'default', NULL, '2023-05-09 22:26:29', NULL,
        '2023-05-09 10:26:29', NULL, '2023-05-09 10:26:58', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (743, 1, 'f61a5716e1474e1084e7a2b786b578ab', 2, 'default', NULL, '2023-05-09 22:48:22', NULL,
        '2023-05-09 10:48:22', NULL, '2023-05-09 10:48:34', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (744, 1, '3c23acaae6a946198bca90ba94abf027', 2, 'default', NULL, '2023-05-09 22:48:37', NULL,
        '2023-05-09 10:48:37', NULL, '2023-05-10 09:27:38', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (745, 1, '8df8c5baa0ab4bec8f5f95c31343370b', 2, 'default', NULL, '2023-05-10 21:29:09', NULL,
        '2023-05-10 09:29:09', NULL, '2023-05-10 09:29:09', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (746, 1, 'c5124e55bafe4967901b8b6f77758f59', 2, 'default', NULL, '2023-05-10 21:45:47', '1',
        '2023-05-10 09:45:47', '1', '2023-05-10 10:00:48', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (747, 1, '2a3c46462eb04bfdbe25f6f482619bc0', 2, 'default', NULL, '2023-05-10 22:00:53', NULL,
        '2023-05-10 10:00:53', NULL, '2023-05-10 10:35:30', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (748, 1, '1a8890095585477ebf4e219c70eb8633', 2, 'default', NULL, '2023-05-10 22:35:33', NULL,
        '2023-05-10 10:35:33', NULL, '2023-05-10 15:19:11', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (749, 1, '0018c33a1ba64bcebc51cacba9c8e91a', 2, 'default', NULL, '2023-05-11 03:19:17', NULL,
        '2023-05-10 15:19:17', NULL, '2023-05-11 05:14:51', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (750, 1, '103842f78cda4e17908fd715d8a18687', 2, 'default', NULL, '2023-05-13 00:45:18', NULL,
        '2023-05-12 12:45:18', NULL, '2023-05-15 16:46:49', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (751, 1, '0bbbd3b67f3f424a869e3440c1544d00', 2, 'default', NULL, '2023-05-16 04:47:03', NULL,
        '2023-05-15 16:47:03', NULL, '2023-05-16 10:48:01', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (752, 1, '6b340d3763424b9d90e3681640a36396', 2, 'default', NULL, '2023-05-16 22:50:23', NULL,
        '2023-05-16 10:50:23', NULL, '2023-05-17 00:59:35', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (753, 1, '43a4b47a53b640b18eeb891337f74ab5', 2, 'default', NULL, '2023-05-16 22:51:52', NULL,
        '2023-05-16 10:51:52', NULL, '2023-05-16 10:51:52', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (754, 1, '61e37d8c2a5e4701bc524385c7f16d6e', 2, 'default', NULL, '2023-05-17 21:43:18', NULL,
        '2023-05-17 09:43:18', NULL, '2023-05-17 10:36:15', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (755, 1, 'da42d08c27ec49c78ba758c4ea437f93', 2, 'default', NULL, '2023-05-17 22:36:24', NULL,
        '2023-05-17 10:36:24', NULL, '2023-05-17 15:32:29', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (756, 1, '980cc8b48f644d5ebf23f8ad67ea970a', 2, 'default', NULL, '2023-05-18 03:32:36', NULL,
        '2023-05-17 15:32:36', NULL, '2023-05-18 05:11:25', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (757, 1, '79eea49740de4c818263547f73259576', 2, 'default', NULL, '2023-05-18 22:08:43', NULL,
        '2023-05-18 10:08:43', NULL, '2023-05-18 22:38:09', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (758, 1, '57bb985009dc4cf7bddc6ad79af3c7d2', 2, 'default', NULL, '2023-05-19 23:15:16', NULL,
        '2023-05-19 11:15:16', NULL, '2023-05-20 00:04:35', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (759, 1, '4acc066051154ac4999e5e96d7ea45db', 2, 'default', NULL, '2023-05-21 09:06:58', NULL,
        '2023-05-20 21:06:58', NULL, '2023-05-21 16:18:00', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (760, 1, 'da94f8ec79fe4700a46863423341f6df', 2, 'default', NULL, '2023-05-22 09:38:22', NULL,
        '2023-05-21 21:38:22', NULL, '2023-05-21 21:38:22', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (761, 1, '414461f65aef434486d8c6f82eb32a1b', 2, 'default', NULL, '2023-05-22 11:02:11', NULL,
        '2023-05-21 23:02:11', NULL, '2023-05-22 22:56:28', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (762, 1, 'd2a7614495424a1bb0ba5cae79b5660f', 2, 'default', NULL, '2023-05-23 00:03:17', NULL,
        '2023-05-22 12:03:17', NULL, '2023-05-22 15:27:51', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (763, 1, '8282b6e8597342348fe04b2642724c39', 2, 'default', NULL, '2023-05-23 03:27:57', NULL,
        '2023-05-22 15:27:57', NULL, '2023-05-23 03:46:39', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (764, 1, 'c04ed4b71f204ed89492b8bb1bd32e5c', 2, 'default', NULL, '2023-05-23 10:56:45', NULL,
        '2023-05-22 22:56:45', NULL, '2023-05-22 22:56:45', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (765, 1, '8757f7827c804c34bd651ca808c9839b', 2, 'default', NULL, '2023-05-23 21:21:05', NULL,
        '2023-05-23 09:21:05', NULL, '2023-05-23 09:21:05', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (766, 1, '07b76869ffa64fcab8ba24b1a801e927', 2, 'default', NULL, '2023-05-23 21:21:27', NULL,
        '2023-05-23 09:21:27', NULL, '2023-05-23 21:46:30', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (767, 1, 'b906d47492234acea35e538d48731a0e', 2, 'default', NULL, '2023-05-24 21:27:39', NULL,
        '2023-05-24 09:27:39', NULL, '2023-05-24 09:27:39', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (768, 1, '811f1a7504aa466986ebb5fd1b192515', 2, 'default', NULL, '2023-05-24 21:27:45', '1',
        '2023-05-24 09:27:45', '1', '2023-05-24 21:33:20', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (769, 1, 'd1dece0cd9854a1b85eed67d7f497145', 2, 'default', NULL, '2023-05-25 23:35:10', NULL,
        '2023-05-25 11:35:10', NULL, '2023-05-25 11:35:10', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (770, 1, '82da81c9c311442fbbad0f1113409c25', 2, 'default', NULL, '2023-05-26 08:21:00', NULL,
        '2023-05-25 20:21:00', NULL, '2023-05-25 21:08:53', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (771, 1, 'b68dc49d5f9b458ea0a32b7b9c887db2', 2, 'default', NULL, '2023-05-26 09:08:59', NULL,
        '2023-05-25 21:08:59', NULL, '2023-05-26 09:34:11', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (772, 1, '74f587d57d6f4b65abb6d92b0ace4f40', 2, 'default', NULL, '2023-05-27 01:42:20', NULL,
        '2023-05-26 13:42:20', NULL, '2023-05-26 14:24:03', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (773, 1, 'abf7a1ce40064aa5a37227b6f7d62aa0', 2, 'default', NULL, '2023-05-27 02:24:12', NULL,
        '2023-05-26 14:24:12', NULL, '2023-05-27 08:30:31', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (774, 1, 'b62853c9ec43460ba30cedf702c7fe5f', 2, 'default', NULL, '2023-05-27 21:22:40', NULL,
        '2023-05-27 09:22:40', NULL, '2023-05-28 03:05:43', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (775, 1, 'c1208eb5fa524dbe963749e32bbde4d8', 2, 'default', NULL, '2023-05-29 23:00:51', NULL,
        '2023-05-29 11:00:51', NULL, '2023-05-29 11:01:05', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (776, 1, '235c06181be84d08a9f998ebee24e322', 2, 'default', NULL, '2023-05-29 23:01:10', NULL,
        '2023-05-29 11:01:10', NULL, '2023-05-30 09:42:56', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (777, 1, '702799f0a1884f829228081eb0f6b5a3', 2, 'default', NULL, '2023-05-30 21:49:00', NULL,
        '2023-05-30 09:49:00', NULL, '2023-05-30 09:49:00', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (778, 1, '16c477193d724699a7c8d620107276b5', 2, 'default', NULL, '2023-05-30 23:39:51', NULL,
        '2023-05-30 11:39:51', NULL, '2023-05-31 09:57:03', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (779, 1, '76b773a262624494818afd620821ec74', 2, 'default', NULL, '2023-06-01 22:55:15', NULL,
        '2023-06-01 10:55:15', NULL, '2023-06-01 10:55:35', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (780, 1, 'c16f0acf460e4b32a477579661bbd1b9', 2, 'default', NULL, '2023-06-01 23:04:43', NULL,
        '2023-06-01 11:04:43', NULL, '2023-06-01 11:04:43', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (781, 1, '497b7a5ec819442f85c0e394b72bcd60', 2, 'default', NULL, '2023-06-01 23:04:58', '1',
        '2023-06-01 11:04:58', '1', '2023-06-02 09:08:23', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (782, 1, 'c6170b3b14eb42e7acb9e21767f2930c', 2, 'default', NULL, '2023-06-02 21:33:20', NULL,
        '2023-06-02 09:33:20', NULL, '2023-06-02 09:33:25', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (783, 1, 'b60b9d572ec04e01933d00b0dfa9f7f5', 2, 'default', NULL, '2023-06-02 21:49:02', NULL,
        '2023-06-02 09:49:02', NULL, '2023-06-02 18:37:25', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (784, 1, '37861861ddc7421a8c1e876b7ec11ad0', 2, 'default', NULL, '2023-06-03 06:37:30', NULL,
        '2023-06-02 18:37:30', NULL, '2023-06-03 10:42:02', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (785, 1, '33515798070641158c8693c82714ce0d', 2, 'default', NULL, '2023-06-04 00:00:22', NULL,
        '2023-06-03 12:00:22', NULL, '2023-06-04 07:10:32', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (786, 1, '0e8f4e464f504e89b008fda4eca729a8', 2, 'default', NULL, '2023-06-05 23:11:45', NULL,
        '2023-06-05 11:11:45', NULL, '2023-06-06 09:54:56', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (787, 1, '120e0ca028d140c78d61999dd3ec90f2', 2, 'default', NULL, '2023-06-06 22:03:25', NULL,
        '2023-06-06 10:03:25', NULL, '2023-06-06 10:03:25', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (788, 1, '5d15336636414c0b8472635e68805e58', 2, 'default', NULL, '2023-06-06 23:03:43', NULL,
        '2023-06-06 11:03:43', NULL, '2023-06-07 13:54:28', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (789, 1, '9e7a7aa710fa4198a1e452d091f193da', 2, 'default', NULL, '2023-06-08 21:54:26', NULL,
        '2023-06-08 09:54:26', NULL, '2023-06-08 09:54:26', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (790, 1, 'a546f4a777034766af9fec069ebb5f19', 2, 'default', NULL, '2023-06-08 21:56:11', NULL,
        '2023-06-08 09:56:11', NULL, '2023-06-08 22:42:59', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (791, 1, '33f11f5232d1449ca8c9daa50f9bb9e2', 2, 'default', NULL, '2023-06-10 02:48:41', NULL,
        '2023-06-09 14:48:41', NULL, '2023-06-09 17:25:44', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (792, 1, '555a6039a2ed451ca202b2e8dcbe9f93', 2, 'default', NULL, '2023-06-10 05:25:59', NULL,
        '2023-06-09 17:25:59', NULL, '2023-06-09 17:25:59', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (793, 1, 'b3e84d40158340398cfe84332d27495b', 2, 'default', NULL, '2023-06-10 05:26:11', '1',
        '2023-06-09 17:26:11', '1', '2023-06-09 17:26:11', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (794, 1, '97fb6cd0476a42749d2662ed0fc3ca5d', 2, 'default', NULL, '2023-06-10 05:36:20', NULL,
        '2023-06-09 17:36:20', NULL, '2023-06-09 17:36:20', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (795, 1, '4a51598c76f64b82ab001d4e5bd59ad2', 2, 'default', NULL, '2023-06-10 05:36:59', '1',
        '2023-06-09 17:36:59', '1', '2023-06-09 17:43:49', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (796, 1, 'a8b9943948484e7ba2103d353335dfd1', 2, 'default', NULL, '2023-06-10 05:44:00', NULL,
        '2023-06-09 17:44:00', NULL, '2023-06-10 09:44:19', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (797, 1, 'e426e6a72baf4ea584ccaef1fb0a3acf', 2, 'default', NULL, '2023-06-10 21:45:55', NULL,
        '2023-06-10 09:45:55', NULL, '2023-06-10 09:45:55', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (798, 1, 'e49c80d9a2e247f4bab9aa9313600448', 2, 'default', NULL, '2023-06-10 23:14:53', NULL,
        '2023-06-10 11:14:53', NULL, '2023-06-10 11:14:53', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (799, 1, '7083c08db00d440b93d37fbd820ebc52', 2, 'default', NULL, '2023-06-10 23:16:28', NULL,
        '2023-06-10 11:16:28', NULL, '2023-06-10 12:00:28', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (800, 1, 'a0c6952ee35c45a4a8b4772b15d745b1', 2, 'default', NULL, '2023-06-11 03:10:04', NULL,
        '2023-06-10 15:10:04', NULL, '2023-06-11 07:05:53', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (801, 2, '1596bc4857f842bf9938b3669f19f956', 1, 'default', NULL, '2023-06-11 03:45:43', NULL,
        '2023-06-10 15:45:43', NULL, '2023-06-10 15:45:43', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (802, 1, 'e7c71a778489416581c5b9a49b8c2f6a', 2, 'default', NULL, '2023-06-12 21:56:24', NULL,
        '2023-06-12 09:56:24', NULL, '2023-06-12 09:56:24', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (803, 1, '24e198c7896746d89327e6d2428ab62f', 2, 'default', NULL, '2023-06-13 03:07:00', NULL,
        '2023-06-12 15:07:00', NULL, '2023-06-13 10:21:25', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (804, 1, '5ded84e2914c4f20b01774f5c672da1b', 2, 'default', NULL, '2023-06-13 22:21:29', NULL,
        '2023-06-13 10:21:29', NULL, '2023-06-15 17:55:49', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (805, 2, '8936fac0a79d4bd0ad38ffa1ecce893b', 1, 'default', NULL, '2023-06-15 23:28:34', NULL,
        '2023-06-15 11:28:34', NULL, '2023-06-15 11:28:34', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (806, 1, 'b8714c79fde847ed97d126eacaf15d45', 2, 'default', NULL, '2023-06-16 05:55:57', NULL,
        '2023-06-15 17:55:57', NULL, '2023-06-15 23:27:31', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (807, 1, '85c4e523ec204efb8839556d1ec982e8', 2, 'default', NULL, '2023-06-16 11:27:37', NULL,
        '2023-06-15 23:27:37', NULL, '2023-06-17 22:15:17', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (808, 1, 'b2041606139c4d1d9ede169899c6b817', 2, 'default', NULL, '2023-06-18 10:15:40', NULL,
        '2023-06-17 22:15:40', NULL, '2023-06-17 22:16:52', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (809, 1, '961bf00cb5e64fbe9828e2f9cd198209', 2, 'default', NULL, '2023-06-18 10:16:55', NULL,
        '2023-06-17 22:16:55', NULL, '2023-06-17 22:16:55', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (810, 1, 'dbd884cdc7334d78ab5ce4d51b6e1586', 2, 'default', NULL, '2023-06-18 10:19:48', NULL,
        '2023-06-17 22:19:48', NULL, '2023-06-18 18:02:14', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (811, 1, '1253d91216dc4496b76759242054fd2c', 2, 'default', NULL, '2023-06-19 06:02:20', NULL,
        '2023-06-18 18:02:20', NULL, '2023-06-18 20:41:56', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (812, 1, '70c2d7f517f349e1b2a82ee8d5f4fec2', 2, 'default', NULL, '2023-06-19 08:42:01', NULL,
        '2023-06-18 20:42:01', NULL, '2023-06-18 20:53:31', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (813, 1, '8fba24a74c5b43a29ed86be4061d6920', 2, 'default', NULL, '2023-06-19 08:53:37', NULL,
        '2023-06-18 20:53:37', NULL, '2023-06-29 13:40:25', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (814, 1, '0d99f73d99154913b6736acacb89e0b6', 2, 'default', NULL, '2023-06-30 01:40:37', NULL,
        '2023-06-29 13:40:37', NULL, '2023-07-02 10:19:14', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (815, 1, '2513dc01e2284a1cbb1ed14f891357a2', 2, 'default', NULL, '2023-07-02 22:19:22', NULL,
        '2023-07-02 10:19:22', NULL, '2023-07-02 10:38:52', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (816, 1, 'abb9ca7134ee4588a5df984fa9db30dd', 2, 'default', NULL, '2023-07-02 22:38:57', NULL,
        '2023-07-02 10:38:57', NULL, '2023-07-09 09:48:14', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (817, 1, '9b5abf172abf42ed9f5e42fc181f41a8', 2, 'default', NULL, '2023-07-09 21:48:21', NULL,
        '2023-07-09 09:48:21', NULL, '2023-07-10 22:30:40', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (818, 1, '3ef2b155ebdf4ea8bb1731f44d71c22f', 2, 'default', NULL, '2023-07-11 10:30:43', NULL,
        '2023-07-10 22:30:43', NULL, '2023-07-14 16:26:06', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (819, 1, '5676528d65d14dc39a55891bf45979ba', 2, 'default', NULL, '2023-07-15 04:26:13', NULL,
        '2023-07-14 16:26:13', NULL, '2023-07-19 15:39:51', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (820, 2, '6feda98f8549473fa9c1ce3d8d6234dd', 1, 'default', NULL, '2023-07-16 06:54:40', NULL,
        '2023-07-15 18:54:40', NULL, '2023-07-15 18:54:40', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (821, 1, '05d245412f324909991a35a1c66161f7', 2, 'default', NULL, '2023-07-20 03:39:58', NULL,
        '2023-07-19 15:39:58', NULL, '2023-07-20 18:27:36', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (822, 1, '5f1c2950ddbc4424bb06ff930bc37b0c', 2, 'default', NULL, '2023-07-21 06:27:39', NULL,
        '2023-07-20 18:27:39', NULL, '2023-07-20 18:27:39', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (823, 1, 'dc863e5092a841a892504a2739b13575', 2, 'default', NULL, '2023-07-24 23:33:59', NULL,
        '2023-07-24 11:33:59', NULL, '2023-07-25 10:07:11', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (824, 1, '4b965271828c4dd786a0621ea5c52849', 2, 'default', NULL, '2023-07-25 22:07:18', NULL,
        '2023-07-25 10:07:18', NULL, '2023-07-27 18:50:20', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (825, 2, 'dc97df462e324afdaabbb6d454568fe4', 1, 'default', NULL, '2023-07-26 04:08:03', NULL,
        '2023-07-25 16:08:03', NULL, '2023-07-25 16:08:03', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (826, 1, 'aade6cb6a86f407ead24b9bee3b1eb2b', 2, 'default', NULL, '2023-07-28 06:58:39', NULL,
        '2023-07-27 18:58:39', NULL, '2023-07-28 10:26:48', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (827, 1, '22b987a661794ff3b0eb5ec3034594b7', 2, 'default', NULL, '2023-07-28 22:41:30', NULL,
        '2023-07-28 10:41:30', NULL, '2023-07-28 10:42:57', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (828, 1, '99cc3f05977241fb86e5ccfd6bac7742', 2, 'default', NULL, '2023-07-30 05:32:37', NULL,
        '2023-07-29 17:32:37', NULL, '2023-07-29 17:32:37', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (829, 4, '6de8b132fc934a148bb2dd4dec8f7f75', 1, 'default', NULL, '2023-08-06 08:59:42', NULL,
        '2023-08-05 20:59:42', NULL, '2023-08-05 20:59:42', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (830, 4, 'a9bf0b6d093142cd8a81a0cb74b7810a', 1, 'default', NULL, '2023-08-06 09:06:55', NULL,
        '2023-08-05 21:06:55', NULL, '2023-08-05 21:06:55', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (831, 4, '806c6012ba9443f49066501696d5e468', 1, 'default', NULL, '2023-08-06 09:09:10', NULL,
        '2023-08-05 21:09:10', NULL, '2023-08-05 21:09:10', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (832, 4, '066ca6e7b8c54d7a876f72a627ba955b', 1, 'default', NULL, '2023-08-06 09:10:18', NULL,
        '2023-08-05 21:10:18', NULL, '2023-08-05 21:10:18', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (833, 4, '5418ff57c3ec4aa5946fdd4d12954c96', 1, 'default', NULL, '2023-08-06 09:23:01', NULL,
        '2023-08-05 21:23:01', NULL, '2023-08-05 21:23:01', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (834, 4, '2b66738db43945839f009bd52641449d', 1, 'default', NULL, '2023-08-06 09:24:52', NULL,
        '2023-08-05 21:24:52', NULL, '2023-08-05 21:24:52', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (835, 4, '415e8686c2fd41579f6fdadb6e6773f5', 1, 'default', NULL, '2023-08-06 09:27:04', NULL,
        '2023-08-05 21:27:04', NULL, '2023-08-05 21:27:04', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (836, 4, '51dfe64d3c534efa9752bc58c0b4d812', 1, 'default', NULL, '2023-08-06 09:28:46', NULL,
        '2023-08-05 21:28:46', NULL, '2023-08-05 21:28:46', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (837, 5, 'ec6bec6dfe3e4949867fcfd45441fbbc', 1, 'default', NULL, '2023-08-06 09:29:31', NULL,
        '2023-08-05 21:29:31', NULL, '2023-08-05 21:29:31', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (838, 1, 'fe06d65825274d5b882d8efa73a8e217', 2, 'default', NULL, '2023-08-11 23:20:16', NULL,
        '2023-08-11 11:20:16', NULL, '2023-08-11 11:20:16', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (839, 4, '9ad156a9b250474097160e945b6c7fa1', 1, 'default', NULL, '2023-08-13 09:19:38', NULL,
        '2023-08-12 21:19:38', NULL, '2023-08-12 21:19:38', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (840, 1, 'd8e139e48a4e4beb9d8b8a5023537fd3', 2, 'default', NULL, '2023-08-13 21:51:42', NULL,
        '2023-08-13 09:51:42', NULL, '2023-08-13 09:51:42', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (841, 2, '55233b6b37e441f4a437970821a78aab', 1, 'default', NULL, '2023-08-14 03:55:29', NULL,
        '2023-08-13 15:55:29', NULL, '2023-08-13 15:55:29', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (842, 4, 'b1f03120ee324eaa84f78a9f45dff562', 1, 'default', NULL, '2023-08-28 07:08:32', NULL,
        '2023-08-27 19:08:32', NULL, '2023-08-27 19:08:32', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (843, 2, '1cc3f21de59f4d03b43fee5ded4dd0b0', 1, 'default', NULL, '2023-08-29 04:41:48', NULL,
        '2023-08-28 16:41:48', NULL, '2023-08-28 16:41:48', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (844, 1, '53c6b480f244484eb9cd69200fc8a7ef', 2, 'default', NULL, '2023-09-10 02:37:35', NULL,
        '2023-09-09 14:37:35', NULL, '2023-09-09 14:37:35', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (845, 2, 'ce8c90f3818645e28799fa0f3ecc14c9', 1, 'default', NULL, '2023-09-11 06:38:00', NULL,
        '2023-09-10 18:38:00', NULL, '2023-09-10 18:38:00', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (846, 4, '20272380abb1408990b609cb6f20f117', 1, 'default', NULL, '2023-09-18 12:49:43', NULL,
        '2023-09-18 00:49:43', NULL, '2023-09-18 00:49:43', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (847, 1, '8e5ecf254f21424eb491b00ed126e2b3', 2, 'default', NULL, '2023-09-18 21:09:41', NULL,
        '2023-09-18 09:09:41', NULL, '2023-09-18 09:09:41', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (848, 4, 'ca6af063682c4b4582ec7e677f343efb', 1, 'default', NULL, '2023-09-19 11:11:45', '4',
        '2023-09-18 23:11:45', '4', '2023-09-18 23:11:45', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (849, 6, 'ed36f05d18424dd7ad7e6b556b5ebeed', 1, 'default', NULL, '2023-09-19 11:14:15', '4',
        '2023-09-18 23:14:15', '4', '2023-09-18 23:14:15', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (850, 6, '4a1bb6107a7046949b4f86ac17e7a0aa', 1, 'default', NULL, '2023-09-20 10:01:19', '4',
        '2023-09-19 22:01:19', '4', '2023-09-19 22:01:19', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (851, 6, '6fe471a94b8744debdff7ac1e5c89348', 1, 'default', NULL, '2023-09-20 10:03:08', '4',
        '2023-09-19 22:03:08', '4', '2023-09-19 22:03:08', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (852, 6, 'd6d5d19e4c454fe493cbe2c37f417e63', 1, 'default', NULL, '2023-09-20 10:03:25', '6',
        '2023-09-19 22:03:25', '6', '2023-09-19 22:03:25', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (853, 6, '585a67f084a947b68a9689a7e571076d', 1, 'default', NULL, '2023-09-20 10:03:43', '6',
        '2023-09-19 22:03:43', '6', '2023-09-19 22:03:43', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (854, 6, '5d6c91e5dc1645dbbe9ec66a53bf43a5', 1, 'default', NULL, '2023-09-24 11:47:10', '4',
        '2023-09-23 23:47:10', '4', '2023-09-23 23:47:10', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (855, 6, '62fcdf75381145de8929256241498165', 1, 'default', NULL, '2023-09-24 11:48:11', NULL,
        '2023-09-23 23:48:11', NULL, '2023-09-23 23:48:11', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (856, 1, 'c0f8bdbba68b4bdebe7d679aa6dfdfa3', 2, 'default', NULL, '2023-09-25 08:11:01', NULL,
        '2023-09-24 20:11:01', NULL, '2023-09-24 20:11:01', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (857, 1, '9d1d595714be45faae775f0fcae8fe7b', 2, 'default', NULL, '2023-09-25 08:16:31', NULL,
        '2023-09-24 20:16:31', NULL, '2023-09-24 20:16:31', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (858, 6, '67fcddce9a28436d9627769ab253903f', 1, 'default', NULL, '2023-09-25 09:54:59', '6',
        '2023-09-24 21:54:59', '6', '2023-09-24 21:54:59', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (859, 6, 'cdc754220f11490d9c85ecb77d8bcb8d', 1, 'default', NULL, '2023-09-25 09:59:36', NULL,
        '2023-09-24 21:59:36', NULL, '2023-09-24 21:59:36', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (860, 6, '89cdd868a0c340dd8d79ddaa11b4c299', 1, 'default', NULL, '2023-09-25 11:18:34', NULL,
        '2023-09-24 23:18:34', NULL, '2023-09-24 23:18:34', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (861, 6, 'a11ca057e2fa49b7aba1c49e0787ca7a', 1, 'default', NULL, '2023-09-25 11:50:57', NULL,
        '2023-09-24 23:50:57', NULL, '2023-09-24 23:50:57', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (862, 6, '7b7df7e295664249a6fa3b51b583d094', 1, 'default', NULL, '2023-09-25 11:57:06', NULL,
        '2023-09-24 23:57:06', NULL, '2023-09-24 23:57:06', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (863, 6, 'f7f2d5299587466e8ec8b948b654b390', 1, 'default', NULL, '2023-09-25 12:10:36', NULL,
        '2023-09-25 00:10:36', NULL, '2023-09-25 00:10:36', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (864, 1, '0474db062f53410790f119053af8edf8', 2, 'default', NULL, '2023-09-26 21:55:37', NULL,
        '2023-09-26 09:55:37', NULL, '2023-09-26 09:55:37', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (865, 2, '34e9c1783640423e86904832f93fac67', 1, 'default', NULL, '2023-09-26 23:25:52', NULL,
        '2023-09-26 11:25:52', NULL, '2023-09-26 11:25:52', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (866, 6, '6ab77e34d5de449cb8d0f3b3b61f027e', 1, 'default', NULL, '2023-09-27 10:15:03', '6',
        '2023-09-26 22:15:03', '6', '2023-09-26 22:15:03', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (867, 2, '359c144f3f544aa4a2aa71ccb220d6c9', 1, 'default', NULL, '2023-09-27 10:22:09', '2',
        '2023-09-26 22:22:09', '2', '2023-09-26 22:22:09', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (868, 6, '1fc3484dbc9241398c38c3368e4c73ae', 1, 'default', NULL, '2023-09-27 10:25:27', '6',
        '2023-09-26 22:25:27', '6', '2023-09-26 22:25:27', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (869, 6, 'c7ec27eb9deb4194911ada8d654af6cb', 1, 'default', NULL, '2023-09-27 10:26:04', '6',
        '2023-09-26 22:26:04', '6', '2023-09-26 22:26:04', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (870, 6, '664b76eb9daf4365a271dc08879cd0bb', 1, 'default', NULL, '2023-09-27 10:44:11', '6',
        '2023-09-26 22:44:11', '6', '2023-09-26 22:44:11', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (871, 6, '724f2d41dd9f478abd78855a769fe75d', 1, 'default', NULL, '2023-10-11 13:25:43', '6',
        '2023-10-11 01:25:43', '6', '2023-10-11 01:25:43', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (872, 1, 'de1026893edb4c2489bc8e714e6a50ed', 2, 'default', NULL, '2023-10-20 00:27:50', NULL,
        '2023-10-19 12:27:50', NULL, '2023-10-19 14:21:18', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (873, 1, '502844c6d9f148c2ae35d8c2f42fa345', 2, 'default', NULL, '2023-10-20 02:20:48', NULL,
        '2023-10-19 14:20:48', NULL, '2023-10-19 14:49:18', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (874, 1, 'f318d5b55dd746e9a2693698b98f4550', 2, 'default', NULL, '2023-10-20 02:21:29', NULL,
        '2023-10-19 14:21:29', NULL, '2023-10-19 14:21:53', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (875, 1, '7daa92756d2b410aa532fa58524f87b8', 2, 'default', NULL, '2023-10-20 02:24:25', NULL,
        '2023-10-19 14:24:25', NULL, '2023-10-19 14:24:25', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (876, 1, '1ded5777d1a74312a25bcedabf293d9d', 2, 'default', NULL, '2023-10-20 02:28:15', NULL,
        '2023-10-19 14:28:15', NULL, '2023-10-19 14:28:15', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (877, 1, '9aa50131cf474243b778fa589e57af86', 2, 'default', NULL, '2023-10-20 02:29:47', NULL,
        '2023-10-19 14:29:47', NULL, '2023-10-19 14:29:47', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (878, 1, 'f4abd56c0d064ae29794389a4ff32f53', 2, 'default', NULL, '2023-10-20 02:48:28', NULL,
        '2023-10-19 14:48:28', NULL, '2023-10-19 14:48:28', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (879, 1, '277fcd9c28664554a05a79f1e7dce0e0', 2, 'default', NULL, '2023-10-20 02:49:28', NULL,
        '2023-10-19 14:49:28', NULL, '2023-10-19 14:49:32', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (880, 1, '2e5d4ed9aa5d4a37bc7f8c0dac160a57', 2, 'default', NULL, '2023-10-20 02:49:33', NULL,
        '2023-10-19 14:49:33', NULL, '2023-10-19 14:49:33', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (881, 1, 'd48449fa3a5f405bad3409e2c1e75acf', 2, 'default', NULL, '2023-10-20 02:49:44', NULL,
        '2023-10-19 14:49:44', NULL, '2023-10-24 11:30:19', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (882, 1, 'a2843e0a2fee40f7bdd0980f6b3ad0c4', 2, 'default', NULL, '2023-10-20 02:50:06', NULL,
        '2023-10-19 14:50:06', NULL, '2023-10-19 14:50:06', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (883, 1, 'a595231ff76c4805be91712eb0b70ff3', 2, 'default', NULL, '2023-10-20 02:58:42', NULL,
        '2023-10-19 14:58:42', NULL, '2023-10-19 15:04:35', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (884, 127, '13d7dc2f7ebc41a7b47e3f6a2b968e57', 2, 'default', NULL, '2023-10-20 03:04:57', NULL,
        '2023-10-19 15:04:57', NULL, '2023-10-19 15:04:57', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (885, 1, '77963ca38a7c42a784d7d308e130ed1d', 2, 'default', NULL, '2023-10-22 07:45:13', NULL,
        '2023-10-21 19:45:13', NULL, '2023-10-21 19:45:13', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (886, 1, 'c69487d7a0ea4305bd64ad20d4ad611a', 2, 'default', NULL, '2023-10-24 23:08:42', NULL,
        '2023-10-24 11:08:42', NULL, '2023-11-13 23:17:43', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (887, 1, 'eb75ce9b6f6c4af69232dca3e5428b04', 2, 'default', NULL, '2023-10-24 23:18:21', NULL,
        '2023-10-24 11:18:21', NULL, '2023-10-24 11:18:21', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (888, 1, '2da8e963f7574b98b676eeccd9a2b560', 2, 'default', NULL, '2023-10-24 23:30:31', NULL,
        '2023-10-24 11:30:31', NULL, '2023-10-24 11:30:31', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (889, 7, 'a96b1940f87140c798bce35dbfb179ee', 1, 'default', NULL, '2023-10-25 00:11:52', NULL,
        '2023-10-24 12:11:52', NULL, '2023-10-24 12:11:52', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (890, 7, '7f74f45457a7444a895c91186ea951d4', 1, 'default', NULL, '2023-10-25 00:19:05', NULL,
        '2023-10-24 12:19:05', NULL, '2023-10-24 12:19:05', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (891, 7, 'b3c8006cfae840c09bfafb0785e04284', 1, 'default', NULL, '2023-10-25 00:20:47', NULL,
        '2023-10-24 12:20:47', NULL, '2023-10-24 12:20:47', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (892, 7, 'eb010ea5271e45f58a8da18317c61949', 1, 'default', NULL, '2023-10-25 00:22:36', NULL,
        '2023-10-24 12:22:37', NULL, '2023-10-24 12:22:37', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (893, 7, 'bd5e9f1676e34f3290c14a312877c868', 1, 'default', NULL, '2023-10-25 03:07:17', NULL,
        '2023-10-24 15:07:17', NULL, '2023-10-24 15:07:17', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (894, 7, 'd2f63d038fb5415fb80d095deb8ff0f2', 1, 'default', NULL, '2023-10-25 03:07:35', NULL,
        '2023-10-24 15:07:35', NULL, '2023-10-24 15:07:35', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (895, 7, '96135aaf19a24161ae8cbf9b621ce5f4', 1, 'default', NULL, '2023-10-25 03:07:39', NULL,
        '2023-10-24 15:07:39', NULL, '2023-10-24 15:07:39', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (896, 9, '80a8ae692f384de3872a79a5256dc484', 1, 'default', NULL, '2023-10-25 03:09:40', NULL,
        '2023-10-24 15:09:40', NULL, '2023-10-24 15:09:40', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (897, 7, 'e6bef260e01d4f5e9f24af9e1aa0f665', 1, 'default', NULL, '2023-10-25 03:15:44', NULL,
        '2023-10-24 15:15:44', NULL, '2023-10-24 15:15:44', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (898, 1, '2070b4c5beca4c409314e8111636b660', 2, 'default', NULL, '2023-10-25 03:53:02', NULL,
        '2023-10-24 15:53:02', NULL, '2023-11-14 01:12:21', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (899, 7, '97661b6361474a2ab0c4ca2bdef79ef4', 1, 'default', NULL, '2023-10-25 04:00:04', NULL,
        '2023-10-24 16:00:04', NULL, '2023-10-24 16:00:04', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (900, 10, '042c8d73324b45feb51c870a185d24fb', 1, 'default', NULL, '2023-10-25 04:02:15', NULL,
        '2023-10-24 16:02:15', NULL, '2023-10-24 16:02:15', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (901, 11, '82ec8466f02d4fdf9b8d1cbcaec9766c', 1, 'default', NULL, '2023-10-25 04:27:43', NULL,
        '2023-10-24 16:27:43', NULL, '2023-10-24 16:27:43', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (902, 10, 'a5b2223824e94bd3969ce3f2351319e2', 1, 'default', NULL, '2023-10-25 04:28:09', NULL,
        '2023-10-24 16:28:09', NULL, '2023-10-24 16:28:09', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (903, 9, '13056cfc8732402786b0e3d3347c83fb', 1, 'default', NULL, '2023-10-25 04:29:05', NULL,
        '2023-10-24 16:29:05', NULL, '2023-10-24 16:29:05', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (904, 7, '00f751bd2e95423aa066aa2981cd9f2c', 1, 'default', NULL, '2023-10-25 04:30:19', NULL,
        '2023-10-24 16:30:19', NULL, '2023-10-24 16:30:19', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (905, 11, 'adac7db85470424e80e8fbe65c0196a3', 1, 'default', NULL, '2023-10-25 04:31:09', NULL,
        '2023-10-24 16:31:09', NULL, '2023-10-24 16:31:09', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (906, 12, 'c88e1abf9fca494e843e221a5286826c', 1, 'default', NULL, '2023-10-25 04:41:24', NULL,
        '2023-10-24 16:41:24', NULL, '2023-10-24 16:41:24', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (907, 12, '83a412e9cc0642aab4da60ed6105daf7', 1, 'default', NULL, '2023-10-25 04:45:16', NULL,
        '2023-10-24 16:45:16', NULL, '2023-10-24 16:45:16', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (908, 12, '58d2ea99dd8849328f0863351c337fec', 1, 'default', NULL, '2023-10-25 04:45:54', '12',
        '2023-10-24 16:45:54', '12', '2023-10-24 16:45:54', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (909, 13, '93cf280dee17427491a04ced6553014c', 1, 'default', NULL, '2023-10-25 23:25:33', NULL,
        '2023-10-25 11:25:33', NULL, '2023-10-25 11:25:33', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (910, 13, 'e0489a78bd3345cb96d5e051c1a11534', 1, 'default', NULL, '2023-10-25 23:41:13', NULL,
        '2023-10-25 11:41:13', NULL, '2023-10-25 11:41:13', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (911, 13, 'e291f79e40524cb6b6d2650fc5d5b6d8', 1, 'default', NULL, '2023-10-25 23:42:20', '13',
        '2023-10-25 11:42:20', '13', '2023-10-25 11:42:20', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (912, 1, '4daec9c72a3b428d9f0da67af4e188e6', 2, 'default', NULL, '2023-10-26 02:07:02', NULL,
        '2023-10-25 14:07:02', NULL, '2023-11-22 11:22:52', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (913, 1, 'b07aa6aa72dc4603929f6713eebb935d', 2, 'default', NULL, '2023-10-26 06:23:10', NULL,
        '2023-10-25 18:23:10', NULL, '2023-10-25 18:23:10', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (914, 1, 'b18e8c9727ef4405b216f501ee41fbb9', 2, 'default', NULL, '2023-10-27 05:33:16', NULL,
        '2023-10-26 17:33:16', NULL, '2023-10-26 17:33:16', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (915, 9, '594ef7b9d5a746ab883311699f1272b2', 1, 'default', NULL, '2023-10-27 23:49:56', '9',
        '2023-10-27 11:49:56', '9', '2023-10-27 11:49:56', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (916, 14, '2aae993ab7784672bc23da892f31e39f', 1, 'default', NULL, '2023-10-28 00:25:01', NULL,
        '2023-10-27 12:25:01', NULL, '2023-10-27 12:25:01', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (917, 15, '5a8bf880de95408598784abf5adb1e3c', 1, 'default', NULL, '2023-10-28 00:29:31', NULL,
        '2023-10-27 12:29:31', NULL, '2023-10-27 12:29:31', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (918, 9, '4d5147c15a4242d6961766caea513e76', 1, 'default', NULL, '2023-10-28 06:29:54', '9',
        '2023-10-27 18:29:54', '9', '2023-10-27 18:29:54', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (919, 1, '7ed54dd4d69f4976bdad4ea6b6820e3d', 2, 'default', NULL, '2023-10-30 22:23:39', NULL,
        '2023-10-30 10:23:39', NULL, '2023-11-13 23:17:14', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (920, 16, '877e08d484f544cdbf8a9db674524b58', 1, 'default', NULL, '2023-10-30 22:25:02', NULL,
        '2023-10-30 10:25:02', NULL, '2023-10-30 10:25:02', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (921, 16, 'e989264df5604c71966d09e3b8403ed9', 1, 'default', NULL, '2023-10-30 23:00:01', NULL,
        '2023-10-30 11:00:01', NULL, '2023-10-30 11:00:01', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (922, 14, '515615d0fc2340bcb47a469acf44597d', 1, 'default', NULL, '2023-10-31 03:18:52', NULL,
        '2023-10-30 15:18:52', NULL, '2023-10-30 15:18:52', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (923, 17, '11e72fb7e89f48a2aeee3cc0b84758df', 1, 'default', NULL, '2023-10-31 03:19:46', '16',
        '2023-10-30 15:19:46', '16', '2023-10-30 15:19:46', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (924, 16, 'ca2cbe4c27f34b00b4803179a8e7d8e1', 1, 'default', NULL, '2023-10-31 04:33:00', '17',
        '2023-10-30 16:33:00', '17', '2023-10-30 16:33:00', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (925, 1, 'b0a3c59bc6a34f20b56aa89311d7f0c6', 2, 'default', NULL, '2023-11-01 03:29:12', NULL,
        '2023-10-31 15:29:12', NULL, '2023-11-08 12:12:34', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (926, 18, '59c1a7dfc66e4cd4973d128bb9445680', 1, 'default', NULL, '2023-11-01 06:56:31', '16',
        '2023-10-31 18:56:31', '16', '2023-10-31 18:56:31', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (927, 14, '56e13579b5914be292ea90e535fdf8be', 1, 'default', NULL, '2023-11-01 07:01:30', NULL,
        '2023-10-31 19:01:30', NULL, '2023-10-31 19:01:30', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (928, 16, '6ceadd6df4b043c1b0058f7d59bd0985', 1, 'default', NULL, '2023-11-01 22:27:52', '18',
        '2023-11-01 10:27:52', '18', '2023-11-01 10:27:52', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (929, 9, 'd854aa1f488d4a6c95baa56979b2bc4f', 1, 'default', NULL, '2023-11-02 10:48:34', NULL,
        '2023-11-01 22:48:34', NULL, '2023-11-01 22:48:34', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (930, 14, 'c099c4ac135449089f73bd81c437efb1', 1, 'default', NULL, '2023-11-02 23:44:23', NULL,
        '2023-11-02 11:44:23', NULL, '2023-11-02 11:44:23', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (931, 16, 'ce9212f8ad654d0ebac593fcacf5db7d', 1, 'default', NULL, '2023-11-03 03:34:08', NULL,
        '2023-11-02 15:34:08', NULL, '2023-11-02 15:34:08', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (932, 16, '11b478c467d041d3946f5952214d1d15', 1, 'default', NULL, '2023-11-03 03:35:00', '7',
        '2023-11-02 15:35:00', '7', '2023-11-02 15:35:00', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (933, 7, '03ef3e43f3924c66b56808b36b8da258', 1, 'default', NULL, '2023-11-03 05:15:45', '16',
        '2023-11-02 17:15:45', '16', '2023-11-02 17:15:45', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (934, 10, 'f7ed7dea398a4760a2be94fdfcf80321', 1, 'default', NULL, '2023-11-03 06:38:26', '7',
        '2023-11-02 18:38:26', '7', '2023-11-02 18:38:26', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (935, 15, '4b238b6c226d456c978bee34c97bd5cb', 1, 'default', NULL, '2023-11-04 04:40:27', NULL,
        '2023-11-03 16:40:27', NULL, '2023-11-03 16:40:27', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (936, 7, '695054811e844579961290350e3941f3', 1, 'default', NULL, '2023-11-06 23:42:41', '10',
        '2023-11-06 11:42:41', '10', '2023-11-06 11:42:41', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (937, 9, '64bb40fab39041299582bd44c3fb3c78', 1, 'default', NULL, '2023-11-07 00:16:01', '9',
        '2023-11-06 12:16:01', '9', '2023-11-06 12:16:01', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (938, 19, 'c1c63cedd3b649f8a511d10b634f0094', 1, 'default', NULL, '2023-11-07 02:09:55', NULL,
        '2023-11-06 14:09:55', NULL, '2023-11-06 14:09:55', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (939, 19, '014d07e7216c44e09da79d9d505a036b', 1, 'default', NULL, '2023-11-07 02:13:07', NULL,
        '2023-11-06 14:13:07', NULL, '2023-11-06 14:13:07', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (940, 10, '762e4e37a01c4aa5b2d3a0fcf85321bf', 1, 'default', NULL, '2023-11-07 02:41:51', NULL,
        '2023-11-06 14:41:51', NULL, '2023-11-06 14:41:51', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (941, 16, 'b8493a22dfc64682ae535ed3084d9f13', 1, 'default', NULL, '2023-11-07 05:55:55', '7',
        '2023-11-06 17:55:55', '7', '2023-11-06 17:55:55', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (942, 18, '290da99746544eeda5fc62b64eb5eb61', 1, 'default', NULL, '2023-11-07 06:08:57', '16',
        '2023-11-06 18:08:57', '16', '2023-11-06 18:08:57', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (943, 7, '231ff992028843f1b766b485296004aa', 1, 'default', NULL, '2023-11-07 21:49:50', '16',
        '2023-11-07 09:49:50', '16', '2023-11-07 09:49:50', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (944, 16, '23397b11a87b46a0b29fbe99a0e2689b', 1, 'default', NULL, '2023-11-07 22:04:47', '7',
        '2023-11-07 10:04:47', '7', '2023-11-07 10:04:47', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (945, 1, 'f08a6daab7c744c19363f47d504703e8', 2, 'default', NULL, '2023-11-07 22:59:03', NULL,
        '2023-11-07 10:59:03', NULL, '2023-11-14 15:34:22', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (946, 16, '35a563c91e02461293990a230fe66f00', 1, 'default', NULL, '2023-11-07 23:21:14', '18',
        '2023-11-07 11:21:14', '18', '2023-11-07 11:21:14', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (947, 7, 'b37961056cf0461e8adc316511612b46', 1, 'default', NULL, '2023-11-08 02:12:33', '16',
        '2023-11-07 14:12:33', '16', '2023-11-07 14:12:33', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (948, 16, '59540afe00ab47c6ac6b470ee57eecec', 1, 'default', NULL, '2023-11-08 05:09:17', '15',
        '2023-11-07 17:09:17', '15', '2023-11-07 17:09:17', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (949, 7, '6755cc5f47764c638f87d0cd4b999870', 1, 'default', NULL, '2023-11-08 05:42:49', '7',
        '2023-11-07 17:42:49', '7', '2023-11-07 17:42:49', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (950, 11, 'd6aa83dbe7554a6b825b14ebd12b0fff', 1, 'default', NULL, '2023-11-08 05:53:04', '7',
        '2023-11-07 17:53:04', '7', '2023-11-07 17:53:04', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (951, 16, '75cf85020b174ff691a1ce6e147ed216', 1, 'default', NULL, '2023-11-08 06:12:57', '11',
        '2023-11-07 18:12:57', '11', '2023-11-07 18:12:57', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (952, 7, 'af68181b8a4c44e496cba680aeba476b', 1, 'default', NULL, '2023-11-08 06:19:39', '16',
        '2023-11-07 18:19:39', '16', '2023-11-07 18:19:39', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (953, 16, '60b8e7b57aa140bbbcdeee8dbb0d39e1', 1, 'default', NULL, '2023-11-08 22:01:10', NULL,
        '2023-11-08 10:01:10', NULL, '2023-11-08 10:01:10', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (954, 20, 'b8096018b94a465dab9a0c94493b3879', 1, 'default', NULL, '2023-11-08 22:34:28', '16',
        '2023-11-08 10:34:28', '16', '2023-11-08 10:34:28', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (955, 16, '9f921ea812cc45a8a8f19d9c1d9a9284', 1, 'default', NULL, '2023-11-08 23:12:28', '20',
        '2023-11-08 11:12:28', '20', '2023-11-08 11:12:28', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (956, 16, 'ce7b61b08a7b4535a1ec573a8b251f4f', 1, 'default', NULL, '2023-11-09 00:12:26', NULL,
        '2023-11-08 12:12:26', NULL, '2023-11-08 12:12:26', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (957, 1, '5ee469da60e04296a70a7a7f018ee6b0', 2, 'default', NULL, '2023-11-09 00:12:57', NULL,
        '2023-11-08 12:12:57', NULL, '2023-11-08 20:16:43', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (958, 16, '54b222874dcf4e3bbb74a19e30a334de', 1, 'default', NULL, '2023-11-09 02:07:56', '16',
        '2023-11-08 14:07:56', '16', '2023-11-08 14:07:56', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (959, 16, '281d0995b9494d9da8bfa86616e2c1f7', 1, 'default', NULL, '2023-11-09 02:09:31', '16',
        '2023-11-08 14:09:31', '16', '2023-11-08 14:09:31', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (960, 1, '2615fd500ec74b1c8d4fb280cab119d4', 2, 'default', NULL, '2023-11-09 04:00:59', NULL,
        '2023-11-08 16:00:59', NULL, '2023-11-08 16:00:59', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (961, 15, '9e5fa853db9d4eba94fcb976d7030446', 1, 'default', NULL, '2023-11-09 04:11:30', NULL,
        '2023-11-08 16:11:30', NULL, '2023-11-08 16:11:30', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (962, 21, '2bc2ab4e89f54c58b56bb6b553c9bf51', 1, 'default', NULL, '2023-11-09 04:22:13', NULL,
        '2023-11-08 16:22:13', NULL, '2023-11-08 16:22:13', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (963, 16, 'a48c61b8617c47c1bd344b7a0831aff1', 1, 'default', NULL, '2023-11-09 05:23:32', '16',
        '2023-11-08 17:23:32', '16', '2023-11-08 17:23:32', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (964, 7, '935459ad9922483888c735873411326c', 1, 'default', NULL, '2023-11-09 05:47:46', NULL,
        '2023-11-08 17:47:46', NULL, '2023-11-08 17:47:46', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (965, 15, '88885823351c45d48a2275a3d2b8de56', 1, 'default', NULL, '2023-11-09 05:51:26', NULL,
        '2023-11-08 17:51:26', NULL, '2023-11-08 17:51:26', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (966, 15, 'c56c32882dfe4fc29d96886869a9451e', 1, 'default', NULL, '2023-11-09 05:52:02', NULL,
        '2023-11-08 17:52:02', NULL, '2023-11-08 17:52:02', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (967, 15, 'e64a7f952d5140b4812a71478792c6a6', 1, 'default', NULL, '2023-11-09 05:52:52', NULL,
        '2023-11-08 17:52:52', NULL, '2023-11-08 17:52:52', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (968, 15, '1eb9a652455d48aa9625573872c63295', 1, 'default', NULL, '2023-11-09 06:29:54', NULL,
        '2023-11-08 18:29:54', NULL, '2023-11-08 18:29:54', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (969, 18, '0084468c4ab044aba523934e4e3cbde8', 1, 'default', NULL, '2023-11-09 06:49:21', NULL,
        '2023-11-08 18:49:21', NULL, '2023-11-08 18:49:21', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (970, 16, 'e29838ee10154dbba09e6ea8bbd2a5a5', 1, 'default', NULL, '2023-11-09 06:52:13', NULL,
        '2023-11-08 18:52:13', NULL, '2023-11-08 18:52:13', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (971, 16, 'ee760611938d46d7bbae13c4a1dd6e03', 1, 'default', NULL, '2023-11-09 06:58:44', NULL,
        '2023-11-08 18:58:44', NULL, '2023-11-08 18:58:44', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (972, 1, '404d5edfb1b8400995fd35d847c5847d', 2, 'default', NULL, '2023-11-09 08:16:53', NULL,
        '2023-11-08 20:16:53', NULL, '2023-11-08 20:16:53', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (973, 22, 'a5166f1beb9f44fca07bfbeae6fe7aab', 1, 'default', NULL, '2023-11-09 08:27:44', NULL,
        '2023-11-08 20:27:44', NULL, '2023-11-08 20:27:44', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (974, 15, 'c78700fc60ba4a068333a43431d77e52', 1, 'default', NULL, '2023-11-09 08:28:54', NULL,
        '2023-11-08 20:28:54', NULL, '2023-11-08 20:28:54', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (975, 23, 'bba963fd3cb24a7e9f1174eefef98873', 1, 'default', NULL, '2023-11-09 08:31:24', NULL,
        '2023-11-08 20:31:24', NULL, '2023-11-08 20:31:24', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (976, 16, '70d8ecf425fb47489a1e202916cee2bb', 1, 'default', NULL, '2023-11-09 12:24:58', NULL,
        '2023-11-09 00:24:58', NULL, '2023-11-09 00:24:58', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (977, 15, 'd0930ba5735e4a2fbaecc253cd6668fb', 1, 'default', NULL, '2023-11-09 22:23:40', NULL,
        '2023-11-09 10:23:40', NULL, '2023-11-09 10:23:40', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (978, 16, 'ccc0164d6c2a4205899651b3d527b0d5', 1, 'default', NULL, '2023-11-09 22:41:58', NULL,
        '2023-11-09 10:41:58', NULL, '2023-11-09 10:41:58', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (979, 16, 'a6034adc2acc4500a8ca54a1dd0804b2', 1, 'default', NULL, '2023-11-09 23:16:53', '16',
        '2023-11-09 11:16:53', '16', '2023-11-09 11:16:53', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (980, 16, 'afc2619e9fa84e41a82ec9bb2e9d459f', 1, 'default', NULL, '2023-11-09 23:17:31', '16',
        '2023-11-09 11:17:31', '16', '2023-11-09 11:17:31', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (981, 16, 'efd5de4e6de84752a096024da0683461', 1, 'default', NULL, '2023-11-09 23:17:49', '16',
        '2023-11-09 11:17:49', '16', '2023-11-09 11:17:49', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (982, 16, '13d697deaf214b3589b23d6bef89f26d', 1, 'default', NULL, '2023-11-10 02:15:47', NULL,
        '2023-11-09 14:15:47', NULL, '2023-11-09 14:15:47', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (983, 16, '368b560fa51c475b916b10f7f9218565', 1, 'default', NULL, '2023-11-10 02:50:38', NULL,
        '2023-11-09 14:50:38', NULL, '2023-11-09 14:50:38', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (984, 24, 'a50431d59cc94ecaa473aea236b68574', 1, 'default', NULL, '2023-11-10 04:20:30', NULL,
        '2023-11-09 16:20:30', NULL, '2023-11-09 16:20:30', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (985, 15, 'bbed39df07d84f1b891f44222a900fb7', 1, 'default', NULL, '2023-11-10 06:00:00', NULL,
        '2023-11-09 18:00:00', NULL, '2023-11-09 18:00:00', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (986, 15, '1e03cc39a4444f5dba63d9868f46c77d', 1, 'default', NULL, '2023-11-10 06:01:17', NULL,
        '2023-11-09 18:01:17', NULL, '2023-11-09 18:01:17', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (987, 15, '05aceb0f9461488a8659803c93087107', 1, 'default', NULL, '2023-11-10 06:03:32', '15',
        '2023-11-09 18:03:32', '15', '2023-11-09 18:03:32', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (988, 16, '38317d8f08374105b2f18591fcc2556b', 1, 'default', NULL, '2023-11-10 06:20:01', NULL,
        '2023-11-09 18:20:01', NULL, '2023-11-09 18:20:01', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (989, 16, '601ddbee6bd74e80a0b9c7c52291eaf8', 1, 'default', NULL, '2023-11-10 22:55:00', NULL,
        '2023-11-10 10:55:00', NULL, '2023-11-10 10:55:00', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (990, 16, 'b6d35ec5b9674a909f2c8615999bda33', 1, 'default', NULL, '2023-11-10 22:55:02', '16',
        '2023-11-10 10:55:02', '16', '2023-11-10 10:55:02', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (991, 16, '4ae16ab118c7462eaa03be5f8c19bb8d', 1, 'default', NULL, '2023-11-10 22:55:03', '16',
        '2023-11-10 10:55:03', '16', '2023-11-10 10:55:03', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (992, 16, '957e01d7d8f3448f8d3fa56f00d35d80', 1, 'default', NULL, '2023-11-10 22:55:03', '16',
        '2023-11-10 10:55:03', '16', '2023-11-10 10:55:03', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (993, 16, '57210c59ccfb4bd3afc58d9218293bee', 1, 'default', NULL, '2023-11-10 22:55:03', '16',
        '2023-11-10 10:55:03', '16', '2023-11-10 10:55:03', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (994, 16, '90bf793bc71a4f05a6b0397fe731bcb4', 1, 'default', NULL, '2023-11-10 22:55:03', '16',
        '2023-11-10 10:55:03', '16', '2023-11-10 10:55:03', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (995, 16, '98262c74cbe54e5f8ffeacdbabfcd911', 1, 'default', NULL, '2023-11-10 22:55:05', '16',
        '2023-11-10 10:55:05', '16', '2023-11-10 10:55:05', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (996, 16, '4f86c96f8c3942e5a330041cb4d9f6b1', 1, 'default', NULL, '2023-11-10 22:55:06', '16',
        '2023-11-10 10:55:06', '16', '2023-11-10 10:55:06', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (997, 16, '58e6651d77614e36807249d65ba2da79', 1, 'default', NULL, '2023-11-10 22:55:06', '16',
        '2023-11-10 10:55:06', '16', '2023-11-10 10:55:06', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (998, 16, 'e91c45c00b6348239a700ca336c05657', 1, 'default', NULL, '2023-11-10 22:55:13', '16',
        '2023-11-10 10:55:13', '16', '2023-11-10 10:55:13', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (999, 16, '31cc9c4880a84444aabe8fe7a29c1722', 1, 'default', NULL, '2023-11-10 22:55:14', '16',
        '2023-11-10 10:55:14', '16', '2023-11-10 10:55:14', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1000, 16, '00bdf6241f0f4e1aadfdf5579c7ea92c', 1, 'default', NULL, '2023-11-10 22:55:14', '16',
        '2023-11-10 10:55:14', '16', '2023-11-10 10:55:14', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1001, 16, 'afab8d0f4c0d4446a4448937a98239d6', 1, 'default', NULL, '2023-11-10 22:55:15', '16',
        '2023-11-10 10:55:15', '16', '2023-11-10 10:55:15', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1002, 16, '437c49d6e3d045879c32eb4bdc9758d7', 1, 'default', NULL, '2023-11-10 23:36:12', NULL,
        '2023-11-10 11:36:12', NULL, '2023-11-10 11:36:12', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1003, 16, '843246fef39d49d6a320fb7aff9bd8ef', 1, 'default', NULL, '2023-11-10 23:36:13', '16',
        '2023-11-10 11:36:13', '16', '2023-11-10 11:36:13', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1004, 16, '8d354e671cc34fa8a8082dcfaf851b61', 1, 'default', NULL, '2023-11-10 23:36:13', '16',
        '2023-11-10 11:36:13', '16', '2023-11-10 11:36:13', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1005, 16, 'eb257c60161a43d7aaba06d178bd70b2', 1, 'default', NULL, '2023-11-10 23:36:13', '16',
        '2023-11-10 11:36:13', '16', '2023-11-10 11:36:13', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1006, 16, '45cbd8d2f57145989714d7933c4553e3', 1, 'default', NULL, '2023-11-10 23:36:14', '16',
        '2023-11-10 11:36:14', '16', '2023-11-10 11:36:14', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1007, 16, '884411397a1e4562bf77d23ff373be99', 1, 'default', NULL, '2023-11-10 23:36:16', '16',
        '2023-11-10 11:36:16', '16', '2023-11-10 11:36:16', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1008, 16, 'c70be1b87d544d74af9d4f3e7618529f', 1, 'default', NULL, '2023-11-10 23:36:29', '16',
        '2023-11-10 11:36:29', '16', '2023-11-10 11:36:29', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1009, 16, 'bd3822dd18394a12a647386709c15ac0', 1, 'default', NULL, '2023-11-10 23:36:50', '16',
        '2023-11-10 11:36:50', '16', '2023-11-10 11:36:50', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1010, 16, '5e4d95da5daa486cb814c042cb5096da', 1, 'default', NULL, '2023-11-10 23:36:50', '16',
        '2023-11-10 11:36:50', '16', '2023-11-10 11:36:50', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1011, 16, 'fa2f52c9f76c4b2c9673cb8ffb927706', 1, 'default', NULL, '2023-11-10 23:36:50', '16',
        '2023-11-10 11:36:50', '16', '2023-11-10 11:36:50', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1012, 16, '0ac76ec8c8ae4c719c3c80ea7751c741', 1, 'default', NULL, '2023-11-10 23:36:51', '16',
        '2023-11-10 11:36:51', '16', '2023-11-10 11:36:51', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1013, 16, 'aa841262511e4fcf9f52dffa3503b3bf', 1, 'default', NULL, '2023-11-10 23:36:51', '16',
        '2023-11-10 11:36:51', '16', '2023-11-10 11:36:51', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1014, 16, '93b5422dde7446e8abe91a0391b65976', 1, 'default', NULL, '2023-11-10 23:36:54', '16',
        '2023-11-10 11:36:54', '16', '2023-11-10 11:36:54', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1015, 16, '1f8bbf31eddb49a48548a1a2d38db6d3', 1, 'default', NULL, '2023-11-10 23:38:02', '16',
        '2023-11-10 11:38:02', '16', '2023-11-10 11:38:02', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1016, 16, '2a29dfe8f61c45e39b330299dae72648', 1, 'default', NULL, '2023-11-10 23:38:02', '16',
        '2023-11-10 11:38:02', '16', '2023-11-10 11:38:02', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1017, 16, '8703407079e6417aa95fdc3a94c256ca', 1, 'default', NULL, '2023-11-10 23:38:03', '16',
        '2023-11-10 11:38:03', '16', '2023-11-10 11:38:03', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1018, 16, '3ca1d9e447f549e0a78a664d46915d5e', 1, 'default', NULL, '2023-11-10 23:38:03', '16',
        '2023-11-10 11:38:03', '16', '2023-11-10 11:38:03', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1019, 16, '3ea369fd4a0846caae1ccd9e5057488b', 1, 'default', NULL, '2023-11-10 23:38:03', '16',
        '2023-11-10 11:38:03', '16', '2023-11-10 11:38:03', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1020, 10, '984613b77b294976a9b25dc6c1203ec5', 1, 'default', NULL, '2023-11-10 23:38:59', NULL,
        '2023-11-10 11:38:59', NULL, '2023-11-10 11:38:59', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1021, 16, '03075848d53445a6b85274b5ff2fd712', 1, 'default', NULL, '2023-11-10 23:40:06', NULL,
        '2023-11-10 11:40:06', NULL, '2023-11-10 11:40:06', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1022, 16, '894f4f61ed864d03a1b4efce2853c0ff', 1, 'default', NULL, '2023-11-10 23:40:06', '16',
        '2023-11-10 11:40:06', '16', '2023-11-10 11:40:06', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1023, 16, '3d4694fce6b54336820319bb2b9f2b5c', 1, 'default', NULL, '2023-11-10 23:40:07', '16',
        '2023-11-10 11:40:07', '16', '2023-11-10 11:40:07', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1024, 10, '68ccae3b11f34bfc9c7d180278abc041', 1, 'default', NULL, '2023-11-10 23:40:07', NULL,
        '2023-11-10 11:40:07', NULL, '2023-11-10 11:40:07', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1025, 16, 'bff9447b97d14166be4836f85e34a0bb', 1, 'default', NULL, '2023-11-10 23:40:07', '16',
        '2023-11-10 11:40:07', '16', '2023-11-10 11:40:07', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1026, 16, '50ba21c6d0b3451ebb4b364d4933771b', 1, 'default', NULL, '2023-11-10 23:40:07', '16',
        '2023-11-10 11:40:07', '16', '2023-11-10 11:40:07', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1027, 10, '82b152c9e52642218864cf5a7c5ef5c5', 1, 'default', NULL, '2023-11-10 23:40:09', '10',
        '2023-11-10 11:40:09', '10', '2023-11-10 11:40:09', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1028, 10, 'cb0406f10f8b4bccbb2c55e7891e670a', 1, 'default', NULL, '2023-11-10 23:40:09', '10',
        '2023-11-10 11:40:09', '10', '2023-11-10 11:40:09', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1029, 10, '0a6da05102b64271ac083afc9ec30bb4', 1, 'default', NULL, '2023-11-10 23:40:20', '10',
        '2023-11-10 11:40:20', '10', '2023-11-10 11:40:20', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1030, 11, 'd45ceb98ac144f4ea70b741d885b4d12', 1, 'default', NULL, '2023-11-10 23:40:44', NULL,
        '2023-11-10 11:40:44', NULL, '2023-11-10 11:40:44', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1031, 11, 'c08b5164790c47f6a5fd399e60d07186', 1, 'default', NULL, '2023-11-10 23:40:47', '11',
        '2023-11-10 11:40:47', '11', '2023-11-10 11:40:47', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1032, 11, 'a56bef3380574b03860bedb6361dd239', 1, 'default', NULL, '2023-11-10 23:41:04', '11',
        '2023-11-10 11:41:04', '11', '2023-11-10 11:41:04', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1033, 11, '4b954fb8827a4eb987ead0d6d32b5923', 1, 'default', NULL, '2023-11-10 23:41:08', '11',
        '2023-11-10 11:41:08', '11', '2023-11-10 11:41:08', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1034, 11, 'ca57c5cf69394021b68a3d47bff3e754', 1, 'default', NULL, '2023-11-10 23:41:12', '11',
        '2023-11-10 11:41:12', '11', '2023-11-10 11:41:12', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1035, 10, 'ffc034cfbe9a4024b4aa6d82130042e2', 1, 'default', NULL, '2023-11-10 23:41:40', NULL,
        '2023-11-10 11:41:40', NULL, '2023-11-10 11:41:40', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1036, 11, '38912076f37245278505dfc9a4ae4ac1', 1, 'default', NULL, '2023-11-10 23:41:44', '11',
        '2023-11-10 11:41:44', '11', '2023-11-10 11:41:44', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1037, 11, 'd747d4287b3046f0a9ac035cdb03f040', 1, 'default', NULL, '2023-11-10 23:41:48', '11',
        '2023-11-10 11:41:48', '11', '2023-11-10 11:41:48', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1038, 15, 'df7cec7ccaee4bde8feebba30a8212c8', 1, 'default', NULL, '2023-11-11 00:11:23', NULL,
        '2023-11-10 12:11:23', NULL, '2023-11-10 12:11:23', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1039, 15, '6aea780be0f040ac941f8f2e5f89616d', 1, 'default', NULL, '2023-11-11 00:12:15', '15',
        '2023-11-10 12:12:15', '15', '2023-11-10 12:12:15', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1040, 16, 'e35d428ce86e476da58948a228a24beb', 1, 'default', NULL, '2023-11-11 00:14:17', NULL,
        '2023-11-10 12:14:17', NULL, '2023-11-10 12:14:17', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1041, 10, '73262878f6494b47acdb5c8f498a5c95', 1, 'default', NULL, '2023-11-11 00:19:40', NULL,
        '2023-11-10 12:19:40', NULL, '2023-11-10 12:19:40', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1042, 10, '0109b0ca2e53493390e5f5a204a3a10f', 1, 'default', NULL, '2023-11-11 00:20:00', '10',
        '2023-11-10 12:20:00', '10', '2023-11-10 12:20:00', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1043, 10, 'a78a26b78bd849ac903d2fb71a978a8e', 1, 'default', NULL, '2023-11-11 02:08:05', NULL,
        '2023-11-10 14:08:05', NULL, '2023-11-10 14:08:05', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1044, 16, '5fe4797db4a74081b988962b3d81c449', 1, 'default', NULL, '2023-11-11 02:13:55', NULL,
        '2023-11-10 14:13:55', NULL, '2023-11-10 14:13:55', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1045, 15, '6c74503703704176ba61708431d97692', 1, 'default', NULL, '2023-11-11 02:46:49', NULL,
        '2023-11-10 14:46:49', NULL, '2023-11-10 14:46:49', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1046, 15, 'b18996c47c6c4f4c8e9ec18c2a729521', 1, 'default', NULL, '2023-11-11 02:46:51', '15',
        '2023-11-10 14:46:51', '15', '2023-11-10 14:46:51', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1047, 15, '74d8f34f35b14e23bcae1b2361ce7a3a', 1, 'default', NULL, '2023-11-11 02:48:19', NULL,
        '2023-11-10 14:48:19', NULL, '2023-11-10 14:48:19', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1048, 15, '432124514fc44cf0a971afc98cc49894', 1, 'default', NULL, '2023-11-11 03:15:15', NULL,
        '2023-11-10 15:15:15', NULL, '2023-11-10 15:15:15', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1049, 15, '762c777114c8464a90911da91da28898', 1, 'default', NULL, '2023-11-11 03:15:19', '15',
        '2023-11-10 15:15:19', '15', '2023-11-10 15:15:19', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1050, 25, 'b045fb6a51c148e495074d1d25fb2764', 1, 'default', NULL, '2023-11-11 04:06:54', NULL,
        '2023-11-10 16:06:54', NULL, '2023-11-10 16:06:54', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1051, 15, 'c744ecf8995949f4a767e517ca22b2ad', 1, 'default', NULL, '2023-11-11 04:29:51', NULL,
        '2023-11-10 16:29:51', NULL, '2023-11-10 16:29:51', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1052, 15, '3b2c256de91c4eeda78fae03b4481f3c', 1, 'default', NULL, '2023-11-11 04:30:00', '15',
        '2023-11-10 16:30:00', '15', '2023-11-10 16:30:00', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1053, 15, 'dcf73abf2a594f1981c19e40b43099f0', 1, 'default', NULL, '2023-11-11 04:30:44', NULL,
        '2023-11-10 16:30:44', NULL, '2023-11-10 16:30:44', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1054, 15, '2ba8516f894c4f93b49ab8c9829e1dd7', 1, 'default', NULL, '2023-11-11 04:32:00', NULL,
        '2023-11-10 16:32:00', NULL, '2023-11-10 16:32:00', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1055, 15, '65e0308b59ca43189c2c5501dda23ad9', 1, 'default', NULL, '2023-11-11 04:33:37', NULL,
        '2023-11-10 16:33:37', NULL, '2023-11-10 16:33:37', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1056, 15, '1ccb1e85a15d419692d377c9b1b133a9', 1, 'default', NULL, '2023-11-11 04:34:30', '15',
        '2023-11-10 16:34:30', '15', '2023-11-10 16:34:30', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1057, 15, '0b8fdc54dead48fe8233236385af5c49', 1, 'default', NULL, '2023-11-11 04:35:10', NULL,
        '2023-11-10 16:35:10', NULL, '2023-11-10 16:35:10', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1058, 11, 'e2bfd99151664629bfa90c35698c355f', 1, 'default', NULL, '2023-11-11 05:12:48', NULL,
        '2023-11-10 17:12:48', NULL, '2023-11-10 17:12:48', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1059, 16, '8d6b48383b85438aa7dd6fef51acbe03', 1, 'default', NULL, '2023-11-11 05:22:03', NULL,
        '2023-11-10 17:22:03', NULL, '2023-11-10 17:22:03', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1060, 11, '68d7c6fc1c114438b6110ee05f80f921', 1, 'default', NULL, '2023-11-11 05:50:09', NULL,
        '2023-11-10 17:50:09', NULL, '2023-11-10 17:50:09', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1061, 7, 'cbfd4be9d11d436791c4cdafef4162fb', 1, 'default', NULL, '2023-11-11 05:53:55', NULL,
        '2023-11-10 17:53:55', NULL, '2023-11-10 17:53:55', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1062, 7, 'cb0869f2ada1476bb978b62317fee743', 1, 'default', NULL, '2023-11-11 05:54:59', '7',
        '2023-11-10 17:54:59', '7', '2023-11-10 17:54:59', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1063, 16, '7bf5b58b4f1e428d890f8b0090965010', 1, 'default', NULL, '2023-11-11 06:02:28', NULL,
        '2023-11-10 18:02:28', NULL, '2023-11-10 18:02:28', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1064, 7, 'cba51659cc77467486602be4be42a429', 1, 'default', NULL, '2023-11-11 06:06:10', NULL,
        '2023-11-10 18:06:10', NULL, '2023-11-10 18:06:10', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1065, 11, '222ff61ba04e442cb353fade0b6ad316', 1, 'default', NULL, '2023-11-11 06:13:54', NULL,
        '2023-11-10 18:13:54', NULL, '2023-11-10 18:13:54', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1066, 16, '9c09eefceef84d5794eeac662e79b905', 1, 'default', NULL, '2023-11-11 06:14:43', NULL,
        '2023-11-10 18:14:43', NULL, '2023-11-10 18:14:43', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1067, 7, '3e1061d236d5495287887e27dc835436', 1, 'default', NULL, '2023-11-11 06:22:46', NULL,
        '2023-11-10 18:22:46', NULL, '2023-11-10 18:22:46', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1068, 7, 'ff439febcb5846cc9f5808512ac7e658', 1, 'default', NULL, '2023-11-11 06:27:37', NULL,
        '2023-11-10 18:27:37', NULL, '2023-11-10 18:27:37', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1069, 17, '58b4507adcf34abe8da3cd8f2c98149e', 1, 'default', NULL, '2023-11-11 06:30:09', NULL,
        '2023-11-10 18:30:09', NULL, '2023-11-10 18:30:09', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1070, 19, '107d12bd240c4540b0b0e95e54871fef', 1, 'default', NULL, '2023-11-11 06:35:27', NULL,
        '2023-11-10 18:35:27', NULL, '2023-11-10 18:35:27', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1071, 16, 'ed342de644e74dfc91b5aed51c52ef84', 1, 'default', NULL, '2023-11-11 06:42:29', NULL,
        '2023-11-10 18:42:29', NULL, '2023-11-10 18:42:29', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1072, 18, '4605fa00b1064ec594692ab34f2cdd8f', 1, 'default', NULL, '2023-11-11 06:43:19', NULL,
        '2023-11-10 18:43:19', NULL, '2023-11-10 18:43:19', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1073, 16, 'c3d7b67d3fe64b03b8e4355fe2ed69b7', 1, 'default', NULL, '2023-11-11 06:46:40', NULL,
        '2023-11-10 18:46:40', NULL, '2023-11-10 18:46:40', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1074, 10, '40f4c15d0cf8453391b68614cf68ebb1', 1, 'default', NULL, '2023-11-13 21:56:41', NULL,
        '2023-11-13 09:56:41', NULL, '2023-11-13 09:56:41', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1075, 19, 'c246669c8d5e454d9d41976a571f0348', 1, 'default', NULL, '2023-11-13 22:07:56', NULL,
        '2023-11-13 10:07:56', NULL, '2023-11-13 10:07:56', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1076, 9, 'fdc50049abdc49409c09b820d18dc7f3', 1, 'default', NULL, '2023-11-13 22:35:33', NULL,
        '2023-11-13 10:35:33', NULL, '2023-11-13 10:35:33', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1077, 19, '2f98ada2ede74195be162731f9492ee6', 1, 'default', NULL, '2023-11-13 23:09:32', NULL,
        '2023-11-13 11:09:32', NULL, '2023-11-13 11:09:32', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1078, 1, 'ceab35b8676e4d36897c6cc7c6e1e257', 2, 'default', NULL, '2023-11-13 23:17:58', NULL,
        '2023-11-13 11:17:58', NULL, '2023-11-13 11:17:58', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1079, 9, '5074e8f1515b4b58a983e080f1052f49', 1, 'default', NULL, '2023-11-14 02:01:56', NULL,
        '2023-11-13 14:01:56', NULL, '2023-11-13 14:01:56', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1080, 1, 'ac97488125214087baf23001a68c02fe', 2, 'default', NULL, '2023-11-14 03:08:21', NULL,
        '2023-11-13 15:08:21', NULL, '2023-11-13 15:08:21', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1081, 1, 'c4bfe60cc6c14b25b266abe36388e417', 2, 'default', NULL, '2023-11-14 03:12:09', NULL,
        '2023-11-13 15:12:09', NULL, '2023-11-13 15:12:09', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1082, 1, 'c56bf43b529d45acadb7affce5003164', 2, 'default', NULL, '2023-11-14 03:21:46', NULL,
        '2023-11-13 15:21:46', NULL, '2023-11-13 15:21:46', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1083, 18, '2d686d1d2e374af4b1e189d4df727c7b', 1, 'default', NULL, '2023-11-14 03:36:27', NULL,
        '2023-11-13 15:36:27', NULL, '2023-11-13 15:36:27', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1084, 16, 'd0ce734b1dea4f478b3746d2c2c9bd95', 1, 'default', NULL, '2023-11-14 03:44:20', NULL,
        '2023-11-13 15:44:20', NULL, '2023-11-13 15:44:20', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1085, 11, '41c16ca0e7ae4d5caf67527e2ad5754c', 1, 'default', NULL, '2023-11-14 04:10:05', NULL,
        '2023-11-13 16:10:05', NULL, '2023-11-13 16:10:05', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1086, 18, '4b8739615cf64d9da04a3b0466ed9360', 1, 'default', NULL, '2023-11-14 04:19:57', NULL,
        '2023-11-13 16:19:57', NULL, '2023-11-13 16:19:57', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1087, 11, 'd3f8fd564b924326b55156f7b8cf39c8', 1, 'default', NULL, '2023-11-14 04:38:56', NULL,
        '2023-11-13 16:38:56', NULL, '2023-11-13 16:38:56', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1088, 1, '2d357f8ba310493c9744d9fcbd7c0df6', 2, 'default', NULL, '2023-11-14 05:03:11', NULL,
        '2023-11-13 17:03:11', NULL, '2023-11-13 17:03:11', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1089, 11, 'ec5aaa4ad4d7433f82cfb3fa447e0468', 1, 'default', NULL, '2023-11-14 05:04:06', '11',
        '2023-11-13 17:04:06', '11', '2023-11-13 17:04:06', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1090, 7, '09ec6a85e41b498cb3d577aaf417b488', 1, 'default', NULL, '2023-11-14 05:04:48', NULL,
        '2023-11-13 17:04:48', NULL, '2023-11-13 17:04:48', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1091, 10, 'd33b92d871ae460da16994184780a91b', 1, 'default', NULL, '2023-11-14 05:13:28', NULL,
        '2023-11-13 17:13:28', NULL, '2023-11-13 17:13:28', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1092, 18, 'dd980b21fa264dfda02b52f117c390bf', 1, 'default', NULL, '2023-11-14 06:48:46', NULL,
        '2023-11-13 18:48:46', NULL, '2023-11-13 18:48:46', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1093, 16, 'adcf2cb1adf4486a9a352ed97a50b134', 1, 'default', NULL, '2023-11-14 07:50:18', NULL,
        '2023-11-13 19:50:18', NULL, '2023-11-13 19:50:18', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1094, 26, 'ff00a31d675948f9b337488371fe7b56', 1, 'default', NULL, '2023-11-14 08:02:16', NULL,
        '2023-11-13 20:02:16', NULL, '2023-11-13 20:02:16', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1095, 16, 'a1bc84d3889d4d73b7270a79c95b9f66', 1, 'default', NULL, '2023-11-14 08:54:53', NULL,
        '2023-11-13 20:54:53', NULL, '2023-11-13 20:54:53', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1096, 18, '222d378a0b314192a1475b5114d822a5', 1, 'default', NULL, '2023-11-14 08:56:18', NULL,
        '2023-11-13 20:56:18', NULL, '2023-11-13 20:56:18', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1097, 27, 'bccaff977c4446918d9d57cf4d6df454', 1, 'default', NULL, '2023-11-14 08:56:31', NULL,
        '2023-11-13 20:56:31', NULL, '2023-11-13 20:56:31', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1098, 11, 'e1f4757715d741aeb17e990ac9997a29', 1, 'default', NULL, '2023-11-14 08:56:57', NULL,
        '2023-11-13 20:56:57', NULL, '2023-11-13 20:56:57', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1099, 28, 'edd1f19d99ef4751a55a7f71bc777c8a', 1, 'default', NULL, '2023-11-14 09:07:34', NULL,
        '2023-11-13 21:07:34', NULL, '2023-11-13 21:07:34', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1100, 1, '2a0c4c31351e4bb995c9577793eb3844', 2, 'default', NULL, '2023-11-14 09:13:00', NULL,
        '2023-11-13 21:13:00', NULL, '2023-11-13 21:13:00', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1101, 10, '176c1a6935df46dda76d98671387a6ac', 1, 'default', NULL, '2023-11-14 09:15:41', NULL,
        '2023-11-13 21:15:41', NULL, '2023-11-13 21:15:41', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1102, 11, 'eee4f2e7540a4cbfb112b8036693dd63', 1, 'default', NULL, '2023-11-14 09:24:47', '11',
        '2023-11-13 21:24:47', '11', '2023-11-13 21:24:47', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1103, 11, '3b4cb91c51794a5bbfe9bfa43e046995', 1, 'default', NULL, '2023-11-14 09:42:56', NULL,
        '2023-11-13 21:42:56', NULL, '2023-11-13 21:42:56', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1104, 10, 'e665761310864da19847f6ecaccbbd00', 1, 'default', NULL, '2023-11-14 09:56:55', NULL,
        '2023-11-13 21:56:55', NULL, '2023-11-13 21:56:55', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1105, 11, '4df90ea93f4e4b8ab2c1d38208d288fa', 1, 'default', NULL, '2023-11-14 10:13:27', NULL,
        '2023-11-13 22:13:27', NULL, '2023-11-13 22:13:27', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1106, 16, '7fc1feeae94d4b10b96d136575d77f00', 1, 'default', NULL, '2023-11-14 10:27:37', NULL,
        '2023-11-13 22:27:37', NULL, '2023-11-13 22:27:37', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1107, 19, 'e5576cda260c4028a87b5cbc403fb3b5', 1, 'default', NULL, '2023-11-14 10:32:28', NULL,
        '2023-11-13 22:32:28', NULL, '2023-11-13 22:32:28', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1108, 7, '6ba5866f46524ed69f5c17daa8f0269e', 1, 'default', NULL, '2023-11-14 10:34:11', NULL,
        '2023-11-13 22:34:11', NULL, '2023-11-13 22:34:11', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1109, 7, 'c267f6e63f2f4dc3a08451d7e5807760', 1, 'default', NULL, '2023-11-14 10:35:22', NULL,
        '2023-11-13 22:35:22', NULL, '2023-11-13 22:35:22', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1110, 19, '97979c83abb94293b2c1006b4ca50fd4', 1, 'default', NULL, '2023-11-14 10:36:47', NULL,
        '2023-11-13 22:36:47', NULL, '2023-11-13 22:36:47', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1111, 7, 'fbf6c0092af44eefb3bb987cb97167f5', 1, 'default', NULL, '2023-11-14 10:37:15', NULL,
        '2023-11-13 22:37:15', NULL, '2023-11-13 22:37:15', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1112, 11, '88afbc8592014a8b9c11388f1a0292ab', 1, 'default', NULL, '2023-11-14 11:01:05', NULL,
        '2023-11-13 23:01:05', NULL, '2023-11-13 23:01:05', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1113, 11, '400d64ef7af047e3a78ba3c70b269028', 1, 'default', NULL, '2023-11-14 11:13:52', NULL,
        '2023-11-13 23:13:52', NULL, '2023-11-13 23:13:52', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1114, 1, '94d445298fb54d5392571390972d949a', 2, 'default', NULL, '2023-11-14 11:17:23', NULL,
        '2023-11-13 23:17:23', NULL, '2023-11-15 19:02:31', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1115, 1, '119710991020425591db95c2e176d3a5', 2, 'default', NULL, '2023-11-14 11:17:53', NULL,
        '2023-11-13 23:17:53', NULL, '2023-11-14 14:27:01', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1116, 16, '1227a09828104bc0862c36812c1cdf67', 1, 'default', NULL, '2023-11-14 11:24:51', NULL,
        '2023-11-13 23:24:51', NULL, '2023-11-13 23:24:51', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1117, 7, 'af2d20c0b590434f8261dab0e3a96f67', 1, 'default', NULL, '2023-11-14 11:42:34', NULL,
        '2023-11-13 23:42:34', NULL, '2023-11-13 23:42:34', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1118, 11, 'eb1b315ddad74423afece1f7da935e4d', 1, 'default', NULL, '2023-11-14 11:46:15', NULL,
        '2023-11-13 23:46:15', NULL, '2023-11-13 23:46:15', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1119, 16, '804ecc76a6934f4e815e7ef847d010ea', 1, 'default', NULL, '2023-11-14 12:10:24', NULL,
        '2023-11-14 00:10:24', NULL, '2023-11-14 00:10:24', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1120, 18, '5b2b2e8a39a64a6f8333fc53b572b788', 1, 'default', NULL, '2023-11-14 12:33:51', NULL,
        '2023-11-14 00:33:51', NULL, '2023-11-14 00:33:51', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1121, 9, '94f99bc7187f4f439e54bc45194ede3a', 1, 'default', NULL, '2023-11-14 12:40:28', NULL,
        '2023-11-14 00:40:28', NULL, '2023-11-14 00:40:28', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1122, 7, '6161427445ca461fb0603f199ab86b6e', 1, 'default', NULL, '2023-11-14 12:59:10', NULL,
        '2023-11-14 00:59:10', NULL, '2023-11-14 00:59:10', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1123, 1, 'c15d8e0a45d144398d335ea2967b0e98', 2, 'default', NULL, '2023-11-14 13:12:36', NULL,
        '2023-11-14 01:12:36', NULL, '2023-11-14 01:12:36', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1124, 18, '66f2e2582b9d4918a2c3e996325ca82c', 1, 'default', NULL, '2023-11-14 13:32:46', NULL,
        '2023-11-14 01:32:46', NULL, '2023-11-14 01:32:46', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1125, 29, '68bbc1e25e694e998477671186955110', 1, 'default', NULL, '2023-11-14 13:45:43', NULL,
        '2023-11-14 01:45:43', NULL, '2023-11-14 01:45:43', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1126, 16, 'da8c714e374a4b4a8af0a347b283e170', 1, 'default', NULL, '2023-11-14 13:47:09', NULL,
        '2023-11-14 01:47:09', NULL, '2023-11-14 01:47:09', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1127, 7, '2222616074be4616a1ef306a76d87ab3', 1, 'default', NULL, '2023-11-14 14:50:41', NULL,
        '2023-11-14 02:50:41', NULL, '2023-11-14 02:50:41', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1128, 19, '1ef2dd8652ce4efda869993d08b8eb67', 1, 'default', NULL, '2023-11-14 22:49:05', NULL,
        '2023-11-14 10:49:05', NULL, '2023-11-14 10:49:05', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1129, 7, '251bd5df74ca4f1aacc64e8cb81583ca', 1, 'default', NULL, '2023-11-15 02:11:00', '7',
        '2023-11-14 14:11:00', '7', '2023-11-14 14:11:00', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1130, 18, '214073f44af6425d9dcd3337f0790c13', 1, 'default', NULL, '2023-11-15 02:16:37', '18',
        '2023-11-14 14:16:37', '18', '2023-11-14 14:16:37', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1131, 15, 'cc84616768124ad4855d47f72254d23f', 1, 'default', NULL, '2023-11-15 02:17:46', '15',
        '2023-11-14 14:17:46', '15', '2023-11-14 14:17:46', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1132, 16, '341d9a77db0e48b9a557b58154d92b99', 1, 'default', NULL, '2023-11-15 02:21:36', NULL,
        '2023-11-14 14:21:36', NULL, '2023-11-14 14:21:36', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1133, 30, '65417382597e42fcbafedd74a009079a', 1, 'default', NULL, '2023-11-15 02:24:34', NULL,
        '2023-11-14 14:24:34', NULL, '2023-11-14 14:24:34', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1134, 31, '695c06f165de44b98359471a665064bf', 1, 'default', NULL, '2023-11-15 02:25:04', NULL,
        '2023-11-14 14:25:04', NULL, '2023-11-14 14:25:04', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1135, 1, 'd0452a1ac9fa4862b8a27c78763088aa', 2, 'default', NULL, '2023-11-15 02:27:08', NULL,
        '2023-11-14 14:27:08', NULL, '2023-11-22 19:01:02', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1136, 16, '5f7729b15e5d4645905acf52a36dbb12', 1, 'default', NULL, '2023-11-15 02:27:25', NULL,
        '2023-11-14 14:27:25', NULL, '2023-11-14 14:27:25', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1137, 16, '2ec85ae07927427e995df45c993a340e', 1, 'default', NULL, '2023-11-15 02:29:09', NULL,
        '2023-11-14 14:29:09', NULL, '2023-11-14 14:29:09', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1138, 16, 'bf8df307fae848729333d9ccc5a009a1', 1, 'default', NULL, '2023-11-15 02:30:30', NULL,
        '2023-11-14 14:30:30', NULL, '2023-11-14 14:30:30', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1139, 15, '90fb526c87e04b98ab23e6a7f999564a', 1, 'default', NULL, '2023-11-15 02:33:19', NULL,
        '2023-11-14 14:33:19', NULL, '2023-11-14 14:33:19', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1140, 19, '364cf327272647e5be3d71ba5ea618e0', 1, 'default', NULL, '2023-11-15 02:34:05', NULL,
        '2023-11-14 14:34:05', NULL, '2023-11-14 14:34:05', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1141, 18, '17b3159a611a44b5b76fb202c7c267fd', 1, 'default', NULL, '2023-11-15 02:41:45', NULL,
        '2023-11-14 14:41:45', NULL, '2023-11-14 14:41:45', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1142, 18, '6be3f87fef5c438eba99aec569bbd32e', 1, 'default', NULL, '2023-11-15 03:11:21', NULL,
        '2023-11-14 15:11:21', NULL, '2023-11-14 15:11:21', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1143, 10, 'b3bbe7782f74486c9cb0438e2c81e662', 1, 'default', NULL, '2023-11-15 03:33:29', NULL,
        '2023-11-14 15:33:29', NULL, '2023-11-14 15:33:29', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1144, 1, '5d7fa122e02d467fbcb415d9510a891b', 2, 'default', NULL, '2023-11-15 03:34:32', NULL,
        '2023-11-14 15:34:32', NULL, '2023-11-14 15:34:32', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1145, 16, '8982ff926284405ab9000bc0536a8ab5', 1, 'default', NULL, '2023-11-15 03:36:22', NULL,
        '2023-11-14 15:36:22', NULL, '2023-11-14 15:36:22', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1146, 18, '30799feee5594dab90ffb0411ee60d1f', 1, 'default', NULL, '2023-11-15 03:37:06', NULL,
        '2023-11-14 15:37:06', NULL, '2023-11-14 15:37:06', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1147, 16, '238a6b1085f24c7985ecbfb58ebd4682', 1, 'default', NULL, '2023-11-15 03:41:05', NULL,
        '2023-11-14 15:41:05', NULL, '2023-11-14 15:41:05', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1148, 18, '1ce21d72b57b4aefb08658c7c62b1029', 1, 'default', NULL, '2023-11-15 03:45:21', NULL,
        '2023-11-14 15:45:21', NULL, '2023-11-14 15:45:21', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1149, 17, '03c4744332cf43229b1ad0fed279c203', 1, 'default', NULL, '2023-11-15 03:45:48', NULL,
        '2023-11-14 15:45:48', NULL, '2023-11-14 15:45:48', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1150, 11, '10bc981b636d45ad9d47a41617643d82', 1, 'default', NULL, '2023-11-15 03:47:08', NULL,
        '2023-11-14 15:47:08', NULL, '2023-11-14 15:47:08', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1151, 9, '18c4e0c05a2f403dba536bb6a01ee206', 1, 'default', NULL, '2023-11-15 03:52:31', NULL,
        '2023-11-14 15:52:31', NULL, '2023-11-14 15:52:31', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1152, 18, '043cbe65c77a40bdbbe41a2be0e882ce', 1, 'default', NULL, '2023-11-15 03:59:01', NULL,
        '2023-11-14 15:59:01', NULL, '2023-11-14 15:59:01', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1153, 7, 'fed604c10b5548b3823a124181a5e603', 1, 'default', NULL, '2023-11-15 04:27:18', NULL,
        '2023-11-14 16:27:18', NULL, '2023-11-14 16:27:18', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1154, 11, '3aabacae5d6345c9ad7037e9e616c957', 1, 'default', NULL, '2023-11-15 04:40:19', NULL,
        '2023-11-14 16:40:19', NULL, '2023-11-14 16:40:19', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1155, 9, 'eb2832d74c244db8b4371e9ae0b6704d', 1, 'default', NULL, '2023-11-15 04:50:19', '9',
        '2023-11-14 16:50:19', '9', '2023-11-14 16:50:19', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1156, 16, '5afff15f6dca4de3b3cdd22324ad2ac2', 1, 'default', NULL, '2023-11-15 05:08:49', NULL,
        '2023-11-14 17:08:49', NULL, '2023-11-14 17:08:49', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1157, 7, 'b130469dfdd74bd3967e9c96ffda4be9', 1, 'default', NULL, '2023-11-15 05:14:56', NULL,
        '2023-11-14 17:14:56', NULL, '2023-11-14 17:14:56', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1158, 18, '289f13f4e1574157a0edb6e7fb36f599', 1, 'default', NULL, '2023-11-15 05:24:33', NULL,
        '2023-11-14 17:24:33', NULL, '2023-11-14 17:24:33', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1159, 15, 'c11d981235304d1fbc2ba5cb1dc093ea', 1, 'default', NULL, '2023-11-15 05:35:44', NULL,
        '2023-11-14 17:35:44', NULL, '2023-11-14 17:35:44', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1160, 18, 'd14416443fb14db18c398d580a294434', 1, 'default', NULL, '2023-11-15 05:54:26', NULL,
        '2023-11-14 17:54:26', NULL, '2023-11-14 17:54:26', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1161, 15, '531a330be9a0490d8fc6d6a3d3654cd6', 1, 'default', NULL, '2023-11-15 06:08:34', NULL,
        '2023-11-14 18:08:34', NULL, '2023-11-14 18:08:34', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1162, 15, '562bc594563d4c318a16738a015a3559', 1, 'default', NULL, '2023-11-15 06:18:12', NULL,
        '2023-11-14 18:18:12', NULL, '2023-11-14 18:18:12', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1163, 11, 'c70f1d7821db480c8afd47a27671883f', 1, 'default', NULL, '2023-11-15 06:25:50', NULL,
        '2023-11-14 18:25:50', NULL, '2023-11-14 18:25:50', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1164, 15, '9c8fe6ca95f143178afb0f6cc4c17462', 1, 'default', NULL, '2023-11-15 06:51:30', '15',
        '2023-11-14 18:51:30', '15', '2023-11-14 18:51:30', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1165, 15, '48dec6344e2145d890ba3e63004bda2b', 1, 'default', NULL, '2023-11-15 06:56:25', '15',
        '2023-11-14 18:56:25', '15', '2023-11-14 18:56:25', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1166, 7, 'b90d61c9ed49462995831696642f710b', 1, 'default', NULL, '2023-11-15 07:41:55', NULL,
        '2023-11-14 19:41:55', NULL, '2023-11-14 19:41:55', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1167, 9, '575674c68c7a403ca0f6b24c8443e69e', 1, 'default', NULL, '2023-11-15 07:47:32', NULL,
        '2023-11-14 19:47:32', NULL, '2023-11-14 19:47:32', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1168, 16, '4162235f32ca4c3ab5db2af5cdb8dbb7', 1, 'default', NULL, '2023-11-15 08:14:27', NULL,
        '2023-11-14 20:14:27', NULL, '2023-11-14 20:14:27', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1169, 16, '0776af76c8d04631bf0281e36b7cee0a', 1, 'default', NULL, '2023-11-15 08:46:00', NULL,
        '2023-11-14 20:46:00', NULL, '2023-11-14 20:46:00', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1170, 11, 'd599290d37904261ae92a2e661d18837', 1, 'default', NULL, '2023-11-15 08:51:16', NULL,
        '2023-11-14 20:51:16', NULL, '2023-11-14 20:51:16', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1171, 16, '3fb3d3a074da4f8e90b7735cd6655aee', 1, 'default', NULL, '2023-11-15 08:51:47', NULL,
        '2023-11-14 20:51:47', NULL, '2023-11-14 20:51:47', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1172, 16, 'bb92a964ff614d2f8966adcfe3ecc0b6', 1, 'default', NULL, '2023-11-15 08:57:08', NULL,
        '2023-11-14 20:57:08', NULL, '2023-11-14 20:57:08', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1173, 15, 'a2c1c69defda453fa60a5cc8313899c5', 1, 'default', NULL, '2023-11-15 08:59:02', NULL,
        '2023-11-14 20:59:02', NULL, '2023-11-14 20:59:02', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1174, 7, 'ee8fb0f7756a4b94afccd611136d2c63', 1, 'default', NULL, '2023-11-15 21:55:40', NULL,
        '2023-11-15 09:55:40', NULL, '2023-11-15 09:55:40', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1175, 16, '84f9eac73f4b44e79f84cb39b3a5a73f', 1, 'default', NULL, '2023-11-15 22:12:01', NULL,
        '2023-11-15 10:12:01', NULL, '2023-11-15 10:12:01', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1176, 16, 'dcd24b2361b44c07af2164fd23ca2c21', 1, 'default', NULL, '2023-11-15 22:12:21', NULL,
        '2023-11-15 10:12:21', NULL, '2023-11-15 10:12:21', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1177, 11, '603079bb11f347b1979824b6f36a0ebe', 1, 'default', NULL, '2023-11-15 22:14:21', NULL,
        '2023-11-15 10:14:21', NULL, '2023-11-15 10:14:21', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1178, 9, 'e7591a346cc445d6bca598d26e86a3ca', 1, 'default', NULL, '2023-11-15 22:59:33', NULL,
        '2023-11-15 10:59:33', NULL, '2023-11-15 10:59:33', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1179, 9, '516e03fa9528493584797ff770be137b', 1, 'default', NULL, '2023-11-15 23:10:55', '9',
        '2023-11-15 11:10:55', '9', '2023-11-15 11:10:55', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1180, 32, '486b92b0042e41879010754617944bff', 1, 'default', NULL, '2023-11-15 23:35:18', NULL,
        '2023-11-15 11:35:18', NULL, '2023-11-15 11:35:18', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1181, 15, '620937f152c045fa848019f01b434545', 1, 'default', NULL, '2023-11-16 00:04:41', NULL,
        '2023-11-15 12:04:41', NULL, '2023-11-15 12:04:41', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1182, 15, '57661f995d914a4bae4164ba5c4d9d51', 1, 'default', NULL, '2023-11-16 01:09:10', NULL,
        '2023-11-15 13:09:10', NULL, '2023-11-15 13:09:10', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1183, 1, '6d03bc22e4ec46ab9520be327fea261d', 2, 'default', NULL, '2023-11-16 02:15:51', NULL,
        '2023-11-15 14:15:51', NULL, '2023-11-15 14:15:51', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1184, 11, '506a958e96c3485eb3602fbf28f1dbe8', 1, 'default', NULL, '2023-11-16 02:19:41', NULL,
        '2023-11-15 14:19:41', NULL, '2023-11-15 14:19:41', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1185, 11, '368157be12074e4593d9f15d86301c0a', 1, 'default', NULL, '2023-11-16 02:24:08', NULL,
        '2023-11-15 14:24:08', NULL, '2023-11-15 14:24:08', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1186, 16, '9da2e20b23a248348a78210af8e679ee', 1, 'default', NULL, '2023-11-16 02:33:23', NULL,
        '2023-11-15 14:33:23', NULL, '2023-11-15 14:33:23', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1187, 9, '3ca05f42ec464046b9c148d34ea3fb1c', 1, 'default', NULL, '2023-11-16 02:33:55', NULL,
        '2023-11-15 14:33:55', NULL, '2023-11-15 14:33:55', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1188, 7, 'af82a3e5ab5c4b5baa80cff16b60cf3e', 1, 'default', NULL, '2023-11-16 02:40:35', NULL,
        '2023-11-15 14:40:35', NULL, '2023-11-15 14:40:35', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1189, 10, 'fd6d074bed1b43098e0951bdee57594a', 1, 'default', NULL, '2023-11-16 03:17:13', NULL,
        '2023-11-15 15:17:13', NULL, '2023-11-15 15:17:13', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1190, 16, 'c1b2906d5fe24adf83cb6f46b54e6ed0', 1, 'default', NULL, '2023-11-16 03:35:17', NULL,
        '2023-11-15 15:35:17', NULL, '2023-11-15 15:35:17', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1191, 7, '24094a1bf4dc437fb94ca93173f8aa12', 1, 'default', NULL, '2023-11-16 03:37:36', NULL,
        '2023-11-15 15:37:36', NULL, '2023-11-15 15:37:36', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1192, 16, 'fc6a7d863c514d66b83d7732bcbfd360', 1, 'default', NULL, '2023-11-16 03:40:00', NULL,
        '2023-11-15 15:40:00', NULL, '2023-11-15 15:40:00', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1193, 16, 'f1fbcf42d5a4409c98e7f444d3f870c7', 1, 'default', NULL, '2023-11-16 04:00:09', NULL,
        '2023-11-15 16:00:09', NULL, '2023-11-15 16:00:09', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1194, 11, 'ac04343a2ed24491bbe08c9e15e35656', 1, 'default', NULL, '2023-11-16 04:09:23', NULL,
        '2023-11-15 16:09:23', NULL, '2023-11-15 16:09:23', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1195, 16, '67b9a1a7632149ce9988bb11c7500477', 1, 'default', NULL, '2023-11-16 04:27:16', NULL,
        '2023-11-15 16:27:16', NULL, '2023-11-15 16:27:16', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1196, 16, '9ceadf4edac54f3082f94a6d7449309e', 1, 'default', NULL, '2023-11-16 05:04:59', NULL,
        '2023-11-15 17:04:59', NULL, '2023-11-15 17:04:59', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1197, 16, 'ff99311977164848ac65717c8406ecb2', 1, 'default', NULL, '2023-11-16 05:38:11', NULL,
        '2023-11-15 17:38:11', NULL, '2023-11-15 17:38:11', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1198, 7, 'dcc8bc9dad2049ab981170d3acdbf48e', 1, 'default', NULL, '2023-11-16 05:40:26', NULL,
        '2023-11-15 17:40:26', NULL, '2023-11-15 17:40:26', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1199, 15, '368789781172461d92b2a6bdf8c3df52', 1, 'default', NULL, '2023-11-16 05:44:11', NULL,
        '2023-11-15 17:44:11', NULL, '2023-11-15 17:44:11', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1200, 19, '4a68150a5b42408784a9ae4a6e118497', 1, 'default', NULL, '2023-11-16 05:46:17', NULL,
        '2023-11-15 17:46:17', NULL, '2023-11-15 17:46:17', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1201, 16, 'ecdc2f8abb68444a9d23bf4031b4c82e', 1, 'default', NULL, '2023-11-16 06:44:31', '16',
        '2023-11-15 18:44:31', '16', '2023-11-15 18:44:31', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1202, 16, 'a936b84d0d914cbfbc5080495fd25163', 1, 'default', NULL, '2023-11-16 06:50:43', NULL,
        '2023-11-15 18:50:43', NULL, '2023-11-15 18:50:43', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1203, 15, 'c76863746ac34bf6a44f131b578c783a', 1, 'default', NULL, '2023-11-16 07:00:21', NULL,
        '2023-11-15 19:00:21', NULL, '2023-11-15 19:00:21', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1204, 1, 'b14d564c175f4026858078ed272c7744', 2, 'default', NULL, '2023-11-16 07:00:34', NULL,
        '2023-11-15 19:00:34', NULL, '2023-11-15 19:00:34', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1205, 1, 'e7bebb090d5e44488e6a0828ea07885a', 2, 'default', NULL, '2023-11-16 07:02:38', NULL,
        '2023-11-15 19:02:38', NULL, '2023-11-16 12:14:02', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1206, 7, 'f75d3f2862b1401ab8f58a61b289f449', 1, 'default', NULL, '2023-11-16 07:07:53', NULL,
        '2023-11-15 19:07:53', NULL, '2023-11-15 19:07:53', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1207, 16, 'df08ee988d5b4195b617cebbda08b68f', 1, 'default', NULL, '2023-11-16 07:08:36', NULL,
        '2023-11-15 19:08:36', NULL, '2023-11-15 19:08:36', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1208, 15, 'a0a078fd1f7d43f68cef452a2c47e575', 1, 'default', NULL, '2023-11-16 07:10:29', '15',
        '2023-11-15 19:10:29', '15', '2023-11-15 19:10:29', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1209, 15, '186d19bf73784ae8bcf75aa5bc63c10e', 1, 'default', NULL, '2023-11-16 07:17:44', NULL,
        '2023-11-15 19:17:44', NULL, '2023-11-15 19:17:44', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1210, 15, '01cf4d9fed31448997b58c088b95b69f', 1, 'default', NULL, '2023-11-16 07:27:15', NULL,
        '2023-11-15 19:27:15', NULL, '2023-11-15 19:27:15', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1211, 11, 'bc29d30b93f447cabd476657d371ec45', 1, 'default', NULL, '2023-11-16 23:35:02', NULL,
        '2023-11-16 11:35:02', NULL, '2023-11-16 11:35:02', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1212, 33, '65199365fad34803a01e13c123b60df5', 1, 'default', NULL, '2023-11-16 23:38:13', NULL,
        '2023-11-16 11:38:13', NULL, '2023-11-16 11:38:13', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1213, 10, 'ecb7c359daaa4898acb609d6dcc45d17', 1, 'default', NULL, '2023-11-16 23:41:24', NULL,
        '2023-11-16 11:41:24', NULL, '2023-11-16 11:41:24', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1214, 10, '0db9cb62900e41fc820afb41b39c1bee', 1, 'default', NULL, '2023-11-16 23:42:31', NULL,
        '2023-11-16 11:42:31', NULL, '2023-11-16 11:42:31', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1215, 16, '97ee7b8ba6204d5387976caa1d14977d', 1, 'default', NULL, '2023-11-16 23:44:02', NULL,
        '2023-11-16 11:44:02', NULL, '2023-11-16 11:44:02', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1216, 19, '821723120d6e4486b6d36ba5395cb101', 1, 'default', NULL, '2023-11-16 23:46:01', NULL,
        '2023-11-16 11:46:01', NULL, '2023-11-16 11:46:01', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1217, 15, '8c62328e7faa447591ad5bccdc25ca04', 1, 'default', NULL, '2023-11-16 23:48:49', NULL,
        '2023-11-16 11:48:49', NULL, '2023-11-16 11:48:49', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1218, 11, '981ffb4f124b44dcaaaa5336691dbb10', 1, 'default', NULL, '2023-11-16 23:51:36', NULL,
        '2023-11-16 11:51:36', NULL, '2023-11-16 11:51:36', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1219, 1, '0728daabfd6f499c97690f186682e7f1', 2, 'default', NULL, '2023-11-17 00:14:17', NULL,
        '2023-11-16 12:14:17', NULL, '2023-11-16 14:16:34', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1220, 10, 'af1dc9a2147245f88f7ecf328f802501', 1, 'default', NULL, '2023-11-17 00:20:19', NULL,
        '2023-11-16 12:20:19', NULL, '2023-11-16 12:20:19', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1221, 10, '1c053268eb77452ab3014f8ba47e04da', 1, 'default', NULL, '2023-11-17 00:20:21', '10',
        '2023-11-16 12:20:21', '10', '2023-11-16 12:20:21', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1222, 10, '453c2b447fea451db55bd0f9c87aec33', 1, 'default', NULL, '2023-11-17 00:20:26', '10',
        '2023-11-16 12:20:26', '10', '2023-11-16 12:20:26', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1223, 10, '4ba1ffa66e704081b245104fd804c5c4', 1, 'default', NULL, '2023-11-17 00:20:32', '10',
        '2023-11-16 12:20:32', '10', '2023-11-16 12:20:32', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1224, 10, 'a79deefc73a8496194c2050af4b5527e', 1, 'default', NULL, '2023-11-17 00:20:48', '10',
        '2023-11-16 12:20:48', '10', '2023-11-16 12:20:48', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1225, 10, '8b9abe4c8e80415e86c8366bf0338668', 1, 'default', NULL, '2023-11-17 00:21:00', '10',
        '2023-11-16 12:21:00', '10', '2023-11-16 12:21:00', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1226, 10, '23442db0848c424b93734110ef87c81a', 1, 'default', NULL, '2023-11-17 00:21:38', '10',
        '2023-11-16 12:21:38', '10', '2023-11-16 12:21:38', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1227, 1, '48b8b8dffe044b89b865094fadc93b7e', 2, 'default', NULL, '2023-11-17 02:18:18', NULL,
        '2023-11-16 14:18:18', NULL, '2023-11-17 19:21:23', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1228, 11, 'adb0b97306b441dbaa918c264fad7612', 1, 'default', NULL, '2023-11-17 02:29:55', '11',
        '2023-11-16 14:29:55', '11', '2023-11-16 14:29:55', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1229, 16, '97f7612091e7416cb6c36d273b46e909', 1, 'default', NULL, '2023-11-17 02:33:48', NULL,
        '2023-11-16 14:33:48', NULL, '2023-11-16 14:33:48', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1230, 16, 'aa055c8d0cc14627bea40c2d20ed3739', 1, 'default', NULL, '2023-11-17 02:37:26', NULL,
        '2023-11-16 14:37:26', NULL, '2023-11-16 14:37:26', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1231, 10, '392ec9c0aff54a30bf8a7b146fa4026d', 1, 'default', NULL, '2023-11-17 02:57:40', NULL,
        '2023-11-16 14:57:40', NULL, '2023-11-16 14:57:40', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1232, 11, '70c8fa71f42a4ec88b811b0c9a34b434', 1, 'default', NULL, '2023-11-17 03:06:51', NULL,
        '2023-11-16 15:06:51', NULL, '2023-11-16 15:06:51', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1233, 10, 'a89af534f0ca464bb53f2dfa3fa78044', 1, 'default', NULL, '2023-11-17 03:08:11', NULL,
        '2023-11-16 15:08:11', NULL, '2023-11-16 15:08:11', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1234, 16, '32b119bf042e4f82984f97ae84ef59e2', 1, 'default', NULL, '2023-11-17 03:13:17', NULL,
        '2023-11-16 15:13:17', NULL, '2023-11-16 15:13:17', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1235, 9, 'b71d76e68363431faf924db19261b4f5', 1, 'default', NULL, '2023-11-17 03:22:56', NULL,
        '2023-11-16 15:22:56', NULL, '2023-11-16 15:22:56', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1236, 16, 'fdbcc871ec3e4953a27c8c30c3c4e948', 1, 'default', NULL, '2023-11-17 03:30:27', NULL,
        '2023-11-16 15:30:27', NULL, '2023-11-16 15:30:27', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1237, 16, '3c3ecf8efd644411aa8643ade4a7cf3e', 1, 'default', NULL, '2023-11-17 03:32:27', NULL,
        '2023-11-16 15:32:27', NULL, '2023-11-16 15:32:27', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1238, 16, 'f638b0b418864e4a94ae61dfa0a2ad24', 1, 'default', NULL, '2023-11-17 03:52:36', NULL,
        '2023-11-16 15:52:36', NULL, '2023-11-16 15:52:36', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1239, 17, 'c45779f3827c47248e9fc19cdcbc97c0', 1, 'default', NULL, '2023-11-17 03:52:46', NULL,
        '2023-11-16 15:52:46', NULL, '2023-11-16 15:52:46', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1240, 7, '988763415e15495bab5905724fd07506', 1, 'default', NULL, '2023-11-17 04:02:22', NULL,
        '2023-11-16 16:02:22', NULL, '2023-11-16 16:02:22', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1241, 15, '11082de68a94449691ac1feea2fe5e84', 1, 'default', NULL, '2023-11-17 04:03:16', NULL,
        '2023-11-16 16:03:16', NULL, '2023-11-16 16:03:16', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1242, 16, 'd848f4e01b094f86912af3729b5e76e3', 1, 'default', NULL, '2023-11-17 04:08:54', NULL,
        '2023-11-16 16:08:54', NULL, '2023-11-16 16:08:54', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1243, 16, '972ffeecbe6f4825bb9523132f20f52c', 1, 'default', NULL, '2023-11-17 04:09:16', NULL,
        '2023-11-16 16:09:16', NULL, '2023-11-16 16:09:16', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1244, 16, 'c7fbac01a7034ae98eff6c81baa6067e', 1, 'default', NULL, '2023-11-17 04:10:42', NULL,
        '2023-11-16 16:10:42', NULL, '2023-11-16 16:10:42', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1245, 19, '5fd9f2c9275d489390e651f590ccbeb1', 1, 'default', NULL, '2023-11-17 04:12:09', NULL,
        '2023-11-16 16:12:09', NULL, '2023-11-16 16:12:09', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1246, 19, '7e223b35e51b4c2b9aa77f8ce1964d19', 1, 'default', NULL, '2023-11-17 04:14:52', NULL,
        '2023-11-16 16:14:52', NULL, '2023-11-16 16:14:52', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1247, 16, '3721ca27d4dd467dbab30c0512d6a4db', 1, 'default', NULL, '2023-11-17 04:30:56', NULL,
        '2023-11-16 16:30:56', NULL, '2023-11-16 16:30:56', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1248, 34, 'd31fe25bc43441e0854a7980dcb9063c', 1, 'default', NULL, '2023-11-17 04:36:18', NULL,
        '2023-11-16 16:36:18', NULL, '2023-11-16 16:36:18', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1249, 16, '321ef74d296f4776ac219fd077d74d7b', 1, 'default', NULL, '2023-11-17 04:38:36', NULL,
        '2023-11-16 16:38:36', NULL, '2023-11-16 16:38:36', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1250, 7, '75be49be61464a0d812c6cf9f0bbe01b', 1, 'default', NULL, '2023-11-17 05:30:19', NULL,
        '2023-11-16 17:30:19', NULL, '2023-11-16 17:30:19', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1251, 16, 'cc56fda148214661b8932fac28fad3b2', 1, 'default', NULL, '2023-11-17 05:34:22', NULL,
        '2023-11-16 17:34:22', NULL, '2023-11-16 17:34:22', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1252, 16, 'fc40f23401a84f119ef2b9256622983f', 1, 'default', NULL, '2023-11-17 05:38:43', NULL,
        '2023-11-16 17:38:43', NULL, '2023-11-16 17:38:43', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1253, 16, '66a6b7847e3243a3ad9d9c3166d10782', 1, 'default', NULL, '2023-11-17 05:59:30', NULL,
        '2023-11-16 17:59:30', NULL, '2023-11-16 17:59:30', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1254, 19, '71cd9a7782634da190a151852e2d412b', 1, 'default', NULL, '2023-11-17 07:00:33', NULL,
        '2023-11-16 19:00:33', NULL, '2023-11-16 19:00:33', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1255, 9, 'e380a641ac134e6a9d8ea78f9a7f769e', 1, 'default', NULL, '2023-11-17 07:57:05', '9',
        '2023-11-16 19:57:05', '9', '2023-11-16 19:57:05', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1256, 19, '0318d38c811c4ea5a249aadaec4de3e9', 1, 'default', NULL, '2023-11-17 08:40:58', NULL,
        '2023-11-16 20:40:58', NULL, '2023-11-16 20:40:58', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1257, 10, '3492213f006e48ae96afd7aa1d473c83', 1, 'default', NULL, '2023-11-17 08:42:47', NULL,
        '2023-11-16 20:42:47', NULL, '2023-11-16 20:42:47', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1258, 10, '81bdeac44c3445589e5db055b6e2b89e', 1, 'default', NULL, '2023-11-17 08:46:13', NULL,
        '2023-11-16 20:46:13', NULL, '2023-11-16 20:46:13', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1259, 10, 'c09a3eb0a8de40ac8ae5b7031a2db061', 1, 'default', NULL, '2023-11-17 09:19:58', NULL,
        '2023-11-16 21:19:58', NULL, '2023-11-16 21:19:58', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1260, 10, 'b4d5a6bf0fc543c4ba432d901dbf39b1', 1, 'default', NULL, '2023-11-17 09:31:02', NULL,
        '2023-11-16 21:31:02', NULL, '2023-11-16 21:31:02', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1261, 7, '57c1243b13604ca6a450578e5823957c', 1, 'default', NULL, '2023-11-17 09:36:51', NULL,
        '2023-11-16 21:36:51', NULL, '2023-11-16 21:36:51', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1262, 19, '0835e60ca65f4599baededc8dce1990e', 1, 'default', NULL, '2023-11-17 09:56:53', NULL,
        '2023-11-16 21:56:53', NULL, '2023-11-16 21:56:53', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1263, 7, '07a60c2a5bcf42b68241313c9100f549', 1, 'default', NULL, '2023-11-17 10:04:14', NULL,
        '2023-11-16 22:04:14', NULL, '2023-11-16 22:04:14', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1264, 16, '39916cc91ee146ab8b04d7c27867602e', 1, 'default', NULL, '2023-11-17 10:04:31', NULL,
        '2023-11-16 22:04:31', NULL, '2023-11-16 22:04:31', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1265, 16, '37b1461984004db5abf6b77347cacd79', 1, 'default', NULL, '2023-11-17 10:49:49', NULL,
        '2023-11-16 22:49:49', NULL, '2023-11-16 22:49:49', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1266, 10, 'c9e560fa15d74452bbc98783e172c3d8', 1, 'default', NULL, '2023-11-17 11:35:52', NULL,
        '2023-11-16 23:35:52', NULL, '2023-11-16 23:35:52', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1267, 9, '99b9085e88b84c2593072bbfbfebc53c', 1, 'default', NULL, '2023-11-17 11:53:31', NULL,
        '2023-11-16 23:53:31', NULL, '2023-11-16 23:53:31', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1268, 16, '61306b6cb7af47328e9ec6fb115a20cf', 1, 'default', NULL, '2023-11-17 20:20:30', NULL,
        '2023-11-17 08:20:30', NULL, '2023-11-17 08:20:30', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1269, 9, '92258a2556be4bd89096f5d4bef0b36c', 1, 'default', NULL, '2023-11-17 22:30:31', NULL,
        '2023-11-17 10:30:31', NULL, '2023-11-17 10:30:31', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1270, 15, '7bdb23d3dc5f46ca9bd2027a375347d2', 1, 'default', NULL, '2023-11-17 23:25:16', '16',
        '2023-11-17 11:25:16', '16', '2023-11-17 11:25:16', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1271, 16, '43c9ad41cc0e496b8ad3d494da9a8438', 1, 'default', NULL, '2023-11-17 23:28:19', NULL,
        '2023-11-17 11:28:19', NULL, '2023-11-17 11:28:19', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1272, 16, 'faa6372c6d4c4447999c6b4cf807e78b', 1, 'default', NULL, '2023-11-18 00:28:35', NULL,
        '2023-11-17 12:28:35', NULL, '2023-11-17 12:28:35', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1273, 9, '586ffc73782a4b6a897e6185a0bca140', 1, 'default', NULL, '2023-11-18 01:05:15', NULL,
        '2023-11-17 13:05:15', NULL, '2023-11-17 13:05:15', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1274, 19, '7eb0b65c03e1482089c11b892823abbb', 1, 'default', NULL, '2023-11-18 02:42:39', NULL,
        '2023-11-17 14:42:39', NULL, '2023-11-17 14:42:39', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1275, 7, '7f12687a786c47429023844efe5d35a9', 1, 'default', NULL, '2023-11-18 03:10:37', NULL,
        '2023-11-17 15:10:37', NULL, '2023-11-17 15:10:37', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1276, 16, 'a49ff2f073ba44fb8ff4dd87e9cd1937', 1, 'default', NULL, '2023-11-18 03:12:02', NULL,
        '2023-11-17 15:12:02', NULL, '2023-11-17 15:12:02', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1277, 11, '6fa1b9a58c8d4b2297b294a99b15b60d', 1, 'default', NULL, '2023-11-18 03:13:33', NULL,
        '2023-11-17 15:13:33', NULL, '2023-11-17 15:13:33', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1278, 16, '0fd54a4aa2c241f1bc47f82499cdbd40', 1, 'default', NULL, '2023-11-18 03:18:36', '16',
        '2023-11-17 15:18:36', '16', '2023-11-17 15:18:36', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1279, 9, 'a0571dd2f0bb46fe85a10a9518213645', 1, 'default', NULL, '2023-11-18 03:20:41', '9',
        '2023-11-17 15:20:41', '9', '2023-11-17 15:20:41', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1280, 16, 'd16161edb5c14ac0ad54e3c02cffa0b2', 1, 'default', NULL, '2023-11-18 03:20:45', NULL,
        '2023-11-17 15:20:45', NULL, '2023-11-17 15:20:45', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1281, 11, '077df1eafb594294a55cfb67f92909af', 1, 'default', NULL, '2023-11-18 03:26:37', NULL,
        '2023-11-17 15:26:37', NULL, '2023-11-17 15:26:37', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1282, 9, 'b83bfc9903d246bf8037cc50b5f59d33', 1, 'default', NULL, '2023-11-18 03:29:34', NULL,
        '2023-11-17 15:29:34', NULL, '2023-11-17 15:29:34', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1283, 16, 'd3c8c1b0e2344318b6177775db8e9fd1', 1, 'default', NULL, '2023-11-18 03:32:35', NULL,
        '2023-11-17 15:32:35', NULL, '2023-11-17 15:32:35', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1284, 10, '791231042ae04fa3826d36c02a4e69e7', 1, 'default', NULL, '2023-11-18 03:41:22', NULL,
        '2023-11-17 15:41:22', NULL, '2023-11-17 15:41:22', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1285, 16, '0f49098cb52947aa9408b1c3049b714f', 1, 'default', NULL, '2023-11-18 03:42:27', NULL,
        '2023-11-17 15:42:27', NULL, '2023-11-17 15:42:27', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1286, 16, '0de154e018584e68a0cf5e41ef47fbb4', 1, 'default', NULL, '2023-11-18 03:43:56', NULL,
        '2023-11-17 15:43:56', NULL, '2023-11-17 15:43:56', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1287, 7, 'e8cb354a029241589f6c3e2aef8f3cb7', 1, 'default', NULL, '2023-11-18 03:45:36', NULL,
        '2023-11-17 15:45:36', NULL, '2023-11-17 15:45:36', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1288, 16, 'e11256f2647f47c5a94da2c2d3f1d580', 1, 'default', NULL, '2023-11-18 03:46:20', NULL,
        '2023-11-17 15:46:20', NULL, '2023-11-17 15:46:20', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1289, 7, '24f96683f59149ca9f7639cd49591136', 1, 'default', NULL, '2023-11-18 03:48:09', NULL,
        '2023-11-17 15:48:09', NULL, '2023-11-17 15:48:09', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1290, 11, '09ded5761d814cf0a7262fecceb80c39', 1, 'default', NULL, '2023-11-18 03:50:43', NULL,
        '2023-11-17 15:50:43', NULL, '2023-11-17 15:50:43', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1291, 31, 'd6378c82bd274d58835151e4ef38783f', 1, 'default', NULL, '2023-11-18 04:28:02', NULL,
        '2023-11-17 16:28:02', NULL, '2023-11-17 16:28:02', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1292, 16, 'c955b658f54a4a3a8371cb07aa205680', 1, 'default', NULL, '2023-11-18 04:30:48', NULL,
        '2023-11-17 16:30:48', NULL, '2023-11-17 16:30:48', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1293, 7, '10897d5597c14f8e87e00747cd69b11d', 1, 'default', NULL, '2023-11-18 04:52:35', NULL,
        '2023-11-17 16:52:35', NULL, '2023-11-17 16:52:35', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1294, 16, '95f1307210b84c9384ae1664b364d433', 1, 'default', NULL, '2023-11-18 05:14:00', NULL,
        '2023-11-17 17:14:00', NULL, '2023-11-17 17:14:00', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1295, 16, '737f5363ea9a4d1ab9e1907476902f74', 1, 'default', NULL, '2023-11-18 05:16:39', NULL,
        '2023-11-17 17:16:39', NULL, '2023-11-17 17:16:39', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1296, 19, '67709525ec5742e4ad85576baa303a2c', 1, 'default', NULL, '2023-11-18 05:30:30', NULL,
        '2023-11-17 17:30:30', NULL, '2023-11-17 17:30:30', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1297, 11, 'b33dd971a37f4e138b5b923ee3913466', 1, 'default', NULL, '2023-11-18 06:34:48', NULL,
        '2023-11-17 18:34:48', NULL, '2023-11-17 18:34:48', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1298, 7, '3d76a1559ab048fd954b388152ccbfae', 1, 'default', NULL, '2023-11-18 06:36:22', NULL,
        '2023-11-17 18:36:22', NULL, '2023-11-17 18:36:22', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1299, 1, 'f99d56d84e41422f89eeb570c6b9ddc4', 2, 'default', NULL, '2023-11-18 07:21:30', NULL,
        '2023-11-17 19:21:30', NULL, '2023-11-22 16:17:16', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1300, 9, 'bf3ef14de8a44587a3379fe2e3e4479e', 1, 'default', NULL, '2023-11-18 07:24:34', NULL,
        '2023-11-17 19:24:34', NULL, '2023-11-17 19:24:34', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1301, 18, '15dd617be15e45999f598cc9bce4dae2', 1, 'default', NULL, '2023-11-18 07:28:50', NULL,
        '2023-11-17 19:28:50', NULL, '2023-11-17 19:28:50', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1302, 26, 'e510dc8396eb4ca89deabdf6c886736d', 1, 'default', NULL, '2023-11-18 07:30:18', NULL,
        '2023-11-17 19:30:18', NULL, '2023-11-17 19:30:18', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1303, 16, 'a433aa0110094e4ba39726046a0046fc', 1, 'default', NULL, '2023-11-18 07:33:14', NULL,
        '2023-11-17 19:33:14', NULL, '2023-11-17 19:33:14', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1304, 16, '78e98527131e4dec931f0e5423d86046', 1, 'default', NULL, '2023-11-18 07:46:21', NULL,
        '2023-11-17 19:46:21', NULL, '2023-11-17 19:46:21', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1305, 7, '231f49903d314a13bdf89caf83f05146', 1, 'default', NULL, '2023-11-18 08:11:54', NULL,
        '2023-11-17 20:11:54', NULL, '2023-11-17 20:11:54', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1306, 16, 'e9c7229e7e3e47c1b1589d7ba942d1db', 1, 'default', NULL, '2023-11-18 08:43:55', NULL,
        '2023-11-17 20:43:55', NULL, '2023-11-17 20:43:55', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1307, 16, 'e26272b32e1641c7a2fdb2998d5a4a68', 1, 'default', NULL, '2023-11-18 08:44:53', NULL,
        '2023-11-17 20:44:53', NULL, '2023-11-17 20:44:53', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1308, 16, '868ed0a4843444b0b90634d9b44efad7', 1, 'default', NULL, '2023-11-18 08:45:06', '16',
        '2023-11-17 20:45:06', '16', '2023-11-17 20:45:06', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1309, 16, 'c019a3ae49fc4b33be9b728889367ecf', 1, 'default', NULL, '2023-11-18 09:00:22', NULL,
        '2023-11-17 21:00:22', NULL, '2023-11-17 21:00:22', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1310, 16, '0315026a5c2f44f38dc72fd44d95c12c', 1, 'default', NULL, '2023-11-18 09:04:09', NULL,
        '2023-11-17 21:04:09', NULL, '2023-11-17 21:04:09', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1311, 16, '2bffd179ca984ea3a9a61edc4fdf934c', 1, 'default', NULL, '2023-11-18 09:09:31', NULL,
        '2023-11-17 21:09:31', NULL, '2023-11-17 21:09:31', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1312, 9, '61dd80894d7e46af8c4fc01b26c24324', 1, 'default', NULL, '2023-11-20 22:32:05', '9',
        '2023-11-20 10:32:05', '9', '2023-11-20 10:32:05', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1313, 9, 'c23af1b517e348c1ab444abc55a0aa40', 1, 'default', NULL, '2023-11-20 22:48:22', NULL,
        '2023-11-20 10:48:22', NULL, '2023-11-20 10:48:22', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1314, 10, '077ecd19a1fd4602874e9bff54782421', 1, 'default', NULL, '2023-11-21 04:57:34', NULL,
        '2023-11-20 16:57:34', NULL, '2023-11-20 16:57:34', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1315, 7, 'bb26e20e5e61471e8e5dff356cf2c96f', 1, 'default', NULL, '2023-11-21 05:34:13', NULL,
        '2023-11-20 17:34:13', NULL, '2023-11-20 17:34:13', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1316, 1, '4ed1fec51c154f21b19cd8eb367f6fb7', 2, 'default', NULL, '2023-11-21 05:51:44', NULL,
        '2023-11-20 17:51:44', NULL, '2023-11-20 17:51:44', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1317, 16, '5f666193288d407db7aa521a767bdcb7', 1, 'default', NULL, '2023-11-21 06:56:18', NULL,
        '2023-11-20 18:56:18', NULL, '2023-11-20 18:56:18', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1318, 16, '3d32141b64674ff59b230cf622fdfc01', 1, 'default', NULL, '2023-11-21 22:00:18', NULL,
        '2023-11-21 10:00:18', NULL, '2023-11-21 10:00:18', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1319, 16, '76ee48ff5a374c02a3c121330485619c', 1, 'default', NULL, '2023-11-21 22:09:21', '16',
        '2023-11-21 10:09:21', '16', '2023-11-21 10:09:21', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1320, 16, '2bf940bbaef749f6924f594717355c04', 1, 'default', NULL, '2023-11-22 02:12:42', NULL,
        '2023-11-21 14:12:42', NULL, '2023-11-21 14:12:42', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1321, 19, 'df5139940fde4860b912294f227dc880', 1, 'default', NULL, '2023-11-22 02:13:16', NULL,
        '2023-11-21 14:13:16', NULL, '2023-11-21 14:13:16', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1322, 19, 'e996c7c3b3014032a71865b4a280f675', 1, 'default', NULL, '2023-11-22 02:14:04', NULL,
        '2023-11-21 14:14:04', NULL, '2023-11-21 14:14:04', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1323, 16, '8325e493416e496db3d880dec7e38e92', 1, 'default', NULL, '2023-11-22 02:37:44', NULL,
        '2023-11-21 14:37:44', NULL, '2023-11-21 14:37:44', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1324, 11, '9b67c9989a7a478fb5a663ef44fe6609', 1, 'default', NULL, '2023-11-22 02:37:57', NULL,
        '2023-11-21 14:37:57', NULL, '2023-11-21 14:37:57', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1325, 16, '2559fa7c0d314c1989e7236d907cd4d5', 1, 'default', NULL, '2023-11-22 03:00:19', NULL,
        '2023-11-21 15:00:19', NULL, '2023-11-21 15:00:19', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1326, 7, '15f585e1b5934f9a9c9c78fc243ae59a', 1, 'default', NULL, '2023-11-22 03:14:59', NULL,
        '2023-11-21 15:14:59', NULL, '2023-11-21 15:14:59', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1327, 19, 'b9514494d19148f8a0df669bf663b2ea', 1, 'default', NULL, '2023-11-22 04:10:42', NULL,
        '2023-11-21 16:10:42', NULL, '2023-11-21 16:10:42', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1328, 16, '5b120408f11d40efb23424f4a597fca8', 1, 'default', NULL, '2023-11-22 04:11:13', NULL,
        '2023-11-21 16:11:13', NULL, '2023-11-21 16:11:13', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1329, 19, '2d1d781830444687bca5dd8a482dcd85', 1, 'default', NULL, '2023-11-22 04:14:28', NULL,
        '2023-11-21 16:14:28', NULL, '2023-11-21 16:14:28', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1330, 16, '3be79cec44d34da482bb691ae927068f', 1, 'default', NULL, '2023-11-22 04:15:54', NULL,
        '2023-11-21 16:15:54', NULL, '2023-11-21 16:15:54', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1331, 16, 'bfc368de53a24eeca9da3a5b59c52069', 1, 'default', NULL, '2023-11-22 04:17:38', NULL,
        '2023-11-21 16:17:38', NULL, '2023-11-21 16:17:38', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1332, 15, '6ecaa8f9b92f43b09e1802cf11a979c4', 1, 'default', NULL, '2023-11-22 04:19:20', NULL,
        '2023-11-21 16:19:20', NULL, '2023-11-21 16:19:20', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1333, 19, 'e3b56b7188ec4f48ab6309fce65a7969', 1, 'default', NULL, '2023-11-22 04:23:16', '16',
        '2023-11-21 16:23:16', '16', '2023-11-21 16:23:16', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1334, 15, '5bfcf96744864577920411c4e42a7514', 1, 'default', NULL, '2023-11-22 04:33:40', NULL,
        '2023-11-21 16:33:40', NULL, '2023-11-21 16:33:40', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1335, 15, 'fd1d14f2016c4262b2710ddb542e4943', 1, 'default', NULL, '2023-11-22 04:34:00', NULL,
        '2023-11-21 16:34:00', NULL, '2023-11-21 16:34:00', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1336, 15, '714598e6ca59437a834c7263127b1497', 1, 'default', NULL, '2023-11-22 04:36:57', NULL,
        '2023-11-21 16:36:57', NULL, '2023-11-21 16:36:57', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1337, 13, 'd2b6058316f744f9b34223109e738e23', 1, 'default', NULL, '2023-11-22 04:38:25', NULL,
        '2023-11-21 16:38:25', NULL, '2023-11-21 16:38:25', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1338, 19, '40d7cacd4f334654b6a626fbcc3d03b5', 1, 'default', NULL, '2023-11-22 04:48:23', NULL,
        '2023-11-21 16:48:23', NULL, '2023-11-21 16:48:23', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1339, 11, '7798841d718e46308e1a8f650aa3f5c7', 1, 'default', NULL, '2023-11-22 04:50:43', NULL,
        '2023-11-21 16:50:43', NULL, '2023-11-21 16:50:43', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1340, 16, '60df6fd4a11c4d0798c3f68f6e15920a', 1, 'default', NULL, '2023-11-22 04:50:55', NULL,
        '2023-11-21 16:50:55', NULL, '2023-11-21 16:50:55', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1341, 11, '69a9cd01c6234d16a3d7f0a405fd2d70', 1, 'default', NULL, '2023-11-22 05:09:23', NULL,
        '2023-11-21 17:09:23', NULL, '2023-11-21 17:09:23', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1342, 11, '22bdc2f7a15d4d60a56256f7c75cd610', 1, 'default', NULL, '2023-11-22 05:09:44', NULL,
        '2023-11-21 17:09:44', NULL, '2023-11-21 17:09:44', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1343, 11, 'd5bd480689d848a89027e49eff8b51a7', 1, 'default', NULL, '2023-11-22 05:17:49', NULL,
        '2023-11-21 17:17:49', NULL, '2023-11-21 17:17:49', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1344, 16, 'f57747892a1c40b2a5da5f15c5776cfd', 1, 'default', NULL, '2023-11-22 05:21:03', NULL,
        '2023-11-21 17:21:03', NULL, '2023-11-21 17:21:03', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1345, 7, '16ef0529f0b44601bb0178a97c6cbab9', 1, 'default', NULL, '2023-11-22 05:28:52', NULL,
        '2023-11-21 17:28:52', NULL, '2023-11-21 17:28:52', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1346, 16, '2da75cea90c54679b74703e7549ccf14', 1, 'default', NULL, '2023-11-22 05:29:04', NULL,
        '2023-11-21 17:29:04', NULL, '2023-11-21 17:29:04', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1347, 11, '5b667e096073467caf79cfad0812992f', 1, 'default', NULL, '2023-11-22 05:45:46', NULL,
        '2023-11-21 17:45:46', NULL, '2023-11-21 17:45:46', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1348, 1, '7c381eb3ccf64c7c9a250770b22957f0', 2, 'default', NULL, '2023-11-22 23:23:09', NULL,
        '2023-11-22 11:23:09', NULL, '2023-11-22 11:44:59', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1349, 10, '6fcb3a944e8e4857ba3b21c28542dcb9', 1, 'default', NULL, '2023-11-22 23:34:23', NULL,
        '2023-11-22 11:34:23', NULL, '2023-11-22 11:34:23', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1350, 1, '4806bf84530845449a885cb2d8aed768', 2, 'default', NULL, '2023-11-22 23:45:10', NULL,
        '2023-11-22 11:45:10', NULL, '2023-11-22 11:45:10', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1351, 10, '7017bf901d1d4e3da1266cc32cc1be9d', 1, 'default', NULL, '2023-11-22 23:55:03', NULL,
        '2023-11-22 11:55:03', NULL, '2023-11-22 11:55:03', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1352, 9, '4f2a9b7061dd45c0b42e7126f172348a', 1, 'default', NULL, '2023-11-23 00:24:28', NULL,
        '2023-11-22 12:24:28', NULL, '2023-11-22 12:24:28', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1353, 10, '1e3a2a689553414fa33904189ce3acba', 1, 'default', NULL, '2023-11-23 01:11:54', NULL,
        '2023-11-22 13:11:54', NULL, '2023-11-22 13:11:54', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1354, 10, 'c461fb74189c4ee8a555e448cbcc91e5', 1, 'default', NULL, '2023-11-23 02:04:38', NULL,
        '2023-11-22 14:04:38', NULL, '2023-11-22 14:04:38', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1355, 16, '70b6e288a849455f9d1024a2c9d6dc98', 1, 'default', NULL, '2023-11-23 02:14:37', NULL,
        '2023-11-22 14:14:37', NULL, '2023-11-22 14:14:37', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1356, 10, 'e3f0bda72e9f4d93984b1631d26d1565', 1, 'default', NULL, '2023-11-23 02:16:17', NULL,
        '2023-11-22 14:16:17', NULL, '2023-11-22 14:16:17', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1357, 10, '0d8c97254832476d9672c965597df05b', 1, 'default', NULL, '2023-11-23 02:26:26', NULL,
        '2023-11-22 14:26:26', NULL, '2023-11-22 14:26:26', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1358, 10, '127334423d60416b83c2d7c0780c275a', 1, 'default', NULL, '2023-11-23 02:26:37', NULL,
        '2023-11-22 14:26:37', NULL, '2023-11-22 14:26:37', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1359, 16, '1950fdb401064d1ab3a08a995d25e44f', 1, 'default', NULL, '2023-11-23 02:32:22', NULL,
        '2023-11-22 14:32:22', NULL, '2023-11-22 14:32:22', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1360, 16, 'cea10316d73f4d94a4e82af4d450feec', 1, 'default', NULL, '2023-11-23 02:36:45', NULL,
        '2023-11-22 14:36:45', NULL, '2023-11-22 14:36:45', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1361, 16, '84c5cd10a4fb49619ab9a424bee84d8e', 1, 'default', NULL, '2023-11-23 02:37:08', '16',
        '2023-11-22 14:37:08', '16', '2023-11-22 14:37:08', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1362, 9, 'ccf98bc8d55c4cb1867116d524f5ddb7', 1, 'default', NULL, '2023-11-23 02:38:35', NULL,
        '2023-11-22 14:38:35', NULL, '2023-11-22 14:38:35', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1363, 11, '55e848c7de4948b7ae5a01ac2fc130f3', 1, 'default', NULL, '2023-11-23 02:42:18', NULL,
        '2023-11-22 14:42:18', NULL, '2023-11-22 14:42:18', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1364, 16, 'f215c8fd6f454bc2abf4db241cc4bf46', 1, 'default', NULL, '2023-11-23 02:43:22', NULL,
        '2023-11-22 14:43:22', NULL, '2023-11-22 14:43:22', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1365, 9, 'b9abde5f06f74d32a0a8cefa85db1691', 1, 'default', NULL, '2023-11-23 02:43:56', NULL,
        '2023-11-22 14:43:56', NULL, '2023-11-22 14:43:56', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1366, 10, '0b261a07bec341049f24a2b9d9940116', 1, 'default', NULL, '2023-11-23 02:44:05', NULL,
        '2023-11-22 14:44:05', NULL, '2023-11-22 14:44:05', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1367, 11, 'f9ef6bd449014416a11237cf6338caa4', 1, 'default', NULL, '2023-11-23 02:44:41', NULL,
        '2023-11-22 14:44:41', NULL, '2023-11-22 14:44:41', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1368, 11, '0f2cfd9f8d51491a85065414d8902771', 1, 'default', NULL, '2023-11-23 02:45:51', NULL,
        '2023-11-22 14:45:51', NULL, '2023-11-22 14:45:51', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1369, 11, '87ba40551e854812864e6ab769e1e6a5', 1, 'default', NULL, '2023-11-23 02:57:03', NULL,
        '2023-11-22 14:57:03', NULL, '2023-11-22 14:57:03', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1370, 16, 'd5943a0fc4464f0bb35da10457a8290a', 1, 'default', NULL, '2023-11-23 03:00:23', NULL,
        '2023-11-22 15:00:23', NULL, '2023-11-22 15:00:23', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1371, 26, 'ad76ff80b90a4a03a7f96e5002240a29', 1, 'default', NULL, '2023-11-23 03:00:52', NULL,
        '2023-11-22 15:00:52', NULL, '2023-11-22 15:00:52', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1372, 16, '59edbc8c1e014e10a1cba6295b178470', 1, 'default', NULL, '2023-11-23 03:01:33', NULL,
        '2023-11-22 15:01:33', NULL, '2023-11-22 15:01:33', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1373, 16, 'b24ac602a0b544efac12c4013c2d9eb2', 1, 'default', NULL, '2023-11-23 03:03:13', NULL,
        '2023-11-22 15:03:13', NULL, '2023-11-22 15:03:13', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1374, 16, 'ea663c464f0c4f539b4d545a3aa4f128', 1, 'default', NULL, '2023-11-23 03:18:36', NULL,
        '2023-11-22 15:18:36', NULL, '2023-11-22 15:18:36', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1375, 35, '1437b18627294bef9f4063bd53dbf6ed', 1, 'default', NULL, '2023-11-23 03:27:08', NULL,
        '2023-11-22 15:27:08', NULL, '2023-11-22 15:27:08', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1376, 16, '1ed0c316a45a4364b1ac731884a90ce7', 1, 'default', NULL, '2023-11-23 03:30:07', NULL,
        '2023-11-22 15:30:07', NULL, '2023-11-22 15:30:07', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1377, 16, 'abe62aadbade406d941e11fedbb64459', 1, 'default', NULL, '2023-11-23 03:31:41', NULL,
        '2023-11-22 15:31:41', NULL, '2023-11-22 15:31:41', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1378, 11, '5d0c4c3e38a64bc687d4ef620ade7eba', 1, 'default', NULL, '2023-11-23 03:31:44', NULL,
        '2023-11-22 15:31:44', NULL, '2023-11-22 15:31:44', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1379, 11, '228400de0a5145d180594a18c11ec9b1', 1, 'default', NULL, '2023-11-23 03:31:59', NULL,
        '2023-11-22 15:31:59', NULL, '2023-11-22 15:31:59', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1380, 11, '623e0d67c4bb4017b9f02609ce2eaab6', 1, 'default', NULL, '2023-11-23 03:32:22', NULL,
        '2023-11-22 15:32:22', NULL, '2023-11-22 15:32:22', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1381, 16, '8b2ab58085bd4bf6996cee8144306d30', 1, 'default', NULL, '2023-11-23 03:32:36', NULL,
        '2023-11-22 15:32:36', NULL, '2023-11-22 15:32:36', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1382, 11, 'ab8181850c9c4a2e828dbaba85ff10e0', 1, 'default', NULL, '2023-11-23 03:32:39', NULL,
        '2023-11-22 15:32:39', NULL, '2023-11-22 15:32:39', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1383, 11, 'c162687ce7f04a55b5a882a03631e7af', 1, 'default', NULL, '2023-11-23 03:32:56', NULL,
        '2023-11-22 15:32:56', NULL, '2023-11-22 15:32:56', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1384, 11, '3c8b72719c7f4f8cb11e6d599cfddb30', 1, 'default', NULL, '2023-11-23 03:33:19', NULL,
        '2023-11-22 15:33:19', NULL, '2023-11-22 15:33:19', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1385, 11, 'efcae6a0f89145da875eeb60e577c451', 1, 'default', NULL, '2023-11-23 03:33:42', NULL,
        '2023-11-22 15:33:42', NULL, '2023-11-22 15:33:42', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1386, 15, '8b51144141a546b3a15e26bb7333723c', 1, 'default', NULL, '2023-11-23 03:36:06', NULL,
        '2023-11-22 15:36:06', NULL, '2023-11-22 15:36:06', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1387, 35, 'd9b5bf9747e54c40b89f5f41996b11a7', 1, 'default', NULL, '2023-11-23 03:37:53', NULL,
        '2023-11-22 15:37:53', NULL, '2023-11-22 15:37:53', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1388, 35, '2ccd617111e040d68a4e8c3b458d4fd3', 1, 'default', NULL, '2023-11-23 03:55:29', NULL,
        '2023-11-22 15:55:29', NULL, '2023-11-22 15:55:29', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1389, 35, '08e6d24efa9649efab3c593330dad0eb', 1, 'default', NULL, '2023-11-23 03:55:47', '35',
        '2023-11-22 15:55:47', '35', '2023-11-22 15:55:47', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1390, 16, '4d716c1ee12a4462913b6f805f2d5b71', 1, 'default', NULL, '2023-11-23 04:04:50', NULL,
        '2023-11-22 16:04:50', NULL, '2023-11-22 16:04:50', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1391, 15, 'cd064637b73344c8901fab5006083768', 1, 'default', NULL, '2023-11-23 04:08:16', NULL,
        '2023-11-22 16:08:16', NULL, '2023-11-22 16:08:16', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1392, 1, '46c48a82423645c18f784ec79d1703b3', 2, 'default', NULL, '2023-11-23 04:17:23', NULL,
        '2023-11-22 16:17:23', NULL, '2023-11-22 17:52:27', b'1', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1393, 15, '446481c573574a7cb7719bbeb942daf5', 1, 'default', NULL, '2023-11-23 04:26:30', NULL,
        '2023-11-22 16:26:30', NULL, '2023-11-22 16:26:30', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1394, 15, '360bc287600344ba8f87274a33644376', 1, 'default', NULL, '2023-11-23 04:51:32', NULL,
        '2023-11-22 16:51:32', NULL, '2023-11-22 16:51:32', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1395, 15, 'abee2d25163e468aa8050d8e9d2e322f', 1, 'default', NULL, '2023-11-23 04:54:08', NULL,
        '2023-11-22 16:54:08', NULL, '2023-11-22 16:54:08', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1396, 35, 'bc8a29666cf240f9bf562c352f414803', 1, 'default', NULL, '2023-11-23 04:55:31', NULL,
        '2023-11-22 16:55:31', NULL, '2023-11-22 16:55:31', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1397, 15, 'e90ad9e06b4941799e6f88702da9b70c', 1, 'default', NULL, '2023-11-23 04:56:36', NULL,
        '2023-11-22 16:56:36', NULL, '2023-11-22 16:56:36', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1398, 15, 'a238cbc8bbb84fe48992421910969834', 1, 'default', NULL, '2023-11-23 04:57:13', NULL,
        '2023-11-22 16:57:13', NULL, '2023-11-22 16:57:13', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1399, 15, '62788f78a5414d818f769934e9a5ba2b', 1, 'default', NULL, '2023-11-23 05:00:54', NULL,
        '2023-11-22 17:00:54', NULL, '2023-11-22 17:00:54', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1400, 15, '4c97c2a1864242fa88155451a23ba9fb', 1, 'default', NULL, '2023-11-23 05:04:05', NULL,
        '2023-11-22 17:04:05', NULL, '2023-11-22 17:04:05', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1401, 15, '14c7a984e8b64868910a14c227f893ae', 1, 'default', NULL, '2023-11-23 05:05:53', NULL,
        '2023-11-22 17:05:53', NULL, '2023-11-22 17:05:53', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1402, 15, '2c3bd5b139ef4b43a95a5ca80470c24f', 1, 'default', NULL, '2023-11-23 05:12:03', NULL,
        '2023-11-22 17:12:03', NULL, '2023-11-22 17:12:03', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1403, 15, '91eabb0a76a54e348051abe682555c30', 1, 'default', NULL, '2023-11-23 05:12:38', NULL,
        '2023-11-22 17:12:38', NULL, '2023-11-22 17:12:38', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1404, 15, '7dc22f9d2647439ba76a8094602c94d2', 1, 'default', NULL, '2023-11-23 05:16:55', NULL,
        '2023-11-22 17:16:55', NULL, '2023-11-22 17:16:55', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1405, 15, '7bb0a1ac94cc44c3ac5b547c806c2286', 1, 'default', NULL, '2023-11-23 05:21:15', NULL,
        '2023-11-22 17:21:15', NULL, '2023-11-22 17:21:15', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1406, 15, '0297e94bea5442e38250cb263f3ab06f', 1, 'default', NULL, '2023-11-23 05:25:29', NULL,
        '2023-11-22 17:25:29', NULL, '2023-11-22 17:25:29', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1407, 36, 'bf15d0975e8d49f698d4f1f16f024e1b', 1, 'default', NULL, '2023-11-23 05:29:08', NULL,
        '2023-11-22 17:29:08', NULL, '2023-11-22 17:29:08', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1408, 15, '451025c4a4ef4615ab5bbbb36e20b7cf', 1, 'default', NULL, '2023-11-23 05:34:02', NULL,
        '2023-11-22 17:34:02', NULL, '2023-11-22 17:34:02', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1409, 15, 'b03106fb5b974ac4957f966216bf5086', 1, 'default', NULL, '2023-11-23 05:46:45', NULL,
        '2023-11-22 17:46:45', NULL, '2023-11-22 17:46:45', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1410, 16, '3aef8c02d5664574834a19232cf549ba', 1, 'default', NULL, '2023-11-23 05:46:50', NULL,
        '2023-11-22 17:46:50', NULL, '2023-11-22 17:46:50', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1411, 15, '3a3d2f611dd84acf808e122079424f87', 1, 'default', NULL, '2023-11-23 05:56:30', NULL,
        '2023-11-22 17:56:30', NULL, '2023-11-22 17:56:30', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1412, 15, '9fe95167a2ef436ba3f82938b37d794e', 1, 'default', NULL, '2023-11-23 06:06:09', NULL,
        '2023-11-22 18:06:09', NULL, '2023-11-22 18:06:09', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1413, 15, 'e054c4d3ac62401797648e7942225d00', 1, 'default', NULL, '2023-11-23 06:11:13', NULL,
        '2023-11-22 18:11:13', NULL, '2023-11-22 18:11:13', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1414, 35, 'a8ec898f7aba48b6b42d099d98cc7a26', 1, 'default', NULL, '2023-11-23 06:16:07', NULL,
        '2023-11-22 18:16:07', NULL, '2023-11-22 18:16:07', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1415, 15, '977d0080b11749aa869c812e4bda4264', 1, 'default', NULL, '2023-11-23 06:16:28', NULL,
        '2023-11-22 18:16:28', NULL, '2023-11-22 18:16:28', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1416, 35, 'ce22ef91aeb2422bb268f8e04892bbaa', 1, 'default', NULL, '2023-11-23 06:18:04', NULL,
        '2023-11-22 18:18:04', NULL, '2023-11-22 18:18:04', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1417, 35, '88757684722345728c1480a7f5686e0a', 1, 'default', NULL, '2023-11-23 06:44:46', '10',
        '2023-11-22 18:44:46', '10', '2023-11-22 18:44:46', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1418, 35, 'df721d90a74b420aae8eab3c429d3b64', 1, 'default', NULL, '2023-11-23 06:45:10', NULL,
        '2023-11-22 18:45:10', NULL, '2023-11-22 18:45:10', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1419, 16, '6bbcbde75c9347d0a3f40731b376e408', 1, 'default', NULL, '2023-11-23 06:46:36', NULL,
        '2023-11-22 18:46:36', NULL, '2023-11-22 18:46:36', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1420, 16, '928ba2645acb46b5b2db814c8b9a0763', 1, 'default', NULL, '2023-11-23 06:46:52', NULL,
        '2023-11-22 18:46:52', NULL, '2023-11-22 18:46:52', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1421, 1, '3b4113c67910403dac441a4a27c981a5', 2, 'default', NULL, '2023-11-23 06:49:25', NULL,
        '2023-11-22 18:49:25', NULL, '2023-11-22 18:49:25', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1422, 1, 'bc8a7fd1c2b24afead45dbfc79492d1c', 2, 'default', NULL, '2023-11-23 07:01:09', NULL,
        '2023-11-22 19:01:09', NULL, '2023-11-22 19:01:09', b'0', 0);
INSERT INTO `system_oauth2_refresh_token` (`id`, `user_id`, `refresh_token`, `user_type`, `client_id`, `scopes`,
                                           `expires_time`, `creator`, `create_time`, `updater`, `update_time`,
                                           `deleted`, `tenant_id`)
VALUES (1423, 1, '7c9d70b925004e529544144f4463c447', 2, 'default', NULL, '2023-11-23 09:21:47', NULL,
        '2023-11-22 21:21:47', NULL, '2023-11-22 21:21:47', b'0', 0);
COMMIT;

-- ----------------------------
-- Table structure for system_operate_log
-- ----------------------------
DROP TABLE IF EXISTS `system_operate_log`;
CREATE TABLE `system_operate_log`
(
    `id`               bigint(20) NOT NULL AUTO_INCREMENT COMMENT '日志主键',
    `trace_id`         varchar(64) COLLATE utf8mb4_unicode_ci   NOT NULL DEFAULT '' COMMENT '链路追踪编号',
    `user_id`          bigint(20) NOT NULL COMMENT '用户编号',
    `user_type`        tinyint(4) NOT NULL DEFAULT '0' COMMENT '用户类型',
    `module`           varchar(50) COLLATE utf8mb4_unicode_ci   NOT NULL COMMENT '模块标题',
    `name`             varchar(50) COLLATE utf8mb4_unicode_ci   NOT NULL COMMENT '操作名',
    `type`             bigint(20) NOT NULL DEFAULT '0' COMMENT '操作分类',
    `content`          varchar(2000) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '操作内容',
    `exts`             varchar(512) COLLATE utf8mb4_unicode_ci  NOT NULL DEFAULT '' COMMENT '拓展字段',
    `request_method`   varchar(16) COLLATE utf8mb4_unicode_ci            DEFAULT '' COMMENT '请求方法名',
    `request_url`      varchar(255) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '请求地址',
    `user_ip`          varchar(50) COLLATE utf8mb4_unicode_ci            DEFAULT NULL COMMENT '用户 IP',
    `user_agent`       varchar(200) COLLATE utf8mb4_unicode_ci           DEFAULT NULL COMMENT '浏览器 UA',
    `java_method`      varchar(512) COLLATE utf8mb4_unicode_ci  NOT NULL DEFAULT '' COMMENT 'Java 方法名',
    `java_method_args` varchar(8000) COLLATE utf8mb4_unicode_ci          DEFAULT '' COMMENT 'Java 方法的参数',
    `start_time`       datetime                                 NOT NULL COMMENT '操作时间',
    `duration`         int(11) NOT NULL COMMENT '执行时长',
    `result_code`      int(11) NOT NULL DEFAULT '0' COMMENT '结果码',
    `result_msg`       text COLLATE utf8mb4_unicode_ci COMMENT '结果提示',
    `result_data`      varchar(4000) COLLATE utf8mb4_unicode_ci          DEFAULT '' COMMENT '结果数据',
    `creator`          varchar(64) COLLATE utf8mb4_unicode_ci            DEFAULT '' COMMENT '创建者',
    `create_time`      datetime                                 NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater`          varchar(64) COLLATE utf8mb4_unicode_ci            DEFAULT '' COMMENT '更新者',
    `update_time`      datetime                                 NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted`          bit(1)                                   NOT NULL DEFAULT b'0' COMMENT '是否删除',
    `tenant_id`        bigint(20) NOT NULL DEFAULT '0' COMMENT '租户编号',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=9632 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='操作日志记录';

-- ----------------------------
-- Records of system_operate_log
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for system_post
-- ----------------------------
DROP TABLE IF EXISTS `system_post`;
CREATE TABLE `system_post`
(
    `id`          bigint(20) NOT NULL AUTO_INCREMENT COMMENT '岗位ID',
    `code`        varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '岗位编码',
    `name`        varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '岗位名称',
    `sort`        int(11) NOT NULL COMMENT '显示顺序',
    `status`      tinyint(4) NOT NULL COMMENT '状态（0正常 1停用）',
    `remark`      varchar(500) COLLATE utf8mb4_unicode_ci         DEFAULT NULL COMMENT '备注',
    `creator`     varchar(64) COLLATE utf8mb4_unicode_ci          DEFAULT '' COMMENT '创建者',
    `create_time` datetime                               NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater`     varchar(64) COLLATE utf8mb4_unicode_ci          DEFAULT '' COMMENT '更新者',
    `update_time` datetime                               NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted`     bit(1)                                 NOT NULL DEFAULT b'0' COMMENT '是否删除',
    `tenant_id`   bigint(20) NOT NULL DEFAULT '0' COMMENT '租户编号',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='岗位信息表';

-- ----------------------------
-- Records of system_post
-- ----------------------------
BEGIN;
INSERT INTO `system_post` (`id`, `code`, `name`, `sort`, `status`, `remark`, `creator`, `create_time`, `updater`,
                           `update_time`, `deleted`, `tenant_id`)
VALUES (1, 'ceo', '董事长', 1, 0, '', 'admin', '2021-01-06 17:03:48', '1', '2023-02-11 15:19:04', b'0', 1);
INSERT INTO `system_post` (`id`, `code`, `name`, `sort`, `status`, `remark`, `creator`, `create_time`, `updater`,
                           `update_time`, `deleted`, `tenant_id`)
VALUES (2, 'se', '项目经理', 2, 0, '', 'admin', '2021-01-05 17:03:48', '1', '2021-12-12 10:47:47', b'0', 1);
INSERT INTO `system_post` (`id`, `code`, `name`, `sort`, `status`, `remark`, `creator`, `create_time`, `updater`,
                           `update_time`, `deleted`, `tenant_id`)
VALUES (4, 'user', '普通员工', 4, 0, '111', 'admin', '2021-01-05 17:03:48', '1', '2023-02-11 15:19:00', b'0', 1);
COMMIT;

-- ----------------------------
-- Table structure for system_role
-- ----------------------------
DROP TABLE IF EXISTS `system_role`;
CREATE TABLE `system_role`
(
    `id`                  bigint(20) NOT NULL AUTO_INCREMENT COMMENT '角色ID',
    `name`                varchar(30) COLLATE utf8mb4_unicode_ci  NOT NULL COMMENT '角色名称',
    `code`                varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '角色权限字符串',
    `sort`                int(11) NOT NULL COMMENT '显示顺序',
    `data_scope`          tinyint(4) NOT NULL DEFAULT '1' COMMENT '数据范围（1：全部数据权限 2：自定数据权限 3：本部门数据权限 4：本部门及以下数据权限）',
    `data_scope_dept_ids` varchar(500) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '数据范围(指定部门数组)',
    `status`              tinyint(4) NOT NULL COMMENT '角色状态（0正常 1停用）',
    `type`                tinyint(4) NOT NULL COMMENT '角色类型',
    `remark`              varchar(500) COLLATE utf8mb4_unicode_ci          DEFAULT NULL COMMENT '备注',
    `creator`             varchar(64) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '创建者',
    `create_time`         datetime                                NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater`             varchar(64) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '更新者',
    `update_time`         datetime                                NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted`             bit(1)                                  NOT NULL DEFAULT b'0' COMMENT '是否删除',
    `tenant_id`           bigint(20) NOT NULL DEFAULT '0' COMMENT '租户编号',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=139 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='角色信息表';

-- ----------------------------
-- Records of system_role
-- ----------------------------
BEGIN;
INSERT INTO `system_role` (`id`, `name`, `code`, `sort`, `data_scope`, `data_scope_dept_ids`, `status`, `type`,
                           `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (1, '超级管理员', 'super_admin', 1, 1, '', 0, 1, '超级管理员', 'admin', '2021-01-05 17:03:48', '',
        '2022-02-22 05:08:21', b'0', 1);
INSERT INTO `system_role` (`id`, `name`, `code`, `sort`, `data_scope`, `data_scope_dept_ids`, `status`, `type`,
                           `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (2, '普通角色', 'common', 2, 2, '', 0, 1, '普通角色', 'admin', '2021-01-05 17:03:48', '', '2022-02-22 05:08:20',
        b'0', 1);
INSERT INTO `system_role` (`id`, `name`, `code`, `sort`, `data_scope`, `data_scope_dept_ids`, `status`, `type`,
                           `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (101, '测试账号', 'test', 0, 1, '[]', 0, 2, '132', '', '2021-01-06 13:49:35', '1', '2022-09-25 12:09:38', b'0',
        1);
INSERT INTO `system_role` (`id`, `name`, `code`, `sort`, `data_scope`, `data_scope_dept_ids`, `status`, `type`,
                           `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (109, '租户管理员', 'tenant_admin', 0, 1, '', 0, 1, '系统自动生成', '1', '2022-02-22 00:56:14', '1',
        '2022-02-22 00:56:14', b'0', 121);
INSERT INTO `system_role` (`id`, `name`, `code`, `sort`, `data_scope`, `data_scope_dept_ids`, `status`, `type`,
                           `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (110, '测试角色', 'test', 0, 1, '[]', 0, 2, '嘿嘿', '110', '2022-02-23 00:14:34', '110', '2022-02-23 13:14:58',
        b'0', 121);
INSERT INTO `system_role` (`id`, `name`, `code`, `sort`, `data_scope`, `data_scope_dept_ids`, `status`, `type`,
                           `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (111, '租户管理员', 'tenant_admin', 0, 1, '', 0, 1, '系统自动生成', '1', '2022-03-07 21:37:58', '1',
        '2022-03-07 21:37:58', b'0', 122);
INSERT INTO `system_role` (`id`, `name`, `code`, `sort`, `data_scope`, `data_scope_dept_ids`, `status`, `type`,
                           `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (113, '租户管理员', 'tenant_admin', 0, 1, '', 0, 1, '系统自动生成', '1', '2022-05-17 10:07:10', '1',
        '2022-05-17 10:07:10', b'0', 124);
INSERT INTO `system_role` (`id`, `name`, `code`, `sort`, `data_scope`, `data_scope_dept_ids`, `status`, `type`,
                           `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (114, '租户管理员', 'tenant_admin', 0, 1, '', 0, 1, '系统自动生成', '1', '2022-12-30 11:32:03', '1',
        '2022-12-30 11:32:03', b'0', 125);
INSERT INTO `system_role` (`id`, `name`, `code`, `sort`, `data_scope`, `data_scope_dept_ids`, `status`, `type`,
                           `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (115, '租户管理员', 'tenant_admin', 0, 1, '', 0, 1, '系统自动生成', '1', '2022-12-30 11:33:42', '1',
        '2022-12-30 11:33:42', b'0', 126);
INSERT INTO `system_role` (`id`, `name`, `code`, `sort`, `data_scope`, `data_scope_dept_ids`, `status`, `type`,
                           `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (116, '租户管理员', 'tenant_admin', 0, 1, '', 0, 1, '系统自动生成', '1', '2022-12-30 11:33:48', '1',
        '2022-12-30 11:33:48', b'0', 127);
INSERT INTO `system_role` (`id`, `name`, `code`, `sort`, `data_scope`, `data_scope_dept_ids`, `status`, `type`,
                           `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (118, '租户管理员', 'tenant_admin', 0, 1, '', 0, 1, '系统自动生成', '1', '2022-12-30 11:47:52', '1',
        '2022-12-30 11:47:52', b'0', 129);
INSERT INTO `system_role` (`id`, `name`, `code`, `sort`, `data_scope`, `data_scope_dept_ids`, `status`, `type`,
                           `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (136, '租户管理员', 'tenant_admin', 0, 1, '', 0, 1, '系统自动生成', '1', '2023-03-05 21:23:32', '1',
        '2023-03-05 21:23:32', b'0', 147);
INSERT INTO `system_role` (`id`, `name`, `code`, `sort`, `data_scope`, `data_scope_dept_ids`, `status`, `type`,
                           `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (137, '租户管理员', 'tenant_admin', 0, 1, '', 0, 1, '系统自动生成', '1', '2023-03-05 21:42:27', '1',
        '2023-03-05 21:42:27', b'0', 148);
INSERT INTO `system_role` (`id`, `name`, `code`, `sort`, `data_scope`, `data_scope_dept_ids`, `status`, `type`,
                           `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (138, '租户管理员', 'tenant_admin', 0, 1, '', 0, 1, '系统自动生成', '1', '2023-03-05 21:59:02', '1',
        '2023-03-05 21:59:02', b'0', 149);
COMMIT;

-- ----------------------------
-- Table structure for system_role_menu
-- ----------------------------
DROP TABLE IF EXISTS `system_role_menu`;
CREATE TABLE `system_role_menu`
(
    `id`          bigint(20) NOT NULL AUTO_INCREMENT COMMENT '自增编号',
    `role_id`     bigint(20) NOT NULL COMMENT '角色ID',
    `menu_id`     bigint(20) NOT NULL COMMENT '菜单ID',
    `creator`     varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '创建者',
    `create_time` datetime NOT NULL                      DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater`     varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '更新者',
    `update_time` datetime NOT NULL                      DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted`     bit(1)   NOT NULL                      DEFAULT b'0' COMMENT '是否删除',
    `tenant_id`   bigint(20) NOT NULL DEFAULT '0' COMMENT '租户编号',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=3182 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='角色和菜单关联表';

-- ----------------------------
-- Records of system_role_menu
-- ----------------------------
BEGIN;
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (263, 109, 1, '1', '2022-02-22 00:56:14', '1', '2022-02-22 00:56:14', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (434, 2, 1, '1', '2022-02-22 13:09:12', '1', '2022-02-22 13:09:12', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (454, 2, 1093, '1', '2022-02-22 13:09:12', '1', '2022-02-22 13:09:12', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (455, 2, 1094, '1', '2022-02-22 13:09:12', '1', '2022-02-22 13:09:12', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (460, 2, 1100, '1', '2022-02-22 13:09:12', '1', '2022-02-22 13:09:12', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (467, 2, 1107, '1', '2022-02-22 13:09:12', '1', '2022-02-22 13:09:12', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (470, 2, 1110, '1', '2022-02-22 13:09:12', '1', '2022-02-22 13:09:12', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (476, 2, 1117, '1', '2022-02-22 13:09:12', '1', '2022-02-22 13:09:12', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (477, 2, 100, '1', '2022-02-22 13:09:12', '1', '2022-02-22 13:09:12', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (478, 2, 101, '1', '2022-02-22 13:09:12', '1', '2022-02-22 13:09:12', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (479, 2, 102, '1', '2022-02-22 13:09:12', '1', '2022-02-22 13:09:12', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (480, 2, 1126, '1', '2022-02-22 13:09:12', '1', '2023-07-14 15:12:54', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (481, 2, 103, '1', '2022-02-22 13:09:12', '1', '2022-02-22 13:09:12', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (483, 2, 104, '1', '2022-02-22 13:09:12', '1', '2022-02-22 13:09:12', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (485, 2, 105, '1', '2022-02-22 13:09:12', '1', '2022-02-22 13:09:12', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (488, 2, 107, '1', '2022-02-22 13:09:12', '1', '2022-02-22 13:09:12', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (490, 2, 108, '1', '2022-02-22 13:09:12', '1', '2022-02-22 13:09:12', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (492, 2, 109, '1', '2022-02-22 13:09:12', '1', '2022-02-22 13:09:12', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (498, 2, 1138, '1', '2022-02-22 13:09:12', '1', '2023-05-17 10:46:14', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (523, 2, 1224, '1', '2022-02-22 13:09:12', '1', '2023-05-17 10:46:42', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (524, 2, 1225, '1', '2022-02-22 13:09:12', '1', '2023-05-17 10:46:38', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (541, 2, 500, '1', '2022-02-22 13:09:12', '1', '2022-02-22 13:09:12', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (543, 2, 501, '1', '2022-02-22 13:09:12', '1', '2022-02-22 13:09:12', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (675, 2, 2, '1', '2022-02-22 13:16:57', '1', '2022-02-22 13:16:57', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (689, 2, 1077, '1', '2022-02-22 13:16:57', '1', '2023-06-29 13:39:57', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (690, 2, 1078, '1', '2022-02-22 13:16:57', '1', '2022-02-22 13:16:57', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (692, 2, 1083, '1', '2022-02-22 13:16:57', '1', '2022-02-22 13:16:57', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (693, 2, 1084, '1', '2022-02-22 13:16:57', '1', '2022-02-22 13:16:57', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (699, 2, 1090, '1', '2022-02-22 13:16:57', '1', '2022-02-22 13:16:57', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (703, 2, 106, '1', '2022-02-22 13:16:57', '1', '2022-02-22 13:16:57', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (704, 2, 110, '1', '2022-02-22 13:16:57', '1', '2022-02-22 13:16:57', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (705, 2, 111, '1', '2022-02-22 13:16:57', '1', '2022-02-22 13:16:57', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (706, 2, 112, '1', '2022-02-22 13:16:57', '1', '2022-02-22 13:16:57', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (707, 2, 113, '1', '2022-02-22 13:16:57', '1', '2022-02-22 13:16:57', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1296, 110, 1, '110', '2022-02-23 00:23:55', '110', '2022-02-23 00:23:55', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1489, 1, 1, '1', '2022-02-23 20:03:57', '1', '2022-02-23 20:03:57', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1490, 1, 2, '1', '2022-02-23 20:03:57', '1', '2022-02-23 20:03:57', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1494, 1, 1077, '1', '2022-02-23 20:03:57', '1', '2023-06-29 13:39:57', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1495, 1, 1078, '1', '2022-02-23 20:03:57', '1', '2022-02-23 20:03:57', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1496, 1, 1083, '1', '2022-02-23 20:03:57', '1', '2022-02-23 20:03:57', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1497, 1, 1084, '1', '2022-02-23 20:03:57', '1', '2022-02-23 20:03:57', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1498, 1, 1090, '1', '2022-02-23 20:03:57', '1', '2022-02-23 20:03:57', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1499, 1, 1093, '1', '2022-02-23 20:03:57', '1', '2022-02-23 20:03:57', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1500, 1, 1094, '1', '2022-02-23 20:03:57', '1', '2022-02-23 20:03:57', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1501, 1, 1100, '1', '2022-02-23 20:03:57', '1', '2022-02-23 20:03:57', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1502, 1, 1107, '1', '2022-02-23 20:03:57', '1', '2022-02-23 20:03:57', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1503, 1, 1110, '1', '2022-02-23 20:03:57', '1', '2022-02-23 20:03:57', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1505, 1, 1117, '1', '2022-02-23 20:03:57', '1', '2022-02-23 20:03:57', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1506, 1, 100, '1', '2022-02-23 20:03:57', '1', '2022-02-23 20:03:57', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1507, 1, 101, '1', '2022-02-23 20:03:57', '1', '2022-02-23 20:03:57', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1508, 1, 102, '1', '2022-02-23 20:03:57', '1', '2022-02-23 20:03:57', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1509, 1, 1126, '1', '2022-02-23 20:03:57', '1', '2023-07-14 15:12:54', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1510, 1, 103, '1', '2022-02-23 20:03:57', '1', '2022-02-23 20:03:57', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1511, 1, 104, '1', '2022-02-23 20:03:57', '1', '2022-02-23 20:03:57', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1512, 1, 105, '1', '2022-02-23 20:03:57', '1', '2022-02-23 20:03:57', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1513, 1, 106, '1', '2022-02-23 20:03:57', '1', '2022-02-23 20:03:57', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1514, 1, 107, '1', '2022-02-23 20:03:57', '1', '2022-02-23 20:03:57', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1515, 1, 108, '1', '2022-02-23 20:03:57', '1', '2022-02-23 20:03:57', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1516, 1, 109, '1', '2022-02-23 20:03:57', '1', '2022-02-23 20:03:57', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1517, 1, 110, '1', '2022-02-23 20:03:57', '1', '2022-02-23 20:03:57', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1518, 1, 111, '1', '2022-02-23 20:03:57', '1', '2022-02-23 20:03:57', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1519, 1, 112, '1', '2022-02-23 20:03:57', '1', '2022-02-23 20:03:57', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1520, 1, 113, '1', '2022-02-23 20:03:57', '1', '2022-02-23 20:03:57', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1522, 1, 1138, '1', '2022-02-23 20:03:57', '1', '2023-05-17 10:46:14', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1525, 1, 1224, '1', '2022-02-23 20:03:57', '1', '2023-05-17 10:46:42', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1526, 1, 1225, '1', '2022-02-23 20:03:57', '1', '2023-05-17 10:46:38', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1527, 1, 500, '1', '2022-02-23 20:03:57', '1', '2022-02-23 20:03:57', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1528, 1, 501, '1', '2022-02-23 20:03:57', '1', '2022-02-23 20:03:57', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1578, 111, 1, '1', '2022-03-07 21:37:58', '1', '2022-03-07 21:37:58', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1604, 101, 1216, '1', '2022-03-19 21:45:52', '1', '2023-05-10 09:58:55', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1605, 101, 1217, '1', '2022-03-19 21:45:52', '1', '2023-05-10 09:58:59', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1606, 101, 1218, '1', '2022-03-19 21:45:52', '1', '2023-05-10 09:59:04', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1607, 101, 1219, '1', '2022-03-19 21:45:52', '1', '2023-05-10 09:47:56', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1608, 101, 1220, '1', '2022-03-19 21:45:52', '1', '2023-05-10 09:48:00', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1609, 101, 1221, '1', '2022-03-19 21:45:52', '1', '2023-05-10 09:47:32', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1610, 101, 5, '1', '2022-03-19 21:45:52', '1', '2023-05-10 09:47:14', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1611, 101, 1222, '1', '2022-03-19 21:45:52', '1', '2023-05-10 09:47:41', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1612, 101, 1118, '1', '2022-03-19 21:45:52', '1', '2023-05-10 09:47:07', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1613, 101, 1119, '1', '2022-03-19 21:45:52', '1', '2023-05-10 09:46:52', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1614, 101, 1120, '1', '2022-03-19 21:45:52', '1', '2023-05-10 09:46:58', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1615, 101, 1185, '1', '2022-03-19 21:45:52', '1', '2023-05-10 10:00:17', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1616, 101, 1186, '1', '2022-03-19 21:45:52', '1', '2023-05-10 10:00:13', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1617, 101, 1187, '1', '2022-03-19 21:45:52', '1', '2023-05-10 10:00:08', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1618, 101, 1188, '1', '2022-03-19 21:45:52', '1', '2023-05-10 09:59:50', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1619, 101, 1189, '1', '2022-03-19 21:45:52', '1', '2023-05-10 09:59:53', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1620, 101, 1190, '1', '2022-03-19 21:45:52', '1', '2023-05-10 09:59:57', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1621, 101, 1191, '1', '2022-03-19 21:45:52', '1', '2023-05-10 10:00:00', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1622, 101, 1192, '1', '2022-03-19 21:45:52', '1', '2023-05-10 10:00:04', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1623, 101, 1193, '1', '2022-03-19 21:45:52', '1', '2023-05-10 09:59:10', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1624, 101, 1194, '1', '2022-03-19 21:45:52', '1', '2023-05-10 09:48:26', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1625, 101, 1195, '1', '2022-03-19 21:45:52', '1', '2023-05-10 09:48:22', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1626, 101, 1196, '1', '2022-03-19 21:45:52', '1', '2023-05-10 09:48:59', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1627, 101, 1197, '1', '2022-03-19 21:45:52', '1', '2023-05-10 09:54:34', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1628, 101, 1198, '1', '2022-03-19 21:45:52', '1', '2023-05-10 09:58:36', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1629, 101, 1199, '1', '2022-03-19 21:45:52', '1', '2023-05-10 09:58:46', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1630, 101, 1200, '1', '2022-03-19 21:45:52', '1', '2023-05-10 09:48:09', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1631, 101, 1201, '1', '2022-03-19 21:45:52', '1', '2023-05-10 09:48:04', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1632, 101, 1202, '1', '2022-03-19 21:45:52', '1', '2023-05-10 09:47:53', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1633, 101, 1207, '1', '2022-03-19 21:45:52', '1', '2023-05-10 09:47:47', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1634, 101, 1208, '1', '2022-03-19 21:45:52', '1', '2023-05-10 09:47:25', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1635, 101, 1209, '1', '2022-03-19 21:45:52', '1', '2023-05-10 09:59:44', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1636, 101, 1210, '1', '2022-03-19 21:45:52', '1', '2023-05-10 09:59:18', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1637, 101, 1211, '1', '2022-03-19 21:45:52', '1', '2023-05-10 09:59:23', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1638, 101, 1212, '1', '2022-03-19 21:45:52', '1', '2023-05-10 09:59:26', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1639, 101, 1213, '1', '2022-03-19 21:45:52', '1', '2023-05-10 09:59:31', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1640, 101, 1215, '1', '2022-03-19 21:45:52', '1', '2023-05-10 09:58:51', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1641, 101, 2, '1', '2022-04-01 22:21:24', '1', '2022-04-01 22:21:24', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1642, 101, 1031, '1', '2022-04-01 22:21:37', '1', '2022-04-01 22:21:37', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1643, 101, 1032, '1', '2022-04-01 22:21:37', '1', '2022-04-01 22:21:37', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1644, 101, 1033, '1', '2022-04-01 22:21:37', '1', '2022-04-01 22:21:37', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1645, 101, 1034, '1', '2022-04-01 22:21:37', '1', '2022-04-01 22:21:37', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1646, 101, 1035, '1', '2022-04-01 22:21:37', '1', '2022-04-01 22:21:37', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1647, 101, 1050, '1', '2022-04-01 22:21:37', '1', '2022-04-01 22:21:37', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1648, 101, 1051, '1', '2022-04-01 22:21:37', '1', '2022-04-01 22:21:37', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1649, 101, 1052, '1', '2022-04-01 22:21:37', '1', '2022-04-01 22:21:37', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1650, 101, 1053, '1', '2022-04-01 22:21:37', '1', '2022-04-01 22:21:37', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1651, 101, 1054, '1', '2022-04-01 22:21:37', '1', '2022-04-01 22:21:37', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1652, 101, 1056, '1', '2022-04-01 22:21:37', '1', '2022-04-01 22:21:37', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1653, 101, 1057, '1', '2022-04-01 22:21:37', '1', '2022-04-01 22:21:37', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1654, 101, 1058, '1', '2022-04-01 22:21:37', '1', '2022-04-01 22:21:37', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1655, 101, 1059, '1', '2022-04-01 22:21:37', '1', '2022-04-01 22:21:37', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1656, 101, 1060, '1', '2022-04-01 22:21:37', '1', '2022-04-01 22:21:37', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1657, 101, 1066, '1', '2022-04-01 22:21:37', '1', '2022-04-01 22:21:37', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1658, 101, 1067, '1', '2022-04-01 22:21:37', '1', '2022-04-01 22:21:37', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1659, 101, 1070, '1', '2022-04-01 22:21:37', '1', '2023-05-17 10:35:45', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1660, 101, 1071, '1', '2022-04-01 22:21:37', '1', '2023-05-17 10:35:27', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1661, 101, 1072, '1', '2022-04-01 22:21:37', '1', '2023-05-17 10:35:32', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1662, 101, 1073, '1', '2022-04-01 22:21:37', '1', '2023-05-17 10:35:37', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1663, 101, 1074, '1', '2022-04-01 22:21:37', '1', '2023-05-17 10:35:40', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1664, 101, 1075, '1', '2022-04-01 22:21:37', '1', '2022-04-01 22:21:37', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1665, 101, 1076, '1', '2022-04-01 22:21:37', '1', '2022-04-01 22:21:37', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1666, 101, 1077, '1', '2022-04-01 22:21:37', '1', '2023-06-29 13:39:57', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1667, 101, 1078, '1', '2022-04-01 22:21:37', '1', '2022-04-01 22:21:37', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1668, 101, 1082, '1', '2022-04-01 22:21:37', '1', '2022-04-01 22:21:37', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1669, 101, 1083, '1', '2022-04-01 22:21:37', '1', '2022-04-01 22:21:37', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1670, 101, 1084, '1', '2022-04-01 22:21:37', '1', '2022-04-01 22:21:37', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1671, 101, 1085, '1', '2022-04-01 22:21:37', '1', '2022-04-01 22:21:37', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1672, 101, 1086, '1', '2022-04-01 22:21:37', '1', '2022-04-01 22:21:37', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1673, 101, 1087, '1', '2022-04-01 22:21:37', '1', '2022-04-01 22:21:37', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1674, 101, 1088, '1', '2022-04-01 22:21:37', '1', '2022-04-01 22:21:37', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1675, 101, 1089, '1', '2022-04-01 22:21:37', '1', '2022-04-01 22:21:37', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1679, 101, 1237, '1', '2022-04-01 22:21:37', '1', '2022-04-01 22:21:37', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1680, 101, 1238, '1', '2022-04-01 22:21:37', '1', '2022-04-01 22:21:37', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1681, 101, 1239, '1', '2022-04-01 22:21:37', '1', '2022-04-01 22:21:37', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1682, 101, 1240, '1', '2022-04-01 22:21:37', '1', '2022-04-01 22:21:37', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1683, 101, 1241, '1', '2022-04-01 22:21:37', '1', '2022-04-01 22:21:37', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1684, 101, 1242, '1', '2022-04-01 22:21:37', '1', '2022-04-01 22:21:37', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1685, 101, 1243, '1', '2022-04-01 22:21:37', '1', '2022-04-01 22:21:37', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1687, 101, 106, '1', '2022-04-01 22:21:37', '1', '2022-04-01 22:21:37', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1688, 101, 110, '1', '2022-04-01 22:21:37', '1', '2022-04-01 22:21:37', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1689, 101, 111, '1', '2022-04-01 22:21:37', '1', '2022-04-01 22:21:37', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1690, 101, 112, '1', '2022-04-01 22:21:37', '1', '2022-04-01 22:21:37', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1691, 101, 113, '1', '2022-04-01 22:21:37', '1', '2022-04-01 22:21:37', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1692, 101, 114, '1', '2022-04-01 22:21:37', '1', '2022-04-01 22:21:37', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1693, 101, 115, '1', '2022-04-01 22:21:37', '1', '2022-04-01 22:21:37', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1694, 101, 116, '1', '2022-04-01 22:21:37', '1', '2022-04-01 22:21:37', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1712, 113, 1024, '1', '2022-05-17 10:07:10', '1', '2022-05-17 10:07:10', b'0', 124);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1713, 113, 1025, '1', '2022-05-17 10:07:10', '1', '2022-05-17 10:07:10', b'0', 124);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1714, 113, 1, '1', '2022-05-17 10:07:10', '1', '2022-05-17 10:07:10', b'0', 124);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1715, 113, 102, '1', '2022-05-17 10:07:10', '1', '2022-05-17 10:07:10', b'0', 124);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1716, 113, 103, '1', '2022-05-17 10:07:10', '1', '2022-05-17 10:07:10', b'0', 124);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1717, 113, 104, '1', '2022-05-17 10:07:10', '1', '2022-05-17 10:07:10', b'0', 124);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1718, 113, 1013, '1', '2022-05-17 10:07:10', '1', '2022-05-17 10:07:10', b'0', 124);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1719, 113, 1014, '1', '2022-05-17 10:07:10', '1', '2022-05-17 10:07:10', b'0', 124);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1720, 113, 1015, '1', '2022-05-17 10:07:10', '1', '2022-05-17 10:07:10', b'0', 124);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1721, 113, 1016, '1', '2022-05-17 10:07:10', '1', '2022-05-17 10:07:10', b'0', 124);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1722, 113, 1017, '1', '2022-05-17 10:07:10', '1', '2022-05-17 10:07:10', b'0', 124);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1723, 113, 1018, '1', '2022-05-17 10:07:10', '1', '2022-05-17 10:07:10', b'0', 124);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1724, 113, 1019, '1', '2022-05-17 10:07:10', '1', '2022-05-17 10:07:10', b'0', 124);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1725, 113, 1020, '1', '2022-05-17 10:07:10', '1', '2022-05-17 10:07:10', b'0', 124);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1726, 113, 1021, '1', '2022-05-17 10:07:10', '1', '2022-05-17 10:07:10', b'0', 124);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1727, 113, 1022, '1', '2022-05-17 10:07:10', '1', '2022-05-17 10:07:10', b'0', 124);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1728, 113, 1023, '1', '2022-05-17 10:07:10', '1', '2022-05-17 10:07:10', b'0', 124);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1729, 109, 100, '1', '2022-09-21 22:08:51', '1', '2022-09-21 22:08:51', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1730, 109, 101, '1', '2022-09-21 22:08:51', '1', '2022-09-21 22:08:51', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1731, 109, 1063, '1', '2022-09-21 22:08:51', '1', '2022-09-21 22:08:51', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1732, 109, 1064, '1', '2022-09-21 22:08:51', '1', '2022-09-21 22:08:51', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1733, 109, 1001, '1', '2022-09-21 22:08:51', '1', '2022-09-21 22:08:51', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1734, 109, 1065, '1', '2022-09-21 22:08:51', '1', '2022-09-21 22:08:51', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1735, 109, 1002, '1', '2022-09-21 22:08:51', '1', '2022-09-21 22:08:51', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1736, 109, 1003, '1', '2022-09-21 22:08:51', '1', '2022-09-21 22:08:51', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1737, 109, 1004, '1', '2022-09-21 22:08:51', '1', '2022-09-21 22:08:51', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1738, 109, 1005, '1', '2022-09-21 22:08:51', '1', '2022-09-21 22:08:51', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1739, 109, 1006, '1', '2022-09-21 22:08:51', '1', '2022-09-21 22:08:51', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1740, 109, 1007, '1', '2022-09-21 22:08:51', '1', '2022-09-21 22:08:51', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1741, 109, 1008, '1', '2022-09-21 22:08:51', '1', '2022-09-21 22:08:51', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1742, 109, 1009, '1', '2022-09-21 22:08:51', '1', '2022-09-21 22:08:51', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1743, 109, 1010, '1', '2022-09-21 22:08:51', '1', '2022-09-21 22:08:51', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1744, 109, 1011, '1', '2022-09-21 22:08:51', '1', '2022-09-21 22:08:51', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1745, 109, 1012, '1', '2022-09-21 22:08:51', '1', '2022-09-21 22:08:51', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1746, 111, 100, '1', '2022-09-21 22:08:52', '1', '2022-09-21 22:08:52', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1747, 111, 101, '1', '2022-09-21 22:08:52', '1', '2022-09-21 22:08:52', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1748, 111, 1063, '1', '2022-09-21 22:08:52', '1', '2022-09-21 22:08:52', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1749, 111, 1064, '1', '2022-09-21 22:08:52', '1', '2022-09-21 22:08:52', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1750, 111, 1001, '1', '2022-09-21 22:08:52', '1', '2022-09-21 22:08:52', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1751, 111, 1065, '1', '2022-09-21 22:08:52', '1', '2022-09-21 22:08:52', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1752, 111, 1002, '1', '2022-09-21 22:08:52', '1', '2022-09-21 22:08:52', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1753, 111, 1003, '1', '2022-09-21 22:08:52', '1', '2022-09-21 22:08:52', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1754, 111, 1004, '1', '2022-09-21 22:08:52', '1', '2022-09-21 22:08:52', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1755, 111, 1005, '1', '2022-09-21 22:08:52', '1', '2022-09-21 22:08:52', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1756, 111, 1006, '1', '2022-09-21 22:08:52', '1', '2022-09-21 22:08:52', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1757, 111, 1007, '1', '2022-09-21 22:08:52', '1', '2022-09-21 22:08:52', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1758, 111, 1008, '1', '2022-09-21 22:08:52', '1', '2022-09-21 22:08:52', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1759, 111, 1009, '1', '2022-09-21 22:08:52', '1', '2022-09-21 22:08:52', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1760, 111, 1010, '1', '2022-09-21 22:08:52', '1', '2022-09-21 22:08:52', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1761, 111, 1011, '1', '2022-09-21 22:08:52', '1', '2022-09-21 22:08:52', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1762, 111, 1012, '1', '2022-09-21 22:08:52', '1', '2022-09-21 22:08:52', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1763, 109, 100, '1', '2022-09-21 22:08:53', '1', '2022-09-21 22:08:53', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1764, 109, 101, '1', '2022-09-21 22:08:53', '1', '2022-09-21 22:08:53', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1765, 109, 1063, '1', '2022-09-21 22:08:53', '1', '2022-09-21 22:08:53', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1766, 109, 1064, '1', '2022-09-21 22:08:53', '1', '2022-09-21 22:08:53', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1767, 109, 1001, '1', '2022-09-21 22:08:53', '1', '2022-09-21 22:08:53', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1768, 109, 1065, '1', '2022-09-21 22:08:53', '1', '2022-09-21 22:08:53', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1769, 109, 1002, '1', '2022-09-21 22:08:53', '1', '2022-09-21 22:08:53', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1770, 109, 1003, '1', '2022-09-21 22:08:53', '1', '2022-09-21 22:08:53', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1771, 109, 1004, '1', '2022-09-21 22:08:53', '1', '2022-09-21 22:08:53', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1772, 109, 1005, '1', '2022-09-21 22:08:53', '1', '2022-09-21 22:08:53', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1773, 109, 1006, '1', '2022-09-21 22:08:53', '1', '2022-09-21 22:08:53', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1774, 109, 1007, '1', '2022-09-21 22:08:53', '1', '2022-09-21 22:08:53', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1775, 109, 1008, '1', '2022-09-21 22:08:53', '1', '2022-09-21 22:08:53', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1776, 109, 1009, '1', '2022-09-21 22:08:53', '1', '2022-09-21 22:08:53', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1777, 109, 1010, '1', '2022-09-21 22:08:53', '1', '2022-09-21 22:08:53', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1778, 109, 1011, '1', '2022-09-21 22:08:53', '1', '2022-09-21 22:08:53', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1779, 109, 1012, '1', '2022-09-21 22:08:53', '1', '2022-09-21 22:08:53', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1780, 111, 100, '1', '2022-09-21 22:08:54', '1', '2022-09-21 22:08:54', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1781, 111, 101, '1', '2022-09-21 22:08:54', '1', '2022-09-21 22:08:54', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1782, 111, 1063, '1', '2022-09-21 22:08:54', '1', '2022-09-21 22:08:54', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1783, 111, 1064, '1', '2022-09-21 22:08:54', '1', '2022-09-21 22:08:54', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1784, 111, 1001, '1', '2022-09-21 22:08:54', '1', '2022-09-21 22:08:54', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1785, 111, 1065, '1', '2022-09-21 22:08:54', '1', '2022-09-21 22:08:54', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1786, 111, 1002, '1', '2022-09-21 22:08:54', '1', '2022-09-21 22:08:54', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1787, 111, 1003, '1', '2022-09-21 22:08:54', '1', '2022-09-21 22:08:54', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1788, 111, 1004, '1', '2022-09-21 22:08:54', '1', '2022-09-21 22:08:54', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1789, 111, 1005, '1', '2022-09-21 22:08:54', '1', '2022-09-21 22:08:54', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1790, 111, 1006, '1', '2022-09-21 22:08:54', '1', '2022-09-21 22:08:54', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1791, 111, 1007, '1', '2022-09-21 22:08:54', '1', '2022-09-21 22:08:54', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1792, 111, 1008, '1', '2022-09-21 22:08:54', '1', '2022-09-21 22:08:54', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1793, 111, 1009, '1', '2022-09-21 22:08:54', '1', '2022-09-21 22:08:54', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1794, 111, 1010, '1', '2022-09-21 22:08:54', '1', '2022-09-21 22:08:54', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1795, 111, 1011, '1', '2022-09-21 22:08:54', '1', '2022-09-21 22:08:54', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1796, 111, 1012, '1', '2022-09-21 22:08:54', '1', '2022-09-21 22:08:54', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1797, 109, 100, '1', '2022-09-21 22:08:55', '1', '2022-09-21 22:08:55', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1798, 109, 101, '1', '2022-09-21 22:08:55', '1', '2022-09-21 22:08:55', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1799, 109, 1063, '1', '2022-09-21 22:08:55', '1', '2022-09-21 22:08:55', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1800, 109, 1064, '1', '2022-09-21 22:08:55', '1', '2022-09-21 22:08:55', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1801, 109, 1001, '1', '2022-09-21 22:08:55', '1', '2022-09-21 22:08:55', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1802, 109, 1065, '1', '2022-09-21 22:08:55', '1', '2022-09-21 22:08:55', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1803, 109, 1002, '1', '2022-09-21 22:08:55', '1', '2022-09-21 22:08:55', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1804, 109, 1003, '1', '2022-09-21 22:08:55', '1', '2022-09-21 22:08:55', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1805, 109, 1004, '1', '2022-09-21 22:08:55', '1', '2022-09-21 22:08:55', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1806, 109, 1005, '1', '2022-09-21 22:08:55', '1', '2022-09-21 22:08:55', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1807, 109, 1006, '1', '2022-09-21 22:08:55', '1', '2022-09-21 22:08:55', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1808, 109, 1007, '1', '2022-09-21 22:08:55', '1', '2022-09-21 22:08:55', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1809, 109, 1008, '1', '2022-09-21 22:08:55', '1', '2022-09-21 22:08:55', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1810, 109, 1009, '1', '2022-09-21 22:08:55', '1', '2022-09-21 22:08:55', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1811, 109, 1010, '1', '2022-09-21 22:08:55', '1', '2022-09-21 22:08:55', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1812, 109, 1011, '1', '2022-09-21 22:08:55', '1', '2022-09-21 22:08:55', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1813, 109, 1012, '1', '2022-09-21 22:08:55', '1', '2022-09-21 22:08:55', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1814, 111, 100, '1', '2022-09-21 22:08:56', '1', '2022-09-21 22:08:56', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1815, 111, 101, '1', '2022-09-21 22:08:56', '1', '2022-09-21 22:08:56', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1816, 111, 1063, '1', '2022-09-21 22:08:56', '1', '2022-09-21 22:08:56', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1817, 111, 1064, '1', '2022-09-21 22:08:56', '1', '2022-09-21 22:08:56', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1818, 111, 1001, '1', '2022-09-21 22:08:56', '1', '2022-09-21 22:08:56', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1819, 111, 1065, '1', '2022-09-21 22:08:56', '1', '2022-09-21 22:08:56', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1820, 111, 1002, '1', '2022-09-21 22:08:56', '1', '2022-09-21 22:08:56', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1821, 111, 1003, '1', '2022-09-21 22:08:56', '1', '2022-09-21 22:08:56', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1822, 111, 1004, '1', '2022-09-21 22:08:56', '1', '2022-09-21 22:08:56', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1823, 111, 1005, '1', '2022-09-21 22:08:56', '1', '2022-09-21 22:08:56', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1824, 111, 1006, '1', '2022-09-21 22:08:56', '1', '2022-09-21 22:08:56', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1825, 111, 1007, '1', '2022-09-21 22:08:56', '1', '2022-09-21 22:08:56', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1826, 111, 1008, '1', '2022-09-21 22:08:56', '1', '2022-09-21 22:08:56', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1827, 111, 1009, '1', '2022-09-21 22:08:56', '1', '2022-09-21 22:08:56', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1828, 111, 1010, '1', '2022-09-21 22:08:56', '1', '2022-09-21 22:08:56', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1829, 111, 1011, '1', '2022-09-21 22:08:56', '1', '2022-09-21 22:08:56', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1830, 111, 1012, '1', '2022-09-21 22:08:56', '1', '2022-09-21 22:08:56', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1831, 109, 103, '1', '2022-09-21 22:43:23', '1', '2022-09-21 22:43:23', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1832, 109, 1017, '1', '2022-09-21 22:43:23', '1', '2022-09-21 22:43:23', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1833, 109, 1018, '1', '2022-09-21 22:43:23', '1', '2022-09-21 22:43:23', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1834, 109, 1019, '1', '2022-09-21 22:43:23', '1', '2022-09-21 22:43:23', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1835, 109, 1020, '1', '2022-09-21 22:43:23', '1', '2022-09-21 22:43:23', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1836, 111, 103, '1', '2022-09-21 22:43:24', '1', '2022-09-21 22:43:24', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1837, 111, 1017, '1', '2022-09-21 22:43:24', '1', '2022-09-21 22:43:24', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1838, 111, 1018, '1', '2022-09-21 22:43:24', '1', '2022-09-21 22:43:24', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1839, 111, 1019, '1', '2022-09-21 22:43:24', '1', '2022-09-21 22:43:24', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1840, 111, 1020, '1', '2022-09-21 22:43:24', '1', '2022-09-21 22:43:24', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1841, 109, 1036, '1', '2022-09-21 22:48:13', '1', '2022-09-21 22:48:13', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1842, 109, 1037, '1', '2022-09-21 22:48:13', '1', '2022-09-21 22:48:13', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1843, 109, 1038, '1', '2022-09-21 22:48:13', '1', '2022-09-21 22:48:13', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1844, 109, 1039, '1', '2022-09-21 22:48:13', '1', '2022-09-21 22:48:13', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1845, 109, 107, '1', '2022-09-21 22:48:13', '1', '2022-09-21 22:48:13', b'0', 121);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1846, 111, 1036, '1', '2022-09-21 22:48:13', '1', '2022-09-21 22:48:13', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1847, 111, 1037, '1', '2022-09-21 22:48:13', '1', '2022-09-21 22:48:13', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1848, 111, 1038, '1', '2022-09-21 22:48:13', '1', '2022-09-21 22:48:13', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1849, 111, 1039, '1', '2022-09-21 22:48:13', '1', '2022-09-21 22:48:13', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1850, 111, 107, '1', '2022-09-21 22:48:13', '1', '2022-09-21 22:48:13', b'0', 122);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1851, 114, 1, '1', '2022-12-30 11:32:03', '1', '2022-12-30 11:32:03', b'0', 125);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1852, 114, 1036, '1', '2022-12-30 11:32:03', '1', '2022-12-30 11:32:03', b'0', 125);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1853, 114, 1037, '1', '2022-12-30 11:32:03', '1', '2022-12-30 11:32:03', b'0', 125);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1854, 114, 1038, '1', '2022-12-30 11:32:03', '1', '2022-12-30 11:32:03', b'0', 125);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1855, 114, 1039, '1', '2022-12-30 11:32:03', '1', '2022-12-30 11:32:03', b'0', 125);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1856, 114, 100, '1', '2022-12-30 11:32:03', '1', '2022-12-30 11:32:03', b'0', 125);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1857, 114, 101, '1', '2022-12-30 11:32:03', '1', '2022-12-30 11:32:03', b'0', 125);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1858, 114, 1063, '1', '2022-12-30 11:32:03', '1', '2022-12-30 11:32:03', b'0', 125);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1859, 114, 103, '1', '2022-12-30 11:32:03', '1', '2022-12-30 11:32:03', b'0', 125);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1860, 114, 1064, '1', '2022-12-30 11:32:03', '1', '2022-12-30 11:32:03', b'0', 125);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1861, 114, 1001, '1', '2022-12-30 11:32:03', '1', '2022-12-30 11:32:03', b'0', 125);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1862, 114, 1065, '1', '2022-12-30 11:32:03', '1', '2022-12-30 11:32:03', b'0', 125);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1863, 114, 1002, '1', '2022-12-30 11:32:03', '1', '2022-12-30 11:32:03', b'0', 125);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1864, 114, 1003, '1', '2022-12-30 11:32:03', '1', '2022-12-30 11:32:03', b'0', 125);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1865, 114, 107, '1', '2022-12-30 11:32:03', '1', '2022-12-30 11:32:03', b'0', 125);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1866, 114, 1004, '1', '2022-12-30 11:32:03', '1', '2022-12-30 11:32:03', b'0', 125);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1867, 114, 1005, '1', '2022-12-30 11:32:03', '1', '2022-12-30 11:32:03', b'0', 125);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1868, 114, 1006, '1', '2022-12-30 11:32:03', '1', '2022-12-30 11:32:03', b'0', 125);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1869, 114, 1007, '1', '2022-12-30 11:32:03', '1', '2022-12-30 11:32:03', b'0', 125);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1870, 114, 1008, '1', '2022-12-30 11:32:03', '1', '2022-12-30 11:32:03', b'0', 125);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1871, 114, 1009, '1', '2022-12-30 11:32:03', '1', '2022-12-30 11:32:03', b'0', 125);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1872, 114, 1010, '1', '2022-12-30 11:32:03', '1', '2022-12-30 11:32:03', b'0', 125);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1873, 114, 1011, '1', '2022-12-30 11:32:03', '1', '2022-12-30 11:32:03', b'0', 125);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1874, 114, 1012, '1', '2022-12-30 11:32:03', '1', '2022-12-30 11:32:03', b'0', 125);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1875, 114, 1017, '1', '2022-12-30 11:32:03', '1', '2022-12-30 11:32:03', b'0', 125);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1876, 114, 1018, '1', '2022-12-30 11:32:03', '1', '2022-12-30 11:32:03', b'0', 125);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1877, 114, 1019, '1', '2022-12-30 11:32:03', '1', '2022-12-30 11:32:03', b'0', 125);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1878, 114, 1020, '1', '2022-12-30 11:32:03', '1', '2022-12-30 11:32:03', b'0', 125);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1879, 115, 1, '1', '2022-12-30 11:33:42', '1', '2022-12-30 11:33:42', b'0', 126);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1880, 115, 1036, '1', '2022-12-30 11:33:42', '1', '2022-12-30 11:33:42', b'0', 126);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1881, 115, 1037, '1', '2022-12-30 11:33:42', '1', '2022-12-30 11:33:42', b'0', 126);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1882, 115, 1038, '1', '2022-12-30 11:33:42', '1', '2022-12-30 11:33:42', b'0', 126);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1883, 115, 1039, '1', '2022-12-30 11:33:42', '1', '2022-12-30 11:33:42', b'0', 126);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1884, 115, 100, '1', '2022-12-30 11:33:42', '1', '2022-12-30 11:33:42', b'0', 126);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1885, 115, 101, '1', '2022-12-30 11:33:42', '1', '2022-12-30 11:33:42', b'0', 126);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1886, 115, 1063, '1', '2022-12-30 11:33:42', '1', '2022-12-30 11:33:42', b'0', 126);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1887, 115, 103, '1', '2022-12-30 11:33:42', '1', '2022-12-30 11:33:42', b'0', 126);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1888, 115, 1064, '1', '2022-12-30 11:33:42', '1', '2022-12-30 11:33:42', b'0', 126);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1889, 115, 1001, '1', '2022-12-30 11:33:42', '1', '2022-12-30 11:33:42', b'0', 126);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1890, 115, 1065, '1', '2022-12-30 11:33:42', '1', '2022-12-30 11:33:42', b'0', 126);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1891, 115, 1002, '1', '2022-12-30 11:33:42', '1', '2022-12-30 11:33:42', b'0', 126);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1892, 115, 1003, '1', '2022-12-30 11:33:42', '1', '2022-12-30 11:33:42', b'0', 126);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1893, 115, 107, '1', '2022-12-30 11:33:42', '1', '2022-12-30 11:33:42', b'0', 126);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1894, 115, 1004, '1', '2022-12-30 11:33:42', '1', '2022-12-30 11:33:42', b'0', 126);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1895, 115, 1005, '1', '2022-12-30 11:33:42', '1', '2022-12-30 11:33:42', b'0', 126);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1896, 115, 1006, '1', '2022-12-30 11:33:42', '1', '2022-12-30 11:33:42', b'0', 126);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1897, 115, 1007, '1', '2022-12-30 11:33:42', '1', '2022-12-30 11:33:42', b'0', 126);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1898, 115, 1008, '1', '2022-12-30 11:33:42', '1', '2022-12-30 11:33:42', b'0', 126);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1899, 115, 1009, '1', '2022-12-30 11:33:42', '1', '2022-12-30 11:33:42', b'0', 126);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1900, 115, 1010, '1', '2022-12-30 11:33:42', '1', '2022-12-30 11:33:42', b'0', 126);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1901, 115, 1011, '1', '2022-12-30 11:33:42', '1', '2022-12-30 11:33:42', b'0', 126);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1902, 115, 1012, '1', '2022-12-30 11:33:42', '1', '2022-12-30 11:33:42', b'0', 126);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1903, 115, 1017, '1', '2022-12-30 11:33:42', '1', '2022-12-30 11:33:42', b'0', 126);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1904, 115, 1018, '1', '2022-12-30 11:33:42', '1', '2022-12-30 11:33:42', b'0', 126);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1905, 115, 1019, '1', '2022-12-30 11:33:42', '1', '2022-12-30 11:33:42', b'0', 126);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1906, 115, 1020, '1', '2022-12-30 11:33:42', '1', '2022-12-30 11:33:42', b'0', 126);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1907, 116, 1, '1', '2022-12-30 11:33:48', '1', '2022-12-30 11:33:48', b'0', 127);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1908, 116, 1036, '1', '2022-12-30 11:33:48', '1', '2022-12-30 11:33:48', b'0', 127);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1909, 116, 1037, '1', '2022-12-30 11:33:48', '1', '2022-12-30 11:33:48', b'0', 127);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1910, 116, 1038, '1', '2022-12-30 11:33:48', '1', '2022-12-30 11:33:48', b'0', 127);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1911, 116, 1039, '1', '2022-12-30 11:33:48', '1', '2022-12-30 11:33:48', b'0', 127);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1912, 116, 100, '1', '2022-12-30 11:33:48', '1', '2022-12-30 11:33:48', b'0', 127);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1913, 116, 101, '1', '2022-12-30 11:33:48', '1', '2022-12-30 11:33:48', b'0', 127);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1914, 116, 1063, '1', '2022-12-30 11:33:48', '1', '2022-12-30 11:33:48', b'0', 127);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1915, 116, 103, '1', '2022-12-30 11:33:48', '1', '2022-12-30 11:33:48', b'0', 127);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1916, 116, 1064, '1', '2022-12-30 11:33:48', '1', '2022-12-30 11:33:48', b'0', 127);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1917, 116, 1001, '1', '2022-12-30 11:33:48', '1', '2022-12-30 11:33:48', b'0', 127);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1918, 116, 1065, '1', '2022-12-30 11:33:48', '1', '2022-12-30 11:33:48', b'0', 127);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1919, 116, 1002, '1', '2022-12-30 11:33:48', '1', '2022-12-30 11:33:48', b'0', 127);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1920, 116, 1003, '1', '2022-12-30 11:33:48', '1', '2022-12-30 11:33:48', b'0', 127);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1921, 116, 107, '1', '2022-12-30 11:33:48', '1', '2022-12-30 11:33:48', b'0', 127);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1922, 116, 1004, '1', '2022-12-30 11:33:48', '1', '2022-12-30 11:33:48', b'0', 127);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1923, 116, 1005, '1', '2022-12-30 11:33:48', '1', '2022-12-30 11:33:48', b'0', 127);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1924, 116, 1006, '1', '2022-12-30 11:33:48', '1', '2022-12-30 11:33:48', b'0', 127);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1925, 116, 1007, '1', '2022-12-30 11:33:48', '1', '2022-12-30 11:33:48', b'0', 127);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1926, 116, 1008, '1', '2022-12-30 11:33:48', '1', '2022-12-30 11:33:48', b'0', 127);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1927, 116, 1009, '1', '2022-12-30 11:33:48', '1', '2022-12-30 11:33:48', b'0', 127);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1928, 116, 1010, '1', '2022-12-30 11:33:48', '1', '2022-12-30 11:33:48', b'0', 127);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1929, 116, 1011, '1', '2022-12-30 11:33:48', '1', '2022-12-30 11:33:48', b'0', 127);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1930, 116, 1012, '1', '2022-12-30 11:33:48', '1', '2022-12-30 11:33:48', b'0', 127);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1931, 116, 1017, '1', '2022-12-30 11:33:48', '1', '2022-12-30 11:33:48', b'0', 127);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1932, 116, 1018, '1', '2022-12-30 11:33:48', '1', '2022-12-30 11:33:48', b'0', 127);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1933, 116, 1019, '1', '2022-12-30 11:33:48', '1', '2022-12-30 11:33:48', b'0', 127);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1934, 116, 1020, '1', '2022-12-30 11:33:48', '1', '2022-12-30 11:33:48', b'0', 127);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1963, 118, 1, '1', '2022-12-30 11:47:52', '1', '2022-12-30 11:47:52', b'0', 129);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1964, 118, 1036, '1', '2022-12-30 11:47:52', '1', '2022-12-30 11:47:52', b'0', 129);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1965, 118, 1037, '1', '2022-12-30 11:47:52', '1', '2022-12-30 11:47:52', b'0', 129);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1966, 118, 1038, '1', '2022-12-30 11:47:52', '1', '2022-12-30 11:47:52', b'0', 129);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1967, 118, 1039, '1', '2022-12-30 11:47:52', '1', '2022-12-30 11:47:52', b'0', 129);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1968, 118, 100, '1', '2022-12-30 11:47:52', '1', '2022-12-30 11:47:52', b'0', 129);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1969, 118, 101, '1', '2022-12-30 11:47:52', '1', '2022-12-30 11:47:52', b'0', 129);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1970, 118, 1063, '1', '2022-12-30 11:47:52', '1', '2022-12-30 11:47:52', b'0', 129);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1971, 118, 103, '1', '2022-12-30 11:47:52', '1', '2022-12-30 11:47:52', b'0', 129);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1972, 118, 1064, '1', '2022-12-30 11:47:52', '1', '2022-12-30 11:47:52', b'0', 129);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1973, 118, 1001, '1', '2022-12-30 11:47:52', '1', '2022-12-30 11:47:52', b'0', 129);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1974, 118, 1065, '1', '2022-12-30 11:47:52', '1', '2022-12-30 11:47:52', b'0', 129);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1975, 118, 1002, '1', '2022-12-30 11:47:52', '1', '2022-12-30 11:47:52', b'0', 129);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1976, 118, 1003, '1', '2022-12-30 11:47:52', '1', '2022-12-30 11:47:52', b'0', 129);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1977, 118, 107, '1', '2022-12-30 11:47:52', '1', '2022-12-30 11:47:52', b'0', 129);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1978, 118, 1004, '1', '2022-12-30 11:47:52', '1', '2022-12-30 11:47:52', b'0', 129);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1979, 118, 1005, '1', '2022-12-30 11:47:52', '1', '2022-12-30 11:47:52', b'0', 129);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1980, 118, 1006, '1', '2022-12-30 11:47:52', '1', '2022-12-30 11:47:52', b'0', 129);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1981, 118, 1007, '1', '2022-12-30 11:47:52', '1', '2022-12-30 11:47:52', b'0', 129);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1982, 118, 1008, '1', '2022-12-30 11:47:52', '1', '2022-12-30 11:47:52', b'0', 129);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1983, 118, 1009, '1', '2022-12-30 11:47:52', '1', '2022-12-30 11:47:52', b'0', 129);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1984, 118, 1010, '1', '2022-12-30 11:47:52', '1', '2022-12-30 11:47:52', b'0', 129);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1985, 118, 1011, '1', '2022-12-30 11:47:52', '1', '2022-12-30 11:47:52', b'0', 129);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1986, 118, 1012, '1', '2022-12-30 11:47:52', '1', '2022-12-30 11:47:52', b'0', 129);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1987, 118, 1017, '1', '2022-12-30 11:47:52', '1', '2022-12-30 11:47:52', b'0', 129);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1988, 118, 1018, '1', '2022-12-30 11:47:52', '1', '2022-12-30 11:47:52', b'0', 129);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1989, 118, 1019, '1', '2022-12-30 11:47:52', '1', '2022-12-30 11:47:52', b'0', 129);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1990, 118, 1020, '1', '2022-12-30 11:47:52', '1', '2022-12-30 11:47:52', b'0', 129);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1991, 2, 1024, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1992, 2, 1025, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1993, 2, 1026, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1994, 2, 1027, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1995, 2, 1028, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1996, 2, 1029, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1997, 2, 1030, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1998, 2, 1031, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1999, 2, 1032, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2000, 2, 1033, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2001, 2, 1034, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2002, 2, 1035, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2003, 2, 1036, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2004, 2, 1037, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2005, 2, 1038, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2006, 2, 1039, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2007, 2, 1040, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2008, 2, 1042, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2009, 2, 1043, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2010, 2, 1045, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2011, 2, 1046, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2012, 2, 1048, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2013, 2, 1050, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2014, 2, 1051, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2015, 2, 1052, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2016, 2, 1053, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2017, 2, 1054, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2018, 2, 1056, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2019, 2, 1057, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2020, 2, 1058, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2021, 2, 2083, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2022, 2, 1059, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2023, 2, 1060, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2024, 2, 1063, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2025, 2, 1064, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2026, 2, 1065, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2027, 2, 1066, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2028, 2, 1067, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2029, 2, 1070, '1', '2023-01-25 08:42:52', '1', '2023-05-17 10:35:45', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2030, 2, 1071, '1', '2023-01-25 08:42:52', '1', '2023-05-17 10:35:27', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2031, 2, 1072, '1', '2023-01-25 08:42:52', '1', '2023-05-17 10:35:32', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2032, 2, 1073, '1', '2023-01-25 08:42:52', '1', '2023-05-17 10:35:37', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2033, 2, 1074, '1', '2023-01-25 08:42:52', '1', '2023-05-17 10:35:40', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2034, 2, 1075, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2035, 2, 1076, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2036, 2, 1082, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2037, 2, 1085, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2038, 2, 1086, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2039, 2, 1087, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2040, 2, 1088, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2041, 2, 1089, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2042, 2, 1091, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2043, 2, 1092, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2044, 2, 1095, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2045, 2, 1096, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2046, 2, 1097, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2047, 2, 1098, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2048, 2, 1101, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2049, 2, 1102, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2050, 2, 1103, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2051, 2, 1104, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2052, 2, 1105, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2053, 2, 1106, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2054, 2, 1108, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2055, 2, 1109, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2056, 2, 1111, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2057, 2, 1112, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2058, 2, 1113, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2059, 2, 1114, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2060, 2, 1115, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2061, 2, 1127, '1', '2023-01-25 08:42:52', '1', '2023-07-14 15:10:58', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2062, 2, 1128, '1', '2023-01-25 08:42:52', '1', '2023-07-14 15:11:02', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2063, 2, 1129, '1', '2023-01-25 08:42:52', '1', '2023-07-14 15:12:39', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2064, 2, 1130, '1', '2023-01-25 08:42:52', '1', '2023-07-14 15:12:44', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2065, 2, 1131, '1', '2023-01-25 08:42:52', '1', '2023-07-14 15:12:48', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2066, 2, 1132, '1', '2023-01-25 08:42:52', '1', '2023-07-14 15:11:37', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2067, 2, 1133, '1', '2023-01-25 08:42:52', '1', '2023-07-14 15:11:17', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2068, 2, 1134, '1', '2023-01-25 08:42:52', '1', '2023-07-14 15:11:21', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2069, 2, 1135, '1', '2023-01-25 08:42:52', '1', '2023-07-14 15:11:24', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2070, 2, 1136, '1', '2023-01-25 08:42:52', '1', '2023-07-14 15:11:28', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2071, 2, 1137, '1', '2023-01-25 08:42:52', '1', '2023-07-14 15:11:32', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2072, 2, 114, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2073, 2, 1139, '1', '2023-01-25 08:42:52', '1', '2023-05-17 10:44:58', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2074, 2, 115, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2075, 2, 1140, '1', '2023-01-25 08:42:52', '1', '2023-05-17 10:45:08', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2076, 2, 116, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2077, 2, 1141, '1', '2023-01-25 08:42:52', '1', '2023-05-17 10:46:02', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2078, 2, 1142, '1', '2023-01-25 08:42:52', '1', '2023-05-17 10:46:05', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2079, 2, 1143, '1', '2023-01-25 08:42:52', '1', '2023-05-17 10:46:09', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2080, 2, 1150, '1', '2023-01-25 08:42:52', '1', '2023-07-14 15:11:42', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2081, 2, 1161, '1', '2023-01-25 08:42:52', '1', '2023-07-14 15:13:55', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2082, 2, 1162, '1', '2023-01-25 08:42:52', '1', '2023-07-14 15:13:31', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2083, 2, 1163, '1', '2023-01-25 08:42:52', '1', '2023-07-14 15:13:35', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2084, 2, 1164, '1', '2023-01-25 08:42:52', '1', '2023-07-14 15:13:40', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2085, 2, 1165, '1', '2023-01-25 08:42:52', '1', '2023-07-14 15:13:44', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2086, 2, 1166, '1', '2023-01-25 08:42:52', '1', '2023-07-14 15:13:50', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2087, 2, 1173, '1', '2023-01-25 08:42:52', '1', '2023-07-14 15:13:22', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2088, 2, 1174, '1', '2023-01-25 08:42:52', '1', '2023-07-14 15:13:00', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2089, 2, 1175, '1', '2023-01-25 08:42:52', '1', '2023-07-14 15:13:05', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2090, 2, 1176, '1', '2023-01-25 08:42:52', '1', '2023-07-14 15:13:10', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2091, 2, 1177, '1', '2023-01-25 08:42:52', '1', '2023-07-14 15:13:13', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2092, 2, 1178, '1', '2023-01-25 08:42:52', '1', '2023-07-14 15:13:18', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2093, 2, 1179, '1', '2023-01-25 08:42:52', '1', '2023-07-14 15:10:51', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2094, 2, 1180, '1', '2023-01-25 08:42:52', '1', '2023-07-14 15:10:19', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2095, 2, 1181, '1', '2023-01-25 08:42:52', '1', '2023-07-14 15:10:29', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2096, 2, 1182, '1', '2023-01-25 08:42:52', '1', '2023-07-14 15:10:36', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2097, 2, 1183, '1', '2023-01-25 08:42:52', '1', '2023-07-14 15:10:41', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2098, 2, 1184, '1', '2023-01-25 08:42:52', '1', '2023-07-14 15:10:46', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2099, 2, 1226, '1', '2023-01-25 08:42:52', '1', '2023-05-17 10:46:21', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2100, 2, 1227, '1', '2023-01-25 08:42:52', '1', '2023-05-17 10:46:24', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2101, 2, 1228, '1', '2023-01-25 08:42:52', '1', '2023-05-17 10:46:28', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2102, 2, 1229, '1', '2023-01-25 08:42:52', '1', '2023-05-17 10:46:34', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2103, 2, 1237, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2104, 2, 1238, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2105, 2, 1239, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2106, 2, 1240, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2107, 2, 1241, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2108, 2, 1242, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2109, 2, 1243, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2110, 2, 1247, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2111, 2, 1248, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2112, 2, 1249, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2113, 2, 1250, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2114, 2, 1251, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2115, 2, 1252, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2116, 2, 1254, '1', '2023-01-25 08:42:52', '1', '2023-05-07 17:06:10', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2117, 2, 1255, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2118, 2, 1256, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2119, 2, 1257, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2120, 2, 1258, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2121, 2, 1259, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2122, 2, 1260, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2123, 2, 1261, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2124, 2, 1263, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2125, 2, 1264, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2126, 2, 1265, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2127, 2, 1266, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2128, 2, 1267, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2129, 2, 1001, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2130, 2, 1002, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2131, 2, 1003, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2132, 2, 1004, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2133, 2, 1005, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2134, 2, 1006, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2135, 2, 1007, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2136, 2, 1008, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2137, 2, 1009, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2138, 2, 1010, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2139, 2, 1011, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2140, 2, 1012, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2141, 2, 1013, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2142, 2, 1014, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2143, 2, 1015, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2144, 2, 1016, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2145, 2, 1017, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2146, 2, 1018, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2147, 2, 1019, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2148, 2, 1020, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2149, 2, 1021, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2150, 2, 1022, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2151, 2, 1023, '1', '2023-01-25 08:42:52', '1', '2023-01-25 08:42:52', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2152, 2, 1281, '1', '2023-01-25 08:42:58', '1', '2023-05-10 10:35:17', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2153, 2, 1282, '1', '2023-01-25 08:42:58', '1', '2023-05-10 10:34:51', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2154, 2, 2000, '1', '2023-01-25 08:42:58', '1', '2023-01-25 08:42:58', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2155, 2, 2002, '1', '2023-01-25 08:42:58', '1', '2023-01-25 08:42:58', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2156, 2, 2003, '1', '2023-01-25 08:42:58', '1', '2023-01-25 08:42:58', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2157, 2, 2004, '1', '2023-01-25 08:42:58', '1', '2023-01-25 08:42:58', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2158, 2, 2005, '1', '2023-01-25 08:42:58', '1', '2023-01-25 08:42:58', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2159, 2, 2006, '1', '2023-01-25 08:42:58', '1', '2023-01-25 08:42:58', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2160, 2, 2008, '1', '2023-01-25 08:42:58', '1', '2023-01-25 08:42:58', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2161, 2, 2009, '1', '2023-01-25 08:42:58', '1', '2023-01-25 08:42:58', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2162, 2, 2010, '1', '2023-01-25 08:42:58', '1', '2023-01-25 08:42:58', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2163, 2, 2011, '1', '2023-01-25 08:42:58', '1', '2023-01-25 08:42:58', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2164, 2, 2012, '1', '2023-01-25 08:42:58', '1', '2023-01-25 08:42:58', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2170, 2, 2019, '1', '2023-01-25 08:42:58', '1', '2023-06-02 11:27:25', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2171, 2, 2020, '1', '2023-01-25 08:42:58', '1', '2023-06-02 11:27:11', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2172, 2, 2021, '1', '2023-01-25 08:42:58', '1', '2023-06-02 11:27:15', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2173, 2, 2022, '1', '2023-01-25 08:42:58', '1', '2023-06-02 11:27:18', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2174, 2, 2023, '1', '2023-01-25 08:42:58', '1', '2023-06-02 11:27:21', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2175, 2, 2025, '1', '2023-01-25 08:42:58', '1', '2023-05-17 10:05:22', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2177, 2, 2027, '1', '2023-01-25 08:42:58', '1', '2023-05-17 10:05:07', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2178, 2, 2028, '1', '2023-01-25 08:42:58', '1', '2023-05-17 10:05:12', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2179, 2, 2029, '1', '2023-01-25 08:42:58', '1', '2023-05-17 10:05:18', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2180, 2, 2014, '1', '2023-01-25 08:43:12', '1', '2023-06-02 11:27:04', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2181, 2, 2015, '1', '2023-01-25 08:43:12', '1', '2023-06-02 11:26:45', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2182, 2, 2016, '1', '2023-01-25 08:43:12', '1', '2023-06-02 11:26:49', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2183, 2, 2017, '1', '2023-01-25 08:43:12', '1', '2023-06-02 11:26:54', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2184, 2, 2018, '1', '2023-01-25 08:43:12', '1', '2023-06-02 11:26:59', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2188, 101, 1024, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2189, 101, 1, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2190, 101, 1025, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2191, 101, 1026, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2192, 101, 1027, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2193, 101, 1028, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2194, 101, 1029, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2195, 101, 1030, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2196, 101, 1036, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2197, 101, 1037, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2198, 101, 1038, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2199, 101, 1039, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2200, 101, 1040, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2201, 101, 1042, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2202, 101, 1043, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2203, 101, 1045, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2204, 101, 1046, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2205, 101, 1048, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2206, 101, 2083, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2207, 101, 1063, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2208, 101, 1064, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2209, 101, 1065, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2210, 101, 1093, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2211, 101, 1094, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2212, 101, 1095, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2213, 101, 1096, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2214, 101, 1097, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2215, 101, 1098, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2216, 101, 1100, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2217, 101, 1101, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2218, 101, 1102, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2219, 101, 1103, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2220, 101, 1104, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2221, 101, 1105, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2222, 101, 1106, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2223, 101, 2130, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2224, 101, 1107, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2225, 101, 2131, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2226, 101, 1108, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2227, 101, 2132, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2228, 101, 1109, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2229, 101, 2133, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2230, 101, 2134, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2231, 101, 1110, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2232, 101, 2135, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2233, 101, 1111, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2234, 101, 2136, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2235, 101, 1112, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2236, 101, 2137, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2237, 101, 1113, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2238, 101, 2138, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2239, 101, 1114, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2240, 101, 2139, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2241, 101, 1115, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2242, 101, 2140, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2243, 101, 2141, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2244, 101, 2142, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2245, 101, 2143, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2246, 101, 2144, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2247, 101, 2145, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2248, 101, 2146, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2249, 101, 2147, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2250, 101, 100, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2251, 101, 2148, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2252, 101, 101, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2253, 101, 2149, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2254, 101, 102, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2255, 101, 2150, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2256, 101, 103, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2257, 101, 2151, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2258, 101, 104, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2259, 101, 2152, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2260, 101, 105, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2261, 101, 107, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2262, 101, 108, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2263, 101, 109, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2264, 101, 1138, '1', '2023-02-09 23:49:46', '1', '2023-05-17 10:46:14', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2265, 101, 1139, '1', '2023-02-09 23:49:46', '1', '2023-05-17 10:44:58', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2266, 101, 1140, '1', '2023-02-09 23:49:46', '1', '2023-05-17 10:45:08', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2267, 101, 1141, '1', '2023-02-09 23:49:46', '1', '2023-05-17 10:46:02', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2268, 101, 1142, '1', '2023-02-09 23:49:46', '1', '2023-05-17 10:46:05', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2269, 101, 1143, '1', '2023-02-09 23:49:46', '1', '2023-05-17 10:46:09', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2270, 101, 1224, '1', '2023-02-09 23:49:46', '1', '2023-05-17 10:46:42', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2271, 101, 1225, '1', '2023-02-09 23:49:46', '1', '2023-05-17 10:46:38', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2272, 101, 1226, '1', '2023-02-09 23:49:46', '1', '2023-05-17 10:46:21', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2273, 101, 1227, '1', '2023-02-09 23:49:46', '1', '2023-05-17 10:46:24', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2274, 101, 1228, '1', '2023-02-09 23:49:46', '1', '2023-05-17 10:46:28', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2275, 101, 1229, '1', '2023-02-09 23:49:46', '1', '2023-05-17 10:46:34', b'1', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2276, 101, 1247, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2277, 101, 1248, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2278, 101, 1249, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2279, 101, 1250, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2280, 101, 1251, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2281, 101, 1252, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2282, 101, 1261, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2283, 101, 1263, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2284, 101, 1264, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2285, 101, 1265, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2286, 101, 1266, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2287, 101, 1267, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2288, 101, 1001, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2289, 101, 1002, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2290, 101, 1003, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2291, 101, 1004, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2292, 101, 1005, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2293, 101, 1006, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2294, 101, 1007, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2295, 101, 1008, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2296, 101, 1009, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2297, 101, 1010, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2298, 101, 1011, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2299, 101, 1012, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2300, 101, 500, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2301, 101, 1013, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2302, 101, 501, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2303, 101, 1014, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2304, 101, 1015, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2305, 101, 1016, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2306, 101, 1017, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2307, 101, 1018, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2308, 101, 1019, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2309, 101, 1020, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2310, 101, 1021, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2311, 101, 1022, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2312, 101, 1023, '1', '2023-02-09 23:49:46', '1', '2023-02-09 23:49:46', b'0', 1);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2789, 136, 1, '1', '2023-03-05 21:23:32', '1', '2023-03-05 21:23:32', b'0', 147);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2790, 136, 1036, '1', '2023-03-05 21:23:32', '1', '2023-03-05 21:23:32', b'0', 147);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2791, 136, 1037, '1', '2023-03-05 21:23:32', '1', '2023-03-05 21:23:32', b'0', 147);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2792, 136, 1038, '1', '2023-03-05 21:23:32', '1', '2023-03-05 21:23:32', b'0', 147);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2793, 136, 1039, '1', '2023-03-05 21:23:32', '1', '2023-03-05 21:23:32', b'0', 147);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2794, 136, 100, '1', '2023-03-05 21:23:32', '1', '2023-03-05 21:23:32', b'0', 147);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2795, 136, 101, '1', '2023-03-05 21:23:32', '1', '2023-03-05 21:23:32', b'0', 147);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2796, 136, 1063, '1', '2023-03-05 21:23:32', '1', '2023-03-05 21:23:32', b'0', 147);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2797, 136, 103, '1', '2023-03-05 21:23:32', '1', '2023-03-05 21:23:32', b'0', 147);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2798, 136, 1064, '1', '2023-03-05 21:23:32', '1', '2023-03-05 21:23:32', b'0', 147);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2799, 136, 1001, '1', '2023-03-05 21:23:32', '1', '2023-03-05 21:23:32', b'0', 147);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2800, 136, 1065, '1', '2023-03-05 21:23:32', '1', '2023-03-05 21:23:32', b'0', 147);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2801, 136, 1002, '1', '2023-03-05 21:23:32', '1', '2023-03-05 21:23:32', b'0', 147);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2802, 136, 1003, '1', '2023-03-05 21:23:32', '1', '2023-03-05 21:23:32', b'0', 147);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2803, 136, 107, '1', '2023-03-05 21:23:32', '1', '2023-03-05 21:23:32', b'0', 147);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2804, 136, 1004, '1', '2023-03-05 21:23:32', '1', '2023-03-05 21:23:32', b'0', 147);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2805, 136, 1005, '1', '2023-03-05 21:23:32', '1', '2023-03-05 21:23:32', b'0', 147);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2806, 136, 1006, '1', '2023-03-05 21:23:32', '1', '2023-03-05 21:23:32', b'0', 147);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2807, 136, 1007, '1', '2023-03-05 21:23:32', '1', '2023-03-05 21:23:32', b'0', 147);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2808, 136, 1008, '1', '2023-03-05 21:23:32', '1', '2023-03-05 21:23:32', b'0', 147);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2809, 136, 1009, '1', '2023-03-05 21:23:32', '1', '2023-03-05 21:23:32', b'0', 147);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2810, 136, 1010, '1', '2023-03-05 21:23:32', '1', '2023-03-05 21:23:32', b'0', 147);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2811, 136, 1011, '1', '2023-03-05 21:23:32', '1', '2023-03-05 21:23:32', b'0', 147);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2812, 136, 1012, '1', '2023-03-05 21:23:32', '1', '2023-03-05 21:23:32', b'0', 147);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2813, 136, 1017, '1', '2023-03-05 21:23:32', '1', '2023-03-05 21:23:32', b'0', 147);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2814, 136, 1018, '1', '2023-03-05 21:23:32', '1', '2023-03-05 21:23:32', b'0', 147);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2815, 136, 1019, '1', '2023-03-05 21:23:32', '1', '2023-03-05 21:23:32', b'0', 147);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2816, 136, 1020, '1', '2023-03-05 21:23:32', '1', '2023-03-05 21:23:32', b'0', 147);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2817, 137, 1, '1', '2023-03-05 21:42:27', '1', '2023-03-05 21:42:27', b'0', 148);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2818, 137, 1036, '1', '2023-03-05 21:42:27', '1', '2023-03-05 21:42:27', b'0', 148);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2819, 137, 1037, '1', '2023-03-05 21:42:27', '1', '2023-03-05 21:42:27', b'0', 148);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2820, 137, 1038, '1', '2023-03-05 21:42:27', '1', '2023-03-05 21:42:27', b'0', 148);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2821, 137, 1039, '1', '2023-03-05 21:42:27', '1', '2023-03-05 21:42:27', b'0', 148);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2822, 137, 100, '1', '2023-03-05 21:42:27', '1', '2023-03-05 21:42:27', b'0', 148);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2823, 137, 101, '1', '2023-03-05 21:42:27', '1', '2023-03-05 21:42:27', b'0', 148);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2824, 137, 1063, '1', '2023-03-05 21:42:27', '1', '2023-03-05 21:42:27', b'0', 148);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2825, 137, 103, '1', '2023-03-05 21:42:27', '1', '2023-03-05 21:42:27', b'0', 148);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2826, 137, 1064, '1', '2023-03-05 21:42:27', '1', '2023-03-05 21:42:27', b'0', 148);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2827, 137, 1001, '1', '2023-03-05 21:42:27', '1', '2023-03-05 21:42:27', b'0', 148);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2828, 137, 1065, '1', '2023-03-05 21:42:27', '1', '2023-03-05 21:42:27', b'0', 148);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2829, 137, 1002, '1', '2023-03-05 21:42:27', '1', '2023-03-05 21:42:27', b'0', 148);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2830, 137, 1003, '1', '2023-03-05 21:42:27', '1', '2023-03-05 21:42:27', b'0', 148);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2831, 137, 107, '1', '2023-03-05 21:42:27', '1', '2023-03-05 21:42:27', b'0', 148);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2832, 137, 1004, '1', '2023-03-05 21:42:27', '1', '2023-03-05 21:42:27', b'0', 148);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2833, 137, 1005, '1', '2023-03-05 21:42:27', '1', '2023-03-05 21:42:27', b'0', 148);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2834, 137, 1006, '1', '2023-03-05 21:42:27', '1', '2023-03-05 21:42:27', b'0', 148);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2835, 137, 1007, '1', '2023-03-05 21:42:27', '1', '2023-03-05 21:42:27', b'0', 148);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2836, 137, 1008, '1', '2023-03-05 21:42:27', '1', '2023-03-05 21:42:27', b'0', 148);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2837, 137, 1009, '1', '2023-03-05 21:42:27', '1', '2023-03-05 21:42:27', b'0', 148);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2838, 137, 1010, '1', '2023-03-05 21:42:27', '1', '2023-03-05 21:42:27', b'0', 148);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2839, 137, 1011, '1', '2023-03-05 21:42:27', '1', '2023-03-05 21:42:27', b'0', 148);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2840, 137, 1012, '1', '2023-03-05 21:42:27', '1', '2023-03-05 21:42:27', b'0', 148);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2841, 137, 1017, '1', '2023-03-05 21:42:27', '1', '2023-03-05 21:42:27', b'0', 148);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2842, 137, 1018, '1', '2023-03-05 21:42:27', '1', '2023-03-05 21:42:27', b'0', 148);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2843, 137, 1019, '1', '2023-03-05 21:42:27', '1', '2023-03-05 21:42:27', b'0', 148);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2844, 137, 1020, '1', '2023-03-05 21:42:27', '1', '2023-03-05 21:42:27', b'0', 148);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2845, 138, 1, '1', '2023-03-05 21:59:02', '1', '2023-03-05 21:59:02', b'0', 149);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2846, 138, 1036, '1', '2023-03-05 21:59:02', '1', '2023-03-05 21:59:02', b'0', 149);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2847, 138, 1037, '1', '2023-03-05 21:59:02', '1', '2023-03-05 21:59:02', b'0', 149);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2848, 138, 1038, '1', '2023-03-05 21:59:02', '1', '2023-03-05 21:59:02', b'0', 149);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2849, 138, 1039, '1', '2023-03-05 21:59:02', '1', '2023-03-05 21:59:02', b'0', 149);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2850, 138, 100, '1', '2023-03-05 21:59:02', '1', '2023-03-05 21:59:02', b'0', 149);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2851, 138, 101, '1', '2023-03-05 21:59:02', '1', '2023-03-05 21:59:02', b'0', 149);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2852, 138, 1063, '1', '2023-03-05 21:59:02', '1', '2023-03-05 21:59:02', b'0', 149);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2853, 138, 103, '1', '2023-03-05 21:59:02', '1', '2023-03-05 21:59:02', b'0', 149);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2854, 138, 1064, '1', '2023-03-05 21:59:02', '1', '2023-03-05 21:59:02', b'0', 149);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2855, 138, 1001, '1', '2023-03-05 21:59:02', '1', '2023-03-05 21:59:02', b'0', 149);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2856, 138, 1065, '1', '2023-03-05 21:59:02', '1', '2023-03-05 21:59:02', b'0', 149);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2857, 138, 1002, '1', '2023-03-05 21:59:02', '1', '2023-03-05 21:59:02', b'0', 149);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2858, 138, 1003, '1', '2023-03-05 21:59:02', '1', '2023-03-05 21:59:02', b'0', 149);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2859, 138, 107, '1', '2023-03-05 21:59:02', '1', '2023-03-05 21:59:02', b'0', 149);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2860, 138, 1004, '1', '2023-03-05 21:59:02', '1', '2023-03-05 21:59:02', b'0', 149);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2861, 138, 1005, '1', '2023-03-05 21:59:02', '1', '2023-03-05 21:59:02', b'0', 149);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2862, 138, 1006, '1', '2023-03-05 21:59:02', '1', '2023-03-05 21:59:02', b'0', 149);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2863, 138, 1007, '1', '2023-03-05 21:59:02', '1', '2023-03-05 21:59:02', b'0', 149);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2864, 138, 1008, '1', '2023-03-05 21:59:02', '1', '2023-03-05 21:59:02', b'0', 149);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2865, 138, 1009, '1', '2023-03-05 21:59:02', '1', '2023-03-05 21:59:02', b'0', 149);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2866, 138, 1010, '1', '2023-03-05 21:59:02', '1', '2023-03-05 21:59:02', b'0', 149);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2867, 138, 1011, '1', '2023-03-05 21:59:02', '1', '2023-03-05 21:59:02', b'0', 149);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2868, 138, 1012, '1', '2023-03-05 21:59:02', '1', '2023-03-05 21:59:02', b'0', 149);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2869, 138, 1017, '1', '2023-03-05 21:59:02', '1', '2023-03-05 21:59:02', b'0', 149);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2870, 138, 1018, '1', '2023-03-05 21:59:02', '1', '2023-03-05 21:59:02', b'0', 149);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2871, 138, 1019, '1', '2023-03-05 21:59:02', '1', '2023-03-05 21:59:02', b'0', 149);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2872, 138, 1020, '1', '2023-03-05 21:59:02', '1', '2023-03-05 21:59:02', b'0', 149);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2873, 1, 1024, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2874, 1, 1025, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2875, 1, 1026, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2876, 1, 1027, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2877, 1, 1028, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2878, 1, 1029, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2879, 1, 1030, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2880, 1, 1031, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2881, 1, 1032, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2882, 1, 1033, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2883, 1, 1034, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2884, 1, 1035, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2885, 1, 1036, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2886, 1, 1037, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2887, 1, 1038, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2888, 1, 1039, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2889, 1, 1040, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2890, 1, 1042, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2891, 1, 1043, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2892, 1, 1045, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2893, 1, 1046, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2894, 1, 1048, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2895, 1, 1050, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2896, 1, 1051, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2897, 1, 1052, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2898, 1, 1053, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2899, 1, 1054, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2900, 1, 1056, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2901, 1, 1057, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2902, 1, 1058, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2903, 1, 1059, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2904, 1, 2083, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2905, 1, 2084, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2906, 1, 1060, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2907, 1, 2085, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2908, 1, 2086, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2909, 1, 2087, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2910, 1, 1063, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2911, 1, 2088, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2912, 1, 1064, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2913, 1, 2089, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2914, 1, 1065, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2915, 1, 2090, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2916, 1, 1066, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2917, 1, 2091, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2918, 1, 1067, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2919, 1, 2092, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2920, 1, 2093, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2921, 1, 2094, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2922, 1, 2095, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2923, 1, 2096, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2924, 1, 2097, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2925, 1, 2098, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2926, 1, 2099, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2927, 1, 1075, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2928, 1, 2100, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2929, 1, 1076, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2930, 1, 2101, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2931, 1, 2102, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2932, 1, 2103, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2933, 1, 2104, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2934, 1, 2105, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2935, 1, 2106, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2936, 1, 1082, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2937, 1, 2107, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2938, 1, 2108, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2939, 1, 2109, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2940, 1, 1085, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2941, 1, 2110, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2942, 1, 1086, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2943, 1, 2111, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2944, 1, 1087, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2945, 1, 2112, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2946, 1, 1088, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2947, 1, 2113, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2948, 1, 1089, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2949, 1, 2114, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2950, 1, 2115, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2951, 1, 1091, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2952, 1, 2116, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2953, 1, 1092, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2954, 1, 2117, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2955, 1, 2118, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2956, 1, 2119, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2957, 1, 1095, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2958, 1, 2120, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2959, 1, 1096, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2960, 1, 2121, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2961, 1, 1097, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2962, 1, 2122, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2963, 1, 1098, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2964, 1, 2123, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2965, 1, 2124, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2966, 1, 2125, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2967, 1, 1101, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2968, 1, 2126, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2969, 1, 1102, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2970, 1, 2127, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2971, 1, 1103, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2972, 1, 2128, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2973, 1, 1104, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2974, 1, 2129, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2975, 1, 1105, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2976, 1, 1106, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2977, 1, 2130, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2978, 1, 2131, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2979, 1, 1108, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2980, 1, 2132, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2981, 1, 1109, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2982, 1, 2133, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2983, 1, 2134, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2984, 1, 2135, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2985, 1, 1111, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2986, 1, 2136, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2987, 1, 1112, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2988, 1, 2137, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2989, 1, 1113, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2990, 1, 2138, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2991, 1, 1114, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2992, 1, 2139, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2993, 1, 1115, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2994, 1, 2140, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2995, 1, 2141, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2996, 1, 2142, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2997, 1, 2143, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2998, 1, 2144, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2999, 1, 2145, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3000, 1, 2146, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3001, 1, 2147, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3002, 1, 2148, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3003, 1, 2149, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3004, 1, 2150, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3005, 1, 2151, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3006, 1, 2152, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3007, 1, 2162, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3008, 1, 114, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3009, 1, 2163, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3010, 1, 115, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3011, 1, 2164, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3012, 1, 116, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3013, 1, 2165, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3014, 1, 2166, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3015, 1, 2167, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3016, 1, 2168, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3017, 1, 2169, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3018, 1, 2170, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3019, 1, 2171, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3020, 1, 2172, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3021, 1, 2173, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3022, 1, 2174, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3023, 1, 2175, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3024, 1, 2176, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3025, 1, 2177, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3026, 1, 2178, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3027, 1, 2179, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3028, 1, 2180, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3029, 1, 2181, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3030, 1, 2182, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3031, 1, 2183, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3032, 1, 2184, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3033, 1, 2185, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3034, 1, 2186, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3035, 1, 2187, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3036, 1, 2188, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3037, 1, 2189, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3038, 1, 2190, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3039, 1, 2191, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3040, 1, 2192, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3041, 1, 2193, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3042, 1, 2194, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3043, 1, 2195, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3044, 1, 2196, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3045, 1, 2197, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3046, 1, 2198, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3047, 1, 2199, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3048, 1, 2200, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3049, 1, 2201, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3050, 1, 2202, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3051, 1, 2203, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3052, 1, 2204, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3053, 1, 2205, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3054, 1, 2206, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3055, 1, 2207, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3056, 1, 2208, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3057, 1, 2209, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3058, 1, 2210, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3059, 1, 2211, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3060, 1, 2212, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3061, 1, 2213, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3062, 1, 2214, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3063, 1, 2215, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3064, 1, 2216, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3065, 1, 2217, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3066, 1, 2218, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3067, 1, 2225, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3068, 1, 2226, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3069, 1, 2227, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3070, 1, 2228, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3071, 1, 2229, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3072, 1, 2230, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3073, 1, 2231, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3074, 1, 2232, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3075, 1, 2233, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3076, 1, 2234, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3077, 1, 2235, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3078, 1, 2236, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3079, 1, 2237, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3080, 1, 2238, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3081, 1, 2239, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3082, 1, 2240, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3083, 1, 2241, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3084, 1, 2242, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3085, 1, 2243, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3086, 1, 2244, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3087, 1, 2245, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3088, 1, 2246, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3089, 1, 2247, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3090, 1, 2248, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3091, 1, 2249, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3092, 1, 2250, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3093, 1, 2251, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3094, 1, 2252, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3095, 1, 2253, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3096, 1, 2254, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3097, 1, 2255, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3098, 1, 2256, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3099, 1, 2257, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3100, 1, 2258, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3101, 1, 2259, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3102, 1, 2260, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3103, 1, 2261, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3104, 1, 1237, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3105, 1, 2262, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3106, 1, 1238, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3107, 1, 2263, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3108, 1, 1239, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3109, 1, 2264, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3110, 1, 1240, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3111, 1, 2265, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3112, 1, 1241, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3113, 1, 2266, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3114, 1, 1242, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3115, 1, 2267, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3116, 1, 1243, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3117, 1, 2268, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3118, 1, 2269, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:17:59', b'1', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3119, 1, 1247, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3120, 1, 1248, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3121, 1, 1249, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3122, 1, 1250, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3123, 1, 1251, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3124, 1, 1252, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3125, 1, 1255, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3126, 1, 1256, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3127, 1, 1257, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3128, 1, 1258, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3129, 1, 1259, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3130, 1, 1260, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3131, 1, 1261, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3132, 1, 1263, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3133, 1, 1264, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3134, 1, 1265, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3135, 1, 1266, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3136, 1, 1267, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3137, 1, 2000, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3138, 1, 2002, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3139, 1, 2003, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3140, 1, 2004, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3141, 1, 2005, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3142, 1, 2006, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3143, 1, 2008, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3144, 1, 2009, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3145, 1, 2010, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3146, 1, 2011, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3147, 1, 2012, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3148, 1, 1001, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3149, 1, 1002, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3150, 1, 1003, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3151, 1, 1004, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3152, 1, 1005, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3153, 1, 1006, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3154, 1, 1007, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3155, 1, 1008, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3156, 1, 1009, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3157, 1, 1010, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3158, 1, 1011, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3159, 1, 1012, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3160, 1, 1013, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3161, 1, 1014, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3162, 1, 1015, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3163, 1, 1016, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3164, 1, 1017, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3165, 1, 1018, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3166, 1, 1019, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3167, 1, 1020, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3168, 1, 1021, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3169, 1, 1022, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3170, 1, 1023, '1', '2023-11-08 20:16:04', '1', '2023-11-08 20:16:04', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3171, 1, 2274, '1', '2023-11-22 11:45:57', '1', '2023-11-22 11:45:57', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3172, 1, 2275, '1', '2023-11-22 11:45:57', '1', '2023-11-22 11:45:57', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3173, 1, 2276, '1', '2023-11-22 11:45:57', '1', '2023-11-22 11:45:57', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3174, 1, 2277, '1', '2023-11-22 11:45:57', '1', '2023-11-22 11:45:57', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3175, 1, 2278, '1', '2023-11-22 11:45:57', '1', '2023-11-22 11:45:57', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3176, 1, 2280, '1', '2023-11-22 11:45:57', '1', '2023-11-22 11:45:57', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3177, 1, 2281, '1', '2023-11-22 11:45:57', '1', '2023-11-22 11:45:57', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3178, 1, 2282, '1', '2023-11-22 11:45:57', '1', '2023-11-22 11:45:57', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3179, 1, 2283, '1', '2023-11-22 11:45:57', '1', '2023-11-22 11:45:57', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3180, 1, 2284, '1', '2023-11-22 11:45:57', '1', '2023-11-22 11:45:57', b'0', 0);
INSERT INTO `system_role_menu` (`id`, `role_id`, `menu_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (3181, 1, 2285, '1', '2023-11-22 11:45:57', '1', '2023-11-22 11:45:57', b'0', 0);
COMMIT;

-- ----------------------------
-- Table structure for system_sensitive_word
-- ----------------------------
DROP TABLE IF EXISTS `system_sensitive_word`;
CREATE TABLE `system_sensitive_word`
(
    `id`          bigint(20) NOT NULL AUTO_INCREMENT COMMENT '编号',
    `name`        varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '敏感词',
    `description` varchar(512) COLLATE utf8mb4_unicode_ci          DEFAULT NULL COMMENT '描述',
    `tags`        varchar(255) COLLATE utf8mb4_unicode_ci          DEFAULT NULL COMMENT '标签数组',
    `status`      tinyint(4) NOT NULL COMMENT '状态',
    `creator`     varchar(64) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '创建者',
    `create_time` datetime                                NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater`     varchar(64) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '更新者',
    `update_time` datetime                                NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted`     bit(1)                                  NOT NULL DEFAULT b'0' COMMENT '是否删除',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='敏感词';

-- ----------------------------
-- Records of system_sensitive_word
-- ----------------------------
BEGIN;
INSERT INTO `system_sensitive_word` (`id`, `name`, `description`, `tags`, `status`, `creator`, `create_time`, `updater`,
                                     `update_time`, `deleted`)
VALUES (3, '土豆', '好呀', '蔬菜,短信', 0, '1', '2022-04-08 21:07:12', '1', '2022-04-09 10:28:14', b'0');
INSERT INTO `system_sensitive_word` (`id`, `name`, `description`, `tags`, `status`, `creator`, `create_time`, `updater`,
                                     `update_time`, `deleted`)
VALUES (4, 'XXX', NULL, '短信', 0, '1', '2022-04-08 21:27:49', '1', '2022-06-19 00:36:50', b'0');
INSERT INTO `system_sensitive_word` (`id`, `name`, `description`, `tags`, `status`, `creator`, `create_time`, `updater`,
                                     `update_time`, `deleted`)
VALUES (5, '白痴', NULL, '测试', 0, '1', '2022-12-31 19:08:25', '1', '2022-12-31 19:08:25', b'0');
COMMIT;

-- ----------------------------
-- Table structure for system_sms_channel
-- ----------------------------
DROP TABLE IF EXISTS `system_sms_channel`;
CREATE TABLE `system_sms_channel`
(
    `id`           bigint(20) NOT NULL AUTO_INCREMENT COMMENT '编号',
    `signature`    varchar(12) COLLATE utf8mb4_unicode_ci  NOT NULL COMMENT '短信签名',
    `code`         varchar(63) COLLATE utf8mb4_unicode_ci  NOT NULL COMMENT '渠道编码',
    `status`       tinyint(4) NOT NULL COMMENT '开启状态',
    `remark`       varchar(255) COLLATE utf8mb4_unicode_ci          DEFAULT NULL COMMENT '备注',
    `api_key`      varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '短信 API 的账号',
    `api_secret`   varchar(128) COLLATE utf8mb4_unicode_ci          DEFAULT NULL COMMENT '短信 API 的秘钥',
    `callback_url` varchar(255) COLLATE utf8mb4_unicode_ci          DEFAULT NULL COMMENT '短信发送回调 URL',
    `creator`      varchar(64) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '创建者',
    `create_time`  datetime                                NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater`      varchar(64) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '更新者',
    `update_time`  datetime                                NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted`      bit(1)                                  NOT NULL DEFAULT b'0' COMMENT '是否删除',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='短信渠道';

-- ----------------------------
-- Records of system_sms_channel
-- ----------------------------
BEGIN;
INSERT INTO `system_sms_channel` (`id`, `signature`, `code`, `status`, `remark`, `api_key`, `api_secret`,
                                  `callback_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (2, '中科鑫智', 'ALIYUN', 0, '啦啦啦', 'LTAI5tBBPdRd4f2YZt5UhVjF', 'iVP7EsjX309epI7MqsScziGhcrEHiT', NULL, '',
        '2021-03-31 11:53:10', '1', '2023-11-14 15:35:59', b'0');
INSERT INTO `system_sms_channel` (`id`, `signature`, `code`, `status`, `remark`, `api_key`, `api_secret`,
                                  `callback_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (4, '测试渠道', 'DEBUG_DING_TALK', 0, '123', '696b5d8ead48071237e4aa5861ff08dbadb2b4ded1c688a7b7c9afc615579859',
        'SEC5c4e5ff888bc8a9923ae47f59e7ccd30af1f14d93c55b4e2c9cb094e35aeed67', NULL, '1', '2021-04-13 00:23:14', '1',
        '2022-03-27 20:29:49', b'0');
INSERT INTO `system_sms_channel` (`id`, `signature`, `code`, `status`, `remark`, `api_key`, `api_secret`,
                                  `callback_url`, `creator`, `create_time`, `updater`, `update_time`, `deleted`)
VALUES (6, '测试演示', 'DEBUG_DING_TALK', 0, NULL, '696b5d8ead48071237e4aa5861ff08dbadb2b4ded1c688a7b7c9afc615579859',
        'SEC5c4e5ff888bc8a9923ae47f59e7ccd30af1f14d93c55b4e2c9cb094e35aeed67', NULL, '1', '2022-04-10 23:07:59', '1',
        '2022-06-19 00:33:54', b'0');
COMMIT;

-- ----------------------------
-- Table structure for system_sms_code
-- ----------------------------
DROP TABLE IF EXISTS `system_sms_code`;
CREATE TABLE `system_sms_code`
(
    `id`          bigint(20) NOT NULL AUTO_INCREMENT COMMENT '编号',
    `mobile`      varchar(11) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '手机号',
    `code`        varchar(6) COLLATE utf8mb4_unicode_ci  NOT NULL COMMENT '验证码',
    `create_ip`   varchar(15) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '创建 IP',
    `scene`       tinyint(4) NOT NULL COMMENT '发送场景',
    `today_index` tinyint(4) NOT NULL COMMENT '今日发送的第几条',
    `used`        tinyint(4) NOT NULL COMMENT '是否使用',
    `used_time`   datetime                                        DEFAULT NULL COMMENT '使用时间',
    `used_ip`     varchar(255) COLLATE utf8mb4_unicode_ci         DEFAULT NULL COMMENT '使用 IP',
    `creator`     varchar(64) COLLATE utf8mb4_unicode_ci          DEFAULT '' COMMENT '创建者',
    `create_time` datetime                               NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater`     varchar(64) COLLATE utf8mb4_unicode_ci          DEFAULT '' COMMENT '更新者',
    `update_time` datetime                               NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted`     bit(1)                                 NOT NULL DEFAULT b'0' COMMENT '是否删除',
    `tenant_id`   bigint(20) NOT NULL DEFAULT '0' COMMENT '租户编号',
    PRIMARY KEY (`id`) USING BTREE,
    KEY           `idx_mobile` (`mobile`) USING BTREE COMMENT '手机号'
) ENGINE=InnoDB AUTO_INCREMENT=596 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='手机验证码';

-- ----------------------------
-- Records of system_sms_code
-- ----------------------------
BEGIN;
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (484, '15136175246', '9999', '127.0.0.1', 1, 1, 0, NULL, NULL, NULL, '2023-06-10 15:14:44', NULL,
        '2023-06-10 15:14:44', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (485, '15136175246', '9999', '127.0.0.1', 1, 2, 0, NULL, NULL, NULL, '2023-06-10 15:33:47', NULL,
        '2023-06-10 15:33:47', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (486, '15136175246', '9999', '127.0.0.1', 1, 3, 1, '2023-06-10 15:45:43', '127.0.0.1', NULL,
        '2023-06-10 15:45:40', NULL, '2023-06-10 15:45:43', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (487, '18126335873', '9999', '127.0.0.1', 1, 1, 0, NULL, NULL, NULL, '2023-06-15 11:27:02', NULL,
        '2023-06-15 11:27:02', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (488, '15136176246', '9999', '127.0.0.1', 1, 1, 0, NULL, NULL, NULL, '2023-06-15 11:28:11', NULL,
        '2023-06-15 11:28:11', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (489, '15136175246', '9999', '127.0.0.1', 1, 1, 1, '2023-06-15 11:28:33', '127.0.0.1', NULL,
        '2023-06-15 11:28:29', NULL, '2023-06-15 11:28:33', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (490, '15136175246', '9999', '127.0.0.1', 1, 1, 1, '2023-07-15 18:54:40', '127.0.0.1', NULL,
        '2023-07-15 18:54:12', NULL, '2023-07-15 18:54:40', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (491, '15136175246', '9999', '127.0.0.1', 1, 1, 1, '2023-07-25 16:08:02', '127.0.0.1', NULL,
        '2023-07-25 16:07:35', NULL, '2023-07-25 16:08:02', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (492, '17610570135', '9999', '125.33.246.235', 1, 1, 0, NULL, NULL, NULL, '2023-08-05 20:48:07', NULL,
        '2023-08-05 20:48:07', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (493, '17610570135', '9999', '125.33.246.235', 1, 2, 1, '2023-08-05 20:59:42', '125.33.246.235', NULL,
        '2023-08-05 20:56:37', NULL, '2023-08-05 20:59:42', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (494, '17610570135', '9999', '125.33.246.235', 1, 3, 1, '2023-08-05 21:06:55', '125.33.246.235', NULL,
        '2023-08-05 21:06:54', NULL, '2023-08-05 21:06:55', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (495, '17610570135', '9999', '125.33.246.235', 1, 4, 1, '2023-08-05 21:09:10', '125.33.246.235', NULL,
        '2023-08-05 21:09:09', NULL, '2023-08-05 21:09:10', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (496, '17610570135', '9999', '125.33.246.235', 1, 5, 1, '2023-08-05 21:10:18', '125.33.246.235', NULL,
        '2023-08-05 21:10:18', NULL, '2023-08-05 21:10:18', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (497, '17610570135', '9999', '125.33.246.235', 1, 6, 1, '2023-08-05 21:23:01', '125.33.246.235', NULL,
        '2023-08-05 21:23:01', NULL, '2023-08-05 21:23:01', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (498, '17610570135', '9999', '125.33.246.235', 1, 7, 1, '2023-08-05 21:24:52', '125.33.246.235', NULL,
        '2023-08-05 21:24:50', NULL, '2023-08-05 21:24:52', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (499, '17610570135', '9999', '125.33.246.235', 1, 8, 1, '2023-08-05 21:27:04', '125.33.246.235', NULL,
        '2023-08-05 21:27:03', NULL, '2023-08-05 21:27:04', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (500, '17610570135', '9999', '125.33.246.235', 1, 9, 1, '2023-08-05 21:28:46', '125.33.246.235', NULL,
        '2023-08-05 21:28:44', NULL, '2023-08-05 21:28:46', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (501, '17610570131', '9999', '125.33.246.235', 1, 1, 1, '2023-08-05 21:29:31', '125.33.246.235', NULL,
        '2023-08-05 21:29:23', NULL, '2023-08-05 21:29:31', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (502, '17610570135', '9999', '125.33.246.235', 1, 1, 1, '2023-08-12 21:19:38', '125.33.246.235', NULL,
        '2023-08-12 21:19:34', NULL, '2023-08-12 21:19:38', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (503, '15136175246', '9999', '127.0.0.1', 2, 1, 0, NULL, NULL, NULL, '2023-08-13 15:50:39', NULL,
        '2023-08-13 15:50:39', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (504, '15136175246', '9999', '127.0.0.1', 1, 2, 1, '2023-08-13 15:55:29', '127.0.0.1', NULL,
        '2023-08-13 15:54:18', NULL, '2023-08-13 15:55:29', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (505, '17610570135', '9999', '112.120.54.6', 1, 1, 1, '2023-08-27 19:08:32', '112.120.54.6', NULL,
        '2023-08-27 19:08:31', NULL, '2023-08-27 19:08:32', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (506, '15136175246', '9999', '127.0.0.1', 1, 1, 1, '2023-08-28 16:41:48', '127.0.0.1', NULL,
        '2023-08-28 16:41:22', NULL, '2023-08-28 16:41:48', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (507, '15136175246', '9999', '127.0.0.1', 1, 1, 1, '2023-09-10 18:38:00', '127.0.0.1', NULL,
        '2023-09-10 18:37:28', NULL, '2023-09-10 18:38:00', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (508, '17610570135', '9999', '221.218.215.222', 1, 1, 1, '2023-09-18 00:49:43', '221.218.215.222', NULL,
        '2023-09-18 00:49:40', NULL, '2023-09-18 00:49:43', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (509, '17610570135', '9999', '123.112.18.113', 1, 1, 1, '2023-09-23 23:47:10', '123.112.18.113', '4',
        '2023-09-23 23:47:02', '4', '2023-09-23 23:47:10', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (510, '17610570135', '9999', '123.112.18.113', 1, 2, 1, '2023-09-23 23:48:11', '123.112.18.113', NULL,
        '2023-09-23 23:48:09', NULL, '2023-09-23 23:48:11', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (511, '17610570135', '9999', '123.112.18.113', 1, 1, 0, NULL, NULL, '6', '2023-09-24 00:09:04', '6',
        '2023-09-24 00:09:04', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (512, '17610570135', '9999', '123.112.18.113', 1, 2, 1, '2023-09-24 21:54:59', '123.112.18.113', '6',
        '2023-09-24 21:54:54', '6', '2023-09-24 21:54:59', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (513, '17610570135', '9999', '123.112.18.113', 1, 3, 1, '2023-09-24 21:59:36', '123.112.18.113', NULL,
        '2023-09-24 21:59:32', NULL, '2023-09-24 21:59:36', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (514, '17610570135', '9999', '123.112.18.113', 1, 4, 1, '2023-09-24 23:18:34', '123.112.18.113', NULL,
        '2023-09-24 23:18:30', NULL, '2023-09-24 23:18:34', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (515, '17610570135', '9999', '123.112.18.113', 1, 5, 1, '2023-09-24 23:50:57', '123.112.18.113', NULL,
        '2023-09-24 23:50:54', NULL, '2023-09-24 23:50:57', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (516, '17610570135', '9999', '123.112.18.113', 1, 6, 1, '2023-09-24 23:57:06', '123.112.18.113', NULL,
        '2023-09-24 23:57:01', NULL, '2023-09-24 23:57:06', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (517, '17610570135', '9999', '123.112.18.113', 1, 1, 1, '2023-09-25 00:10:36', '123.112.18.113', NULL,
        '2023-09-25 00:10:32', NULL, '2023-09-25 00:10:36', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (518, '15136175246', '9999', '223.91.183.14', 1, 1, 1, '2023-09-26 11:25:52', '223.91.183.14', NULL,
        '2023-09-26 11:25:48', NULL, '2023-09-26 11:25:52', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (519, '18327863481', '9999', '0:0:0:0:0:0:0:1', 1, 1, 0, NULL, NULL, NULL, '2023-10-24 11:30:54', NULL,
        '2023-10-24 11:30:54', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (520, '18327863481', '9999', '0:0:0:0:0:0:0:1', 1, 2, 0, NULL, NULL, NULL, '2023-10-24 11:43:59', NULL,
        '2023-10-24 11:43:59', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (521, '15697404966', '9999', '127.0.0.1', 1, 1, 0, NULL, NULL, NULL, '2023-10-24 12:13:29', NULL,
        '2023-10-24 12:13:29', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (522, '18327863481', '9999', '0:0:0:0:0:0:0:1', 1, 3, 0, NULL, NULL, NULL, '2023-10-24 12:18:57', NULL,
        '2023-10-24 12:18:57', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (523, '15697404966', '9999', '127.0.0.1', 1, 2, 0, NULL, NULL, NULL, '2023-10-24 12:19:43', NULL,
        '2023-10-24 12:19:43', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (524, '18327863481', '9999', '0:0:0:0:0:0:0:1', 1, 4, 0, NULL, NULL, NULL, '2023-10-24 12:19:59', NULL,
        '2023-10-24 12:19:59', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (525, '18327863481', '9999', '0:0:0:0:0:0:0:1', 1, 5, 0, NULL, NULL, NULL, '2023-10-24 14:57:58', NULL,
        '2023-10-24 14:57:58', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (526, '18327863481', '9999', '0:0:0:0:0:0:0:1', 1, 6, 0, NULL, NULL, NULL, '2023-10-24 15:02:01', NULL,
        '2023-10-24 15:02:01', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (527, '18327863481', '9999', '0:0:0:0:0:0:0:1', 1, 7, 0, NULL, NULL, NULL, '2023-10-24 15:08:17', NULL,
        '2023-10-24 15:08:17', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (528, '18327863481', '9999', '0:0:0:0:0:0:0:1', 1, 8, 0, NULL, NULL, NULL, '2023-10-24 15:13:59', NULL,
        '2023-10-24 15:13:59', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (529, '18327863481', '9999', '192.168.12.249', 1, 9, 0, NULL, NULL, NULL, '2023-10-24 15:37:09', NULL,
        '2023-10-24 15:37:09', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (530, '18327863481', '9999', '192.168.12.249', 1, 10, 0, NULL, NULL, NULL, '2023-10-24 15:57:29', NULL,
        '2023-10-24 15:57:29', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (531, '15697404966', '9999', '183.14.133.70', 1, 3, 0, NULL, NULL, NULL, '2023-10-24 15:59:32', NULL,
        '2023-10-24 15:59:32', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (532, '15112101773', '9999', '121.35.44.171', 1, 1, 0, NULL, NULL, NULL, '2023-10-24 16:01:09', NULL,
        '2023-10-24 16:01:09', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (533, '15738051864', '9999', '121.35.44.151', 1, 1, 0, NULL, NULL, NULL, '2023-10-24 16:27:39', NULL,
        '2023-10-24 16:27:39', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (534, '13266099726', '9999', '121.35.44.171', 1, 1, 0, NULL, NULL, NULL, '2023-10-24 16:40:45', NULL,
        '2023-10-24 16:40:45', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (535, '18327863481', '9999', '183.14.133.70', 1, 1, 0, NULL, NULL, '9', '2023-10-27 11:49:53', '9',
        '2023-10-27 11:49:53', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (536, '13652414531', '9999', '183.14.133.70', 1, 1, 0, NULL, NULL, NULL, '2023-10-27 12:29:17', NULL,
        '2023-10-27 12:29:17', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (537, '15986612770', '9999', '116.24.64.200', 1, 1, 0, NULL, NULL, NULL, '2023-10-30 10:24:32', NULL,
        '2023-10-30 10:24:32', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (538, '18327863481', '9999', '183.15.177.173', 1, 1, 0, NULL, NULL, '9', '2023-11-06 12:15:57', '9',
        '2023-11-06 12:15:57', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (539, '15986612770', '9999', '183.15.177.179', 1, 1, 0, NULL, NULL, '16', '2023-11-08 12:12:37', '16',
        '2023-11-08 12:12:37', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (540, '15986612770', '9999', '183.15.177.179', 1, 2, 0, NULL, NULL, '16', '2023-11-08 12:13:40', '16',
        '2023-11-08 12:13:40', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (541, '13652414531', '9999', '183.15.177.190', 1, 1, 0, NULL, NULL, NULL, '2023-11-08 17:46:12', NULL,
        '2023-11-08 17:46:12', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (542, '13652414531', '9999', '183.15.177.190', 1, 2, 0, NULL, NULL, NULL, '2023-11-08 17:51:07', NULL,
        '2023-11-08 17:51:07', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (543, '13655555555', '9999', '113.89.34.63', 1, 1, 0, NULL, NULL, NULL, '2023-11-09 16:20:27', NULL,
        '2023-11-09 16:20:27', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (544, '15738051864', '9999', '113.89.34.64', 1, 1, 0, NULL, NULL, '11', '2023-11-10 11:41:05', '11',
        '2023-11-10 11:41:05', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (545, '13652414531', '9999', '113.89.34.68', 1, 1, 0, NULL, NULL, NULL, '2023-11-10 14:40:05', NULL,
        '2023-11-10 14:40:05', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (546, '13652414531', '9999', '113.89.34.68', 1, 2, 0, NULL, NULL, NULL, '2023-11-10 14:45:45', NULL,
        '2023-11-10 14:45:45', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (547, '13652414531', '9999', '113.89.34.68', 1, 3, 0, NULL, NULL, NULL, '2023-11-10 14:48:15', NULL,
        '2023-11-10 14:48:15', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (548, '13652414531', '9999', '113.89.34.81', 1, 4, 0, NULL, NULL, NULL, '2023-11-10 16:29:45', NULL,
        '2023-11-10 16:29:45', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (549, '18476661785', '9999', '113.89.34.68', 1, 1, 0, NULL, NULL, NULL, '2023-11-13 16:19:52', NULL,
        '2023-11-13 16:19:52', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (550, '15697404966', '9999', '113.89.34.68', 1, 1, 0, NULL, NULL, NULL, '2023-11-13 22:35:13', NULL,
        '2023-11-13 22:35:13', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (551, '15697404966', '9999', '113.89.34.68', 1, 2, 0, NULL, NULL, NULL, '2023-11-13 22:37:09', NULL,
        '2023-11-13 22:37:09', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (552, '15986612770', '9999', '183.14.28.13', 1, 1, 0, NULL, NULL, NULL, '2023-11-14 02:10:30', NULL,
        '2023-11-14 02:10:30', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (553, '18327863481', '9999', '113.89.34.68', 1, 1, 0, NULL, NULL, NULL, '2023-11-14 02:12:06', NULL,
        '2023-11-14 02:12:06', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (554, '18327863481', '9999', '0:0:0:0:0:0:0:1', 1, 2, 0, NULL, NULL, '9', '2023-11-14 02:22:19', '9',
        '2023-11-14 02:22:19', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (555, '18327863481', '9999', '0:0:0:0:0:0:0:1', 1, 3, 0, NULL, NULL, '9', '2023-11-14 02:24:31', '9',
        '2023-11-14 02:24:31', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (556, '18327863481', '9999', '0:0:0:0:0:0:0:1', 1, 4, 0, NULL, NULL, '9', '2023-11-14 02:30:58', '9',
        '2023-11-14 02:30:58', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (557, '18327863481', '9999', '0:0:0:0:0:0:0:1', 1, 5, 0, NULL, NULL, '9', '2023-11-14 02:41:29', '9',
        '2023-11-14 02:41:29', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (558, '18327863481', '9999', '0:0:0:0:0:0:0:1', 1, 6, 0, NULL, NULL, '9', '2023-11-14 02:44:36', '9',
        '2023-11-14 02:44:36', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (559, '18327863481', '9999', '0:0:0:0:0:0:0:1', 1, 7, 0, NULL, NULL, '9', '2023-11-14 02:49:05', '9',
        '2023-11-14 02:49:05', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (560, '18327863481', '9999', '0:0:0:0:0:0:0:1', 1, 8, 0, NULL, NULL, '9', '2023-11-14 02:50:31', '9',
        '2023-11-14 02:50:31', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (561, '18327863481', '9999', '0:0:0:0:0:0:0:1', 1, 9, 0, NULL, NULL, '9', '2023-11-14 13:43:08', '9',
        '2023-11-14 13:43:08', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (562, '18327863481', '9999', '0:0:0:0:0:0:0:1', 1, 10, 0, NULL, NULL, '9', '2023-11-14 13:48:50', '9',
        '2023-11-14 13:48:50', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (563, '18327863481', '9999', '0:0:0:0:0:0:0:1', 1, 10, 0, NULL, NULL, '9', '2023-11-14 13:48:50', '9',
        '2023-11-14 13:48:50', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (564, '18327863481', '5200', '0:0:0:0:0:0:0:1', 1, 11, 0, NULL, NULL, '9', '2023-11-14 14:08:28', '9',
        '2023-11-14 14:08:28', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (565, '13652414531', '9999', '116.24.65.129', 1, 1, 0, NULL, NULL, '15', '2023-11-14 14:17:43', '15',
        '2023-11-14 14:17:43', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (566, '18327863481', '6141', '0:0:0:0:0:0:0:1', 1, 12, 0, NULL, NULL, '9', '2023-11-14 14:26:57', '9',
        '2023-11-14 14:26:57', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (567, '18327863481', '8921', '0:0:0:0:0:0:0:1', 1, 13, 0, NULL, NULL, '9', '2023-11-14 14:27:51', '9',
        '2023-11-14 14:27:51', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (568, '18327863481', '7684', '0:0:0:0:0:0:0:1', 1, 14, 0, NULL, NULL, '9', '2023-11-14 14:28:00', '9',
        '2023-11-14 14:28:00', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (569, '18327863481', '3744', '0:0:0:0:0:0:0:1', 1, 15, 0, NULL, NULL, '9', '2023-11-14 14:28:30', '9',
        '2023-11-14 14:28:30', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (570, '18327863481', '2988', '0:0:0:0:0:0:0:1', 1, 16, 0, NULL, NULL, '9', '2023-11-14 14:29:13', '9',
        '2023-11-14 14:29:13', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (571, '18327863481', '6960', '0:0:0:0:0:0:0:1', 1, 17, 0, NULL, NULL, '9', '2023-11-14 14:30:00', '9',
        '2023-11-14 14:30:00', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (572, '18327863481', '3584', '0:0:0:0:0:0:0:1', 1, 18, 0, NULL, NULL, '9', '2023-11-14 14:30:26', '9',
        '2023-11-14 14:30:26', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (573, '18327863481', '3268', '0:0:0:0:0:0:0:1', 1, 19, 0, NULL, NULL, '9', '2023-11-14 14:33:51', '9',
        '2023-11-14 14:33:51', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (574, '18327863481', '3920', '0:0:0:0:0:0:0:1', 1, 20, 0, NULL, NULL, '9', '2023-11-14 14:45:56', '9',
        '2023-11-14 14:45:56', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (575, '18327863481', '8482', '0:0:0:0:0:0:0:1', 1, 21, 0, NULL, NULL, '9', '2023-11-14 14:46:48', '9',
        '2023-11-14 14:46:48', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (576, '18327863481', '4450', '0:0:0:0:0:0:0:1', 1, 22, 0, NULL, NULL, '9', '2023-11-14 15:03:42', '9',
        '2023-11-14 15:03:42', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (577, '18327863481', '8286', '0:0:0:0:0:0:0:1', 1, 23, 0, NULL, NULL, '9', '2023-11-14 15:04:04', '9',
        '2023-11-14 15:04:04', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (578, '18327863481', '1164', '0:0:0:0:0:0:0:1', 1, 24, 0, NULL, NULL, '9', '2023-11-14 15:04:46', '9',
        '2023-11-14 15:04:46', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (579, '18327863481', '8943', '0:0:0:0:0:0:0:1', 1, 25, 0, NULL, NULL, '9', '2023-11-14 15:04:50', '9',
        '2023-11-14 15:04:50', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (580, '18327863481', '7308', '0:0:0:0:0:0:0:1', 1, 26, 0, NULL, NULL, '9', '2023-11-14 15:19:50', '9',
        '2023-11-14 15:19:50', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (581, '18327863481', '6759', '0:0:0:0:0:0:0:1', 1, 27, 0, NULL, NULL, '9', '2023-11-14 15:20:01', '9',
        '2023-11-14 15:20:01', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (582, '18327863481', '2176', '0:0:0:0:0:0:0:1', 1, 28, 0, NULL, NULL, '9', '2023-11-14 15:28:26', '9',
        '2023-11-14 15:28:26', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (583, '18327863481', '7433', '0:0:0:0:0:0:0:1', 1, 29, 0, NULL, NULL, '9', '2023-11-14 15:28:35', '9',
        '2023-11-14 15:28:35', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (584, '18327863481', '4255', '0:0:0:0:0:0:0:1', 1, 30, 0, NULL, NULL, '9', '2023-11-14 15:33:24', '9',
        '2023-11-14 15:33:24', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (585, '18327863481', '8187', '0:0:0:0:0:0:0:1', 1, 31, 0, NULL, NULL, '9', '2023-11-14 15:50:09', '9',
        '2023-11-14 15:50:09', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (586, '18327863481', '3564', '0:0:0:0:0:0:0:1', 1, 32, 0, NULL, NULL, '9', '2023-11-14 15:50:14', '9',
        '2023-11-14 15:50:14', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (587, '18327863481', '4744', '0:0:0:0:0:0:0:1', 1, 33, 0, NULL, NULL, '9', '2023-11-14 15:50:20', '9',
        '2023-11-14 15:50:20', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (588, '18327863481', '8242', '0:0:0:0:0:0:0:1', 1, 34, 0, NULL, NULL, '9', '2023-11-14 15:50:30', '9',
        '2023-11-14 15:50:30', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (589, '18327863481', '7665', '0:0:0:0:0:0:0:1', 1, 35, 0, NULL, NULL, '9', '2023-11-14 15:50:36', '9',
        '2023-11-14 15:50:36', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (590, '18327863481', '3275', '0:0:0:0:0:0:0:1', 1, 36, 0, NULL, NULL, '9', '2023-11-14 15:51:00', '9',
        '2023-11-14 15:51:00', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (591, '15986612770', '2861', '116.24.65.118', 1, 2, 1, '2023-11-14 17:08:49', '9999', NULL,
        '2023-11-14 17:08:35', NULL, '2023-11-14 17:08:49', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (592, '18327863481', '1366', '116.24.65.129', 1, 37, 1, '2023-11-14 19:47:32', '9999', NULL,
        '2023-11-14 19:47:14', NULL, '2023-11-14 19:47:32', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (593, '17621663876', '6155', '221.237.25.250', 1, 1, 1, '2023-11-15 11:35:18', '9999', NULL,
        '2023-11-15 11:35:00', NULL, '2023-11-15 11:35:18', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (594, '15377180251', '1139', '116.24.65.114', 1, 1, 1, '2023-11-16 16:36:18', '9999', NULL,
        '2023-11-16 16:36:09', NULL, '2023-11-16 16:36:18', b'0', 0);
INSERT INTO `system_sms_code` (`id`, `mobile`, `code`, `create_ip`, `scene`, `today_index`, `used`, `used_time`,
                               `used_ip`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (595, '15986612770', '3640', '116.24.65.114', 1, 1, 1, '2023-11-16 16:38:36', '9999', NULL,
        '2023-11-16 16:38:20', NULL, '2023-11-16 16:38:36', b'0', 0);
COMMIT;

-- ----------------------------
-- Table structure for system_sms_log
-- ----------------------------
DROP TABLE IF EXISTS `system_sms_log`;
CREATE TABLE `system_sms_log`
(
    `id`               bigint(20) NOT NULL AUTO_INCREMENT COMMENT '编号',
    `channel_id`       bigint(20) NOT NULL COMMENT '短信渠道编号',
    `channel_code`     varchar(63) COLLATE utf8mb4_unicode_ci  NOT NULL COMMENT '短信渠道编码',
    `template_id`      bigint(20) NOT NULL COMMENT '模板编号',
    `template_code`    varchar(63) COLLATE utf8mb4_unicode_ci  NOT NULL COMMENT '模板编码',
    `template_type`    tinyint(4) NOT NULL COMMENT '短信类型',
    `template_content` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '短信内容',
    `template_params`  varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '短信参数',
    `api_template_id`  varchar(63) COLLATE utf8mb4_unicode_ci  NOT NULL COMMENT '短信 API 的模板编号',
    `mobile`           varchar(11) COLLATE utf8mb4_unicode_ci  NOT NULL COMMENT '手机号',
    `user_id`          bigint(20) DEFAULT NULL COMMENT '用户编号',
    `user_type`        tinyint(4) DEFAULT NULL COMMENT '用户类型',
    `send_status`      tinyint(4) NOT NULL DEFAULT '0' COMMENT '发送状态',
    `send_time`        datetime                                         DEFAULT NULL COMMENT '发送时间',
    `send_code`        int(11) DEFAULT NULL COMMENT '发送结果的编码',
    `send_msg`         varchar(255) COLLATE utf8mb4_unicode_ci          DEFAULT NULL COMMENT '发送结果的提示',
    `api_send_code`    varchar(63) COLLATE utf8mb4_unicode_ci           DEFAULT NULL COMMENT '短信 API 发送结果的编码',
    `api_send_msg`     varchar(255) COLLATE utf8mb4_unicode_ci          DEFAULT NULL COMMENT '短信 API 发送失败的提示',
    `api_request_id`   varchar(255) COLLATE utf8mb4_unicode_ci          DEFAULT NULL COMMENT '短信 API 发送返回的唯一请求 ID',
    `api_serial_no`    varchar(255) COLLATE utf8mb4_unicode_ci          DEFAULT NULL COMMENT '短信 API 发送返回的序号',
    `receive_status`   tinyint(4) NOT NULL DEFAULT '0' COMMENT '接收状态',
    `receive_time`     datetime                                         DEFAULT NULL COMMENT '接收时间',
    `api_receive_code` varchar(63) COLLATE utf8mb4_unicode_ci           DEFAULT NULL COMMENT 'API 接收结果的编码',
    `api_receive_msg`  varchar(255) COLLATE utf8mb4_unicode_ci          DEFAULT NULL COMMENT 'API 接收结果的说明',
    `creator`          varchar(64) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '创建者',
    `create_time`      datetime                                NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater`          varchar(64) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '更新者',
    `update_time`      datetime                                NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted`          bit(1)                                  NOT NULL DEFAULT b'0' COMMENT '是否删除',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=460 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='短信日志';

-- ----------------------------
-- Records of system_sms_log
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for system_sms_template
-- ----------------------------
DROP TABLE IF EXISTS `system_sms_template`;
CREATE TABLE `system_sms_template`
(
    `id`              bigint(20) NOT NULL AUTO_INCREMENT COMMENT '编号',
    `type`            tinyint(4) NOT NULL COMMENT '短信签名',
    `status`          tinyint(4) NOT NULL COMMENT '开启状态',
    `code`            varchar(63) COLLATE utf8mb4_unicode_ci  NOT NULL COMMENT '模板编码',
    `name`            varchar(63) COLLATE utf8mb4_unicode_ci  NOT NULL COMMENT '模板名称',
    `content`         varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '模板内容',
    `params`          varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '参数数组',
    `remark`          varchar(255) COLLATE utf8mb4_unicode_ci          DEFAULT NULL COMMENT '备注',
    `api_template_id` varchar(63) COLLATE utf8mb4_unicode_ci  NOT NULL COMMENT '短信 API 的模板编号',
    `channel_id`      bigint(20) NOT NULL COMMENT '短信渠道编号',
    `channel_code`    varchar(63) COLLATE utf8mb4_unicode_ci  NOT NULL COMMENT '短信渠道编码',
    `creator`         varchar(64) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '创建者',
    `create_time`     datetime                                NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater`         varchar(64) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '更新者',
    `update_time`     datetime                                NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted`         bit(1)                                  NOT NULL DEFAULT b'0' COMMENT '是否删除',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='短信模板';

-- ----------------------------
-- Records of system_sms_template
-- ----------------------------
BEGIN;
INSERT INTO `system_sms_template` (`id`, `type`, `status`, `code`, `name`, `content`, `params`, `remark`,
                                   `api_template_id`, `channel_id`, `channel_code`, `creator`, `create_time`, `updater`,
                                   `update_time`, `deleted`)
VALUES (2, 1, 0, 'test_01', '测试验证码短信', '正在进行登录操作{operation}，您的验证码是{code}',
        '[\"operation\",\"code\"]', NULL, '4383920', 6, 'DEBUG_DING_TALK', '', '2021-03-31 10:49:38', '1',
        '2022-12-10 21:26:20', b'0');
INSERT INTO `system_sms_template` (`id`, `type`, `status`, `code`, `name`, `content`, `params`, `remark`,
                                   `api_template_id`, `channel_id`, `channel_code`, `creator`, `create_time`, `updater`,
                                   `update_time`, `deleted`)
VALUES (3, 1, 0, 'test_02', '公告通知', '您的验证码{code}，该验证码5分钟内有效，请勿泄漏于他人！', '[\"code\"]', NULL,
        'SMS_207945135', 2, 'ALIYUN', '', '2021-03-31 11:56:30', '1', '2021-04-10 01:22:02', b'0');
INSERT INTO `system_sms_template` (`id`, `type`, `status`, `code`, `name`, `content`, `params`, `remark`,
                                   `api_template_id`, `channel_id`, `channel_code`, `creator`, `create_time`, `updater`,
                                   `update_time`, `deleted`)
VALUES (6, 3, 0, 'test-01', '测试模板', '哈哈哈 {name}', '[\"name\"]', 'f哈哈哈', '4383920', 6, 'DEBUG_DING_TALK', '1',
        '2021-04-10 01:07:21', '1', '2022-12-10 21:26:09', b'0');
INSERT INTO `system_sms_template` (`id`, `type`, `status`, `code`, `name`, `content`, `params`, `remark`,
                                   `api_template_id`, `channel_id`, `channel_code`, `creator`, `create_time`, `updater`,
                                   `update_time`, `deleted`)
VALUES (7, 3, 0, 'test-04', '测试下', '老鸡{name}，牛逼{code}', '[\"name\",\"code\"]', NULL, 'suibian', 4,
        'DEBUG_DING_TALK', '1', '2021-04-13 00:29:53', '1', '2021-04-14 00:30:38', b'0');
INSERT INTO `system_sms_template` (`id`, `type`, `status`, `code`, `name`, `content`, `params`, `remark`,
                                   `api_template_id`, `channel_id`, `channel_code`, `creator`, `create_time`, `updater`,
                                   `update_time`, `deleted`)
VALUES (8, 1, 0, 'user-sms-login', '前台用户短信登录',
        '用户短信登录 验证码{code}，您正在进行身份验证，打死不要告诉别人哦! [\"code\"] ', '[\"code\"]', NULL,
        'SMS_204240443', 2, 'ALIYUN', '1', '2021-10-11 08:10:00', '1', '2023-11-14 14:40:43', b'0');
INSERT INTO `system_sms_template` (`id`, `type`, `status`, `code`, `name`, `content`, `params`, `remark`,
                                   `api_template_id`, `channel_id`, `channel_code`, `creator`, `create_time`, `updater`,
                                   `update_time`, `deleted`)
VALUES (9, 2, 0, 'bpm_task_assigned', '【工作流】任务被分配',
        '您收到了一条新的待办任务：{processInstanceName}-{taskName}，申请人：{startUserNickname}，处理链接：{detailUrl}',
        '[\"processInstanceName\",\"taskName\",\"startUserNickname\",\"detailUrl\"]', NULL, 'suibian', 4,
        'DEBUG_DING_TALK', '1', '2022-01-21 22:31:19', '1', '2022-01-22 00:03:36', b'0');
INSERT INTO `system_sms_template` (`id`, `type`, `status`, `code`, `name`, `content`, `params`, `remark`,
                                   `api_template_id`, `channel_id`, `channel_code`, `creator`, `create_time`, `updater`,
                                   `update_time`, `deleted`)
VALUES (10, 2, 0, 'bpm_process_instance_reject', '【工作流】流程被不通过',
        '您的流程被审批不通过：{processInstanceName}，原因：{reason}，查看链接：{detailUrl}',
        '[\"processInstanceName\",\"reason\",\"detailUrl\"]', NULL, 'suibian', 4, 'DEBUG_DING_TALK', '1',
        '2022-01-22 00:03:31', '1', '2022-05-01 12:33:14', b'0');
INSERT INTO `system_sms_template` (`id`, `type`, `status`, `code`, `name`, `content`, `params`, `remark`,
                                   `api_template_id`, `channel_id`, `channel_code`, `creator`, `create_time`, `updater`,
                                   `update_time`, `deleted`)
VALUES (11, 2, 0, 'bpm_process_instance_approve', '【工作流】流程被通过',
        '您的流程被审批通过：{processInstanceName}，查看链接：{detailUrl}', '[\"processInstanceName\",\"detailUrl\"]',
        NULL, 'suibian', 4, 'DEBUG_DING_TALK', '1', '2022-01-22 00:04:31', '1', '2022-03-27 20:32:21', b'0');
INSERT INTO `system_sms_template` (`id`, `type`, `status`, `code`, `name`, `content`, `params`, `remark`,
                                   `api_template_id`, `channel_id`, `channel_code`, `creator`, `create_time`, `updater`,
                                   `update_time`, `deleted`)
VALUES (12, 2, 0, 'demo', '演示模板', '我就是测试一下下', '[\"code\"]', NULL, 'biubiubiu', 6, 'DEBUG_DING_TALK', '1',
        '2022-04-10 23:22:49', '1', '2023-11-13 14:38:18', b'0');
INSERT INTO `system_sms_template` (`id`, `type`, `status`, `code`, `name`, `content`, `params`, `remark`,
                                   `api_template_id`, `channel_id`, `channel_code`, `creator`, `create_time`, `updater`,
                                   `update_time`, `deleted`)
VALUES (13, 1, 0, 'admin-sms-login', ' 后台用户短信登录 ', '验证码{code}，您正在进行身份验证，打死不要告诉别人哦! ',
        '[\"code\"]', '', 'SMS_204240443', 2, 'ALIYUN', '', '2023-11-13 11:56:30', '', '2023-11-13 14:47:28', b'0');
COMMIT;

-- ----------------------------
-- Table structure for system_social_user
-- ----------------------------
DROP TABLE IF EXISTS `system_social_user`;
CREATE TABLE `system_social_user`
(
    `id`             bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键(自增策略)',
    `type`           tinyint(4) NOT NULL COMMENT '社交平台的类型',
    `openid`         varchar(32) COLLATE utf8mb4_unicode_ci   NOT NULL COMMENT '社交 openid',
    `token`          varchar(256) COLLATE utf8mb4_unicode_ci           DEFAULT NULL COMMENT '社交 token',
    `raw_token_info` varchar(1024) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '原始 Token 数据，一般是 JSON 格式',
    `nickname`       varchar(32) COLLATE utf8mb4_unicode_ci   NOT NULL COMMENT '用户昵称',
    `avatar`         varchar(255) COLLATE utf8mb4_unicode_ci           DEFAULT NULL COMMENT '用户头像',
    `raw_user_info`  varchar(1024) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '原始用户数据，一般是 JSON 格式',
    `code`           varchar(256) COLLATE utf8mb4_unicode_ci  NOT NULL COMMENT '最后一次的认证 code',
    `state`          varchar(256) COLLATE utf8mb4_unicode_ci           DEFAULT NULL COMMENT '最后一次的认证 state',
    `creator`        varchar(64) COLLATE utf8mb4_unicode_ci            DEFAULT '' COMMENT '创建者',
    `create_time`    datetime                                 NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater`        varchar(64) COLLATE utf8mb4_unicode_ci            DEFAULT '' COMMENT '更新者',
    `update_time`    datetime                                 NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted`        bit(1)                                   NOT NULL DEFAULT b'0' COMMENT '是否删除',
    `tenant_id`      bigint(20) NOT NULL DEFAULT '0' COMMENT '租户编号',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=20 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='社交用户表';

-- ----------------------------
-- Records of system_social_user
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for system_social_user_bind
-- ----------------------------
DROP TABLE IF EXISTS `system_social_user_bind`;
CREATE TABLE `system_social_user_bind`
(
    `id`             bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键(自增策略)',
    `user_id`        bigint(20) NOT NULL COMMENT '用户编号',
    `user_type`      tinyint(4) NOT NULL COMMENT '用户类型',
    `social_type`    tinyint(4) NOT NULL COMMENT '社交平台的类型',
    `social_user_id` bigint(20) NOT NULL COMMENT '社交用户的编号',
    `creator`        varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '创建者',
    `create_time`    datetime NOT NULL                      DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater`        varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '更新者',
    `update_time`    datetime NOT NULL                      DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted`        bit(1)   NOT NULL                      DEFAULT b'0' COMMENT '是否删除',
    `tenant_id`      bigint(20) NOT NULL DEFAULT '0' COMMENT '租户编号',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=39 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='社交绑定表';

-- ----------------------------
-- Records of system_social_user_bind
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for system_tenant
-- ----------------------------
DROP TABLE IF EXISTS `system_tenant`;
CREATE TABLE `system_tenant`
(
    `id`              bigint(20) NOT NULL AUTO_INCREMENT COMMENT '租户编号',
    `name`            varchar(30) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '租户名',
    `contact_user_id` bigint(20) DEFAULT NULL COMMENT '联系人的用户编号',
    `contact_name`    varchar(30) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '联系人',
    `contact_mobile`  varchar(500) COLLATE utf8mb4_unicode_ci         DEFAULT NULL COMMENT '联系手机',
    `status`          tinyint(4) NOT NULL DEFAULT '0' COMMENT '租户状态（0正常 1停用）',
    `domain`          varchar(256) COLLATE utf8mb4_unicode_ci         DEFAULT '' COMMENT '绑定域名',
    `package_id`      bigint(20) NOT NULL COMMENT '租户套餐编号',
    `expire_time`     datetime                               NOT NULL COMMENT '过期时间',
    `account_count`   int(11) NOT NULL COMMENT '账号数量',
    `creator`         varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '创建者',
    `create_time`     datetime                               NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater`         varchar(64) COLLATE utf8mb4_unicode_ci          DEFAULT '' COMMENT '更新者',
    `update_time`     datetime                               NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted`         bit(1)                                 NOT NULL DEFAULT b'0' COMMENT '是否删除',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=150 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='租户表';

-- ----------------------------
-- Records of system_tenant
-- ----------------------------
BEGIN;
INSERT INTO `system_tenant` (`id`, `name`, `contact_user_id`, `contact_name`, `contact_mobile`, `status`, `domain`,
                             `package_id`, `expire_time`, `account_count`, `creator`, `create_time`, `updater`,
                             `update_time`, `deleted`)
VALUES (1, '芋道源码', NULL, '芋艿', '17321315478', 0, 'https://www.iocoder.cn', 0, '2099-02-19 17:14:16', 9999, '1',
        '2021-01-05 17:03:47', '1', '2022-02-23 12:15:11', b'0');
INSERT INTO `system_tenant` (`id`, `name`, `contact_user_id`, `contact_name`, `contact_mobile`, `status`, `domain`,
                             `package_id`, `expire_time`, `account_count`, `creator`, `create_time`, `updater`,
                             `update_time`, `deleted`)
VALUES (121, '小租户', 110, '小王2', '15601691300', 0, 'http://www.iocoder.cn', 111, '2024-03-11 00:00:00', 20, '1',
        '2022-02-22 00:56:14', '1', '2022-05-17 10:03:59', b'0');
INSERT INTO `system_tenant` (`id`, `name`, `contact_user_id`, `contact_name`, `contact_mobile`, `status`, `domain`,
                             `package_id`, `expire_time`, `account_count`, `creator`, `create_time`, `updater`,
                             `update_time`, `deleted`)
VALUES (122, '测试租户', 113, '芋道', '15601691300', 0, 'https://www.iocoder.cn', 111, '2022-04-30 00:00:00', 50, '1',
        '2022-03-07 21:37:58', '1', '2022-03-07 21:37:58', b'0');
COMMIT;

-- ----------------------------
-- Table structure for system_tenant_package
-- ----------------------------
DROP TABLE IF EXISTS `system_tenant_package`;
CREATE TABLE `system_tenant_package`
(
    `id`          bigint(20) NOT NULL AUTO_INCREMENT COMMENT '套餐编号',
    `name`        varchar(30) COLLATE utf8mb4_unicode_ci   NOT NULL COMMENT '套餐名',
    `status`      tinyint(4) NOT NULL DEFAULT '0' COMMENT '租户状态（0正常 1停用）',
    `remark`      varchar(256) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '备注',
    `menu_ids`    varchar(2048) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '关联的菜单编号',
    `creator`     varchar(64) COLLATE utf8mb4_unicode_ci   NOT NULL DEFAULT '' COMMENT '创建者',
    `create_time` datetime                                 NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater`     varchar(64) COLLATE utf8mb4_unicode_ci            DEFAULT '' COMMENT '更新者',
    `update_time` datetime                                 NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted`     bit(1)                                   NOT NULL DEFAULT b'0' COMMENT '是否删除',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=112 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='租户套餐表';

-- ----------------------------
-- Records of system_tenant_package
-- ----------------------------
BEGIN;
INSERT INTO `system_tenant_package` (`id`, `name`, `status`, `remark`, `menu_ids`, `creator`, `create_time`, `updater`,
                                     `update_time`, `deleted`)
VALUES (111, '普通套餐', 0, '小功能',
        '[1,1036,1037,1038,1039,100,101,1063,103,1064,1001,1065,1002,1003,107,1004,1005,1006,1007,1008,1009,1010,1011,1012,1017,1018,1019,1020]',
        '1', '2022-02-22 00:54:00', '1', '2022-09-21 22:48:12', b'0');
COMMIT;

-- ----------------------------
-- Table structure for system_user_post
-- ----------------------------
DROP TABLE IF EXISTS `system_user_post`;
CREATE TABLE `system_user_post`
(
    `id`          bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'id',
    `user_id`     bigint(20) NOT NULL DEFAULT '0' COMMENT '用户ID',
    `post_id`     bigint(20) NOT NULL DEFAULT '0' COMMENT '岗位ID',
    `creator`     varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '创建者',
    `create_time` datetime NOT NULL                      DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater`     varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '更新者',
    `update_time` datetime NOT NULL                      DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted`     bit(1)   NOT NULL                      DEFAULT b'0' COMMENT '是否删除',
    `tenant_id`   bigint(20) NOT NULL DEFAULT '0' COMMENT '租户编号',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=119 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='用户岗位表';

-- ----------------------------
-- Records of system_user_post
-- ----------------------------
BEGIN;
INSERT INTO `system_user_post` (`id`, `user_id`, `post_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (112, 1, 1, 'admin', '2022-05-02 07:25:24', 'admin', '2022-05-02 07:25:24', b'0', 1);
INSERT INTO `system_user_post` (`id`, `user_id`, `post_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (113, 100, 1, 'admin', '2022-05-02 07:25:24', 'admin', '2022-05-02 07:25:24', b'0', 1);
INSERT INTO `system_user_post` (`id`, `user_id`, `post_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (114, 114, 3, 'admin', '2022-05-02 07:25:24', 'admin', '2022-05-02 07:25:24', b'0', 1);
INSERT INTO `system_user_post` (`id`, `user_id`, `post_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (115, 104, 1, '1', '2022-05-16 19:36:28', '1', '2022-05-16 19:36:28', b'0', 1);
INSERT INTO `system_user_post` (`id`, `user_id`, `post_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (116, 117, 2, '1', '2022-07-09 17:40:26', '1', '2022-07-09 17:40:26', b'0', 1);
INSERT INTO `system_user_post` (`id`, `user_id`, `post_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (117, 118, 1, '1', '2022-07-09 17:44:44', '1', '2022-07-09 17:44:44', b'0', 1);
INSERT INTO `system_user_post` (`id`, `user_id`, `post_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (118, 127, 4, '1', '2023-10-19 15:04:15', '1', '2023-10-19 15:04:15', b'0', 0);
COMMIT;

-- ----------------------------
-- Table structure for system_user_role
-- ----------------------------
DROP TABLE IF EXISTS `system_user_role`;
CREATE TABLE `system_user_role`
(
    `id`          bigint(20) NOT NULL AUTO_INCREMENT COMMENT '自增编号',
    `user_id`     bigint(20) NOT NULL COMMENT '用户ID',
    `role_id`     bigint(20) NOT NULL COMMENT '角色ID',
    `creator`     varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '创建者',
    `create_time` datetime                               DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater`     varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '更新者',
    `update_time` datetime                               DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted`     bit(1)                                 DEFAULT b'0' COMMENT '是否删除',
    `tenant_id`   bigint(20) NOT NULL DEFAULT '0' COMMENT '租户编号',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=32 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='用户和角色关联表';

-- ----------------------------
-- Records of system_user_role
-- ----------------------------
BEGIN;
INSERT INTO `system_user_role` (`id`, `user_id`, `role_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (1, 1, 1, '', '2022-01-11 13:19:45', '', '2022-05-12 12:35:17', b'0', 1);
INSERT INTO `system_user_role` (`id`, `user_id`, `role_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (2, 2, 2, '', '2022-01-11 13:19:45', '', '2022-05-12 12:35:13', b'0', 1);
INSERT INTO `system_user_role` (`id`, `user_id`, `role_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (4, 100, 101, '', '2022-01-11 13:19:45', '', '2022-05-12 12:35:13', b'0', 1);
INSERT INTO `system_user_role` (`id`, `user_id`, `role_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (5, 100, 1, '', '2022-01-11 13:19:45', '', '2022-05-12 12:35:12', b'0', 1);
INSERT INTO `system_user_role` (`id`, `user_id`, `role_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (6, 100, 2, '', '2022-01-11 13:19:45', '', '2022-05-12 12:35:11', b'0', 1);
INSERT INTO `system_user_role` (`id`, `user_id`, `role_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (10, 103, 1, '1', '2022-01-11 13:19:45', '1', '2022-01-11 13:19:45', b'0', 1);
INSERT INTO `system_user_role` (`id`, `user_id`, `role_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (11, 107, 106, '1', '2022-02-20 22:59:33', '1', '2022-02-20 22:59:33', b'0', 118);
INSERT INTO `system_user_role` (`id`, `user_id`, `role_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (12, 108, 107, '1', '2022-02-20 23:00:50', '1', '2022-02-20 23:00:50', b'0', 119);
INSERT INTO `system_user_role` (`id`, `user_id`, `role_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (13, 109, 108, '1', '2022-02-20 23:11:50', '1', '2022-02-20 23:11:50', b'0', 120);
INSERT INTO `system_user_role` (`id`, `user_id`, `role_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (14, 110, 109, '1', '2022-02-22 00:56:14', '1', '2022-02-22 00:56:14', b'0', 121);
INSERT INTO `system_user_role` (`id`, `user_id`, `role_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (15, 111, 110, '110', '2022-02-23 13:14:38', '110', '2022-02-23 13:14:38', b'0', 121);
INSERT INTO `system_user_role` (`id`, `user_id`, `role_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (16, 113, 111, '1', '2022-03-07 21:37:58', '1', '2022-03-07 21:37:58', b'0', 122);
INSERT INTO `system_user_role` (`id`, `user_id`, `role_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (17, 114, 101, '1', '2022-03-19 21:51:13', '1', '2022-03-19 21:51:13', b'0', 1);
INSERT INTO `system_user_role` (`id`, `user_id`, `role_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (18, 1, 2, '1', '2022-05-12 20:39:29', '1', '2023-05-17 15:32:04', b'1', 1);
INSERT INTO `system_user_role` (`id`, `user_id`, `role_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (19, 116, 113, '1', '2022-05-17 10:07:10', '1', '2022-05-17 10:07:10', b'0', 124);
INSERT INTO `system_user_role` (`id`, `user_id`, `role_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (20, 104, 101, '1', '2022-05-28 15:43:57', '1', '2022-05-28 15:43:57', b'0', 1);
INSERT INTO `system_user_role` (`id`, `user_id`, `role_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (22, 115, 2, '1', '2022-07-21 22:08:30', '1', '2022-07-21 22:08:30', b'0', 1);
INSERT INTO `system_user_role` (`id`, `user_id`, `role_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (23, 119, 114, '1', '2022-12-30 11:32:04', '1', '2022-12-30 11:32:04', b'0', 125);
INSERT INTO `system_user_role` (`id`, `user_id`, `role_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (24, 120, 115, '1', '2022-12-30 11:33:42', '1', '2022-12-30 11:33:42', b'0', 126);
INSERT INTO `system_user_role` (`id`, `user_id`, `role_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (25, 121, 116, '1', '2022-12-30 11:33:49', '1', '2022-12-30 11:33:49', b'0', 127);
INSERT INTO `system_user_role` (`id`, `user_id`, `role_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (26, 122, 118, '1', '2022-12-30 11:47:53', '1', '2022-12-30 11:47:53', b'0', 129);
INSERT INTO `system_user_role` (`id`, `user_id`, `role_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (27, 112, 101, '1', '2023-02-09 23:18:51', '1', '2023-02-09 23:18:51', b'0', 1);
INSERT INTO `system_user_role` (`id`, `user_id`, `role_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (28, 123, 136, '1', '2023-03-05 21:23:35', '1', '2023-03-05 21:23:35', b'0', 147);
INSERT INTO `system_user_role` (`id`, `user_id`, `role_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (29, 124, 137, '1', '2023-03-05 21:42:27', '1', '2023-03-05 21:42:27', b'0', 148);
INSERT INTO `system_user_role` (`id`, `user_id`, `role_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (30, 125, 138, '1', '2023-03-05 21:59:03', '1', '2023-03-05 21:59:03', b'0', 149);
INSERT INTO `system_user_role` (`id`, `user_id`, `role_id`, `creator`, `create_time`, `updater`, `update_time`,
                                `deleted`, `tenant_id`)
VALUES (31, 127, 1, '1', '2023-10-19 15:04:29', '1', '2023-10-19 15:04:29', b'0', 0);
COMMIT;

-- ----------------------------
-- Table structure for system_users
-- ----------------------------
DROP TABLE IF EXISTS `system_users`;
CREATE TABLE `system_users`
(
    `id`          bigint(20) NOT NULL AUTO_INCREMENT COMMENT '用户ID',
    `username`    varchar(30) COLLATE utf8mb4_unicode_ci  NOT NULL COMMENT '用户账号',
    `password`    varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '密码',
    `nickname`    varchar(30) COLLATE utf8mb4_unicode_ci  NOT NULL COMMENT '用户昵称',
    `remark`      varchar(500) COLLATE utf8mb4_unicode_ci          DEFAULT NULL COMMENT '备注',
    `dept_id`     bigint(20) DEFAULT NULL COMMENT '部门ID',
    `post_ids`    varchar(255) COLLATE utf8mb4_unicode_ci          DEFAULT NULL COMMENT '岗位编号数组',
    `email`       varchar(50) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '用户邮箱',
    `mobile`      varchar(11) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '手机号码',
    `sex`         tinyint(4) DEFAULT '0' COMMENT '用户性别',
    `avatar`      varchar(512) COLLATE utf8mb4_unicode_ci          DEFAULT '' COMMENT '头像地址',
    `status`      tinyint(4) NOT NULL DEFAULT '0' COMMENT '帐号状态（0正常 1停用）',
    `login_ip`    varchar(50) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '最后登录IP',
    `login_date`  datetime                                         DEFAULT NULL COMMENT '最后登录时间',
    `creator`     varchar(64) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '创建者',
    `create_time` datetime                                NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater`     varchar(64) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '更新者',
    `update_time` datetime                                NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted`     bit(1)                                  NOT NULL DEFAULT b'0' COMMENT '是否删除',
    `tenant_id`   bigint(20) NOT NULL DEFAULT '0' COMMENT '租户编号',
    PRIMARY KEY (`id`) USING BTREE,
    UNIQUE KEY `idx_username` (`username`,`update_time`,`tenant_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=129 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='用户信息表';

-- ----------------------------
-- Records of system_users
-- ----------------------------
BEGIN;
INSERT INTO `system_users` (`id`, `username`, `password`, `nickname`, `remark`, `dept_id`, `post_ids`, `email`,
                            `mobile`, `sex`, `avatar`, `status`, `login_ip`, `login_date`, `creator`, `create_time`,
                            `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (1, 'admin', '$2a$04$W6BLMxTxnyNBceEEJ.Axc.7gf.RHWlhLKBV1AZ8x109sBAwK4TeUS', 'admin', '管理员', 103, '[1]',
        'yshop@yixaing.co', '18000000000', 1,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/fe9c6fb9b12a610ce1d473f284a14ad1a37e8728ae97e51c564da1e48e614c90.png',
        0, '183.238.183.179', '2023-11-22 21:21:47', 'admin', '2021-01-05 17:03:47', NULL, '2023-11-22 21:21:47', b'0',
        1);
INSERT INTO `system_users` (`id`, `username`, `password`, `nickname`, `remark`, `dept_id`, `post_ids`, `email`,
                            `mobile`, `sex`, `avatar`, `status`, `login_ip`, `login_date`, `creator`, `create_time`,
                            `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (100, 'yshop', '$2a$10$11U48RhyJ5pSBYWSn12AD./ld671.ycSzJHbyrtpeoMeYiw31eo8a', 'yixiang', '不要吓我', 104, '[1]',
        'yshop@iocoder.cn', '15601691300', 1, '', 1, '127.0.0.1', '2022-07-09 23:03:33', '', '2021-01-07 09:07:17',
        NULL, '2023-05-07 16:51:11', b'0', 1);
INSERT INTO `system_users` (`id`, `username`, `password`, `nickname`, `remark`, `dept_id`, `post_ids`, `email`,
                            `mobile`, `sex`, `avatar`, `status`, `login_ip`, `login_date`, `creator`, `create_time`,
                            `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (127, 'kaen', '$2a$04$Rp9ci6AIUyfKukwvNp82wO2S4X2kT/OfRmmmdL1d95uGs2rLtgcQu', 'kaen', '', 110, '[4]', '', '', 1,
        '', 0, '183.15.179.4', '2023-10-19 15:04:57', '1', '2023-10-19 15:04:15', NULL, '2023-10-19 15:04:57', b'0', 0);
INSERT INTO `system_users` (`id`, `username`, `password`, `nickname`, `remark`, `dept_id`, `post_ids`, `email`,
                            `mobile`, `sex`, `avatar`, `status`, `login_ip`, `login_date`, `creator`, `create_time`,
                            `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (128, 'zktest', '$2a$04$T8jBWm7Oz.qQrNy0Z.Upwu6r0xO3FaYGQc.OkFNMxMJx9O1KYTMWC', 'zktest', '', 110, '[]', '', '',
        0, '', 0, '', NULL, '1', '2023-11-22 14:20:59', '1', '2023-11-22 14:20:59', b'0', 0);
COMMIT;

-- ----------------------------
-- Table structure for yshop_electronics_order
-- ----------------------------
DROP TABLE IF EXISTS `yshop_electronics_order`;
CREATE TABLE `yshop_electronics_order`
(
    `id`                  bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键id',
    `shipper_id`          int(11) DEFAULT NULL COMMENT '快递公司id',
    `paytype`             tinyint(1) DEFAULT '1' COMMENT '运费支付方式:1=现付,2=到付,3=月结,4=第三方付(仅SF支持)',
    `customer_name`       varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '线下网点客户号',
    `customer_pwd`        varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '线下网点密码',
    `send_site`           varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '网点名称',
    `send_staff`          varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '网点快递员',
    `month_code`          varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '月结编号',
    `is_notice`           tinyint(1) DEFAULT '0' COMMENT '是否通知揽件:0=通知揽件,1=不通知揽件',
    `is_return_temp`      tinyint(1) DEFAULT NULL COMMENT '是否返回电子面单模板:0=不返回,1=返回',
    `is_send_message`     tinyint(1) DEFAULT NULL COMMENT '是否需要短信提醒:0=否,1=是',
    `template_size`       varchar(10) COLLATE utf8mb4_unicode_ci  DEFAULT NULL COMMENT '模板尺寸',
    `operate_require`     varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '签回单操作要求(如：签名、盖章、身份证复印件等)',
    `logistic_code`       varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '快递单号(仅宅急送可用)',
    `start_date`          int(11) DEFAULT NULL COMMENT '上门揽件开始时间',
    `end_date`            int(11) DEFAULT NULL COMMENT '上门揽件结束时间',
    `remark`              varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '备注',
    `exp_type`            tinyint(1) DEFAULT NULL COMMENT '快递类型:1=标准快件',
    `is_return_sign_bill` tinyint(1) DEFAULT NULL COMMENT '是否要签回单:0=否,1=是',
    `company`             varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '发件人公司',
    `province_name`       varchar(50) COLLATE utf8mb4_unicode_ci  DEFAULT NULL COMMENT '发件人省',
    `city_name`           varchar(50) COLLATE utf8mb4_unicode_ci  DEFAULT NULL COMMENT '发件人市',
    `exp_area_name`       varchar(50) COLLATE utf8mb4_unicode_ci  DEFAULT NULL COMMENT '发件人区',
    `address`             varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '发件人详细地址',
    `name`                varchar(50) COLLATE utf8mb4_unicode_ci  DEFAULT NULL COMMENT '发件人姓名',
    `tel`                 varchar(20) COLLATE utf8mb4_unicode_ci  DEFAULT NULL COMMENT '发件人电话',
    `mobile`              varchar(15) COLLATE utf8mb4_unicode_ci  DEFAULT NULL COMMENT '发件人手机号码',
    `post_code`           varchar(15) COLLATE utf8mb4_unicode_ci  DEFAULT NULL COMMENT '发件地邮编',
    `title`               varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '自定义名称',
    `create_time`         datetime                                DEFAULT NULL COMMENT '创建时间',
    `update_time`         datetime                                DEFAULT NULL COMMENT '更新时间',
    `creator`             varchar(64) COLLATE utf8mb4_unicode_ci  DEFAULT NULL COMMENT '创建者',
    `updater`             varchar(64) COLLATE utf8mb4_unicode_ci  DEFAULT NULL COMMENT '更新者',
    `deleted`             bit(1)                                  DEFAULT b'0' COMMENT '逻辑删除',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='电子面单';

-- ----------------------------
-- Records of yshop_electronics_order
-- ----------------------------
BEGIN;
INSERT INTO `yshop_electronics_order` (`id`, `shipper_id`, `paytype`, `customer_name`, `customer_pwd`, `send_site`,
                                       `send_staff`, `month_code`, `is_notice`, `is_return_temp`, `is_send_message`,
                                       `template_size`, `operate_require`, `logistic_code`, `start_date`, `end_date`,
                                       `remark`, `exp_type`, `is_return_sign_bill`, `company`, `province_name`,
                                       `city_name`, `exp_area_name`, `address`, `name`, `tel`, `mobile`, `post_code`,
                                       `title`, `create_time`, `update_time`, `creator`, `updater`, `deleted`)
VALUES (2, 436, 2, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, 1, 0, '大有前途',
        '河南省', '漯河市', '源汇区', '交通567号', '胡先生', '18000000000', '18000000000', '56000', '圆通面单',
        '2023-07-21 10:30:36', '2023-11-02 17:35:33', '1', '1', b'0');
COMMIT;

-- ----------------------------
-- Table structure for yshop_express
-- ----------------------------
DROP TABLE IF EXISTS `yshop_express`;
CREATE TABLE `yshop_express`
(
    `id`          mediumint(8) unsigned NOT NULL AUTO_INCREMENT COMMENT '快递公司id',
    `code`        varchar(50) NOT NULL DEFAULT '' COMMENT '快递公司简称',
    `name`        varchar(50) NOT NULL DEFAULT '' COMMENT '快递公司全称',
    `sort`        int(11) NOT NULL DEFAULT '0' COMMENT '排序',
    `create_time` datetime             DEFAULT NULL COMMENT '添加时间',
    `update_time` datetime             DEFAULT NULL COMMENT '更新时间',
    `creator`     varchar(64)          DEFAULT NULL COMMENT '创建者',
    `updater`     varchar(64)          DEFAULT NULL COMMENT '更新者',
    `deleted`     bit(1)               DEFAULT b'0' COMMENT '逻辑删除',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=441 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='快递公司表';

-- ----------------------------
-- Records of yshop_express
-- ----------------------------
BEGIN;
INSERT INTO `yshop_express` (`id`, `code`, `name`, `sort`, `create_time`, `update_time`, `creator`, `updater`,
                             `deleted`)
VALUES (433, 'ZTO', '中通快递', 1, '2023-07-02 10:40:03', '2023-07-02 10:41:08', '1', '1', b'0');
INSERT INTO `yshop_express` (`id`, `code`, `name`, `sort`, `create_time`, `update_time`, `creator`, `updater`,
                             `deleted`)
VALUES (434, 'STO', '申通快递', 2, '2023-07-02 10:40:28', '2023-07-02 10:40:28', '1', '1', b'0');
INSERT INTO `yshop_express` (`id`, `code`, `name`, `sort`, `create_time`, `update_time`, `creator`, `updater`,
                             `deleted`)
VALUES (435, 'HTKY', '百世快递', 3, '2023-07-02 10:40:50', '2023-07-02 10:40:50', '1', '1', b'0');
INSERT INTO `yshop_express` (`id`, `code`, `name`, `sort`, `create_time`, `update_time`, `creator`, `updater`,
                             `deleted`)
VALUES (436, 'YTO', '圆通速递', 4, '2023-07-02 10:41:35', '2023-07-02 10:41:35', '1', '1', b'0');
INSERT INTO `yshop_express` (`id`, `code`, `name`, `sort`, `create_time`, `update_time`, `creator`, `updater`,
                             `deleted`)
VALUES (437, 'EMS', 'EMS', 5, '2023-07-02 10:41:51', '2023-07-02 10:41:51', '1', '1', b'0');
INSERT INTO `yshop_express` (`id`, `code`, `name`, `sort`, `create_time`, `update_time`, `creator`, `updater`,
                             `deleted`)
VALUES (438, 'SF', '顺丰速运', 6, '2023-07-02 10:42:16', '2023-07-02 10:42:16', '1', '1', b'0');
INSERT INTO `yshop_express` (`id`, `code`, `name`, `sort`, `create_time`, `update_time`, `creator`, `updater`,
                             `deleted`)
VALUES (439, 'YZPY', '邮政快递包裹', 7, '2023-11-09 16:37:21', '2023-11-09 16:37:28', '127', '127', b'0');
INSERT INTO `yshop_express` (`id`, `code`, `name`, `sort`, `create_time`, `update_time`, `creator`, `updater`,
                             `deleted`)
VALUES (440, 'JTSD', '极兔速递', 8, '2023-11-09 16:38:19', '2023-11-09 16:38:19', '127', '127', b'0');
COMMIT;

-- ----------------------------
-- Table structure for yshop_material
-- ----------------------------
DROP TABLE IF EXISTS `yshop_material`;
CREATE TABLE `yshop_material`
(
    `id`          bigint(20) NOT NULL AUTO_INCREMENT COMMENT '编号',
    `create_time` datetime                         NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `creator`     varchar(100) CHARACTER SET utf8           DEFAULT NULL COMMENT '创建者',
    `type`        char(2) COLLATE utf8mb4_bin      NOT NULL COMMENT '类型1、图片；2、视频',
    `group_id`    varchar(32) COLLATE utf8mb4_bin           DEFAULT NULL COMMENT '分组ID',
    `name`        varchar(200) COLLATE utf8mb4_bin NOT NULL COMMENT '素材名',
    `url`         varchar(500) COLLATE utf8mb4_bin          DEFAULT '' COMMENT '素材链接',
    `updater`     varchar(64) COLLATE utf8mb4_bin           DEFAULT NULL COMMENT '更新者',
    `update_time` datetime                                  DEFAULT NULL COMMENT '更新时间',
    `deleted`     bit(1)                           NOT NULL DEFAULT b'0' COMMENT '是否删除',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=121 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='素材库';

-- ----------------------------
-- Records of yshop_material
-- ----------------------------
BEGIN;
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (1, '2023-05-23 00:02:32', '1', '1', NULL, '2016-01-07 210510.jpg', '', '1', '2023-05-23 00:02:32', b'1');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (2, '2023-05-23 00:11:44', '1', '1', NULL, '2016-01-23 021421.jpg', '', '1', '2023-05-23 00:11:44', b'1');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (3, '2023-05-23 00:11:44', '1', '1', NULL, '2016-02-13 165348.jpg', '', '1', '2023-05-23 00:11:44', b'1');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (4, '2023-05-23 00:11:44', '1', '1', NULL, '2016-02-05 182248.jpg', '', '1', '2023-05-23 00:11:44', b'1');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (5, '2023-05-23 00:11:44', '1', '1', NULL, '2016-05-03 210750.jpg', '', '1', '2023-05-23 00:11:44', b'1');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (6, '2023-05-23 00:11:44', '1', '1', NULL, '2016-04-19 204728.jpg', '', '1', '2023-05-23 00:11:44', b'1');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (7, '2023-05-24 14:32:09', '1', '1', NULL, 'iphone02.jpeg', '', '1', '2023-05-24 14:32:09', b'1');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (8, '2023-05-24 14:36:47', '1', '1', NULL, 'iphone02.jpeg', '', '1', '2023-05-24 14:36:47', b'1');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (9, '2023-05-24 14:41:23', '1', '1', NULL, 'iphone03.jpeg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/7599202df273d25f1ce3aeba21165a544849248fda23aad090098d7be0c063c9.jpeg',
        '1', '2023-05-24 14:41:23', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (10, '2023-05-24 14:42:36', '1', '1', '1', 'iphone04.jpeg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/22287e48511097e544b58fcf61f7660f32c4f8527450ca025f4d43a6db1d8489.jpeg',
        '1', '2023-05-24 14:42:36', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (11, '2023-05-24 14:42:55', '1', '1', '1', 'iphone05.jpeg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/f3535a59c688b0b51b935aad3ea459f22447a86d813b2a25d4458e47b32a6cc3.jpeg',
        '1', '2023-05-24 14:42:55', b'1');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (12, '2023-05-24 14:45:40', '1', '1', '1', 'iphone05.jpeg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/f3535a59c688b0b51b935aad3ea459f22447a86d813b2a25d4458e47b32a6cc3.jpeg',
        '1', '2023-05-24 14:45:40', b'1');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (13, '2023-05-24 14:45:54', '1', '1', '1', 'iphone09.jpeg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/67a561f49151230b2ad2a92409267a86b107a5d9dc3bc39f342dbb1bc64f7d0a.jpeg',
        '1', '2023-05-24 14:45:54', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (14, '2023-05-24 14:49:02', '1', '1', '1', 'iphone08.jpeg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/6ab0e01f94b05d6ecdab1820c86db930e392375c39b4abaded5dc416a3563991.jpeg',
        '1', '2023-05-24 14:49:02', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (15, '2023-05-24 14:49:10', '1', '1', '1', 'iphone11.jpeg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a311502bef59f16c64a246c1404faed389ba9f6683d57b9134dd58e7feb19514.jpeg',
        '1', '2023-05-24 14:49:10', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (16, '2023-07-27 18:35:48', '1', '1', NULL, 'iphone08.jpeg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/6ab0e01f94b05d6ecdab1820c86db930e392375c39b4abaded5dc416a3563991.jpeg',
        '1', '2023-07-27 18:35:48', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (17, '2023-08-11 11:26:27', '1', '1', NULL, '1.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/d66cdee82d7778e42f31f9c891a7a9c6972d16587c2c15a277b1ef1bf050b140.jpg',
        '1', '2023-08-11 11:26:27', b'1');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (18, '2023-10-19 14:41:47', '1', '1', NULL, 'WX20231019-143337@2x.png',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/c511695b7f188131ef7f649baa236be8cc67224012d7999a37a915467bfe5d77.png',
        '1', '2023-10-19 14:41:47', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (19, '2023-10-19 14:42:16', '1', '1', NULL, 'WX20231019-143337@2x.png',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/c511695b7f188131ef7f649baa236be8cc67224012d7999a37a915467bfe5d77.png',
        '1', '2023-10-19 14:42:16', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (20, '2023-10-19 14:42:38', '1', '1', NULL, 'WX20231019-143337@2x.png',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/c511695b7f188131ef7f649baa236be8cc67224012d7999a37a915467bfe5d77.png',
        '1', '2023-10-19 14:42:38', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (21, '2023-10-19 16:17:57', '1', '1', NULL, '344d1b9d7ec0458da9bc21e07c0086d7_1 (1).jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/f73e2575a3bbbbaed33ee3a013696fada2501881172bf7f285bad0bd7e1828d2.jpg',
        '1', '2023-10-19 16:17:57', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (22, '2023-10-24 11:24:32', '1', '1', NULL, '20211191910551636456255574096223.png',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/c07f14dd6aeb58d503b8a453169c03c0ecbfbec3a3922f43554a6b43879f18c4.png',
        '1', '2023-10-24 11:24:32', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (23, '2023-10-24 11:25:28', '1', '1', '11', '20211191914511636456491790993642.png',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/1c65af716a4356e2b6550e4e50144da153dc58ac6e0f901624fca633696761ac.png',
        '1', '2023-10-24 11:25:28', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (24, '2023-10-24 11:26:50', '1', '1', '11', '20211191911251636456285155521762.png',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/db98472375b9c97bf568cc429d900f5ca19d32c66932b7a725469add8d271a90.png',
        '1', '2023-10-24 11:26:50', b'1');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (25, '2023-10-25 14:31:16', '1', '1', NULL, '20211191915271636456527309890050.png',
        'http://yshop.l1.ttut.cc/admin-api/infra/file/4/get/76f61f169281eede062dd7c6ca5430ef74dbd2276800ceb06d629363e62db84a.png',
        '1', '2023-10-25 14:31:16', b'1');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (26, '2023-10-25 14:31:18', '1', '1', NULL, '2021119191451636456445805830703 (1).png',
        'http://yshop.l1.ttut.cc/admin-api/infra/file/4/get/cab5fb788d3e2f1868c7c3c33bdfc8ba56593965f98bc090c03ad86d8c317545.png',
        '1', '2023-10-25 14:31:18', b'1');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (27, '2023-10-25 15:35:01', '1', '1', NULL, '6bc05647fdb20219d2ad8096d862cb84.jpeg',
        'http://yshop.l1.ttut.cc/admin-api/infra/file/4/get/93dc070e3753ed9d4d32608dc2d4ef308dc65026b23436ce8165b3905775894f.jpeg',
        '1', '2023-10-25 15:35:01', b'1');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (28, '2023-10-25 15:36:01', '1', '1', NULL, '6bc05647fdb20219d2ad8096d862cb84.jpeg',
        'http://yshop.l1.ttut.cc/admin-api/infra/file/4/get/93dc070e3753ed9d4d32608dc2d4ef308dc65026b23436ce8165b3905775894f.jpeg',
        '1', '2023-10-25 15:36:01', b'1');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (29, '2023-10-25 16:09:14', '1', '1', '11', '2021119191451636456445805830703.png',
        'http://yshop.l1.ttut.cc/admin-api/infra/file/4/get/cab5fb788d3e2f1868c7c3c33bdfc8ba56593965f98bc090c03ad86d8c317545.png',
        '1', '2023-10-25 16:09:14', b'1');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (30, '2023-10-25 16:09:15', '1', '1', '11', '20211191915271636456527309890050.png',
        'http://yshop.l1.ttut.cc/admin-api/infra/file/4/get/76f61f169281eede062dd7c6ca5430ef74dbd2276800ceb06d629363e62db84a.png',
        '1', '2023-10-25 16:09:15', b'1');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (31, '2023-10-25 16:09:25', '1', '1', '11', '2021119191451636456445805830703.png',
        'http://yshop.l1.ttut.cc/admin-api/infra/file/4/get/cab5fb788d3e2f1868c7c3c33bdfc8ba56593965f98bc090c03ad86d8c317545.png',
        '1', '2023-10-25 16:09:25', b'1');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (32, '2023-10-26 17:36:21', '1', '1', NULL, '6bc05647fdb20219d2ad8096d862cb84.jpeg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/93dc070e3753ed9d4d32608dc2d4ef308dc65026b23436ce8165b3905775894f.jpeg',
        '1', '2023-10-26 17:36:21', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (33, '2023-10-26 18:10:23', '1', '1', NULL, '20211191915271636456527309890050.png',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/76f61f169281eede062dd7c6ca5430ef74dbd2276800ceb06d629363e62db84a.png',
        '1', '2023-10-26 18:10:23', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (34, '2023-10-26 18:10:23', '1', '1', NULL, '20211191915481636456548777676992.png',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/1dbd7c1110abe539ef9c4dda5c0642108f70abdf59dd86fb5dfa06de88f960ed.png',
        '1', '2023-10-26 18:10:23', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (35, '2023-10-26 18:10:24', '1', '1', NULL, '2021119191451636456445805830703 (1).png',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cab5fb788d3e2f1868c7c3c33bdfc8ba56593965f98bc090c03ad86d8c317545.png',
        '1', '2023-10-26 18:10:24', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (36, '2023-10-26 18:14:55', '1', '1', NULL, '20211191912281636456348198191763.png',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/5d705e07a441988127efe9c247739d338092a2cdf5ca9e158fe2b1aed35af83c.png',
        '1', '2023-10-26 18:14:55', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (37, '2023-10-30 10:30:46', '1', '1', NULL, '20211191917241636456644605087969.png',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/9b99b2b81f06410ca42b1dccece84341c99867b81166bcb357dd18e7dcee918d.png',
        '1', '2023-10-30 10:30:46', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (38, '2023-11-06 11:43:53', '1', '1', NULL, 'Nintendo Switch Lite - Blue.png',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/20a147ae5fdbdedc95747e8a5ecd096c68314b830cdf93b4f18d643ccc281540.png',
        '1', '2023-11-06 11:43:53', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (39, '2023-11-07 15:32:36', '1', '1', NULL, '6bc05647fdb20219d2ad8096d862cb84.jpeg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/93dc070e3753ed9d4d32608dc2d4ef308dc65026b23436ce8165b3905775894f.jpeg',
        '1', '2023-11-07 15:32:36', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (40, '2023-11-07 16:56:15', '1', '1', NULL, '20211191915481636456548777676992.png',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/1dbd7c1110abe539ef9c4dda5c0642108f70abdf59dd86fb5dfa06de88f960ed.png',
        '1', '2023-11-07 16:56:15', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (41, '2023-11-08 17:07:27', '1', '1', '13', '247b3a702e0e802f.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/6ab9967dba34ab6ede9c66c195592609aa47c2170edec580f804ddbda0983931.jpg',
        '1', '2023-11-08 17:07:27', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (42, '2023-11-08 17:20:59', '1', '1', '13', '2b26c46792c5d56d.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cdefa476ffa611362cc8a19eac89176d2d8432f34cea9a47bad630fc1f709091.jpg',
        '1', '2023-11-08 17:20:59', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (43, '2023-11-08 17:28:15', '1', '1', '13', '1.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/e87f0b919d618d5364b5858d8e6ff27d43e2ae181fdbd1e19c6e0036c64a9ec4.jpg',
        '1', '2023-11-08 17:28:15', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (44, '2023-11-08 17:28:15', '1', '1', '13', '2.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/d62e5257758edba0903a22fc8dd722dc2a5489710f0716832b08a73242e5a96b.jpg',
        '1', '2023-11-08 17:28:15', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (45, '2023-11-08 17:28:15', '1', '1', '13', '3.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/690b0986e2401bde437c78499b25451ac2ecc5add61b298ad24c3f8fc4f12be3.jpg',
        '1', '2023-11-08 17:28:15', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (46, '2023-11-08 17:42:07', '1', '1', '13', '1.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/3b3c77fdd4ce14a55ba3490fd28bfd7399438200f63429147680628e3ac94baf.jpg',
        '1', '2023-11-08 17:42:07', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (47, '2023-11-08 17:42:07', '1', '1', '13', '2.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/e7dfb095550fcbc9c4d7b4aec3b664e09d13f5f6bf5d7045605c12b44e195d2b.jpg',
        '1', '2023-11-08 17:42:07', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (48, '2023-11-08 17:42:07', '1', '1', '13', '3.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/fa60bd7f529be79f0930b358c3ededf1af461994b63c10814e6a9cbb912e9abc.jpg',
        '1', '2023-11-08 17:42:07', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (49, '2023-11-08 17:48:20', '1', '1', '13', '2.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/71044e88df654b4fe377137908be0225fc966073f65d88737c4fd938639ec2a0.jpg',
        '1', '2023-11-08 17:48:20', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (50, '2023-11-08 17:48:20', '1', '1', '13', '1.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/015d91319a4960a7ef607bbefd79d3718ff98e3d288734c33fb5bd76baa24fec.jpg',
        '1', '2023-11-08 17:48:20', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (51, '2023-11-08 18:02:26', '1', '1', NULL, '2.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/1cc1a7aeb7a8ada3a1e8c78587dbe539d27f900dee19a7ae5ea53d287da67afe.jpg',
        '1', '2023-11-08 18:02:26', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (52, '2023-11-08 18:02:26', '1', '1', NULL, '3.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/dbeaab55e361bea9b7d52ebf29acc96aa0ed88a3ce7fe2f433fb7b8126c524fa.jpg',
        '1', '2023-11-08 18:02:26', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (53, '2023-11-08 18:02:26', '1', '1', NULL, '1.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/2edd8fe8d37dfab2d585d1c578e0f611e8c85dbd4e3260be5dd9545ed0c89c06.jpg',
        '1', '2023-11-08 18:02:26', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (54, '2023-11-08 18:05:29', '1', '1', '13', '2.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/006cde72761f8cca9d14af66a7c1abc38c5235a2aeb2362afe9b113b32da512d.jpg',
        '1', '2023-11-08 18:05:29', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (55, '2023-11-08 18:05:30', '1', '1', '13', '1.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a18d23cf2d405b875f42ca36cba7126ec2b75c1156e949cde375e356013f5662.jpg',
        '1', '2023-11-08 18:05:30', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (56, '2023-11-08 18:20:51', '1', '1', '13', '3.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/0f4e8d286867d2025896e175f01c70f0402053db849e98a5dc6d297f6e81d02b.jpg',
        '1', '2023-11-08 18:20:51', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (57, '2023-11-08 18:20:51', '1', '1', '13', '1.png',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/24c19087d2428f9ef1ce7eaa74572a2da04bdfd6cd53dae734ee2411c475c2a5.png',
        '1', '2023-11-08 18:20:51', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (58, '2023-11-08 18:20:51', '1', '1', '13', '2.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/82fe70238e349b6207c6b6555e993f9e3c9ab59c80cab35e3b8c27ada20c2a1b.jpg',
        '1', '2023-11-08 18:20:51', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (59, '2023-11-08 18:24:53', '1', '1', NULL, '3e91506f420ab66f.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/c213a9d4dfc9e6feceecde97990677e0168032d129bd1c50e1cffe85669047d1.jpg',
        '1', '2023-11-08 18:24:53', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (60, '2023-11-08 18:29:02', '1', '1', '13', '1.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/4e449b42271d6f73cf0a4610f3be1660a5bf1346e13f95b2f089356516ab49f6.jpg',
        '1', '2023-11-08 18:29:02', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (61, '2023-11-08 18:29:03', '1', '1', '13', '2.png',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cb65efa4112fd784f7676a7d816584a2e207fbdac9c404d830101ed22ff6cfc6.png',
        '1', '2023-11-08 18:29:03', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (62, '2023-11-08 18:32:29', '1', '1', NULL, '74eb322bab1fad78.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/6ac383b37b6b50d54758f23debe1f14f23b807c84c7f0772ec3ef2283a2c30e4.jpg',
        '1', '2023-11-08 18:32:29', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (63, '2023-11-08 18:36:33', '1', '1', '14', '1.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/72a1afdb3fdf1fc612c5d60f393b79d9d187ef6e1ca3d0ecec3372740df4f9c0.jpg',
        '1', '2023-11-08 18:36:33', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (64, '2023-11-08 18:36:33', '1', '1', '14', '2.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eb9b69b202491c3935787238b1ffd64b2cfe7649e7da7e96f3ae8a9def62f35f.jpg',
        '1', '2023-11-08 18:36:33', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (65, '2023-11-08 18:40:28', '1', '1', '14', '8626c1825c56a8c9.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/ec4faac39e6eda7100c2ab0cffc85f62fadc0c6f319937fb4f7afaf03c434fdb.jpg',
        '1', '2023-11-08 18:40:28', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (66, '2023-11-08 18:42:29', '1', '1', '14', '1.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cd6523e65655bf735c25b74ae66d9528556eb66c11b40543cbeadc3a668e3af1.jpg',
        '1', '2023-11-08 18:42:29', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (67, '2023-11-08 18:42:29', '1', '1', '14', '2.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/e3f453f3f5739e63e6205ab7cc56a7b36dbd8687cf71694d0028ccde3dca31d4.jpg',
        '1', '2023-11-08 18:42:29', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (68, '2023-11-08 18:42:29', '1', '1', '14', '3.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/f61fbbddd73b004c7ab16ed24d1e9a73997380c0b9c4b589f80dcea687cb2e0d.jpg',
        '1', '2023-11-08 18:42:29', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (69, '2023-11-08 18:43:33', '1', '1', '14', 'c679e005d2b45974.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/fba54304ee399cc5ee4024b25c80c27427f7d153717077ca76f8f919ac97ac4a.jpg',
        '1', '2023-11-08 18:43:33', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (70, '2023-11-09 11:46:53', '1', '1', '14', '2.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/3c7a4c6d00f71fec87cc33f11004772b05a5ceb96cbb8325606c5834a076eac4.jpg',
        '1', '2023-11-09 11:46:53', b'1');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (71, '2023-11-09 11:46:53', '1', '1', '14', '1.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/027afcf759bdfa5ce491f210fe30d106b109f63c6fadfa6000aaccc86a0fddc4.jpg',
        '1', '2023-11-09 11:46:53', b'1');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (72, '2023-11-09 11:46:53', '1', '1', '14', '3.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/fc68f5a515b6dadf3dc8704d1378c70db94b56e7318eb30d6e8f6889f3b11a81.jpg',
        '1', '2023-11-09 11:46:53', b'1');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (73, '2023-11-09 11:53:15', '1', '1', '14', '2eb5395fd48f1b84.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/e486b7c4c615a3417c75b33504d016f656e8d079d506bd458b89e6cb9883e8dc.jpg',
        '1', '2023-11-09 11:53:15', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (74, '2023-11-09 12:02:29', '1', '1', '14', '3.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/3b674a74e27ca98e3eb464a735d4d23fc756e4998663ec9a36c91a003aa93946.jpg',
        '1', '2023-11-09 12:02:29', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (75, '2023-11-09 12:02:29', '1', '1', '14', '2.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/e32e1470bf6f2b987754cff563791424d13587f83804a61571fd51a49591f674.jpg',
        '1', '2023-11-09 12:02:29', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (76, '2023-11-09 12:02:29', '1', '1', '14', '1.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/4e5d358d3b786ec1212cc815c8ac8f81f8341ea5592fee36de8bb079e9d1c03e.jpg',
        '1', '2023-11-09 12:02:29', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (77, '2023-11-09 12:06:01', '1', '1', '14', '8f1788e4efc986c1.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/dfff84fd48044b7fc2a19452c5fb8d9c6ed8624d7a67f462e42dd6089d873f97.jpg',
        '1', '2023-11-09 12:06:01', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (78, '2023-11-09 12:06:04', '1', '1', '14', 'd1b7a6b23910a678.gif',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/584bbe5b75cf64dbca7c49f3b1f506f80990f0739943699422e245f7d76b6539.gif',
        '1', '2023-11-09 12:06:04', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (79, '2023-11-09 14:51:23', '1', '1', NULL, '339737539822720ed16fea393ecb0a46f31fab36.jpeg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cdd1a455713307f6eec2f66a6184d191b33fa853aca28feff550a3bbea19c739.jpeg',
        '1', '2023-11-09 14:51:23', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (80, '2023-11-09 14:57:15', '1', '1', '14', '8f1788e4efc986c1.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/dfff84fd48044b7fc2a19452c5fb8d9c6ed8624d7a67f462e42dd6089d873f97.jpg',
        '1', '2023-11-09 14:57:15', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (81, '2023-11-09 14:58:51', '1', '1', NULL, '339737539822720ed16fea393ecb0a46f31fab36.jpeg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cdd1a455713307f6eec2f66a6184d191b33fa853aca28feff550a3bbea19c739.jpeg',
        '1', '2023-11-09 14:58:51', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (82, '2023-11-09 16:35:43', '1', '1', '14', '3.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/d9062b8cd32e07bc5f33517b72b9b0d3491f11bb8c8bc0fbed2cf076de6e0c65.jpg',
        '1', '2023-11-09 16:35:43', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (83, '2023-11-09 16:35:43', '1', '1', '14', '2.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/c00a5348a0967d8c84745e436743c821bba0afc719d85c8c5cb57fa8aaf5de3c.jpg',
        '1', '2023-11-09 16:35:43', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (84, '2023-11-09 16:35:43', '1', '1', '14', '1.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a53c065755e92187b8005ab1d32b75da7ce91e40b92b17805abf9d7419403691.jpg',
        '1', '2023-11-09 16:35:43', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (85, '2023-11-09 16:39:38', '1', '1', '14', 'a69e12e5286caf35.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/0b122319ad2aaf1ac0df121f3edb900d9e699b327e9c12bb460b482d5bb0b0e7.jpg',
        '1', '2023-11-09 16:39:38', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (86, '2023-11-09 16:42:10', '1', '1', '14', '1.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/93ba9ce25078c919554d87943596fe0c1ad2f672fba790542767da2979ff98ab.jpg',
        '1', '2023-11-09 16:42:10', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (87, '2023-11-09 16:42:10', '1', '1', '14', '1.png',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/0776e9754c6a534c434b8ae908129ef7f247ee2b3dc4a81ad8153b3215e5b116.png',
        '1', '2023-11-09 16:42:10', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (88, '2023-11-09 16:43:17', '1', '1', '14', 'e1b3e7049c51ad5b.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/53bba53e5c78239503bcb407e13d7f55cf697c5de47c8b5d8f06e6b3974bd382.jpg',
        '1', '2023-11-09 16:43:17', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (89, '2023-11-09 16:45:17', '1', '1', '14', '2.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eab043962fb5e70d7ef0c0dc316e63d44863ceda49fe9379378d343ca9d17a05.jpg',
        '1', '2023-11-09 16:45:17', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (90, '2023-11-09 16:45:17', '1', '1', '14', '3.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/41311fafdea1be5af98cdebb5c2d43515b6acf47a8734f99122e7fc545467d8d.jpg',
        '1', '2023-11-09 16:45:17', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (91, '2023-11-09 16:45:17', '1', '1', '14', '1.png',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/69aaff47475c498b45bb87356ba65d1f77f5a174b765c0d1fac7a438ae10ce5e.png',
        '1', '2023-11-09 16:45:17', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (92, '2023-11-09 16:50:04', '1', '1', '14', 'e1b3e7049c51ad5b (1).jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/53bba53e5c78239503bcb407e13d7f55cf697c5de47c8b5d8f06e6b3974bd382.jpg',
        '1', '2023-11-09 16:50:04', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (93, '2023-11-09 16:50:43', '1', '1', '14', 'e1256c6193d1d149.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/d5240748f53c2116f08554ddc4f950a66610a3d8f772eef6b7fcc0a5836e96ba.jpg',
        '1', '2023-11-09 16:50:43', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (94, '2023-11-09 17:13:25', '1', '1', '14', '3.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/ad6828ac32a9d5883c47a72a81b7b4ae21b834bec40ff61516cf2b5b89621fc2.jpg',
        '1', '2023-11-09 17:13:25', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (95, '2023-11-09 17:13:25', '1', '1', '14', '2.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/77e4e7ba96602d25a31392c34a16dff753b3316b69b51ea2c4b9a260a44dea7f.jpg',
        '1', '2023-11-09 17:13:25', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (96, '2023-11-09 17:13:25', '1', '1', '14', '1.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/6bfc0f8a2dd6db6e6d549960fbbd0e792f0520251f3f932c0aa75e12606db16a.jpg',
        '1', '2023-11-09 17:13:25', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (97, '2023-11-09 17:14:50', '1', '1', '14', '245688eb5278c252.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/76821605290ca656b770d360ad7c5e8fc8631a32c41c546c91c25b945f829006.jpg',
        '1', '2023-11-09 17:14:50', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (98, '2023-11-09 17:17:22', '1', '1', '14', '1.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/399bebcd36f8b40647d8f70c80414fc9fd06761d920639d65760feeee35ce61f.jpg',
        '1', '2023-11-09 17:17:22', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (99, '2023-11-09 17:33:54', '1', '1', '14', '1.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/0d700704d87918bf96f498c3cfa0f506c081018f2113c752da27d2452df53d28.jpg',
        '1', '2023-11-09 17:33:54', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (100, '2023-11-09 17:37:07', '1', '1', '14', '198ce4d19589bdea.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/2790f6f7fac25af1866bff2f9aea079924be04b83bfbdaa2541116964bfcaea3.jpg',
        '1', '2023-11-09 17:37:07', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (101, '2023-11-13 15:17:37', '1', '1', '15', '1.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/8bd6dc7f02a98fcd9d86ef44058db1295076c6b67335951162295bce5c7416fe.jpg',
        '1', '2023-11-13 15:17:37', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (102, '2023-11-13 15:18:22', '1', '1', '15', 'bcd88769911cd24e.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/d8a18ddc4b43eeb41d29593781d88e5cac7a570af7c95c7fb74ee1eb1d63ec01.jpg',
        '1', '2023-11-13 15:18:22', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (103, '2023-11-13 15:22:45', '1', '1', '15', '2.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/51d7656a76341f0dcc46d09053e8ed051dc34cdab94390c18c7d38102680d2aa.jpg',
        '1', '2023-11-13 15:22:45', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (104, '2023-11-13 15:23:37', '1', '1', '15', 'd2933b335ba72253.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/dc3f735920a612482e17de9d2d1390ebce1c2288f8236edcbbcbe61f54d7dfa0.jpg',
        '1', '2023-11-13 15:23:37', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (105, '2023-11-13 15:41:19', '1', '1', '15', '1.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/c4b49c225c660c8762bc5132bab5d89f7b6025794b9c6b7578694d1418993a63.jpg',
        '1', '2023-11-13 15:41:19', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (106, '2023-11-13 15:41:29', '1', '1', '15', '2.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/07bde49d7226939ec92f1449bffc96863ed5a4d42847fd0328d58eb9bb1af9b1.jpg',
        '1', '2023-11-13 15:41:29', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (107, '2023-11-13 15:41:32', '1', '1', '15', '905571f975e11fe7.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/556f074239d5c3897f1bfba19259a48ac4d10f9ec93c04e83e0b14066fe78529.jpg',
        '1', '2023-11-13 15:41:32', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (108, '2023-11-13 16:55:05', '1', '1', '15', '3.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/1b83e91d358265fee67efb732b2182cc43730d910361a36574047d211946fb1f.jpg',
        '1', '2023-11-13 16:55:05', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (109, '2023-11-13 16:55:05', '1', '1', '15', '2.png',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/4d5aae03f6592015da3df009b21cfd6f1d01750afc00ef0826ed6b37a1a49a13.png',
        '1', '2023-11-13 16:55:05', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (110, '2023-11-13 16:55:05', '1', '1', '15', '1.png',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/1d13270c3a19db5ae80db272b25241d54741d91cb9f3d7826f4409a48c8b6bfc.png',
        '1', '2023-11-13 16:55:05', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (111, '2023-11-13 16:56:05', '1', '1', '15', '0a8fe159573d2236.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/2c232cb17be4d56b4ffe1e6c7ab75c2058e962c2496f5e0d50e3c319345fb45b.jpg',
        '1', '2023-11-13 16:56:05', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (112, '2023-11-13 17:00:38', '1', '1', '15', '3.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/988e535fbd1c2976bd3a1d337b5d74578e64a4773f26b4b5b3ff05e3ba6e0f81.jpg',
        '1', '2023-11-13 17:00:38', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (113, '2023-11-13 17:00:38', '1', '1', '15', '2.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/06be888720d268bf5433f4d0d22ee398876eaecdcec6b320e52cfd435dfe6ee7.jpg',
        '1', '2023-11-13 17:00:38', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (114, '2023-11-13 17:00:38', '1', '1', '15', '1.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/b06dcdd3497749831b8008b3129e8306d70bbf7904dbab89dafb5339279da7ed.jpg',
        '1', '2023-11-13 17:00:38', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (115, '2023-11-13 17:02:47', '1', '1', '15', '1.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/b03ab8355566c938822421e08e5f2924809f21341621c6e9ea7505b8631d2cd6.jpg',
        '1', '2023-11-13 17:02:47', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (116, '2023-11-13 17:09:48', '1', '1', '13', '1.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/93bbb9debe310a03a9f1ae6dbc9a06f4a68dd8e9f9acf4cbf4239a65b2016a2b.jpg',
        '1', '2023-11-13 17:09:48', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (117, '2023-11-13 17:09:48', '1', '1', '13', '2.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/9235e9ff4968482dd2c18e054c135a0c7793d5e98bafcfcd6a731bc9d33199ee.jpg',
        '1', '2023-11-13 17:09:48', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (118, '2023-11-13 17:14:12', '1', '1', '13', 'b4b16f0597a24d21.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eee24956e2f9da10d472b6c2b92514b2dd3a323a5196f32ba2b13e8ac6a0df2d.jpg',
        '1', '2023-11-13 17:14:12', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (119, '2023-11-13 17:16:25', '1', '1', '15', '1.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/dbd14f0f21b4cd21c31d0f5d06ffe0b640d6f5e6714aef3162aafea79bace5f2.jpg',
        '1', '2023-11-13 17:16:25', b'0');
INSERT INTO `yshop_material` (`id`, `create_time`, `creator`, `type`, `group_id`, `name`, `url`, `updater`,
                              `update_time`, `deleted`)
VALUES (120, '2023-11-14 17:12:58', '1', '1', '14', '1.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a029b4367d0bf9a9ad84e2b132b0b6b001f729c548726410f651e0765ab3a356.jpg',
        '1', '2023-11-14 17:12:58', b'0');
COMMIT;

-- ----------------------------
-- Table structure for yshop_material_group
-- ----------------------------
DROP TABLE IF EXISTS `yshop_material_group`;
CREATE TABLE `yshop_material_group`
(
    `id`          bigint(20) NOT NULL AUTO_INCREMENT COMMENT '编号',
    `create_time` datetime                         NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `creator`     varchar(32) CHARACTER SET utf8            DEFAULT NULL COMMENT '创建者',
    `name`        varchar(200) COLLATE utf8mb4_bin NOT NULL COMMENT '分组名',
    `updater`     varchar(64) COLLATE utf8mb4_bin           DEFAULT NULL COMMENT '更新者',
    `update_time` datetime                                  DEFAULT NULL COMMENT '更新时间',
    `deleted`     bit(1)                           NOT NULL DEFAULT b'0' COMMENT '是否删除',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=16 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='素材分组';

-- ----------------------------
-- Records of yshop_material_group
-- ----------------------------
BEGIN;
INSERT INTO `yshop_material_group` (`id`, `create_time`, `creator`, `name`, `updater`, `update_time`, `deleted`)
VALUES (1, '2023-05-16 12:02:13', '1', '商品', '1', '2023-05-24 14:42:23', b'1');
INSERT INTO `yshop_material_group` (`id`, `create_time`, `creator`, `name`, `updater`, `update_time`, `deleted`)
VALUES (2, '2023-05-22 23:38:11', '1', '21212', '1', '2023-05-22 23:38:11', b'1');
INSERT INTO `yshop_material_group` (`id`, `create_time`, `creator`, `name`, `updater`, `update_time`, `deleted`)
VALUES (3, '2023-05-22 23:39:44', '1', '1', '1', '2023-05-22 23:46:22', b'1');
INSERT INTO `yshop_material_group` (`id`, `create_time`, `creator`, `name`, `updater`, `update_time`, `deleted`)
VALUES (4, '2023-05-22 23:52:10', '1', '1', '1', '2023-05-22 23:52:10', b'1');
INSERT INTO `yshop_material_group` (`id`, `create_time`, `creator`, `name`, `updater`, `update_time`, `deleted`)
VALUES (5, '2023-05-22 23:52:12', '1', '2', '1', '2023-05-22 23:52:12', b'1');
INSERT INTO `yshop_material_group` (`id`, `create_time`, `creator`, `name`, `updater`, `update_time`, `deleted`)
VALUES (6, '2023-05-22 23:52:14', '1', '3', '1', '2023-05-22 23:52:14', b'1');
INSERT INTO `yshop_material_group` (`id`, `create_time`, `creator`, `name`, `updater`, `update_time`, `deleted`)
VALUES (7, '2023-05-22 23:55:30', '1', '1', '1', '2023-05-22 23:55:30', b'1');
INSERT INTO `yshop_material_group` (`id`, `create_time`, `creator`, `name`, `updater`, `update_time`, `deleted`)
VALUES (8, '2023-05-22 23:55:32', '1', '2', '1', '2023-05-22 23:55:32', b'1');
INSERT INTO `yshop_material_group` (`id`, `create_time`, `creator`, `name`, `updater`, `update_time`, `deleted`)
VALUES (9, '2023-05-22 23:55:33', '1', '4', '1', '2023-05-22 23:55:33', b'1');
INSERT INTO `yshop_material_group` (`id`, `create_time`, `creator`, `name`, `updater`, `update_time`, `deleted`)
VALUES (10, '2023-05-22 23:55:33', '1', '3333', '1', '2023-05-22 23:56:04', b'1');
INSERT INTO `yshop_material_group` (`id`, `create_time`, `creator`, `name`, `updater`, `update_time`, `deleted`)
VALUES (11, '2023-10-24 11:25:15', '1', 'test', '1', '2023-10-24 11:25:15', b'1');
INSERT INTO `yshop_material_group` (`id`, `create_time`, `creator`, `name`, `updater`, `update_time`, `deleted`)
VALUES (12, '2023-10-25 16:09:48', '1', 'test', '1', '2023-10-25 16:09:48', b'0');
INSERT INTO `yshop_material_group` (`id`, `create_time`, `creator`, `name`, `updater`, `update_time`, `deleted`)
VALUES (13, '2023-11-08 17:07:17', '1', '笔记本电脑', '1', '2023-11-08 17:07:17', b'0');
INSERT INTO `yshop_material_group` (`id`, `create_time`, `creator`, `name`, `updater`, `update_time`, `deleted`)
VALUES (14, '2023-11-08 18:36:26', '1', '手机', '1', '2023-11-08 18:36:26', b'0');
INSERT INTO `yshop_material_group` (`id`, `create_time`, `creator`, `name`, `updater`, `update_time`, `deleted`)
VALUES (15, '2023-11-13 15:17:30', '1', '耳机', '1', '2023-11-13 15:17:30', b'0');
COMMIT;

-- ----------------------------
-- Table structure for yshop_shipping_templates
-- ----------------------------
DROP TABLE IF EXISTS `yshop_shipping_templates`;
CREATE TABLE `yshop_shipping_templates`
(
    `id`           int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '模板ID',
    `name`         varchar(255) DEFAULT NULL COMMENT '模板名称',
    `type`         tinyint(1) DEFAULT NULL COMMENT '计费方式',
    `region_info`  text COMMENT '地域以及费用',
    `appoint`      tinyint(1) DEFAULT NULL COMMENT '指定包邮开关',
    `appoint_info` text COMMENT '指定包邮内容',
    `creator`      varchar(64)  DEFAULT NULL COMMENT '创建者',
    `create_time`  datetime     DEFAULT CURRENT_TIMESTAMP COMMENT '添加时间',
    `update_time`  datetime     DEFAULT NULL COMMENT '更新时间',
    `updater`      varchar(64)  DEFAULT NULL COMMENT '更新者',
    `deleted`      bit(1)       DEFAULT b'0' COMMENT '是否删除',
    `sort`         int(11) DEFAULT NULL COMMENT '排序',
    `tenant_id`    bigint(20) DEFAULT NULL COMMENT '租户编号',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=41 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='运费模板表';

-- ----------------------------
-- Records of yshop_shipping_templates
-- ----------------------------
BEGIN;
INSERT INTO `yshop_shipping_templates` (`id`, `name`, `type`, `region_info`, `appoint`, `appoint_info`, `creator`,
                                        `create_time`, `update_time`, `updater`, `deleted`, `sort`, `tenant_id`)
VALUES (38, '指定区域邮费', 1,
        '[{\"_continue\":\"1\",\"continue_price\":\"0\",\"first\":\"1\",\"price\":\"0\",\"region\":[{\"city_id\":\"0\",\"name\":\"默认全国\"}],\"regionName\":\"默认全国\"},{\"_continue\":\"1\",\"continue_price\":\"0\",\"first\":\"1\",\"price\":\"0\",\"region\":[{\"children\":[{\"city_id\":\"210100\"},{\"city_id\":\"210200\"},{\"city_id\":\"210300\"},{\"city_id\":\"210400\"},{\"city_id\":\"210500\"},{\"city_id\":\"210600\"},{\"city_id\":\"210700\"},{\"city_id\":\"210800\"},{\"city_id\":\"210900\"},{\"city_id\":\"211000\"},{\"city_id\":\"211100\"},{\"city_id\":\"211200\"},{\"city_id\":\"211300\"},{\"city_id\":\"211400\"}],\"city_id\":\"210000\",\"name\":\"辽宁省\"}],\"regionName\":\"辽宁省\"},{\"_continue\":\"1\",\"continue_price\":\"10\",\"first\":\"1\",\"price\":\"10\",\"region\":[{\"children\":[{\"city_id\":\"110100\"}],\"city_id\":\"110000\",\"name\":\"北京\"}],\"regionName\":\"北京\"}]',
        0, '[]', '1', '2023-06-06 11:04:36', '2023-10-26 18:37:59', '1', b'0', 0, NULL);
INSERT INTO `yshop_shipping_templates` (`id`, `name`, `type`, `region_info`, `appoint`, `appoint_info`, `creator`,
                                        `create_time`, `update_time`, `updater`, `deleted`, `sort`, `tenant_id`)
VALUES (39, '指定包邮邮费', 2,
        '[{\"_continue\":\"1\",\"continue_price\":\"0\",\"first\":\"1\",\"price\":\"0\",\"region\":[{\"city_id\":\"0\",\"name\":\"默认全国\"}],\"regionName\":\"默认全国\"},{\"_continue\":\"1\",\"continue_price\":\"2\",\"first\":\"1\",\"price\":\"5\",\"region\":[{\"children\":[{\"city_id\":\"440100\"},{\"city_id\":\"440200\"},{\"city_id\":\"440300\"},{\"city_id\":\"440400\"},{\"city_id\":\"440500\"},{\"city_id\":\"440600\"},{\"city_id\":\"440700\"},{\"city_id\":\"440800\"},{\"city_id\":\"440900\"},{\"city_id\":\"441200\"},{\"city_id\":\"441300\"},{\"city_id\":\"441400\"},{\"city_id\":\"441500\"},{\"city_id\":\"441600\"},{\"city_id\":\"441700\"},{\"city_id\":\"441800\"},{\"city_id\":\"441900\"},{\"city_id\":\"442000\"},{\"city_id\":\"445100\"},{\"city_id\":\"445200\"},{\"city_id\":\"445300\"}],\"city_id\":\"440000\",\"name\":\"广东省\"}],\"regionName\":\"广东省\"},{\"_continue\":\"1\",\"continue_price\":\"0\",\"first\":\"1\",\"price\":\"0\",\"region\":[{\"children\":[{\"city_id\":\"420100\"}],\"city_id\":\"420000\",\"name\":\"湖北省\"}],\"regionName\":\"湖北省\"}]',
        1,
        '[{\"a_num\":\"1\",\"a_price\":\"10\",\"place\":[{\"children\":[{\"city_id\":\"110100\"}],\"city_id\":\"110000\",\"name\":\"北京\"},{\"children\":[{\"city_id\":\"140100\"},{\"city_id\":\"140200\"},{\"city_id\":\"140300\"},{\"city_id\":\"140400\"},{\"city_id\":\"140500\"},{\"city_id\":\"140600\"},{\"city_id\":\"140700\"},{\"city_id\":\"140800\"},{\"city_id\":\"140900\"},{\"city_id\":\"141000\"},{\"city_id\":\"141100\"}],\"city_id\":\"140000\",\"name\":\"山西省\"}],\"placeName\":\"北京;山西省\"}]',
        '1', '2023-06-06 14:42:12', '2023-11-10 16:05:17', '127', b'0', 0, NULL);
INSERT INTO `yshop_shipping_templates` (`id`, `name`, `type`, `region_info`, `appoint`, `appoint_info`, `creator`,
                                        `create_time`, `update_time`, `updater`, `deleted`, `sort`, `tenant_id`)
VALUES (40, '按重量计费', 2,
        '[{\"_continue\":\"1\",\"continue_price\":\"2\",\"first\":\"1\",\"price\":\"2\",\"region\":[{\"city_id\":\"0\",\"name\":\"默认全国\"}],\"regionName\":\"默认全国\"}]',
        1,
        '[{\"a_num\":\"5\",\"a_price\":\"2\",\"place\":[{\"children\":[{\"city_id\":\"440100\"},{\"city_id\":\"440200\"},{\"city_id\":\"440300\"},{\"city_id\":\"440400\"},{\"city_id\":\"440500\"},{\"city_id\":\"440600\"},{\"city_id\":\"440700\"},{\"city_id\":\"440800\"},{\"city_id\":\"440900\"},{\"city_id\":\"441200\"},{\"city_id\":\"441300\"},{\"city_id\":\"441400\"},{\"city_id\":\"441500\"},{\"city_id\":\"441600\"},{\"city_id\":\"441700\"},{\"city_id\":\"441800\"},{\"city_id\":\"441900\"},{\"city_id\":\"442000\"},{\"city_id\":\"445100\"},{\"city_id\":\"445200\"},{\"city_id\":\"445300\"}],\"city_id\":\"440000\",\"name\":\"广东省\"}],\"placeName\":\"广东省\"}]',
        '1', '2023-11-10 15:13:29', '2023-11-10 17:47:45', '1', b'0', 0, NULL);
COMMIT;

-- ----------------------------
-- Table structure for yshop_shipping_templates_free
-- ----------------------------
DROP TABLE IF EXISTS `yshop_shipping_templates_free`;
CREATE TABLE `yshop_shipping_templates_free`
(
    `id`          int(11) NOT NULL AUTO_INCREMENT COMMENT '编号',
    `province_id` int(11) NOT NULL DEFAULT '0' COMMENT '省ID',
    `temp_id`     int(11) NOT NULL DEFAULT '0' COMMENT '模板ID',
    `city_id`     int(11) NOT NULL DEFAULT '0' COMMENT '城市ID',
    `number`      decimal(10, 2) NOT NULL DEFAULT '0.00' COMMENT '包邮件数',
    `price`       decimal(10, 2) NOT NULL DEFAULT '0.00' COMMENT '包邮金额',
    `type`        tinyint(1) NOT NULL DEFAULT '1' COMMENT '计费方式',
    `uniqid`      varchar(32)    NOT NULL DEFAULT '' COMMENT '分组唯一值',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=343 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='运费包邮明细';

-- ----------------------------
-- Records of yshop_shipping_templates_free
-- ----------------------------
BEGIN;
INSERT INTO `yshop_shipping_templates_free` (`id`, `province_id`, `temp_id`, `city_id`, `number`, `price`, `type`,
                                             `uniqid`)
VALUES (310, 110000, 39, 110100, 1.00, 10.00, 2, '6281c9c3b6584571b3faadba09ae25d2');
INSERT INTO `yshop_shipping_templates_free` (`id`, `province_id`, `temp_id`, `city_id`, `number`, `price`, `type`,
                                             `uniqid`)
VALUES (311, 140000, 39, 140100, 1.00, 10.00, 2, '6281c9c3b6584571b3faadba09ae25d2');
INSERT INTO `yshop_shipping_templates_free` (`id`, `province_id`, `temp_id`, `city_id`, `number`, `price`, `type`,
                                             `uniqid`)
VALUES (312, 140000, 39, 140200, 1.00, 10.00, 2, '6281c9c3b6584571b3faadba09ae25d2');
INSERT INTO `yshop_shipping_templates_free` (`id`, `province_id`, `temp_id`, `city_id`, `number`, `price`, `type`,
                                             `uniqid`)
VALUES (313, 140000, 39, 140300, 1.00, 10.00, 2, '6281c9c3b6584571b3faadba09ae25d2');
INSERT INTO `yshop_shipping_templates_free` (`id`, `province_id`, `temp_id`, `city_id`, `number`, `price`, `type`,
                                             `uniqid`)
VALUES (314, 140000, 39, 140400, 1.00, 10.00, 2, '6281c9c3b6584571b3faadba09ae25d2');
INSERT INTO `yshop_shipping_templates_free` (`id`, `province_id`, `temp_id`, `city_id`, `number`, `price`, `type`,
                                             `uniqid`)
VALUES (315, 140000, 39, 140500, 1.00, 10.00, 2, '6281c9c3b6584571b3faadba09ae25d2');
INSERT INTO `yshop_shipping_templates_free` (`id`, `province_id`, `temp_id`, `city_id`, `number`, `price`, `type`,
                                             `uniqid`)
VALUES (316, 140000, 39, 140600, 1.00, 10.00, 2, '6281c9c3b6584571b3faadba09ae25d2');
INSERT INTO `yshop_shipping_templates_free` (`id`, `province_id`, `temp_id`, `city_id`, `number`, `price`, `type`,
                                             `uniqid`)
VALUES (317, 140000, 39, 140700, 1.00, 10.00, 2, '6281c9c3b6584571b3faadba09ae25d2');
INSERT INTO `yshop_shipping_templates_free` (`id`, `province_id`, `temp_id`, `city_id`, `number`, `price`, `type`,
                                             `uniqid`)
VALUES (318, 140000, 39, 140800, 1.00, 10.00, 2, '6281c9c3b6584571b3faadba09ae25d2');
INSERT INTO `yshop_shipping_templates_free` (`id`, `province_id`, `temp_id`, `city_id`, `number`, `price`, `type`,
                                             `uniqid`)
VALUES (319, 140000, 39, 140900, 1.00, 10.00, 2, '6281c9c3b6584571b3faadba09ae25d2');
INSERT INTO `yshop_shipping_templates_free` (`id`, `province_id`, `temp_id`, `city_id`, `number`, `price`, `type`,
                                             `uniqid`)
VALUES (320, 140000, 39, 141000, 1.00, 10.00, 2, '6281c9c3b6584571b3faadba09ae25d2');
INSERT INTO `yshop_shipping_templates_free` (`id`, `province_id`, `temp_id`, `city_id`, `number`, `price`, `type`,
                                             `uniqid`)
VALUES (321, 140000, 39, 141100, 1.00, 10.00, 2, '6281c9c3b6584571b3faadba09ae25d2');
INSERT INTO `yshop_shipping_templates_free` (`id`, `province_id`, `temp_id`, `city_id`, `number`, `price`, `type`,
                                             `uniqid`)
VALUES (322, 440000, 40, 440100, 5.00, 2.00, 2, 'e9a5dfb637454935886844a38902d68e');
INSERT INTO `yshop_shipping_templates_free` (`id`, `province_id`, `temp_id`, `city_id`, `number`, `price`, `type`,
                                             `uniqid`)
VALUES (323, 440000, 40, 440200, 5.00, 2.00, 2, 'e9a5dfb637454935886844a38902d68e');
INSERT INTO `yshop_shipping_templates_free` (`id`, `province_id`, `temp_id`, `city_id`, `number`, `price`, `type`,
                                             `uniqid`)
VALUES (324, 440000, 40, 440300, 5.00, 2.00, 2, 'e9a5dfb637454935886844a38902d68e');
INSERT INTO `yshop_shipping_templates_free` (`id`, `province_id`, `temp_id`, `city_id`, `number`, `price`, `type`,
                                             `uniqid`)
VALUES (325, 440000, 40, 440400, 5.00, 2.00, 2, 'e9a5dfb637454935886844a38902d68e');
INSERT INTO `yshop_shipping_templates_free` (`id`, `province_id`, `temp_id`, `city_id`, `number`, `price`, `type`,
                                             `uniqid`)
VALUES (326, 440000, 40, 440500, 5.00, 2.00, 2, 'e9a5dfb637454935886844a38902d68e');
INSERT INTO `yshop_shipping_templates_free` (`id`, `province_id`, `temp_id`, `city_id`, `number`, `price`, `type`,
                                             `uniqid`)
VALUES (327, 440000, 40, 440600, 5.00, 2.00, 2, 'e9a5dfb637454935886844a38902d68e');
INSERT INTO `yshop_shipping_templates_free` (`id`, `province_id`, `temp_id`, `city_id`, `number`, `price`, `type`,
                                             `uniqid`)
VALUES (328, 440000, 40, 440700, 5.00, 2.00, 2, 'e9a5dfb637454935886844a38902d68e');
INSERT INTO `yshop_shipping_templates_free` (`id`, `province_id`, `temp_id`, `city_id`, `number`, `price`, `type`,
                                             `uniqid`)
VALUES (329, 440000, 40, 440800, 5.00, 2.00, 2, 'e9a5dfb637454935886844a38902d68e');
INSERT INTO `yshop_shipping_templates_free` (`id`, `province_id`, `temp_id`, `city_id`, `number`, `price`, `type`,
                                             `uniqid`)
VALUES (330, 440000, 40, 440900, 5.00, 2.00, 2, 'e9a5dfb637454935886844a38902d68e');
INSERT INTO `yshop_shipping_templates_free` (`id`, `province_id`, `temp_id`, `city_id`, `number`, `price`, `type`,
                                             `uniqid`)
VALUES (331, 440000, 40, 441200, 5.00, 2.00, 2, 'e9a5dfb637454935886844a38902d68e');
INSERT INTO `yshop_shipping_templates_free` (`id`, `province_id`, `temp_id`, `city_id`, `number`, `price`, `type`,
                                             `uniqid`)
VALUES (332, 440000, 40, 441300, 5.00, 2.00, 2, 'e9a5dfb637454935886844a38902d68e');
INSERT INTO `yshop_shipping_templates_free` (`id`, `province_id`, `temp_id`, `city_id`, `number`, `price`, `type`,
                                             `uniqid`)
VALUES (333, 440000, 40, 441400, 5.00, 2.00, 2, 'e9a5dfb637454935886844a38902d68e');
INSERT INTO `yshop_shipping_templates_free` (`id`, `province_id`, `temp_id`, `city_id`, `number`, `price`, `type`,
                                             `uniqid`)
VALUES (334, 440000, 40, 441500, 5.00, 2.00, 2, 'e9a5dfb637454935886844a38902d68e');
INSERT INTO `yshop_shipping_templates_free` (`id`, `province_id`, `temp_id`, `city_id`, `number`, `price`, `type`,
                                             `uniqid`)
VALUES (335, 440000, 40, 441600, 5.00, 2.00, 2, 'e9a5dfb637454935886844a38902d68e');
INSERT INTO `yshop_shipping_templates_free` (`id`, `province_id`, `temp_id`, `city_id`, `number`, `price`, `type`,
                                             `uniqid`)
VALUES (336, 440000, 40, 441700, 5.00, 2.00, 2, 'e9a5dfb637454935886844a38902d68e');
INSERT INTO `yshop_shipping_templates_free` (`id`, `province_id`, `temp_id`, `city_id`, `number`, `price`, `type`,
                                             `uniqid`)
VALUES (337, 440000, 40, 441800, 5.00, 2.00, 2, 'e9a5dfb637454935886844a38902d68e');
INSERT INTO `yshop_shipping_templates_free` (`id`, `province_id`, `temp_id`, `city_id`, `number`, `price`, `type`,
                                             `uniqid`)
VALUES (338, 440000, 40, 441900, 5.00, 2.00, 2, 'e9a5dfb637454935886844a38902d68e');
INSERT INTO `yshop_shipping_templates_free` (`id`, `province_id`, `temp_id`, `city_id`, `number`, `price`, `type`,
                                             `uniqid`)
VALUES (339, 440000, 40, 442000, 5.00, 2.00, 2, 'e9a5dfb637454935886844a38902d68e');
INSERT INTO `yshop_shipping_templates_free` (`id`, `province_id`, `temp_id`, `city_id`, `number`, `price`, `type`,
                                             `uniqid`)
VALUES (340, 440000, 40, 445100, 5.00, 2.00, 2, 'e9a5dfb637454935886844a38902d68e');
INSERT INTO `yshop_shipping_templates_free` (`id`, `province_id`, `temp_id`, `city_id`, `number`, `price`, `type`,
                                             `uniqid`)
VALUES (341, 440000, 40, 445200, 5.00, 2.00, 2, 'e9a5dfb637454935886844a38902d68e');
INSERT INTO `yshop_shipping_templates_free` (`id`, `province_id`, `temp_id`, `city_id`, `number`, `price`, `type`,
                                             `uniqid`)
VALUES (342, 440000, 40, 445300, 5.00, 2.00, 2, 'e9a5dfb637454935886844a38902d68e');
COMMIT;

-- ----------------------------
-- Table structure for yshop_shipping_templates_region
-- ----------------------------
DROP TABLE IF EXISTS `yshop_shipping_templates_region`;
CREATE TABLE `yshop_shipping_templates_region`
(
    `id`             int(11) NOT NULL AUTO_INCREMENT COMMENT '编号',
    `province_id`    int(11) NOT NULL DEFAULT '0' COMMENT '省ID',
    `temp_id`        int(11) NOT NULL DEFAULT '0' COMMENT '模板ID',
    `city_id`        int(11) NOT NULL DEFAULT '0' COMMENT '城市ID',
    `first`          decimal(10, 2) NOT NULL DEFAULT '0.00' COMMENT '首件',
    `first_price`    decimal(10, 2) NOT NULL DEFAULT '0.00' COMMENT '首件运费',
    `continues`      decimal(10, 2) NOT NULL DEFAULT '0.00' COMMENT '续件',
    `continue_price` decimal(10, 2) NOT NULL DEFAULT '0.00' COMMENT '续件运费',
    `type`           tinyint(1) NOT NULL DEFAULT '1' COMMENT '计费方式',
    `uniqid`         varchar(50)    NOT NULL DEFAULT '' COMMENT '分组唯一值',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=367 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='运费区域明细';

-- ----------------------------
-- Records of yshop_shipping_templates_region
-- ----------------------------
BEGIN;
INSERT INTO `yshop_shipping_templates_region` (`id`, `province_id`, `temp_id`, `city_id`, `first`, `first_price`,
                                               `continues`, `continue_price`, `type`, `uniqid`)
VALUES (302, 0, 38, 0, 1.00, 0.00, 1.00, 0.00, 1, '1ddaee67fa834afb9f7d037bdffc62d9');
INSERT INTO `yshop_shipping_templates_region` (`id`, `province_id`, `temp_id`, `city_id`, `first`, `first_price`,
                                               `continues`, `continue_price`, `type`, `uniqid`)
VALUES (303, 210000, 38, 210100, 1.00, 0.00, 1.00, 0.00, 1, 'a1aea83372074b77a48aad2be5b58f40');
INSERT INTO `yshop_shipping_templates_region` (`id`, `province_id`, `temp_id`, `city_id`, `first`, `first_price`,
                                               `continues`, `continue_price`, `type`, `uniqid`)
VALUES (304, 210000, 38, 210200, 1.00, 0.00, 1.00, 0.00, 1, 'a1aea83372074b77a48aad2be5b58f40');
INSERT INTO `yshop_shipping_templates_region` (`id`, `province_id`, `temp_id`, `city_id`, `first`, `first_price`,
                                               `continues`, `continue_price`, `type`, `uniqid`)
VALUES (305, 210000, 38, 210300, 1.00, 0.00, 1.00, 0.00, 1, 'a1aea83372074b77a48aad2be5b58f40');
INSERT INTO `yshop_shipping_templates_region` (`id`, `province_id`, `temp_id`, `city_id`, `first`, `first_price`,
                                               `continues`, `continue_price`, `type`, `uniqid`)
VALUES (306, 210000, 38, 210400, 1.00, 0.00, 1.00, 0.00, 1, 'a1aea83372074b77a48aad2be5b58f40');
INSERT INTO `yshop_shipping_templates_region` (`id`, `province_id`, `temp_id`, `city_id`, `first`, `first_price`,
                                               `continues`, `continue_price`, `type`, `uniqid`)
VALUES (307, 210000, 38, 210500, 1.00, 0.00, 1.00, 0.00, 1, 'a1aea83372074b77a48aad2be5b58f40');
INSERT INTO `yshop_shipping_templates_region` (`id`, `province_id`, `temp_id`, `city_id`, `first`, `first_price`,
                                               `continues`, `continue_price`, `type`, `uniqid`)
VALUES (308, 210000, 38, 210600, 1.00, 0.00, 1.00, 0.00, 1, 'a1aea83372074b77a48aad2be5b58f40');
INSERT INTO `yshop_shipping_templates_region` (`id`, `province_id`, `temp_id`, `city_id`, `first`, `first_price`,
                                               `continues`, `continue_price`, `type`, `uniqid`)
VALUES (309, 210000, 38, 210700, 1.00, 0.00, 1.00, 0.00, 1, 'a1aea83372074b77a48aad2be5b58f40');
INSERT INTO `yshop_shipping_templates_region` (`id`, `province_id`, `temp_id`, `city_id`, `first`, `first_price`,
                                               `continues`, `continue_price`, `type`, `uniqid`)
VALUES (310, 210000, 38, 210800, 1.00, 0.00, 1.00, 0.00, 1, 'a1aea83372074b77a48aad2be5b58f40');
INSERT INTO `yshop_shipping_templates_region` (`id`, `province_id`, `temp_id`, `city_id`, `first`, `first_price`,
                                               `continues`, `continue_price`, `type`, `uniqid`)
VALUES (311, 210000, 38, 210900, 1.00, 0.00, 1.00, 0.00, 1, 'a1aea83372074b77a48aad2be5b58f40');
INSERT INTO `yshop_shipping_templates_region` (`id`, `province_id`, `temp_id`, `city_id`, `first`, `first_price`,
                                               `continues`, `continue_price`, `type`, `uniqid`)
VALUES (312, 210000, 38, 211000, 1.00, 0.00, 1.00, 0.00, 1, 'a1aea83372074b77a48aad2be5b58f40');
INSERT INTO `yshop_shipping_templates_region` (`id`, `province_id`, `temp_id`, `city_id`, `first`, `first_price`,
                                               `continues`, `continue_price`, `type`, `uniqid`)
VALUES (313, 210000, 38, 211100, 1.00, 0.00, 1.00, 0.00, 1, 'a1aea83372074b77a48aad2be5b58f40');
INSERT INTO `yshop_shipping_templates_region` (`id`, `province_id`, `temp_id`, `city_id`, `first`, `first_price`,
                                               `continues`, `continue_price`, `type`, `uniqid`)
VALUES (314, 210000, 38, 211200, 1.00, 0.00, 1.00, 0.00, 1, 'a1aea83372074b77a48aad2be5b58f40');
INSERT INTO `yshop_shipping_templates_region` (`id`, `province_id`, `temp_id`, `city_id`, `first`, `first_price`,
                                               `continues`, `continue_price`, `type`, `uniqid`)
VALUES (315, 210000, 38, 211300, 1.00, 0.00, 1.00, 0.00, 1, 'a1aea83372074b77a48aad2be5b58f40');
INSERT INTO `yshop_shipping_templates_region` (`id`, `province_id`, `temp_id`, `city_id`, `first`, `first_price`,
                                               `continues`, `continue_price`, `type`, `uniqid`)
VALUES (316, 210000, 38, 211400, 1.00, 0.00, 1.00, 0.00, 1, 'a1aea83372074b77a48aad2be5b58f40');
INSERT INTO `yshop_shipping_templates_region` (`id`, `province_id`, `temp_id`, `city_id`, `first`, `first_price`,
                                               `continues`, `continue_price`, `type`, `uniqid`)
VALUES (317, 110000, 38, 110100, 1.00, 10.00, 1.00, 10.00, 1, 'a98af0dacabe4991aa6e9933a8ae5f92');
INSERT INTO `yshop_shipping_templates_region` (`id`, `province_id`, `temp_id`, `city_id`, `first`, `first_price`,
                                               `continues`, `continue_price`, `type`, `uniqid`)
VALUES (343, 0, 39, 0, 1.00, 0.00, 1.00, 0.00, 2, 'ebb14ed9696e4911b681871bacb36b0a');
INSERT INTO `yshop_shipping_templates_region` (`id`, `province_id`, `temp_id`, `city_id`, `first`, `first_price`,
                                               `continues`, `continue_price`, `type`, `uniqid`)
VALUES (344, 440000, 39, 440100, 1.00, 5.00, 1.00, 2.00, 2, '4c7690a8f02f4408bd9db373fa87e825');
INSERT INTO `yshop_shipping_templates_region` (`id`, `province_id`, `temp_id`, `city_id`, `first`, `first_price`,
                                               `continues`, `continue_price`, `type`, `uniqid`)
VALUES (345, 440000, 39, 440200, 1.00, 5.00, 1.00, 2.00, 2, '4c7690a8f02f4408bd9db373fa87e825');
INSERT INTO `yshop_shipping_templates_region` (`id`, `province_id`, `temp_id`, `city_id`, `first`, `first_price`,
                                               `continues`, `continue_price`, `type`, `uniqid`)
VALUES (346, 440000, 39, 440300, 1.00, 5.00, 1.00, 2.00, 2, '4c7690a8f02f4408bd9db373fa87e825');
INSERT INTO `yshop_shipping_templates_region` (`id`, `province_id`, `temp_id`, `city_id`, `first`, `first_price`,
                                               `continues`, `continue_price`, `type`, `uniqid`)
VALUES (347, 440000, 39, 440400, 1.00, 5.00, 1.00, 2.00, 2, '4c7690a8f02f4408bd9db373fa87e825');
INSERT INTO `yshop_shipping_templates_region` (`id`, `province_id`, `temp_id`, `city_id`, `first`, `first_price`,
                                               `continues`, `continue_price`, `type`, `uniqid`)
VALUES (348, 440000, 39, 440500, 1.00, 5.00, 1.00, 2.00, 2, '4c7690a8f02f4408bd9db373fa87e825');
INSERT INTO `yshop_shipping_templates_region` (`id`, `province_id`, `temp_id`, `city_id`, `first`, `first_price`,
                                               `continues`, `continue_price`, `type`, `uniqid`)
VALUES (349, 440000, 39, 440600, 1.00, 5.00, 1.00, 2.00, 2, '4c7690a8f02f4408bd9db373fa87e825');
INSERT INTO `yshop_shipping_templates_region` (`id`, `province_id`, `temp_id`, `city_id`, `first`, `first_price`,
                                               `continues`, `continue_price`, `type`, `uniqid`)
VALUES (350, 440000, 39, 440700, 1.00, 5.00, 1.00, 2.00, 2, '4c7690a8f02f4408bd9db373fa87e825');
INSERT INTO `yshop_shipping_templates_region` (`id`, `province_id`, `temp_id`, `city_id`, `first`, `first_price`,
                                               `continues`, `continue_price`, `type`, `uniqid`)
VALUES (351, 440000, 39, 440800, 1.00, 5.00, 1.00, 2.00, 2, '4c7690a8f02f4408bd9db373fa87e825');
INSERT INTO `yshop_shipping_templates_region` (`id`, `province_id`, `temp_id`, `city_id`, `first`, `first_price`,
                                               `continues`, `continue_price`, `type`, `uniqid`)
VALUES (352, 440000, 39, 440900, 1.00, 5.00, 1.00, 2.00, 2, '4c7690a8f02f4408bd9db373fa87e825');
INSERT INTO `yshop_shipping_templates_region` (`id`, `province_id`, `temp_id`, `city_id`, `first`, `first_price`,
                                               `continues`, `continue_price`, `type`, `uniqid`)
VALUES (353, 440000, 39, 441200, 1.00, 5.00, 1.00, 2.00, 2, '4c7690a8f02f4408bd9db373fa87e825');
INSERT INTO `yshop_shipping_templates_region` (`id`, `province_id`, `temp_id`, `city_id`, `first`, `first_price`,
                                               `continues`, `continue_price`, `type`, `uniqid`)
VALUES (354, 440000, 39, 441300, 1.00, 5.00, 1.00, 2.00, 2, '4c7690a8f02f4408bd9db373fa87e825');
INSERT INTO `yshop_shipping_templates_region` (`id`, `province_id`, `temp_id`, `city_id`, `first`, `first_price`,
                                               `continues`, `continue_price`, `type`, `uniqid`)
VALUES (355, 440000, 39, 441400, 1.00, 5.00, 1.00, 2.00, 2, '4c7690a8f02f4408bd9db373fa87e825');
INSERT INTO `yshop_shipping_templates_region` (`id`, `province_id`, `temp_id`, `city_id`, `first`, `first_price`,
                                               `continues`, `continue_price`, `type`, `uniqid`)
VALUES (356, 440000, 39, 441500, 1.00, 5.00, 1.00, 2.00, 2, '4c7690a8f02f4408bd9db373fa87e825');
INSERT INTO `yshop_shipping_templates_region` (`id`, `province_id`, `temp_id`, `city_id`, `first`, `first_price`,
                                               `continues`, `continue_price`, `type`, `uniqid`)
VALUES (357, 440000, 39, 441600, 1.00, 5.00, 1.00, 2.00, 2, '4c7690a8f02f4408bd9db373fa87e825');
INSERT INTO `yshop_shipping_templates_region` (`id`, `province_id`, `temp_id`, `city_id`, `first`, `first_price`,
                                               `continues`, `continue_price`, `type`, `uniqid`)
VALUES (358, 440000, 39, 441700, 1.00, 5.00, 1.00, 2.00, 2, '4c7690a8f02f4408bd9db373fa87e825');
INSERT INTO `yshop_shipping_templates_region` (`id`, `province_id`, `temp_id`, `city_id`, `first`, `first_price`,
                                               `continues`, `continue_price`, `type`, `uniqid`)
VALUES (359, 440000, 39, 441800, 1.00, 5.00, 1.00, 2.00, 2, '4c7690a8f02f4408bd9db373fa87e825');
INSERT INTO `yshop_shipping_templates_region` (`id`, `province_id`, `temp_id`, `city_id`, `first`, `first_price`,
                                               `continues`, `continue_price`, `type`, `uniqid`)
VALUES (360, 440000, 39, 441900, 1.00, 5.00, 1.00, 2.00, 2, '4c7690a8f02f4408bd9db373fa87e825');
INSERT INTO `yshop_shipping_templates_region` (`id`, `province_id`, `temp_id`, `city_id`, `first`, `first_price`,
                                               `continues`, `continue_price`, `type`, `uniqid`)
VALUES (361, 440000, 39, 442000, 1.00, 5.00, 1.00, 2.00, 2, '4c7690a8f02f4408bd9db373fa87e825');
INSERT INTO `yshop_shipping_templates_region` (`id`, `province_id`, `temp_id`, `city_id`, `first`, `first_price`,
                                               `continues`, `continue_price`, `type`, `uniqid`)
VALUES (362, 440000, 39, 445100, 1.00, 5.00, 1.00, 2.00, 2, '4c7690a8f02f4408bd9db373fa87e825');
INSERT INTO `yshop_shipping_templates_region` (`id`, `province_id`, `temp_id`, `city_id`, `first`, `first_price`,
                                               `continues`, `continue_price`, `type`, `uniqid`)
VALUES (363, 440000, 39, 445200, 1.00, 5.00, 1.00, 2.00, 2, '4c7690a8f02f4408bd9db373fa87e825');
INSERT INTO `yshop_shipping_templates_region` (`id`, `province_id`, `temp_id`, `city_id`, `first`, `first_price`,
                                               `continues`, `continue_price`, `type`, `uniqid`)
VALUES (364, 440000, 39, 445300, 1.00, 5.00, 1.00, 2.00, 2, '4c7690a8f02f4408bd9db373fa87e825');
INSERT INTO `yshop_shipping_templates_region` (`id`, `province_id`, `temp_id`, `city_id`, `first`, `first_price`,
                                               `continues`, `continue_price`, `type`, `uniqid`)
VALUES (365, 420000, 39, 420100, 1.00, 0.00, 1.00, 0.00, 2, 'b85ad75bd0bf44fe9e5ec5329facc803');
INSERT INTO `yshop_shipping_templates_region` (`id`, `province_id`, `temp_id`, `city_id`, `first`, `first_price`,
                                               `continues`, `continue_price`, `type`, `uniqid`)
VALUES (366, 0, 40, 0, 1.00, 2.00, 1.00, 2.00, 2, '5e580d66a9d44a18a71f94d01387901a');
COMMIT;

-- ----------------------------
-- Table structure for yshop_store_after_sales
-- ----------------------------
DROP TABLE IF EXISTS `yshop_store_after_sales`;
CREATE TABLE `yshop_store_after_sales`
(
    `id`               bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'id',
    `order_code`       varchar(32) COLLATE utf8_bin  DEFAULT NULL COMMENT '订单号',
    `refund_amount`    decimal(32, 8)                DEFAULT NULL COMMENT '退款金额',
    `service_type`     tinyint(1) DEFAULT NULL COMMENT '服务类型0仅退款1退货退款',
    `reasons`          text COLLATE utf8_bin COMMENT '申请原因',
    `explains`         text COLLATE utf8_bin COMMENT '说明',
    `explain_img`      text COLLATE utf8_bin COMMENT '说明图片->多个用逗号分割',
    `shipper_code`     varchar(255) COLLATE utf8_bin DEFAULT NULL COMMENT '物流公司编码',
    `delivery_sn`      varchar(32) COLLATE utf8_bin  DEFAULT NULL COMMENT '物流单号',
    `delivery_name`    varchar(32) COLLATE utf8_bin  DEFAULT NULL COMMENT '物流名称',
    `state`            tinyint(1) DEFAULT NULL COMMENT '状态 0已提交等待平台审核 1平台已审核 等待用户发货/退款 2 用户已发货 3退款成功',
    `sales_state`      tinyint(1) DEFAULT NULL COMMENT '售后状态-0正常1用户取消2商家拒绝',
    `creator`          varchar(64) COLLATE utf8_bin  DEFAULT NULL COMMENT '创建者',
    `create_time`      datetime                      DEFAULT NULL COMMENT '添加时间',
    `updater`          varchar(64) COLLATE utf8_bin  DEFAULT NULL COMMENT '更新者',
    `update_time`      datetime                      DEFAULT NULL COMMENT '更新时间',
    `deleted`          bit(1)                        DEFAULT b'0' COMMENT '逻辑删除',
    `user_id`          bigint(20) DEFAULT NULL COMMENT '用户id',
    `consignee`        varchar(255) COLLATE utf8_bin DEFAULT NULL COMMENT '商家收货人',
    `phone_number`     varchar(255) COLLATE utf8_bin DEFAULT NULL COMMENT '商家手机号',
    `address`          varchar(255) COLLATE utf8_bin DEFAULT NULL COMMENT '商家地址',
    `tenant_id`        bigint(20) DEFAULT NULL COMMENT '租户编号',
    `return_policy`    text COLLATE utf8_bin COMMENT '退货说明',
    `return_voucher`   text COLLATE utf8_bin COMMENT '退货凭证',
    `receiving_status` tinyint(1) DEFAULT '0' COMMENT '收货状态：0、未收到，1、已收到',
    PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='售后记录表';

-- ----------------------------
-- Records of yshop_store_after_sales
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for yshop_store_after_sales_item
-- ----------------------------
DROP TABLE IF EXISTS `yshop_store_after_sales_item`;
CREATE TABLE `yshop_store_after_sales_item`
(
    `id`                   bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键id',
    `store_after_sales_id` bigint(20) DEFAULT NULL COMMENT '售后id',
    `product_id`           bigint(20) DEFAULT NULL COMMENT '商品id',
    `cart_info`            text COLLATE utf8_bin NOT NULL COMMENT '退货东西的详情信息',
    `deleted`              bit(1)                         DEFAULT b'0' COMMENT '逻辑删除',
    `tenant_id`            bigint(20) DEFAULT NULL COMMENT '租户编号',
    `creator`              varchar(64) CHARACTER SET utf8 DEFAULT NULL COMMENT '创建者',
    `create_time`          datetime              NOT NULL COMMENT '添加时间',
    `update_time`          datetime                       DEFAULT NULL COMMENT '更新时间',
    `updater`              varchar(64) CHARACTER SET utf8 DEFAULT NULL COMMENT '更新者',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='售后子表';

-- ----------------------------
-- Records of yshop_store_after_sales_item
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for yshop_store_after_sales_status
-- ----------------------------
DROP TABLE IF EXISTS `yshop_store_after_sales_status`;
CREATE TABLE `yshop_store_after_sales_status`
(
    `id`                   bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'id',
    `store_after_sales_id` bigint(20) DEFAULT NULL COMMENT '售后id',
    `change_type`          tinyint(1) DEFAULT NULL COMMENT '操作类型',
    `change_message`       varchar(128) COLLATE utf8_bin DEFAULT NULL COMMENT '操作备注',
    `change_time`          datetime                      DEFAULT NULL COMMENT '操作时间',
    `operator`             varchar(32) COLLATE utf8_bin  DEFAULT NULL COMMENT '操作人',
    PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='售后订单操作详情表';

-- ----------------------------
-- Records of yshop_store_after_sales_status
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for yshop_store_backup_record
-- ----------------------------
DROP TABLE IF EXISTS `yshop_store_backup_record`;
CREATE TABLE `yshop_store_backup_record`
(
    `id`          int(11) NOT NULL AUTO_INCREMENT COMMENT 'id',
    `create_time` datetime    DEFAULT NULL COMMENT '创建时间',
    `creator`     varchar(64) DEFAULT NULL COMMENT '创建者',
    `update_time` datetime    DEFAULT NULL COMMENT '更新时间/执行还原时间',
    `updater`     varchar(64) DEFAULT NULL COMMENT '更新人/还原人',
    `deleted`     bit(1)      DEFAULT b'0' COMMENT '删除',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=27 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='备份记录表';

-- ----------------------------
-- Records of yshop_store_backup_record
-- ----------------------------
BEGIN;
INSERT INTO `yshop_store_backup_record` (`id`, `create_time`, `creator`, `update_time`, `updater`, `deleted`)
VALUES (24, '2023-11-22 21:50:22', '1', '2023-11-22 21:50:22', '1', b'0');
INSERT INTO `yshop_store_backup_record` (`id`, `create_time`, `creator`, `update_time`, `updater`, `deleted`)
VALUES (25, '2023-11-23 09:31:34', '1', '2023-11-23 09:31:34', '1', b'0');
INSERT INTO `yshop_store_backup_record` (`id`, `create_time`, `creator`, `update_time`, `updater`, `deleted`)
VALUES (26, '2023-11-23 09:36:47', '1', '2023-11-23 09:36:47', '1', b'0');
COMMIT;

-- ----------------------------
-- Table structure for yshop_store_cart
-- ----------------------------
DROP TABLE IF EXISTS `yshop_store_cart`;
CREATE TABLE `yshop_store_cart`
(
    `id`                  bigint(20) NOT NULL AUTO_INCREMENT COMMENT '购物车表ID',
    `uid`                 bigint(20) unsigned NOT NULL COMMENT '用户ID',
    `type`                varchar(32) NOT NULL DEFAULT 'product' COMMENT '类型',
    `product_id`          bigint(20) unsigned NOT NULL COMMENT '商品ID',
    `product_attr_unique` varchar(50) NOT NULL DEFAULT '' COMMENT '商品属性',
    `cart_num`            smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT '商品数量',
    `is_pay`              tinyint(1) NOT NULL DEFAULT '0' COMMENT '0 = 未购买 1 = 已购买',
    `is_new`              tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否为立即购买',
    `combination_id`      int(10) unsigned DEFAULT '0' COMMENT '拼团id',
    `seckill_id`          int(10) unsigned NOT NULL DEFAULT '0' COMMENT '秒杀产品ID',
    `bargain_id`          int(10) unsigned NOT NULL DEFAULT '0' COMMENT '砍价id',
    `deleted`             bit(1)               DEFAULT b'0' COMMENT '逻辑删除',
    `tenant_id`           bigint(20) DEFAULT NULL COMMENT '租户编号',
    `creator`             varchar(64)          DEFAULT NULL COMMENT '创建者',
    `create_time`         datetime    NOT NULL COMMENT '添加时间',
    `update_time`         datetime             DEFAULT NULL COMMENT '更新时间',
    `updater`             varchar(64)          DEFAULT NULL COMMENT '更新者',
    PRIMARY KEY (`id`) USING BTREE,
    KEY                   `user_id` (`uid`) USING BTREE,
    KEY                   `goods_id` (`product_id`) USING BTREE,
    KEY                   `uid` (`uid`,`is_pay`) USING BTREE,
    KEY                   `uid_2` (`uid`) USING BTREE,
    KEY                   `uid_3` (`uid`,`is_new`) USING BTREE,
    KEY                   `type` (`type`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='购物车表';

-- ----------------------------
-- Records of yshop_store_cart
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for yshop_store_order
-- ----------------------------
DROP TABLE IF EXISTS `yshop_store_order`;
CREATE TABLE `yshop_store_order`
(
    `id`                        bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '订单ID',
    `order_id`                  varchar(32)   NOT NULL COMMENT '订单号',
    `extend_order_id`           varchar(32)            DEFAULT NULL COMMENT '额外订单号',
    `uid`                       bigint(20) unsigned NOT NULL COMMENT '用户id',
    `real_name`                 varchar(32)   NOT NULL COMMENT '用户姓名',
    `user_phone`                varchar(18)   NOT NULL COMMENT '用户电话',
    `user_address`              varchar(100)  NOT NULL COMMENT '详细地址',
    `cart_id`                   varchar(256)  NOT NULL DEFAULT '[]' COMMENT '购物车id',
    `freight_price`             decimal(8, 2) NOT NULL DEFAULT '0.00' COMMENT '运费金额',
    `total_num`                 int(10) unsigned NOT NULL DEFAULT '0' COMMENT '订单商品总数',
    `total_price`               decimal(8, 2) unsigned NOT NULL DEFAULT '0.00' COMMENT '订单总价',
    `total_postage`             decimal(8, 2) unsigned NOT NULL DEFAULT '0.00' COMMENT '邮费',
    `pay_price`                 decimal(8, 2) unsigned NOT NULL DEFAULT '0.00' COMMENT '实际支付金额',
    `pay_postage`               decimal(8, 2) unsigned NOT NULL DEFAULT '0.00' COMMENT '支付邮费',
    `deduction_price`           decimal(8, 2) unsigned NOT NULL DEFAULT '0.00' COMMENT '抵扣金额',
    `coupon_id`                 int(10) unsigned DEFAULT NULL COMMENT '优惠券id',
    `coupon_price`              decimal(8, 2) unsigned NOT NULL DEFAULT '0.00' COMMENT '优惠券金额',
    `paid`                      tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT '支付状态',
    `pay_time`                  datetime               DEFAULT NULL COMMENT '支付时间',
    `pay_type`                  varchar(32)   NOT NULL COMMENT '支付方式',
    `status`                    tinyint(1) NOT NULL DEFAULT '0' COMMENT '订单状态（-1 : 申请退款 -2 : 退货成功 0：待发货；1：待收货；2：已收货；3：已完成；-1：已退款）',
    `refund_status`             tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT '0 未退款 1 申请中 2 已退款',
    `refund_reason_wap_img`     varchar(255)           DEFAULT NULL COMMENT '退款图片',
    `refund_reason_wap_explain` varchar(255)           DEFAULT NULL COMMENT '退款用户说明',
    `refund_reason_time`        datetime               DEFAULT NULL COMMENT '退款时间',
    `refund_reason_wap`         varchar(255)           DEFAULT NULL COMMENT '前台退款原因',
    `refund_reason`             varchar(255)           DEFAULT NULL COMMENT '不退款的理由',
    `refund_price`              decimal(8, 2) unsigned NOT NULL DEFAULT '0.00' COMMENT '退款金额',
    `delivery_sn`               varchar(100)           DEFAULT '' COMMENT '快递公司编号',
    `delivery_name`             varchar(64)            DEFAULT NULL COMMENT '快递名称/送货人姓名',
    `delivery_type`             varchar(32)            DEFAULT 'normal' COMMENT '发货类型normal-手动填写 ｜face-电子面单',
    `order_type`                varchar(50)            DEFAULT 'send' COMMENT '类型send|virtual',
    `delivery_id`               varchar(64)            DEFAULT NULL COMMENT '快递单号/手机号',
    `gain_integral`             decimal(8, 2) unsigned NOT NULL DEFAULT '0.00' COMMENT '消费赚取积分',
    `use_integral`              decimal(8, 2) unsigned NOT NULL DEFAULT '0.00' COMMENT '使用积分',
    `pay_integral`              decimal(8, 2) unsigned NOT NULL DEFAULT '0.00' COMMENT '实际支付积分',
    `back_integral`             decimal(8, 2) unsigned DEFAULT '0.00' COMMENT '给用户退了多少积分',
    `mark`                      varchar(512)  NOT NULL COMMENT '备注',
    `unique`                    char(32)      NOT NULL COMMENT '唯一id(md5加密)类似id',
    `remark`                    varchar(512)           DEFAULT NULL COMMENT '管理员备注',
    `mer_id`                    int(10) unsigned NOT NULL DEFAULT '0' COMMENT '商户ID',
    `combination_id`            bigint(20) unsigned DEFAULT '0' COMMENT '拼团产品id0一般产品',
    `pink_id`                   bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '拼团id 0没有拼团',
    `cost`                      decimal(8, 2) unsigned NOT NULL COMMENT '成本价',
    `seckill_id`                bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '秒杀产品ID',
    `bargain_id`                int(10) unsigned DEFAULT '0' COMMENT '砍价id',
    `verify_code`               varchar(50)   NOT NULL DEFAULT '' COMMENT '核销码',
    `store_id`                  int(11) NOT NULL DEFAULT '0' COMMENT '门店id',
    `shipping_type`             tinyint(1) NOT NULL DEFAULT '1' COMMENT '配送方式 1=快递 ，2=门店自提',
    `is_channel`                tinyint(3) unsigned DEFAULT '0' COMMENT '支付渠道(0微信公众号1微信小程序)',
    `is_system_del`             tinyint(1) DEFAULT '0' COMMENT '系统删除',
    `deleted`                   bit(1)                 DEFAULT b'0' COMMENT '逻辑删除',
    `tenant_id`                 bigint(20) DEFAULT NULL COMMENT '租户编号',
    `creator`                   varchar(64)            DEFAULT NULL COMMENT '创建者',
    `create_time`               datetime      NOT NULL COMMENT '添加时间',
    `update_time`               datetime               DEFAULT NULL COMMENT '更新时间',
    `updater`                   varchar(64)            DEFAULT NULL COMMENT '更新者',
    `pay_info`                  varchar(1024)          DEFAULT NULL,
    `city_id`                   int(11) DEFAULT NULL COMMENT '城市id',
    PRIMARY KEY (`id`) USING BTREE,
    UNIQUE KEY `order_id_2` (`order_id`,`uid`) USING BTREE,
    UNIQUE KEY `unique` (`unique`) USING BTREE,
    KEY                         `uid` (`uid`) USING BTREE,
    KEY                         `add_time` (`create_time`) USING BTREE,
    KEY                         `pay_price` (`pay_price`) USING BTREE,
    KEY                         `paid` (`paid`) USING BTREE,
    KEY                         `pay_time` (`pay_time`) USING BTREE,
    KEY                         `pay_type` (`pay_type`) USING BTREE,
    KEY                         `status` (`status`) USING BTREE,
    KEY                         `coupon_id` (`coupon_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='订单表';

-- ----------------------------
-- Records of yshop_store_order
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for yshop_store_order_cart_info
-- ----------------------------
DROP TABLE IF EXISTS `yshop_store_order_cart_info`;
CREATE TABLE `yshop_store_order_cart_info`
(
    `id`             bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT 'id',
    `oid`            bigint(20) unsigned NOT NULL COMMENT '订单id',
    `order_id`       varchar(32)          DEFAULT NULL COMMENT '订单号',
    `cart_id`        bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '购物车id',
    `product_id`     bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '商品ID',
    `cart_info`      text        NOT NULL COMMENT '购买东西的详细信息',
    `unique`         varchar(50) NOT NULL DEFAULT '' COMMENT '唯一id',
    `is_after_sales` tinyint(1) DEFAULT '0' COMMENT '是否能售后0不能1能',
    `coupon_price`   decimal(8, 2)        DEFAULT '0.00' COMMENT '优惠金额',
    `postage_price`  decimal(8, 2)        DEFAULT '0.00' COMMENT '邮费金额',
    PRIMARY KEY (`id`) USING BTREE,
    UNIQUE KEY `oid` (`oid`,`unique`) USING BTREE,
    KEY              `cart_id` (`cart_id`) USING BTREE,
    KEY              `product_id` (`product_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='订单购物详情表';

-- ----------------------------
-- Records of yshop_store_order_cart_info
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for yshop_store_order_electronics
-- ----------------------------
DROP TABLE IF EXISTS `yshop_store_order_electronics`;
CREATE TABLE `yshop_store_order_electronics`
(
    `id`             bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键id',
    `order_sn`       varchar(50) COLLATE utf8mb4_unicode_ci  DEFAULT NULL COMMENT '订单编号',
    `print_template` longtext COLLATE utf8mb4_unicode_ci COMMENT '模板',
    `logistic_code`  varchar(50) COLLATE utf8mb4_unicode_ci  DEFAULT NULL COMMENT '物流单号',
    `shipper_code`   varchar(30) COLLATE utf8mb4_unicode_ci  DEFAULT NULL COMMENT '快递编号',
    `order`          varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '接口返回的json',
    `customer_name`  varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '线下网点客户号',
    `customer_pwd`   varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '线下网点密码',
    `status`         tinyint(1) DEFAULT '0' COMMENT '状态:0=正常,1=已取消',
    `create_time`    datetime                                DEFAULT NULL COMMENT '创建时间',
    `update_time`    datetime                                DEFAULT NULL COMMENT '更新时间',
    `creator`        varchar(64) COLLATE utf8mb4_unicode_ci  DEFAULT NULL COMMENT '创建者',
    `updater`        datetime                                DEFAULT NULL COMMENT '更新者',
    `deleted`        bit(1)                                  DEFAULT b'0' COMMENT '逻辑删除',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='订单电子面单记录';

-- ----------------------------
-- Records of yshop_store_order_electronics
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for yshop_store_order_status
-- ----------------------------
DROP TABLE IF EXISTS `yshop_store_order_status`;
CREATE TABLE `yshop_store_order_status`
(
    `id`             bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT 'id',
    `oid`            bigint(20) unsigned NOT NULL COMMENT '订单id',
    `change_type`    varchar(32)  NOT NULL COMMENT '操作类型',
    `change_message` varchar(256) NOT NULL COMMENT '操作备注',
    `change_time`    datetime     NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '操作时间',
    PRIMARY KEY (`id`) USING BTREE,
    KEY              `oid` (`oid`) USING BTREE,
    KEY              `change_type` (`change_type`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='订单操作记录表';

-- ----------------------------
-- Records of yshop_store_order_status
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for yshop_store_product
-- ----------------------------
DROP TABLE IF EXISTS `yshop_store_product`;
CREATE TABLE `yshop_store_product`
(
    `id`            bigint(20) NOT NULL AUTO_INCREMENT COMMENT '商品id',
    `image`         varchar(256)  NOT NULL COMMENT '商品图片',
    `slider_image`  varchar(2000) NOT NULL COMMENT '轮播图',
    `store_name`    varchar(128)  NOT NULL COMMENT '商品名称',
    `store_info`    varchar(256)  NOT NULL COMMENT '商品简介',
    `keyword`       varchar(256)  NOT NULL COMMENT '关键字',
    `bar_code`      varchar(15)            DEFAULT '' COMMENT '产品条码（一维码）',
    `brand_id`      bigint(20) DEFAULT NULL COMMENT '品牌',
    `cate_id`       bigint(20) NOT NULL COMMENT '分类id',
    `price`         decimal(8, 2) unsigned NOT NULL DEFAULT '0.00' COMMENT '商品价格',
    `vip_price`     decimal(8, 2) unsigned DEFAULT '0.00' COMMENT '会员价格',
    `ot_price`      decimal(8, 2) unsigned DEFAULT '0.00' COMMENT '市场价',
    `postage`       decimal(8, 2) unsigned DEFAULT '0.00' COMMENT '邮费',
    `unit_name`     varchar(32)            DEFAULT NULL COMMENT '单位名',
    `sort`          smallint(6) DEFAULT '0' COMMENT '排序',
    `sales`         mediumint(8) unsigned DEFAULT '0' COMMENT '销量',
    `stock`         mediumint(8) unsigned DEFAULT '0' COMMENT '库存',
    `is_show`       tinyint(1) DEFAULT '1' COMMENT '状态（0：未上架，1：上架）',
    `is_hot`        tinyint(1) DEFAULT '0' COMMENT '是否热卖',
    `is_benefit`    tinyint(1) DEFAULT '0' COMMENT '是否优惠',
    `is_best`       tinyint(1) DEFAULT '0' COMMENT '是否精品',
    `is_new`        tinyint(1) DEFAULT '0' COMMENT '是否新品',
    `description`   text COMMENT '产品描述',
    `creator`       varchar(64)            DEFAULT NULL COMMENT '创建者',
    `create_time`   datetime               DEFAULT NULL COMMENT '添加时间',
    `update_time`   datetime               DEFAULT NULL COMMENT '更新时间',
    `updater`       varchar(64)            DEFAULT NULL COMMENT '更新者',
    `is_postage`    tinyint(3) unsigned DEFAULT '0' COMMENT '是否包邮',
    `deleted`       bit(1)                 DEFAULT b'0' COMMENT '是否删除',
    `mer_use`       tinyint(3) unsigned DEFAULT '0' COMMENT '商户是否代理 0不可代理1可代理',
    `give_integral` decimal(8, 2) unsigned DEFAULT NULL COMMENT '获得积分',
    `cost`          decimal(8, 2) unsigned DEFAULT NULL COMMENT '成本价',
    `is_seckill`    tinyint(3) unsigned DEFAULT '0' COMMENT '秒杀状态 0 未开启 1已开启',
    `is_bargain`    tinyint(3) unsigned DEFAULT NULL COMMENT '砍价状态 0未开启 1开启',
    `is_good`       tinyint(1) DEFAULT '0' COMMENT '是否优品推荐',
    `ficti`         mediumint(9) DEFAULT '100' COMMENT '虚拟销量',
    `browse`        int(11) DEFAULT '0' COMMENT '浏览量',
    `code_path`     varchar(64)   NOT NULL DEFAULT '' COMMENT '产品二维码地址(用户小程序海报)',
    `is_sub`        tinyint(1) DEFAULT '0' COMMENT '是否单独分佣',
    `temp_id`       int(11) DEFAULT '0' COMMENT '运费模板ID',
    `spec_type`     tinyint(1) DEFAULT '0' COMMENT '规格 0单 1多',
    `is_integral`   tinyint(1) unsigned zerofill DEFAULT NULL COMMENT '是开启积分兑换',
    `integral`      int(11) DEFAULT '0' COMMENT '需要多少积分兑换 只在开启积分兑换时生效',
    `tenant_id`     bigint(20) DEFAULT '0' COMMENT '租户编号',
    PRIMARY KEY (`id`) USING BTREE,
    KEY             `is_hot` (`is_hot`) USING BTREE,
    KEY             `is_benefit` (`is_benefit`) USING BTREE,
    KEY             `is_best` (`is_best`) USING BTREE,
    KEY             `is_new` (`is_new`) USING BTREE,
    KEY             `toggle_on_sale, is_del` (`deleted`) USING BTREE,
    KEY             `price` (`price`) USING BTREE,
    KEY             `is_show` (`is_show`) USING BTREE,
    KEY             `sort` (`sort`) USING BTREE,
    KEY             `sales` (`sales`) USING BTREE,
    KEY             `add_time` (`create_time`) USING BTREE,
    KEY             `is_postage` (`is_postage`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=69 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='商品表';

-- ----------------------------
-- Records of yshop_store_product
-- ----------------------------
BEGIN;
INSERT INTO `yshop_store_product` (`id`, `image`, `slider_image`, `store_name`, `store_info`, `keyword`, `bar_code`,
                                   `brand_id`, `cate_id`, `price`, `vip_price`, `ot_price`, `postage`, `unit_name`,
                                   `sort`, `sales`, `stock`, `is_show`, `is_hot`, `is_benefit`, `is_best`, `is_new`,
                                   `description`, `creator`, `create_time`, `update_time`, `updater`, `is_postage`,
                                   `deleted`, `mer_use`, `give_integral`, `cost`, `is_seckill`, `is_bargain`, `is_good`,
                                   `ficti`, `browse`, `code_path`, `is_sub`, `temp_id`, `spec_type`, `is_integral`,
                                   `integral`, `tenant_id`)
VALUES (15,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a311502bef59f16c64a246c1404faed389ba9f6683d57b9134dd58e7feb19514.jpeg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a311502bef59f16c64a246c1404faed389ba9f6683d57b9134dd58e7feb19514.jpeg,https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/6ab0e01f94b05d6ecdab1820c86db930e392375c39b4abaded5dc416a3563991.jpeg',
        '单规格商品',
        '品牌： 华为（HUAWEI）\n\n商品名称：【现货速发】华为mate60pro+ 新品旗舰手机 砚黑 16+1TB\n\n商品编号：10085438614266\n\n商品毛重：500.00g\n\nCPU型号：未公布\n\n运行内存：16GB\n\n机身颜色：砚黑\n\n三防标准：IP68\n\n屏幕分辨率：FHD+\n\n充电功率：80-119W\n\n机身色系：黑色系\n\n屏幕材质：OLED曲面屏\n\n后摄主像素：4800万像素\n\n',
        '单规格', '', NULL, 6, 99.00, 0.00, 399.00, 0.00, '个', 0, 9, 99, 1, 0, 0, 0, 0, '<p>单规格商品·12</p>', '1',
        '2023-05-30 13:41:51', '2023-11-09 18:42:52', '1', 0, b'1', 0, 0.00, 299.00, 0, NULL, 0, 0, 0, '', 0, 0, 0, 0,
        0, 0);
INSERT INTO `yshop_store_product` (`id`, `image`, `slider_image`, `store_name`, `store_info`, `keyword`, `bar_code`,
                                   `brand_id`, `cate_id`, `price`, `vip_price`, `ot_price`, `postage`, `unit_name`,
                                   `sort`, `sales`, `stock`, `is_show`, `is_hot`, `is_benefit`, `is_best`, `is_new`,
                                   `description`, `creator`, `create_time`, `update_time`, `updater`, `is_postage`,
                                   `deleted`, `mer_use`, `give_integral`, `cost`, `is_seckill`, `is_bargain`, `is_good`,
                                   `ficti`, `browse`, `code_path`, `is_sub`, `temp_id`, `spec_type`, `is_integral`,
                                   `integral`, `tenant_id`)
VALUES (16,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/f3535a59c688b0b51b935aad3ea459f22447a86d813b2a25d4458e47b32a6cc3.jpeg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/f3535a59c688b0b51b935aad3ea459f22447a86d813b2a25d4458e47b32a6cc3.jpeg,http://127.0.0.1:48082/admin-api/infra/file/4/get/22287e48511097e544b58fcf61f7660f32c4f8527450ca025f4d43a6db1d8489.jpeg',
        '多规格商品', '多规格', '多规格', '', NULL, 3, 0.01, 0.00, 200.00, 10.00, '个', 0, 21, 548, 1, 0, 0, 0, 0,
        '<p>多规格</p>', '1', '2023-05-30 13:46:55', '2023-11-08 18:18:24', '1', 0, b'1', 0, 0.00, 200.00, 0, NULL, 0,
        0, 0, '', 0, 0, 1, 0, 0, 0);
INSERT INTO `yshop_store_product` (`id`, `image`, `slider_image`, `store_name`, `store_info`, `keyword`, `bar_code`,
                                   `brand_id`, `cate_id`, `price`, `vip_price`, `ot_price`, `postage`, `unit_name`,
                                   `sort`, `sales`, `stock`, `is_show`, `is_hot`, `is_benefit`, `is_best`, `is_new`,
                                   `description`, `creator`, `create_time`, `update_time`, `updater`, `is_postage`,
                                   `deleted`, `mer_use`, `give_integral`, `cost`, `is_seckill`, `is_bargain`, `is_good`,
                                   `ficti`, `browse`, `code_path`, `is_sub`, `temp_id`, `spec_type`, `is_integral`,
                                   `integral`, `tenant_id`)
VALUES (17,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/7599202df273d25f1ce3aeba21165a544849248fda23aad090098d7be0c063c9.jpeg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/67a561f49151230b2ad2a92409267a86b107a5d9dc3bc39f342dbb1bc64f7d0a.jpeg,https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/7599202df273d25f1ce3aeba21165a544849248fda23aad090098d7be0c063c9.jpeg',
        '设置运费模板邮费的商品', '邮费的商品', '邮费的商品', '', NULL, 6, 0.01, 0.00, 100.00, 0.00, '个', 0, 35, 99, 0,
        0, 0, 0, 0,
        '<p>邮费的商品</p><p><img src=\"http://127.0.0.1:48080/admin-api/infra/file/4/get/a311502bef59f16c64a246c1404faed389ba9f6683d57b9134dd58e7feb19514.jpeg\"/></p>',
        '1', '2023-06-10 11:40:05', '2023-11-13 15:31:57', '1', 0, b'0', 0, 10.00, 10.00, 0, NULL, 0, 0, 0, '', 0, 38,
        0, 0, 0, 0);
INSERT INTO `yshop_store_product` (`id`, `image`, `slider_image`, `store_name`, `store_info`, `keyword`, `bar_code`,
                                   `brand_id`, `cate_id`, `price`, `vip_price`, `ot_price`, `postage`, `unit_name`,
                                   `sort`, `sales`, `stock`, `is_show`, `is_hot`, `is_benefit`, `is_best`, `is_new`,
                                   `description`, `creator`, `create_time`, `update_time`, `updater`, `is_postage`,
                                   `deleted`, `mer_use`, `give_integral`, `cost`, `is_seckill`, `is_bargain`, `is_good`,
                                   `ficti`, `browse`, `code_path`, `is_sub`, `temp_id`, `spec_type`, `is_integral`,
                                   `integral`, `tenant_id`)
VALUES (18,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a311502bef59f16c64a246c1404faed389ba9f6683d57b9134dd58e7feb19514.jpeg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a311502bef59f16c64a246c1404faed389ba9f6683d57b9134dd58e7feb19514.jpeg,https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/6ab0e01f94b05d6ecdab1820c86db930e392375c39b4abaded5dc416a3563991.jpeg',
        '单规格商品', '单规格商品', '单规格', '', NULL, 2, 1.00, 0.00, 1.00, 0.00, '个', 0, 0, 1, 1, 0, 0, 0, 1,
        '<p>单规格商品</p>', '1', '2023-05-30 13:41:51', '2023-09-26 10:16:15', '1', 0, b'1', 0, 0.00, 1.00, 0, NULL, 0,
        0, 0, '', 0, 0, 0, 0, 0, 0);
INSERT INTO `yshop_store_product` (`id`, `image`, `slider_image`, `store_name`, `store_info`, `keyword`, `bar_code`,
                                   `brand_id`, `cate_id`, `price`, `vip_price`, `ot_price`, `postage`, `unit_name`,
                                   `sort`, `sales`, `stock`, `is_show`, `is_hot`, `is_benefit`, `is_best`, `is_new`,
                                   `description`, `creator`, `create_time`, `update_time`, `updater`, `is_postage`,
                                   `deleted`, `mer_use`, `give_integral`, `cost`, `is_seckill`, `is_bargain`, `is_good`,
                                   `ficti`, `browse`, `code_path`, `is_sub`, `temp_id`, `spec_type`, `is_integral`,
                                   `integral`, `tenant_id`)
VALUES (19,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a311502bef59f16c64a246c1404faed389ba9f6683d57b9134dd58e7feb19514.jpeg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a311502bef59f16c64a246c1404faed389ba9f6683d57b9134dd58e7feb19514.jpeg,https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/6ab0e01f94b05d6ecdab1820c86db930e392375c39b4abaded5dc416a3563991.jpeg',
        '单规格商品', '单规格商品', '单规格', '', NULL, 2, 1.00, 0.00, 1.00, 0.00, '个', 0, 0, 1, 1, 0, 0, 0, 0,
        '<p>单规格商品</p>', '1', '2023-05-30 13:41:51', '2023-08-11 11:59:00', '1', 0, b'1', 0, 0.00, 1.00, 0, NULL, 0,
        0, 0, '', 0, 0, 0, 0, 0, 0);
INSERT INTO `yshop_store_product` (`id`, `image`, `slider_image`, `store_name`, `store_info`, `keyword`, `bar_code`,
                                   `brand_id`, `cate_id`, `price`, `vip_price`, `ot_price`, `postage`, `unit_name`,
                                   `sort`, `sales`, `stock`, `is_show`, `is_hot`, `is_benefit`, `is_best`, `is_new`,
                                   `description`, `creator`, `create_time`, `update_time`, `updater`, `is_postage`,
                                   `deleted`, `mer_use`, `give_integral`, `cost`, `is_seckill`, `is_bargain`, `is_good`,
                                   `ficti`, `browse`, `code_path`, `is_sub`, `temp_id`, `spec_type`, `is_integral`,
                                   `integral`, `tenant_id`)
VALUES (20,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a311502bef59f16c64a246c1404faed389ba9f6683d57b9134dd58e7feb19514.jpeg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a311502bef59f16c64a246c1404faed389ba9f6683d57b9134dd58e7feb19514.jpeg,https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/6ab0e01f94b05d6ecdab1820c86db930e392375c39b4abaded5dc416a3563991.jpeg',
        '单规格商品', '单规格商品', '单规格', '', NULL, 6, 1.00, 0.00, 1.00, 0.00, '个', 0, 2, 0, 1, 0, 0, 0, 0,
        '<p>单规格商品</p>', '1', '2023-05-30 13:41:51', '2023-11-09 17:24:40', '1', 0, b'1', 0, 0.00, 1.00, 0, NULL, 0,
        0, 0, '', 0, 0, 0, 0, 0, 0);
INSERT INTO `yshop_store_product` (`id`, `image`, `slider_image`, `store_name`, `store_info`, `keyword`, `bar_code`,
                                   `brand_id`, `cate_id`, `price`, `vip_price`, `ot_price`, `postage`, `unit_name`,
                                   `sort`, `sales`, `stock`, `is_show`, `is_hot`, `is_benefit`, `is_best`, `is_new`,
                                   `description`, `creator`, `create_time`, `update_time`, `updater`, `is_postage`,
                                   `deleted`, `mer_use`, `give_integral`, `cost`, `is_seckill`, `is_bargain`, `is_good`,
                                   `ficti`, `browse`, `code_path`, `is_sub`, `temp_id`, `spec_type`, `is_integral`,
                                   `integral`, `tenant_id`)
VALUES (21,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a311502bef59f16c64a246c1404faed389ba9f6683d57b9134dd58e7feb19514.jpeg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a311502bef59f16c64a246c1404faed389ba9f6683d57b9134dd58e7feb19514.jpeg,https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/6ab0e01f94b05d6ecdab1820c86db930e392375c39b4abaded5dc416a3563991.jpeg',
        '单规格商品', '单规格商品', '单规格', '', NULL, 6, 1.00, 0.00, 1.00, 0.00, '个', 0, 1, 1, 1, 0, 0, 0, 0,
        '<p>单规格商品</p>', '1', '2023-05-30 13:41:51', '2023-11-09 17:24:32', '1', 0, b'1', 0, 0.00, 1.00, 0, NULL, 0,
        0, 0, '', 0, 0, 0, 0, 0, 0);
INSERT INTO `yshop_store_product` (`id`, `image`, `slider_image`, `store_name`, `store_info`, `keyword`, `bar_code`,
                                   `brand_id`, `cate_id`, `price`, `vip_price`, `ot_price`, `postage`, `unit_name`,
                                   `sort`, `sales`, `stock`, `is_show`, `is_hot`, `is_benefit`, `is_best`, `is_new`,
                                   `description`, `creator`, `create_time`, `update_time`, `updater`, `is_postage`,
                                   `deleted`, `mer_use`, `give_integral`, `cost`, `is_seckill`, `is_bargain`, `is_good`,
                                   `ficti`, `browse`, `code_path`, `is_sub`, `temp_id`, `spec_type`, `is_integral`,
                                   `integral`, `tenant_id`)
VALUES (22,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a311502bef59f16c64a246c1404faed389ba9f6683d57b9134dd58e7feb19514.jpeg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a311502bef59f16c64a246c1404faed389ba9f6683d57b9134dd58e7feb19514.jpeg,https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/6ab0e01f94b05d6ecdab1820c86db930e392375c39b4abaded5dc416a3563991.jpeg',
        '单规格商品', '单规格商品', '单规格', '', NULL, 6, 1.00, 0.00, 1.00, 0.00, '个', 0, 1, 1, 1, 0, 0, 0, 0,
        '<p>单规格商品</p>', '1', '2023-05-30 13:41:51', '2023-11-09 17:24:25', '1', 0, b'1', 0, 0.00, 1.00, 0, NULL, 0,
        0, 0, '', 0, 0, 0, 0, 0, 0);
INSERT INTO `yshop_store_product` (`id`, `image`, `slider_image`, `store_name`, `store_info`, `keyword`, `bar_code`,
                                   `brand_id`, `cate_id`, `price`, `vip_price`, `ot_price`, `postage`, `unit_name`,
                                   `sort`, `sales`, `stock`, `is_show`, `is_hot`, `is_benefit`, `is_best`, `is_new`,
                                   `description`, `creator`, `create_time`, `update_time`, `updater`, `is_postage`,
                                   `deleted`, `mer_use`, `give_integral`, `cost`, `is_seckill`, `is_bargain`, `is_good`,
                                   `ficti`, `browse`, `code_path`, `is_sub`, `temp_id`, `spec_type`, `is_integral`,
                                   `integral`, `tenant_id`)
VALUES (23,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a311502bef59f16c64a246c1404faed389ba9f6683d57b9134dd58e7feb19514.jpeg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a311502bef59f16c64a246c1404faed389ba9f6683d57b9134dd58e7feb19514.jpeg,https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/6ab0e01f94b05d6ecdab1820c86db930e392375c39b4abaded5dc416a3563991.jpeg',
        '单规格商品', '单规格商品', '单规格', '', NULL, 6, 1.00, 0.00, 1.00, 0.00, '个', 0, 0, 1, 1, 0, 0, 0, 0,
        '<p>单规格商品</p>', '1', '2023-05-30 13:41:51', '2023-11-09 17:24:10', '1', 0, b'1', 0, 0.00, 1.00, 0, NULL, 0,
        0, 0, '', 0, 0, 0, 0, 0, 0);
INSERT INTO `yshop_store_product` (`id`, `image`, `slider_image`, `store_name`, `store_info`, `keyword`, `bar_code`,
                                   `brand_id`, `cate_id`, `price`, `vip_price`, `ot_price`, `postage`, `unit_name`,
                                   `sort`, `sales`, `stock`, `is_show`, `is_hot`, `is_benefit`, `is_best`, `is_new`,
                                   `description`, `creator`, `create_time`, `update_time`, `updater`, `is_postage`,
                                   `deleted`, `mer_use`, `give_integral`, `cost`, `is_seckill`, `is_bargain`, `is_good`,
                                   `ficti`, `browse`, `code_path`, `is_sub`, `temp_id`, `spec_type`, `is_integral`,
                                   `integral`, `tenant_id`)
VALUES (24,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a311502bef59f16c64a246c1404faed389ba9f6683d57b9134dd58e7feb19514.jpeg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a311502bef59f16c64a246c1404faed389ba9f6683d57b9134dd58e7feb19514.jpeg,https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/6ab0e01f94b05d6ecdab1820c86db930e392375c39b4abaded5dc416a3563991.jpeg',
        '单规格商品', '单规格商品', '单规格', '', NULL, 6, 1.00, 0.00, 1.00, 0.00, '个', 0, 1, 1, 1, 0, 0, 0, 0,
        '<p>单规格商品</p>', '1', '2023-05-30 13:41:51', '2023-11-09 17:24:18', '1', 0, b'1', 0, 0.00, 1.00, 0, NULL, 0,
        0, 0, '', 0, 0, 0, 0, 0, 0);
INSERT INTO `yshop_store_product` (`id`, `image`, `slider_image`, `store_name`, `store_info`, `keyword`, `bar_code`,
                                   `brand_id`, `cate_id`, `price`, `vip_price`, `ot_price`, `postage`, `unit_name`,
                                   `sort`, `sales`, `stock`, `is_show`, `is_hot`, `is_benefit`, `is_best`, `is_new`,
                                   `description`, `creator`, `create_time`, `update_time`, `updater`, `is_postage`,
                                   `deleted`, `mer_use`, `give_integral`, `cost`, `is_seckill`, `is_bargain`, `is_good`,
                                   `ficti`, `browse`, `code_path`, `is_sub`, `temp_id`, `spec_type`, `is_integral`,
                                   `integral`, `tenant_id`)
VALUES (25,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a311502bef59f16c64a246c1404faed389ba9f6683d57b9134dd58e7feb19514.jpeg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a311502bef59f16c64a246c1404faed389ba9f6683d57b9134dd58e7feb19514.jpeg,https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/6ab0e01f94b05d6ecdab1820c86db930e392375c39b4abaded5dc416a3563991.jpeg',
        '单规格商品', '单规格商品', '单规格', '', NULL, 6, 1.00, 0.00, 1.00, 0.00, '个', 0, 0, 1, 1, 0, 0, 0, 0,
        '<p>单规格商品</p>', '1', '2023-05-30 13:41:51', '2023-11-09 17:23:58', '1', 0, b'1', 0, 0.00, 1.00, 0, NULL, 0,
        0, 0, '', 0, 0, 0, 0, 0, 0);
INSERT INTO `yshop_store_product` (`id`, `image`, `slider_image`, `store_name`, `store_info`, `keyword`, `bar_code`,
                                   `brand_id`, `cate_id`, `price`, `vip_price`, `ot_price`, `postage`, `unit_name`,
                                   `sort`, `sales`, `stock`, `is_show`, `is_hot`, `is_benefit`, `is_best`, `is_new`,
                                   `description`, `creator`, `create_time`, `update_time`, `updater`, `is_postage`,
                                   `deleted`, `mer_use`, `give_integral`, `cost`, `is_seckill`, `is_bargain`, `is_good`,
                                   `ficti`, `browse`, `code_path`, `is_sub`, `temp_id`, `spec_type`, `is_integral`,
                                   `integral`, `tenant_id`)
VALUES (26,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a311502bef59f16c64a246c1404faed389ba9f6683d57b9134dd58e7feb19514.jpeg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a311502bef59f16c64a246c1404faed389ba9f6683d57b9134dd58e7feb19514.jpeg,https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/6ab0e01f94b05d6ecdab1820c86db930e392375c39b4abaded5dc416a3563991.jpeg',
        '单规格商品', '单规格商品', '单规格', '', NULL, 6, 1.00, 0.00, 1.00, 0.00, '个', 0, 0, 1, 1, 0, 0, 0, 0,
        '<p>单规格商品</p>', '1', '2023-05-30 13:41:51', '2023-11-09 17:23:49', '1', 0, b'1', 0, 0.00, 1.00, 0, NULL, 0,
        0, 0, '', 0, 0, 0, 0, 0, 0);
INSERT INTO `yshop_store_product` (`id`, `image`, `slider_image`, `store_name`, `store_info`, `keyword`, `bar_code`,
                                   `brand_id`, `cate_id`, `price`, `vip_price`, `ot_price`, `postage`, `unit_name`,
                                   `sort`, `sales`, `stock`, `is_show`, `is_hot`, `is_benefit`, `is_best`, `is_new`,
                                   `description`, `creator`, `create_time`, `update_time`, `updater`, `is_postage`,
                                   `deleted`, `mer_use`, `give_integral`, `cost`, `is_seckill`, `is_bargain`, `is_good`,
                                   `ficti`, `browse`, `code_path`, `is_sub`, `temp_id`, `spec_type`, `is_integral`,
                                   `integral`, `tenant_id`)
VALUES (27,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a311502bef59f16c64a246c1404faed389ba9f6683d57b9134dd58e7feb19514.jpeg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a311502bef59f16c64a246c1404faed389ba9f6683d57b9134dd58e7feb19514.jpeg,https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/6ab0e01f94b05d6ecdab1820c86db930e392375c39b4abaded5dc416a3563991.jpeg',
        '单规格商品', '单规格商品', '单规格', '', NULL, 6, 2.00, 0.00, 0.00, 0.00, '个', 0, 0, 3, 1, 0, 0, 0, 0,
        '<p>单规格商品</p>', '1', '2023-05-30 13:41:51', '2023-11-09 17:23:42', '1', 0, b'1', 0, 0.00, 0.00, 0, NULL, 0,
        0, 0, '', 0, 0, 0, 0, 0, 0);
INSERT INTO `yshop_store_product` (`id`, `image`, `slider_image`, `store_name`, `store_info`, `keyword`, `bar_code`,
                                   `brand_id`, `cate_id`, `price`, `vip_price`, `ot_price`, `postage`, `unit_name`,
                                   `sort`, `sales`, `stock`, `is_show`, `is_hot`, `is_benefit`, `is_best`, `is_new`,
                                   `description`, `creator`, `create_time`, `update_time`, `updater`, `is_postage`,
                                   `deleted`, `mer_use`, `give_integral`, `cost`, `is_seckill`, `is_bargain`, `is_good`,
                                   `ficti`, `browse`, `code_path`, `is_sub`, `temp_id`, `spec_type`, `is_integral`,
                                   `integral`, `tenant_id`)
VALUES (28,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a311502bef59f16c64a246c1404faed389ba9f6683d57b9134dd58e7feb19514.jpeg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a311502bef59f16c64a246c1404faed389ba9f6683d57b9134dd58e7feb19514.jpeg,https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/6ab0e01f94b05d6ecdab1820c86db930e392375c39b4abaded5dc416a3563991.jpeg',
        '单规格商品', '单规格商品', '单规格', '', NULL, 6, 1.00, 0.00, 1.00, 0.00, '个', 0, 0, 1, 1, 0, 0, 0, 0,
        '<p>单规格商品</p>', '1', '2023-05-30 13:41:51', '2023-11-09 17:23:35', '1', 0, b'1', 0, 0.00, 1.00, 0, NULL, 0,
        0, 0, '', 0, 0, 0, 0, 0, 0);
INSERT INTO `yshop_store_product` (`id`, `image`, `slider_image`, `store_name`, `store_info`, `keyword`, `bar_code`,
                                   `brand_id`, `cate_id`, `price`, `vip_price`, `ot_price`, `postage`, `unit_name`,
                                   `sort`, `sales`, `stock`, `is_show`, `is_hot`, `is_benefit`, `is_best`, `is_new`,
                                   `description`, `creator`, `create_time`, `update_time`, `updater`, `is_postage`,
                                   `deleted`, `mer_use`, `give_integral`, `cost`, `is_seckill`, `is_bargain`, `is_good`,
                                   `ficti`, `browse`, `code_path`, `is_sub`, `temp_id`, `spec_type`, `is_integral`,
                                   `integral`, `tenant_id`)
VALUES (29,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a311502bef59f16c64a246c1404faed389ba9f6683d57b9134dd58e7feb19514.jpeg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a311502bef59f16c64a246c1404faed389ba9f6683d57b9134dd58e7feb19514.jpeg,https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/6ab0e01f94b05d6ecdab1820c86db930e392375c39b4abaded5dc416a3563991.jpeg',
        '单规格商品', '单规格商品', '单规格', '', NULL, 6, 1.00, 0.00, 1.00, 0.00, '个', 0, 0, 1, 1, 0, 0, 0, 0,
        '<p>单规格商品</p>', '1', '2023-05-30 13:41:51', '2023-11-09 17:23:27', '1', 0, b'1', 0, 0.00, 1.00, 0, NULL, 0,
        0, 0, '', 0, 0, 0, 0, 0, 0);
INSERT INTO `yshop_store_product` (`id`, `image`, `slider_image`, `store_name`, `store_info`, `keyword`, `bar_code`,
                                   `brand_id`, `cate_id`, `price`, `vip_price`, `ot_price`, `postage`, `unit_name`,
                                   `sort`, `sales`, `stock`, `is_show`, `is_hot`, `is_benefit`, `is_best`, `is_new`,
                                   `description`, `creator`, `create_time`, `update_time`, `updater`, `is_postage`,
                                   `deleted`, `mer_use`, `give_integral`, `cost`, `is_seckill`, `is_bargain`, `is_good`,
                                   `ficti`, `browse`, `code_path`, `is_sub`, `temp_id`, `spec_type`, `is_integral`,
                                   `integral`, `tenant_id`)
VALUES (31,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a311502bef59f16c64a246c1404faed389ba9f6683d57b9134dd58e7feb19514.jpeg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a311502bef59f16c64a246c1404faed389ba9f6683d57b9134dd58e7feb19514.jpeg,https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/6ab0e01f94b05d6ecdab1820c86db930e392375c39b4abaded5dc416a3563991.jpeg',
        '单规格商品', '单规格商品', '单规格', '', NULL, 6, 1.00, 0.00, 1.00, 0.00, '个', 0, 0, 1, 1, 0, 0, 0, 0,
        '<p>单规格商品</p>', '1', '2023-05-30 13:41:51', '2023-11-09 17:22:58', '1', 0, b'1', 0, 0.00, 1.00, 0, NULL, 0,
        0, 0, '', 0, 0, 0, 0, 0, 0);
INSERT INTO `yshop_store_product` (`id`, `image`, `slider_image`, `store_name`, `store_info`, `keyword`, `bar_code`,
                                   `brand_id`, `cate_id`, `price`, `vip_price`, `ot_price`, `postage`, `unit_name`,
                                   `sort`, `sales`, `stock`, `is_show`, `is_hot`, `is_benefit`, `is_best`, `is_new`,
                                   `description`, `creator`, `create_time`, `update_time`, `updater`, `is_postage`,
                                   `deleted`, `mer_use`, `give_integral`, `cost`, `is_seckill`, `is_bargain`, `is_good`,
                                   `ficti`, `browse`, `code_path`, `is_sub`, `temp_id`, `spec_type`, `is_integral`,
                                   `integral`, `tenant_id`)
VALUES (32,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a311502bef59f16c64a246c1404faed389ba9f6683d57b9134dd58e7feb19514.jpeg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a311502bef59f16c64a246c1404faed389ba9f6683d57b9134dd58e7feb19514.jpeg,https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/6ab0e01f94b05d6ecdab1820c86db930e392375c39b4abaded5dc416a3563991.jpeg',
        '单规格商品', '单规格商品', '单规格', '', NULL, 6, 2.00, 0.00, 1.00, 0.00, '个', 0, 0, 1, 1, 0, 0, 0, 0,
        '<p>单规格商品</p>', '1', '2023-05-30 13:41:51', '2023-11-09 17:22:49', '1', 0, b'1', 0, 0.00, 1.00, 0, NULL, 0,
        0, 0, '', 0, 0, 0, 0, 0, 0);
INSERT INTO `yshop_store_product` (`id`, `image`, `slider_image`, `store_name`, `store_info`, `keyword`, `bar_code`,
                                   `brand_id`, `cate_id`, `price`, `vip_price`, `ot_price`, `postage`, `unit_name`,
                                   `sort`, `sales`, `stock`, `is_show`, `is_hot`, `is_benefit`, `is_best`, `is_new`,
                                   `description`, `creator`, `create_time`, `update_time`, `updater`, `is_postage`,
                                   `deleted`, `mer_use`, `give_integral`, `cost`, `is_seckill`, `is_bargain`, `is_good`,
                                   `ficti`, `browse`, `code_path`, `is_sub`, `temp_id`, `spec_type`, `is_integral`,
                                   `integral`, `tenant_id`)
VALUES (33,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/db98472375b9c97bf568cc429d900f5ca19d32c66932b7a725469add8d271a90.png',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/db98472375b9c97bf568cc429d900f5ca19d32c66932b7a725469add8d271a90.png',
        'mac', '电脑非常好', '电脑', '', NULL, 11, 11999.00, 0.00, 11999.00, 0.00, '', 0, 0, 11999, 0, 0, 0, 0, 0,
        '<p>电脑nice</p>', '1', '2023-10-24 11:28:01', '2023-10-24 14:18:21', '1', 0, b'0', 0, 100.00, 11999.00, 0,
        NULL, 0, 0, 0, '', 0, 38, 0, 0, 0, 0);
INSERT INTO `yshop_store_product` (`id`, `image`, `slider_image`, `store_name`, `store_info`, `keyword`, `bar_code`,
                                   `brand_id`, `cate_id`, `price`, `vip_price`, `ot_price`, `postage`, `unit_name`,
                                   `sort`, `sales`, `stock`, `is_show`, `is_hot`, `is_benefit`, `is_best`, `is_new`,
                                   `description`, `creator`, `create_time`, `update_time`, `updater`, `is_postage`,
                                   `deleted`, `mer_use`, `give_integral`, `cost`, `is_seckill`, `is_bargain`, `is_good`,
                                   `ficti`, `browse`, `code_path`, `is_sub`, `temp_id`, `spec_type`, `is_integral`,
                                   `integral`, `tenant_id`)
VALUES (34,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/1c65af716a4356e2b6550e4e50144da153dc58ac6e0f901624fca633696761ac.png',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/1c65af716a4356e2b6550e4e50144da153dc58ac6e0f901624fca633696761ac.png',
        'iPhone 13', '手机非常好', '手机', '', NULL, 6, 6999.00, 0.00, 7999.00, 0.00, '', 0, 13, 999, 1, 0, 0, 0, 0,
        '<p>手机nice</p>', '1', '2023-10-24 12:20:08', '2023-11-09 17:22:10', '1', 0, b'1', 0, 100.00, 5999.00, 0, NULL,
        0, 0, 0, '', 0, 39, 0, 0, 0, 0);
INSERT INTO `yshop_store_product` (`id`, `image`, `slider_image`, `store_name`, `store_info`, `keyword`, `bar_code`,
                                   `brand_id`, `cate_id`, `price`, `vip_price`, `ot_price`, `postage`, `unit_name`,
                                   `sort`, `sales`, `stock`, `is_show`, `is_hot`, `is_benefit`, `is_best`, `is_new`,
                                   `description`, `creator`, `create_time`, `update_time`, `updater`, `is_postage`,
                                   `deleted`, `mer_use`, `give_integral`, `cost`, `is_seckill`, `is_bargain`, `is_good`,
                                   `ficti`, `browse`, `code_path`, `is_sub`, `temp_id`, `spec_type`, `is_integral`,
                                   `integral`, `tenant_id`)
VALUES (35,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a029b4367d0bf9a9ad84e2b132b0b6b001f729c548726410f651e0765ab3a356.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/1c65af716a4356e2b6550e4e50144da153dc58ac6e0f901624fca633696761ac.png,https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/6ab0e01f94b05d6ecdab1820c86db930e392375c39b4abaded5dc416a3563991.jpeg,https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a311502bef59f16c64a246c1404faed389ba9f6683d57b9134dd58e7feb19514.jpeg',
        'xiaomi12', 'xiaomi12', 'xiaomi', '', NULL, 6, 0.01, 0.00, 10.00, 0.01, '', 0, 177, 294, 1, 0, 0, 0, 0,
        '<ul id=\"parameter-brand\" class=\"p-parameter-list list-paddingleft-2\" style=\"list-style-type: none;\"><li><p>品牌：&nbsp;<a href=\"https://list.jd.com/list.html?cat=9987,653,655&ev=exbrand_18374\" clstag=\"shangpin|keycount|product|pinpai_1\" target=\"_blank\" style=\"margin: 0px; padding: 0px; color: rgb(94, 105, 173); text-decoration-line: none;\">小米（MI）</a></p></li><li><p>商品名称：小米Xiaomi 14</p></li><li><p>商品编号：100071377749</p></li><li><p>商品毛重：0.565kg</p></li><li><p>商品产地：中国大陆</p></li><li><p>CPU型号：第三代骁龙8</p></li><li><p>运行内存：16GB</p></li><li><p>机身颜色：黑色</p></li><li><p>三防标准：IP68</p></li><li><p>屏幕分辨率：1.5K</p></li><li><p>充电功率：80-119W</p></li><li><p>机身内存：512GB</p></li><li><p>机身色系：黑色系</p></li><li><p>屏幕材质：OLED直屏</p></li><li><p>后摄主像素：5000万像素</p></li><li><p>风格：大气，时尚，科技</p></li></ul><p><br/></p>',
        '127', '2023-10-24 19:01:47', '2023-11-16 14:41:13', '1', 0, b'0', 0, 10.00, 1.00, 0, NULL, 0, 0, 0, '', 0, 0,
        1, 0, 0, 0);
INSERT INTO `yshop_store_product` (`id`, `image`, `slider_image`, `store_name`, `store_info`, `keyword`, `bar_code`,
                                   `brand_id`, `cate_id`, `price`, `vip_price`, `ot_price`, `postage`, `unit_name`,
                                   `sort`, `sales`, `stock`, `is_show`, `is_hot`, `is_benefit`, `is_best`, `is_new`,
                                   `description`, `creator`, `create_time`, `update_time`, `updater`, `is_postage`,
                                   `deleted`, `mer_use`, `give_integral`, `cost`, `is_seckill`, `is_bargain`, `is_good`,
                                   `ficti`, `browse`, `code_path`, `is_sub`, `temp_id`, `spec_type`, `is_integral`,
                                   `integral`, `tenant_id`)
VALUES (36,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/db98472375b9c97bf568cc429d900f5ca19d32c66932b7a725469add8d271a90.png',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/db98472375b9c97bf568cc429d900f5ca19d32c66932b7a725469add8d271a90.png',
        'macbook', 'macbook2019', 'macbook', '', NULL, 11, 0.10, 0.00, 0.00, 0.00, '', 0, 1, 10001, 1, 0, 0, 0, 0,
        '<p>macbook2019</p>', '1', '2023-10-25 15:42:51', '2023-11-13 10:08:41', '1', 0, b'1', 0, 100.00, 0.00, 0, NULL,
        0, 0, 0, '', 0, 0, 0, 0, 0, 0);
INSERT INTO `yshop_store_product` (`id`, `image`, `slider_image`, `store_name`, `store_info`, `keyword`, `bar_code`,
                                   `brand_id`, `cate_id`, `price`, `vip_price`, `ot_price`, `postage`, `unit_name`,
                                   `sort`, `sales`, `stock`, `is_show`, `is_hot`, `is_benefit`, `is_best`, `is_new`,
                                   `description`, `creator`, `create_time`, `update_time`, `updater`, `is_postage`,
                                   `deleted`, `mer_use`, `give_integral`, `cost`, `is_seckill`, `is_bargain`, `is_good`,
                                   `ficti`, `browse`, `code_path`, `is_sub`, `temp_id`, `spec_type`, `is_integral`,
                                   `integral`, `tenant_id`)
VALUES (37,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/5d705e07a441988127efe9c247739d338092a2cdf5ca9e158fe2b1aed35af83c.png',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/5d705e07a441988127efe9c247739d338092a2cdf5ca9e158fe2b1aed35af83c.png',
        '蓝牙耳机', '耳机', '耳机', '', NULL, 19, 111.00, 0.00, 444.00, 10.00, '', 0, 7, 2657, 1, 0, 0, 0, 0,
        '<p>耳机很nice</p><p><span style=\"text-wrap: wrap;\">耳机很nice</span></p><p><span style=\"text-wrap: wrap;\"><span style=\"text-wrap: wrap;\">耳机很nice</span></span></p><p><span style=\"text-wrap: wrap;\"><span style=\"text-wrap: wrap;\"><span style=\"text-wrap: wrap;\">耳机很nice</span></span></span></p><p><span style=\"text-wrap: wrap;\"><span style=\"text-wrap: wrap;\"><span style=\"text-wrap: wrap;\"><span style=\"text-wrap: wrap;\">耳机很nice</span></span></span></span></p>',
        '1', '2023-10-26 18:17:20', '2023-11-09 16:32:48', '127', 0, b'1', 0, 300.00, 333.00, 0, NULL, 0, 0, 0, '', 0,
        38, 1, 0, 0, 0);
INSERT INTO `yshop_store_product` (`id`, `image`, `slider_image`, `store_name`, `store_info`, `keyword`, `bar_code`,
                                   `brand_id`, `cate_id`, `price`, `vip_price`, `ot_price`, `postage`, `unit_name`,
                                   `sort`, `sales`, `stock`, `is_show`, `is_hot`, `is_benefit`, `is_best`, `is_new`,
                                   `description`, `creator`, `create_time`, `update_time`, `updater`, `is_postage`,
                                   `deleted`, `mer_use`, `give_integral`, `cost`, `is_seckill`, `is_bargain`, `is_good`,
                                   `ficti`, `browse`, `code_path`, `is_sub`, `temp_id`, `spec_type`, `is_integral`,
                                   `integral`, `tenant_id`)
VALUES (38,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/5d705e07a441988127efe9c247739d338092a2cdf5ca9e158fe2b1aed35af83c.png',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/5d705e07a441988127efe9c247739d338092a2cdf5ca9e158fe2b1aed35af83c.png',
        '蓝牙耳机13.0', '耳机', '耳机', '', NULL, 19, 199.00, 0.00, 299.00, 10.00, '', 0, 14, 1000, 1, 0, 0, 0, 0,
        '<p>耳机很nice</p>', '1', '2023-10-26 18:17:36', '2023-11-08 18:17:07', '1', 0, b'1', 0, 300.00, 99.00, 0, NULL,
        0, 0, 0, '', 0, 38, 0, 0, 0, 0);
INSERT INTO `yshop_store_product` (`id`, `image`, `slider_image`, `store_name`, `store_info`, `keyword`, `bar_code`,
                                   `brand_id`, `cate_id`, `price`, `vip_price`, `ot_price`, `postage`, `unit_name`,
                                   `sort`, `sales`, `stock`, `is_show`, `is_hot`, `is_benefit`, `is_best`, `is_new`,
                                   `description`, `creator`, `create_time`, `update_time`, `updater`, `is_postage`,
                                   `deleted`, `mer_use`, `give_integral`, `cost`, `is_seckill`, `is_bargain`, `is_good`,
                                   `ficti`, `browse`, `code_path`, `is_sub`, `temp_id`, `spec_type`, `is_integral`,
                                   `integral`, `tenant_id`)
VALUES (39,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/5d705e07a441988127efe9c247739d338092a2cdf5ca9e158fe2b1aed35af83c.png',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/5d705e07a441988127efe9c247739d338092a2cdf5ca9e158fe2b1aed35af83c.png',
        '漫步者H501',
        '声压级(SPL)： 97dB\n频响范围： 20Hz-20000Hz\n标称阻抗： 32ohm\n额定功率： 20mW\n灵敏度：97\n线长：1.9m\n连接方式：3.5mm立体声插头/6.3mm立体声转接头',
        '耳机', '', NULL, 19, 199.00, 0.00, 299.00, 8.00, '', 0, 139, 998, 1, 0, 0, 0, 0,
        '<p>漫步者H501具有很好的清晰度与音乐质感特制大耳罩，能有效降低外部噪音人体工程学设计，佩戴舒适，耳机采用银黑配色，其中头梁部分主要为黑色，与耳罩的连接位置以及耳罩外侧的一部分为银色，两种颜色搭配协调，产品整体外观风格稳重。 耳罩外侧的设计充满工业风格，头梁与耳罩的连接部分为银色，连杆位置造型粗犷，耳罩外侧印有漫步者的英文Logo，下方用“L”和“R”标注了左右声道。入线处位置进行了加强处理，以防止一定力度的拉扯。</p><p>耳机头梁部分可以进行一定程度的延长，延长部分为金属材质，整体强度很好，而且拥有较好的韧性，能够承受较大力度的弯折。头梁部分内侧还设计有海绵垫，提升佩戴舒适性。耳机采用3.5mm直插插头，并且附赠3.5mm-6.3mm转换头，方便连接其他音源。</p><p><br/></p>',
        '1', '2023-10-26 18:19:16', '2023-11-08 18:17:00', '1', 0, b'1', 0, 300.00, 99.00, 0, NULL, 0, 0, 0, '', 0, 0,
        0, 0, 0, 0);
INSERT INTO `yshop_store_product` (`id`, `image`, `slider_image`, `store_name`, `store_info`, `keyword`, `bar_code`,
                                   `brand_id`, `cate_id`, `price`, `vip_price`, `ot_price`, `postage`, `unit_name`,
                                   `sort`, `sales`, `stock`, `is_show`, `is_hot`, `is_benefit`, `is_best`, `is_new`,
                                   `description`, `creator`, `create_time`, `update_time`, `updater`, `is_postage`,
                                   `deleted`, `mer_use`, `give_integral`, `cost`, `is_seckill`, `is_bargain`, `is_good`,
                                   `ficti`, `browse`, `code_path`, `is_sub`, `temp_id`, `spec_type`, `is_integral`,
                                   `integral`, `tenant_id`)
VALUES (40,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/9b99b2b81f06410ca42b1dccece84341c99867b81166bcb357dd18e7dcee918d.png',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/9b99b2b81f06410ca42b1dccece84341c99867b81166bcb357dd18e7dcee918d.png',
        '好耳机', 'nice', '耳机', '', NULL, 6, 28.00, 0.00, 28.00, 6.00, '', 0, 39, 10000, 0, 0, 0, 0, 0, '<p>ncie</p>',
        '1', '2023-10-30 10:31:32', '2023-11-10 18:29:28', '1', 0, b'0', 0, 0.00, 28.00, 0, NULL, 0, 0, 0, '', 0, 40, 0,
        0, 0, 0);
INSERT INTO `yshop_store_product` (`id`, `image`, `slider_image`, `store_name`, `store_info`, `keyword`, `bar_code`,
                                   `brand_id`, `cate_id`, `price`, `vip_price`, `ot_price`, `postage`, `unit_name`,
                                   `sort`, `sales`, `stock`, `is_show`, `is_hot`, `is_benefit`, `is_best`, `is_new`,
                                   `description`, `creator`, `create_time`, `update_time`, `updater`, `is_postage`,
                                   `deleted`, `mer_use`, `give_integral`, `cost`, `is_seckill`, `is_bargain`, `is_good`,
                                   `ficti`, `browse`, `code_path`, `is_sub`, `temp_id`, `spec_type`, `is_integral`,
                                   `integral`, `tenant_id`)
VALUES (41,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cab5fb788d3e2f1868c7c3c33bdfc8ba56593965f98bc090c03ad86d8c317545.png',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cab5fb788d3e2f1868c7c3c33bdfc8ba56593965f98bc090c03ad86d8c317545.png',
        'iphone15', '新发布', '15', '', NULL, 18, 0.01, 0.00, 0.00, 0.02, '', 0, 42, 524, 1, 0, 0, 0, 0,
        '<p>iphone新系列</p>', '1', '2023-11-06 16:45:31', '2023-11-16 19:59:35', '1', 0, b'0', 0, 0.00, 0.00, 0, NULL,
        0, 0, 0, '', 0, 0, 1, 0, 0, 0);
INSERT INTO `yshop_store_product` (`id`, `image`, `slider_image`, `store_name`, `store_info`, `keyword`, `bar_code`,
                                   `brand_id`, `cate_id`, `price`, `vip_price`, `ot_price`, `postage`, `unit_name`,
                                   `sort`, `sales`, `stock`, `is_show`, `is_hot`, `is_benefit`, `is_best`, `is_new`,
                                   `description`, `creator`, `create_time`, `update_time`, `updater`, `is_postage`,
                                   `deleted`, `mer_use`, `give_integral`, `cost`, `is_seckill`, `is_bargain`, `is_good`,
                                   `ficti`, `browse`, `code_path`, `is_sub`, `temp_id`, `spec_type`, `is_integral`,
                                   `integral`, `tenant_id`)
VALUES (42,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/1dbd7c1110abe539ef9c4dda5c0642108f70abdf59dd86fb5dfa06de88f960ed.png',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/1dbd7c1110abe539ef9c4dda5c0642108f70abdf59dd86fb5dfa06de88f960ed.png',
        'iPhone 12',
        '天线系统\niPhone 12采用了新的天线系统，提高了5G性能。优化了iOS系统，以利用5G速度，同时保持电源效率。 \n智能数据\niPhone 12拥有智能数据模式，可在4G和5G数据速度之间智能切换。在理想条件下，可以达到3.5交换带宽的下载速度。 \n防摔性能\niPhone 12在前屏玻璃上使用了名为“超瓷晶面板”的新盖板表面处理，提高了设备的耐用性，防摔性能提高了4倍。 ',
        '手机', '', NULL, 18, 3888.00, 0.00, 0.00, 8.00, '', 0, 11, 3774, 0, 0, 0, 0, 0,
        '<p style=\"text-wrap: wrap;\">天线系统</p><p style=\"text-wrap: wrap;\">iPhone 12采用了新的天线系统，提高了5G性能。优化了iOS系统，以利用5G速度，同时保持电源效率。&nbsp;</p><p style=\"text-wrap: wrap;\">智能数据</p><p style=\"text-wrap: wrap;\">iPhone 12拥有智能数据模式，可在4G和5G数据速度之间智能切换。在理想条件下，可以达到3.5交换带宽的下载速度。&nbsp;</p><p style=\"text-wrap: wrap;\">防摔性能</p><p style=\"text-wrap: wrap;\">iPhone 12在前屏玻璃上使用了名为“超瓷晶面板”的新盖板表面处理，提高了设备的耐用性，防摔性能提高了4倍。&nbsp;</p><p style=\"text-wrap: wrap;\">摄像头</p><p style=\"text-wrap: wrap;\">苹果对iPhone 12的摄像头系统进行了更新，采用了1200万像素广角摄像头，光圈更宽。首次使用了七元件镜头，低光性能最高可提高27%。超广角和前置摄像头也支持夜间模式。&nbsp;</p><p style=\"text-wrap: wrap;\">无线充电</p><p style=\"text-wrap: wrap;\">iPhone 12具有MagSafe功能，用于使用磁吸增强无线充电。最大无线充电功率可达15w。</p><p><br/></p>',
        '1', '2023-11-07 16:57:35', '2023-11-13 15:31:42', '1', 0, b'0', 0, 0.00, 0.00, 0, NULL, 0, 0, 0, '', 0, 0, 1,
        0, 0, 0);
INSERT INTO `yshop_store_product` (`id`, `image`, `slider_image`, `store_name`, `store_info`, `keyword`, `bar_code`,
                                   `brand_id`, `cate_id`, `price`, `vip_price`, `ot_price`, `postage`, `unit_name`,
                                   `sort`, `sales`, `stock`, `is_show`, `is_hot`, `is_benefit`, `is_best`, `is_new`,
                                   `description`, `creator`, `create_time`, `update_time`, `updater`, `is_postage`,
                                   `deleted`, `mer_use`, `give_integral`, `cost`, `is_seckill`, `is_bargain`, `is_good`,
                                   `ficti`, `browse`, `code_path`, `is_sub`, `temp_id`, `spec_type`, `is_integral`,
                                   `integral`, `tenant_id`)
VALUES (43,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/6ab9967dba34ab6ede9c66c195592609aa47c2170edec580f804ddbda0983931.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/6ab9967dba34ab6ede9c66c195592609aa47c2170edec580f804ddbda0983931.jpg,https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cdefa476ffa611362cc8a19eac89176d2d8432f34cea9a47bad630fc1f709091.jpg',
        ' 国行全新英特尔笔记本电脑13代全面屏超轻薄本游戏酷睿i7学生学习商务商用办公速系本高端手提游戏本电脑',
        '品牌： 速系（suxi）\n商品名称：国行全新英特尔笔记本电脑13代全面屏超轻薄本游戏酷睿i7学生学习商务商用办公速系本高端手提游戏本电脑 英特尔12代高配银【30天免费试用】全国联保+外设 16G\n\n\n\n\n',
        '笔记本', '', NULL, 2, 0.01, 0.00, 0.00, 0.00, '', 0, 3, 9, 1, 0, 0, 0, 1,
        '<ul id=\"parameter-brand\" class=\"p-parameter-list list-paddingleft-2\" style=\"list-style-type: none;\"><li><p>品牌：&nbsp;<a href=\"https://list.jd.com/list.html?cat=670,671,672&ev=exbrand_658628\" clstag=\"shangpin|keycount|product|pinpai_1\" target=\"_blank\" style=\"margin: 0px; padding: 0px; color: rgb(94, 105, 173); text-decoration-line: none;\">速系（suxi）</a></p></li><li><p>商品名称：国行全新英特尔笔记本电脑13代全面屏超轻薄本游戏酷睿i7学生学习商务商用办公速系本高端手提游戏本电脑 英特尔12代高配银【30天免费试用】全国联保+外设 16G运行内存 +512G高速固态</p></li><li><p>商品编号：10084624438469</p></li><li><p>店铺：&nbsp;<a href=\"https://mall.jd.com/index-13002475.html?from=pc\" target=\"_blank\" style=\"margin: 0px; padding: 0px; color: rgb(94, 105, 173); text-decoration-line: none;\">速系电脑整机旗舰店</a></p></li><li><p>商品毛重：2.0kg</p></li><li><p>商品产地：中国大陆</p></li><li><p>货号：S1</p></li><li><p>支持IPv6：支持IPv6</p></li><li><p>系列：无</p></li><li><p>优选服务：三年质保</p></li><li><p>屏幕比例：16:9</p></li></ul><p class=\"more-par\" style=\"margin-top: -5px; margin-bottom: 0px; padding: 0px 20px 0px 0px; text-align: right;\"><br/></p>',
        '1', '2023-11-08 17:09:46', '2023-11-17 19:58:29', '1', 0, b'0', 0, 10.00, 0.00, 0, NULL, 0, 0, 0, '', 0, 0, 1,
        0, 0, 0);
INSERT INTO `yshop_store_product` (`id`, `image`, `slider_image`, `store_name`, `store_info`, `keyword`, `bar_code`,
                                   `brand_id`, `cate_id`, `price`, `vip_price`, `ot_price`, `postage`, `unit_name`,
                                   `sort`, `sales`, `stock`, `is_show`, `is_hot`, `is_benefit`, `is_best`, `is_new`,
                                   `description`, `creator`, `create_time`, `update_time`, `updater`, `is_postage`,
                                   `deleted`, `mer_use`, `give_integral`, `cost`, `is_seckill`, `is_bargain`, `is_good`,
                                   `ficti`, `browse`, `code_path`, `is_sub`, `temp_id`, `spec_type`, `is_integral`,
                                   `integral`, `tenant_id`)
VALUES (44,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/d62e5257758edba0903a22fc8dd722dc2a5489710f0716832b08a73242e5a96b.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/690b0986e2401bde437c78499b25451ac2ecc5add61b298ad24c3f8fc4f12be3.jpg,https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/d62e5257758edba0903a22fc8dd722dc2a5489710f0716832b08a73242e5a96b.jpg,https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/e87f0b919d618d5364b5858d8e6ff27d43e2ae181fdbd1e19c6e0036c64a9ec4.jpg',
        '华为MateBook16S 2023旗舰版轻薄本笔记本电脑',
        '品牌： 华为（HUAWEI）\n商品名称：华为MateBook16S 2023旗舰版轻薄本笔记本电脑 13代酷睿I7超高性能设计师办公学生游戏本 2.5K触控全面屏/13代标压酷睿I7【 深空灰】 ',
        '笔记本', '', NULL, 2, 8999.00, 0.00, 0.00, 0.00, '', 0, 6, 1500, 1, 0, 0, 0, 1,
        '<p>商品名称：华为MateBook16S 2023旗舰版轻薄本笔记本电脑 13代酷睿I7超高性能设计师办公学生游戏本 2.5K触控全面屏/13代标压酷睿I7【 深空灰】 I7-13700H 16G 1TB固态商品编号：10089901305952店铺： 华为德信专卖店商品毛重：2.9kg屏幕比例：3:2系列：华为-Matebook屏幕色域：100%sRGB颜色：灰色支持IPv6：支持IPv6固态硬盘（SSD）：1TB系统：Windows 11类型：高性能轻薄笔记本处理器：intel i7屏幕刷新率：60Hz屏幕尺寸：16.0-16.9英寸内存容量：16GB显卡型号：集成显卡厚度：15.1-18.0mm显卡芯片供应商：Intel机械硬盘：无机械硬盘 @</p>',
        '1', '2023-11-08 17:36:41', '2023-11-16 15:54:25', '1', 0, b'0', 0, 0.00, 0.00, 0, NULL, 0, 0, 0, '', 0, 0, 1,
        0, 0, 0);
INSERT INTO `yshop_store_product` (`id`, `image`, `slider_image`, `store_name`, `store_info`, `keyword`, `bar_code`,
                                   `brand_id`, `cate_id`, `price`, `vip_price`, `ot_price`, `postage`, `unit_name`,
                                   `sort`, `sales`, `stock`, `is_show`, `is_hot`, `is_benefit`, `is_best`, `is_new`,
                                   `description`, `creator`, `create_time`, `update_time`, `updater`, `is_postage`,
                                   `deleted`, `mer_use`, `give_integral`, `cost`, `is_seckill`, `is_bargain`, `is_good`,
                                   `ficti`, `browse`, `code_path`, `is_sub`, `temp_id`, `spec_type`, `is_integral`,
                                   `integral`, `tenant_id`)
VALUES (45,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/fa60bd7f529be79f0930b358c3ededf1af461994b63c10814e6a9cbb912e9abc.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/fa60bd7f529be79f0930b358c3ededf1af461994b63c10814e6a9cbb912e9abc.jpg,https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/e7dfb095550fcbc9c4d7b4aec3b664e09d13f5f6bf5d7045605c12b44e195d2b.jpg,https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/3b3c77fdd4ce14a55ba3490fd28bfd7399438200f63429147680628e3ac94baf.jpg',
        '华为MateBook X Pro2023高性能轻薄本笔记本电脑 14.2英寸全面屏手提商务办公学生游戏本 3.1K触控屏/12代标压酷睿I7【皓月银】 I7-1260P 16G 1TB固态',
        '品牌： 华为（HUAWEI）\n商品名称：华为MateBook X Pro2023高性能轻薄本笔记本电脑 14.2英寸全面屏手提商务办公学生游戏本 3.1K触控屏/12代标压酷睿I7【皓月银】',
        '笔记本', '', NULL, 2, 8499.00, 0.00, 0.00, 20.00, '', 0, 0, 250, 1, 0, 0, 0, 1,
        '<ul id=\"parameter-brand\" class=\"p-parameter-list list-paddingleft-2\" style=\"list-style-type: none;\"><li><p>品牌：&nbsp;<a href=\"https://list.jd.com/list.html?cat=670,671,672&ev=exbrand_8557\" clstag=\"shangpin|keycount|product|pinpai_1\" target=\"_blank\" style=\"margin: 0px; padding: 0px; color: rgb(94, 105, 173); text-decoration-line: none;\">华为（HUAWEI）</a></p></li><li><p>商品名称：华为MateBook X Pro2023高性能轻薄本笔记本电脑 14.2英寸全面屏手提商务办公学生游戏本 3.1K触控屏/12代标压酷睿I7【皓月银】 I7-1260P 16G 1TB固态</p></li><li><p>商品编号：10089914207097</p></li><li><p>店铺：&nbsp;<a href=\"https://mall.jd.com/index-10225716.html?from=pc\" target=\"_blank\" style=\"margin: 0px; padding: 0px; color: rgb(94, 105, 173); text-decoration-line: none;\">华为德信专卖店</a></p></li><li><p>商品毛重：2.65kg</p></li><li><p>屏幕比例：3:2</p></li><li><p>系列：华为-Matebook X Pro</p></li><li><p>屏幕色域：DCI-P3</p></li><li><p>机械硬盘：无机械硬盘</p></li><li><p>类型：高性能轻薄笔记本</p></li><li><p>固态硬盘（SSD）：1TB</p></li><li><p>系统：Windows 11</p></li><li><p>支持IPv6：支持IPv6</p></li><li><p>处理器：intel i7</p></li><li><p>屏幕刷新率：60Hz</p></li><li><p>内存容量：16GB</p></li><li><p>屏幕尺寸：14.0-14.9英寸</p></li><li><p>显卡型号：集成显卡</p></li><li><p>厚度：15.1-18.0mm</p></li><li><p>显卡芯片供应商：Intel</p></li><li><p>颜色：银色</p></li></ul><p><br/></p>',
        '1', '2023-11-08 17:45:54', '2023-11-16 16:03:17', '1', 0, b'0', 0, 0.00, 4999.00, 0, NULL, 0, 0, 0, '', 0, 0,
        1, 0, 0, 0);
INSERT INTO `yshop_store_product` (`id`, `image`, `slider_image`, `store_name`, `store_info`, `keyword`, `bar_code`,
                                   `brand_id`, `cate_id`, `price`, `vip_price`, `ot_price`, `postage`, `unit_name`,
                                   `sort`, `sales`, `stock`, `is_show`, `is_hot`, `is_benefit`, `is_best`, `is_new`,
                                   `description`, `creator`, `create_time`, `update_time`, `updater`, `is_postage`,
                                   `deleted`, `mer_use`, `give_integral`, `cost`, `is_seckill`, `is_bargain`, `is_good`,
                                   `ficti`, `browse`, `code_path`, `is_sub`, `temp_id`, `spec_type`, `is_integral`,
                                   `integral`, `tenant_id`)
VALUES (46,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/015d91319a4960a7ef607bbefd79d3718ff98e3d288734c33fb5bd76baa24fec.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/015d91319a4960a7ef607bbefd79d3718ff98e3d288734c33fb5bd76baa24fec.jpg,https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/71044e88df654b4fe377137908be0225fc966073f65d88737c4fd938639ec2a0.jpg',
        '华为（HUAWEI）华为笔记本电脑 MateBook D16 2023新款13代16英寸大屏轻薄商务办公本学生手提笔记本 银丨i5-13500H 16G+1T标配 带独立数字键盘',
        '华为（HUAWEI）华为笔记本电脑 MateBook D16 2023新款13代16英寸大屏轻薄商务办公本学生手提笔记本 银丨i5-13500H 16G+1T标配 带独立数字键盘',
        '笔记本', '', NULL, 2, 900.00, 0.00, 0.00, 0.00, '', 0, 0, 20, 1, 0, 0, 0, 1,
        '<ul id=\"parameter-brand\" class=\"p-parameter-list list-paddingleft-2\" style=\"list-style-type: none;\"><li><p>品牌：&nbsp;<a href=\"https://list.jd.com/list.html?cat=670,671,672&ev=exbrand_8557\" clstag=\"shangpin|keycount|product|pinpai_1\" target=\"_blank\" style=\"margin: 0px; padding: 0px; color: rgb(94, 105, 173); text-decoration-line: none;\">华为（HUAWEI）</a></p></li><li><p>商品名称：华为（HUAWEI）MateBook D16</p></li><li><p>商品编号：10084768386401</p></li><li><p>店铺：&nbsp;<a href=\"https://mall.jd.com/index-10225716.html?from=pc\" target=\"_blank\" style=\"margin: 0px; padding: 0px; color: rgb(94, 105, 173); text-decoration-line: none;\">华为德信专卖店</a></p></li><li><p>商品毛重：2.6kg</p></li><li><p>商品产地：中国大陆</p></li><li><p>屏幕色域：100%sRGB</p></li><li><p>类型：轻薄笔记本</p></li><li><p>系统：Windows 11</p></li><li><p>厚度：18.1-20.0mm</p></li><li><p>机身材质：金属</p></li><li><p>显卡芯片供应商：Intel</p></li><li><p>屏幕比例：16:10</p></li><li><p>系列：华为 - MateBookD</p></li><li><p>支持IPv6：支持IPv6</p></li><li><p>颜色：灰色</p></li><li><p>处理器：intel i7</p></li><li><p>屏幕刷新率：60Hz</p></li><li><p>内存容量：16GB</p></li><li><p>屏幕尺寸：16.0-16.9英寸</p></li><li><p>显卡型号：intel 集成显卡</p></li><li><p>特性：指纹识别，大内存（16GB及以上），Wi-Fi 6</p></li><li><p>固态硬盘（SSD）：1TB</p></li></ul><p><br/></p>',
        '1', '2023-11-08 17:51:24', '2023-11-16 15:57:43', '1', 0, b'0', 0, 0.00, 200.00, 0, NULL, 0, 0, 0, '', 0, 0, 1,
        0, 0, 0);
INSERT INTO `yshop_store_product` (`id`, `image`, `slider_image`, `store_name`, `store_info`, `keyword`, `bar_code`,
                                   `brand_id`, `cate_id`, `price`, `vip_price`, `ot_price`, `postage`, `unit_name`,
                                   `sort`, `sales`, `stock`, `is_show`, `is_hot`, `is_benefit`, `is_best`, `is_new`,
                                   `description`, `creator`, `create_time`, `update_time`, `updater`, `is_postage`,
                                   `deleted`, `mer_use`, `give_integral`, `cost`, `is_seckill`, `is_bargain`, `is_good`,
                                   `ficti`, `browse`, `code_path`, `is_sub`, `temp_id`, `spec_type`, `is_integral`,
                                   `integral`, `tenant_id`)
VALUES (47,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/2edd8fe8d37dfab2d585d1c578e0f611e8c85dbd4e3260be5dd9545ed0c89c06.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/2edd8fe8d37dfab2d585d1c578e0f611e8c85dbd4e3260be5dd9545ed0c89c06.jpg,https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/1cc1a7aeb7a8ada3a1e8c78587dbe539d27f900dee19a7ae5ea53d287da67afe.jpg,https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/dbeaab55e361bea9b7d52ebf29acc96aa0ed88a3ce7fe2f433fb7b8126c524fa.jpg',
        '惠普（HP）440G9商用笔记本 银色/i7-1255U/8G DDR4 3200/512G SSD Nvme/Mx570 2G/Win11Home',
        '惠普（HP）440G9商用笔记本 银色/i7-1255U/8G DDR4 3200/512G SSD Nvme/Mx570 2G/Win11Home', '笔记本', '', NULL, 14,
        6590.00, 0.00, 1000.00, 6.00, '', 0, 2, 299, 1, 0, 0, 0, 1,
        '<ul id=\"parameter-brand\" class=\"p-parameter-list list-paddingleft-2\" style=\"list-style-type: none;\"><li><p>品牌：&nbsp;<a href=\"https://list.jd.com/list.html?cat=670,671,672&ev=exbrand_8740\" clstag=\"shangpin|keycount|product|pinpai_1\" target=\"_blank\" style=\"margin: 0px; padding: 0px; color: rgb(94, 105, 173); text-decoration-line: none;\">惠普（HP）</a></p></li><li><p>商品名称：惠普HP ProBook 440 G9</p></li><li><p>商品编号：100053053280</p></li><li><p>商品毛重：1.5kg</p></li><li><p>商品产地：中国大陆</p></li><li><p>内存容量：8GB</p></li><li><p>系列：惠普 - 战系列</p></li><li><p>屏幕色域：45%NTSC</p></li><li><p>机械硬盘：无机械硬盘</p></li><li><p>类型：轻薄笔记本</p></li><li><p>显卡芯片供应商：Intel</p></li><li><p>系统：Windows 11</p></li><li><p>屏幕比例：16:9</p></li><li><p>处理器：intel i7</p></li><li><p>屏幕刷新率：60Hz</p></li><li><p>厚度：15.1-18.0mm</p></li><li><p>屏幕尺寸：14.0-14.9英寸</p></li><li><p>显卡型号：集成显卡</p></li><li><p>支持IPv6：支持IPv6</p></li><li><p>固态硬盘（SSD）：512GB</p></li><li><p>颜色：银色</p></li></ul><p><br/></p>',
        '1', '2023-11-08 18:03:59', '2023-11-16 15:57:30', '1', 0, b'0', 0, 0.00, 4444.00, 0, NULL, 0, 0, 0, '', 0, 0,
        0, 0, 0, 0);
INSERT INTO `yshop_store_product` (`id`, `image`, `slider_image`, `store_name`, `store_info`, `keyword`, `bar_code`,
                                   `brand_id`, `cate_id`, `price`, `vip_price`, `ot_price`, `postage`, `unit_name`,
                                   `sort`, `sales`, `stock`, `is_show`, `is_hot`, `is_benefit`, `is_best`, `is_new`,
                                   `description`, `creator`, `create_time`, `update_time`, `updater`, `is_postage`,
                                   `deleted`, `mer_use`, `give_integral`, `cost`, `is_seckill`, `is_bargain`, `is_good`,
                                   `ficti`, `browse`, `code_path`, `is_sub`, `temp_id`, `spec_type`, `is_integral`,
                                   `integral`, `tenant_id`)
VALUES (48,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a18d23cf2d405b875f42ca36cba7126ec2b75c1156e949cde375e356013f5662.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a18d23cf2d405b875f42ca36cba7126ec2b75c1156e949cde375e356013f5662.jpg,https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/006cde72761f8cca9d14af66a7c1abc38c5235a2aeb2362afe9b113b32da512d.jpg',
        '惠普笔记本ENVY16 i7/16+1T /RTX3060/4K触控屏轻薄创意设计师金属笔记本',
        '惠普笔记本ENVY16 i7/16+1T /RTX3060/4K触控屏轻薄创意设计师金属笔记本', '笔记本', '', NULL, 14, 13999.00, 0.00,
        1000.00, 0.00, '', 0, 1, 299, 1, 0, 0, 0, 1,
        '<ul id=\"parameter-brand\" class=\"p-parameter-list list-paddingleft-2\" style=\"list-style-type: none;\"><li><p>品牌：&nbsp;<a href=\"https://list.jd.com/list.html?cat=670,671,672&ev=exbrand_666752\" clstag=\"shangpin|keycount|product|pinpai_1\" target=\"_blank\" style=\"margin: 0px; padding: 0px; color: rgb(94, 105, 173); text-decoration-line: none;\">惠普</a></p></li><li><p>商品名称：惠普16-h0003TX</p></li><li><p>商品编号：100061006038</p></li><li><p>商品毛重：3.98kg</p></li><li><p>商品产地：中国大陆</p></li><li><p>内存容量：16GB</p></li><li><p>系列：惠普 - ENVY</p></li><li><p>屏幕色域：100% DCI-P3</p></li><li><p>机械硬盘：无机械硬盘</p></li><li><p>类型：轻薄笔记本</p></li><li><p>显卡芯片供应商：Intel</p></li><li><p>系统：Windows 11</p></li><li><p>支持IPv6：支持IPv6</p></li><li><p>厚度：18.1-20.0mm</p></li><li><p>屏幕刷新率：60Hz</p></li><li><p>屏幕比例：16:10</p></li><li><p>屏幕尺寸：16.0-16.9英寸</p></li><li><p>显卡型号：RTX 3060</p></li><li><p>处理器：intel i7</p></li><li><p>固态硬盘（SSD）：1TB</p></li><li><p>颜色：银色</p></li></ul><p><br/></p>',
        '1', '2023-11-08 18:06:41', '2023-11-08 18:06:41', '1', 0, b'0', 0, 0.00, 2000.00, 0, NULL, 0, 0, 0, '', 0, 39,
        0, 0, 0, 0);
INSERT INTO `yshop_store_product` (`id`, `image`, `slider_image`, `store_name`, `store_info`, `keyword`, `bar_code`,
                                   `brand_id`, `cate_id`, `price`, `vip_price`, `ot_price`, `postage`, `unit_name`,
                                   `sort`, `sales`, `stock`, `is_show`, `is_hot`, `is_benefit`, `is_best`, `is_new`,
                                   `description`, `creator`, `create_time`, `update_time`, `updater`, `is_postage`,
                                   `deleted`, `mer_use`, `give_integral`, `cost`, `is_seckill`, `is_bargain`, `is_good`,
                                   `ficti`, `browse`, `code_path`, `is_sub`, `temp_id`, `spec_type`, `is_integral`,
                                   `integral`, `tenant_id`)
VALUES (49,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/1cc1a7aeb7a8ada3a1e8c78587dbe539d27f900dee19a7ae5ea53d287da67afe.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/1cc1a7aeb7a8ada3a1e8c78587dbe539d27f900dee19a7ae5ea53d287da67afe.jpg,https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/2edd8fe8d37dfab2d585d1c578e0f611e8c85dbd4e3260be5dd9545ed0c89c06.jpg,https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/dbeaab55e361bea9b7d52ebf29acc96aa0ed88a3ce7fe2f433fb7b8126c524fa.jpg',
        '惠普笔记本 Elitebook 840G8 14英寸高端轻薄笔记本(i7-1165G7/16G/512SSD/FHD/53WHr/W10H/W11H)定制',
        'Elite精英-旗舰', '笔记本', '', NULL, 14, 3356.00, 0.00, 0.00, 0.00, '', 0, 0, 100, 1, 0, 0, 0, 1,
        '<ul id=\"parameter-brand\" class=\"p-parameter-list list-paddingleft-2\" style=\"list-style-type: none;\"><li><p>品牌：&nbsp;<a href=\"https://list.jd.com/list.html?cat=670,671,672&ev=exbrand_8740\" clstag=\"shangpin|keycount|product|pinpai_1\" target=\"_blank\" style=\"margin: 0px; padding: 0px; color: rgb(94, 105, 173); text-decoration-line: none;\">惠普（HP）</a></p></li><li><p>商品名称：惠普惠普840 G8</p></li><li><p>商品编号：100051395999</p></li><li><p>商品毛重：1.47kg</p></li><li><p>商品产地：中国大陆</p></li><li><p>内存容量：16GB</p></li><li><p>系列：高性能轻薄本系列</p></li><li><p>屏幕色域：45%NTSC</p></li><li><p>机械硬盘：无机械硬盘</p></li><li><p>类型：高端轻薄笔记本</p></li><li><p>固态硬盘（SSD）：512GB</p></li><li><p>系统：Windows 11</p></li><li><p>屏幕比例：16:9</p></li><li><p>厚度：15.1-18.0mm</p></li><li><p>屏幕刷新率：60Hz</p></li><li><p>处理器：intel i5</p></li><li><p>屏幕尺寸：14.0-14.9英寸</p></li><li><p>显卡型号：集成显卡</p></li><li><p>支持IPv6：支持IPv6</p></li><li><p>显卡芯片供应商：Intel</p></li><li><p>颜色：银色</p></li></ul><p><br/></p>',
        '1', '2023-11-08 18:15:35', '2023-11-21 10:44:31', '1', 0, b'0', 0, 0.00, 0.00, 0, NULL, 0, 0, 0, '', 0, 39, 1,
        0, 0, 0);
INSERT INTO `yshop_store_product` (`id`, `image`, `slider_image`, `store_name`, `store_info`, `keyword`, `bar_code`,
                                   `brand_id`, `cate_id`, `price`, `vip_price`, `ot_price`, `postage`, `unit_name`,
                                   `sort`, `sales`, `stock`, `is_show`, `is_hot`, `is_benefit`, `is_best`, `is_new`,
                                   `description`, `creator`, `create_time`, `update_time`, `updater`, `is_postage`,
                                   `deleted`, `mer_use`, `give_integral`, `cost`, `is_seckill`, `is_bargain`, `is_good`,
                                   `ficti`, `browse`, `code_path`, `is_sub`, `temp_id`, `spec_type`, `is_integral`,
                                   `integral`, `tenant_id`)
VALUES (50,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/24c19087d2428f9ef1ce7eaa74572a2da04bdfd6cd53dae734ee2411c475c2a5.png',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/82fe70238e349b6207c6b6555e993f9e3c9ab59c80cab35e3b8c27ada20c2a1b.jpg,https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/24c19087d2428f9ef1ce7eaa74572a2da04bdfd6cd53dae734ee2411c475c2a5.png,https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/0f4e8d286867d2025896e175f01c70f0402053db849e98a5dc6d297f6e81d02b.jpg',
        '惠普（HP）光影精灵9Victus 2023 16.1英寸13代酷睿满血轻薄电竞游戏本 13代i7HX/RTX4050 165Hz 32G 2TBG（升级改配）',
        '惠普（HP）光影精灵9Victus 2023 16.1英寸13代酷睿满血轻薄电竞游戏本 13代i7HX/RTX4050 165Hz 32G 2TBG（升级改配）',
        '笔记本', '', NULL, 14, 7699.00, 0.00, 0.00, 2.00, '', 0, 0, 600, 1, 0, 0, 0, 1,
        '<ul id=\"parameter-brand\" class=\"p-parameter-list list-paddingleft-2\" style=\"list-style-type: none;\"><li><p>品牌：&nbsp;<a href=\"https://list.jd.com/list.html?cat=670,671,1105&ev=exbrand_8740\" clstag=\"shangpin|keycount|product|pinpai_1\" target=\"_blank\" style=\"margin: 0px; padding: 0px; color: rgb(94, 105, 173); text-decoration-line: none;\">惠普（HP）</a></p></li><li><p>商品名称：惠普（HP）光影精灵9Victus 2023 16.1英寸13代酷睿满血轻薄电竞游戏本 13代i7HX/RTX4050 165Hz 16G 2TBG（升级改配）</p></li><li><p>商品编号：10089536034391</p></li><li><p>店铺：&nbsp;<a href=\"https://mall.jd.com/index-13310916.html?from=pc\" target=\"_blank\" style=\"margin: 0px; padding: 0px; color: rgb(94, 105, 173); text-decoration-line: none;\">电脑-外设经营部</a></p></li></ul><p><br/></p><p><img src=\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/c213a9d4dfc9e6feceecde97990677e0168032d129bd1c50e1cffe85669047d1.jpg\"/></p>',
        '1', '2023-11-08 18:25:13', '2023-11-08 18:25:13', '1', 0, b'0', 0, 0.00, 0.00, 0, NULL, 0, 0, 0, '', 0, 0, 1,
        0, 0, 0);
INSERT INTO `yshop_store_product` (`id`, `image`, `slider_image`, `store_name`, `store_info`, `keyword`, `bar_code`,
                                   `brand_id`, `cate_id`, `price`, `vip_price`, `ot_price`, `postage`, `unit_name`,
                                   `sort`, `sales`, `stock`, `is_show`, `is_hot`, `is_benefit`, `is_best`, `is_new`,
                                   `description`, `creator`, `create_time`, `update_time`, `updater`, `is_postage`,
                                   `deleted`, `mer_use`, `give_integral`, `cost`, `is_seckill`, `is_bargain`, `is_good`,
                                   `ficti`, `browse`, `code_path`, `is_sub`, `temp_id`, `spec_type`, `is_integral`,
                                   `integral`, `tenant_id`)
VALUES (51,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/4e449b42271d6f73cf0a4610f3be1660a5bf1346e13f95b2f089356516ab49f6.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/4e449b42271d6f73cf0a4610f3be1660a5bf1346e13f95b2f089356516ab49f6.jpg,https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cb65efa4112fd784f7676a7d816584a2e207fbdac9c404d830101ed22ff6cfc6.png',
        '惠普（HP） 星14/星15青春版 12代酷睿处理器 轻薄本便携女学生网课 【静谧银14英寸】R7-5825U 高性能核显 1TB 固态硬盘',
        '惠普（HP） 星14/星15青春版 12代酷睿处理器 轻薄本便携女学生网课 【静谧银14英寸】R7-5825U 高性能核显 1TB 固态硬盘',
        '笔记本', '', NULL, 14, 5886.00, 0.00, 0.00, 0.00, '', 0, 0, 80, 1, 0, 0, 0, 1,
        '<ul id=\"parameter-brand\" class=\"p-parameter-list list-paddingleft-2\" style=\"list-style-type: none;\"><li><p>品牌：&nbsp;<a href=\"https://list.jd.hk/list.html?cat=670,671,672&ev=exbrand_8740\" clstag=\"shangpin|keycount|product|pinpai_1\" target=\"_blank\" style=\"margin: 0px; padding: 0px; color: rgb(94, 105, 173); text-decoration-line: none;\">惠普（HP）</a></p></li><li><p>商品名称：惠普（HP） 星14/星15青春版 12代酷睿处理器 轻薄本便携女学生网课 【静谧银14英寸】i3-1115G4 高性能核 1TB 固态硬盘</p></li><li><p>商品编号：10085976387611</p></li><li><p>店铺：&nbsp;<a href=\"https://mall.jd.com/index-12988263.html?from=pc\" target=\"_blank\" style=\"margin: 0px; padding: 0px; color: rgb(94, 105, 173); text-decoration-line: none;\">ORISPA海外旗舰店</a></p></li><li><p>商品毛重：1.0kg</p></li><li><p>货号：RJDRTWa47a55c24b1</p></li><li><p>屏幕比例：16:10</p></li><li><p>系列：惠普-ZBOOK</p></li><li><p>屏幕色域：100% DCI-P3广色域&amp;100% sRGB高色域</p></li><li><p>固态硬盘（SSD）：1TB</p></li><li><p>类型：高性能轻薄笔记本</p></li><li><p>处理器：Apple M2 Ultra</p></li><li><p>系统：Windows 11 家庭中文版</p></li><li><p>机械硬盘：1TB</p></li><li><p>厚度：15.0mm及以下</p></li><li><p>屏幕刷新率：60Hz-120Hz</p></li><li><p>屏幕尺寸：13.0英寸以下</p></li><li><p>内存容量：128GB</p></li><li><p>显卡型号：APPLE M1 集成显卡</p></li><li><p>支持IPv6：支持IPv6</p></li><li><p>显卡芯片供应商：景嘉微</p></li><li><p>颜色：深空灰色</p></li></ul><p><br/></p><p><br/></p><p><img src=\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/6ac383b37b6b50d54758f23debe1f14f23b807c84c7f0772ec3ef2283a2c30e4.jpg\"/></p>',
        '1', '2023-11-08 18:32:43', '2023-11-09 19:59:45', '127', 0, b'0', 0, 0.00, 0.00, 0, NULL, 0, 0, 0, '', 0, 0, 1,
        0, 0, 0);
INSERT INTO `yshop_store_product` (`id`, `image`, `slider_image`, `store_name`, `store_info`, `keyword`, `bar_code`,
                                   `brand_id`, `cate_id`, `price`, `vip_price`, `ot_price`, `postage`, `unit_name`,
                                   `sort`, `sales`, `stock`, `is_show`, `is_hot`, `is_benefit`, `is_best`, `is_new`,
                                   `description`, `creator`, `create_time`, `update_time`, `updater`, `is_postage`,
                                   `deleted`, `mer_use`, `give_integral`, `cost`, `is_seckill`, `is_bargain`, `is_good`,
                                   `ficti`, `browse`, `code_path`, `is_sub`, `temp_id`, `spec_type`, `is_integral`,
                                   `integral`, `tenant_id`)
VALUES (52,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/72a1afdb3fdf1fc612c5d60f393b79d9d187ef6e1ca3d0ecec3372740df4f9c0.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/72a1afdb3fdf1fc612c5d60f393b79d9d187ef6e1ca3d0ecec3372740df4f9c0.jpg,https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eb9b69b202491c3935787238b1ffd64b2cfe7649e7da7e96f3ae8a9def62f35f.jpg',
        'Apple iPhone 15 Pro Max (A3108) 256GB 黑色钛金属 支持移动联通电信5G 双卡双待手机移动专享',
        'Apple iPhone 15 Pro Max (A3108) 256GB 黑色钛金属 支持移动联通电信5G 双卡双待手机移动专享', 'iphone', '', NULL,
        18, 1399.00, 0.00, 0.00, 0.00, '', 0, 1, 1490, 1, 0, 0, 0, 1,
        '<ul id=\"parameter-brand\" class=\"p-parameter-list list-paddingleft-2\" style=\"list-style-type: none;\"><li><p>品牌：&nbsp;<a href=\"https://list.jd.com/list.html?cat=9987,653,655&ev=exbrand_14026\" clstag=\"shangpin|keycount|product|pinpai_1\" target=\"_blank\" style=\"margin: 0px; padding: 0px; color: rgb(94, 105, 173); text-decoration-line: none;\">Apple</a></p></li><li><p>商品名称：AppleApple iPhone 15 Pro Max</p></li><li><p>商品编号：100066960378</p></li><li><p>商品毛重：403.00g</p></li><li><p>商品产地：中国大陆</p></li><li><p>CPU型号：A17 Pro</p></li><li><p>运行内存：未公布</p></li><li><p>机身颜色：黑色钛金属</p></li><li><p>三防标准：IP68</p></li><li><p>屏幕分辨率：FHD+</p></li><li><p>充电功率：以官网信息为准</p></li><li><p>机身内存：1TB</p></li><li><p>机身色系：黑色系</p></li><li><p>屏幕材质：OLED直屏</p></li><li><p>后摄主像素：4800万像素</p></li><li><p>风格：商务，科技</p></li><li><p><br/></p></li></ul><p><br/></p><p><img src=\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/ec4faac39e6eda7100c2ab0cffc85f62fadc0c6f319937fb4f7afaf03c434fdb.jpg\"/></p>',
        '1', '2023-11-08 18:40:41', '2023-11-17 10:08:18', '1', 0, b'0', 0, 0.00, 0.00, 0, NULL, 0, 0, 0, '', 0, 0, 1,
        0, 0, 0);
INSERT INTO `yshop_store_product` (`id`, `image`, `slider_image`, `store_name`, `store_info`, `keyword`, `bar_code`,
                                   `brand_id`, `cate_id`, `price`, `vip_price`, `ot_price`, `postage`, `unit_name`,
                                   `sort`, `sales`, `stock`, `is_show`, `is_hot`, `is_benefit`, `is_best`, `is_new`,
                                   `description`, `creator`, `create_time`, `update_time`, `updater`, `is_postage`,
                                   `deleted`, `mer_use`, `give_integral`, `cost`, `is_seckill`, `is_bargain`, `is_good`,
                                   `ficti`, `browse`, `code_path`, `is_sub`, `temp_id`, `spec_type`, `is_integral`,
                                   `integral`, `tenant_id`)
VALUES (53,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cd6523e65655bf735c25b74ae66d9528556eb66c11b40543cbeadc3a668e3af1.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cd6523e65655bf735c25b74ae66d9528556eb66c11b40543cbeadc3a668e3af1.jpg,https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/e3f453f3f5739e63e6205ab7cc56a7b36dbd8687cf71694d0028ccde3dca31d4.jpg,https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/f61fbbddd73b004c7ab16ed24d1e9a73997380c0b9c4b589f80dcea687cb2e0d.jpg',
        'Apple iPhone 15 (A3092) 256GB 粉色支持移动联通电信5G 双卡双待手机',
        'Apple iPhone 15 (A3092) 256GB 粉色支持移动联通电信5G 双卡双待手机', 'iphone', '', NULL, 18, 5898.00, 0.00,
        0.00, 0.00, '', 0, 5, 1200, 1, 0, 0, 0, 1,
        '<ul id=\"parameter-brand\" class=\"p-parameter-list list-paddingleft-2\" style=\"list-style-type: none;\"><li><p>品牌：&nbsp;<a href=\"https://list.jd.com/list.html?cat=9987,653,655&ev=exbrand_14026\" clstag=\"shangpin|keycount|product|pinpai_1\" target=\"_blank\" style=\"margin: 0px; padding: 0px; color: rgb(94, 105, 173); text-decoration-line: none;\">Apple</a></p></li><li><p>商品名称：AppleiPhone 15</p></li><li><p>商品编号：100066896400</p></li><li><p>商品毛重：330.00g</p></li><li><p>商品产地：中国大陆</p></li><li><p>CPU型号：A16</p></li><li><p>运行内存：未公布</p></li><li><p>机身颜色：粉色</p></li><li><p>三防标准：IP68</p></li><li><p>屏幕分辨率：FHD+</p></li><li><p>充电功率：以官网信息为准</p></li><li><p>机身内存：256GB</p></li><li><p>机身色系：粉色系</p></li><li><p>屏幕材质：OLED直屏</p></li><li><p>后摄主像素：4800万像素</p></li><li><p>风格：科技，商务</p></li></ul><p><br/></p><p><img src=\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/fba54304ee399cc5ee4024b25c80c27427f7d153717077ca76f8f919ac97ac4a.jpg\"/></p>',
        '1', '2023-11-08 18:47:02', '2023-11-16 16:26:26', '1', 0, b'0', 0, 0.00, 0.00, 0, NULL, 0, 0, 0, '', 0, 0, 1,
        0, 0, 0);
INSERT INTO `yshop_store_product` (`id`, `image`, `slider_image`, `store_name`, `store_info`, `keyword`, `bar_code`,
                                   `brand_id`, `cate_id`, `price`, `vip_price`, `ot_price`, `postage`, `unit_name`,
                                   `sort`, `sales`, `stock`, `is_show`, `is_hot`, `is_benefit`, `is_best`, `is_new`,
                                   `description`, `creator`, `create_time`, `update_time`, `updater`, `is_postage`,
                                   `deleted`, `mer_use`, `give_integral`, `cost`, `is_seckill`, `is_bargain`, `is_good`,
                                   `ficti`, `browse`, `code_path`, `is_sub`, `temp_id`, `spec_type`, `is_integral`,
                                   `integral`, `tenant_id`)
VALUES (54,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eb9b69b202491c3935787238b1ffd64b2cfe7649e7da7e96f3ae8a9def62f35f.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eb9b69b202491c3935787238b1ffd64b2cfe7649e7da7e96f3ae8a9def62f35f.jpg,https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/72a1afdb3fdf1fc612c5d60f393b79d9d187ef6e1ca3d0ecec3372740df4f9c0.jpg',
        '【现货速发】Apple iPhone 15 Pro 支持5G 国行原封 双卡双待手机apple全网通 原色钛金属 256GB',
        '【现货速发】Apple iPhone 15 Pro 支持5G 国行原封 双卡双待手机apple全网通 原色钛金属 256GB', 'iphone', '', NULL,
        18, 4599.00, 0.00, 0.00, 5.00, '', 0, 0, 1600, 1, 0, 0, 0, 1,
        '<ul id=\"parameter-brand\" class=\"p-parameter-list list-paddingleft-2\" style=\"list-style-type: none;\"><li><p>品牌：&nbsp;<a href=\"https://list.jd.hk/list.html?cat=9987,653,655&ev=exbrand_976065\" clstag=\"shangpin|keycount|product|pinpai_1\" target=\"_blank\" style=\"margin: 0px; padding: 0px; color: rgb(94, 105, 173); text-decoration-line: none;\">IPHONE</a></p></li><li><p>商品名称：【现货速发】Apple iPhone 15 Pro 支持5G 国行原封 双卡双待手机apple全网通 黑色钛金属 1TB</p></li><li><p>商品编号：10089199210217</p></li><li><p>店铺：&nbsp;<a href=\"https://mall.jd.com/index-13303356.html?from=pc\" target=\"_blank\" style=\"margin: 0px; padding: 0px; color: rgb(94, 105, 173); text-decoration-line: none;\">雨順貿易手机海外专营店</a></p></li><li><p>商品毛重：190.00g</p></li><li><p>机身内存：1TB</p></li><li><p>屏幕分辨率：FHD+</p></li><li><p>充电功率：以官网信息为准</p></li><li><p>屏幕材质：OLED直屏</p></li><li><p>后摄主像素：4800万像素</p></li></ul><p><br/></p><p><img src=\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/e486b7c4c615a3417c75b33504d016f656e8d079d506bd458b89e6cb9883e8dc.jpg\"/></p>',
        '1', '2023-11-09 11:54:20', '2023-11-16 15:57:13', '1', 0, b'0', 0, 0.00, 0.00, 0, NULL, 0, 0, 0, '', 0, 0, 1,
        0, 0, 0);
INSERT INTO `yshop_store_product` (`id`, `image`, `slider_image`, `store_name`, `store_info`, `keyword`, `bar_code`,
                                   `brand_id`, `cate_id`, `price`, `vip_price`, `ot_price`, `postage`, `unit_name`,
                                   `sort`, `sales`, `stock`, `is_show`, `is_hot`, `is_benefit`, `is_best`, `is_new`,
                                   `description`, `creator`, `create_time`, `update_time`, `updater`, `is_postage`,
                                   `deleted`, `mer_use`, `give_integral`, `cost`, `is_seckill`, `is_bargain`, `is_good`,
                                   `ficti`, `browse`, `code_path`, `is_sub`, `temp_id`, `spec_type`, `is_integral`,
                                   `integral`, `tenant_id`)
VALUES (55,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/4e5d358d3b786ec1212cc815c8ac8f81f8341ea5592fee36de8bb079e9d1c03e.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/4e5d358d3b786ec1212cc815c8ac8f81f8341ea5592fee36de8bb079e9d1c03e.jpg,https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/e32e1470bf6f2b987754cff563791424d13587f83804a61571fd51a49591f674.jpg,https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/3b674a74e27ca98e3eb464a735d4d23fc756e4998663ec9a36c91a003aa93946.jpg',
        'Apple 苹果 iPhone 15 二手手机 黑色 128G', 'Apple 苹果 iPhone 15 二手手机 黑色 128G', 'iphone', '', NULL, 18,
        100.00, 0.00, 0.00, 2.00, '', 0, 10, 900, 1, 0, 0, 0, 1,
        '<ul id=\"parameter-brand\" class=\"p-parameter-list list-paddingleft-2\" style=\"list-style-type: none;\"><li><p>品牌：&nbsp;<a href=\"https://list.jd.com/list.html?cat=13765,13767,13768&ev=exbrand_14026\" clstag=\"shangpin|keycount|product|pinpai_2\" target=\"_blank\" style=\"margin: 0px; padding: 0px; color: rgb(94, 105, 173); text-decoration-line: none;\">Apple</a></p></li><li><p>商品名称：Apple 苹果 iPhone 15 二手手机 黑色 128G</p></li><li><p>商品编号：10086543504004</p></li><li><p>店铺：&nbsp;<a href=\"https://mall.jd.com/index-11587025.html?from=pc\" target=\"_blank\" style=\"margin: 0px; padding: 0px; color: rgb(94, 105, 173); text-decoration-line: none;\">爱回收严选手机旗舰店</a></p></li><li><p>商品毛重：320.00g</p></li><li><p>三防标准：IP68</p></li><li><p>充电功率：26-49W</p></li><li><p>电池容量：3000-3999mAh</p></li><li><p>后摄主像素：普通(以官网信息为准)</p></li><li><p>机身内存：128GB</p></li><li><p>屏幕分辨率：QVGA及以下</p></li><li><p>来源渠道：二手优品</p></li><li><p>成色：99新</p></li><li><p>风格：时尚</p></li><li><p>机身色系：粉色系</p></li><li><p>屏幕尺寸：6.0-6.29英寸</p></li><li><p>运行内存：未公布</p></li></ul><p><br/></p><p><img src=\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/584bbe5b75cf64dbca7c49f3b1f506f80990f0739943699422e245f7d76b6539.gif\"/><img src=\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/dfff84fd48044b7fc2a19452c5fb8d9c6ed8624d7a67f462e42dd6089d873f97.jpg\"/></p>',
        '1', '2023-11-09 12:06:17', '2023-11-16 15:56:40', '1', 0, b'0', 0, 0.00, 0.00, 0, NULL, 0, 0, 0, '', 0, 0, 1,
        0, 0, 0);
INSERT INTO `yshop_store_product` (`id`, `image`, `slider_image`, `store_name`, `store_info`, `keyword`, `bar_code`,
                                   `brand_id`, `cate_id`, `price`, `vip_price`, `ot_price`, `postage`, `unit_name`,
                                   `sort`, `sales`, `stock`, `is_show`, `is_hot`, `is_benefit`, `is_best`, `is_new`,
                                   `description`, `creator`, `create_time`, `update_time`, `updater`, `is_postage`,
                                   `deleted`, `mer_use`, `give_integral`, `cost`, `is_seckill`, `is_bargain`, `is_good`,
                                   `ficti`, `browse`, `code_path`, `is_sub`, `temp_id`, `spec_type`, `is_integral`,
                                   `integral`, `tenant_id`)
VALUES (56,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a53c065755e92187b8005ab1d32b75da7ce91e40b92b17805abf9d7419403691.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a53c065755e92187b8005ab1d32b75da7ce91e40b92b17805abf9d7419403691.jpg,https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/d9062b8cd32e07bc5f33517b72b9b0d3491f11bb8c8bc0fbed2cf076de6e0c65.jpg,https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/c00a5348a0967d8c84745e436743c821bba0afc719d85c8c5cb57fa8aaf5de3c.jpg',
        '华为/HUAWEI 畅享60 6000mAh+22.5W超级快充 4800万大底超清影像 128GB 幻夜黑 鸿蒙智能手机',
        '华为/HUAWEI 畅享60 6000mAh+22.5W超级快充 4800万大底超清影像 128GB 幻夜黑 鸿蒙智能手机', '安卓', '', NULL, 5,
        100.00, 0.00, 0.00, 0.00, '', 0, 0, 600, 1, 0, 0, 0, 1,
        '<ul id=\"parameter-brand\" class=\"p-parameter-list list-paddingleft-2\" style=\"list-style-type: none;\"><li><p>品牌：&nbsp;<a href=\"https://list.jd.com/list.html?cat=9987,653,655&ev=exbrand_8557\" clstag=\"shangpin|keycount|product|pinpai_1\" target=\"_blank\" style=\"margin: 0px; padding: 0px; color: rgb(94, 105, 173); text-decoration-line: none;\">华为（HUAWEI）</a></p></li><li><p>商品名称：华为畅享60</p></li><li><p>商品编号：100047139674</p></li><li><p>商品毛重：430.00g</p></li><li><p>商品产地：中国大陆</p></li><li><p>CPU型号：未公布</p></li><li><p>运行内存：8GB</p></li><li><p>机身颜色：幻夜黑</p></li><li><p>三防标准：生活防水</p></li><li><p>屏幕分辨率：HD+</p></li><li><p>充电功率：25W及以下</p></li><li><p>机身内存：256GB</p></li><li><p>风格：简约风，商务，时尚</p></li><li><p>屏幕材质：LCD</p></li><li><p>后摄主像素：4800万像素</p></li><li><p>机身色系：混合色系</p></li></ul><p><br/></p><p><img src=\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/0b122319ad2aaf1ac0df121f3edb900d9e699b327e9c12bb460b482d5bb0b0e7.jpg\"/></p>',
        '1', '2023-11-09 16:40:02', '2023-11-16 15:55:44', '1', 0, b'0', 0, 0.00, 0.00, 0, NULL, 0, 0, 0, '', 0, 39, 1,
        0, 0, 0);
INSERT INTO `yshop_store_product` (`id`, `image`, `slider_image`, `store_name`, `store_info`, `keyword`, `bar_code`,
                                   `brand_id`, `cate_id`, `price`, `vip_price`, `ot_price`, `postage`, `unit_name`,
                                   `sort`, `sales`, `stock`, `is_show`, `is_hot`, `is_benefit`, `is_best`, `is_new`,
                                   `description`, `creator`, `create_time`, `update_time`, `updater`, `is_postage`,
                                   `deleted`, `mer_use`, `give_integral`, `cost`, `is_seckill`, `is_bargain`, `is_good`,
                                   `ficti`, `browse`, `code_path`, `is_sub`, `temp_id`, `spec_type`, `is_integral`,
                                   `integral`, `tenant_id`)
VALUES (57,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/93ba9ce25078c919554d87943596fe0c1ad2f672fba790542767da2979ff98ab.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/93ba9ce25078c919554d87943596fe0c1ad2f672fba790542767da2979ff98ab.jpg,https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/0776e9754c6a534c434b8ae908129ef7f247ee2b3dc4a81ad8153b3215e5b116.png',
        '华为 荣耀（HONOR）荣耀10青春版 全面屏智能游戏拍照全网通安卓麒麟 710 二手手机 幻夜黑 6G+128G 95新',
        '华为 荣耀（HONOR）荣耀10青春版 全面屏智能游戏拍照全网通安卓麒麟 710 二手手机 幻夜黑 6G+128G 95新', '华为', '',
        NULL, 5, 438.00, 0.00, 300.00, 5.00, '', 0, 1, 199, 1, 0, 0, 0, 1,
        '<ul id=\"parameter-brand\" class=\"p-parameter-list list-paddingleft-2\" style=\"list-style-type: none;\"><li><p>品牌：&nbsp;<a href=\"https://list.jd.com/list.html?cat=13765,13767,13768&ev=exbrand_8557\" clstag=\"shangpin|keycount|product|pinpai_2\" target=\"_blank\" style=\"margin: 0px; padding: 0px; color: rgb(94, 105, 173); text-decoration-line: none;\">华为（HUAWEI）</a></p></li><li><p>商品名称：华为 荣耀（HONOR）荣耀10青春版 全面屏智能游戏拍照全网通安卓麒麟 710 二手手机 幻夜黑 6G+128G 95新</p></li><li><p>商品编号：10045732710609</p></li><li><p>店铺：&nbsp;<a href=\"https://mall.jd.com/index-10285213.html?from=pc\" target=\"_blank\" style=\"margin: 0px; padding: 0px; color: rgb(94, 105, 173); text-decoration-line: none;\">禹凡优品二手手机专营店</a></p></li><li><p>商品毛重：500.00g</p></li><li><p>屏幕尺寸：6.0-6.29英寸</p></li><li><p>充电功率：以官网信息为准</p></li><li><p>电池容量：以官网信息为准</p></li><li><p>后摄主像素：普通(以官网信息为准)</p></li><li><p>机身内存：128GB</p></li><li><p>屏幕分辨率：HD+</p></li><li><p>来源渠道：二手优品</p></li><li><p>风格：炫彩，轻奢，科技</p></li><li><p>机身色系：黑色系，白色系，蓝色系，红色系</p></li><li><p>成色：95新</p></li><li><p>三防标准：不支持防水</p></li><li><p>运行内存：6GB</p></li></ul><p><br/></p><p><img src=\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/53bba53e5c78239503bcb407e13d7f55cf697c5de47c8b5d8f06e6b3974bd382.jpg\"/></p>',
        '1', '2023-11-09 16:43:30', '2023-11-09 16:43:30', '1', 0, b'0', 0, 0.00, 0.00, 0, NULL, 0, 0, 0, '', 0, 0, 0,
        0, 0, 0);
INSERT INTO `yshop_store_product` (`id`, `image`, `slider_image`, `store_name`, `store_info`, `keyword`, `bar_code`,
                                   `brand_id`, `cate_id`, `price`, `vip_price`, `ot_price`, `postage`, `unit_name`,
                                   `sort`, `sales`, `stock`, `is_show`, `is_hot`, `is_benefit`, `is_best`, `is_new`,
                                   `description`, `creator`, `create_time`, `update_time`, `updater`, `is_postage`,
                                   `deleted`, `mer_use`, `give_integral`, `cost`, `is_seckill`, `is_bargain`, `is_good`,
                                   `ficti`, `browse`, `code_path`, `is_sub`, `temp_id`, `spec_type`, `is_integral`,
                                   `integral`, `tenant_id`)
VALUES (58,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eab043962fb5e70d7ef0c0dc316e63d44863ceda49fe9379378d343ca9d17a05.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eab043962fb5e70d7ef0c0dc316e63d44863ceda49fe9379378d343ca9d17a05.jpg,https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/41311fafdea1be5af98cdebb5c2d43515b6acf47a8734f99122e7fc545467d8d.jpg',
        '华为 HUAWEI Mate 40 Pro 5G 二手手机 麒麟9000SoC芯片 曲面屏5G全网通 亮黑色【赠3C认证快充】 8GB+256GB全网通 5G版【100电池】 99成新',
        '华为 HUAWEI Mate 40 Pro 5G 二手手机 麒麟9000SoC芯片 曲面屏5G全网通 亮黑色【赠3C认证快充】 8GB+256GB全网通 5G版【100电池】 99成新',
        '华为', '', NULL, 5, 3348.00, 0.00, 0.00, 0.00, '', 0, 0, 4262, 1, 0, 0, 0, 1,
        '<ul id=\"parameter-brand\" class=\"p-parameter-list list-paddingleft-2\" style=\"list-style-type: none;\"><li><p>品牌：&nbsp;<a href=\"https://list.jd.com/list.html?cat=13765,13767,13768&ev=exbrand_8557\" clstag=\"shangpin|keycount|product|pinpai_2\" target=\"_blank\" style=\"margin: 0px; padding: 0px; color: rgb(94, 105, 173); text-decoration-line: none;\">华为（HUAWEI）</a></p></li><li><p>商品名称：华为 HUAWEI Mate 40 Pro 5G 二手手机 麒麟9000SoC芯片 曲面屏5G全网通 亮黑色【赠3C认证快充】 8GB+256GB全网通 5G版【100电池】 99成新</p></li><li><p>商品编号：10078153606485</p></li><li><p>店铺：&nbsp;<a href=\"https://mall.jd.com/index-10285213.html?from=pc\" target=\"_blank\" style=\"margin: 0px; padding: 0px; color: rgb(94, 105, 173); text-decoration-line: none;\">禹凡优品二手手机专营店</a></p></li><li><p>商品毛重：200.00g</p></li><li><p>三防标准：生活防水</p></li><li><p>屏幕分辨率：HD+</p></li><li><p>充电功率：以官网信息为准</p></li><li><p>CPU型号：麒麟9000</p></li><li><p>支持IPv6：不支持IPv6</p></li><li><p>运行内存：8GB</p></li><li><p>后摄主像素：1200万像素</p></li><li><p>风格：轻奢，科技，商务</p></li><li><p>机身内存：128GB</p></li><li><p>成色：99新</p></li><li><p>来源渠道：二手优品</p></li><li><p>泰尔电竞评级：否</p></li><li><p>机身色系：混合色系</p></li><li><p>特征特质：屏幕指纹</p></li><li><p>屏幕尺寸：6.8-7.0英寸</p></li><li><p>电池容量：以官网信息为准</p></li><li><p><br/></p></li></ul><p><br/></p><p><img src=\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/53bba53e5c78239503bcb407e13d7f55cf697c5de47c8b5d8f06e6b3974bd382.jpg\"/></p><p><img src=\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/d5240748f53c2116f08554ddc4f950a66610a3d8f772eef6b7fcc0a5836e96ba.jpg\"/></p>',
        '1', '2023-11-09 16:50:54', '2023-11-20 14:51:36', '1', 0, b'0', 0, 0.00, 0.00, 0, NULL, 0, 0, 0, '', 0, 0, 1,
        0, 0, 0);
INSERT INTO `yshop_store_product` (`id`, `image`, `slider_image`, `store_name`, `store_info`, `keyword`, `bar_code`,
                                   `brand_id`, `cate_id`, `price`, `vip_price`, `ot_price`, `postage`, `unit_name`,
                                   `sort`, `sales`, `stock`, `is_show`, `is_hot`, `is_benefit`, `is_best`, `is_new`,
                                   `description`, `creator`, `create_time`, `update_time`, `updater`, `is_postage`,
                                   `deleted`, `mer_use`, `give_integral`, `cost`, `is_seckill`, `is_bargain`, `is_good`,
                                   `ficti`, `browse`, `code_path`, `is_sub`, `temp_id`, `spec_type`, `is_integral`,
                                   `integral`, `tenant_id`)
VALUES (59,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/6bfc0f8a2dd6db6e6d549960fbbd0e792f0520251f3f932c0aa75e12606db16a.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/6bfc0f8a2dd6db6e6d549960fbbd0e792f0520251f3f932c0aa75e12606db16a.jpg,https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/77e4e7ba96602d25a31392c34a16dff753b3316b69b51ea2c4b9a260a44dea7f.jpg,https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/ad6828ac32a9d5883c47a72a81b7b4ae21b834bec40ff61516cf2b5b89621fc2.jpg',
        'Huawei 华为P30 Pro 二手手机 感光徕卡四摄10倍混合变焦安卓游戏二手手机 95新 赤茶橘 8G+128G 95新',
        'Huawei 华为P30 Pro 二手手机 感光徕卡四摄10倍混合变焦安卓游戏二手手机 95新 赤茶橘 8G+128G 95新', '手机', '',
        NULL, 5, 1049.00, 0.00, 980.00, 0.00, '', 0, 3, 200, 1, 0, 0, 0, 1,
        '<ul id=\"parameter-brand\" class=\"p-parameter-list list-paddingleft-2\" style=\"list-style-type: none;\"><li><p>品牌：&nbsp;<a href=\"https://list.jd.com/list.html?cat=13765,13767,13768&ev=exbrand_441193\" clstag=\"shangpin|keycount|product|pinpai_2\" target=\"_blank\" style=\"margin: 0px; padding: 0px; color: rgb(94, 105, 173); text-decoration-line: none;\">华为</a></p></li><li><p>商品名称：华为p30pro</p></li><li><p>商品编号：10064127180191</p></li><li><p>店铺：&nbsp;<a href=\"https://mall.jd.com/index-11436778.html?from=pc\" target=\"_blank\" style=\"margin: 0px; padding: 0px; color: rgb(94, 105, 173); text-decoration-line: none;\">三盛数码二手手机专营店</a></p></li><li><p>商品毛重：2.0kg</p></li><li><p>屏幕尺寸：6.3-6.59英寸</p></li><li><p>充电功率：以官网信息为准</p></li><li><p>电池容量：以官网信息为准</p></li><li><p>后摄主像素：4000万像素</p></li><li><p>机身内存：128GB</p></li><li><p>屏幕分辨率：HD+</p></li><li><p>运行内存：8GB</p></li><li><p>机身色系：黑色系，白色系，橙色系，蓝色系</p></li><li><p>风格：时尚</p></li><li><p>来源渠道：其他</p></li><li><p>成色：9成新</p></li><li><p>三防标准：IP53</p></li></ul><p><br/></p><p><img src=\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/76821605290ca656b770d360ad7c5e8fc8631a32c41c546c91c25b945f829006.jpg\"/></p>',
        '1', '2023-11-09 17:15:00', '2023-11-13 21:05:27', '1', 0, b'0', 0, 0.00, 0.00, 0, NULL, 0, 0, 0, '', 0, 0, 0,
        0, 0, 0);
INSERT INTO `yshop_store_product` (`id`, `image`, `slider_image`, `store_name`, `store_info`, `keyword`, `bar_code`,
                                   `brand_id`, `cate_id`, `price`, `vip_price`, `ot_price`, `postage`, `unit_name`,
                                   `sort`, `sales`, `stock`, `is_show`, `is_hot`, `is_benefit`, `is_best`, `is_new`,
                                   `description`, `creator`, `create_time`, `update_time`, `updater`, `is_postage`,
                                   `deleted`, `mer_use`, `give_integral`, `cost`, `is_seckill`, `is_bargain`, `is_good`,
                                   `ficti`, `browse`, `code_path`, `is_sub`, `temp_id`, `spec_type`, `is_integral`,
                                   `integral`, `tenant_id`)
VALUES (60,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/399bebcd36f8b40647d8f70c80414fc9fd06761d920639d65760feeee35ce61f.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/399bebcd36f8b40647d8f70c80414fc9fd06761d920639d65760feeee35ce61f.jpg',
        '华为matex5 折叠屏 新品旗舰手机 羽砂黑 12+256GB', '华为matex5 折叠屏 新品旗舰手机 羽砂黑 12+256GB', '华为', '',
        NULL, 5, 15999.00, 0.00, 18000.00, 0.00, '', 0, 2, 198, 1, 0, 0, 0, 1,
        '<ul id=\"parameter-brand\" class=\"p-parameter-list list-paddingleft-2\" style=\"list-style-type: none;\"><li><p>品牌：&nbsp;<a href=\"https://list.jd.com/list.html?cat=9987,653,655&ev=exbrand_8557\" clstag=\"shangpin|keycount|product|pinpai_1\" target=\"_blank\" style=\"margin: 0px; padding: 0px; color: rgb(94, 105, 173); text-decoration-line: none;\">华为（HUAWEI）</a></p></li><li><p>商品名称：【现货速发】华为matex5 折叠屏 新品旗舰手机 羽砂黑 12+256GB</p></li><li><p>商品编号：10087877643725</p></li><li><p>商品毛重：500.00g</p></li><li><p>CPU型号：未公布</p></li><li><p>运行内存：12GB</p></li><li><p>机身颜色：羽砂黑</p></li><li><p>机身内存：256GB</p></li><li><p>屏幕分辨率：FHD+</p></li><li><p>充电功率：50-79W</p></li><li><p>屏幕材质：OLED折叠屏</p></li><li><p>后摄主像素：5000万像素</p></li><li><p>三防标准：生活防水</p></li></ul><p><br/></p>',
        '1', '2023-11-09 17:18:34', '2023-11-09 17:18:34', '1', 0, b'0', 0, 0.00, 0.00, 0, NULL, 0, 0, 0, '', 0, 0, 0,
        0, 0, 0);
INSERT INTO `yshop_store_product` (`id`, `image`, `slider_image`, `store_name`, `store_info`, `keyword`, `bar_code`,
                                   `brand_id`, `cate_id`, `price`, `vip_price`, `ot_price`, `postage`, `unit_name`,
                                   `sort`, `sales`, `stock`, `is_show`, `is_hot`, `is_benefit`, `is_best`, `is_new`,
                                   `description`, `creator`, `create_time`, `update_time`, `updater`, `is_postage`,
                                   `deleted`, `mer_use`, `give_integral`, `cost`, `is_seckill`, `is_bargain`, `is_good`,
                                   `ficti`, `browse`, `code_path`, `is_sub`, `temp_id`, `spec_type`, `is_integral`,
                                   `integral`, `tenant_id`)
VALUES (61,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/0d700704d87918bf96f498c3cfa0f506c081018f2113c752da27d2452df53d28.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/0d700704d87918bf96f498c3cfa0f506c081018f2113c752da27d2452df53d28.jpg',
        '华为mate60pro+ 新品旗舰手机 砚黑 16+512GB', '华为mate60pro+ 新品旗舰手机 砚黑 16+512GB', '华为', '', NULL, 5,
        9988.00, 0.00, 10999.00, 0.00, '', 0, 10, 190, 1, 0, 0, 0, 1,
        '<ul id=\"parameter-brand\" class=\"p-parameter-list list-paddingleft-2\" style=\"list-style-type: none;\"><li><p>品牌：&nbsp;<a href=\"https://list.jd.com/list.html?cat=9987,653,655&ev=exbrand_8557\" clstag=\"shangpin|keycount|product|pinpai_1\" target=\"_blank\" style=\"margin: 0px; padding: 0px; color: rgb(94, 105, 173); text-decoration-line: none;\">华为（HUAWEI）</a></p></li><li><p>商品名称：【现货速发】华为mate60pro+ 新品旗舰手机 砚黑 16+1TB</p></li><li><p>商品编号：10085438614266</p></li><li><p>商品毛重：500.00g</p></li><li><p>CPU型号：未公布</p></li><li><p>运行内存：16GB</p></li><li><p>机身颜色：砚黑</p></li><li><p>三防标准：IP68</p></li><li><p>屏幕分辨率：FHD+</p></li><li><p>充电功率：80-119W</p></li><li><p>机身色系：黑色系</p></li><li><p>屏幕材质：OLED曲面屏</p></li><li><p>后摄主像素：4800万像素</p></li><li><p>机身内存：1TB</p></li></ul><p><br/></p><p><img src=\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/2790f6f7fac25af1866bff2f9aea079924be04b83bfbdaa2541116964bfcaea3.jpg\"/></p>',
        '1', '2023-11-09 17:37:24', '2023-11-09 17:37:24', '1', 0, b'0', 0, 0.00, 0.00, 0, NULL, 0, 0, 0, '', 0, 0, 1,
        0, 0, 0);
INSERT INTO `yshop_store_product` (`id`, `image`, `slider_image`, `store_name`, `store_info`, `keyword`, `bar_code`,
                                   `brand_id`, `cate_id`, `price`, `vip_price`, `ot_price`, `postage`, `unit_name`,
                                   `sort`, `sales`, `stock`, `is_show`, `is_hot`, `is_benefit`, `is_best`, `is_new`,
                                   `description`, `creator`, `create_time`, `update_time`, `updater`, `is_postage`,
                                   `deleted`, `mer_use`, `give_integral`, `cost`, `is_seckill`, `is_bargain`, `is_good`,
                                   `ficti`, `browse`, `code_path`, `is_sub`, `temp_id`, `spec_type`, `is_integral`,
                                   `integral`, `tenant_id`)
VALUES (62,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/8bd6dc7f02a98fcd9d86ef44058db1295076c6b67335951162295bce5c7416fe.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/8bd6dc7f02a98fcd9d86ef44058db1295076c6b67335951162295bce5c7416fe.jpg',
        'MICROKIA【11月顶配版】适用华为蓝牙耳机p60p50p40p30nova10/9/8mate60/50/40pro荣耀入耳式 冰霜银【智能降噪+超长续航】 适用华为鸿蒙Freepluds4',
        'MICROKIA【11月顶配版】适用华为蓝牙耳机p60p50p40p30nova10/9/8mate60/50/40pro荣耀入耳式 冰霜银【智能降噪+超长续航】 适用华为鸿蒙Freepluds4',
        '耳机', '', NULL, 19, 229.00, 0.00, 259.00, 6.00, '', 0, 1, 99, 1, 0, 0, 0, 1,
        '<ul id=\"parameter-brand\" class=\"p-parameter-list list-paddingleft-2\" style=\"list-style-type: none;\"><li><p>品牌：&nbsp;<a href=\"https://list.jd.com/list.html?cat=652,828,842&ev=exbrand_26645\" clstag=\"shangpin|keycount|product|pinpai_1\" target=\"_blank\" style=\"margin: 0px; padding: 0px; color: rgb(94, 105, 173); text-decoration-line: none;\">维肯（Viken）</a></p></li><li><p>商品名称：维肯（Viken）Air新款Pods五专用Pro2</p></li><li><p>商品编号：10035789319416</p></li><li><p>店铺：&nbsp;<a href=\"https://mall.jd.com/index-131099.html?from=pc\" target=\"_blank\" style=\"margin: 0px; padding: 0px; color: rgb(94, 105, 173); text-decoration-line: none;\">维肯数码旗舰店</a></p></li><li><p>商品毛重：500.00g</p></li><li><p>货号：降噪pods</p></li><li><p>特色功能：超长续航</p></li><li><p>类别：降噪耳机</p></li><li><p>音频传输协议：SBC，AAC</p></li><li><p>佩戴方式：半入耳式，入耳式</p></li><li><p>连接方式：无线，蓝牙</p></li><li><p>振膜类型：多单元动圈</p></li></ul><p><br/></p><p><img src=\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/d8a18ddc4b43eeb41d29593781d88e5cac7a570af7c95c7fb74ee1eb1d63ec01.jpg\"/></p>',
        '1', '2023-11-13 15:19:29', '2023-11-13 15:19:29', '1', 0, b'0', 0, 0.00, 129.00, 0, NULL, 0, 0, 0, '', 0, 0, 0,
        0, 0, 0);
INSERT INTO `yshop_store_product` (`id`, `image`, `slider_image`, `store_name`, `store_info`, `keyword`, `bar_code`,
                                   `brand_id`, `cate_id`, `price`, `vip_price`, `ot_price`, `postage`, `unit_name`,
                                   `sort`, `sales`, `stock`, `is_show`, `is_hot`, `is_benefit`, `is_best`, `is_new`,
                                   `description`, `creator`, `create_time`, `update_time`, `updater`, `is_postage`,
                                   `deleted`, `mer_use`, `give_integral`, `cost`, `is_seckill`, `is_bargain`, `is_good`,
                                   `ficti`, `browse`, `code_path`, `is_sub`, `temp_id`, `spec_type`, `is_integral`,
                                   `integral`, `tenant_id`)
VALUES (63,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/51d7656a76341f0dcc46d09053e8ed051dc34cdab94390c18c7d38102680d2aa.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/51d7656a76341f0dcc46d09053e8ed051dc34cdab94390c18c7d38102680d2aa.jpg',
        'Viken【华强北9代Pro3顶配】适用苹果蓝牙耳机无线Air主动降噪iphone15/14/13/12Pro2洛达5代入耳式运动 【11月原版全功能】滑动调节音量 【空间音頻+三真电量+入耳检测】',
        'Viken【华强北9代Pro3顶配】适用苹果蓝牙耳机无线Air主动降噪iphone15/14/13/12Pro2洛达5代入耳式运动 【11月原版全功能】滑动调节音量 【空间音頻+三真电量+入耳检测】',
        '耳机', '', NULL, 19, 288.00, 0.00, 359.00, 0.00, '', 0, 0, 100, 1, 0, 0, 0, 1,
        '<ul id=\"parameter-brand\" class=\"p-parameter-list list-paddingleft-2\" style=\"list-style-type: none;\"><li><p>品牌：&nbsp;<a href=\"https://list.jd.com/list.html?cat=652,828,842&ev=exbrand_26645\" clstag=\"shangpin|keycount|product|pinpai_1\" target=\"_blank\" style=\"margin: 0px; padding: 0px; color: rgb(94, 105, 173); text-decoration-line: none;\">维肯（Viken）</a></p></li><li><p>商品名称：维肯（Viken）Air新款Pods五专用Pro2</p></li><li><p>商品编号：10063004092147</p></li><li><p>店铺：&nbsp;<a href=\"https://mall.jd.com/index-663635.html?from=pc\" target=\"_blank\" style=\"margin: 0px; padding: 0px; color: rgb(94, 105, 173); text-decoration-line: none;\">维肯旗舰店</a></p></li><li><p>商品毛重：100.00g</p></li><li><p>特色功能：超长续航</p></li><li><p>类别：降噪耳机</p></li><li><p>音频传输协议：SBC，AAC</p></li><li><p>振膜类型：多单元动圈</p></li><li><p>连接方式：无线，蓝牙</p></li><li><p>佩戴方式：半入耳式，入耳式</p></li></ul><p><br/></p><p><img src=\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/dc3f735920a612482e17de9d2d1390ebce1c2288f8236edcbbcbe61f54d7dfa0.jpg\"/></p>',
        '1', '2023-11-13 15:23:53', '2023-11-13 15:23:53', '1', 0, b'0', 0, 0.00, 129.00, 0, NULL, 0, 0, 0, '', 0, 39,
        0, 0, 0, 0);
INSERT INTO `yshop_store_product` (`id`, `image`, `slider_image`, `store_name`, `store_info`, `keyword`, `bar_code`,
                                   `brand_id`, `cate_id`, `price`, `vip_price`, `ot_price`, `postage`, `unit_name`,
                                   `sort`, `sales`, `stock`, `is_show`, `is_hot`, `is_benefit`, `is_best`, `is_new`,
                                   `description`, `creator`, `create_time`, `update_time`, `updater`, `is_postage`,
                                   `deleted`, `mer_use`, `give_integral`, `cost`, `is_seckill`, `is_bargain`, `is_good`,
                                   `ficti`, `browse`, `code_path`, `is_sub`, `temp_id`, `spec_type`, `is_integral`,
                                   `integral`, `tenant_id`)
VALUES (64,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/c4b49c225c660c8762bc5132bab5d89f7b6025794b9c6b7578694d1418993a63.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/c4b49c225c660c8762bc5132bab5d89f7b6025794b9c6b7578694d1418993a63.jpg,https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/07bde49d7226939ec92f1449bffc96863ed5a4d42847fd0328d58eb9bb1af9b1.jpg',
        'MICROKIA适用华为蓝牙耳机无线适用p60p50p40p30nova11/10/9/8/7/6mate60/50/40pro荣耀鸿蒙 【适配华为Freepluds】顶配款 【智能降噪/触控+长续航',
        'MICROKIA适用华为蓝牙耳机无线适用p60p50p40p30nova11/10/9/8/7/6mate60/50/40pro荣耀鸿蒙 【适配华为Freepluds】顶配款 【智能降噪/触控+长续航',
        '耳机', '', NULL, 19, 219.00, 0.00, 239.00, 0.00, '', 0, 0, 200, 1, 0, 0, 0, 1,
        '<ul id=\"parameter-brand\" class=\"p-parameter-list list-paddingleft-2\" style=\"list-style-type: none;\"><li><p>品牌：&nbsp;<a href=\"https://list.jd.com/list.html?cat=652,828,842&ev=exbrand_47019\" clstag=\"shangpin|keycount|product|pinpai_1\" target=\"_blank\" style=\"margin: 0px; padding: 0px; color: rgb(94, 105, 173); text-decoration-line: none;\">迈凯亚（MICROKIA）</a></p></li><li><p>商品名称：迈凯亚（MICROKIA）k7</p></li><li><p>商品编号：10040560869968</p></li><li><p>店铺：&nbsp;<a href=\"https://mall.jd.com/index-640227.html?from=pc\" target=\"_blank\" style=\"margin: 0px; padding: 0px; color: rgb(94, 105, 173); text-decoration-line: none;\">田信数码专营店</a></p></li><li><p>商品毛重：100.00g</p></li><li><p>特色功能：超长续航</p></li><li><p>类别：降噪耳机</p></li><li><p>音频传输协议：AAC</p></li><li><p>佩戴方式：半入耳式，入耳式</p></li><li><p>连接方式：无线，蓝牙</p></li><li><p>振膜类型：多单元动圈</p></li></ul><p><br/></p><p><img src=\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/556f074239d5c3897f1bfba19259a48ac4d10f9ec93c04e83e0b14066fe78529.jpg\"/></p>',
        '1', '2023-11-13 15:42:53', '2023-11-13 15:42:53', '1', 0, b'0', 0, 0.00, 0.00, 0, NULL, 0, 0, 0, '', 0, 0, 0,
        0, 0, 0);
INSERT INTO `yshop_store_product` (`id`, `image`, `slider_image`, `store_name`, `store_info`, `keyword`, `bar_code`,
                                   `brand_id`, `cate_id`, `price`, `vip_price`, `ot_price`, `postage`, `unit_name`,
                                   `sort`, `sales`, `stock`, `is_show`, `is_hot`, `is_benefit`, `is_best`, `is_new`,
                                   `description`, `creator`, `create_time`, `update_time`, `updater`, `is_postage`,
                                   `deleted`, `mer_use`, `give_integral`, `cost`, `is_seckill`, `is_bargain`, `is_good`,
                                   `ficti`, `browse`, `code_path`, `is_sub`, `temp_id`, `spec_type`, `is_integral`,
                                   `integral`, `tenant_id`)
VALUES (65,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/1b83e91d358265fee67efb732b2182cc43730d910361a36574047d211946fb1f.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/1b83e91d358265fee67efb732b2182cc43730d910361a36574047d211946fb1f.jpg,https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/1d13270c3a19db5ae80db272b25241d54741d91cb9f3d7826f4409a48c8b6bfc.png,https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/4d5aae03f6592015da3df009b21cfd6f1d01750afc00ef0826ed6b37a1a49a13.png',
        '漫步者（EDIFIER） Z1 真无线蓝牙耳机 蓝牙5.3轻量半入耳式迷你机身音乐耳机长续航适用于苹果小米华为OPPOVIVO手机 云岩白+保护套+晒单送500京豆',
        '漫步者（EDIFIER） Z1 真无线蓝牙耳机 蓝牙5.3轻量半入耳式迷你机身音乐耳机长续航适用于苹果小米华为OPPOVIVO手机',
        '耳机', '', NULL, 19, 103.00, 0.00, 133.00, 6.00, '', 0, 0, 300, 1, 0, 0, 0, 1,
        '<ul class=\"parameter2 p-parameter-list list-paddingleft-2\" style=\"list-style-type: none;\"><li><p>商品名称：漫步者（EDIFIER）Z1</p></li><li><p>商品编号：10042316324747</p></li><li><p>店铺：&nbsp;<a href=\"https://mall.jd.com/index-756812.html?from=pc\" target=\"_blank\" style=\"margin: 0px; padding: 0px; color: rgb(94, 105, 173); text-decoration-line: none;\">漫步者音频旗舰店</a></p></li><li><p>商品毛重：200.00g</p></li><li><p>振膜类型：单动圈</p></li><li><p>类别：音乐耳机</p></li><li><p>连接方式：无线，蓝牙</p></li><li><p>佩戴方式：半入耳式</p></li></ul><p><br/></p><p><img src=\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/2c232cb17be4d56b4ffe1e6c7ab75c2058e962c2496f5e0d50e3c319345fb45b.jpg\"/></p>',
        '1', '2023-11-13 16:56:17', '2023-11-13 16:56:17', '1', 0, b'0', 0, 0.00, 63.00, 0, NULL, 0, 0, 0, '', 0, 0, 1,
        0, 0, 0);
INSERT INTO `yshop_store_product` (`id`, `image`, `slider_image`, `store_name`, `store_info`, `keyword`, `bar_code`,
                                   `brand_id`, `cate_id`, `price`, `vip_price`, `ot_price`, `postage`, `unit_name`,
                                   `sort`, `sales`, `stock`, `is_show`, `is_hot`, `is_benefit`, `is_best`, `is_new`,
                                   `description`, `creator`, `create_time`, `update_time`, `updater`, `is_postage`,
                                   `deleted`, `mer_use`, `give_integral`, `cost`, `is_seckill`, `is_bargain`, `is_good`,
                                   `ficti`, `browse`, `code_path`, `is_sub`, `temp_id`, `spec_type`, `is_integral`,
                                   `integral`, `tenant_id`)
VALUES (66,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/dbd14f0f21b4cd21c31d0f5d06ffe0b640d6f5e6714aef3162aafea79bace5f2.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/dbd14f0f21b4cd21c31d0f5d06ffe0b640d6f5e6714aef3162aafea79bace5f2.jpg',
        '小米（MI）小米（MI）Redmi Buds 4 活力版 黑色 无线蓝牙耳机 28小时长续航 通话降噪 适用小米华为苹果手机',
        '小米（MI）小米（MI）Redmi Buds 4 活力版 黑色 无线蓝牙耳机 28小时长续航 通话降噪 适用小米华为苹果手机', '耳机', '',
        NULL, 19, 79.00, 0.00, 99.00, 5.00, '', 0, 1, 554, 1, 0, 0, 0, 1,
        '<ul id=\"parameter-brand\" class=\"p-parameter-list list-paddingleft-2\" style=\"list-style-type: none;\"><li><p>品牌：&nbsp;<a href=\"https://list.jd.com/list.html?cat=652,828,842&ev=exbrand_18374\" clstag=\"shangpin|keycount|product|pinpai_1\" target=\"_blank\" style=\"margin: 0px; padding: 0px; color: rgb(94, 105, 173); text-decoration-line: none;\">小米（MI）</a></p></li><li><p>商品名称：小米M2310E1</p></li><li><p>商品编号：100061387530</p></li><li><p>商品毛重：80.00g</p></li><li><p>商品产地：中国大陆</p></li><li><p>特色功能：超长续航</p></li><li><p>类别：音乐耳机</p></li><li><p>佩戴方式：入耳式</p></li><li><p>连接方式：无线，蓝牙</p></li><li><p>振膜类型：单动圈</p></li><li><p><br/></p></li></ul><p><br/></p><p><img src=\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/b03ab8355566c938822421e08e5f2924809f21341621c6e9ea7505b8631d2cd6.jpg\"/></p>',
        '1', '2023-11-13 17:03:01', '2023-11-22 14:18:44', '1', 0, b'0', 0, 0.00, 49.00, 0, NULL, 0, 0, 0, '', 0, 0, 1,
        0, 0, 0);
INSERT INTO `yshop_store_product` (`id`, `image`, `slider_image`, `store_name`, `store_info`, `keyword`, `bar_code`,
                                   `brand_id`, `cate_id`, `price`, `vip_price`, `ot_price`, `postage`, `unit_name`,
                                   `sort`, `sales`, `stock`, `is_show`, `is_hot`, `is_benefit`, `is_best`, `is_new`,
                                   `description`, `creator`, `create_time`, `update_time`, `updater`, `is_postage`,
                                   `deleted`, `mer_use`, `give_integral`, `cost`, `is_seckill`, `is_bargain`, `is_good`,
                                   `ficti`, `browse`, `code_path`, `is_sub`, `temp_id`, `spec_type`, `is_integral`,
                                   `integral`, `tenant_id`)
VALUES (67,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/93bbb9debe310a03a9f1ae6dbc9a06f4a68dd8e9f9acf4cbf4239a65b2016a2b.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/93bbb9debe310a03a9f1ae6dbc9a06f4a68dd8e9f9acf4cbf4239a65b2016a2b.jpg,https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/9235e9ff4968482dd2c18e054c135a0c7793d5e98bafcfcd6a731bc9d33199ee.jpg',
        '机械革命无界14Pro (R7-7840HS 16G 1T 120Hz 2.8K 高色域)轻薄本办公商务本游戏本笔记本电脑',
        '机械革命无界14Pro (R7-7840HS 16G 1T 120Hz 2.8K 高色域)轻薄本办公商务本游戏本笔记本电脑', '笔记本', '', NULL, 2,
        4999.00, 0.00, 0.00, 0.00, '', 0, 2, 298, 1, 0, 0, 0, 1,
        '<ul id=\"parameter-brand\" class=\"p-parameter-list list-paddingleft-2\" style=\"list-style-type: none;\"><li><p>品牌：&nbsp;<a href=\"https://list.jd.com/list.html?cat=670,671,672&ev=exbrand_54605\" clstag=\"shangpin|keycount|product|pinpai_1\" target=\"_blank\" style=\"margin: 0px; padding: 0px; color: rgb(94, 105, 173); text-decoration-line: none;\">机械革命（MECHREVO）</a></p></li><li><p>商品名称：机械革命无界14Pro</p></li><li><p>商品编号：100066801331</p></li><li><p>商品毛重：2.4kg</p></li><li><p>商品产地：中国大陆</p></li><li><p>屏幕色域：100%sRGB</p></li><li><p>类型：轻薄笔记本</p></li><li><p>系统：Windows 11</p></li><li><p>厚度：15.1-18.0mm</p></li><li><p>机身材质：金属+复合材质</p></li><li><p>特性：背光键盘，硬盘可扩展，大内存（16GB及以上）</p></li><li><p>内存容量：16GB</p></li><li><p>系列：机械革命无界</p></li><li><p>支持IPv6：支持IPv6</p></li><li><p>颜色：灰色</p></li><li><p>处理器：AMD R7</p></li><li><p>屏幕刷新率：120Hz</p></li><li><p>屏幕尺寸：14.0-14.9英寸</p></li><li><p>屏幕比例：16:10</p></li><li><p>显卡型号：AMD 集成显卡</p></li><li><p>显卡芯片供应商：AMD</p></li><li><p>固态硬盘（SSD）：1TB</p></li><li><p>机械硬盘：无机械硬盘</p></li></ul><p><br/></p><p><img src=\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eee24956e2f9da10d472b6c2b92514b2dd3a323a5196f32ba2b13e8ac6a0df2d.jpg\"/></p>',
        '1', '2023-11-13 17:14:23', '2023-11-16 16:00:10', '1', 0, b'0', 0, 0.00, 0.00, 0, NULL, 0, 0, 0, '', 0, 0, 1,
        0, 0, 0);
INSERT INTO `yshop_store_product` (`id`, `image`, `slider_image`, `store_name`, `store_info`, `keyword`, `bar_code`,
                                   `brand_id`, `cate_id`, `price`, `vip_price`, `ot_price`, `postage`, `unit_name`,
                                   `sort`, `sales`, `stock`, `is_show`, `is_hot`, `is_benefit`, `is_best`, `is_new`,
                                   `description`, `creator`, `create_time`, `update_time`, `updater`, `is_postage`,
                                   `deleted`, `mer_use`, `give_integral`, `cost`, `is_seckill`, `is_bargain`, `is_good`,
                                   `ficti`, `browse`, `code_path`, `is_sub`, `temp_id`, `spec_type`, `is_integral`,
                                   `integral`, `tenant_id`)
VALUES (68,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a029b4367d0bf9a9ad84e2b132b0b6b001f729c548726410f651e0765ab3a356.jpg',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a029b4367d0bf9a9ad84e2b132b0b6b001f729c548726410f651e0765ab3a356.jpg',
        '3333', '<scrip>alter(1111)</srip>', '333', '', NULL, 14, 2.00, 0.00, 2.00, 0.00, '333', 0, 0, 2, 0, 0, 0, 0, 0,
        '<p>&lt;scrip&gt;alter(1111)&lt;/srip&gt;</p>', '1', '2023-11-22 17:09:01', '2023-11-22 17:09:01', '1', 0, b'0',
        0, 0.00, 2.00, 0, NULL, 0, 0, 0, '', 0, 0, 0, 0, 0, 0);
COMMIT;

-- ----------------------------
-- Table structure for yshop_store_product_attr
-- ----------------------------
DROP TABLE IF EXISTS `yshop_store_product_attr`;
CREATE TABLE `yshop_store_product_attr`
(
    `id`          bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT 'id',
    `product_id`  bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '商品ID',
    `attr_name`   varchar(32)  NOT NULL COMMENT '属性名',
    `attr_values` varchar(256) NOT NULL COMMENT '属性值',
    PRIMARY KEY (`id`) USING BTREE,
    KEY           `store_id` (`product_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=538 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='商品属性表';

-- ----------------------------
-- Records of yshop_store_product_attr
-- ----------------------------
BEGIN;
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (95, 19, '规格', '默认');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (101, 18, '规格', '默认');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (109, 33, '规格', '默认');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (292, 48, '规格', '默认');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (297, 39, '规格', '默认');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (298, 38, '规格', '默认');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (310, 16, '尺寸', '6寸,7寸');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (311, 16, '颜色', '黑白,红色,灰色');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (313, 50, '内存', '16G 512G（官方标配）,16G 1TBG,16G 2TBG');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (331, 37, '2222', '1111,33');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (332, 37, '6666', '6666,55555');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (339, 57, '规格', '默认');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (345, 60, '规格', '默认');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (346, 34, '规格', '默认');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (351, 32, '规格', '默认');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (352, 31, '规格', '默认');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (353, 29, '规格', '默认');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (354, 28, '规格', '默认');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (355, 27, '规格', '默认');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (356, 26, '规格', '默认');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (357, 25, '规格', '默认');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (358, 23, '规格', '默认');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (359, 24, '规格', '默认');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (360, 22, '规格', '默认');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (361, 21, '规格', '默认');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (362, 20, '规格', '默认');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (368, 61, '颜色', '宣白,舰黑');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (378, 15, '规格', '默认');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (381, 51, '颜色', '【静谧银14英寸】i5_1135G7 | Xe锐炬,【静谧银14英寸】i3_1115G4 | 高性能核');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (389, 40, '规格', '默认');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (390, 36, '规格', '默认');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (391, 62, '规格', '默认');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (392, 63, '规格', '默认');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (393, 42, '颜色', '红色,黑金');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (394, 42, '型号', 'MINI,Pro');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (395, 17, '规格', '默认');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (398, 64, '规格', '默认');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (405, 65, '颜色', '云岩白+保护套+晒单,典雅黑+保护套+晒单');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (421, 59, '规格', '默认');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (492, 35, '尺寸', '6寸,7寸');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (493, 35, '颜色', '黑白,红色');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (494, 35, '内存', '128,256');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (498, 44, '颜色', '2.5K触控全面屏/13代标压酷睿I7【 深空灰】,2.5K触控全面屏/13代标压酷睿I7【皓月银】');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (499, 44, '版本', '13700H 16G 1TB固态 ,13700H 32G 1TB固态 ');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (506, 56, '颜色', '幻夜黑,冰晶蓝,晨曦金');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (507, 56, '版本', '128GB,256GB');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (510, 55, '颜色', '蓝色,黄色,绿色');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (511, 55, '版本', '128GB,256GB,512GB');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (512, 54, '颜色', '原色钛金属,蓝色钛金属,白色钛金属,黑色钛金属');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (513, 54, '版本', '128GB,256GB,512GB,1TB');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (514, 47, '规格', '默认');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (515, 46, '规格一', '红色|i7|128,黑色|i5|256');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (516, 67, '颜色', '无界14pro锐龙版14英寸,Code 01系列');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (517, 67, '版本', 'R7_7735HS 16G 1T 100%sRGB');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (518, 45, '颜色', '3.1K触控屏/12代标压酷睿I7【深空灰】,3.1K触控屏/12代标压酷睿I7【皓月银】');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (521, 53, '颜色', '黑色,粉色,黄色,绿色');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (522, 53, '版本', '256GB,512GB,ITB');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (525, 41, '尺寸', '6寸,7寸');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (526, 41, '颜色', '黑白,红色,蓝色,粉色,紫色,123');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (527, 52, '颜色', '原色钛金属,蓝色钛金属,白色钛金属');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (528, 52, '版本', '256GB,512GB,ITB');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (529, 43, '颜色', '英特尔12代高配银,英特尔13代顶配银');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (530, 43, '版本', '16G内存+256G高速固态,16G内存+512高速固态');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (531, 58, '颜色',
        '亮黑色【赠3C认证快充】,釉白色【赠3C认证快充】,秘银色【赠3C认证快充】,夏日胡杨【赠3C认证快充】,秋日胡杨【赠3C认证快充】');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (532, 58, '版本', '128GB,256GB');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (534, 49, '颜色', 'Pro专家_14英寸,Elite精英_旗舰');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (535, 49, '版本', 'Elite 840|i5_1135G7 16G 512,Elite 840|i5_1135G7 8G 512GSSD');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (536, 66, '颜色', '白色,黑色');
INSERT INTO `yshop_store_product_attr` (`id`, `product_id`, `attr_name`, `attr_values`)
VALUES (537, 68, '规格', '默认');
COMMIT;

-- ----------------------------
-- Table structure for yshop_store_product_attr_bak
-- ----------------------------
DROP TABLE IF EXISTS `yshop_store_product_attr_bak`;
CREATE TABLE `yshop_store_product_attr_bak`
(
    `id`          bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT 'id',
    `product_id`  bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '商品ID',
    `attr_name`   varchar(32)  NOT NULL COMMENT '属性名',
    `attr_values` varchar(256) NOT NULL COMMENT '属性值',
    PRIMARY KEY (`id`) USING BTREE,
    KEY           `store_id` (`product_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='商品属性表备份';

-- ----------------------------
-- Records of yshop_store_product_attr_bak
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for yshop_store_product_attr_result
-- ----------------------------
DROP TABLE IF EXISTS `yshop_store_product_attr_result`;
CREATE TABLE `yshop_store_product_attr_result`
(
    `id`          bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT 'id',
    `product_id`  bigint(20) unsigned NOT NULL COMMENT '商品ID',
    `result`      text     NOT NULL COMMENT '商品属性参数',
    `change_time` datetime NOT NULL COMMENT '上次修改时间',
    PRIMARY KEY (`id`) USING BTREE,
    KEY           `product_id` (`product_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='商品属性详情表';

-- ----------------------------
-- Records of yshop_store_product_attr_result
-- ----------------------------
BEGIN;
INSERT INTO `yshop_store_product_attr_result` (`id`, `product_id`, `result`, `change_time`)
VALUES (61, 14,
        '{\"attr\":[{\"attrHidden\":\"\",\"detail\":[\"默认\"],\"detailValue\":\"\",\"value\":\"规格\"}],\"value\":[{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"规格\":\"默认\"},\"integral\":0,\"otPrice\":3.0,\"pic\":\"\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":2.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":3,\"value1\":\"规格\",\"value2\":\"\",\"volume\":0.0,\"weight\":0.0}]}',
        '2023-05-30 10:43:52');
INSERT INTO `yshop_store_product_attr_result` (`id`, `product_id`, `result`, `change_time`)
VALUES (76, 19,
        '{\"attr\":[{\"attrHidden\":\"\",\"detail\":[\"默认\"],\"detailValue\":\"\",\"value\":\"规格\"}],\"value\":[{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":1.0,\"detail\":{\"规格\":\"默认\"},\"integral\":0,\"otPrice\":1.0,\"pic\":\"\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":1.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":1,\"value1\":\"规格\",\"value2\":\"\",\"volume\":0.0,\"weight\":0.0}]}',
        '2023-08-11 11:59:00');
INSERT INTO `yshop_store_product_attr_result` (`id`, `product_id`, `result`, `change_time`)
VALUES (81, 18,
        '{\"attr\":[{\"attrHidden\":\"\",\"detail\":[\"默认\"],\"detailValue\":\"\",\"value\":\"规格\"}],\"value\":[{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":1.0,\"detail\":{\"规格\":\"默认\"},\"integral\":0,\"otPrice\":1.0,\"pic\":\"\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":1.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"stock\":1,\"value1\":\"规格\",\"volume\":0.0,\"weight\":0.0}]}',
        '2023-09-26 10:16:15');
INSERT INTO `yshop_store_product_attr_result` (`id`, `product_id`, `result`, `change_time`)
VALUES (88, 33,
        '{\"attr\":[{\"attrHidden\":\"\",\"detail\":[\"默认\"],\"detailValue\":\"\",\"value\":\"规格\"}],\"value\":[{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":11999.0,\"detail\":{\"规格\":\"默认\"},\"integral\":0,\"otPrice\":11999.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/db98472375b9c97bf568cc429d900f5ca19d32c66932b7a725469add8d271a90.png\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":11999.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"stock\":11999,\"value1\":\"规格\",\"volume\":0.0,\"weight\":0.0}]}',
        '2023-10-24 14:18:21');
INSERT INTO `yshop_store_product_attr_result` (`id`, `product_id`, `result`, `change_time`)
VALUES (198, 48,
        '{\"attr\":[{\"attrHidden\":\"\",\"detail\":[\"默认\"],\"detailValue\":\"\",\"value\":\"规格\"}],\"value\":[{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":2000.0,\"detail\":{\"规格\":\"默认\"},\"integral\":0,\"otPrice\":1000.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a18d23cf2d405b875f42ca36cba7126ec2b75c1156e949cde375e356013f5662.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":13999.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":300,\"value1\":\"规格\",\"value2\":\"\",\"volume\":0.0,\"weight\":10.0}]}',
        '2023-11-08 18:06:41');
INSERT INTO `yshop_store_product_attr_result` (`id`, `product_id`, `result`, `change_time`)
VALUES (201, 39,
        '{\"attr\":[{\"attrHidden\":\"\",\"detail\":[\"默认\"],\"detailValue\":\"\",\"value\":\"规格\"}],\"value\":[{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":99.0,\"detail\":{\"规格\":\"默认\"},\"integral\":0,\"otPrice\":299.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/5d705e07a441988127efe9c247739d338092a2cdf5ca9e158fe2b1aed35af83c.png\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":199.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"stock\":999,\"value1\":\"规格\",\"volume\":0.0,\"weight\":0.0}]}',
        '2023-11-08 18:17:00');
INSERT INTO `yshop_store_product_attr_result` (`id`, `product_id`, `result`, `change_time`)
VALUES (202, 38,
        '{\"attr\":[{\"attrHidden\":\"\",\"detail\":[\"默认\"],\"detailValue\":\"\",\"value\":\"规格\"}],\"value\":[{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":99.0,\"detail\":{\"规格\":\"默认\"},\"integral\":0,\"otPrice\":299.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/5d705e07a441988127efe9c247739d338092a2cdf5ca9e158fe2b1aed35af83c.png\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":199.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"stock\":999,\"value1\":\"规格\",\"volume\":0.0,\"weight\":0.0}]}',
        '2023-11-08 18:17:07');
INSERT INTO `yshop_store_product_attr_result` (`id`, `product_id`, `result`, `change_time`)
VALUES (210, 16,
        '{\"attr\":[{\"detail\":[\"6寸\",\"7寸\"],\"value\":\"尺寸\"},{\"detail\":[\"黑白\",\"红色\",\"灰色\"],\"value\":\"颜色\"}],\"value\":[{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":200.0,\"detail\":{\"尺寸\":\"6寸\",\"颜色\":\"黑白\"},\"integral\":0,\"otPrice\":200.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/f3535a59c688b0b51b935aad3ea459f22447a86d813b2a25d4458e47b32a6cc3.jpeg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":0.01,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"6寸,黑白\",\"stock\":84,\"value1\":\"6寸\",\"value2\":\"黑白\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":200.0,\"detail\":{\"尺寸\":\"6寸\",\"颜色\":\"红色\"},\"integral\":0,\"otPrice\":200.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/f3535a59c688b0b51b935aad3ea459f22447a86d813b2a25d4458e47b32a6cc3.jpeg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":98.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"6寸,红色\",\"stock\":93,\"value1\":\"6寸\",\"value2\":\"红色\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":200.0,\"detail\":{\"尺寸\":\"6寸\",\"颜色\":\"灰色\"},\"integral\":0,\"otPrice\":200.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/f3535a59c688b0b51b935aad3ea459f22447a86d813b2a25d4458e47b32a6cc3.jpeg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":97.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"6寸,灰色\",\"stock\":97,\"value1\":\"6寸\",\"value2\":\"灰色\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":200.0,\"detail\":{\"尺寸\":\"7寸\",\"颜色\":\"黑白\"},\"integral\":0,\"otPrice\":200.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/f3535a59c688b0b51b935aad3ea459f22447a86d813b2a25d4458e47b32a6cc3.jpeg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":96.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"7寸,黑白\",\"stock\":95,\"value1\":\"7寸\",\"value2\":\"黑白\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":200.0,\"detail\":{\"尺寸\":\"7寸\",\"颜色\":\"红色\"},\"integral\":0,\"otPrice\":200.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/f3535a59c688b0b51b935aad3ea459f22447a86d813b2a25d4458e47b32a6cc3.jpeg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":95.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"7寸,红色\",\"stock\":91,\"value1\":\"7寸\",\"value2\":\"红色\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":200.0,\"detail\":{\"尺寸\":\"7寸\",\"颜色\":\"灰色\"},\"integral\":0,\"otPrice\":200.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/f3535a59c688b0b51b935aad3ea459f22447a86d813b2a25d4458e47b32a6cc3.jpeg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":94.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"7寸,灰色\",\"stock\":94,\"value1\":\"7寸\",\"value2\":\"灰色\",\"volume\":0.0,\"weight\":0.0}]}',
        '2023-11-08 18:18:24');
INSERT INTO `yshop_store_product_attr_result` (`id`, `product_id`, `result`, `change_time`)
VALUES (212, 50,
        '{\"attr\":[{\"detail\":[\"16G 512G（官方标配）\",\"16G 1TBG\",\"16G 2TBG\"],\"value\":\"内存\"}],\"value\":[{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"内存\":\"16G 512G（官方标配）\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/24c19087d2428f9ef1ce7eaa74572a2da04bdfd6cd53dae734ee2411c475c2a5.png\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":7699.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":100,\"value1\":\"16G 512G（官方标配）\",\"value2\":\"\",\"volume\":0.0,\"weight\":8.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"内存\":\"16G 1TBG\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/24c19087d2428f9ef1ce7eaa74572a2da04bdfd6cd53dae734ee2411c475c2a5.png\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":7899.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":200,\"value1\":\"16G 1TBG\",\"value2\":\"\",\"volume\":0.0,\"weight\":8.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"内存\":\"16G 2TBG\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/24c19087d2428f9ef1ce7eaa74572a2da04bdfd6cd53dae734ee2411c475c2a5.png\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":8399.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":300,\"value1\":\"16G 2TBG\",\"value2\":\"\",\"volume\":0.0,\"weight\":8.0}]}',
        '2023-11-08 18:25:13');
INSERT INTO `yshop_store_product_attr_result` (`id`, `product_id`, `result`, `change_time`)
VALUES (224, 37,
        '{\"attr\":[{\"detail\":[\"1111\",\"33\"],\"value\":\"2222\"},{\"detail\":[\"6666\",\"55555\"],\"value\":\"6666\"}],\"value\":[{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":333.0,\"detail\":{\"2222\":\"1111\",\"6666\":\"6666\"},\"integral\":0,\"otPrice\":4444.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/5d705e07a441988127efe9c247739d338092a2cdf5ca9e158fe2b1aed35af83c.png\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":111.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"1111,6666\",\"stock\":549,\"value1\":\"1111\",\"value2\":\"6666\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":333.0,\"detail\":{\"2222\":\"1111\",\"6666\":\"55555\"},\"integral\":0,\"otPrice\":444.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/5d705e07a441988127efe9c247739d338092a2cdf5ca9e158fe2b1aed35af83c.png\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":222.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"1111,55555\",\"stock\":555,\"value1\":\"1111\",\"value2\":\"55555\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":444.0,\"detail\":{\"2222\":\"33\",\"6666\":\"6666\"},\"integral\":0,\"otPrice\":666.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/5d705e07a441988127efe9c247739d338092a2cdf5ca9e158fe2b1aed35af83c.png\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":333.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"33,6666\",\"stock\":776,\"value1\":\"33\",\"value2\":\"6666\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":555.0,\"detail\":{\"2222\":\"33\",\"6666\":\"55555\"},\"integral\":0,\"otPrice\":666.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/5d705e07a441988127efe9c247739d338092a2cdf5ca9e158fe2b1aed35af83c.png\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":444.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"33,55555\",\"stock\":777,\"value1\":\"33\",\"value2\":\"55555\",\"volume\":0.0,\"weight\":0.0}]}',
        '2023-11-09 16:32:48');
INSERT INTO `yshop_store_product_attr_result` (`id`, `product_id`, `result`, `change_time`)
VALUES (228, 57,
        '{\"attr\":[{\"attrHidden\":\"\",\"detail\":[\"默认\"],\"detailValue\":\"\",\"value\":\"规格\"}],\"value\":[{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"规格\":\"默认\"},\"integral\":0,\"otPrice\":300.0,\"pic\":\"\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":438.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":200,\"value1\":\"规格\",\"value2\":\"\",\"volume\":0.0,\"weight\":0.0}]}',
        '2023-11-09 16:43:30');
INSERT INTO `yshop_store_product_attr_result` (`id`, `product_id`, `result`, `change_time`)
VALUES (232, 60,
        '{\"attr\":[{\"attrHidden\":\"\",\"detail\":[\"默认\"],\"detailValue\":\"\",\"value\":\"规格\"}],\"value\":[{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"规格\":\"默认\"},\"integral\":0,\"otPrice\":18000.0,\"pic\":\"\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":15999.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":200,\"value1\":\"规格\",\"value2\":\"\",\"volume\":0.0,\"weight\":0.0}]}',
        '2023-11-09 17:18:34');
INSERT INTO `yshop_store_product_attr_result` (`id`, `product_id`, `result`, `change_time`)
VALUES (233, 34,
        '{\"attr\":[{\"attrHidden\":\"\",\"detail\":[\"默认\"],\"detailValue\":\"\",\"value\":\"规格\"}],\"value\":[{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":5999.0,\"detail\":{\"规格\":\"默认\"},\"integral\":0,\"otPrice\":7999.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/db98472375b9c97bf568cc429d900f5ca19d32c66932b7a725469add8d271a90.png\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":6999.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"stock\":999,\"value1\":\"规格\",\"volume\":0.0,\"weight\":0.0}]}',
        '2023-11-09 17:22:10');
INSERT INTO `yshop_store_product_attr_result` (`id`, `product_id`, `result`, `change_time`)
VALUES (236, 32,
        '{\"attr\":[{\"attrHidden\":\"\",\"detail\":[\"默认\"],\"detailValue\":\"\",\"value\":\"规格\"}],\"value\":[{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":1.0,\"detail\":{\"规格\":\"默认\"},\"integral\":0,\"otPrice\":1.0,\"pic\":\"\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":2.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"stock\":1,\"value1\":\"规格\",\"volume\":0.0,\"weight\":0.0}]}',
        '2023-11-09 17:22:49');
INSERT INTO `yshop_store_product_attr_result` (`id`, `product_id`, `result`, `change_time`)
VALUES (237, 31,
        '{\"attr\":[{\"attrHidden\":\"\",\"detail\":[\"默认\"],\"detailValue\":\"\",\"value\":\"规格\"}],\"value\":[{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":1.0,\"detail\":{\"规格\":\"默认\"},\"integral\":0,\"otPrice\":1.0,\"pic\":\"\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":1.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"stock\":1,\"value1\":\"规格\",\"volume\":0.0,\"weight\":0.0}]}',
        '2023-11-09 17:22:58');
INSERT INTO `yshop_store_product_attr_result` (`id`, `product_id`, `result`, `change_time`)
VALUES (238, 29,
        '{\"attr\":[{\"attrHidden\":\"\",\"detail\":[\"默认\"],\"detailValue\":\"\",\"value\":\"规格\"}],\"value\":[{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":1.0,\"detail\":{\"规格\":\"默认\"},\"integral\":0,\"otPrice\":1.0,\"pic\":\"\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":1.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"stock\":1,\"value1\":\"规格\",\"volume\":0.0,\"weight\":0.0}]}',
        '2023-11-09 17:23:27');
INSERT INTO `yshop_store_product_attr_result` (`id`, `product_id`, `result`, `change_time`)
VALUES (239, 28,
        '{\"attr\":[{\"attrHidden\":\"\",\"detail\":[\"默认\"],\"detailValue\":\"\",\"value\":\"规格\"}],\"value\":[{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":1.0,\"detail\":{\"规格\":\"默认\"},\"integral\":0,\"otPrice\":1.0,\"pic\":\"\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":1.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"stock\":1,\"value1\":\"规格\",\"volume\":0.0,\"weight\":0.0}]}',
        '2023-11-09 17:23:35');
INSERT INTO `yshop_store_product_attr_result` (`id`, `product_id`, `result`, `change_time`)
VALUES (240, 27,
        '{\"attr\":[{\"attrHidden\":\"\",\"detail\":[\"默认\"],\"detailValue\":\"\",\"value\":\"规格\"}],\"value\":[{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"规格\":\"默认\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":2.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"stock\":3,\"value1\":\"规格\",\"volume\":0.0,\"weight\":0.0}]}',
        '2023-11-09 17:23:42');
INSERT INTO `yshop_store_product_attr_result` (`id`, `product_id`, `result`, `change_time`)
VALUES (241, 26,
        '{\"attr\":[{\"attrHidden\":\"\",\"detail\":[\"默认\"],\"detailValue\":\"\",\"value\":\"规格\"}],\"value\":[{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":1.0,\"detail\":{\"规格\":\"默认\"},\"integral\":0,\"otPrice\":1.0,\"pic\":\"\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":1.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"stock\":1,\"value1\":\"规格\",\"volume\":0.0,\"weight\":0.0}]}',
        '2023-11-09 17:23:49');
INSERT INTO `yshop_store_product_attr_result` (`id`, `product_id`, `result`, `change_time`)
VALUES (242, 25,
        '{\"attr\":[{\"attrHidden\":\"\",\"detail\":[\"默认\"],\"detailValue\":\"\",\"value\":\"规格\"}],\"value\":[{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":1.0,\"detail\":{\"规格\":\"默认\"},\"integral\":0,\"otPrice\":1.0,\"pic\":\"\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":1.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"stock\":1,\"value1\":\"规格\",\"volume\":0.0,\"weight\":0.0}]}',
        '2023-11-09 17:23:58');
INSERT INTO `yshop_store_product_attr_result` (`id`, `product_id`, `result`, `change_time`)
VALUES (243, 23,
        '{\"attr\":[{\"attrHidden\":\"\",\"detail\":[\"默认\"],\"detailValue\":\"\",\"value\":\"规格\"}],\"value\":[{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":1.0,\"detail\":{\"规格\":\"默认\"},\"integral\":0,\"otPrice\":1.0,\"pic\":\"\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":1.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"stock\":1,\"value1\":\"规格\",\"volume\":0.0,\"weight\":0.0}]}',
        '2023-11-09 17:24:10');
INSERT INTO `yshop_store_product_attr_result` (`id`, `product_id`, `result`, `change_time`)
VALUES (244, 24,
        '{\"attr\":[{\"attrHidden\":\"\",\"detail\":[\"默认\"],\"detailValue\":\"\",\"value\":\"规格\"}],\"value\":[{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":1.0,\"detail\":{\"规格\":\"默认\"},\"integral\":0,\"otPrice\":1.0,\"pic\":\"\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":1.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"stock\":1,\"value1\":\"规格\",\"volume\":0.0,\"weight\":0.0}]}',
        '2023-11-09 17:24:18');
INSERT INTO `yshop_store_product_attr_result` (`id`, `product_id`, `result`, `change_time`)
VALUES (245, 22,
        '{\"attr\":[{\"attrHidden\":\"\",\"detail\":[\"默认\"],\"detailValue\":\"\",\"value\":\"规格\"}],\"value\":[{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":1.0,\"detail\":{\"规格\":\"默认\"},\"integral\":0,\"otPrice\":1.0,\"pic\":\"\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":1.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"stock\":1,\"value1\":\"规格\",\"volume\":0.0,\"weight\":0.0}]}',
        '2023-11-09 17:24:25');
INSERT INTO `yshop_store_product_attr_result` (`id`, `product_id`, `result`, `change_time`)
VALUES (246, 21,
        '{\"attr\":[{\"attrHidden\":\"\",\"detail\":[\"默认\"],\"detailValue\":\"\",\"value\":\"规格\"}],\"value\":[{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":1.0,\"detail\":{\"规格\":\"默认\"},\"integral\":0,\"otPrice\":1.0,\"pic\":\"\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":1.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"stock\":1,\"value1\":\"规格\",\"volume\":0.0,\"weight\":0.0}]}',
        '2023-11-09 17:24:32');
INSERT INTO `yshop_store_product_attr_result` (`id`, `product_id`, `result`, `change_time`)
VALUES (247, 20,
        '{\"attr\":[{\"attrHidden\":\"\",\"detail\":[\"默认\"],\"detailValue\":\"\",\"value\":\"规格\"}],\"value\":[{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":1.0,\"detail\":{\"规格\":\"默认\"},\"integral\":0,\"otPrice\":1.0,\"pic\":\"\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":1.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"stock\":1,\"value1\":\"规格\",\"volume\":0.0,\"weight\":0.0}]}',
        '2023-11-09 17:24:40');
INSERT INTO `yshop_store_product_attr_result` (`id`, `product_id`, `result`, `change_time`)
VALUES (253, 61,
        '{\"attr\":[{\"detail\":[\"宣白\",\"舰黑\"],\"value\":\"颜色\"}],\"value\":[{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"宣白\"},\"integral\":0,\"otPrice\":10999.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/0d700704d87918bf96f498c3cfa0f506c081018f2113c752da27d2452df53d28.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":9988.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":100,\"value1\":\"宣白\",\"value2\":\"\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"舰黑\"},\"integral\":0,\"otPrice\":11999.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/0d700704d87918bf96f498c3cfa0f506c081018f2113c752da27d2452df53d28.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":10569.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":100,\"value1\":\"舰黑\",\"value2\":\"\",\"volume\":0.0,\"weight\":0.0}]}',
        '2023-11-09 17:37:24');
INSERT INTO `yshop_store_product_attr_result` (`id`, `product_id`, `result`, `change_time`)
VALUES (261, 15,
        '{\"attr\":[{\"attrHidden\":\"\",\"detail\":[\"默认\"],\"detailValue\":\"\",\"value\":\"规格\"}],\"value\":[{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":299.0,\"detail\":{\"规格\":\"默认\"},\"integral\":0,\"otPrice\":399.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a311502bef59f16c64a246c1404faed389ba9f6683d57b9134dd58e7feb19514.jpeg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":99.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"stock\":99,\"value1\":\"规格\",\"volume\":0.0,\"weight\":0.0}]}',
        '2023-11-09 18:42:52');
INSERT INTO `yshop_store_product_attr_result` (`id`, `product_id`, `result`, `change_time`)
VALUES (263, 51,
        '{\"attr\":[{\"detail\":[\"【静谧银14英寸】i5_1135G7 | Xe锐炬\",\"【静谧银14英寸】i3_1115G4 | 高性能核\"],\"value\":\"颜色\"}],\"value\":[{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"【静谧银14英寸】i5_1135G7 | Xe锐炬\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/4e449b42271d6f73cf0a4610f3be1660a5bf1346e13f95b2f089356516ab49f6.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":8094.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"【静谧银14英寸】i5_1135G7 | Xe锐炬\",\"stock\":30,\"value1\":\"【静谧银14英寸】i5_1135G7 | Xe锐炬\",\"value2\":\"\",\"volume\":0.0,\"weight\":7.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"【静谧银14英寸】i3_1115G4 | 高性能核\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/4e449b42271d6f73cf0a4610f3be1660a5bf1346e13f95b2f089356516ab49f6.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":5886.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"【静谧银14英寸】i3_1115G4 | 高性能核\",\"stock\":50,\"value1\":\"【静谧银14英寸】i3_1115G4 | 高性能核\",\"value2\":\"\",\"volume\":0.0,\"weight\":7.0}]}',
        '2023-11-09 19:59:45');
INSERT INTO `yshop_store_product_attr_result` (`id`, `product_id`, `result`, `change_time`)
VALUES (270, 40,
        '{\"attr\":[{\"attrHidden\":\"\",\"detail\":[\"默认\"],\"detailValue\":\"\",\"value\":\"规格\"}],\"value\":[{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":28.0,\"detail\":{\"规格\":\"默认\"},\"integral\":0,\"otPrice\":28.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/9b99b2b81f06410ca42b1dccece84341c99867b81166bcb357dd18e7dcee918d.png\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":28.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"stock\":9999,\"value1\":\"规格\",\"volume\":0.0,\"weight\":4.0}]}',
        '2023-11-10 18:29:28');
INSERT INTO `yshop_store_product_attr_result` (`id`, `product_id`, `result`, `change_time`)
VALUES (271, 36,
        '{\"attr\":[{\"attrHidden\":\"\",\"detail\":[\"默认\"],\"detailValue\":\"\",\"value\":\"规格\"}],\"value\":[{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"规格\":\"默认\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/db98472375b9c97bf568cc429d900f5ca19d32c66932b7a725469add8d271a90.png\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":0.1,\"seckillPrice\":0.0,\"seckillStock\":0,\"stock\":9999,\"value1\":\"规格\",\"volume\":0.0,\"weight\":0.0}]}',
        '2023-11-13 10:08:41');
INSERT INTO `yshop_store_product_attr_result` (`id`, `product_id`, `result`, `change_time`)
VALUES (272, 62,
        '{\"attr\":[{\"attrHidden\":\"\",\"detail\":[\"默认\"],\"detailValue\":\"\",\"value\":\"规格\"}],\"value\":[{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":129.0,\"detail\":{\"规格\":\"默认\"},\"integral\":0,\"otPrice\":259.0,\"pic\":\"\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":229.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":100,\"value1\":\"规格\",\"value2\":\"\",\"volume\":1.0,\"weight\":1.0}]}',
        '2023-11-13 15:19:29');
INSERT INTO `yshop_store_product_attr_result` (`id`, `product_id`, `result`, `change_time`)
VALUES (273, 63,
        '{\"attr\":[{\"attrHidden\":\"\",\"detail\":[\"默认\"],\"detailValue\":\"\",\"value\":\"规格\"}],\"value\":[{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":129.0,\"detail\":{\"规格\":\"默认\"},\"integral\":0,\"otPrice\":359.0,\"pic\":\"\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":288.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":100,\"value1\":\"规格\",\"value2\":\"\",\"volume\":1.0,\"weight\":1.0}]}',
        '2023-11-13 15:23:53');
INSERT INTO `yshop_store_product_attr_result` (`id`, `product_id`, `result`, `change_time`)
VALUES (274, 42,
        '{\"attr\":[{\"detail\":[\"红色\",\"黑金\"],\"value\":\"颜色\"},{\"detail\":[\"MINI\",\"Pro\"],\"value\":\"型号\"}],\"value\":[{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"红色\",\"型号\":\"MINI\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/1dbd7c1110abe539ef9c4dda5c0642108f70abdf59dd86fb5dfa06de88f960ed.png\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":3888.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"MINI,红色\",\"stock\":888,\"value1\":\"红色\",\"value2\":\"MINI\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"红色\",\"型号\":\"Pro\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/1dbd7c1110abe539ef9c4dda5c0642108f70abdf59dd86fb5dfa06de88f960ed.png\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":4888.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"Pro,红色\",\"stock\":888,\"value1\":\"红色\",\"value2\":\"Pro\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"黑金\",\"型号\":\"MINI\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/1dbd7c1110abe539ef9c4dda5c0642108f70abdf59dd86fb5dfa06de88f960ed.png\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":3999.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"MINI,黑金\",\"stock\":999,\"value1\":\"黑金\",\"value2\":\"MINI\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"黑金\",\"型号\":\"Pro\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/1dbd7c1110abe539ef9c4dda5c0642108f70abdf59dd86fb5dfa06de88f960ed.png\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":4999.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"Pro,黑金\",\"stock\":999,\"value1\":\"黑金\",\"value2\":\"Pro\",\"volume\":0.0,\"weight\":0.0}]}',
        '2023-11-13 15:31:42');
INSERT INTO `yshop_store_product_attr_result` (`id`, `product_id`, `result`, `change_time`)
VALUES (275, 17,
        '{\"attr\":[{\"attrHidden\":\"\",\"detail\":[\"默认\"],\"detailValue\":\"\",\"value\":\"规格\"}],\"value\":[{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":10.0,\"detail\":{\"规格\":\"默认\"},\"integral\":0,\"otPrice\":100.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/7599202df273d25f1ce3aeba21165a544849248fda23aad090098d7be0c063c9.jpeg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":0.01,\"seckillPrice\":0.0,\"seckillStock\":0,\"stock\":99,\"value1\":\"规格\",\"volume\":0.0,\"weight\":0.0}]}',
        '2023-11-13 15:31:57');
INSERT INTO `yshop_store_product_attr_result` (`id`, `product_id`, `result`, `change_time`)
VALUES (277, 64,
        '{\"attr\":[{\"attrHidden\":\"\",\"detail\":[\"默认\"],\"detailValue\":\"\",\"value\":\"规格\"}],\"value\":[{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"规格\":\"默认\"},\"integral\":0,\"otPrice\":239.0,\"pic\":\"\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":219.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":200,\"value1\":\"规格\",\"value2\":\"\",\"volume\":1.0,\"weight\":1.0}]}',
        '2023-11-13 15:42:53');
INSERT INTO `yshop_store_product_attr_result` (`id`, `product_id`, `result`, `change_time`)
VALUES (280, 65,
        '{\"attr\":[{\"detail\":[\"云岩白+保护套+晒单\",\"典雅黑+保护套+晒单\"],\"value\":\"颜色\"}],\"value\":[{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":63.0,\"detail\":{\"颜色\":\"云岩白+保护套+晒单\"},\"integral\":0,\"otPrice\":133.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/1d13270c3a19db5ae80db272b25241d54741d91cb9f3d7826f4409a48c8b6bfc.png\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":103.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":100,\"value1\":\"云岩白+保护套+晒单\",\"value2\":\"\",\"volume\":1.0,\"weight\":1.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":63.0,\"detail\":{\"颜色\":\"典雅黑+保护套+晒单\"},\"integral\":0,\"otPrice\":133.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/4d5aae03f6592015da3df009b21cfd6f1d01750afc00ef0826ed6b37a1a49a13.png\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":103.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":200,\"value1\":\"典雅黑+保护套+晒单\",\"value2\":\"\",\"volume\":1.0,\"weight\":1.0}]}',
        '2023-11-13 16:56:17');
INSERT INTO `yshop_store_product_attr_result` (`id`, `product_id`, `result`, `change_time`)
VALUES (288, 59,
        '{\"attr\":[{\"attrHidden\":\"\",\"detail\":[\"默认\"],\"detailValue\":\"\",\"value\":\"规格\"}],\"value\":[{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"规格\":\"默认\"},\"integral\":0,\"otPrice\":980.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/6bfc0f8a2dd6db6e6d549960fbbd0e792f0520251f3f932c0aa75e12606db16a.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":1049.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"stock\":200,\"value1\":\"规格\",\"volume\":0.0,\"weight\":0.0}]}',
        '2023-11-13 21:05:27');
INSERT INTO `yshop_store_product_attr_result` (`id`, `product_id`, `result`, `change_time`)
VALUES (321, 35,
        '{\"attr\":[{\"detail\":[\"6寸\",\"7寸\"],\"value\":\"尺寸\"},{\"detail\":[\"黑白\",\"红色\"],\"value\":\"颜色\"},{\"detail\":[\"128\",\"256\"],\"value\":\"内存\"}],\"value\":[{\"barCode\":\"10\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":1.0,\"detail\":{\"尺寸\":\"6寸\",\"颜色\":\"黑白\",\"内存\":\"128\"},\"integral\":0,\"otPrice\":10.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a029b4367d0bf9a9ad84e2b132b0b6b001f729c548726410f651e0765ab3a356.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":0.01,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"6寸,黑白,128\",\"stock\":25,\"value1\":\"6寸\",\"value2\":\"黑白\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"10\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":2.0,\"detail\":{\"尺寸\":\"6寸\",\"颜色\":\"黑白\",\"内存\":\"256\"},\"integral\":0,\"otPrice\":10.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a029b4367d0bf9a9ad84e2b132b0b6b001f729c548726410f651e0765ab3a356.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":0.03,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"6寸,黑白,256\",\"stock\":100,\"value1\":\"6寸\",\"value2\":\"黑白\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"10\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":3.0,\"detail\":{\"尺寸\":\"6寸\",\"颜色\":\"红色\",\"内存\":\"128\"},\"integral\":0,\"otPrice\":10.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a029b4367d0bf9a9ad84e2b132b0b6b001f729c548726410f651e0765ab3a356.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":3.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"6寸,红色,128\",\"stock\":10,\"value1\":\"6寸\",\"value2\":\"红色\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"10\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":4.0,\"detail\":{\"尺寸\":\"6寸\",\"颜色\":\"红色\",\"内存\":\"256\"},\"integral\":0,\"otPrice\":10.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a029b4367d0bf9a9ad84e2b132b0b6b001f729c548726410f651e0765ab3a356.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":4.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"6寸,红色,256\",\"stock\":10,\"value1\":\"6寸\",\"value2\":\"红色\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"10\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":5.0,\"detail\":{\"尺寸\":\"7寸\",\"颜色\":\"黑白\",\"内存\":\"128\"},\"integral\":0,\"otPrice\":10.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a029b4367d0bf9a9ad84e2b132b0b6b001f729c548726410f651e0765ab3a356.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":0.02,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"7寸,黑白,128\",\"stock\":98,\"value1\":\"7寸\",\"value2\":\"黑白\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"10\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":6.0,\"detail\":{\"尺寸\":\"7寸\",\"颜色\":\"黑白\",\"内存\":\"256\"},\"integral\":0,\"otPrice\":10.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a029b4367d0bf9a9ad84e2b132b0b6b001f729c548726410f651e0765ab3a356.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":0.04,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"7寸,黑白,256\",\"stock\":6,\"value1\":\"7寸\",\"value2\":\"黑白\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"10\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":7.0,\"detail\":{\"尺寸\":\"7寸\",\"颜色\":\"红色\",\"内存\":\"128\"},\"integral\":0,\"otPrice\":10.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a029b4367d0bf9a9ad84e2b132b0b6b001f729c548726410f651e0765ab3a356.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":7.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"7寸,红色,128\",\"stock\":9,\"value1\":\"7寸\",\"value2\":\"红色\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"10\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":8.0,\"detail\":{\"尺寸\":\"7寸\",\"颜色\":\"红色\",\"内存\":\"256\"},\"integral\":0,\"otPrice\":10.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a029b4367d0bf9a9ad84e2b132b0b6b001f729c548726410f651e0765ab3a356.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":0.1,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"7寸,红色,256\",\"stock\":98,\"value1\":\"7寸\",\"value2\":\"红色\",\"volume\":0.0,\"weight\":0.0}]}',
        '2023-11-16 14:41:13');
INSERT INTO `yshop_store_product_attr_result` (`id`, `product_id`, `result`, `change_time`)
VALUES (324, 44,
        '{\"attr\":[{\"detail\":[\"2.5K触控全面屏/13代标压酷睿I7【 深空灰】\",\"2.5K触控全面屏/13代标压酷睿I7【皓月银】\"],\"value\":\"颜色\"},{\"detail\":[\"13700H 16G 1TB固态 \",\"13700H 32G 1TB固态 \"],\"value\":\"版本\"}],\"value\":[{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"2.5K触控全面屏/13代标压酷睿I7【 深空灰】\",\"版本\":\"13700H 16G 1TB固态 \"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/d62e5257758edba0903a22fc8dd722dc2a5489710f0716832b08a73242e5a96b.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":8999.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":100,\"value1\":\"2.5K触控全面屏/13代标压酷睿I7【 深空灰】\",\"value2\":\"13700H 16G 1TB固态 \",\"volume\":0.0,\"weight\":1.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"2.5K触控全面屏/13代标压酷睿I7【 深空灰】\",\"版本\":\"13700H 32G 1TB固态 \"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/d62e5257758edba0903a22fc8dd722dc2a5489710f0716832b08a73242e5a96b.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":9999.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":200,\"value1\":\"2.5K触控全面屏/13代标压酷睿I7【 深空灰】\",\"value2\":\"13700H 32G 1TB固态 \",\"volume\":0.0,\"weight\":1.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"2.5K触控全面屏/13代标压酷睿I7【皓月银】\",\"版本\":\"13700H 16G 1TB固态 \"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/d62e5257758edba0903a22fc8dd722dc2a5489710f0716832b08a73242e5a96b.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":8999.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":300,\"value1\":\"2.5K触控全面屏/13代标压酷睿I7【皓月银】\",\"value2\":\"13700H 16G 1TB固态 \",\"volume\":0.0,\"weight\":1.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"2.5K触控全面屏/13代标压酷睿I7【皓月银】\",\"版本\":\"13700H 32G 1TB固态 \"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/d62e5257758edba0903a22fc8dd722dc2a5489710f0716832b08a73242e5a96b.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":9999.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":900,\"value1\":\"2.5K触控全面屏/13代标压酷睿I7【皓月银】\",\"value2\":\"13700H 32G 1TB固态 \",\"volume\":0.0,\"weight\":1.0}]}',
        '2023-11-16 15:54:25');
INSERT INTO `yshop_store_product_attr_result` (`id`, `product_id`, `result`, `change_time`)
VALUES (329, 56,
        '{\"attr\":[{\"detail\":[\"幻夜黑\",\"冰晶蓝\",\"晨曦金\"],\"value\":\"颜色\"},{\"detail\":[\"128GB\",\"256GB\"],\"value\":\"版本\"}],\"value\":[{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"幻夜黑\",\"版本\":\"128GB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a53c065755e92187b8005ab1d32b75da7ce91e40b92b17805abf9d7419403691.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":100.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":100,\"value1\":\"幻夜黑\",\"value2\":\"128GB\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"幻夜黑\",\"版本\":\"256GB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a53c065755e92187b8005ab1d32b75da7ce91e40b92b17805abf9d7419403691.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":100.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":100,\"value1\":\"幻夜黑\",\"value2\":\"256GB\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"冰晶蓝\",\"版本\":\"128GB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a53c065755e92187b8005ab1d32b75da7ce91e40b92b17805abf9d7419403691.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":100.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":100,\"value1\":\"冰晶蓝\",\"value2\":\"128GB\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"冰晶蓝\",\"版本\":\"256GB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a53c065755e92187b8005ab1d32b75da7ce91e40b92b17805abf9d7419403691.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":100.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":100,\"value1\":\"冰晶蓝\",\"value2\":\"256GB\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"晨曦金\",\"版本\":\"128GB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a53c065755e92187b8005ab1d32b75da7ce91e40b92b17805abf9d7419403691.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":100.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":100,\"value1\":\"晨曦金\",\"value2\":\"128GB\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"晨曦金\",\"版本\":\"256GB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a53c065755e92187b8005ab1d32b75da7ce91e40b92b17805abf9d7419403691.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":100.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":100,\"value1\":\"晨曦金\",\"value2\":\"256GB\",\"volume\":0.0,\"weight\":0.0}]}',
        '2023-11-16 15:55:44');
INSERT INTO `yshop_store_product_attr_result` (`id`, `product_id`, `result`, `change_time`)
VALUES (331, 55,
        '{\"attr\":[{\"detail\":[\"蓝色\",\"黄色\",\"绿色\"],\"value\":\"颜色\"},{\"detail\":[\"128GB\",\"256GB\",\"512GB\"],\"value\":\"版本\"}],\"value\":[{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"蓝色\",\"版本\":\"128GB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/4e5d358d3b786ec1212cc815c8ac8f81f8341ea5592fee36de8bb079e9d1c03e.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":100.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":100,\"value1\":\"蓝色\",\"value2\":\"128GB\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"蓝色\",\"版本\":\"256GB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/4e5d358d3b786ec1212cc815c8ac8f81f8341ea5592fee36de8bb079e9d1c03e.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":100.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":100,\"value1\":\"蓝色\",\"value2\":\"256GB\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"蓝色\",\"版本\":\"512GB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/4e5d358d3b786ec1212cc815c8ac8f81f8341ea5592fee36de8bb079e9d1c03e.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":100.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":100,\"value1\":\"蓝色\",\"value2\":\"512GB\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"黄色\",\"版本\":\"128GB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/4e5d358d3b786ec1212cc815c8ac8f81f8341ea5592fee36de8bb079e9d1c03e.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":100.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":100,\"value1\":\"黄色\",\"value2\":\"128GB\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"黄色\",\"版本\":\"256GB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/4e5d358d3b786ec1212cc815c8ac8f81f8341ea5592fee36de8bb079e9d1c03e.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":100.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":100,\"value1\":\"黄色\",\"value2\":\"256GB\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"黄色\",\"版本\":\"512GB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/4e5d358d3b786ec1212cc815c8ac8f81f8341ea5592fee36de8bb079e9d1c03e.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":100.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":100,\"value1\":\"黄色\",\"value2\":\"512GB\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"绿色\",\"版本\":\"128GB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/4e5d358d3b786ec1212cc815c8ac8f81f8341ea5592fee36de8bb079e9d1c03e.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":100.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":100,\"value1\":\"绿色\",\"value2\":\"128GB\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"绿色\",\"版本\":\"256GB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/4e5d358d3b786ec1212cc815c8ac8f81f8341ea5592fee36de8bb079e9d1c03e.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":100.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":100,\"value1\":\"绿色\",\"value2\":\"256GB\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"绿色\",\"版本\":\"512GB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/4e5d358d3b786ec1212cc815c8ac8f81f8341ea5592fee36de8bb079e9d1c03e.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":100.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":100,\"value1\":\"绿色\",\"value2\":\"512GB\",\"volume\":0.0,\"weight\":0.0}]}',
        '2023-11-16 15:56:41');
INSERT INTO `yshop_store_product_attr_result` (`id`, `product_id`, `result`, `change_time`)
VALUES (332, 54,
        '{\"attr\":[{\"detail\":[\"原色钛金属\",\"蓝色钛金属\",\"白色钛金属\",\"黑色钛金属\"],\"value\":\"颜色\"},{\"detail\":[\"128GB\",\"256GB\",\"512GB\",\"1TB\"],\"value\":\"版本\"}],\"value\":[{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"原色钛金属\",\"版本\":\"128GB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eb9b69b202491c3935787238b1ffd64b2cfe7649e7da7e96f3ae8a9def62f35f.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":4599.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":100,\"value1\":\"原色钛金属\",\"value2\":\"128GB\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"原色钛金属\",\"版本\":\"256GB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eb9b69b202491c3935787238b1ffd64b2cfe7649e7da7e96f3ae8a9def62f35f.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":4599.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":100,\"value1\":\"原色钛金属\",\"value2\":\"256GB\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"原色钛金属\",\"版本\":\"512GB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eb9b69b202491c3935787238b1ffd64b2cfe7649e7da7e96f3ae8a9def62f35f.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":4599.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":100,\"value1\":\"原色钛金属\",\"value2\":\"512GB\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"原色钛金属\",\"版本\":\"1TB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eb9b69b202491c3935787238b1ffd64b2cfe7649e7da7e96f3ae8a9def62f35f.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":4599.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":100,\"value1\":\"原色钛金属\",\"value2\":\"1TB\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"蓝色钛金属\",\"版本\":\"128GB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eb9b69b202491c3935787238b1ffd64b2cfe7649e7da7e96f3ae8a9def62f35f.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":4599.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":100,\"value1\":\"蓝色钛金属\",\"value2\":\"128GB\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"蓝色钛金属\",\"版本\":\"256GB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eb9b69b202491c3935787238b1ffd64b2cfe7649e7da7e96f3ae8a9def62f35f.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":4599.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":100,\"value1\":\"蓝色钛金属\",\"value2\":\"256GB\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"蓝色钛金属\",\"版本\":\"512GB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eb9b69b202491c3935787238b1ffd64b2cfe7649e7da7e96f3ae8a9def62f35f.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":4599.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":100,\"value1\":\"蓝色钛金属\",\"value2\":\"512GB\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"蓝色钛金属\",\"版本\":\"1TB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eb9b69b202491c3935787238b1ffd64b2cfe7649e7da7e96f3ae8a9def62f35f.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":4599.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":100,\"value1\":\"蓝色钛金属\",\"value2\":\"1TB\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"白色钛金属\",\"版本\":\"128GB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eb9b69b202491c3935787238b1ffd64b2cfe7649e7da7e96f3ae8a9def62f35f.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":4599.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":100,\"value1\":\"白色钛金属\",\"value2\":\"128GB\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"白色钛金属\",\"版本\":\"256GB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eb9b69b202491c3935787238b1ffd64b2cfe7649e7da7e96f3ae8a9def62f35f.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":4599.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":100,\"value1\":\"白色钛金属\",\"value2\":\"256GB\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"白色钛金属\",\"版本\":\"512GB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eb9b69b202491c3935787238b1ffd64b2cfe7649e7da7e96f3ae8a9def62f35f.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":4599.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":100,\"value1\":\"白色钛金属\",\"value2\":\"512GB\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"白色钛金属\",\"版本\":\"1TB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eb9b69b202491c3935787238b1ffd64b2cfe7649e7da7e96f3ae8a9def62f35f.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":4599.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":100,\"value1\":\"白色钛金属\",\"value2\":\"1TB\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"黑色钛金属\",\"版本\":\"128GB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eb9b69b202491c3935787238b1ffd64b2cfe7649e7da7e96f3ae8a9def62f35f.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":4599.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":100,\"value1\":\"黑色钛金属\",\"value2\":\"128GB\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"黑色钛金属\",\"版本\":\"256GB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eb9b69b202491c3935787238b1ffd64b2cfe7649e7da7e96f3ae8a9def62f35f.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":4599.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":100,\"value1\":\"黑色钛金属\",\"value2\":\"256GB\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"黑色钛金属\",\"版本\":\"512GB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eb9b69b202491c3935787238b1ffd64b2cfe7649e7da7e96f3ae8a9def62f35f.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":4599.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":100,\"value1\":\"黑色钛金属\",\"value2\":\"512GB\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"黑色钛金属\",\"版本\":\"1TB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eb9b69b202491c3935787238b1ffd64b2cfe7649e7da7e96f3ae8a9def62f35f.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":4599.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":100,\"value1\":\"黑色钛金属\",\"value2\":\"1TB\",\"volume\":0.0,\"weight\":0.0}]}',
        '2023-11-16 15:57:13');
INSERT INTO `yshop_store_product_attr_result` (`id`, `product_id`, `result`, `change_time`)
VALUES (333, 47,
        '{\"attr\":[{\"attrHidden\":\"\",\"detail\":[\"默认\"],\"detailValue\":\"\",\"value\":\"规格\"}],\"value\":[{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":4444.0,\"detail\":{\"规格\":\"默认\"},\"integral\":0,\"otPrice\":1000.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/2edd8fe8d37dfab2d585d1c578e0f611e8c85dbd4e3260be5dd9545ed0c89c06.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":6590.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"stock\":299,\"value1\":\"规格\",\"volume\":0.0,\"weight\":10.0}]}',
        '2023-11-16 15:57:30');
INSERT INTO `yshop_store_product_attr_result` (`id`, `product_id`, `result`, `change_time`)
VALUES (334, 46,
        '{\"attr\":[{\"detail\":[\"红色|i7|128\",\"黑色|i5|256\"],\"value\":\"规格一\"}],\"value\":[{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":200.0,\"detail\":{\"规格一\":\"红色|i7|128\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/015d91319a4960a7ef607bbefd79d3718ff98e3d288734c33fb5bd76baa24fec.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":900.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"红色|i7|128\",\"stock\":9,\"value1\":\"红色|i7|128\",\"value2\":\"\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":200.0,\"detail\":{\"规格一\":\"黑色|i5|256\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/015d91319a4960a7ef607bbefd79d3718ff98e3d288734c33fb5bd76baa24fec.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":900.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"黑色|i5|256\",\"stock\":10,\"value1\":\"黑色|i5|256\",\"value2\":\"\",\"volume\":0.0,\"weight\":0.0}]}',
        '2023-11-16 15:57:43');
INSERT INTO `yshop_store_product_attr_result` (`id`, `product_id`, `result`, `change_time`)
VALUES (335, 67,
        '{\"attr\":[{\"detail\":[\"无界14pro锐龙版14英寸\",\"Code 01系列\"],\"value\":\"颜色\"},{\"detail\":[\"R7_7735HS 16G 1T 100%sRGB\"],\"value\":\"版本\"}],\"value\":[{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"无界14pro锐龙版14英寸\",\"版本\":\"R7_7735HS 16G 1T 100%sRGB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/93bbb9debe310a03a9f1ae6dbc9a06f4a68dd8e9f9acf4cbf4239a65b2016a2b.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":4999.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":100,\"value1\":\"无界14pro锐龙版14英寸\",\"value2\":\"R7_7735HS 16G 1T 100%sRGB\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":2000.0,\"detail\":{\"颜色\":\"Code 01系列\",\"版本\":\"R7_7735HS 16G 1T 100%sRGB\"},\"integral\":0,\"otPrice\":5999.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/93bbb9debe310a03a9f1ae6dbc9a06f4a68dd8e9f9acf4cbf4239a65b2016a2b.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":4999.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"Code 01系列,R7_7735HS 16G 1T 100%sRGB\",\"stock\":200,\"value1\":\"Code 01系列\",\"value2\":\"R7_7735HS 16G 1T 100%sRGB\",\"volume\":5.0,\"weight\":5.0}]}',
        '2023-11-16 16:00:10');
INSERT INTO `yshop_store_product_attr_result` (`id`, `product_id`, `result`, `change_time`)
VALUES (336, 45,
        '{\"attr\":[{\"detail\":[\"3.1K触控屏/12代标压酷睿I7【深空灰】\",\"3.1K触控屏/12代标压酷睿I7【皓月银】\"],\"value\":\"颜色\"}],\"value\":[{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":4999.0,\"detail\":{\"颜色\":\"3.1K触控屏/12代标压酷睿I7【深空灰】\"},\"integral\":0,\"otPrice\":1999.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/fa60bd7f529be79f0930b358c3ededf1af461994b63c10814e6a9cbb912e9abc.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":8499.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"3.1K触控屏/12代标压酷睿I7【深空灰】\",\"stock\":199,\"value1\":\"3.1K触控屏/12代标压酷睿I7【深空灰】\",\"value2\":\"\",\"volume\":0.0,\"weight\":9.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":5999.0,\"detail\":{\"颜色\":\"3.1K触控屏/12代标压酷睿I7【皓月银】\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/fa60bd7f529be79f0930b358c3ededf1af461994b63c10814e6a9cbb912e9abc.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":8799.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"3.1K触控屏/12代标压酷睿I7【皓月银】\",\"stock\":50,\"value1\":\"3.1K触控屏/12代标压酷睿I7【皓月银】\",\"value2\":\"\",\"volume\":0.0,\"weight\":9.0}]}',
        '2023-11-16 16:03:17');
INSERT INTO `yshop_store_product_attr_result` (`id`, `product_id`, `result`, `change_time`)
VALUES (338, 53,
        '{\"attr\":[{\"detail\":[\"黑色\",\"粉色\",\"黄色\",\"绿色\"],\"value\":\"颜色\"},{\"detail\":[\"256GB\",\"512GB\",\"ITB\"],\"value\":\"版本\"}],\"value\":[{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"黑色\",\"版本\":\"256GB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cd6523e65655bf735c25b74ae66d9528556eb66c11b40543cbeadc3a668e3af1.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":5898.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":100,\"value1\":\"黑色\",\"value2\":\"256GB\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"黑色\",\"版本\":\"512GB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cd6523e65655bf735c25b74ae66d9528556eb66c11b40543cbeadc3a668e3af1.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":6898.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":100,\"value1\":\"黑色\",\"value2\":\"512GB\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"黑色\",\"版本\":\"ITB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cd6523e65655bf735c25b74ae66d9528556eb66c11b40543cbeadc3a668e3af1.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":7898.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":100,\"value1\":\"黑色\",\"value2\":\"ITB\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"粉色\",\"版本\":\"256GB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cd6523e65655bf735c25b74ae66d9528556eb66c11b40543cbeadc3a668e3af1.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":5898.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":100,\"value1\":\"粉色\",\"value2\":\"256GB\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"粉色\",\"版本\":\"512GB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cd6523e65655bf735c25b74ae66d9528556eb66c11b40543cbeadc3a668e3af1.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":6898.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":100,\"value1\":\"粉色\",\"value2\":\"512GB\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"粉色\",\"版本\":\"ITB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cd6523e65655bf735c25b74ae66d9528556eb66c11b40543cbeadc3a668e3af1.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":7898.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":100,\"value1\":\"粉色\",\"value2\":\"ITB\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"黄色\",\"版本\":\"256GB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cd6523e65655bf735c25b74ae66d9528556eb66c11b40543cbeadc3a668e3af1.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":5898.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":100,\"value1\":\"黄色\",\"value2\":\"256GB\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"黄色\",\"版本\":\"512GB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cd6523e65655bf735c25b74ae66d9528556eb66c11b40543cbeadc3a668e3af1.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":6898.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":100,\"value1\":\"黄色\",\"value2\":\"512GB\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"黄色\",\"版本\":\"ITB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cd6523e65655bf735c25b74ae66d9528556eb66c11b40543cbeadc3a668e3af1.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":7898.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":100,\"value1\":\"黄色\",\"value2\":\"ITB\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"绿色\",\"版本\":\"256GB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cd6523e65655bf735c25b74ae66d9528556eb66c11b40543cbeadc3a668e3af1.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":5898.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":100,\"value1\":\"绿色\",\"value2\":\"256GB\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"绿色\",\"版本\":\"512GB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cd6523e65655bf735c25b74ae66d9528556eb66c11b40543cbeadc3a668e3af1.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":6898.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":100,\"value1\":\"绿色\",\"value2\":\"512GB\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"绿色\",\"版本\":\"ITB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cd6523e65655bf735c25b74ae66d9528556eb66c11b40543cbeadc3a668e3af1.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":7898.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":100,\"value1\":\"绿色\",\"value2\":\"ITB\",\"volume\":0.0,\"weight\":0.0}]}',
        '2023-11-16 16:26:26');
INSERT INTO `yshop_store_product_attr_result` (`id`, `product_id`, `result`, `change_time`)
VALUES (340, 41,
        '{\"attr\":[{\"detail\":[\"6寸\",\"7寸\"],\"value\":\"尺寸\"},{\"detail\":[\"黑白\",\"红色\",\"蓝色\",\"粉色\",\"紫色\",\"123\"],\"value\":\"颜色\"}],\"value\":[{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":5999.0,\"detail\":{\"尺寸\":\"6寸\",\"颜色\":\"黑白\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cab5fb788d3e2f1868c7c3c33bdfc8ba56593965f98bc090c03ad86d8c317545.png\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":5999.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"6寸,黑白\",\"stock\":1,\"value1\":\"6寸\",\"value2\":\"黑白\",\"volume\":0.0,\"weight\":0.26},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":5999.0,\"detail\":{\"尺寸\":\"6寸\",\"颜色\":\"红色\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cab5fb788d3e2f1868c7c3c33bdfc8ba56593965f98bc090c03ad86d8c317545.png\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":0.01,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"6寸,红色\",\"stock\":9,\"value1\":\"6寸\",\"value2\":\"红色\",\"volume\":0.0,\"weight\":0.26},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":5999.0,\"detail\":{\"尺寸\":\"6寸\",\"颜色\":\"蓝色\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cab5fb788d3e2f1868c7c3c33bdfc8ba56593965f98bc090c03ad86d8c317545.png\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":0.02,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"6寸,蓝色\",\"stock\":8,\"value1\":\"6寸\",\"value2\":\"蓝色\",\"volume\":0.0,\"weight\":0.26},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"尺寸\":\"6寸\",\"颜色\":\"粉色\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cab5fb788d3e2f1868c7c3c33bdfc8ba56593965f98bc090c03ad86d8c317545.png\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":0.03,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"6寸,粉色\",\"stock\":0,\"value1\":\"6寸\",\"value2\":\"粉色\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"尺寸\":\"6寸\",\"颜色\":\"紫色\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cab5fb788d3e2f1868c7c3c33bdfc8ba56593965f98bc090c03ad86d8c317545.png\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":20.1,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"6寸,紫色\",\"stock\":100,\"value1\":\"6寸\",\"value2\":\"紫色\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"尺寸\":\"6寸\",\"颜色\":\"123\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cab5fb788d3e2f1868c7c3c33bdfc8ba56593965f98bc090c03ad86d8c317545.png\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":123.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"6寸,123\",\"stock\":100,\"value1\":\"6寸\",\"value2\":\"123\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":6999.0,\"detail\":{\"尺寸\":\"7寸\",\"颜色\":\"黑白\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cab5fb788d3e2f1868c7c3c33bdfc8ba56593965f98bc090c03ad86d8c317545.png\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":6999.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"7寸,黑白\",\"stock\":7,\"value1\":\"7寸\",\"value2\":\"黑白\",\"volume\":0.0,\"weight\":0.3},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":6999.0,\"detail\":{\"尺寸\":\"7寸\",\"颜色\":\"红色\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cab5fb788d3e2f1868c7c3c33bdfc8ba56593965f98bc090c03ad86d8c317545.png\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":6999.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"7寸,红色\",\"stock\":10,\"value1\":\"7寸\",\"value2\":\"红色\",\"volume\":0.0,\"weight\":0.3},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":6999.0,\"detail\":{\"尺寸\":\"7寸\",\"颜色\":\"蓝色\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cab5fb788d3e2f1868c7c3c33bdfc8ba56593965f98bc090c03ad86d8c317545.png\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":6999.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"7寸,蓝色\",\"stock\":9,\"value1\":\"7寸\",\"value2\":\"蓝色\",\"volume\":0.0,\"weight\":0.3},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"尺寸\":\"7寸\",\"颜色\":\"粉色\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cab5fb788d3e2f1868c7c3c33bdfc8ba56593965f98bc090c03ad86d8c317545.png\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":6999.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"7寸,粉色\",\"stock\":100,\"value1\":\"7寸\",\"value2\":\"粉色\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"尺寸\":\"7寸\",\"颜色\":\"紫色\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cab5fb788d3e2f1868c7c3c33bdfc8ba56593965f98bc090c03ad86d8c317545.png\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":1999.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"7寸,紫色\",\"stock\":100,\"value1\":\"7寸\",\"value2\":\"紫色\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"尺寸\":\"7寸\",\"颜色\":\"123\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cab5fb788d3e2f1868c7c3c33bdfc8ba56593965f98bc090c03ad86d8c317545.png\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":123.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"7寸,123\",\"stock\":100,\"value1\":\"7寸\",\"value2\":\"123\",\"volume\":0.0,\"weight\":0.0}]}',
        '2023-11-16 19:59:36');
INSERT INTO `yshop_store_product_attr_result` (`id`, `product_id`, `result`, `change_time`)
VALUES (341, 52,
        '{\"attr\":[{\"detail\":[\"原色钛金属\",\"蓝色钛金属\",\"白色钛金属\"],\"value\":\"颜色\"},{\"detail\":[\"256GB\",\"512GB\",\"ITB\"],\"value\":\"版本\"}],\"value\":[{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"原色钛金属\",\"版本\":\"256GB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/72a1afdb3fdf1fc612c5d60f393b79d9d187ef6e1ca3d0ecec3372740df4f9c0.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":1399.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":100,\"value1\":\"原色钛金属\",\"value2\":\"256GB\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"原色钛金属\",\"版本\":\"512GB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/72a1afdb3fdf1fc612c5d60f393b79d9d187ef6e1ca3d0ecec3372740df4f9c0.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":2399.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":200,\"value1\":\"原色钛金属\",\"value2\":\"512GB\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"原色钛金属\",\"版本\":\"ITB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/72a1afdb3fdf1fc612c5d60f393b79d9d187ef6e1ca3d0ecec3372740df4f9c0.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":4399.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":300,\"value1\":\"原色钛金属\",\"value2\":\"ITB\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"蓝色钛金属\",\"版本\":\"256GB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/72a1afdb3fdf1fc612c5d60f393b79d9d187ef6e1ca3d0ecec3372740df4f9c0.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":1399.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":400,\"value1\":\"蓝色钛金属\",\"value2\":\"256GB\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"蓝色钛金属\",\"版本\":\"512GB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/72a1afdb3fdf1fc612c5d60f393b79d9d187ef6e1ca3d0ecec3372740df4f9c0.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":2399.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":200,\"value1\":\"蓝色钛金属\",\"value2\":\"512GB\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"蓝色钛金属\",\"版本\":\"ITB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/72a1afdb3fdf1fc612c5d60f393b79d9d187ef6e1ca3d0ecec3372740df4f9c0.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":4399.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":100,\"value1\":\"蓝色钛金属\",\"value2\":\"ITB\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"白色钛金属\",\"版本\":\"256GB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/72a1afdb3fdf1fc612c5d60f393b79d9d187ef6e1ca3d0ecec3372740df4f9c0.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":1399.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":50,\"value1\":\"白色钛金属\",\"value2\":\"256GB\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"白色钛金属\",\"版本\":\"512GB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/72a1afdb3fdf1fc612c5d60f393b79d9d187ef6e1ca3d0ecec3372740df4f9c0.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":2399.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":60,\"value1\":\"白色钛金属\",\"value2\":\"512GB\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"白色钛金属\",\"版本\":\"ITB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/72a1afdb3fdf1fc612c5d60f393b79d9d187ef6e1ca3d0ecec3372740df4f9c0.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":4399.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":80,\"value1\":\"白色钛金属\",\"value2\":\"ITB\",\"volume\":0.0,\"weight\":0.0}]}',
        '2023-11-17 10:08:18');
INSERT INTO `yshop_store_product_attr_result` (`id`, `product_id`, `result`, `change_time`)
VALUES (343, 58,
        '{\"attr\":[{\"detail\":[\"亮黑色【赠3C认证快充】\",\"釉白色【赠3C认证快充】\",\"秘银色【赠3C认证快充】\",\"夏日胡杨【赠3C认证快充】\",\"秋日胡杨【赠3C认证快充】\"],\"value\":\"颜色\"},{\"detail\":[\"128GB\",\"256GB\"],\"value\":\"版本\"}],\"value\":[{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"亮黑色【赠3C认证快充】\",\"版本\":\"128GB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eab043962fb5e70d7ef0c0dc316e63d44863ceda49fe9379378d343ca9d17a05.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":3348.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":110,\"value1\":\"亮黑色【赠3C认证快充】\",\"value2\":\"128GB\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"亮黑色【赠3C认证快充】\",\"版本\":\"256GB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eab043962fb5e70d7ef0c0dc316e63d44863ceda49fe9379378d343ca9d17a05.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":3658.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":110,\"value1\":\"亮黑色【赠3C认证快充】\",\"value2\":\"256GB\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"釉白色【赠3C认证快充】\",\"版本\":\"128GB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eab043962fb5e70d7ef0c0dc316e63d44863ceda49fe9379378d343ca9d17a05.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":3348.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":110,\"value1\":\"釉白色【赠3C认证快充】\",\"value2\":\"128GB\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"釉白色【赠3C认证快充】\",\"版本\":\"256GB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eab043962fb5e70d7ef0c0dc316e63d44863ceda49fe9379378d343ca9d17a05.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":3658.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":22,\"value1\":\"釉白色【赠3C认证快充】\",\"value2\":\"256GB\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"秘银色【赠3C认证快充】\",\"版本\":\"128GB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eab043962fb5e70d7ef0c0dc316e63d44863ceda49fe9379378d343ca9d17a05.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":3348.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":3330,\"value1\":\"秘银色【赠3C认证快充】\",\"value2\":\"128GB\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"秘银色【赠3C认证快充】\",\"版本\":\"256GB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eab043962fb5e70d7ef0c0dc316e63d44863ceda49fe9379378d343ca9d17a05.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":3658.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":330,\"value1\":\"秘银色【赠3C认证快充】\",\"value2\":\"256GB\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"夏日胡杨【赠3C认证快充】\",\"版本\":\"128GB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eab043962fb5e70d7ef0c0dc316e63d44863ceda49fe9379378d343ca9d17a05.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":3348.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":40,\"value1\":\"夏日胡杨【赠3C认证快充】\",\"value2\":\"128GB\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"夏日胡杨【赠3C认证快充】\",\"版本\":\"256GB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eab043962fb5e70d7ef0c0dc316e63d44863ceda49fe9379378d343ca9d17a05.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":3658.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":60,\"value1\":\"夏日胡杨【赠3C认证快充】\",\"value2\":\"256GB\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"秋日胡杨【赠3C认证快充】\",\"版本\":\"128GB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eab043962fb5e70d7ef0c0dc316e63d44863ceda49fe9379378d343ca9d17a05.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":3348.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":70,\"value1\":\"秋日胡杨【赠3C认证快充】\",\"value2\":\"128GB\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"秋日胡杨【赠3C认证快充】\",\"版本\":\"256GB\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eab043962fb5e70d7ef0c0dc316e63d44863ceda49fe9379378d343ca9d17a05.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":3658.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":80,\"value1\":\"秋日胡杨【赠3C认证快充】\",\"value2\":\"256GB\",\"volume\":0.0,\"weight\":0.0}]}',
        '2023-11-20 14:51:36');
INSERT INTO `yshop_store_product_attr_result` (`id`, `product_id`, `result`, `change_time`)
VALUES (345, 49,
        '{\"attr\":[{\"detail\":[\"Pro专家_14英寸\",\"Elite精英_旗舰\"],\"value\":\"颜色\"},{\"detail\":[\"Elite 840|i5_1135G7 16G 512\",\"Elite 840|i5_1135G7 8G 512GSSD\"],\"value\":\"版本\"}],\"value\":[{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"Pro专家_14英寸\",\"版本\":\"Elite 840|i5_1135G7 16G 512\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/1cc1a7aeb7a8ada3a1e8c78587dbe539d27f900dee19a7ae5ea53d287da67afe.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":3356.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":10,\"value1\":\"Pro专家_14英寸\",\"value2\":\"Elite 840|i5_1135G7 16G 512\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"Pro专家_14英寸\",\"版本\":\"Elite 840|i5_1135G7 8G 512GSSD\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/1cc1a7aeb7a8ada3a1e8c78587dbe539d27f900dee19a7ae5ea53d287da67afe.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":4356.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":20,\"value1\":\"Pro专家_14英寸\",\"value2\":\"Elite 840|i5_1135G7 8G 512GSSD\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"Elite精英_旗舰\",\"版本\":\"Elite 840|i5_1135G7 16G 512\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/1cc1a7aeb7a8ada3a1e8c78587dbe539d27f900dee19a7ae5ea53d287da67afe.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":3356.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":40,\"value1\":\"Elite精英_旗舰\",\"value2\":\"Elite 840|i5_1135G7 16G 512\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"Elite精英_旗舰\",\"版本\":\"Elite 840|i5_1135G7 8G 512GSSD\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/1cc1a7aeb7a8ada3a1e8c78587dbe539d27f900dee19a7ae5ea53d287da67afe.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":4356.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":30,\"value1\":\"Elite精英_旗舰\",\"value2\":\"Elite 840|i5_1135G7 8G 512GSSD\",\"volume\":0.0,\"weight\":0.0}]}',
        '2023-11-21 10:44:31');
INSERT INTO `yshop_store_product_attr_result` (`id`, `product_id`, `result`, `change_time`)
VALUES (346, 66,
        '{\"attr\":[{\"detail\":[\"白色\",\"黑色\"],\"value\":\"颜色\"}],\"value\":[{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":49.0,\"detail\":{\"颜色\":\"白色\"},\"integral\":0,\"otPrice\":99.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/dbd14f0f21b4cd21c31d0f5d06ffe0b640d6f5e6714aef3162aafea79bace5f2.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":79.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"白色\",\"stock\":221,\"value1\":\"白色\",\"value2\":\"\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":49.0,\"detail\":{\"颜色\":\"黑色\"},\"integral\":0,\"otPrice\":99.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/dbd14f0f21b4cd21c31d0f5d06ffe0b640d6f5e6714aef3162aafea79bace5f2.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":79.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"黑色\",\"stock\":333,\"value1\":\"黑色\",\"value2\":\"\",\"volume\":0.0,\"weight\":0.0}]}',
        '2023-11-22 14:18:44');
INSERT INTO `yshop_store_product_attr_result` (`id`, `product_id`, `result`, `change_time`)
VALUES (347, 43,
        '{\"attr\":[{\"detail\":[\"英特尔12代高配银\",\"英特尔13代顶配银\"],\"value\":\"颜色\"},{\"detail\":[\"16G内存+256G高速固态\",\"16G内存+512高速固态\"],\"value\":\"版本\"}],\"value\":[{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"英特尔12代高配银\",\"版本\":\"16G内存+256G高速固态\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/6ab9967dba34ab6ede9c66c195592609aa47c2170edec580f804ddbda0983931.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":0.01,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"英特尔12代高配银,16G内存+256G高速固态\",\"stock\":1000,\"value1\":\"英特尔12代高配银\",\"value2\":\"16G内存+256G高速固态\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"英特尔12代高配银\",\"版本\":\"16G内存+512高速固态\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/6ab9967dba34ab6ede9c66c195592609aa47c2170edec580f804ddbda0983931.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":2.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"英特尔12代高配银,16G内存+512高速固态\",\"stock\":2,\"value1\":\"英特尔12代高配银\",\"value2\":\"16G内存+512高速固态\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"英特尔13代顶配银\",\"版本\":\"16G内存+256G高速固态\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/6ab9967dba34ab6ede9c66c195592609aa47c2170edec580f804ddbda0983931.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":3.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"英特尔13代顶配银,16G内存+256G高速固态\",\"stock\":3,\"value1\":\"英特尔13代顶配银\",\"value2\":\"16G内存+256G高速固态\",\"volume\":0.0,\"weight\":0.0},{\"barCode\":\"\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":0.0,\"detail\":{\"颜色\":\"英特尔13代顶配银\",\"版本\":\"16G内存+512高速固态\"},\"integral\":0,\"otPrice\":0.0,\"pic\":\"https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/6ab9967dba34ab6ede9c66c195592609aa47c2170edec580f804ddbda0983931.jpg\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":4.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"英特尔13代顶配银,16G内存+512高速固态\",\"stock\":4,\"value1\":\"英特尔13代顶配银\",\"value2\":\"16G内存+512高速固态\",\"volume\":0.0,\"weight\":0.0}]}',
        '2023-11-22 14:45:09');
INSERT INTO `yshop_store_product_attr_result` (`id`, `product_id`, `result`, `change_time`)
VALUES (348, 68,
        '{\"attr\":[{\"attrHidden\":\"\",\"detail\":[\"默认\"],\"detailValue\":\"\",\"value\":\"规格\"}],\"value\":[{\"barCode\":\"2\",\"brokerage\":0.0,\"brokerageTwo\":0.0,\"cost\":2.0,\"detail\":{\"规格\":\"默认\"},\"integral\":0,\"otPrice\":2.0,\"pic\":\"\",\"pinkPrice\":0.0,\"pinkStock\":0,\"price\":2.0,\"seckillPrice\":0.0,\"seckillStock\":0,\"sku\":\"\",\"stock\":2,\"value1\":\"规格\",\"value2\":\"\",\"volume\":2.0,\"weight\":2.0}]}',
        '2023-11-22 17:09:01');
COMMIT;

-- ----------------------------
-- Table structure for yshop_store_product_attr_result_bak
-- ----------------------------
DROP TABLE IF EXISTS `yshop_store_product_attr_result_bak`;
CREATE TABLE `yshop_store_product_attr_result_bak`
(
    `id`          bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT 'id',
    `product_id`  bigint(20) unsigned NOT NULL COMMENT '商品ID',
    `result`      text     NOT NULL COMMENT '商品属性参数',
    `change_time` datetime NOT NULL COMMENT '上次修改时间',
    PRIMARY KEY (`id`) USING BTREE,
    KEY           `product_id` (`product_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='商品属性详情表备份';

-- ----------------------------
-- Records of yshop_store_product_attr_result_bak
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for yshop_store_product_attr_value
-- ----------------------------
DROP TABLE IF EXISTS `yshop_store_product_attr_value`;
CREATE TABLE `yshop_store_product_attr_value`
(
    `id`            bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT 'id',
    `product_id`    bigint(20) unsigned NOT NULL COMMENT '商品ID',
    `sku`           varchar(128)   NOT NULL COMMENT '商品属性索引值 (attr_value|attr_value[|....])',
    `stock`         int(10) unsigned NOT NULL COMMENT '属性对应的库存',
    `sales`         int(10) unsigned DEFAULT '0' COMMENT '销量',
    `price`         decimal(8, 2) unsigned NOT NULL COMMENT '属性金额',
    `image`         varchar(255)            DEFAULT NULL COMMENT '图片',
    `unique`        varchar(100)   NOT NULL DEFAULT '' COMMENT '唯一值',
    `cost`          decimal(8, 2) unsigned NOT NULL COMMENT '成本价',
    `bar_code`      varchar(255)            DEFAULT NULL COMMENT '商品条码',
    `ot_price`      decimal(10, 2)          DEFAULT '0.00' COMMENT '原价',
    `weight`        decimal(8, 2)  NOT NULL DEFAULT '0.00' COMMENT '重量',
    `volume`        decimal(8, 2)  NOT NULL DEFAULT '0.00' COMMENT '体积',
    `brokerage`     decimal(8, 2)  NOT NULL DEFAULT '0.00' COMMENT '一级返佣',
    `brokerage_two` decimal(8, 2)  NOT NULL DEFAULT '0.00' COMMENT '二级返佣',
    `pink_price`    decimal(8, 2)  NOT NULL DEFAULT '0.00' COMMENT '拼团价',
    `pink_stock`    int(11) NOT NULL DEFAULT '0' COMMENT '拼团库存',
    `seckill_price` decimal(10, 2) NOT NULL DEFAULT '0.00' COMMENT '秒杀价',
    `seckill_stock` int(11) NOT NULL DEFAULT '0' COMMENT '秒杀库存',
    `integral`      int(10) unsigned zerofill DEFAULT '0000000000' COMMENT '需要多少积分兑换',
    PRIMARY KEY (`id`) USING BTREE,
    UNIQUE KEY `unique` (`unique`,`sku`) USING BTREE,
    KEY             `store_id` (`product_id`,`sku`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='商品属性值表';

-- ----------------------------
-- Records of yshop_store_product_attr_value
-- ----------------------------
BEGIN;
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (128, 16, '6寸,黑白', 78, 6, 0.01,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/f3535a59c688b0b51b935aad3ea459f22447a86d813b2a25d4458e47b32a6cc3.jpeg',
        'c0e662529a9748dab4e9ad40325d6e06', 200.00, '', 200.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (129, 16, '6寸,红色', 93, 0, 98.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/f3535a59c688b0b51b935aad3ea459f22447a86d813b2a25d4458e47b32a6cc3.jpeg',
        'ab93e27024354ab1855520c8bc4eb1ca', 200.00, '', 200.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (130, 16, '6寸,灰色', 97, 0, 97.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/f3535a59c688b0b51b935aad3ea459f22447a86d813b2a25d4458e47b32a6cc3.jpeg',
        '7f82a73f0eee4285a73930a8d184fe2c', 200.00, '', 200.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (131, 16, '7寸,黑白', 95, 0, 96.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/f3535a59c688b0b51b935aad3ea459f22447a86d813b2a25d4458e47b32a6cc3.jpeg',
        '767129f3480f468bb60946bc8028f825', 200.00, '', 200.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (132, 16, '7寸,红色', 91, 0, 95.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/f3535a59c688b0b51b935aad3ea459f22447a86d813b2a25d4458e47b32a6cc3.jpeg',
        'c2905a9469ce4144b6c6b791e964cf94', 200.00, '', 200.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (133, 16, '7寸,灰色', 94, 0, 94.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/f3535a59c688b0b51b935aad3ea459f22447a86d813b2a25d4458e47b32a6cc3.jpeg',
        '4c27e164dab9470ba158f773dfa88792', 200.00, '', 200.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (145, 19, '默认', 1, 0, 1.00, '', '4d1ec6195678449392aa0fb06085ec2e', 1.00, '', 1.00, 0.00, 0.00, 0.00, 0.00,
        0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (149, 18, '默认', 1, 0, 1.00, '', '5807e522349f4d6b8126cc675161ea76', 1.00, '', 1.00, 0.00, 0.00, 0.00, 0.00,
        0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (155, 33, '默认', 11999, 0, 11999.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/db98472375b9c97bf568cc429d900f5ca19d32c66932b7a725469add8d271a90.',
        '995fc25ea46c402388bc301e64265245', 11999.00, '', 11999.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0,
        0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (182, 37, '1111,6666', 549, 0, 111.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/5d705e07a441988127efe9c247739d338092a2cdf5ca9e158fe2b1aed35af83c.png',
        'ecabbb6b8efc4918ada7dcac2fd593c4', 333.00, '', 4444.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (183, 37, '1111,55555', 555, 0, 222.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/5d705e07a441988127efe9c247739d338092a2cdf5ca9e158fe2b1aed35af83c.png',
        '58b78d51228d4b6a8cc734fbd3452846', 333.00, '', 444.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (184, 37, '33,6666', 776, 0, 333.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/5d705e07a441988127efe9c247739d338092a2cdf5ca9e158fe2b1aed35af83c.png',
        'ab8fb1efaaf14a59ae9c64b2fbd9f3ba', 444.00, '', 666.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (185, 37, '33,55555', 777, 0, 444.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/5d705e07a441988127efe9c247739d338092a2cdf5ca9e158fe2b1aed35af83c.png',
        'a46980f5f4664a268bba856a38c9283a', 555.00, '', 666.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (198, 35, '6寸,黑白,128', 0, 26, 0.01,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a029b4367d0bf9a9ad84e2b132b0b6b001f729c548726410f651e0765ab3a356.jpg',
        '53e1190206014d2790729dea2c2c433b', 1.00, '10', 10.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (199, 35, '6寸,黑白,256', 100, 2, 0.03,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a029b4367d0bf9a9ad84e2b132b0b6b001f729c548726410f651e0765ab3a356.jpg',
        '19718577a6b74f95baf4d39da76abcb6', 2.00, '10', 10.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (200, 35, '6寸,红色,128', 11, 0, 3.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a029b4367d0bf9a9ad84e2b132b0b6b001f729c548726410f651e0765ab3a356.jpg',
        '1ce58786a4824cccad7d51dbf972fc23', 3.00, '10', 10.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (201, 35, '6寸,红色,256', 10, 0, 4.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a029b4367d0bf9a9ad84e2b132b0b6b001f729c548726410f651e0765ab3a356.jpg',
        '8729c3508e1d4cfdb7baa9f072930ac9', 4.00, '10', 10.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (202, 35, '7寸,黑白,128', 78, 20, 0.02,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a029b4367d0bf9a9ad84e2b132b0b6b001f729c548726410f651e0765ab3a356.jpg',
        '967a6d45f16743b6857cbc175ddf984f', 5.00, '10', 10.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (203, 35, '7寸,黑白,256', 6, 0, 0.04,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a029b4367d0bf9a9ad84e2b132b0b6b001f729c548726410f651e0765ab3a356.jpg',
        '7bda7ee9a12542febdf3355ee0d1b62c', 6.00, '10', 10.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (204, 35, '7寸,红色,128', 9, 0, 7.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a029b4367d0bf9a9ad84e2b132b0b6b001f729c548726410f651e0765ab3a356.jpg',
        '260657e5acaf406782d3f42209a02598', 7.00, '10', 10.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (205, 35, '7寸,红色,256', 92, 6, 0.10,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a029b4367d0bf9a9ad84e2b132b0b6b001f729c548726410f651e0765ab3a356.jpg',
        '012533e5a230497fb9831c0a55f8afc3', 8.00, '10', 10.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (228, 41, '6寸,黑白', 2, 0, 5999.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cab5fb788d3e2f1868c7c3c33bdfc8ba56593965f98bc090c03ad86d8c317545.png',
        '44429caddb10480dbf9a9551068a8c62', 5999.00, '', 0.00, 0.26, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (229, 41, '6寸,红色', 0, 9, 0.01,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cab5fb788d3e2f1868c7c3c33bdfc8ba56593965f98bc090c03ad86d8c317545.png',
        'f81f7bc2ab7f4730af3d7b123b2367ae', 5999.00, '', 0.00, 0.26, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (230, 41, '6寸,蓝色', 6, 2, 0.02,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cab5fb788d3e2f1868c7c3c33bdfc8ba56593965f98bc090c03ad86d8c317545.png',
        '77efe76a2533420ba44f2aa4230242bd', 5999.00, '', 0.00, 0.26, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (231, 41, '7寸,黑白', 7, 0, 6999.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cab5fb788d3e2f1868c7c3c33bdfc8ba56593965f98bc090c03ad86d8c317545.png',
        'ac17c52a018f4a22997e47c579a5ab1d', 6999.00, '', 0.00, 0.30, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (232, 41, '7寸,红色', 10, 0, 6999.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cab5fb788d3e2f1868c7c3c33bdfc8ba56593965f98bc090c03ad86d8c317545.png',
        '8209be92452e4cd4b8635c7f4e8e126f', 6999.00, '', 0.00, 0.30, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (233, 41, '7寸,蓝色', 9, 0, 6999.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cab5fb788d3e2f1868c7c3c33bdfc8ba56593965f98bc090c03ad86d8c317545.png',
        '28c0b7ed422641a19c27662bae1989cc', 6999.00, '', 0.00, 0.30, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (243, 41, '7寸,粉色', 100, 0, 6999.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cab5fb788d3e2f1868c7c3c33bdfc8ba56593965f98bc090c03ad86d8c317545.png',
        '0e36b873d2d24a6190745eabfac5847e', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (256, 42, 'MINI,红色', 888, 0, 3888.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/1dbd7c1110abe539ef9c4dda5c0642108f70abdf59dd86fb5dfa06de88f960ed.png',
        'e799b257c125463b822c970b9437eb7c', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (257, 42, 'Pro,红色', 888, 0, 4888.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/1dbd7c1110abe539ef9c4dda5c0642108f70abdf59dd86fb5dfa06de88f960ed.png',
        'e8b75587da5446129a7423031c5928e5', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (258, 42, 'MINI,黑金', 999, 0, 3999.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/1dbd7c1110abe539ef9c4dda5c0642108f70abdf59dd86fb5dfa06de88f960ed.png',
        '0865017149684d7c92f16233426e6a5c', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (259, 42, 'Pro,黑金', 999, 0, 4999.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/1dbd7c1110abe539ef9c4dda5c0642108f70abdf59dd86fb5dfa06de88f960ed.png',
        '26f833495ea84460a07a3783e58e6c93', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (266, 45, '3.1K触控屏/12代标压酷睿I7【深空灰】', 200, 0, 8499.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/fa60bd7f529be79f0930b358c3ededf1af461994b63c10814e6a9cbb912e9abc.jpg',
        'ed5bb6e0b1e54ceebd6d9a1c8b1c8975', 4999.00, '', 1999.00, 9.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (267, 45, '3.1K触控屏/12代标压酷睿I7【皓月银】', 50, 0, 8799.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/fa60bd7f529be79f0930b358c3ededf1af461994b63c10814e6a9cbb912e9abc.jpg',
        '2168cfafd52b470b802a7697ba85fde3', 5999.00, '', 0.00, 9.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (271, 48, '默认', 299, 1, 13999.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a18d23cf2d405b875f42ca36cba7126ec2b75c1156e949cde375e356013f5662.jpg',
        'd42f9eb24d224051b1dd9e79ae0e5764', 2000.00, '', 1000.00, 10.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0,
        0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (274, 39, '默认', 998, 1, 199.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/5d705e07a441988127efe9c247739d338092a2cdf5ca9e158fe2b1aed35af83c.png',
        '819aebf332e144a3b70595001741724a', 99.00, '', 299.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (275, 38, '默认', 999, 0, 199.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/5d705e07a441988127efe9c247739d338092a2cdf5ca9e158fe2b1aed35af83c.png',
        'fd192e2e9e55431290f9bd9366cd4aa4', 99.00, '', 299.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (281, 50, '16G 512G（官方标配）', 100, 0, 7699.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/24c19087d2428f9ef1ce7eaa74572a2da04bdfd6cd53dae734ee2411c475c2a5.png',
        'a69bbae68b0b4509ac466cf95dab84de', 0.00, '', 0.00, 8.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (282, 50, '16G 1TBG', 200, 0, 7899.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/24c19087d2428f9ef1ce7eaa74572a2da04bdfd6cd53dae734ee2411c475c2a5.png',
        'f1e47fe6077d41b6b76b8f692e606e21', 0.00, '', 0.00, 8.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (283, 50, '16G 2TBG', 300, 0, 8399.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/24c19087d2428f9ef1ce7eaa74572a2da04bdfd6cd53dae734ee2411c475c2a5.png',
        '7f7d1b0e49b94dd194ec838cb9cf32d9', 0.00, '', 0.00, 8.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (284, 51, '【静谧银14英寸】i5_1135G7 | Xe锐炬', 30, 0, 8094.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/4e449b42271d6f73cf0a4610f3be1660a5bf1346e13f95b2f089356516ab49f6.jpg',
        '7334e54ac96d413da8ceb102de4f91e0', 0.00, '', 0.00, 7.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (285, 51, '【静谧银14英寸】i3_1115G4 | 高性能核', 50, 0, 5886.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/4e449b42271d6f73cf0a4610f3be1660a5bf1346e13f95b2f089356516ab49f6.jpg',
        '546bfdd8c8a24c31bc0616be69f03a09', 0.00, '', 0.00, 7.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (342, 57, '默认', 199, 1, 438.00, '', '6a2fe60549ec4bdca04c6acefa1c025e', 0.00, '', 300.00, 0.00, 0.00, 0.00,
        0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (354, 60, '默认', 198, 2, 15999.00, '', '427e6d5c68e24422a1cd00dae5e7cc35', 0.00, '', 18000.00, 0.00, 0.00, 0.00,
        0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (355, 34, '默认', 999, 0, 6999.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/db98472375b9c97bf568cc429d900f5ca19d32c66932b7a725469add8d271a90.png',
        'de58c29b87fc49f09f032fc3e85da19c', 5999.00, '', 7999.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (357, 32, '默认', 1, 0, 2.00, '', '1ac904268bfe46c6863c2634eadf0d1f', 1.00, '', 1.00, 0.00, 0.00, 0.00, 0.00,
        0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (358, 31, '默认', 1, 0, 1.00, '', '75371f829ab94c6aae74eca5604f9fb8', 1.00, '', 1.00, 0.00, 0.00, 0.00, 0.00,
        0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (359, 29, '默认', 1, 0, 1.00, '', 'f833a39bb8ce4d9095bb34e7c0294715', 1.00, '', 1.00, 0.00, 0.00, 0.00, 0.00,
        0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (360, 28, '默认', 1, 0, 1.00, '', 'aa624ca17fc249a99fcb4ee47c2b8f5a', 1.00, '', 1.00, 0.00, 0.00, 0.00, 0.00,
        0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (361, 27, '默认', 3, 0, 2.00, '', '2fc0d42d93aa4e42a3304b3ea38af4e5', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00,
        0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (362, 26, '默认', 1, 0, 1.00, '', 'd172f4c78a2543b7b1cf5e8c9252461b', 1.00, '', 1.00, 0.00, 0.00, 0.00, 0.00,
        0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (363, 25, '默认', 1, 0, 1.00, '', '19c7670072344a6b9555e18d7b689b0b', 1.00, '', 1.00, 0.00, 0.00, 0.00, 0.00,
        0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (364, 23, '默认', 1, 0, 1.00, '', '26b46c697a674dc992f02475462db86c', 1.00, '', 1.00, 0.00, 0.00, 0.00, 0.00,
        0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (365, 24, '默认', 1, 0, 1.00, '', 'b9c03f350b83458b8952b8629e1479a1', 1.00, '', 1.00, 0.00, 0.00, 0.00, 0.00,
        0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (366, 22, '默认', 1, 0, 1.00, '', '3087f97f4b34401a9ae77670f5b1872b', 1.00, '', 1.00, 0.00, 0.00, 0.00, 0.00,
        0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (367, 21, '默认', 1, 0, 1.00, '', '39e3ec3bbaf047839f0118c1cdd87cb9', 1.00, '', 1.00, 0.00, 0.00, 0.00, 0.00,
        0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (368, 20, '默认', 0, 1, 1.00, '', 'b6e7783add0a4206936783eda9505d6d', 1.00, '', 1.00, 0.00, 0.00, 0.00, 0.00,
        0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (373, 61, '宣白', 93, 7, 9988.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/0d700704d87918bf96f498c3cfa0f506c081018f2113c752da27d2452df53d28.jpg',
        'a20727ebefbe4b948a63b86399e53a98', 0.00, '', 10999.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (374, 61, '舰黑', 97, 3, 10569.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/0d700704d87918bf96f498c3cfa0f506c081018f2113c752da27d2452df53d28.jpg',
        'cfbf8193b8c944518ad8d7ceab7247d2', 0.00, '', 11999.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (382, 46, '红色|i7|128', 10, 0, 900.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/015d91319a4960a7ef607bbefd79d3718ff98e3d288734c33fb5bd76baa24fec.jpg',
        '7af70534985943cc91c5b74046f067ad', 200.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (383, 46, '黑色|i5|256', 10, 0, 900.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/015d91319a4960a7ef607bbefd79d3718ff98e3d288734c33fb5bd76baa24fec.jpg',
        '4f519dad3cea4a49b6481aa6db23db46', 200.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (388, 15, '默认', 99, 0, 99.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a311502bef59f16c64a246c1404faed389ba9f6683d57b9134dd58e7feb19514.jpeg',
        'd59f57d98c3949a381024ddaa0305a2d', 299.00, '', 399.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (398, 40, '默认', 9999, 0, 28.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/9b99b2b81f06410ca42b1dccece84341c99867b81166bcb357dd18e7dcee918d.png',
        '185b7dfcf9694e0083dc6a31dc795a31', 28.00, '', 28.00, 4.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (399, 36, '默认', 9999, 0, 0.10,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/db98472375b9c97bf568cc429d900f5ca19d32c66932b7a725469add8d271a90.png',
        '8f04abae3bb44358b26db1766881f87d', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (400, 62, '默认', 99, 1, 229.00, '', '20ae2a96a8ad4e728ede0d09f57f1607', 129.00, '', 259.00, 1.00, 1.00, 0.00,
        0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (401, 63, '默认', 100, 0, 288.00, '', '9fb11d8d854340d5acc18a9ac1c00a92', 129.00, '', 359.00, 1.00, 1.00, 0.00,
        0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (402, 17, '默认', 99, 0, 0.01,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/7599202df273d25f1ce3aeba21165a544849248fda23aad090098d7be0c063c9.jpeg',
        '41ec56ace90a487a9e6c2276a4aaaacd', 10.00, '', 100.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (403, 64, '默认', 200, 0, 219.00, '', 'd6675e47401544faac47874af8710824', 0.00, '', 239.00, 1.00, 1.00, 0.00,
        0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (404, 65, '云岩白+保护套+晒单', 100, 0, 103.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/1d13270c3a19db5ae80db272b25241d54741d91cb9f3d7826f4409a48c8b6bfc.png',
        '3220f4de637f4644bf042e9703d97705', 63.00, '', 133.00, 1.00, 1.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (405, 65, '典雅黑+保护套+晒单', 200, 0, 103.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/4d5aae03f6592015da3df009b21cfd6f1d01750afc00ef0826ed6b37a1a49a13.png',
        'b42be4f7ade149e4bae60c491660be2d', 63.00, '', 133.00, 1.00, 1.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (406, 66, '白色', 221, 0, 79.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/dbd14f0f21b4cd21c31d0f5d06ffe0b640d6f5e6714aef3162aafea79bace5f2.jpg',
        'd747ecf6d98444e0aae02b10664c663c', 49.00, '', 99.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (407, 66, '黑色', 333, 0, 79.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/dbd14f0f21b4cd21c31d0f5d06ffe0b640d6f5e6714aef3162aafea79bace5f2.jpg',
        '5d497d872e3942618e09544a8656bf05', 49.00, '', 99.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (409, 67, 'Code 01系列,R7_7735HS 16G 1T 100%sRGB', 200, 0, 4999.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/93bbb9debe310a03a9f1ae6dbc9a06f4a68dd8e9f9acf4cbf4239a65b2016a2b.jpg',
        '80388bc569d44d9093ac86f9a4eae7e1', 2000.00, '', 5999.00, 5.00, 5.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (410, 59, '默认', 200, 0, 1049.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/6bfc0f8a2dd6db6e6d549960fbbd0e792f0520251f3f932c0aa75e12606db16a.jpg',
        'c35495bc5ee547a081dbae347f8757e7', 0.00, '', 980.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (414, 41, '7寸,紫色', 100, 0, 1999.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cab5fb788d3e2f1868c7c3c33bdfc8ba56593965f98bc090c03ad86d8c317545.png',
        '11dd9125f7914965861b5bf7f76ca3e8', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (421, 41, '6寸,粉色', 0, 0, 0.03,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cab5fb788d3e2f1868c7c3c33bdfc8ba56593965f98bc090c03ad86d8c317545.png',
        'b30c73bf1cb04d359cb87dde5749bd0f', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (422, 41, '6寸,紫色', 96, 4, 20.10,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cab5fb788d3e2f1868c7c3c33bdfc8ba56593965f98bc090c03ad86d8c317545.png',
        '40bc0e06650e4ffd8dc8ee705b8784ca', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (427, 41, '6寸,123', 100, 0, 123.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cab5fb788d3e2f1868c7c3c33bdfc8ba56593965f98bc090c03ad86d8c317545.png',
        '043343007c32422a819b70181d29cdd5', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (428, 41, '7寸,123', 100, 0, 123.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cab5fb788d3e2f1868c7c3c33bdfc8ba56593965f98bc090c03ad86d8c317545.png',
        'ca2e625f073848c9a889b893ac873d2b', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (429, 43, '英特尔12代高配银,16G内存+256G高速固态', 0, 1, 0.01,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/6ab9967dba34ab6ede9c66c195592609aa47c2170edec580f804ddbda0983931.jpg',
        'c6b56f1724d240e69d1411e2f28aa72e', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (430, 43, '英特尔12代高配银,16G内存+512高速固态', 2, 0, 2.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/6ab9967dba34ab6ede9c66c195592609aa47c2170edec580f804ddbda0983931.jpg',
        '95cb7d781b384480865cb2bb5c43beca', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (431, 43, '英特尔13代顶配银,16G内存+256G高速固态', 3, 0, 3.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/6ab9967dba34ab6ede9c66c195592609aa47c2170edec580f804ddbda0983931.jpg',
        '0da4cc32648847a8a8bc9c064d14822d', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (432, 43, '英特尔13代顶配银,16G内存+512高速固态', 4, 0, 4.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/6ab9967dba34ab6ede9c66c195592609aa47c2170edec580f804ddbda0983931.jpg',
        'd79dbe6472424a8e824cb10661ed9538', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (433, 44, '2.5K触控全面屏/13代标压酷睿I7【 深空灰】,13700H 16G 1TB固态 ', 100, 0, 8999.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/d62e5257758edba0903a22fc8dd722dc2a5489710f0716832b08a73242e5a96b.jpg',
        '36d699df54894f229e6e462a89a335fe', 0.00, '', 0.00, 1.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (434, 44, '2.5K触控全面屏/13代标压酷睿I7【 深空灰】,13700H 32G 1TB固态 ', 200, 0, 9999.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/d62e5257758edba0903a22fc8dd722dc2a5489710f0716832b08a73242e5a96b.jpg',
        '81b50a7358c54d0b9a23ff9f60c5f882', 0.00, '', 0.00, 1.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (435, 44, '2.5K触控全面屏/13代标压酷睿I7【皓月银】,13700H 16G 1TB固态 ', 300, 0, 8999.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/d62e5257758edba0903a22fc8dd722dc2a5489710f0716832b08a73242e5a96b.jpg',
        'ee957afae4a74869a71b43d5e9b47232', 0.00, '', 0.00, 1.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (436, 44, '2.5K触控全面屏/13代标压酷睿I7【皓月银】,13700H 32G 1TB固态 ', 900, 0, 9999.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/d62e5257758edba0903a22fc8dd722dc2a5489710f0716832b08a73242e5a96b.jpg',
        '6aceef364d2d498d9ae744f8109b0125', 0.00, '', 0.00, 1.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (437, 56, '幻夜黑,128GB', 100, 0, 100.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a53c065755e92187b8005ab1d32b75da7ce91e40b92b17805abf9d7419403691.jpg',
        'd0a7907a6f9c4fe7b650e83da2de2bee', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (438, 56, '幻夜黑,256GB', 100, 0, 100.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a53c065755e92187b8005ab1d32b75da7ce91e40b92b17805abf9d7419403691.jpg',
        '7773ec30a0bd4eeab87d873d30afdfd2', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (439, 56, '冰晶蓝,128GB', 100, 0, 100.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a53c065755e92187b8005ab1d32b75da7ce91e40b92b17805abf9d7419403691.jpg',
        'ea851fab542e4beca151d17efcf71b2a', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (440, 56, '冰晶蓝,256GB', 100, 0, 100.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a53c065755e92187b8005ab1d32b75da7ce91e40b92b17805abf9d7419403691.jpg',
        '9e08a9d94fa842afbf96b46461600026', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (441, 56, '晨曦金,128GB', 100, 0, 100.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a53c065755e92187b8005ab1d32b75da7ce91e40b92b17805abf9d7419403691.jpg',
        '22bb99a1e35542dea6794c5d76e484db', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (442, 56, '晨曦金,256GB', 100, 0, 100.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a53c065755e92187b8005ab1d32b75da7ce91e40b92b17805abf9d7419403691.jpg',
        '15062704bbd549b8b08de3bcdbaab705', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (452, 55, '蓝色,128GB', 100, 0, 100.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/4e5d358d3b786ec1212cc815c8ac8f81f8341ea5592fee36de8bb079e9d1c03e.jpg',
        '8783c63f894a41a3a5c1de4802d1a161', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (453, 55, '蓝色,256GB', 100, 0, 100.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/4e5d358d3b786ec1212cc815c8ac8f81f8341ea5592fee36de8bb079e9d1c03e.jpg',
        '00875992944440f892b2cc39c70cb1bc', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (454, 55, '蓝色,512GB', 100, 0, 100.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/4e5d358d3b786ec1212cc815c8ac8f81f8341ea5592fee36de8bb079e9d1c03e.jpg',
        'e147abfcfff34b14836f3985d69ff319', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (455, 55, '黄色,128GB', 100, 0, 100.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/4e5d358d3b786ec1212cc815c8ac8f81f8341ea5592fee36de8bb079e9d1c03e.jpg',
        '31183d836cbb44c68bed84aa0a946ccc', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (456, 55, '黄色,256GB', 100, 0, 100.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/4e5d358d3b786ec1212cc815c8ac8f81f8341ea5592fee36de8bb079e9d1c03e.jpg',
        '55c7948d71d84c29bfe2150ef969885e', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (457, 55, '黄色,512GB', 100, 0, 100.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/4e5d358d3b786ec1212cc815c8ac8f81f8341ea5592fee36de8bb079e9d1c03e.jpg',
        '2e506bdaa81048bdbb0663849229a15a', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (458, 55, '绿色,128GB', 100, 0, 100.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/4e5d358d3b786ec1212cc815c8ac8f81f8341ea5592fee36de8bb079e9d1c03e.jpg',
        '8492234e9545422191e4fd793e7f110f', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (459, 55, '绿色,256GB', 100, 0, 100.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/4e5d358d3b786ec1212cc815c8ac8f81f8341ea5592fee36de8bb079e9d1c03e.jpg',
        '030db9fbd4124568abe1dd35b9469e80', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (460, 55, '绿色,512GB', 100, 0, 100.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/4e5d358d3b786ec1212cc815c8ac8f81f8341ea5592fee36de8bb079e9d1c03e.jpg',
        '0e5d3d204822415b8e0507cdd8c7f242', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (461, 54, '原色钛金属,128GB', 100, 0, 4599.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eb9b69b202491c3935787238b1ffd64b2cfe7649e7da7e96f3ae8a9def62f35f.jpg',
        '110318c952e4417e914304183c60940e', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (462, 54, '原色钛金属,256GB', 100, 0, 4599.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eb9b69b202491c3935787238b1ffd64b2cfe7649e7da7e96f3ae8a9def62f35f.jpg',
        '0e6118e9efc14ded94657d5771471f0a', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (463, 54, '原色钛金属,512GB', 100, 0, 4599.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eb9b69b202491c3935787238b1ffd64b2cfe7649e7da7e96f3ae8a9def62f35f.jpg',
        'dcb76e2327ea4e95a76fd10966fc35b4', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (464, 54, '原色钛金属,1TB', 100, 0, 4599.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eb9b69b202491c3935787238b1ffd64b2cfe7649e7da7e96f3ae8a9def62f35f.jpg',
        'a77707fb085d4efdb52a923fe570317e', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (465, 54, '蓝色钛金属,128GB', 100, 0, 4599.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eb9b69b202491c3935787238b1ffd64b2cfe7649e7da7e96f3ae8a9def62f35f.jpg',
        '57282c0fe91949c6a0bfb0bfe709b98b', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (466, 54, '蓝色钛金属,256GB', 100, 0, 4599.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eb9b69b202491c3935787238b1ffd64b2cfe7649e7da7e96f3ae8a9def62f35f.jpg',
        '737934d1a5a64f208b1b4d79949235ba', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (467, 54, '蓝色钛金属,512GB', 100, 0, 4599.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eb9b69b202491c3935787238b1ffd64b2cfe7649e7da7e96f3ae8a9def62f35f.jpg',
        '1de6ce1162ca4090b1fd6487006b1da8', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (468, 54, '蓝色钛金属,1TB', 100, 0, 4599.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eb9b69b202491c3935787238b1ffd64b2cfe7649e7da7e96f3ae8a9def62f35f.jpg',
        '79de0d292b694a00853bc3a89d31e792', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (469, 54, '白色钛金属,128GB', 100, 0, 4599.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eb9b69b202491c3935787238b1ffd64b2cfe7649e7da7e96f3ae8a9def62f35f.jpg',
        '298e9fd946be466e8313a666ab1517ac', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (470, 54, '白色钛金属,256GB', 100, 0, 4599.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eb9b69b202491c3935787238b1ffd64b2cfe7649e7da7e96f3ae8a9def62f35f.jpg',
        '40757e0cc3584590a24506c45aaecfa0', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (471, 54, '白色钛金属,512GB', 100, 0, 4599.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eb9b69b202491c3935787238b1ffd64b2cfe7649e7da7e96f3ae8a9def62f35f.jpg',
        '33ce9e9fe5454c248c690ceed716ff31', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (472, 54, '白色钛金属,1TB', 100, 0, 4599.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eb9b69b202491c3935787238b1ffd64b2cfe7649e7da7e96f3ae8a9def62f35f.jpg',
        'aef1b6635c6849abacdf6f30726e42cc', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (473, 54, '黑色钛金属,128GB', 100, 0, 4599.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eb9b69b202491c3935787238b1ffd64b2cfe7649e7da7e96f3ae8a9def62f35f.jpg',
        '2a71454870e34f41b354374fc917d282', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (474, 54, '黑色钛金属,256GB', 100, 0, 4599.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eb9b69b202491c3935787238b1ffd64b2cfe7649e7da7e96f3ae8a9def62f35f.jpg',
        '9b1fd9871ef94a6eaf85c43e37171a14', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (475, 54, '黑色钛金属,512GB', 100, 0, 4599.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eb9b69b202491c3935787238b1ffd64b2cfe7649e7da7e96f3ae8a9def62f35f.jpg',
        '10f40ed485144e49b54159756d093773', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (476, 54, '黑色钛金属,1TB', 100, 0, 4599.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eb9b69b202491c3935787238b1ffd64b2cfe7649e7da7e96f3ae8a9def62f35f.jpg',
        '0d5b67fccbed44ecaca947c7d5505bef', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (477, 47, '默认', 299, 0, 6590.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/2edd8fe8d37dfab2d585d1c578e0f611e8c85dbd4e3260be5dd9545ed0c89c06.jpg',
        'f06a5c24484a4e4b9a008611edfc5ef9', 4444.00, '', 1000.00, 10.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0,
        0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (478, 67, '无界14pro锐龙版14英寸,R7_7735HS 16G 1T 100%sRGB', 98, 2, 4999.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/93bbb9debe310a03a9f1ae6dbc9a06f4a68dd8e9f9acf4cbf4239a65b2016a2b.jpg',
        '57f9dd5038d2446daa0d784f205244b8', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (479, 53, '黑色,256GB', 100, 0, 5898.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cd6523e65655bf735c25b74ae66d9528556eb66c11b40543cbeadc3a668e3af1.jpg',
        '19cf0cce4d2a4c9db78dfc2d052fd845', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (480, 53, '黑色,512GB', 100, 0, 6898.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cd6523e65655bf735c25b74ae66d9528556eb66c11b40543cbeadc3a668e3af1.jpg',
        '65a6ff6b7b23452d9dde9e9d65bb97ee', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (481, 53, '黑色,ITB', 100, 0, 7898.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cd6523e65655bf735c25b74ae66d9528556eb66c11b40543cbeadc3a668e3af1.jpg',
        'e0861949ef9f48bb894063e1c88cbc9e', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (482, 53, '粉色,256GB', 100, 0, 5898.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cd6523e65655bf735c25b74ae66d9528556eb66c11b40543cbeadc3a668e3af1.jpg',
        '742e5fe0c6144544bc5566ae9ecb2b4e', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (483, 53, '粉色,512GB', 100, 0, 6898.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cd6523e65655bf735c25b74ae66d9528556eb66c11b40543cbeadc3a668e3af1.jpg',
        'a93c4e63e17147559c01458a187ea88a', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (484, 53, '粉色,ITB', 100, 0, 7898.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cd6523e65655bf735c25b74ae66d9528556eb66c11b40543cbeadc3a668e3af1.jpg',
        '3438d2e663534f1abbb98f3b82271f89', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (485, 53, '黄色,256GB', 100, 0, 5898.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cd6523e65655bf735c25b74ae66d9528556eb66c11b40543cbeadc3a668e3af1.jpg',
        'a9ea5866dd334e6d8d909f12528bfdf5', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (486, 53, '黄色,512GB', 100, 0, 6898.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cd6523e65655bf735c25b74ae66d9528556eb66c11b40543cbeadc3a668e3af1.jpg',
        '78dbb12ecf67416f9f47363719dbad59', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (487, 53, '黄色,ITB', 100, 0, 7898.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cd6523e65655bf735c25b74ae66d9528556eb66c11b40543cbeadc3a668e3af1.jpg',
        '3c85b973deba4ece840cecbbffcfffe2', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (488, 53, '绿色,256GB', 100, 0, 5898.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cd6523e65655bf735c25b74ae66d9528556eb66c11b40543cbeadc3a668e3af1.jpg',
        'a1ef9dc20160496fa3d038444fd3c8e3', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (489, 53, '绿色,512GB', 100, 0, 6898.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cd6523e65655bf735c25b74ae66d9528556eb66c11b40543cbeadc3a668e3af1.jpg',
        'f77196b56d8b454f9de30066eb1f8215', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (490, 53, '绿色,ITB', 100, 0, 7898.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cd6523e65655bf735c25b74ae66d9528556eb66c11b40543cbeadc3a668e3af1.jpg',
        '99862cc83719470792b5365c2fc3484d', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (491, 52, '原色钛金属,256GB', 100, 0, 1399.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/72a1afdb3fdf1fc612c5d60f393b79d9d187ef6e1ca3d0ecec3372740df4f9c0.jpg',
        'd4318e79b5e449e1bd5b30bd23f1bea3', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (492, 52, '原色钛金属,512GB', 200, 0, 2399.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/72a1afdb3fdf1fc612c5d60f393b79d9d187ef6e1ca3d0ecec3372740df4f9c0.jpg',
        'db03345910ff4da9be957ad02485bcd6', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (493, 52, '原色钛金属,ITB', 300, 0, 4399.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/72a1afdb3fdf1fc612c5d60f393b79d9d187ef6e1ca3d0ecec3372740df4f9c0.jpg',
        '0a4ce539c1ad4194a0a26478c7acf3ef', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (494, 52, '蓝色钛金属,256GB', 400, 0, 1399.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/72a1afdb3fdf1fc612c5d60f393b79d9d187ef6e1ca3d0ecec3372740df4f9c0.jpg',
        '123c9360807f4d63b8eb8375774aa9c8', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (495, 52, '蓝色钛金属,512GB', 200, 0, 2399.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/72a1afdb3fdf1fc612c5d60f393b79d9d187ef6e1ca3d0ecec3372740df4f9c0.jpg',
        '6729ebf1f7a44e7794529ccccc45cb54', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (496, 52, '蓝色钛金属,ITB', 100, 0, 4399.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/72a1afdb3fdf1fc612c5d60f393b79d9d187ef6e1ca3d0ecec3372740df4f9c0.jpg',
        '7271daec12684c1183757794db57e98c', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (497, 52, '白色钛金属,256GB', 50, 0, 1399.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/72a1afdb3fdf1fc612c5d60f393b79d9d187ef6e1ca3d0ecec3372740df4f9c0.jpg',
        '85de4efcdc4d4ca992edb3dd9a9a546f', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (498, 52, '白色钛金属,512GB', 60, 0, 2399.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/72a1afdb3fdf1fc612c5d60f393b79d9d187ef6e1ca3d0ecec3372740df4f9c0.jpg',
        '434d7efda88b47949b1317eee0e5502a', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (499, 52, '白色钛金属,ITB', 80, 0, 4399.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/72a1afdb3fdf1fc612c5d60f393b79d9d187ef6e1ca3d0ecec3372740df4f9c0.jpg',
        'fbc89cc27f944066946ed6f3862568ea', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (500, 58, '亮黑色【赠3C认证快充】,128GB', 110, 0, 3348.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eab043962fb5e70d7ef0c0dc316e63d44863ceda49fe9379378d343ca9d17a05.jpg',
        'af2637d61e344c2a8ff3eba89b8bc392', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (501, 58, '亮黑色【赠3C认证快充】,256GB', 110, 0, 3658.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eab043962fb5e70d7ef0c0dc316e63d44863ceda49fe9379378d343ca9d17a05.jpg',
        '03717a9497284a9895e6d0ae85dc6bee', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (502, 58, '釉白色【赠3C认证快充】,128GB', 110, 0, 3348.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eab043962fb5e70d7ef0c0dc316e63d44863ceda49fe9379378d343ca9d17a05.jpg',
        'a787b8a84f3046d5a60b627316a12f69', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (503, 58, '釉白色【赠3C认证快充】,256GB', 22, 0, 3658.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eab043962fb5e70d7ef0c0dc316e63d44863ceda49fe9379378d343ca9d17a05.jpg',
        'c49beba279124f8888148c26319e8e5e', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (504, 58, '秘银色【赠3C认证快充】,128GB', 3330, 0, 3348.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eab043962fb5e70d7ef0c0dc316e63d44863ceda49fe9379378d343ca9d17a05.jpg',
        '15704fcbdd464cf79a52e7b2e08fbd49', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (505, 58, '秘银色【赠3C认证快充】,256GB', 330, 0, 3658.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eab043962fb5e70d7ef0c0dc316e63d44863ceda49fe9379378d343ca9d17a05.jpg',
        '784cfb22b5a84fefb6b69ec8bb152730', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (506, 58, '夏日胡杨【赠3C认证快充】,128GB', 40, 0, 3348.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eab043962fb5e70d7ef0c0dc316e63d44863ceda49fe9379378d343ca9d17a05.jpg',
        '700fc2b9ceed46649b5109222f77c7d3', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (507, 58, '夏日胡杨【赠3C认证快充】,256GB', 60, 0, 3658.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eab043962fb5e70d7ef0c0dc316e63d44863ceda49fe9379378d343ca9d17a05.jpg',
        'c918d192a8c646338c6587b44121067b', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (508, 58, '秋日胡杨【赠3C认证快充】,128GB', 70, 0, 3348.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eab043962fb5e70d7ef0c0dc316e63d44863ceda49fe9379378d343ca9d17a05.jpg',
        '17b1e2f4413d4175bb275568a4faa695', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (509, 58, '秋日胡杨【赠3C认证快充】,256GB', 80, 0, 3658.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eab043962fb5e70d7ef0c0dc316e63d44863ceda49fe9379378d343ca9d17a05.jpg',
        '3ba5797a3ddc44ce82e9e9b8d35f1e13', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (510, 49, 'Pro专家_14英寸,Elite 840|i5_1135G7 16G 512', 10, 0, 3356.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/1cc1a7aeb7a8ada3a1e8c78587dbe539d27f900dee19a7ae5ea53d287da67afe.jpg',
        'a87985f2ef7c4cbe879e1995c4feb7ed', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (511, 49, 'Pro专家_14英寸,Elite 840|i5_1135G7 8G 512GSSD', 20, 0, 4356.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/1cc1a7aeb7a8ada3a1e8c78587dbe539d27f900dee19a7ae5ea53d287da67afe.jpg',
        'eb7e9f739e2a477fa14c8bff9de39405', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (512, 49, 'Elite精英_旗舰,Elite 840|i5_1135G7 16G 512', 40, 0, 3356.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/1cc1a7aeb7a8ada3a1e8c78587dbe539d27f900dee19a7ae5ea53d287da67afe.jpg',
        '084e3dc2fdf84f3c9e48a0ccd9919608', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (513, 49, 'Elite精英_旗舰,Elite 840|i5_1135G7 8G 512GSSD', 30, 0, 4356.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/1cc1a7aeb7a8ada3a1e8c78587dbe539d27f900dee19a7ae5ea53d287da67afe.jpg',
        'b41c4514dfc04f0b8edc19610af6110c', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`, `unique`,
                                              `cost`, `bar_code`, `ot_price`, `weight`, `volume`, `brokerage`,
                                              `brokerage_two`, `pink_price`, `pink_stock`, `seckill_price`,
                                              `seckill_stock`, `integral`)
VALUES (514, 68, '默认', 2, 0, 2.00, '', 'c8db360ed1054934bf64840d392f8021', 2.00, '2', 2.00, 2.00, 2.00, 0.00, 0.00,
        0.00, 0, 0.00, 0, 0000000000);
COMMIT;

-- ----------------------------
-- Table structure for yshop_store_product_attr_value_bak
-- ----------------------------
DROP TABLE IF EXISTS `yshop_store_product_attr_value_bak`;
CREATE TABLE `yshop_store_product_attr_value_bak`
(
    `id`            bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT 'id',
    `product_id`    bigint(20) unsigned NOT NULL COMMENT '商品ID',
    `sku`           varchar(128)   NOT NULL COMMENT '商品属性索引值 (attr_value|attr_value[|....])',
    `stock`         int(10) unsigned NOT NULL COMMENT '属性对应的库存',
    `sales`         int(10) unsigned DEFAULT '0' COMMENT '销量',
    `price`         decimal(8, 2) unsigned NOT NULL COMMENT '属性金额',
    `image`         varchar(255)            DEFAULT NULL COMMENT '图片',
    `unique`        varchar(100)   NOT NULL DEFAULT '' COMMENT '唯一值',
    `cost`          decimal(8, 2) unsigned NOT NULL COMMENT '成本价',
    `bar_code`      varchar(255)            DEFAULT NULL COMMENT '商品条码',
    `ot_price`      decimal(10, 2)          DEFAULT '0.00' COMMENT '原价',
    `weight`        decimal(8, 2)  NOT NULL DEFAULT '0.00' COMMENT '重量',
    `volume`        decimal(8, 2)  NOT NULL DEFAULT '0.00' COMMENT '体积',
    `brokerage`     decimal(8, 2)  NOT NULL DEFAULT '0.00' COMMENT '一级返佣',
    `brokerage_two` decimal(8, 2)  NOT NULL DEFAULT '0.00' COMMENT '二级返佣',
    `pink_price`    decimal(8, 2)  NOT NULL DEFAULT '0.00' COMMENT '拼团价',
    `pink_stock`    int(11) NOT NULL DEFAULT '0' COMMENT '拼团库存',
    `seckill_price` decimal(10, 2) NOT NULL DEFAULT '0.00' COMMENT '秒杀价',
    `seckill_stock` int(11) NOT NULL DEFAULT '0' COMMENT '秒杀库存',
    `integral`      int(10) unsigned zerofill DEFAULT '0000000000' COMMENT '需要多少积分兑换',
    PRIMARY KEY (`id`) USING BTREE,
    UNIQUE KEY `unique` (`unique`,`sku`) USING BTREE,
    KEY             `store_id` (`product_id`,`sku`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='商品属性值表备份';

-- ----------------------------
-- Records of yshop_store_product_attr_value_bak
-- ----------------------------
BEGIN;
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (128, 16, '6寸,黑白', 78, 6, 0.01,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/f3535a59c688b0b51b935aad3ea459f22447a86d813b2a25d4458e47b32a6cc3.jpeg',
        'c0e662529a9748dab4e9ad40325d6e06', 200.00, '', 200.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (129, 16, '6寸,红色', 93, 0, 98.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/f3535a59c688b0b51b935aad3ea459f22447a86d813b2a25d4458e47b32a6cc3.jpeg',
        'ab93e27024354ab1855520c8bc4eb1ca', 200.00, '', 200.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (130, 16, '6寸,灰色', 97, 0, 97.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/f3535a59c688b0b51b935aad3ea459f22447a86d813b2a25d4458e47b32a6cc3.jpeg',
        '7f82a73f0eee4285a73930a8d184fe2c', 200.00, '', 200.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (131, 16, '7寸,黑白', 95, 0, 96.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/f3535a59c688b0b51b935aad3ea459f22447a86d813b2a25d4458e47b32a6cc3.jpeg',
        '767129f3480f468bb60946bc8028f825', 200.00, '', 200.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (132, 16, '7寸,红色', 91, 0, 95.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/f3535a59c688b0b51b935aad3ea459f22447a86d813b2a25d4458e47b32a6cc3.jpeg',
        'c2905a9469ce4144b6c6b791e964cf94', 200.00, '', 200.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (133, 16, '7寸,灰色', 94, 0, 94.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/f3535a59c688b0b51b935aad3ea459f22447a86d813b2a25d4458e47b32a6cc3.jpeg',
        '4c27e164dab9470ba158f773dfa88792', 200.00, '', 200.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (145, 19, '默认', 1, 0, 1.00, '', '4d1ec6195678449392aa0fb06085ec2e', 1.00, '', 1.00, 0.00, 0.00, 0.00, 0.00,
        0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (149, 18, '默认', 1, 0, 1.00, '', '5807e522349f4d6b8126cc675161ea76', 1.00, '', 1.00, 0.00, 0.00, 0.00, 0.00,
        0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (155, 33, '默认', 11999, 0, 11999.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/db98472375b9c97bf568cc429d900f5ca19d32c66932b7a725469add8d271a90.',
        '995fc25ea46c402388bc301e64265245', 11999.00, '', 11999.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0,
        0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (182, 37, '1111,6666', 549, 0, 111.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/5d705e07a441988127efe9c247739d338092a2cdf5ca9e158fe2b1aed35af83c.png',
        'ecabbb6b8efc4918ada7dcac2fd593c4', 333.00, '', 4444.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (183, 37, '1111,55555', 555, 0, 222.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/5d705e07a441988127efe9c247739d338092a2cdf5ca9e158fe2b1aed35af83c.png',
        '58b78d51228d4b6a8cc734fbd3452846', 333.00, '', 444.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (184, 37, '33,6666', 776, 0, 333.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/5d705e07a441988127efe9c247739d338092a2cdf5ca9e158fe2b1aed35af83c.png',
        'ab8fb1efaaf14a59ae9c64b2fbd9f3ba', 444.00, '', 666.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (185, 37, '33,55555', 777, 0, 444.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/5d705e07a441988127efe9c247739d338092a2cdf5ca9e158fe2b1aed35af83c.png',
        'a46980f5f4664a268bba856a38c9283a', 555.00, '', 666.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (198, 35, '6寸,黑白,128', 0, 26, 0.01,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a029b4367d0bf9a9ad84e2b132b0b6b001f729c548726410f651e0765ab3a356.jpg',
        '53e1190206014d2790729dea2c2c433b', 1.00, '10', 10.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (199, 35, '6寸,黑白,256', 100, 2, 0.03,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a029b4367d0bf9a9ad84e2b132b0b6b001f729c548726410f651e0765ab3a356.jpg',
        '19718577a6b74f95baf4d39da76abcb6', 2.00, '10', 10.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (200, 35, '6寸,红色,128', 11, 0, 3.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a029b4367d0bf9a9ad84e2b132b0b6b001f729c548726410f651e0765ab3a356.jpg',
        '1ce58786a4824cccad7d51dbf972fc23', 3.00, '10', 10.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (201, 35, '6寸,红色,256', 10, 0, 4.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a029b4367d0bf9a9ad84e2b132b0b6b001f729c548726410f651e0765ab3a356.jpg',
        '8729c3508e1d4cfdb7baa9f072930ac9', 4.00, '10', 10.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (202, 35, '7寸,黑白,128', 78, 20, 0.02,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a029b4367d0bf9a9ad84e2b132b0b6b001f729c548726410f651e0765ab3a356.jpg',
        '967a6d45f16743b6857cbc175ddf984f', 5.00, '10', 10.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (203, 35, '7寸,黑白,256', 6, 0, 0.04,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a029b4367d0bf9a9ad84e2b132b0b6b001f729c548726410f651e0765ab3a356.jpg',
        '7bda7ee9a12542febdf3355ee0d1b62c', 6.00, '10', 10.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (204, 35, '7寸,红色,128', 9, 0, 7.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a029b4367d0bf9a9ad84e2b132b0b6b001f729c548726410f651e0765ab3a356.jpg',
        '260657e5acaf406782d3f42209a02598', 7.00, '10', 10.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (205, 35, '7寸,红色,256', 92, 6, 0.10,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a029b4367d0bf9a9ad84e2b132b0b6b001f729c548726410f651e0765ab3a356.jpg',
        '012533e5a230497fb9831c0a55f8afc3', 8.00, '10', 10.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (228, 41, '6寸,黑白', 2, 0, 5999.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cab5fb788d3e2f1868c7c3c33bdfc8ba56593965f98bc090c03ad86d8c317545.png',
        '44429caddb10480dbf9a9551068a8c62', 5999.00, '', 0.00, 0.26, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (229, 41, '6寸,红色', 0, 9, 0.01,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cab5fb788d3e2f1868c7c3c33bdfc8ba56593965f98bc090c03ad86d8c317545.png',
        'f81f7bc2ab7f4730af3d7b123b2367ae', 5999.00, '', 0.00, 0.26, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (230, 41, '6寸,蓝色', 6, 2, 0.02,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cab5fb788d3e2f1868c7c3c33bdfc8ba56593965f98bc090c03ad86d8c317545.png',
        '77efe76a2533420ba44f2aa4230242bd', 5999.00, '', 0.00, 0.26, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (231, 41, '7寸,黑白', 7, 0, 6999.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cab5fb788d3e2f1868c7c3c33bdfc8ba56593965f98bc090c03ad86d8c317545.png',
        'ac17c52a018f4a22997e47c579a5ab1d', 6999.00, '', 0.00, 0.30, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (232, 41, '7寸,红色', 10, 0, 6999.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cab5fb788d3e2f1868c7c3c33bdfc8ba56593965f98bc090c03ad86d8c317545.png',
        '8209be92452e4cd4b8635c7f4e8e126f', 6999.00, '', 0.00, 0.30, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (233, 41, '7寸,蓝色', 9, 0, 6999.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cab5fb788d3e2f1868c7c3c33bdfc8ba56593965f98bc090c03ad86d8c317545.png',
        '28c0b7ed422641a19c27662bae1989cc', 6999.00, '', 0.00, 0.30, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (243, 41, '7寸,粉色', 100, 0, 6999.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cab5fb788d3e2f1868c7c3c33bdfc8ba56593965f98bc090c03ad86d8c317545.png',
        '0e36b873d2d24a6190745eabfac5847e', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (256, 42, 'MINI,红色', 888, 0, 3888.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/1dbd7c1110abe539ef9c4dda5c0642108f70abdf59dd86fb5dfa06de88f960ed.png',
        'e799b257c125463b822c970b9437eb7c', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (257, 42, 'Pro,红色', 888, 0, 4888.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/1dbd7c1110abe539ef9c4dda5c0642108f70abdf59dd86fb5dfa06de88f960ed.png',
        'e8b75587da5446129a7423031c5928e5', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (258, 42, 'MINI,黑金', 999, 0, 3999.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/1dbd7c1110abe539ef9c4dda5c0642108f70abdf59dd86fb5dfa06de88f960ed.png',
        '0865017149684d7c92f16233426e6a5c', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (259, 42, 'Pro,黑金', 999, 0, 4999.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/1dbd7c1110abe539ef9c4dda5c0642108f70abdf59dd86fb5dfa06de88f960ed.png',
        '26f833495ea84460a07a3783e58e6c93', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (266, 45, '3.1K触控屏/12代标压酷睿I7【深空灰】', 200, 0, 8499.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/fa60bd7f529be79f0930b358c3ededf1af461994b63c10814e6a9cbb912e9abc.jpg',
        'ed5bb6e0b1e54ceebd6d9a1c8b1c8975', 4999.00, '', 1999.00, 9.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (267, 45, '3.1K触控屏/12代标压酷睿I7【皓月银】', 50, 0, 8799.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/fa60bd7f529be79f0930b358c3ededf1af461994b63c10814e6a9cbb912e9abc.jpg',
        '2168cfafd52b470b802a7697ba85fde3', 5999.00, '', 0.00, 9.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (271, 48, '默认', 299, 1, 13999.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a18d23cf2d405b875f42ca36cba7126ec2b75c1156e949cde375e356013f5662.jpg',
        'd42f9eb24d224051b1dd9e79ae0e5764', 2000.00, '', 1000.00, 10.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0,
        0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (274, 39, '默认', 998, 1, 199.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/5d705e07a441988127efe9c247739d338092a2cdf5ca9e158fe2b1aed35af83c.png',
        '819aebf332e144a3b70595001741724a', 99.00, '', 299.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (275, 38, '默认', 999, 0, 199.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/5d705e07a441988127efe9c247739d338092a2cdf5ca9e158fe2b1aed35af83c.png',
        'fd192e2e9e55431290f9bd9366cd4aa4', 99.00, '', 299.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (281, 50, '16G 512G（官方标配）', 100, 0, 7699.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/24c19087d2428f9ef1ce7eaa74572a2da04bdfd6cd53dae734ee2411c475c2a5.png',
        'a69bbae68b0b4509ac466cf95dab84de', 0.00, '', 0.00, 8.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (282, 50, '16G 1TBG', 200, 0, 7899.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/24c19087d2428f9ef1ce7eaa74572a2da04bdfd6cd53dae734ee2411c475c2a5.png',
        'f1e47fe6077d41b6b76b8f692e606e21', 0.00, '', 0.00, 8.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (283, 50, '16G 2TBG', 300, 0, 8399.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/24c19087d2428f9ef1ce7eaa74572a2da04bdfd6cd53dae734ee2411c475c2a5.png',
        '7f7d1b0e49b94dd194ec838cb9cf32d9', 0.00, '', 0.00, 8.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (284, 51, '【静谧银14英寸】i5_1135G7 | Xe锐炬', 30, 0, 8094.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/4e449b42271d6f73cf0a4610f3be1660a5bf1346e13f95b2f089356516ab49f6.jpg',
        '7334e54ac96d413da8ceb102de4f91e0', 0.00, '', 0.00, 7.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (285, 51, '【静谧银14英寸】i3_1115G4 | 高性能核', 50, 0, 5886.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/4e449b42271d6f73cf0a4610f3be1660a5bf1346e13f95b2f089356516ab49f6.jpg',
        '546bfdd8c8a24c31bc0616be69f03a09', 0.00, '', 0.00, 7.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (342, 57, '默认', 199, 1, 438.00, '', '6a2fe60549ec4bdca04c6acefa1c025e', 0.00, '', 300.00, 0.00, 0.00, 0.00,
        0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (354, 60, '默认', 198, 2, 15999.00, '', '427e6d5c68e24422a1cd00dae5e7cc35', 0.00, '', 18000.00, 0.00, 0.00, 0.00,
        0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (355, 34, '默认', 999, 0, 6999.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/db98472375b9c97bf568cc429d900f5ca19d32c66932b7a725469add8d271a90.png',
        'de58c29b87fc49f09f032fc3e85da19c', 5999.00, '', 7999.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (357, 32, '默认', 1, 0, 2.00, '', '1ac904268bfe46c6863c2634eadf0d1f', 1.00, '', 1.00, 0.00, 0.00, 0.00, 0.00,
        0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (358, 31, '默认', 1, 0, 1.00, '', '75371f829ab94c6aae74eca5604f9fb8', 1.00, '', 1.00, 0.00, 0.00, 0.00, 0.00,
        0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (359, 29, '默认', 1, 0, 1.00, '', 'f833a39bb8ce4d9095bb34e7c0294715', 1.00, '', 1.00, 0.00, 0.00, 0.00, 0.00,
        0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (360, 28, '默认', 1, 0, 1.00, '', 'aa624ca17fc249a99fcb4ee47c2b8f5a', 1.00, '', 1.00, 0.00, 0.00, 0.00, 0.00,
        0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (361, 27, '默认', 3, 0, 2.00, '', '2fc0d42d93aa4e42a3304b3ea38af4e5', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00,
        0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (362, 26, '默认', 1, 0, 1.00, '', 'd172f4c78a2543b7b1cf5e8c9252461b', 1.00, '', 1.00, 0.00, 0.00, 0.00, 0.00,
        0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (363, 25, '默认', 1, 0, 1.00, '', '19c7670072344a6b9555e18d7b689b0b', 1.00, '', 1.00, 0.00, 0.00, 0.00, 0.00,
        0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (364, 23, '默认', 1, 0, 1.00, '', '26b46c697a674dc992f02475462db86c', 1.00, '', 1.00, 0.00, 0.00, 0.00, 0.00,
        0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (365, 24, '默认', 1, 0, 1.00, '', 'b9c03f350b83458b8952b8629e1479a1', 1.00, '', 1.00, 0.00, 0.00, 0.00, 0.00,
        0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (366, 22, '默认', 1, 0, 1.00, '', '3087f97f4b34401a9ae77670f5b1872b', 1.00, '', 1.00, 0.00, 0.00, 0.00, 0.00,
        0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (367, 21, '默认', 1, 0, 1.00, '', '39e3ec3bbaf047839f0118c1cdd87cb9', 1.00, '', 1.00, 0.00, 0.00, 0.00, 0.00,
        0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (368, 20, '默认', 0, 1, 1.00, '', 'b6e7783add0a4206936783eda9505d6d', 1.00, '', 1.00, 0.00, 0.00, 0.00, 0.00,
        0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (373, 61, '宣白', 93, 7, 9988.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/0d700704d87918bf96f498c3cfa0f506c081018f2113c752da27d2452df53d28.jpg',
        'a20727ebefbe4b948a63b86399e53a98', 0.00, '', 10999.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (374, 61, '舰黑', 97, 3, 10569.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/0d700704d87918bf96f498c3cfa0f506c081018f2113c752da27d2452df53d28.jpg',
        'cfbf8193b8c944518ad8d7ceab7247d2', 0.00, '', 11999.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (382, 46, '红色|i7|128', 10, 0, 900.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/015d91319a4960a7ef607bbefd79d3718ff98e3d288734c33fb5bd76baa24fec.jpg',
        '7af70534985943cc91c5b74046f067ad', 200.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (383, 46, '黑色|i5|256', 10, 0, 900.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/015d91319a4960a7ef607bbefd79d3718ff98e3d288734c33fb5bd76baa24fec.jpg',
        '4f519dad3cea4a49b6481aa6db23db46', 200.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (388, 15, '默认', 99, 0, 99.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a311502bef59f16c64a246c1404faed389ba9f6683d57b9134dd58e7feb19514.jpeg',
        'd59f57d98c3949a381024ddaa0305a2d', 299.00, '', 399.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (398, 40, '默认', 9999, 0, 28.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/9b99b2b81f06410ca42b1dccece84341c99867b81166bcb357dd18e7dcee918d.png',
        '185b7dfcf9694e0083dc6a31dc795a31', 28.00, '', 28.00, 4.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (399, 36, '默认', 9999, 0, 0.10,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/db98472375b9c97bf568cc429d900f5ca19d32c66932b7a725469add8d271a90.png',
        '8f04abae3bb44358b26db1766881f87d', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (400, 62, '默认', 99, 1, 229.00, '', '20ae2a96a8ad4e728ede0d09f57f1607', 129.00, '', 259.00, 1.00, 1.00, 0.00,
        0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (401, 63, '默认', 100, 0, 288.00, '', '9fb11d8d854340d5acc18a9ac1c00a92', 129.00, '', 359.00, 1.00, 1.00, 0.00,
        0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (402, 17, '默认', 99, 0, 0.01,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/7599202df273d25f1ce3aeba21165a544849248fda23aad090098d7be0c063c9.jpeg',
        '41ec56ace90a487a9e6c2276a4aaaacd', 10.00, '', 100.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (403, 64, '默认', 200, 0, 219.00, '', 'd6675e47401544faac47874af8710824', 0.00, '', 239.00, 1.00, 1.00, 0.00,
        0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (404, 65, '云岩白+保护套+晒单', 100, 0, 103.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/1d13270c3a19db5ae80db272b25241d54741d91cb9f3d7826f4409a48c8b6bfc.png',
        '3220f4de637f4644bf042e9703d97705', 63.00, '', 133.00, 1.00, 1.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (405, 65, '典雅黑+保护套+晒单', 200, 0, 103.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/4d5aae03f6592015da3df009b21cfd6f1d01750afc00ef0826ed6b37a1a49a13.png',
        'b42be4f7ade149e4bae60c491660be2d', 63.00, '', 133.00, 1.00, 1.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (406, 66, '白色', 221, 0, 79.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/dbd14f0f21b4cd21c31d0f5d06ffe0b640d6f5e6714aef3162aafea79bace5f2.jpg',
        'd747ecf6d98444e0aae02b10664c663c', 49.00, '', 99.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (407, 66, '黑色', 333, 0, 79.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/dbd14f0f21b4cd21c31d0f5d06ffe0b640d6f5e6714aef3162aafea79bace5f2.jpg',
        '5d497d872e3942618e09544a8656bf05', 49.00, '', 99.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (409, 67, 'Code 01系列,R7_7735HS 16G 1T 100%sRGB', 200, 0, 4999.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/93bbb9debe310a03a9f1ae6dbc9a06f4a68dd8e9f9acf4cbf4239a65b2016a2b.jpg',
        '80388bc569d44d9093ac86f9a4eae7e1', 2000.00, '', 5999.00, 5.00, 5.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (410, 59, '默认', 200, 0, 1049.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/6bfc0f8a2dd6db6e6d549960fbbd0e792f0520251f3f932c0aa75e12606db16a.jpg',
        'c35495bc5ee547a081dbae347f8757e7', 0.00, '', 980.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (414, 41, '7寸,紫色', 100, 0, 1999.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cab5fb788d3e2f1868c7c3c33bdfc8ba56593965f98bc090c03ad86d8c317545.png',
        '11dd9125f7914965861b5bf7f76ca3e8', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (421, 41, '6寸,粉色', 0, 0, 0.03,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cab5fb788d3e2f1868c7c3c33bdfc8ba56593965f98bc090c03ad86d8c317545.png',
        'b30c73bf1cb04d359cb87dde5749bd0f', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (422, 41, '6寸,紫色', 96, 4, 20.10,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cab5fb788d3e2f1868c7c3c33bdfc8ba56593965f98bc090c03ad86d8c317545.png',
        '40bc0e06650e4ffd8dc8ee705b8784ca', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (427, 41, '6寸,123', 100, 0, 123.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cab5fb788d3e2f1868c7c3c33bdfc8ba56593965f98bc090c03ad86d8c317545.png',
        '043343007c32422a819b70181d29cdd5', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (428, 41, '7寸,123', 100, 0, 123.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cab5fb788d3e2f1868c7c3c33bdfc8ba56593965f98bc090c03ad86d8c317545.png',
        'ca2e625f073848c9a889b893ac873d2b', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (429, 43, '英特尔12代高配银,16G内存+256G高速固态', 0, 1, 0.01,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/6ab9967dba34ab6ede9c66c195592609aa47c2170edec580f804ddbda0983931.jpg',
        'c6b56f1724d240e69d1411e2f28aa72e', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (430, 43, '英特尔12代高配银,16G内存+512高速固态', 2, 0, 2.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/6ab9967dba34ab6ede9c66c195592609aa47c2170edec580f804ddbda0983931.jpg',
        '95cb7d781b384480865cb2bb5c43beca', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (431, 43, '英特尔13代顶配银,16G内存+256G高速固态', 3, 0, 3.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/6ab9967dba34ab6ede9c66c195592609aa47c2170edec580f804ddbda0983931.jpg',
        '0da4cc32648847a8a8bc9c064d14822d', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (432, 43, '英特尔13代顶配银,16G内存+512高速固态', 4, 0, 4.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/6ab9967dba34ab6ede9c66c195592609aa47c2170edec580f804ddbda0983931.jpg',
        'd79dbe6472424a8e824cb10661ed9538', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (433, 44, '2.5K触控全面屏/13代标压酷睿I7【 深空灰】,13700H 16G 1TB固态 ', 100, 0, 8999.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/d62e5257758edba0903a22fc8dd722dc2a5489710f0716832b08a73242e5a96b.jpg',
        '36d699df54894f229e6e462a89a335fe', 0.00, '', 0.00, 1.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (434, 44, '2.5K触控全面屏/13代标压酷睿I7【 深空灰】,13700H 32G 1TB固态 ', 200, 0, 9999.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/d62e5257758edba0903a22fc8dd722dc2a5489710f0716832b08a73242e5a96b.jpg',
        '81b50a7358c54d0b9a23ff9f60c5f882', 0.00, '', 0.00, 1.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (435, 44, '2.5K触控全面屏/13代标压酷睿I7【皓月银】,13700H 16G 1TB固态 ', 300, 0, 8999.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/d62e5257758edba0903a22fc8dd722dc2a5489710f0716832b08a73242e5a96b.jpg',
        'ee957afae4a74869a71b43d5e9b47232', 0.00, '', 0.00, 1.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (436, 44, '2.5K触控全面屏/13代标压酷睿I7【皓月银】,13700H 32G 1TB固态 ', 900, 0, 9999.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/d62e5257758edba0903a22fc8dd722dc2a5489710f0716832b08a73242e5a96b.jpg',
        '6aceef364d2d498d9ae744f8109b0125', 0.00, '', 0.00, 1.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (437, 56, '幻夜黑,128GB', 100, 0, 100.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a53c065755e92187b8005ab1d32b75da7ce91e40b92b17805abf9d7419403691.jpg',
        'd0a7907a6f9c4fe7b650e83da2de2bee', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (438, 56, '幻夜黑,256GB', 100, 0, 100.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a53c065755e92187b8005ab1d32b75da7ce91e40b92b17805abf9d7419403691.jpg',
        '7773ec30a0bd4eeab87d873d30afdfd2', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (439, 56, '冰晶蓝,128GB', 100, 0, 100.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a53c065755e92187b8005ab1d32b75da7ce91e40b92b17805abf9d7419403691.jpg',
        'ea851fab542e4beca151d17efcf71b2a', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (440, 56, '冰晶蓝,256GB', 100, 0, 100.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a53c065755e92187b8005ab1d32b75da7ce91e40b92b17805abf9d7419403691.jpg',
        '9e08a9d94fa842afbf96b46461600026', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (441, 56, '晨曦金,128GB', 100, 0, 100.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a53c065755e92187b8005ab1d32b75da7ce91e40b92b17805abf9d7419403691.jpg',
        '22bb99a1e35542dea6794c5d76e484db', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (442, 56, '晨曦金,256GB', 100, 0, 100.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a53c065755e92187b8005ab1d32b75da7ce91e40b92b17805abf9d7419403691.jpg',
        '15062704bbd549b8b08de3bcdbaab705', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (452, 55, '蓝色,128GB', 100, 0, 100.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/4e5d358d3b786ec1212cc815c8ac8f81f8341ea5592fee36de8bb079e9d1c03e.jpg',
        '8783c63f894a41a3a5c1de4802d1a161', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (453, 55, '蓝色,256GB', 100, 0, 100.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/4e5d358d3b786ec1212cc815c8ac8f81f8341ea5592fee36de8bb079e9d1c03e.jpg',
        '00875992944440f892b2cc39c70cb1bc', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (454, 55, '蓝色,512GB', 100, 0, 100.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/4e5d358d3b786ec1212cc815c8ac8f81f8341ea5592fee36de8bb079e9d1c03e.jpg',
        'e147abfcfff34b14836f3985d69ff319', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (455, 55, '黄色,128GB', 100, 0, 100.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/4e5d358d3b786ec1212cc815c8ac8f81f8341ea5592fee36de8bb079e9d1c03e.jpg',
        '31183d836cbb44c68bed84aa0a946ccc', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (456, 55, '黄色,256GB', 100, 0, 100.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/4e5d358d3b786ec1212cc815c8ac8f81f8341ea5592fee36de8bb079e9d1c03e.jpg',
        '55c7948d71d84c29bfe2150ef969885e', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (457, 55, '黄色,512GB', 100, 0, 100.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/4e5d358d3b786ec1212cc815c8ac8f81f8341ea5592fee36de8bb079e9d1c03e.jpg',
        '2e506bdaa81048bdbb0663849229a15a', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (458, 55, '绿色,128GB', 100, 0, 100.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/4e5d358d3b786ec1212cc815c8ac8f81f8341ea5592fee36de8bb079e9d1c03e.jpg',
        '8492234e9545422191e4fd793e7f110f', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (459, 55, '绿色,256GB', 100, 0, 100.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/4e5d358d3b786ec1212cc815c8ac8f81f8341ea5592fee36de8bb079e9d1c03e.jpg',
        '030db9fbd4124568abe1dd35b9469e80', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (460, 55, '绿色,512GB', 100, 0, 100.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/4e5d358d3b786ec1212cc815c8ac8f81f8341ea5592fee36de8bb079e9d1c03e.jpg',
        '0e5d3d204822415b8e0507cdd8c7f242', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (461, 54, '原色钛金属,128GB', 100, 0, 4599.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eb9b69b202491c3935787238b1ffd64b2cfe7649e7da7e96f3ae8a9def62f35f.jpg',
        '110318c952e4417e914304183c60940e', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (462, 54, '原色钛金属,256GB', 100, 0, 4599.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eb9b69b202491c3935787238b1ffd64b2cfe7649e7da7e96f3ae8a9def62f35f.jpg',
        '0e6118e9efc14ded94657d5771471f0a', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (463, 54, '原色钛金属,512GB', 100, 0, 4599.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eb9b69b202491c3935787238b1ffd64b2cfe7649e7da7e96f3ae8a9def62f35f.jpg',
        'dcb76e2327ea4e95a76fd10966fc35b4', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (464, 54, '原色钛金属,1TB', 100, 0, 4599.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eb9b69b202491c3935787238b1ffd64b2cfe7649e7da7e96f3ae8a9def62f35f.jpg',
        'a77707fb085d4efdb52a923fe570317e', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (465, 54, '蓝色钛金属,128GB', 100, 0, 4599.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eb9b69b202491c3935787238b1ffd64b2cfe7649e7da7e96f3ae8a9def62f35f.jpg',
        '57282c0fe91949c6a0bfb0bfe709b98b', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (466, 54, '蓝色钛金属,256GB', 100, 0, 4599.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eb9b69b202491c3935787238b1ffd64b2cfe7649e7da7e96f3ae8a9def62f35f.jpg',
        '737934d1a5a64f208b1b4d79949235ba', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (467, 54, '蓝色钛金属,512GB', 100, 0, 4599.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eb9b69b202491c3935787238b1ffd64b2cfe7649e7da7e96f3ae8a9def62f35f.jpg',
        '1de6ce1162ca4090b1fd6487006b1da8', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (468, 54, '蓝色钛金属,1TB', 100, 0, 4599.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eb9b69b202491c3935787238b1ffd64b2cfe7649e7da7e96f3ae8a9def62f35f.jpg',
        '79de0d292b694a00853bc3a89d31e792', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (469, 54, '白色钛金属,128GB', 100, 0, 4599.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eb9b69b202491c3935787238b1ffd64b2cfe7649e7da7e96f3ae8a9def62f35f.jpg',
        '298e9fd946be466e8313a666ab1517ac', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (470, 54, '白色钛金属,256GB', 100, 0, 4599.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eb9b69b202491c3935787238b1ffd64b2cfe7649e7da7e96f3ae8a9def62f35f.jpg',
        '40757e0cc3584590a24506c45aaecfa0', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (471, 54, '白色钛金属,512GB', 100, 0, 4599.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eb9b69b202491c3935787238b1ffd64b2cfe7649e7da7e96f3ae8a9def62f35f.jpg',
        '33ce9e9fe5454c248c690ceed716ff31', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (472, 54, '白色钛金属,1TB', 100, 0, 4599.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eb9b69b202491c3935787238b1ffd64b2cfe7649e7da7e96f3ae8a9def62f35f.jpg',
        'aef1b6635c6849abacdf6f30726e42cc', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (473, 54, '黑色钛金属,128GB', 100, 0, 4599.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eb9b69b202491c3935787238b1ffd64b2cfe7649e7da7e96f3ae8a9def62f35f.jpg',
        '2a71454870e34f41b354374fc917d282', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (474, 54, '黑色钛金属,256GB', 100, 0, 4599.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eb9b69b202491c3935787238b1ffd64b2cfe7649e7da7e96f3ae8a9def62f35f.jpg',
        '9b1fd9871ef94a6eaf85c43e37171a14', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (475, 54, '黑色钛金属,512GB', 100, 0, 4599.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eb9b69b202491c3935787238b1ffd64b2cfe7649e7da7e96f3ae8a9def62f35f.jpg',
        '10f40ed485144e49b54159756d093773', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (476, 54, '黑色钛金属,1TB', 100, 0, 4599.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eb9b69b202491c3935787238b1ffd64b2cfe7649e7da7e96f3ae8a9def62f35f.jpg',
        '0d5b67fccbed44ecaca947c7d5505bef', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (477, 47, '默认', 299, 0, 6590.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/2edd8fe8d37dfab2d585d1c578e0f611e8c85dbd4e3260be5dd9545ed0c89c06.jpg',
        'f06a5c24484a4e4b9a008611edfc5ef9', 4444.00, '', 1000.00, 10.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0,
        0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (478, 67, '无界14pro锐龙版14英寸,R7_7735HS 16G 1T 100%sRGB', 98, 2, 4999.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/93bbb9debe310a03a9f1ae6dbc9a06f4a68dd8e9f9acf4cbf4239a65b2016a2b.jpg',
        '57f9dd5038d2446daa0d784f205244b8', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (479, 53, '黑色,256GB', 100, 0, 5898.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cd6523e65655bf735c25b74ae66d9528556eb66c11b40543cbeadc3a668e3af1.jpg',
        '19cf0cce4d2a4c9db78dfc2d052fd845', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (480, 53, '黑色,512GB', 100, 0, 6898.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cd6523e65655bf735c25b74ae66d9528556eb66c11b40543cbeadc3a668e3af1.jpg',
        '65a6ff6b7b23452d9dde9e9d65bb97ee', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (481, 53, '黑色,ITB', 100, 0, 7898.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cd6523e65655bf735c25b74ae66d9528556eb66c11b40543cbeadc3a668e3af1.jpg',
        'e0861949ef9f48bb894063e1c88cbc9e', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (482, 53, '粉色,256GB', 100, 0, 5898.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cd6523e65655bf735c25b74ae66d9528556eb66c11b40543cbeadc3a668e3af1.jpg',
        '742e5fe0c6144544bc5566ae9ecb2b4e', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (483, 53, '粉色,512GB', 100, 0, 6898.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cd6523e65655bf735c25b74ae66d9528556eb66c11b40543cbeadc3a668e3af1.jpg',
        'a93c4e63e17147559c01458a187ea88a', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (484, 53, '粉色,ITB', 100, 0, 7898.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cd6523e65655bf735c25b74ae66d9528556eb66c11b40543cbeadc3a668e3af1.jpg',
        '3438d2e663534f1abbb98f3b82271f89', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (485, 53, '黄色,256GB', 100, 0, 5898.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cd6523e65655bf735c25b74ae66d9528556eb66c11b40543cbeadc3a668e3af1.jpg',
        'a9ea5866dd334e6d8d909f12528bfdf5', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (486, 53, '黄色,512GB', 100, 0, 6898.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cd6523e65655bf735c25b74ae66d9528556eb66c11b40543cbeadc3a668e3af1.jpg',
        '78dbb12ecf67416f9f47363719dbad59', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (487, 53, '黄色,ITB', 100, 0, 7898.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cd6523e65655bf735c25b74ae66d9528556eb66c11b40543cbeadc3a668e3af1.jpg',
        '3c85b973deba4ece840cecbbffcfffe2', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (488, 53, '绿色,256GB', 100, 0, 5898.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cd6523e65655bf735c25b74ae66d9528556eb66c11b40543cbeadc3a668e3af1.jpg',
        'a1ef9dc20160496fa3d038444fd3c8e3', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (489, 53, '绿色,512GB', 100, 0, 6898.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cd6523e65655bf735c25b74ae66d9528556eb66c11b40543cbeadc3a668e3af1.jpg',
        'f77196b56d8b454f9de30066eb1f8215', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (490, 53, '绿色,ITB', 100, 0, 7898.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cd6523e65655bf735c25b74ae66d9528556eb66c11b40543cbeadc3a668e3af1.jpg',
        '99862cc83719470792b5365c2fc3484d', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (491, 52, '原色钛金属,256GB', 100, 0, 1399.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/72a1afdb3fdf1fc612c5d60f393b79d9d187ef6e1ca3d0ecec3372740df4f9c0.jpg',
        'd4318e79b5e449e1bd5b30bd23f1bea3', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (492, 52, '原色钛金属,512GB', 200, 0, 2399.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/72a1afdb3fdf1fc612c5d60f393b79d9d187ef6e1ca3d0ecec3372740df4f9c0.jpg',
        'db03345910ff4da9be957ad02485bcd6', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (493, 52, '原色钛金属,ITB', 300, 0, 4399.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/72a1afdb3fdf1fc612c5d60f393b79d9d187ef6e1ca3d0ecec3372740df4f9c0.jpg',
        '0a4ce539c1ad4194a0a26478c7acf3ef', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (494, 52, '蓝色钛金属,256GB', 400, 0, 1399.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/72a1afdb3fdf1fc612c5d60f393b79d9d187ef6e1ca3d0ecec3372740df4f9c0.jpg',
        '123c9360807f4d63b8eb8375774aa9c8', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (495, 52, '蓝色钛金属,512GB', 200, 0, 2399.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/72a1afdb3fdf1fc612c5d60f393b79d9d187ef6e1ca3d0ecec3372740df4f9c0.jpg',
        '6729ebf1f7a44e7794529ccccc45cb54', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (496, 52, '蓝色钛金属,ITB', 100, 0, 4399.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/72a1afdb3fdf1fc612c5d60f393b79d9d187ef6e1ca3d0ecec3372740df4f9c0.jpg',
        '7271daec12684c1183757794db57e98c', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (497, 52, '白色钛金属,256GB', 50, 0, 1399.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/72a1afdb3fdf1fc612c5d60f393b79d9d187ef6e1ca3d0ecec3372740df4f9c0.jpg',
        '85de4efcdc4d4ca992edb3dd9a9a546f', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (498, 52, '白色钛金属,512GB', 60, 0, 2399.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/72a1afdb3fdf1fc612c5d60f393b79d9d187ef6e1ca3d0ecec3372740df4f9c0.jpg',
        '434d7efda88b47949b1317eee0e5502a', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (499, 52, '白色钛金属,ITB', 80, 0, 4399.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/72a1afdb3fdf1fc612c5d60f393b79d9d187ef6e1ca3d0ecec3372740df4f9c0.jpg',
        'fbc89cc27f944066946ed6f3862568ea', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (500, 58, '亮黑色【赠3C认证快充】,128GB', 110, 0, 3348.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eab043962fb5e70d7ef0c0dc316e63d44863ceda49fe9379378d343ca9d17a05.jpg',
        'af2637d61e344c2a8ff3eba89b8bc392', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (501, 58, '亮黑色【赠3C认证快充】,256GB', 110, 0, 3658.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eab043962fb5e70d7ef0c0dc316e63d44863ceda49fe9379378d343ca9d17a05.jpg',
        '03717a9497284a9895e6d0ae85dc6bee', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (502, 58, '釉白色【赠3C认证快充】,128GB', 110, 0, 3348.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eab043962fb5e70d7ef0c0dc316e63d44863ceda49fe9379378d343ca9d17a05.jpg',
        'a787b8a84f3046d5a60b627316a12f69', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (503, 58, '釉白色【赠3C认证快充】,256GB', 22, 0, 3658.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eab043962fb5e70d7ef0c0dc316e63d44863ceda49fe9379378d343ca9d17a05.jpg',
        'c49beba279124f8888148c26319e8e5e', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (504, 58, '秘银色【赠3C认证快充】,128GB', 3330, 0, 3348.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eab043962fb5e70d7ef0c0dc316e63d44863ceda49fe9379378d343ca9d17a05.jpg',
        '15704fcbdd464cf79a52e7b2e08fbd49', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (505, 58, '秘银色【赠3C认证快充】,256GB', 330, 0, 3658.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eab043962fb5e70d7ef0c0dc316e63d44863ceda49fe9379378d343ca9d17a05.jpg',
        '784cfb22b5a84fefb6b69ec8bb152730', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (506, 58, '夏日胡杨【赠3C认证快充】,128GB', 40, 0, 3348.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eab043962fb5e70d7ef0c0dc316e63d44863ceda49fe9379378d343ca9d17a05.jpg',
        '700fc2b9ceed46649b5109222f77c7d3', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (507, 58, '夏日胡杨【赠3C认证快充】,256GB', 60, 0, 3658.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eab043962fb5e70d7ef0c0dc316e63d44863ceda49fe9379378d343ca9d17a05.jpg',
        'c918d192a8c646338c6587b44121067b', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (508, 58, '秋日胡杨【赠3C认证快充】,128GB', 70, 0, 3348.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eab043962fb5e70d7ef0c0dc316e63d44863ceda49fe9379378d343ca9d17a05.jpg',
        '17b1e2f4413d4175bb275568a4faa695', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (509, 58, '秋日胡杨【赠3C认证快充】,256GB', 80, 0, 3658.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/eab043962fb5e70d7ef0c0dc316e63d44863ceda49fe9379378d343ca9d17a05.jpg',
        '3ba5797a3ddc44ce82e9e9b8d35f1e13', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (510, 49, 'Pro专家_14英寸,Elite 840|i5_1135G7 16G 512', 10, 0, 3356.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/1cc1a7aeb7a8ada3a1e8c78587dbe539d27f900dee19a7ae5ea53d287da67afe.jpg',
        'a87985f2ef7c4cbe879e1995c4feb7ed', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (511, 49, 'Pro专家_14英寸,Elite 840|i5_1135G7 8G 512GSSD', 20, 0, 4356.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/1cc1a7aeb7a8ada3a1e8c78587dbe539d27f900dee19a7ae5ea53d287da67afe.jpg',
        'eb7e9f739e2a477fa14c8bff9de39405', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (512, 49, 'Elite精英_旗舰,Elite 840|i5_1135G7 16G 512', 40, 0, 3356.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/1cc1a7aeb7a8ada3a1e8c78587dbe539d27f900dee19a7ae5ea53d287da67afe.jpg',
        '084e3dc2fdf84f3c9e48a0ccd9919608', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (513, 49, 'Elite精英_旗舰,Elite 840|i5_1135G7 8G 512GSSD', 30, 0, 4356.00,
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/1cc1a7aeb7a8ada3a1e8c78587dbe539d27f900dee19a7ae5ea53d287da67afe.jpg',
        'b41c4514dfc04f0b8edc19610af6110c', 0.00, '', 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0, 0.00, 0, 0000000000);
INSERT INTO `yshop_store_product_attr_value_bak` (`id`, `product_id`, `sku`, `stock`, `sales`, `price`, `image`,
                                                  `unique`, `cost`, `bar_code`, `ot_price`, `weight`, `volume`,
                                                  `brokerage`, `brokerage_two`, `pink_price`, `pink_stock`,
                                                  `seckill_price`, `seckill_stock`, `integral`)
VALUES (514, 68, '默认', 2, 0, 2.00, '', 'c8db360ed1054934bf64840d392f8021', 2.00, '2', 2.00, 2.00, 2.00, 0.00, 0.00,
        0.00, 0, 0.00, 0, 0000000000);
COMMIT;

-- ----------------------------
-- Table structure for yshop_store_product_bak
-- ----------------------------
DROP TABLE IF EXISTS `yshop_store_product_bak`;
CREATE TABLE `yshop_store_product_bak`
(
    `id`            bigint(20) NOT NULL AUTO_INCREMENT COMMENT '商品id',
    `image`         varchar(256)  NOT NULL COMMENT '商品图片',
    `slider_image`  varchar(2000) NOT NULL COMMENT '轮播图',
    `store_name`    varchar(128)  NOT NULL COMMENT '商品名称',
    `store_info`    varchar(256)  NOT NULL COMMENT '商品简介',
    `keyword`       varchar(256)  NOT NULL COMMENT '关键字',
    `bar_code`      varchar(15)            DEFAULT '' COMMENT '产品条码（一维码）',
    `brand_id`      bigint(20) DEFAULT NULL COMMENT '品牌',
    `cate_id`       bigint(20) NOT NULL COMMENT '分类id',
    `price`         decimal(8, 2) unsigned NOT NULL DEFAULT '0.00' COMMENT '商品价格',
    `vip_price`     decimal(8, 2) unsigned DEFAULT '0.00' COMMENT '会员价格',
    `ot_price`      decimal(8, 2) unsigned DEFAULT '0.00' COMMENT '市场价',
    `postage`       decimal(8, 2) unsigned DEFAULT '0.00' COMMENT '邮费',
    `unit_name`     varchar(32)            DEFAULT NULL COMMENT '单位名',
    `sort`          smallint(6) DEFAULT '0' COMMENT '排序',
    `sales`         mediumint(8) unsigned DEFAULT '0' COMMENT '销量',
    `stock`         mediumint(8) unsigned DEFAULT '0' COMMENT '库存',
    `is_show`       tinyint(1) DEFAULT '1' COMMENT '状态（0：未上架，1：上架）',
    `is_hot`        tinyint(1) DEFAULT '0' COMMENT '是否热卖',
    `is_benefit`    tinyint(1) DEFAULT '0' COMMENT '是否优惠',
    `is_best`       tinyint(1) DEFAULT '0' COMMENT '是否精品',
    `is_new`        tinyint(1) DEFAULT '0' COMMENT '是否新品',
    `description`   text COMMENT '产品描述',
    `creator`       varchar(64)            DEFAULT NULL COMMENT '创建者',
    `create_time`   datetime               DEFAULT NULL COMMENT '添加时间',
    `update_time`   datetime               DEFAULT NULL COMMENT '更新时间',
    `updater`       varchar(64)            DEFAULT NULL COMMENT '更新者',
    `is_postage`    tinyint(3) unsigned DEFAULT '0' COMMENT '是否包邮',
    `deleted`       bit(1)                 DEFAULT b'0' COMMENT '是否删除',
    `mer_use`       tinyint(3) unsigned DEFAULT '0' COMMENT '商户是否代理 0不可代理1可代理',
    `give_integral` decimal(8, 2) unsigned DEFAULT NULL COMMENT '获得积分',
    `cost`          decimal(8, 2) unsigned DEFAULT NULL COMMENT '成本价',
    `is_seckill`    tinyint(3) unsigned DEFAULT '0' COMMENT '秒杀状态 0 未开启 1已开启',
    `is_bargain`    tinyint(3) unsigned DEFAULT NULL COMMENT '砍价状态 0未开启 1开启',
    `is_good`       tinyint(1) DEFAULT '0' COMMENT '是否优品推荐',
    `ficti`         mediumint(9) DEFAULT '100' COMMENT '虚拟销量',
    `browse`        int(11) DEFAULT '0' COMMENT '浏览量',
    `code_path`     varchar(64)   NOT NULL DEFAULT '' COMMENT '产品二维码地址(用户小程序海报)',
    `is_sub`        tinyint(1) DEFAULT '0' COMMENT '是否单独分佣',
    `temp_id`       int(11) DEFAULT '0' COMMENT '运费模板ID',
    `spec_type`     tinyint(1) DEFAULT '0' COMMENT '规格 0单 1多',
    `is_integral`   tinyint(1) unsigned zerofill DEFAULT NULL COMMENT '是开启积分兑换',
    `integral`      int(11) DEFAULT '0' COMMENT '需要多少积分兑换 只在开启积分兑换时生效',
    `tenant_id`     bigint(20) DEFAULT '0' COMMENT '租户编号',
    PRIMARY KEY (`id`) USING BTREE,
    KEY             `is_hot` (`is_hot`) USING BTREE,
    KEY             `is_benefit` (`is_benefit`) USING BTREE,
    KEY             `is_best` (`is_best`) USING BTREE,
    KEY             `is_new` (`is_new`) USING BTREE,
    KEY             `toggle_on_sale, is_del` (`deleted`) USING BTREE,
    KEY             `price` (`price`) USING BTREE,
    KEY             `is_show` (`is_show`) USING BTREE,
    KEY             `sort` (`sort`) USING BTREE,
    KEY             `sales` (`sales`) USING BTREE,
    KEY             `add_time` (`create_time`) USING BTREE,
    KEY             `is_postage` (`is_postage`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='商品表';

-- ----------------------------
-- Records of yshop_store_product_bak
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for yshop_store_product_brand
-- ----------------------------
DROP TABLE IF EXISTS `yshop_store_product_brand`;
CREATE TABLE `yshop_store_product_brand`
(
    `id`          bigint(20) NOT NULL AUTO_INCREMENT COMMENT '品牌编号',
    `name`        varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '品牌名称',
    `pic_url`     varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '品牌图片',
    `sort`        int(11) DEFAULT '0' COMMENT '品牌排序',
    `description` varchar(1024) COLLATE utf8mb4_unicode_ci         DEFAULT NULL COMMENT '品牌描述',
    `status`      tinyint(4) NOT NULL COMMENT '状态',
    `creator`     varchar(64) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '创建者',
    `create_time` datetime                                NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater`     varchar(64) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '更新者',
    `update_time` datetime                                NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted`     bit(1)                                  NOT NULL DEFAULT b'0' COMMENT '是否删除',
    `tenant_id`   bigint(20) NOT NULL DEFAULT '0' COMMENT '租户编号',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='商品品牌';

-- ----------------------------
-- Records of yshop_store_product_brand
-- ----------------------------
BEGIN;
INSERT INTO `yshop_store_product_brand` (`id`, `name`, `pic_url`, `sort`, `description`, `status`, `creator`,
                                         `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (1, '苹果', 'https://b2c-pro-api-dev.zkthink.com/file/pic/20210222221033953795.jpeg', 0, '是上市', 0, '1',
        '2022-07-30 22:12:18', '1', '2023-10-24 17:33:04', b'1', 1);
INSERT INTO `yshop_store_product_brand` (`id`, `name`, `pic_url`, `sort`, `description`, `status`, `creator`,
                                         `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (2, '诺基亚',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/e8b3ca5e5519e3b66768c2437744b072ed1bea09b7b7625d72ac4ac7eb70358b.jpeg',
        2, '', 0, '1', '2023-05-29 13:54:40', '1', '2023-10-25 14:29:31', b'0', 0);
INSERT INTO `yshop_store_product_brand` (`id`, `name`, `pic_url`, `sort`, `description`, `status`, `creator`,
                                         `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (3, '高新品牌',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/c511695b7f188131ef7f649baa236be8cc67224012d7999a37a915467bfe5d77.png',
        1, '这个很nice', 1, '1', '2023-10-24 12:07:35', '1', '2023-11-08 12:04:03', b'0', 0);
INSERT INTO `yshop_store_product_brand` (`id`, `name`, `pic_url`, `sort`, `description`, `status`, `creator`,
                                         `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (4, 'iPhone',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/1c65af716a4356e2b6550e4e50144da153dc58ac6e0f901624fca633696761ac.png',
        3, '3', 0, '1', '2023-10-25 14:29:05', '1', '2023-10-25 14:29:19', b'0', 0);
INSERT INTO `yshop_store_product_brand` (`id`, `name`, `pic_url`, `sort`, `description`, `status`, `creator`,
                                         `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (5, '轻薄本',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/93dc070e3753ed9d4d32608dc2d4ef308dc65026b23436ce8165b3905775894f.jpeg',
        2, '', 0, '1', '2023-10-26 17:36:39', '1', '2023-10-26 17:36:39', b'0', 0);
COMMIT;

-- ----------------------------
-- Table structure for yshop_store_product_brand_bak
-- ----------------------------
DROP TABLE IF EXISTS `yshop_store_product_brand_bak`;
CREATE TABLE `yshop_store_product_brand_bak`
(
    `id`          bigint(20) NOT NULL AUTO_INCREMENT COMMENT '品牌编号',
    `name`        varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '品牌名称',
    `pic_url`     varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '品牌图片',
    `sort`        int(11) DEFAULT '0' COMMENT '品牌排序',
    `description` varchar(1024) COLLATE utf8mb4_unicode_ci         DEFAULT NULL COMMENT '品牌描述',
    `status`      tinyint(4) NOT NULL COMMENT '状态',
    `creator`     varchar(64) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '创建者',
    `create_time` datetime                                NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater`     varchar(64) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '更新者',
    `update_time` datetime                                NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted`     bit(1)                                  NOT NULL DEFAULT b'0' COMMENT '是否删除',
    `tenant_id`   bigint(20) NOT NULL DEFAULT '0' COMMENT '租户编号',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='商品品牌备份';

-- ----------------------------
-- Records of yshop_store_product_brand_bak
-- ----------------------------
BEGIN;
INSERT INTO `yshop_store_product_brand_bak` (`id`, `name`, `pic_url`, `sort`, `description`, `status`, `creator`,
                                             `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (1, '苹果', 'https://b2c-pro-api-dev.zkthink.com/file/pic/20210222221033953795.jpeg', 0, '是上市', 0, '1',
        '2022-07-30 22:12:18', '1', '2023-10-24 17:33:04', b'1', 1);
INSERT INTO `yshop_store_product_brand_bak` (`id`, `name`, `pic_url`, `sort`, `description`, `status`, `creator`,
                                             `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (2, '诺基亚',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/e8b3ca5e5519e3b66768c2437744b072ed1bea09b7b7625d72ac4ac7eb70358b.jpeg',
        2, '', 0, '1', '2023-05-29 13:54:40', '1', '2023-10-25 14:29:31', b'0', 0);
INSERT INTO `yshop_store_product_brand_bak` (`id`, `name`, `pic_url`, `sort`, `description`, `status`, `creator`,
                                             `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (3, '高新品牌',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/c511695b7f188131ef7f649baa236be8cc67224012d7999a37a915467bfe5d77.png',
        1, '这个很nice', 1, '1', '2023-10-24 12:07:35', '1', '2023-11-08 12:04:03', b'0', 0);
INSERT INTO `yshop_store_product_brand_bak` (`id`, `name`, `pic_url`, `sort`, `description`, `status`, `creator`,
                                             `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (4, 'iPhone',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/1c65af716a4356e2b6550e4e50144da153dc58ac6e0f901624fca633696761ac.png',
        3, '3', 0, '1', '2023-10-25 14:29:05', '1', '2023-10-25 14:29:19', b'0', 0);
INSERT INTO `yshop_store_product_brand_bak` (`id`, `name`, `pic_url`, `sort`, `description`, `status`, `creator`,
                                             `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (5, '轻薄本',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/93dc070e3753ed9d4d32608dc2d4ef308dc65026b23436ce8165b3905775894f.jpeg',
        2, '', 0, '1', '2023-10-26 17:36:39', '1', '2023-10-26 17:36:39', b'0', 0);
COMMIT;

-- ----------------------------
-- Table structure for yshop_store_product_category
-- ----------------------------
DROP TABLE IF EXISTS `yshop_store_product_category`;
CREATE TABLE `yshop_store_product_category`
(
    `id`          bigint(20) NOT NULL AUTO_INCREMENT COMMENT '分类编号',
    `parent_id`   bigint(20) NOT NULL COMMENT '父分类编号',
    `name`        varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '分类名称',
    `pic_url`     varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '分类图片',
    `sort`        int(11) DEFAULT '0' COMMENT '分类排序',
    `description` varchar(1024) COLLATE utf8mb4_unicode_ci         DEFAULT NULL COMMENT '分类描述',
    `status`      tinyint(4) NOT NULL COMMENT '开启状态',
    `creator`     varchar(64) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '创建者',
    `create_time` datetime                                NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater`     varchar(64) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '更新者',
    `update_time` datetime                                NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted`     bit(1)                                  NOT NULL DEFAULT b'0' COMMENT '是否删除',
    `tenant_id`   bigint(20) NOT NULL DEFAULT '0' COMMENT '租户编号',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='商品分类';

-- ----------------------------
-- Records of yshop_store_product_category
-- ----------------------------
BEGIN;
INSERT INTO `yshop_store_product_category` (`id`, `parent_id`, `name`, `pic_url`, `sort`, `description`, `status`,
                                            `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (1, 0, '电脑办公',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/cb65efa4112fd784f7676a7d816584a2e207fbdac9c404d830101ed22ff6cfc6.png',
        1, '1234', 0, '1', '2022-07-30 16:36:35', '1', '2023-11-09 14:32:47', b'0', 1);
INSERT INTO `yshop_store_product_category` (`id`, `parent_id`, `name`, `pic_url`, `sort`, `description`, `status`,
                                            `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (2, 1, '笔记本',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/0f4e8d286867d2025896e175f01c70f0402053db849e98a5dc6d297f6e81d02b.jpg',
        1, '<p>测试一下</p>', 0, '1', '2022-07-30 16:38:09', '1', '2023-11-13 18:06:31', b'0', 1);
INSERT INTO `yshop_store_product_category` (`id`, `parent_id`, `name`, `pic_url`, `sort`, `description`, `status`,
                                            `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (3, 1, '游戏本',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/71044e88df654b4fe377137908be0225fc966073f65d88737c4fd938639ec2a0.jpg',
        2, '<p>测试一下</p>', 0, '1', '2022-07-30 16:39:09', '1', '2023-11-13 15:06:31', b'1', 1);
INSERT INTO `yshop_store_product_category` (`id`, `parent_id`, `name`, `pic_url`, `sort`, `description`, `status`,
                                            `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (4, 0, '手机',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a311502bef59f16c64a246c1404faed389ba9f6683d57b9134dd58e7feb19514.jpeg',
        2, '<p>123</p>', 0, '1', '2022-07-30 16:40:00', '127', '2023-10-24 17:46:21', b'0', 1);
INSERT INTO `yshop_store_product_category` (`id`, `parent_id`, `name`, `pic_url`, `sort`, `description`, `status`,
                                            `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (5, 4, '华为',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/0d700704d87918bf96f498c3cfa0f506c081018f2113c752da27d2452df53d28.jpg',
        0, '<p><br></p>', 0, '1', '2022-07-30 16:43:00', '1', '2023-11-13 18:05:58', b'0', 1);
INSERT INTO `yshop_store_product_category` (`id`, `parent_id`, `name`, `pic_url`, `sort`, `description`, `status`,
                                            `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (6, 4, '游戏手机',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/f61fbbddd73b004c7ab16ed24d1e9a73997380c0b9c4b589f80dcea687cb2e0d.jpg',
        3, NULL, 0, '1', '2022-07-30 16:43:44', '1', '2023-11-13 15:06:49', b'1', 1);
INSERT INTO `yshop_store_product_category` (`id`, `parent_id`, `name`, `pic_url`, `sort`, `description`, `status`,
                                            `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (7, 5, '厉害的 5G 手机', 'https://b2c-pro-api-dev.zkthink.com/file/pic/20210222221033953795.jpeg', 0, '123', 0,
        '1', '2022-07-30 20:38:09', '1', '2023-10-24 17:39:01', b'1', 1);
INSERT INTO `yshop_store_product_category` (`id`, `parent_id`, `name`, `pic_url`, `sort`, `description`, `status`,
                                            `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (8, 2, '222',
        'https://b2c-pro-api-dev.zkthink.comadmin-api/infra/file/4/get/a311502bef59f16c64a246c1404faed389ba9f6683d57b9134dd58e7feb19514.jpeg',
        2, '', 0, '1', '2023-06-01 11:31:50', '1', '2023-10-24 17:38:23', b'1', 0);
INSERT INTO `yshop_store_product_category` (`id`, `parent_id`, `name`, `pic_url`, `sort`, `description`, `status`,
                                            `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (9, 0, '33',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/6ab0e01f94b05d6ecdab1820c86db930e392375c39b4abaded5dc416a3563991.jpeg',
        3, '', 0, '1', '2023-06-01 11:39:02', '1', '2023-10-24 17:38:23', b'1', 0);
INSERT INTO `yshop_store_product_category` (`id`, `parent_id`, `name`, `pic_url`, `sort`, `description`, `status`,
                                            `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (10, 1, '33',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/a311502bef59f16c64a246c1404faed389ba9f6683d57b9134dd58e7feb19514.jpeg',
        2, '', 0, '1', '2023-06-01 11:48:31', '1', '2023-10-24 17:38:23', b'1', 0);
INSERT INTO `yshop_store_product_category` (`id`, `parent_id`, `name`, `pic_url`, `sort`, `description`, `status`,
                                            `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (11, 1, 'mac',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/c07f14dd6aeb58d503b8a453169c03c0ecbfbec3a3922f43554a6b43879f18c4.png',
        3, '点奥', 0, '1', '2023-10-24 11:25:51', '1', '2023-11-13 15:06:36', b'1', 0);
INSERT INTO `yshop_store_product_category` (`id`, `parent_id`, `name`, `pic_url`, `sort`, `description`, `status`,
                                            `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (12, 1, 'Windows',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/db98472375b9c97bf568cc429d900f5ca19d32c66932b7a725469add8d271a90.png',
        3, '', 0, '1', '2023-10-24 12:18:53', '1', '2023-10-24 17:38:03', b'1', 0);
INSERT INTO `yshop_store_product_category` (`id`, `parent_id`, `name`, `pic_url`, `sort`, `description`, `status`,
                                            `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (13, 1, '联想',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/db98472375b9c97bf568cc429d900f5ca19d32c66932b7a725469add8d271a90.png',
        2, '', 0, '127', '2023-10-24 18:25:52', '127', '2023-11-13 15:06:44', b'1', 0);
INSERT INTO `yshop_store_product_category` (`id`, `parent_id`, `name`, `pic_url`, `sort`, `description`, `status`,
                                            `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (14, 1, '惠普',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/24c19087d2428f9ef1ce7eaa74572a2da04bdfd6cd53dae734ee2411c475c2a5.png',
        0, '123', 0, '127', '2023-10-24 18:32:13', '1', '2023-11-09 14:34:03', b'0', 0);
INSERT INTO `yshop_store_product_category` (`id`, `parent_id`, `name`, `pic_url`, `sort`, `description`, `status`,
                                            `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (15, 1, '测试',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/1c65af716a4356e2b6550e4e50144da153dc58ac6e0f901624fca633696761ac.png',
        0, '', 0, '1', '2023-10-24 18:41:45', '1', '2023-10-24 18:42:43', b'1', 0);
INSERT INTO `yshop_store_product_category` (`id`, `parent_id`, `name`, `pic_url`, `sort`, `description`, `status`,
                                            `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (16, 1, '测试',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/db98472375b9c97bf568cc429d900f5ca19d32c66932b7a725469add8d271a90.png',
        1, '', 0, '1', '2023-10-25 10:42:31', '1', '2023-10-25 10:43:08', b'1', 0);
INSERT INTO `yshop_store_product_category` (`id`, `parent_id`, `name`, `pic_url`, `sort`, `description`, `status`,
                                            `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (17, 1, '测试',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/db98472375b9c97bf568cc429d900f5ca19d32c66932b7a725469add8d271a90.png',
        1, '', 0, '1', '2023-10-25 10:43:27', '1', '2023-10-25 10:43:36', b'1', 0);
INSERT INTO `yshop_store_product_category` (`id`, `parent_id`, `name`, `pic_url`, `sort`, `description`, `status`,
                                            `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (18, 4, 'iPhone',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/1c65af716a4356e2b6550e4e50144da153dc58ac6e0f901624fca633696761ac.png',
        1, '', 0, '1', '2023-10-25 18:15:57', '1', '2023-11-09 12:22:42', b'0', 0);
INSERT INTO `yshop_store_product_category` (`id`, `parent_id`, `name`, `pic_url`, `sort`, `description`, `status`,
                                            `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (19, 1, '耳机',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/5d705e07a441988127efe9c247739d338092a2cdf5ca9e158fe2b1aed35af83c.png',
        6, '', 0, '1', '2023-10-26 18:15:07', '1', '2023-10-26 18:15:07', b'0', 0);
INSERT INTO `yshop_store_product_category` (`id`, `parent_id`, `name`, `pic_url`, `sort`, `description`, `status`,
                                            `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (20, 0, '哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/0d700704d87918bf96f498c3cfa0f506c081018f2113c752da27d2452df53d28.jpg',
        1, '1', 0, '1', '2023-11-10 15:06:47', '1', '2023-11-10 15:11:00', b'1', 0);
INSERT INTO `yshop_store_product_category` (`id`, `parent_id`, `name`, `pic_url`, `sort`, `description`, `status`,
                                            `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (21, 0, '11',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/0d700704d87918bf96f498c3cfa0f506c081018f2113c752da27d2452df53d28.jpg',
        2, '', 0, '1', '2023-11-10 15:07:29', '1', '2023-11-10 15:10:55', b'1', 0);
INSERT INTO `yshop_store_product_category` (`id`, `parent_id`, `name`, `pic_url`, `sort`, `description`, `status`,
                                            `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (22, 0, '333333333',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/399bebcd36f8b40647d8f70c80414fc9fd06761d920639d65760feeee35ce61f.jpg',
        4, '11', 0, '1', '2023-11-10 15:07:42', '1', '2023-11-10 15:10:51', b'1', 0);
INSERT INTO `yshop_store_product_category` (`id`, `parent_id`, `name`, `pic_url`, `sort`, `description`, `status`,
                                            `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (23, 0, '6666666',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/76821605290ca656b770d360ad7c5e8fc8631a32c41c546c91c25b945f829006.jpg',
        7, '66', 0, '1', '2023-11-10 15:07:54', '1', '2023-11-10 15:10:48', b'1', 0);
INSERT INTO `yshop_store_product_category` (`id`, `parent_id`, `name`, `pic_url`, `sort`, `description`, `status`,
                                            `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (24, 0, '8888',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/399bebcd36f8b40647d8f70c80414fc9fd06761d920639d65760feeee35ce61f.jpg',
        8, '8', 0, '1', '2023-11-10 15:08:11', '1', '2023-11-10 15:10:44', b'1', 0);
INSERT INTO `yshop_store_product_category` (`id`, `parent_id`, `name`, `pic_url`, `sort`, `description`, `status`,
                                            `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (25, 0, '9999',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/0d700704d87918bf96f498c3cfa0f506c081018f2113c752da27d2452df53d28.jpg',
        9, '99999', 0, '1', '2023-11-10 15:08:26', '1', '2023-11-10 15:10:42', b'1', 0);
INSERT INTO `yshop_store_product_category` (`id`, `parent_id`, `name`, `pic_url`, `sort`, `description`, `status`,
                                            `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (26, 0,
        '10哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/2790f6f7fac25af1866bff2f9aea079924be04b83bfbdaa2541116964bfcaea3.jpg',
        10, '2', 0, '1', '2023-11-10 15:08:55', '1', '2023-11-10 15:09:52', b'1', 0);
INSERT INTO `yshop_store_product_category` (`id`, `parent_id`, `name`, `pic_url`, `sort`, `description`, `status`,
                                            `creator`, `create_time`, `updater`, `update_time`, `deleted`, `tenant_id`)
VALUES (27, 0, '111111111111111111111111111111111111111111111111111111111111111111111111111111',
        'https://b2c-pro-api-dev.zkthink.com/admin-api/infra/file/4/get/2790f6f7fac25af1866bff2f9aea079924be04b83bfbdaa2541116964bfcaea3.jpg',
        11, '1', 0, '1', '2023-11-10 15:09:09', '1', '2023-11-10 15:10:23', b'1', 0);
COMMIT;

-- ----------------------------
-- Table structure for yshop_store_product_category_bak
-- ----------------------------
DROP TABLE IF EXISTS `yshop_store_product_category_bak`;
CREATE TABLE `yshop_store_product_category_bak`
(
    `id`          bigint(20) NOT NULL AUTO_INCREMENT COMMENT '分类编号',
    `parent_id`   bigint(20) NOT NULL COMMENT '父分类编号',
    `name`        varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '分类名称',
    `pic_url`     varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '分类图片',
    `sort`        int(11) DEFAULT '0' COMMENT '分类排序',
    `description` varchar(1024) COLLATE utf8mb4_unicode_ci         DEFAULT NULL COMMENT '分类描述',
    `status`      tinyint(4) NOT NULL COMMENT '开启状态',
    `creator`     varchar(64) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '创建者',
    `create_time` datetime                                NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater`     varchar(64) COLLATE utf8mb4_unicode_ci           DEFAULT '' COMMENT '更新者',
    `update_time` datetime                                NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted`     bit(1)                                  NOT NULL DEFAULT b'0' COMMENT '是否删除',
    `tenant_id`   bigint(20) NOT NULL DEFAULT '0' COMMENT '租户编号',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='商品分类备份';

-- ----------------------------
-- Records of yshop_store_product_category_bak
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for yshop_store_product_coupon
-- ----------------------------
DROP TABLE IF EXISTS `yshop_store_product_coupon`;
CREATE TABLE `yshop_store_product_coupon`
(
    `id`                 int(11) NOT NULL AUTO_INCREMENT COMMENT 'id',
    `coupon_name`        varchar(32) NOT NULL COMMENT '优惠券名称',
    `coupon_value`       decimal(8, 2) DEFAULT NULL COMMENT '优惠券面值',
    `coupon_type`        tinyint(1) NOT NULL COMMENT '优惠券类型：1、满减券，2、折扣券',
    `threshold`          decimal(8, 2) unsigned NOT NULL DEFAULT '0.00' COMMENT '满减门槛',
    `discount`           decimal(2, 1) unsigned DEFAULT '0.0' COMMENT '折扣',
    `coupon_scope`       tinyint(1) DEFAULT NULL COMMENT '优惠券范围：1、所有商品，2、选中商品',
    `scope_values`       text COMMENT '范围值',
    `number`             int(11) NOT NULL COMMENT '优惠券数量',
    `limit_number`       int(11) DEFAULT NULL COMMENT '限制每人领取数量',
    `expiration_type`    tinyint(1) NOT NULL COMMENT '过期类型：1、按时间，2、按天数',
    `taking_effect_time` datetime      DEFAULT NULL COMMENT '生效时间',
    `expiration_time`    datetime      DEFAULT NULL COMMENT '过期时间',
    `expiration_day`     int(11) DEFAULT NULL COMMENT '过期天数',
    `remark`             text COMMENT '备注',
    `creator`            varchar(64)   DEFAULT NULL COMMENT '创建者',
    `create_time`        datetime      DEFAULT NULL COMMENT '添加时间',
    `updater`            varchar(64)   DEFAULT NULL COMMENT '更新者',
    `update_time`        datetime      DEFAULT NULL COMMENT '更新时间',
    `deleted`            bit(1)        DEFAULT b'0' COMMENT '删除',
    `tenant_id`          bigint(20) DEFAULT '0' COMMENT '租户编号',
    `receive_type`       tinyint(1) DEFAULT NULL COMMENT '领取限制类型 1 无限制 2限制次数',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=36 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='商品优惠券表';

-- ----------------------------
-- Records of yshop_store_product_coupon
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for yshop_store_product_coupon_bak
-- ----------------------------
DROP TABLE IF EXISTS `yshop_store_product_coupon_bak`;
CREATE TABLE `yshop_store_product_coupon_bak`
(
    `id`                 int(11) NOT NULL AUTO_INCREMENT COMMENT 'id',
    `coupon_name`        varchar(32) NOT NULL COMMENT '优惠券名称',
    `coupon_value`       decimal(8, 2) DEFAULT NULL COMMENT '优惠券面值',
    `coupon_type`        tinyint(1) NOT NULL COMMENT '优惠券类型：1、满减券，2、折扣券',
    `threshold`          decimal(8, 2) unsigned NOT NULL DEFAULT '0.00' COMMENT '满减门槛',
    `discount`           decimal(2, 1) unsigned DEFAULT '0.0' COMMENT '折扣',
    `coupon_scope`       tinyint(1) DEFAULT NULL COMMENT '优惠券范围：1、所有商品，2、选中商品',
    `scope_values`       text COMMENT '范围值',
    `number`             int(11) NOT NULL COMMENT '优惠券数量',
    `limit_number`       int(11) DEFAULT NULL COMMENT '限制每人领取数量',
    `expiration_type`    tinyint(1) NOT NULL COMMENT '过期类型：1、按时间，2、按天数',
    `taking_effect_time` datetime      DEFAULT NULL COMMENT '生效时间',
    `expiration_time`    datetime      DEFAULT NULL COMMENT '过期时间',
    `expiration_day`     int(11) DEFAULT NULL COMMENT '过期天数',
    `remark`             text COMMENT '备注',
    `creator`            varchar(64)   DEFAULT NULL COMMENT '创建者',
    `create_time`        datetime      DEFAULT NULL COMMENT '添加时间',
    `updater`            varchar(64)   DEFAULT NULL COMMENT '更新者',
    `update_time`        datetime      DEFAULT NULL COMMENT '更新时间',
    `deleted`            bit(1)        DEFAULT b'0' COMMENT '删除',
    `tenant_id`          bigint(20) DEFAULT '0' COMMENT '租户编号',
    `receive_type`       tinyint(1) DEFAULT NULL COMMENT '领取限制类型 1 无限制 2限制次数',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=36 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='商品优惠券表备份';

-- ----------------------------
-- Records of yshop_store_product_coupon_bak
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for yshop_store_product_coupon_relation
-- ----------------------------
DROP TABLE IF EXISTS `yshop_store_product_coupon_relation`;
CREATE TABLE `yshop_store_product_coupon_relation`
(
    `id`           int(11) NOT NULL AUTO_INCREMENT COMMENT 'id',
    `coupon_id`    int(11) NOT NULL COMMENT '优惠券id',
    `uid`          int(11) NOT NULL COMMENT '用户id',
    `is_used`      bit(1)      DEFAULT b'0' COMMENT '是否使用',
    `receive_time` datetime    DEFAULT NULL COMMENT '领取时间',
    `usage_time`   datetime    DEFAULT NULL COMMENT '使用时间',
    `creator`      varchar(64) DEFAULT NULL COMMENT '创建者',
    `create_time`  datetime    DEFAULT NULL COMMENT '添加时间',
    `updater`      varchar(64) DEFAULT NULL COMMENT '更新者',
    `update_time`  datetime    DEFAULT NULL COMMENT '更新时间',
    `deleted`      bit(1)      DEFAULT b'0' COMMENT '删除',
    `tenant_id`    bigint(20) DEFAULT '0' COMMENT '租户编号',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=104 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='商品优惠券关联表';

-- ----------------------------
-- Records of yshop_store_product_coupon_relation
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for yshop_store_product_coupon_relation_bak
-- ----------------------------
DROP TABLE IF EXISTS `yshop_store_product_coupon_relation_bak`;
CREATE TABLE `yshop_store_product_coupon_relation_bak`
(
    `id`           int(11) NOT NULL AUTO_INCREMENT COMMENT 'id',
    `coupon_id`    int(11) NOT NULL COMMENT '优惠券id',
    `uid`          int(11) NOT NULL COMMENT '用户id',
    `is_used`      bit(1)      DEFAULT b'0' COMMENT '是否使用',
    `receive_time` datetime    DEFAULT NULL COMMENT '领取时间',
    `usage_time`   datetime    DEFAULT NULL COMMENT '使用时间',
    `creator`      varchar(64) DEFAULT NULL COMMENT '创建者',
    `create_time`  datetime    DEFAULT NULL COMMENT '添加时间',
    `updater`      varchar(64) DEFAULT NULL COMMENT '更新者',
    `update_time`  datetime    DEFAULT NULL COMMENT '更新时间',
    `deleted`      bit(1)      DEFAULT b'0' COMMENT '删除',
    `tenant_id`    bigint(20) DEFAULT '0' COMMENT '租户编号',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='商品优惠券关联表备份';

-- ----------------------------
-- Records of yshop_store_product_coupon_relation_bak
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for yshop_store_product_relation
-- ----------------------------
DROP TABLE IF EXISTS `yshop_store_product_relation`;
CREATE TABLE `yshop_store_product_relation`
(
    `id`          bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT 'id',
    `uid`         bigint(20) unsigned NOT NULL COMMENT '用户ID',
    `product_id`  bigint(20) unsigned NOT NULL COMMENT '商品ID',
    `type`        varchar(32) DEFAULT NULL COMMENT '类型(收藏(collect）、点赞(like))',
    `category`    varchar(32) DEFAULT NULL COMMENT '某种类型的商品(普通商品、秒杀商品)',
    `creator`     varchar(64) DEFAULT NULL COMMENT '创建者',
    `create_time` datetime NOT NULL COMMENT '添加时间',
    `update_time` datetime    DEFAULT NULL COMMENT '更新时间',
    `updater`     varchar(64) DEFAULT NULL COMMENT '更新者',
    `deleted`     bit(1)      DEFAULT b'0' COMMENT '删除',
    `tenant_id`   bigint(20) DEFAULT NULL COMMENT '租户ID',
    PRIMARY KEY (`id`) USING BTREE,
    KEY           `type` (`type`) USING BTREE,
    KEY           `category` (`category`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='商品点赞和收藏表';

-- ----------------------------
-- Records of yshop_store_product_relation
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for yshop_store_product_reply
-- ----------------------------
DROP TABLE IF EXISTS `yshop_store_product_reply`;
CREATE TABLE `yshop_store_product_reply`
(
    `id`                     bigint(20) NOT NULL AUTO_INCREMENT COMMENT '评论ID',
    `uid`                    bigint(20) NOT NULL COMMENT '用户ID',
    `oid`                    bigint(20) NOT NULL COMMENT '订单ID',
    `unique`                 char(32)                           NOT NULL COMMENT '唯一id',
    `product_id`             bigint(20) NOT NULL COMMENT '产品id',
    `reply_type`             varchar(32)                        NOT NULL DEFAULT 'product' COMMENT '某种商品类型(普通商品、秒杀商品）',
    `product_score`          tinyint(1) NOT NULL COMMENT '商品分数',
    `service_score`          tinyint(1) NOT NULL COMMENT '服务分数',
    `comment`                varchar(512) CHARACTER SET utf8mb4 NOT NULL COMMENT '评论内容',
    `pics`                   text                               NOT NULL COMMENT '评论图片',
    `creator`                varchar(64)                                 DEFAULT NULL COMMENT '创建者',
    `create_time`            datetime                           NOT NULL COMMENT '评论时间',
    `update_time`            datetime                                    DEFAULT NULL COMMENT '更新时间',
    `updater`                varchar(64)                                 DEFAULT NULL COMMENT '更新者',
    `merchant_reply_content` varchar(300) CHARACTER SET utf8mb4          DEFAULT NULL COMMENT '管理员回复内容',
    `merchant_reply_time`    datetime                                    DEFAULT NULL COMMENT '管理员回复时间',
    `deleted`                bit(1)                             NOT NULL DEFAULT b'0' COMMENT '0未删除1已删除',
    `is_reply`               tinyint(1) NOT NULL DEFAULT '0' COMMENT '0未回复1已回复',
    `tenant_id`              bigint(20) DEFAULT '0' COMMENT '租户ID',
    PRIMARY KEY (`id`) USING BTREE,
    KEY                      `add_time` (`create_time`) USING BTREE,
    KEY                      `parent_id` (`reply_type`) USING BTREE,
    KEY                      `is_del` (`deleted`) USING BTREE,
    KEY                      `product_score` (`product_score`) USING BTREE,
    KEY                      `service_score` (`service_score`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='评论表';

-- ----------------------------
-- Records of yshop_store_product_reply
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for yshop_store_product_rule
-- ----------------------------
DROP TABLE IF EXISTS `yshop_store_product_rule`;
CREATE TABLE `yshop_store_product_rule`
(
    `id`          int(11) NOT NULL AUTO_INCREMENT COMMENT 'id',
    `rule_name`   varchar(32) NOT NULL COMMENT '规格名称',
    `rule_value`  json        NOT NULL COMMENT '规格值',
    `create_time` datetime    DEFAULT NULL COMMENT '创建时间',
    `updater`     varchar(64) DEFAULT NULL COMMENT '更新者',
    `update_time` datetime    DEFAULT NULL COMMENT '更新时间',
    `creator`     varchar(64) DEFAULT NULL COMMENT '创建者',
    `deleted`     bit(1)      DEFAULT b'0' COMMENT '删除',
    `tenant_id`   bigint(20) DEFAULT '0' COMMENT '租户编号',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=28 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='商品规则值(规格)表';

-- ----------------------------
-- Records of yshop_store_product_rule
-- ----------------------------
BEGIN;
INSERT INTO `yshop_store_product_rule` (`id`, `rule_name`, `rule_value`, `create_time`, `updater`, `update_time`,
                                        `creator`, `deleted`, `tenant_id`)
VALUES (25, '图文打印1', '[
  {
    \
  "value\": \"纸张\", \"detail\": [\"A4\", \"A3\", \"A5\", \"A6\", \"A7\"]}, {\"value\": \"颜色\", \"detail\": [\"白色\", \"红色\", \"菊花色\"]}]',
        '2023-05-18 10:23:12', '1', '2023-05-18 10:23:12', '1', b'0', 0);
INSERT INTO `yshop_store_product_rule` (`id`, `rule_name`, `rule_value`, `create_time`, `updater`, `update_time`,
                                        `creator`, `deleted`, `tenant_id`)
VALUES (26, '手机', '[
  {
    \
  "value\": \"尺寸\", \"detail\": [\"6寸\", \"7寸\"]}, {\"value\": \"颜色\", \"detail\": [\"黑白\", \"红色\", \"灰色\"]}]',
        '2023-05-19 18:21:12', '1', '2023-05-19 18:22:17', '1', b'0', 0);
INSERT INTO `yshop_store_product_rule` (`id`, `rule_name`, `rule_value`, `create_time`, `updater`, `update_time`,
                                        `creator`, `deleted`, `tenant_id`)
VALUES (27, '1', '[
  {
    \
  "value\": \"2\", \"detail\": [\"2\"]}]', '2023-05-19 18:22:41', '1', '2023-05-19 18:22:41', '1', b'1', 0);
COMMIT;

-- ----------------------------
-- Table structure for yshop_store_product_rule_bak
-- ----------------------------
DROP TABLE IF EXISTS `yshop_store_product_rule_bak`;
CREATE TABLE `yshop_store_product_rule_bak`
(
    `id`          int(11) NOT NULL AUTO_INCREMENT COMMENT 'id',
    `rule_name`   varchar(32) NOT NULL COMMENT '规格名称',
    `rule_value`  json        NOT NULL COMMENT '规格值',
    `create_time` datetime    DEFAULT NULL COMMENT '创建时间',
    `updater`     varchar(64) DEFAULT NULL COMMENT '更新者',
    `update_time` datetime    DEFAULT NULL COMMENT '更新时间',
    `creator`     varchar(64) DEFAULT NULL COMMENT '创建者',
    `deleted`     bit(1)      DEFAULT b'0' COMMENT '删除',
    `tenant_id`   bigint(20) DEFAULT '0' COMMENT '租户编号',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=28 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='商品规则值(规格)表备份';

-- ----------------------------
-- Records of yshop_store_product_rule_bak
-- ----------------------------
BEGIN;
INSERT INTO `yshop_store_product_rule_bak` (`id`, `rule_name`, `rule_value`, `create_time`, `updater`, `update_time`,
                                            `creator`, `deleted`, `tenant_id`)
VALUES (25, '图文打印1', '[
  {
    \
  "value\": \"纸张\", \"detail\": [\"A4\", \"A3\", \"A5\", \"A6\", \"A7\"]}, {\"value\": \"颜色\", \"detail\": [\"白色\", \"红色\", \"菊花色\"]}]',
        '2023-05-18 10:23:12', '1', '2023-05-18 10:23:12', '1', b'0', 0);
INSERT INTO `yshop_store_product_rule_bak` (`id`, `rule_name`, `rule_value`, `create_time`, `updater`, `update_time`,
                                            `creator`, `deleted`, `tenant_id`)
VALUES (26, '手机', '[
  {
    \
  "value\": \"尺寸\", \"detail\": [\"6寸\", \"7寸\"]}, {\"value\": \"颜色\", \"detail\": [\"黑白\", \"红色\", \"灰色\"]}]',
        '2023-05-19 18:21:12', '1', '2023-05-19 18:22:17', '1', b'0', 0);
INSERT INTO `yshop_store_product_rule_bak` (`id`, `rule_name`, `rule_value`, `create_time`, `updater`, `update_time`,
                                            `creator`, `deleted`, `tenant_id`)
VALUES (27, '1', '[
  {
    \
  "value\": \"2\", \"detail\": [\"2\"]}]', '2023-05-19 18:22:41', '1', '2023-05-19 18:22:41', '1', b'1', 0);
COMMIT;

-- ----------------------------
-- Table structure for yshop_user
-- ----------------------------
DROP TABLE IF EXISTS `yshop_user`;
CREATE TABLE `yshop_user`
(
    `id`              bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '用户id',
    `username`        varchar(255) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '用户账户(跟accout一样)',
    `password`        varchar(255)                       DEFAULT NULL COMMENT '用户密码（跟pwd）',
    `real_name`       varchar(25) CHARACTER SET utf8mb4  DEFAULT '' COMMENT '真实姓名',
    `birthday`        varchar(100)                       DEFAULT '' COMMENT '生日',
    `card_id`         varchar(20)                        DEFAULT '' COMMENT '身份证号码',
    `mark`            varchar(255)                       DEFAULT '' COMMENT '用户备注',
    `partner_id`      int(11) DEFAULT '0' COMMENT '合伙人id',
    `group_id`        int(11) DEFAULT '0' COMMENT '用户分组id',
    `nickname`        varchar(100) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '用户昵称',
    `avatar`          varchar(256)                       DEFAULT NULL COMMENT '用户头像',
    `mobile`          char(15)                           DEFAULT NULL COMMENT '手机号码',
    `login_date`      datetime                           DEFAULT NULL,
    `login_ip`        varchar(255)                       DEFAULT NULL,
    `register_ip`     varchar(255)                       DEFAULT NULL COMMENT '注册ip',
    `add_ip`          varchar(100)                       DEFAULT '' COMMENT '添加ip',
    `creator`         varchar(64)                        DEFAULT NULL COMMENT '创建者',
    `create_time`     datetime                           DEFAULT NULL COMMENT '添加时间',
    `updater`         varchar(64)                        DEFAULT NULL COMMENT '更新者',
    `update_time`     datetime                           DEFAULT NULL COMMENT '最后一次登录时间',
    `last_ip`         varchar(100)                       DEFAULT '' COMMENT '最后一次登录ip',
    `now_money`       decimal(8, 2) unsigned NOT NULL DEFAULT '0.00' COMMENT '用户余额',
    `brokerage_price` decimal(8, 2) NOT NULL             DEFAULT '0.00' COMMENT '佣金金额',
    `integral`        decimal(8, 2) unsigned NOT NULL DEFAULT '0.00' COMMENT '用户剩余积分',
    `sign_num`        int(11) NOT NULL DEFAULT '0' COMMENT '连续签到天数',
    `status`          tinyint(1) NOT NULL DEFAULT '1' COMMENT '1为正常，0为禁止',
    `level`           tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT '等级',
    `spread_uid`      bigint(20) unsigned DEFAULT '0' COMMENT '推广元id',
    `spread_time`     datetime                           DEFAULT NULL COMMENT '推广员关联时间',
    `user_type`       varchar(32)   NOT NULL             DEFAULT '' COMMENT '用户类型',
    `is_promoter`     tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT '是否为推广员',
    `pay_count`       int(10) unsigned DEFAULT '0' COMMENT '用户购买次数',
    `spread_count`    int(11) DEFAULT '0' COMMENT '下级人数',
    `addres`          varchar(255)  NOT NULL             DEFAULT '' COMMENT '详细地址',
    `adminid`         int(10) unsigned DEFAULT '0' COMMENT '管理员编号 ',
    `login_type`      varchar(36)   NOT NULL             DEFAULT '' COMMENT '用户登陆类型，h5,wechat,routine',
    `wx_profile`      json                               DEFAULT NULL COMMENT '微信用户json信息',
    `deleted`         bit(1)                             DEFAULT b'0' COMMENT '删除',
    `tenant_id`       bigint(20) DEFAULT NULL COMMENT '租户编号',
    `openid`          varchar(100)                       DEFAULT NULL COMMENT '公众号openid',
    `routine_openid`  varchar(100)                       DEFAULT NULL COMMENT '小程序openid',
    `sex`             tinyint(1) DEFAULT '1' COMMENT '性别',
    PRIMARY KEY (`id`) USING BTREE,
    UNIQUE KEY `username` (`username`) USING BTREE,
    KEY               `spreaduid` (`spread_uid`) USING BTREE,
    KEY               `level` (`level`) USING BTREE,
    KEY               `status` (`status`) USING BTREE,
    KEY               `is_promoter` (`is_promoter`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=37 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='用户表';

-- ----------------------------
-- Records of yshop_user
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for yshop_user_address
-- ----------------------------
DROP TABLE IF EXISTS `yshop_user_address`;
CREATE TABLE `yshop_user_address`
(
    `id`          bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '用户地址id',
    `uid`         bigint(20) unsigned NOT NULL COMMENT '用户id',
    `real_name`   varchar(32)  NOT NULL DEFAULT '' COMMENT '收货人姓名',
    `phone`       varchar(16)  NOT NULL DEFAULT '' COMMENT '收货人电话',
    `province`    varchar(64)  NOT NULL DEFAULT '' COMMENT '收货人所在省',
    `city`        varchar(64)  NOT NULL DEFAULT '' COMMENT '收货人所在市',
    `city_id`     int(11) DEFAULT NULL COMMENT '城市id',
    `district`    varchar(64)  NOT NULL DEFAULT '' COMMENT '收货人所在区',
    `detail`      varchar(256) NOT NULL DEFAULT '' COMMENT '收货人详细地址',
    `post_code`   varchar(20)  NOT NULL DEFAULT '' COMMENT '邮编',
    `longitude`   varchar(16)  NOT NULL DEFAULT '0' COMMENT '经度',
    `latitude`    varchar(16)  NOT NULL DEFAULT '0' COMMENT '纬度',
    `is_default`  tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT '是否默认',
    `deleted`     bit(1)       NOT NULL DEFAULT b'0' COMMENT '是否删除',
    `creator`     varchar(64)           DEFAULT NULL COMMENT '创建者',
    `create_time` datetime     NOT NULL COMMENT '添加时间',
    `update_time` datetime              DEFAULT NULL COMMENT '更新时间',
    `tenant_id`   bigint(20) DEFAULT NULL COMMENT '租户编号',
    `updater`     varchar(64)           DEFAULT NULL COMMENT '更新者',
    PRIMARY KEY (`id`) USING BTREE,
    KEY           `uid` (`uid`) USING BTREE,
    KEY           `is_default` (`is_default`) USING BTREE,
    KEY           `is_del` (`deleted`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=160 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='用户地址表';

-- ----------------------------
-- Records of yshop_user_address
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for yshop_user_bill
-- ----------------------------
DROP TABLE IF EXISTS `yshop_user_bill`;
CREATE TABLE `yshop_user_bill`
(
    `id`          bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '用户账单id',
    `uid`         bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '用户uid',
    `link_id`     varchar(32)  NOT NULL DEFAULT '0' COMMENT '关联id',
    `pm`          tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT '0 = 支出 1 = 获得',
    `title`       varchar(64)  NOT NULL DEFAULT '' COMMENT '账单标题',
    `category`    varchar(64)  NOT NULL DEFAULT '' COMMENT '明细种类',
    `type`        varchar(64)  NOT NULL DEFAULT '' COMMENT '明细类型',
    `number`      decimal(8, 2) unsigned NOT NULL DEFAULT '0.00' COMMENT '明细数字',
    `balance`     decimal(8, 2) unsigned NOT NULL DEFAULT '0.00' COMMENT '剩余',
    `mark`        varchar(512) NOT NULL DEFAULT '' COMMENT '备注',
    `creator`     varchar(64)           DEFAULT NULL COMMENT '创建者',
    `create_time` datetime     NOT NULL COMMENT '添加时间',
    `update_time` datetime              DEFAULT NULL COMMENT '更新时间',
    `updater`     varchar(64)           DEFAULT NULL COMMENT '更新者',
    `status`      tinyint(1) NOT NULL DEFAULT '1' COMMENT '0 = 带确定 1 = 有效 -1 = 无效',
    `deleted`     bit(1)                DEFAULT b'0' COMMENT '删除',
    `tenant_id`   bigint(20) DEFAULT NULL COMMENT '租户编号',
    PRIMARY KEY (`id`) USING BTREE,
    KEY           `openid` (`uid`) USING BTREE,
    KEY           `status` (`status`) USING BTREE,
    KEY           `add_time` (`create_time`) USING BTREE,
    KEY           `pm` (`pm`) USING BTREE,
    KEY           `type` (`category`,`type`,`link_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=458 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='用户账单表';

-- ----------------------------
-- Records of yshop_user_bill
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for yshop_wechat_template
-- ----------------------------
DROP TABLE IF EXISTS `yshop_wechat_template`;
CREATE TABLE `yshop_wechat_template`
(
    `id`          int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '模板id',
    `tempkey`     char(50)      NOT NULL DEFAULT '' COMMENT '模板编号',
    `name`        char(100)     NOT NULL DEFAULT '' COMMENT '模板名',
    `content`     varchar(1000) NOT NULL DEFAULT '' COMMENT '回复内容',
    `tempid`      char(100)              DEFAULT NULL COMMENT '模板ID',
    `create_time` datetime      NOT NULL COMMENT '添加时间',
    `update_time` datetime               DEFAULT NULL COMMENT '更新时间',
    `creator`     varchar(64)            DEFAULT NULL COMMENT '创建者',
    `updater`     varchar(64)            DEFAULT NULL COMMENT '更新者',
    `status`      tinyint(4) NOT NULL DEFAULT '0' COMMENT '状态',
    `deleted`     bit(1)                 DEFAULT b'0' COMMENT '删除',
    `type`        varchar(30)            DEFAULT NULL COMMENT '类型：template:模板消息 subscribe:订阅消息',
    PRIMARY KEY (`id`) USING BTREE,
    KEY           `tempkey` (`tempkey`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=18 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='微信模板';

-- ----------------------------
-- Records of yshop_wechat_template
-- ----------------------------
BEGIN;
INSERT INTO `yshop_wechat_template` (`id`, `tempkey`, `name`, `content`, `tempid`, `create_time`, `update_time`,
                                     `creator`, `updater`, `status`, `deleted`, `type`)
VALUES (16, 'pay_success', '订单支付成功通知', '', 'W5r2c2kzhbq8uxStkPAVx_sk-5aapMFCqe7b7KU5jXI', '2023-07-25 10:41:17',
        '2023-07-25 10:41:17', '1', '1', 1, b'0', 'subscribe');
INSERT INTO `yshop_wechat_template` (`id`, `tempkey`, `name`, `content`, `tempid`, `create_time`, `update_time`,
                                     `creator`, `updater`, `status`, `deleted`, `type`)
VALUES (17, 'pay_success', '订单支付成功通知', '', 'r6PWTcAOQodoyz0GT_0NCoFxssBT4ZB7AJqVdTdRvfA', '2023-07-25 10:43:14',
        '2023-07-25 10:43:14', '1', '1', 1, b'0', 'template');
COMMIT;

SET
FOREIGN_KEY_CHECKS = 1;


-- ----------------------------
-- Table structure for yshop_material_bak  2023/11/24 素材库备份表
-- ----------------------------
DROP TABLE IF EXISTS `yshop_material_bak`;
CREATE TABLE `yshop_material_bak`
(
    `id`          bigint(20) NOT NULL AUTO_INCREMENT COMMENT '编号',
    `create_time` datetime                         NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `creator`     varchar(100) CHARACTER SET utf8           DEFAULT NULL COMMENT '创建者',
    `type`        char(2) COLLATE utf8mb4_bin      NOT NULL COMMENT '类型1、图片；2、视频',
    `group_id`    varchar(32) COLLATE utf8mb4_bin           DEFAULT NULL COMMENT '分组ID',
    `name`        varchar(200) COLLATE utf8mb4_bin NOT NULL COMMENT '素材名',
    `url`         varchar(500) COLLATE utf8mb4_bin          DEFAULT '' COMMENT '素材链接',
    `updater`     varchar(64) COLLATE utf8mb4_bin           DEFAULT NULL COMMENT '更新者',
    `update_time` datetime                                  DEFAULT NULL COMMENT '更新时间',
    `deleted`     bit(1)                           NOT NULL DEFAULT b'0' COMMENT '是否删除',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=121 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='素材库备份表';

SET
FOREIGN_KEY_CHECKS = 1;


-- ----------------------------
-- Table structure for yshop_material_group_bak
-- ----------------------------
DROP TABLE IF EXISTS `yshop_material_group_bak`;
CREATE TABLE `yshop_material_group_bak`
(
    `id`          bigint(20) NOT NULL AUTO_INCREMENT COMMENT '编号',
    `create_time` datetime                         NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `creator`     varchar(32) CHARACTER SET utf8            DEFAULT NULL COMMENT '创建者',
    `name`        varchar(200) COLLATE utf8mb4_bin NOT NULL COMMENT '分组名',
    `updater`     varchar(64) COLLATE utf8mb4_bin           DEFAULT NULL COMMENT '更新者',
    `update_time` datetime                                  DEFAULT NULL COMMENT '更新时间',
    `deleted`     bit(1)                           NOT NULL DEFAULT b'0' COMMENT '是否删除',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=16 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='素材分组备份表';

SET
FOREIGN_KEY_CHECKS = 1;